/* A Bison parser, made by GNU Bison 3.8.2.  */

/* Bison implementation for Yacc-like parsers in C

   Copyright (C) 1984, 1989-1990, 2000-2015, 2018-2021 Free Software Foundation,
   Inc.

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <https://www.gnu.org/licenses/>.  */

/* As a special exception, you may create a larger work that contains
   part or all of the Bison parser skeleton and distribute that work
   under terms of your choice, so long as that work isn't itself a
   parser generator using the skeleton or a modified version thereof
   as a parser skeleton.  Alternatively, if you modify or redistribute
   the parser skeleton itself, you may (at your option) remove this
   special exception, which will cause the skeleton and the resulting
   Bison output files to be licensed under the GNU General Public
   License without this special exception.

   This special exception was added by the Free Software Foundation in
   version 2.2 of Bison.  */

/* C LALR(1) parser skeleton written by Richard Stallman, by
   simplifying the original so-called "semantic" parser.  */

/* DO NOT RELY ON FEATURES THAT ARE NOT DOCUMENTED in the manual,
   especially those whose name start with YY_ or yy_.  They are
   private implementation details that can be changed or removed.  */

/* All symbols defined below should begin with yy or YY, to avoid
   infringing on user name space.  This should be done even for local
   variables, as they might otherwise be expanded by user macros.
   There are some unavoidable exceptions within include files to
   define necessary library symbols; they are noted "INFRINGES ON
   USER NAME SPACE" below.  */

/* Identify Bison output, and Bison version.  */
#define YYBISON 30802

/* Bison version string.  */
#define YYBISON_VERSION "3.8.2"

/* Skeleton name.  */
#define YYSKELETON_NAME "yacc.c"

/* Pure parsers.  */
#define YYPURE 1

/* Push parsers.  */
#define YYPUSH 0

/* Pull parsers.  */
#define YYPULL 1


/* Substitute the variable and function names.  */
#define yyparse         base_yyparse
#define yylex           base_yylex
#define yyerror         base_yyerror
#define yydebug         base_yydebug
#define yynerrs         base_yynerrs

/* First part of user prologue.  */
#line 1 "gram.y"


/*#define YYDEBUG 1*/
/*-------------------------------------------------------------------------
 *
 * gram.y
 *	  POSTGRESQL BISON rules/actions
 *
 * Portions Copyright (c) 1996-2024, PostgreSQL Global Development Group
 * Portions Copyright (c) 1994, Regents of the University of California
 *
 *
 * IDENTIFICATION
 *	  src/backend/parser/gram.y
 *
 * HISTORY
 *	  AUTHOR			DATE			MAJOR EVENT
 *	  Andrew Yu			Sept, 1994		POSTQUEL to SQL conversion
 *	  Andrew Yu			Oct, 1994		lispy code conversion
 *
 * NOTES
 *	  CAPITALS are used to represent terminal symbols.
 *	  non-capitals are used to represent non-terminals.
 *
 *	  In general, nothing in this file should initiate database accesses
 *	  nor depend on changeable state (such as SET variables).  If you do
 *	  database accesses, your code will fail when we have aborted the
 *	  current transaction and are just parsing commands to find the next
 *	  ROLLBACK or COMMIT.  If you make use of SET variables, then you
 *	  will do the wrong thing in multi-query strings like this:
 *			SET constraint_exclusion TO off; SELECT * FROM foo;
 *	  because the entire string is parsed by gram.y before the SET gets
 *	  executed.  Anything that depends on the database or changeable state
 *	  should be handled during parse analysis so that it happens at the
 *	  right time not the wrong time.
 *
 * WARNINGS
 *	  If you use a list, make sure the datum is a node so that the printing
 *	  routines work.
 *
 *	  Sometimes we assign constants to makeStrings. Make sure we don't free
 *	  those.
 *
 *-------------------------------------------------------------------------
 */
#include "postgres.h"

#include <ctype.h>
#include <limits.h>

#include "access/tableam.h"
#include "catalog/index.h"
#include "catalog/namespace.h"
#include "catalog/pg_am.h"
#include "catalog/pg_trigger.h"
#include "commands/defrem.h"
#include "commands/trigger.h"
#include "gramparse.h"
#include "nodes/makefuncs.h"
#include "nodes/nodeFuncs.h"
#include "parser/parser.h"
#include "storage/lmgr.h"
#include "utils/date.h"
#include "utils/datetime.h"
#include "utils/numeric.h"
#include "utils/xml.h"


/*
 * Location tracking support --- simpler than bison's default, since we only
 * want to track the start position not the end position of each nonterminal.
 */
#define YYLLOC_DEFAULT(Current, Rhs, N) \
	do { \
		if ((N) > 0) \
			(Current) = (Rhs)[1]; \
		else \
			(Current) = (-1); \
	} while (0)

/*
 * The above macro assigns -1 (unknown) as the parse location of any
 * nonterminal that was reduced from an empty rule, or whose leftmost
 * component was reduced from an empty rule.  This is problematic
 * for nonterminals defined like
 *		OptFooList: / * EMPTY * / { ... } | OptFooList Foo { ... } ;
 * because we'll set -1 as the location during the first reduction and then
 * copy it during each subsequent reduction, leaving us with -1 for the
 * location even when the list is not empty.  To fix that, do this in the
 * action for the nonempty rule(s):
 *		if (@$ < 0) @$ = @2;
 * (Although we have many nonterminals that follow this pattern, we only
 * bother with fixing @$ like this when the nonterminal's parse location
 * is actually referenced in some rule.)
 *
 * A cleaner answer would be to make YYLLOC_DEFAULT scan all the Rhs
 * locations until it's found one that's not -1.  Then we'd get a correct
 * location for any nonterminal that isn't entirely empty.  But this way
 * would add overhead to every rule reduction, and so far there's not been
 * a compelling reason to pay that overhead.
 */

/*
 * Bison doesn't allocate anything that needs to live across parser calls,
 * so we can easily have it use palloc instead of malloc.  This prevents
 * memory leaks if we error out during parsing.
 */
#define YYMALLOC palloc
#define YYFREE   pfree

/* Private struct for the result of privilege_target production */
typedef struct PrivTarget
{
	GrantTargetType targtype;
	ObjectType	objtype;
	List	   *objs;
} PrivTarget;

/* Private struct for the result of import_qualification production */
typedef struct ImportQual
{
	ImportForeignSchemaType type;
	List	   *table_names;
} ImportQual;

/* Private struct for the result of opt_select_limit production */
typedef struct SelectLimit
{
	Node	   *limitOffset;
	Node	   *limitCount;
	LimitOption limitOption;
} SelectLimit;

/* Private struct for the result of group_clause production */
typedef struct GroupClause
{
	bool		distinct;
	List	   *list;
} GroupClause;

/* Private structs for the result of key_actions and key_action productions */
typedef struct KeyAction
{
	char		action;
	List	   *cols;
} KeyAction;

typedef struct KeyActions
{
	KeyAction *updateAction;
	KeyAction *deleteAction;
} KeyActions;

/* ConstraintAttributeSpec yields an integer bitmask of these flags: */
#define CAS_NOT_DEFERRABLE			0x01
#define CAS_DEFERRABLE				0x02
#define CAS_INITIALLY_IMMEDIATE		0x04
#define CAS_INITIALLY_DEFERRED		0x08
#define CAS_NOT_VALID				0x10
#define CAS_NO_INHERIT				0x20


#define parser_yyerror(msg)  scanner_yyerror(msg, yyscanner)
#define parser_errposition(pos)  scanner_errposition(pos, yyscanner)

static void base_yyerror(YYLTYPE *yylloc, core_yyscan_t yyscanner,
						 const char *msg);
static RawStmt *makeRawStmt(Node *stmt, int stmt_location);
static void updateRawStmtEnd(RawStmt *rs, int end_location);
static Node *makeColumnRef(char *colname, List *indirection,
						   int location, core_yyscan_t yyscanner);
static Node *makeTypeCast(Node *arg, TypeName *typename, int location);
static Node *makeStringConst(char *str, int location);
static Node *makeStringConstCast(char *str, int location, TypeName *typename);
static Node *makeIntConst(int val, int location);
static Node *makeFloatConst(char *str, int location);
static Node *makeBoolAConst(bool state, int location);
static Node *makeBitStringConst(char *str, int location);
static Node *makeNullAConst(int location);
static Node *makeAConst(Node *v, int location);
static RoleSpec *makeRoleSpec(RoleSpecType type, int location);
static void check_qualified_name(List *names, core_yyscan_t yyscanner);
static List *check_func_name(List *names, core_yyscan_t yyscanner);
static List *check_indirection(List *indirection, core_yyscan_t yyscanner);
static List *extractArgTypes(List *parameters);
static List *extractAggrArgTypes(List *aggrargs);
static List *makeOrderedSetArgs(List *directargs, List *orderedargs,
								core_yyscan_t yyscanner);
static void insertSelectOptions(SelectStmt *stmt,
								List *sortClause, List *lockingClause,
								SelectLimit *limitClause,
								WithClause *withClause,
								core_yyscan_t yyscanner);
static Node *makeSetOp(SetOperation op, bool all, Node *larg, Node *rarg);
static Node *doNegate(Node *n, int location);
static void doNegateFloat(Float *v);
static Node *makeAndExpr(Node *lexpr, Node *rexpr, int location);
static Node *makeOrExpr(Node *lexpr, Node *rexpr, int location);
static Node *makeNotExpr(Node *expr, int location);
static Node *makeAArrayExpr(List *elements, int location);
static Node *makeSQLValueFunction(SQLValueFunctionOp op, int32 typmod,
								  int location);
static Node *makeXmlExpr(XmlExprOp op, char *name, List *named_args,
						 List *args, int location);
static List *mergeTableFuncParameters(List *func_args, List *columns);
static TypeName *TableFuncTypeName(List *columns);
static RangeVar *makeRangeVarFromAnyName(List *names, int position, core_yyscan_t yyscanner);
static RangeVar *makeRangeVarFromQualifiedName(char *name, List *namelist, int location,
											   core_yyscan_t yyscanner);
static void SplitColQualList(List *qualList,
							 List **constraintList, CollateClause **collClause,
							 core_yyscan_t yyscanner);
static void processCASbits(int cas_bits, int location, const char *constrType,
			   bool *deferrable, bool *initdeferred, bool *not_valid,
			   bool *no_inherit, core_yyscan_t yyscanner);
static PartitionStrategy parsePartitionStrategy(char *strategy);
static void preprocess_pubobj_list(List *pubobjspec_list,
								   core_yyscan_t yyscanner);
static Node *makeRecursiveViewSelect(char *relname, List *aliases, Node *query);


#line 298 "gram.c"

# ifndef YY_CAST
#  ifdef __cplusplus
#   define YY_CAST(Type, Val) static_cast<Type> (Val)
#   define YY_REINTERPRET_CAST(Type, Val) reinterpret_cast<Type> (Val)
#  else
#   define YY_CAST(Type, Val) ((Type) (Val))
#   define YY_REINTERPRET_CAST(Type, Val) ((Type) (Val))
#  endif
# endif
# ifndef YY_NULLPTR
#  if defined __cplusplus
#   if 201103L <= __cplusplus
#    define YY_NULLPTR nullptr
#   else
#    define YY_NULLPTR 0
#   endif
#  else
#   define YY_NULLPTR ((void*)0)
#  endif
# endif

#include "gram.h"
/* Symbol kind.  */
enum yysymbol_kind_t
{
  YYSYMBOL_YYEMPTY = -2,
  YYSYMBOL_YYEOF = 0,                      /* "end of file"  */
  YYSYMBOL_YYerror = 1,                    /* error  */
  YYSYMBOL_YYUNDEF = 2,                    /* "invalid token"  */
  YYSYMBOL_IDENT = 3,                      /* IDENT  */
  YYSYMBOL_UIDENT = 4,                     /* UIDENT  */
  YYSYMBOL_FCONST = 5,                     /* FCONST  */
  YYSYMBOL_SCONST = 6,                     /* SCONST  */
  YYSYMBOL_USCONST = 7,                    /* USCONST  */
  YYSYMBOL_BCONST = 8,                     /* BCONST  */
  YYSYMBOL_XCONST = 9,                     /* XCONST  */
  YYSYMBOL_Op = 10,                        /* Op  */
  YYSYMBOL_ICONST = 11,                    /* ICONST  */
  YYSYMBOL_PARAM = 12,                     /* PARAM  */
  YYSYMBOL_TYPECAST = 13,                  /* TYPECAST  */
  YYSYMBOL_DOT_DOT = 14,                   /* DOT_DOT  */
  YYSYMBOL_COLON_EQUALS = 15,              /* COLON_EQUALS  */
  YYSYMBOL_EQUALS_GREATER = 16,            /* EQUALS_GREATER  */
  YYSYMBOL_LESS_EQUALS = 17,               /* LESS_EQUALS  */
  YYSYMBOL_GREATER_EQUALS = 18,            /* GREATER_EQUALS  */
  YYSYMBOL_NOT_EQUALS = 19,                /* NOT_EQUALS  */
  YYSYMBOL_ABORT_P = 20,                   /* ABORT_P  */
  YYSYMBOL_ABSENT = 21,                    /* ABSENT  */
  YYSYMBOL_ABSOLUTE_P = 22,                /* ABSOLUTE_P  */
  YYSYMBOL_ACCESS = 23,                    /* ACCESS  */
  YYSYMBOL_ACTION = 24,                    /* ACTION  */
  YYSYMBOL_ADD_P = 25,                     /* ADD_P  */
  YYSYMBOL_ADMIN = 26,                     /* ADMIN  */
  YYSYMBOL_AFTER = 27,                     /* AFTER  */
  YYSYMBOL_AGGREGATE = 28,                 /* AGGREGATE  */
  YYSYMBOL_ALL = 29,                       /* ALL  */
  YYSYMBOL_ALSO = 30,                      /* ALSO  */
  YYSYMBOL_ALTER = 31,                     /* ALTER  */
  YYSYMBOL_ALWAYS = 32,                    /* ALWAYS  */
  YYSYMBOL_ANALYSE = 33,                   /* ANALYSE  */
  YYSYMBOL_ANALYZE = 34,                   /* ANALYZE  */
  YYSYMBOL_AND = 35,                       /* AND  */
  YYSYMBOL_ANY = 36,                       /* ANY  */
  YYSYMBOL_ARRAY = 37,                     /* ARRAY  */
  YYSYMBOL_AS = 38,                        /* AS  */
  YYSYMBOL_ASC = 39,                       /* ASC  */
  YYSYMBOL_ASENSITIVE = 40,                /* ASENSITIVE  */
  YYSYMBOL_ASSERTION = 41,                 /* ASSERTION  */
  YYSYMBOL_ASSIGNMENT = 42,                /* ASSIGNMENT  */
  YYSYMBOL_ASYMMETRIC = 43,                /* ASYMMETRIC  */
  YYSYMBOL_ATOMIC = 44,                    /* ATOMIC  */
  YYSYMBOL_AT = 45,                        /* AT  */
  YYSYMBOL_ATTACH = 46,                    /* ATTACH  */
  YYSYMBOL_ATTRIBUTE = 47,                 /* ATTRIBUTE  */
  YYSYMBOL_AUTHORIZATION = 48,             /* AUTHORIZATION  */
  YYSYMBOL_BACKWARD = 49,                  /* BACKWARD  */
  YYSYMBOL_BEFORE = 50,                    /* BEFORE  */
  YYSYMBOL_BEGIN_P = 51,                   /* BEGIN_P  */
  YYSYMBOL_BETWEEN = 52,                   /* BETWEEN  */
  YYSYMBOL_BIGINT = 53,                    /* BIGINT  */
  YYSYMBOL_BINARY = 54,                    /* BINARY  */
  YYSYMBOL_BIT = 55,                       /* BIT  */
  YYSYMBOL_BOOLEAN_P = 56,                 /* BOOLEAN_P  */
  YYSYMBOL_BOTH = 57,                      /* BOTH  */
  YYSYMBOL_BREADTH = 58,                   /* BREADTH  */
  YYSYMBOL_BY = 59,                        /* BY  */
  YYSYMBOL_CACHE = 60,                     /* CACHE  */
  YYSYMBOL_CALL = 61,                      /* CALL  */
  YYSYMBOL_CALLED = 62,                    /* CALLED  */
  YYSYMBOL_CASCADE = 63,                   /* CASCADE  */
  YYSYMBOL_CASCADED = 64,                  /* CASCADED  */
  YYSYMBOL_CASE = 65,                      /* CASE  */
  YYSYMBOL_CAST = 66,                      /* CAST  */
  YYSYMBOL_CATALOG_P = 67,                 /* CATALOG_P  */
  YYSYMBOL_CHAIN = 68,                     /* CHAIN  */
  YYSYMBOL_CHAR_P = 69,                    /* CHAR_P  */
  YYSYMBOL_CHARACTER = 70,                 /* CHARACTER  */
  YYSYMBOL_CHARACTERISTICS = 71,           /* CHARACTERISTICS  */
  YYSYMBOL_CHECK = 72,                     /* CHECK  */
  YYSYMBOL_CHECKPOINT = 73,                /* CHECKPOINT  */
  YYSYMBOL_CLASS = 74,                     /* CLASS  */
  YYSYMBOL_CLOSE = 75,                     /* CLOSE  */
  YYSYMBOL_CLUSTER = 76,                   /* CLUSTER  */
  YYSYMBOL_COALESCE = 77,                  /* COALESCE  */
  YYSYMBOL_COLLATE = 78,                   /* COLLATE  */
  YYSYMBOL_COLLATION = 79,                 /* COLLATION  */
  YYSYMBOL_COLUMN = 80,                    /* COLUMN  */
  YYSYMBOL_COLUMNS = 81,                   /* COLUMNS  */
  YYSYMBOL_COMMENT = 82,                   /* COMMENT  */
  YYSYMBOL_COMMENTS = 83,                  /* COMMENTS  */
  YYSYMBOL_COMMIT = 84,                    /* COMMIT  */
  YYSYMBOL_COMMITTED = 85,                 /* COMMITTED  */
  YYSYMBOL_COMPRESSION = 86,               /* COMPRESSION  */
  YYSYMBOL_CONCURRENTLY = 87,              /* CONCURRENTLY  */
  YYSYMBOL_CONFIGURATION = 88,             /* CONFIGURATION  */
  YYSYMBOL_CONFLICT = 89,                  /* CONFLICT  */
  YYSYMBOL_CONNECTION = 90,                /* CONNECTION  */
  YYSYMBOL_CONSTRAINT = 91,                /* CONSTRAINT  */
  YYSYMBOL_CONSTRAINTS = 92,               /* CONSTRAINTS  */
  YYSYMBOL_CONTENT_P = 93,                 /* CONTENT_P  */
  YYSYMBOL_CONTINUE_P = 94,                /* CONTINUE_P  */
  YYSYMBOL_CONVERSION_P = 95,              /* CONVERSION_P  */
  YYSYMBOL_COPY = 96,                      /* COPY  */
  YYSYMBOL_COST = 97,                      /* COST  */
  YYSYMBOL_CREATE = 98,                    /* CREATE  */
  YYSYMBOL_CROSS = 99,                     /* CROSS  */
  YYSYMBOL_CSV = 100,                      /* CSV  */
  YYSYMBOL_CUBE = 101,                     /* CUBE  */
  YYSYMBOL_CURRENT_P = 102,                /* CURRENT_P  */
  YYSYMBOL_CURRENT_CATALOG = 103,          /* CURRENT_CATALOG  */
  YYSYMBOL_CURRENT_DATE = 104,             /* CURRENT_DATE  */
  YYSYMBOL_CURRENT_ROLE = 105,             /* CURRENT_ROLE  */
  YYSYMBOL_CURRENT_SCHEMA = 106,           /* CURRENT_SCHEMA  */
  YYSYMBOL_CURRENT_TIME = 107,             /* CURRENT_TIME  */
  YYSYMBOL_CURRENT_TIMESTAMP = 108,        /* CURRENT_TIMESTAMP  */
  YYSYMBOL_CURRENT_USER = 109,             /* CURRENT_USER  */
  YYSYMBOL_CURSOR = 110,                   /* CURSOR  */
  YYSYMBOL_CYCLE = 111,                    /* CYCLE  */
  YYSYMBOL_DATA_P = 112,                   /* DATA_P  */
  YYSYMBOL_DATABASE = 113,                 /* DATABASE  */
  YYSYMBOL_DAY_P = 114,                    /* DAY_P  */
  YYSYMBOL_DEALLOCATE = 115,               /* DEALLOCATE  */
  YYSYMBOL_DEC = 116,                      /* DEC  */
  YYSYMBOL_DECIMAL_P = 117,                /* DECIMAL_P  */
  YYSYMBOL_DECLARE = 118,                  /* DECLARE  */
  YYSYMBOL_DEFAULT = 119,                  /* DEFAULT  */
  YYSYMBOL_DEFAULTS = 120,                 /* DEFAULTS  */
  YYSYMBOL_DEFERRABLE = 121,               /* DEFERRABLE  */
  YYSYMBOL_DEFERRED = 122,                 /* DEFERRED  */
  YYSYMBOL_DEFINER = 123,                  /* DEFINER  */
  YYSYMBOL_DELETE_P = 124,                 /* DELETE_P  */
  YYSYMBOL_DELIMITER = 125,                /* DELIMITER  */
  YYSYMBOL_DELIMITERS = 126,               /* DELIMITERS  */
  YYSYMBOL_DEPENDS = 127,                  /* DEPENDS  */
  YYSYMBOL_DEPTH = 128,                    /* DEPTH  */
  YYSYMBOL_DESC = 129,                     /* DESC  */
  YYSYMBOL_DETACH = 130,                   /* DETACH  */
  YYSYMBOL_DICTIONARY = 131,               /* DICTIONARY  */
  YYSYMBOL_DISABLE_P = 132,                /* DISABLE_P  */
  YYSYMBOL_DISCARD = 133,                  /* DISCARD  */
  YYSYMBOL_DISTINCT = 134,                 /* DISTINCT  */
  YYSYMBOL_DO = 135,                       /* DO  */
  YYSYMBOL_DOCUMENT_P = 136,               /* DOCUMENT_P  */
  YYSYMBOL_DOMAIN_P = 137,                 /* DOMAIN_P  */
  YYSYMBOL_DOUBLE_P = 138,                 /* DOUBLE_P  */
  YYSYMBOL_DROP = 139,                     /* DROP  */
  YYSYMBOL_EACH = 140,                     /* EACH  */
  YYSYMBOL_ELSE = 141,                     /* ELSE  */
  YYSYMBOL_ENABLE_P = 142,                 /* ENABLE_P  */
  YYSYMBOL_ENCODING = 143,                 /* ENCODING  */
  YYSYMBOL_ENCRYPTED = 144,                /* ENCRYPTED  */
  YYSYMBOL_END_P = 145,                    /* END_P  */
  YYSYMBOL_ENUM_P = 146,                   /* ENUM_P  */
  YYSYMBOL_ESCAPE = 147,                   /* ESCAPE  */
  YYSYMBOL_EVENT = 148,                    /* EVENT  */
  YYSYMBOL_EXCEPT = 149,                   /* EXCEPT  */
  YYSYMBOL_EXCLUDE = 150,                  /* EXCLUDE  */
  YYSYMBOL_EXCLUDING = 151,                /* EXCLUDING  */
  YYSYMBOL_EXCLUSIVE = 152,                /* EXCLUSIVE  */
  YYSYMBOL_EXECUTE = 153,                  /* EXECUTE  */
  YYSYMBOL_EXISTS = 154,                   /* EXISTS  */
  YYSYMBOL_EXPLAIN = 155,                  /* EXPLAIN  */
  YYSYMBOL_EXPRESSION = 156,               /* EXPRESSION  */
  YYSYMBOL_EXTENSION = 157,                /* EXTENSION  */
  YYSYMBOL_EXTERNAL = 158,                 /* EXTERNAL  */
  YYSYMBOL_EXTRACT = 159,                  /* EXTRACT  */
  YYSYMBOL_FALSE_P = 160,                  /* FALSE_P  */
  YYSYMBOL_FAMILY = 161,                   /* FAMILY  */
  YYSYMBOL_FETCH = 162,                    /* FETCH  */
  YYSYMBOL_FILTER = 163,                   /* FILTER  */
  YYSYMBOL_FINALIZE = 164,                 /* FINALIZE  */
  YYSYMBOL_FIRST_P = 165,                  /* FIRST_P  */
  YYSYMBOL_FLOAT_P = 166,                  /* FLOAT_P  */
  YYSYMBOL_FOLLOWING = 167,                /* FOLLOWING  */
  YYSYMBOL_FOR = 168,                      /* FOR  */
  YYSYMBOL_FORCE = 169,                    /* FORCE  */
  YYSYMBOL_FOREIGN = 170,                  /* FOREIGN  */
  YYSYMBOL_FORMAT = 171,                   /* FORMAT  */
  YYSYMBOL_FORWARD = 172,                  /* FORWARD  */
  YYSYMBOL_FREEZE = 173,                   /* FREEZE  */
  YYSYMBOL_FROM = 174,                     /* FROM  */
  YYSYMBOL_FULL = 175,                     /* FULL  */
  YYSYMBOL_FUNCTION = 176,                 /* FUNCTION  */
  YYSYMBOL_FUNCTIONS = 177,                /* FUNCTIONS  */
  YYSYMBOL_GENERATED = 178,                /* GENERATED  */
  YYSYMBOL_GLOBAL = 179,                   /* GLOBAL  */
  YYSYMBOL_GRANT = 180,                    /* GRANT  */
  YYSYMBOL_GRANTED = 181,                  /* GRANTED  */
  YYSYMBOL_GREATEST = 182,                 /* GREATEST  */
  YYSYMBOL_GROUP_P = 183,                  /* GROUP_P  */
  YYSYMBOL_GROUPING = 184,                 /* GROUPING  */
  YYSYMBOL_GROUPS = 185,                   /* GROUPS  */
  YYSYMBOL_HANDLER = 186,                  /* HANDLER  */
  YYSYMBOL_HAVING = 187,                   /* HAVING  */
  YYSYMBOL_HEADER_P = 188,                 /* HEADER_P  */
  YYSYMBOL_HOLD = 189,                     /* HOLD  */
  YYSYMBOL_HOUR_P = 190,                   /* HOUR_P  */
  YYSYMBOL_IDENTITY_P = 191,               /* IDENTITY_P  */
  YYSYMBOL_IF_P = 192,                     /* IF_P  */
  YYSYMBOL_ILIKE = 193,                    /* ILIKE  */
  YYSYMBOL_IMMEDIATE = 194,                /* IMMEDIATE  */
  YYSYMBOL_IMMUTABLE = 195,                /* IMMUTABLE  */
  YYSYMBOL_IMPLICIT_P = 196,               /* IMPLICIT_P  */
  YYSYMBOL_IMPORT_P = 197,                 /* IMPORT_P  */
  YYSYMBOL_IN_P = 198,                     /* IN_P  */
  YYSYMBOL_INCLUDE = 199,                  /* INCLUDE  */
  YYSYMBOL_INCLUDING = 200,                /* INCLUDING  */
  YYSYMBOL_INCREMENT = 201,                /* INCREMENT  */
  YYSYMBOL_INDENT = 202,                   /* INDENT  */
  YYSYMBOL_INDEX = 203,                    /* INDEX  */
  YYSYMBOL_INDEXES = 204,                  /* INDEXES  */
  YYSYMBOL_INHERIT = 205,                  /* INHERIT  */
  YYSYMBOL_INHERITS = 206,                 /* INHERITS  */
  YYSYMBOL_INITIALLY = 207,                /* INITIALLY  */
  YYSYMBOL_INLINE_P = 208,                 /* INLINE_P  */
  YYSYMBOL_INNER_P = 209,                  /* INNER_P  */
  YYSYMBOL_INOUT = 210,                    /* INOUT  */
  YYSYMBOL_INPUT_P = 211,                  /* INPUT_P  */
  YYSYMBOL_INSENSITIVE = 212,              /* INSENSITIVE  */
  YYSYMBOL_INSERT = 213,                   /* INSERT  */
  YYSYMBOL_INSTEAD = 214,                  /* INSTEAD  */
  YYSYMBOL_INT_P = 215,                    /* INT_P  */
  YYSYMBOL_INTEGER = 216,                  /* INTEGER  */
  YYSYMBOL_INTERSECT = 217,                /* INTERSECT  */
  YYSYMBOL_INTERVAL = 218,                 /* INTERVAL  */
  YYSYMBOL_INTO = 219,                     /* INTO  */
  YYSYMBOL_INVOKER = 220,                  /* INVOKER  */
  YYSYMBOL_IS = 221,                       /* IS  */
  YYSYMBOL_ISNULL = 222,                   /* ISNULL  */
  YYSYMBOL_ISOLATION = 223,                /* ISOLATION  */
  YYSYMBOL_JOIN = 224,                     /* JOIN  */
  YYSYMBOL_JSON = 225,                     /* JSON  */
  YYSYMBOL_JSON_ARRAY = 226,               /* JSON_ARRAY  */
  YYSYMBOL_JSON_ARRAYAGG = 227,            /* JSON_ARRAYAGG  */
  YYSYMBOL_JSON_OBJECT = 228,              /* JSON_OBJECT  */
  YYSYMBOL_JSON_OBJECTAGG = 229,           /* JSON_OBJECTAGG  */
  YYSYMBOL_JSON_SCALAR = 230,              /* JSON_SCALAR  */
  YYSYMBOL_JSON_SERIALIZE = 231,           /* JSON_SERIALIZE  */
  YYSYMBOL_KEY = 232,                      /* KEY  */
  YYSYMBOL_KEYS = 233,                     /* KEYS  */
  YYSYMBOL_LABEL = 234,                    /* LABEL  */
  YYSYMBOL_LANGUAGE = 235,                 /* LANGUAGE  */
  YYSYMBOL_LARGE_P = 236,                  /* LARGE_P  */
  YYSYMBOL_LAST_P = 237,                   /* LAST_P  */
  YYSYMBOL_LATERAL_P = 238,                /* LATERAL_P  */
  YYSYMBOL_LEADING = 239,                  /* LEADING  */
  YYSYMBOL_LEAKPROOF = 240,                /* LEAKPROOF  */
  YYSYMBOL_LEAST = 241,                    /* LEAST  */
  YYSYMBOL_LEFT = 242,                     /* LEFT  */
  YYSYMBOL_LEVEL = 243,                    /* LEVEL  */
  YYSYMBOL_LIKE = 244,                     /* LIKE  */
  YYSYMBOL_LIMIT = 245,                    /* LIMIT  */
  YYSYMBOL_LISTEN = 246,                   /* LISTEN  */
  YYSYMBOL_LOAD = 247,                     /* LOAD  */
  YYSYMBOL_LOCAL = 248,                    /* LOCAL  */
  YYSYMBOL_LOCALTIME = 249,                /* LOCALTIME  */
  YYSYMBOL_LOCALTIMESTAMP = 250,           /* LOCALTIMESTAMP  */
  YYSYMBOL_LOCATION = 251,                 /* LOCATION  */
  YYSYMBOL_LOCK_P = 252,                   /* LOCK_P  */
  YYSYMBOL_LOCKED = 253,                   /* LOCKED  */
  YYSYMBOL_LOGGED = 254,                   /* LOGGED  */
  YYSYMBOL_MAPPING = 255,                  /* MAPPING  */
  YYSYMBOL_MATCH = 256,                    /* MATCH  */
  YYSYMBOL_MATCHED = 257,                  /* MATCHED  */
  YYSYMBOL_MATERIALIZED = 258,             /* MATERIALIZED  */
  YYSYMBOL_MAXVALUE = 259,                 /* MAXVALUE  */
  YYSYMBOL_MERGE = 260,                    /* MERGE  */
  YYSYMBOL_METHOD = 261,                   /* METHOD  */
  YYSYMBOL_MINUTE_P = 262,                 /* MINUTE_P  */
  YYSYMBOL_MINVALUE = 263,                 /* MINVALUE  */
  YYSYMBOL_MODE = 264,                     /* MODE  */
  YYSYMBOL_MONTH_P = 265,                  /* MONTH_P  */
  YYSYMBOL_MOVE = 266,                     /* MOVE  */
  YYSYMBOL_NAME_P = 267,                   /* NAME_P  */
  YYSYMBOL_NAMES = 268,                    /* NAMES  */
  YYSYMBOL_NATIONAL = 269,                 /* NATIONAL  */
  YYSYMBOL_NATURAL = 270,                  /* NATURAL  */
  YYSYMBOL_NCHAR = 271,                    /* NCHAR  */
  YYSYMBOL_NEW = 272,                      /* NEW  */
  YYSYMBOL_NEXT = 273,                     /* NEXT  */
  YYSYMBOL_NFC = 274,                      /* NFC  */
  YYSYMBOL_NFD = 275,                      /* NFD  */
  YYSYMBOL_NFKC = 276,                     /* NFKC  */
  YYSYMBOL_NFKD = 277,                     /* NFKD  */
  YYSYMBOL_NO = 278,                       /* NO  */
  YYSYMBOL_NONE = 279,                     /* NONE  */
  YYSYMBOL_NORMALIZE = 280,                /* NORMALIZE  */
  YYSYMBOL_NORMALIZED = 281,               /* NORMALIZED  */
  YYSYMBOL_NOT = 282,                      /* NOT  */
  YYSYMBOL_NOTHING = 283,                  /* NOTHING  */
  YYSYMBOL_NOTIFY = 284,                   /* NOTIFY  */
  YYSYMBOL_NOTNULL = 285,                  /* NOTNULL  */
  YYSYMBOL_NOWAIT = 286,                   /* NOWAIT  */
  YYSYMBOL_NULL_P = 287,                   /* NULL_P  */
  YYSYMBOL_NULLIF = 288,                   /* NULLIF  */
  YYSYMBOL_NULLS_P = 289,                  /* NULLS_P  */
  YYSYMBOL_NUMERIC = 290,                  /* NUMERIC  */
  YYSYMBOL_OBJECT_P = 291,                 /* OBJECT_P  */
  YYSYMBOL_OF = 292,                       /* OF  */
  YYSYMBOL_OFF = 293,                      /* OFF  */
  YYSYMBOL_OFFSET = 294,                   /* OFFSET  */
  YYSYMBOL_OIDS = 295,                     /* OIDS  */
  YYSYMBOL_OLD = 296,                      /* OLD  */
  YYSYMBOL_ON = 297,                       /* ON  */
  YYSYMBOL_ONLY = 298,                     /* ONLY  */
  YYSYMBOL_OPERATOR = 299,                 /* OPERATOR  */
  YYSYMBOL_OPTION = 300,                   /* OPTION  */
  YYSYMBOL_OPTIONS = 301,                  /* OPTIONS  */
  YYSYMBOL_OR = 302,                       /* OR  */
  YYSYMBOL_ORDER = 303,                    /* ORDER  */
  YYSYMBOL_ORDINALITY = 304,               /* ORDINALITY  */
  YYSYMBOL_OTHERS = 305,                   /* OTHERS  */
  YYSYMBOL_OUT_P = 306,                    /* OUT_P  */
  YYSYMBOL_OUTER_P = 307,                  /* OUTER_P  */
  YYSYMBOL_OVER = 308,                     /* OVER  */
  YYSYMBOL_OVERLAPS = 309,                 /* OVERLAPS  */
  YYSYMBOL_OVERLAY = 310,                  /* OVERLAY  */
  YYSYMBOL_OVERRIDING = 311,               /* OVERRIDING  */
  YYSYMBOL_OWNED = 312,                    /* OWNED  */
  YYSYMBOL_OWNER = 313,                    /* OWNER  */
  YYSYMBOL_PARALLEL = 314,                 /* PARALLEL  */
  YYSYMBOL_PARAMETER = 315,                /* PARAMETER  */
  YYSYMBOL_PARSER = 316,                   /* PARSER  */
  YYSYMBOL_PARTIAL = 317,                  /* PARTIAL  */
  YYSYMBOL_PARTITION = 318,                /* PARTITION  */
  YYSYMBOL_PASSING = 319,                  /* PASSING  */
  YYSYMBOL_PASSWORD = 320,                 /* PASSWORD  */
  YYSYMBOL_PLACING = 321,                  /* PLACING  */
  YYSYMBOL_PLANS = 322,                    /* PLANS  */
  YYSYMBOL_POLICY = 323,                   /* POLICY  */
  YYSYMBOL_POSITION = 324,                 /* POSITION  */
  YYSYMBOL_PRECEDING = 325,                /* PRECEDING  */
  YYSYMBOL_PRECISION = 326,                /* PRECISION  */
  YYSYMBOL_PRESERVE = 327,                 /* PRESERVE  */
  YYSYMBOL_PREPARE = 328,                  /* PREPARE  */
  YYSYMBOL_PREPARED = 329,                 /* PREPARED  */
  YYSYMBOL_PRIMARY = 330,                  /* PRIMARY  */
  YYSYMBOL_PRIOR = 331,                    /* PRIOR  */
  YYSYMBOL_PRIVILEGES = 332,               /* PRIVILEGES  */
  YYSYMBOL_PROCEDURAL = 333,               /* PROCEDURAL  */
  YYSYMBOL_PROCEDURE = 334,                /* PROCEDURE  */
  YYSYMBOL_PROCEDURES = 335,               /* PROCEDURES  */
  YYSYMBOL_PROGRAM = 336,                  /* PROGRAM  */
  YYSYMBOL_PUBLICATION = 337,              /* PUBLICATION  */
  YYSYMBOL_QUOTE = 338,                    /* QUOTE  */
  YYSYMBOL_RANGE = 339,                    /* RANGE  */
  YYSYMBOL_READ = 340,                     /* READ  */
  YYSYMBOL_REAL = 341,                     /* REAL  */
  YYSYMBOL_REASSIGN = 342,                 /* REASSIGN  */
  YYSYMBOL_RECHECK = 343,                  /* RECHECK  */
  YYSYMBOL_RECURSIVE = 344,                /* RECURSIVE  */
  YYSYMBOL_REF_P = 345,                    /* REF_P  */
  YYSYMBOL_REFERENCES = 346,               /* REFERENCES  */
  YYSYMBOL_REFERENCING = 347,              /* REFERENCING  */
  YYSYMBOL_REFRESH = 348,                  /* REFRESH  */
  YYSYMBOL_REINDEX = 349,                  /* REINDEX  */
  YYSYMBOL_RELATIVE_P = 350,               /* RELATIVE_P  */
  YYSYMBOL_RELEASE = 351,                  /* RELEASE  */
  YYSYMBOL_RENAME = 352,                   /* RENAME  */
  YYSYMBOL_REPEATABLE = 353,               /* REPEATABLE  */
  YYSYMBOL_REPLACE = 354,                  /* REPLACE  */
  YYSYMBOL_REPLICA = 355,                  /* REPLICA  */
  YYSYMBOL_RESET = 356,                    /* RESET  */
  YYSYMBOL_RESTART = 357,                  /* RESTART  */
  YYSYMBOL_RESTRICT = 358,                 /* RESTRICT  */
  YYSYMBOL_RETURN = 359,                   /* RETURN  */
  YYSYMBOL_RETURNING = 360,                /* RETURNING  */
  YYSYMBOL_RETURNS = 361,                  /* RETURNS  */
  YYSYMBOL_REVOKE = 362,                   /* REVOKE  */
  YYSYMBOL_RIGHT = 363,                    /* RIGHT  */
  YYSYMBOL_ROLE = 364,                     /* ROLE  */
  YYSYMBOL_ROLLBACK = 365,                 /* ROLLBACK  */
  YYSYMBOL_ROLLUP = 366,                   /* ROLLUP  */
  YYSYMBOL_ROUTINE = 367,                  /* ROUTINE  */
  YYSYMBOL_ROUTINES = 368,                 /* ROUTINES  */
  YYSYMBOL_ROW = 369,                      /* ROW  */
  YYSYMBOL_ROWS = 370,                     /* ROWS  */
  YYSYMBOL_RULE = 371,                     /* RULE  */
  YYSYMBOL_SAVEPOINT = 372,                /* SAVEPOINT  */
  YYSYMBOL_SCALAR = 373,                   /* SCALAR  */
  YYSYMBOL_SCHEMA = 374,                   /* SCHEMA  */
  YYSYMBOL_SCHEMAS = 375,                  /* SCHEMAS  */
  YYSYMBOL_SCROLL = 376,                   /* SCROLL  */
  YYSYMBOL_SEARCH = 377,                   /* SEARCH  */
  YYSYMBOL_SECOND_P = 378,                 /* SECOND_P  */
  YYSYMBOL_SECURITY = 379,                 /* SECURITY  */
  YYSYMBOL_SELECT = 380,                   /* SELECT  */
  YYSYMBOL_SEQUENCE = 381,                 /* SEQUENCE  */
  YYSYMBOL_SEQUENCES = 382,                /* SEQUENCES  */
  YYSYMBOL_SERIALIZABLE = 383,             /* SERIALIZABLE  */
  YYSYMBOL_SERVER = 384,                   /* SERVER  */
  YYSYMBOL_SESSION = 385,                  /* SESSION  */
  YYSYMBOL_SESSION_USER = 386,             /* SESSION_USER  */
  YYSYMBOL_SET = 387,                      /* SET  */
  YYSYMBOL_SETS = 388,                     /* SETS  */
  YYSYMBOL_SETOF = 389,                    /* SETOF  */
  YYSYMBOL_SHARE = 390,                    /* SHARE  */
  YYSYMBOL_SHOW = 391,                     /* SHOW  */
  YYSYMBOL_SIMILAR = 392,                  /* SIMILAR  */
  YYSYMBOL_SIMPLE = 393,                   /* SIMPLE  */
  YYSYMBOL_SKIP = 394,                     /* SKIP  */
  YYSYMBOL_SMALLINT = 395,                 /* SMALLINT  */
  YYSYMBOL_SNAPSHOT = 396,                 /* SNAPSHOT  */
  YYSYMBOL_SOME = 397,                     /* SOME  */
  YYSYMBOL_SQL_P = 398,                    /* SQL_P  */
  YYSYMBOL_STABLE = 399,                   /* STABLE  */
  YYSYMBOL_STANDALONE_P = 400,             /* STANDALONE_P  */
  YYSYMBOL_START = 401,                    /* START  */
  YYSYMBOL_STATEMENT = 402,                /* STATEMENT  */
  YYSYMBOL_STATISTICS = 403,               /* STATISTICS  */
  YYSYMBOL_STDIN = 404,                    /* STDIN  */
  YYSYMBOL_STDOUT = 405,                   /* STDOUT  */
  YYSYMBOL_STORAGE = 406,                  /* STORAGE  */
  YYSYMBOL_STORED = 407,                   /* STORED  */
  YYSYMBOL_STRICT_P = 408,                 /* STRICT_P  */
  YYSYMBOL_STRIP_P = 409,                  /* STRIP_P  */
  YYSYMBOL_SUBSCRIPTION = 410,             /* SUBSCRIPTION  */
  YYSYMBOL_SUBSTRING = 411,                /* SUBSTRING  */
  YYSYMBOL_SUPPORT = 412,                  /* SUPPORT  */
  YYSYMBOL_SYMMETRIC = 413,                /* SYMMETRIC  */
  YYSYMBOL_SYSID = 414,                    /* SYSID  */
  YYSYMBOL_SYSTEM_P = 415,                 /* SYSTEM_P  */
  YYSYMBOL_SYSTEM_USER = 416,              /* SYSTEM_USER  */
  YYSYMBOL_TABLE = 417,                    /* TABLE  */
  YYSYMBOL_TABLES = 418,                   /* TABLES  */
  YYSYMBOL_TABLESAMPLE = 419,              /* TABLESAMPLE  */
  YYSYMBOL_TABLESPACE = 420,               /* TABLESPACE  */
  YYSYMBOL_TEMP = 421,                     /* TEMP  */
  YYSYMBOL_TEMPLATE = 422,                 /* TEMPLATE  */
  YYSYMBOL_TEMPORARY = 423,                /* TEMPORARY  */
  YYSYMBOL_TEXT_P = 424,                   /* TEXT_P  */
  YYSYMBOL_THEN = 425,                     /* THEN  */
  YYSYMBOL_TIES = 426,                     /* TIES  */
  YYSYMBOL_TIME = 427,                     /* TIME  */
  YYSYMBOL_TIMESTAMP = 428,                /* TIMESTAMP  */
  YYSYMBOL_TO = 429,                       /* TO  */
  YYSYMBOL_TRAILING = 430,                 /* TRAILING  */
  YYSYMBOL_TRANSACTION = 431,              /* TRANSACTION  */
  YYSYMBOL_TRANSFORM = 432,                /* TRANSFORM  */
  YYSYMBOL_TREAT = 433,                    /* TREAT  */
  YYSYMBOL_TRIGGER = 434,                  /* TRIGGER  */
  YYSYMBOL_TRIM = 435,                     /* TRIM  */
  YYSYMBOL_TRUE_P = 436,                   /* TRUE_P  */
  YYSYMBOL_TRUNCATE = 437,                 /* TRUNCATE  */
  YYSYMBOL_TRUSTED = 438,                  /* TRUSTED  */
  YYSYMBOL_TYPE_P = 439,                   /* TYPE_P  */
  YYSYMBOL_TYPES_P = 440,                  /* TYPES_P  */
  YYSYMBOL_UESCAPE = 441,                  /* UESCAPE  */
  YYSYMBOL_UNBOUNDED = 442,                /* UNBOUNDED  */
  YYSYMBOL_UNCOMMITTED = 443,              /* UNCOMMITTED  */
  YYSYMBOL_UNENCRYPTED = 444,              /* UNENCRYPTED  */
  YYSYMBOL_UNION = 445,                    /* UNION  */
  YYSYMBOL_UNIQUE = 446,                   /* UNIQUE  */
  YYSYMBOL_UNKNOWN = 447,                  /* UNKNOWN  */
  YYSYMBOL_UNLISTEN = 448,                 /* UNLISTEN  */
  YYSYMBOL_UNLOGGED = 449,                 /* UNLOGGED  */
  YYSYMBOL_UNTIL = 450,                    /* UNTIL  */
  YYSYMBOL_UPDATE = 451,                   /* UPDATE  */
  YYSYMBOL_USER = 452,                     /* USER  */
  YYSYMBOL_USING = 453,                    /* USING  */
  YYSYMBOL_VACUUM = 454,                   /* VACUUM  */
  YYSYMBOL_VALID = 455,                    /* VALID  */
  YYSYMBOL_VALIDATE = 456,                 /* VALIDATE  */
  YYSYMBOL_VALIDATOR = 457,                /* VALIDATOR  */
  YYSYMBOL_VALUE_P = 458,                  /* VALUE_P  */
  YYSYMBOL_VALUES = 459,                   /* VALUES  */
  YYSYMBOL_VARCHAR = 460,                  /* VARCHAR  */
  YYSYMBOL_VARIADIC = 461,                 /* VARIADIC  */
  YYSYMBOL_VARYING = 462,                  /* VARYING  */
  YYSYMBOL_VERBOSE = 463,                  /* VERBOSE  */
  YYSYMBOL_VERSION_P = 464,                /* VERSION_P  */
  YYSYMBOL_VIEW = 465,                     /* VIEW  */
  YYSYMBOL_VIEWS = 466,                    /* VIEWS  */
  YYSYMBOL_VOLATILE = 467,                 /* VOLATILE  */
  YYSYMBOL_WHEN = 468,                     /* WHEN  */
  YYSYMBOL_WHERE = 469,                    /* WHERE  */
  YYSYMBOL_WHITESPACE_P = 470,             /* WHITESPACE_P  */
  YYSYMBOL_WINDOW = 471,                   /* WINDOW  */
  YYSYMBOL_WITH = 472,                     /* WITH  */
  YYSYMBOL_WITHIN = 473,                   /* WITHIN  */
  YYSYMBOL_WITHOUT = 474,                  /* WITHOUT  */
  YYSYMBOL_WORK = 475,                     /* WORK  */
  YYSYMBOL_WRAPPER = 476,                  /* WRAPPER  */
  YYSYMBOL_WRITE = 477,                    /* WRITE  */
  YYSYMBOL_XML_P = 478,                    /* XML_P  */
  YYSYMBOL_XMLATTRIBUTES = 479,            /* XMLATTRIBUTES  */
  YYSYMBOL_XMLCONCAT = 480,                /* XMLCONCAT  */
  YYSYMBOL_XMLELEMENT = 481,               /* XMLELEMENT  */
  YYSYMBOL_XMLEXISTS = 482,                /* XMLEXISTS  */
  YYSYMBOL_XMLFOREST = 483,                /* XMLFOREST  */
  YYSYMBOL_XMLNAMESPACES = 484,            /* XMLNAMESPACES  */
  YYSYMBOL_XMLPARSE = 485,                 /* XMLPARSE  */
  YYSYMBOL_XMLPI = 486,                    /* XMLPI  */
  YYSYMBOL_XMLROOT = 487,                  /* XMLROOT  */
  YYSYMBOL_XMLSERIALIZE = 488,             /* XMLSERIALIZE  */
  YYSYMBOL_XMLTABLE = 489,                 /* XMLTABLE  */
  YYSYMBOL_YEAR_P = 490,                   /* YEAR_P  */
  YYSYMBOL_YES_P = 491,                    /* YES_P  */
  YYSYMBOL_ZONE = 492,                     /* ZONE  */
  YYSYMBOL_FORMAT_LA = 493,                /* FORMAT_LA  */
  YYSYMBOL_NOT_LA = 494,                   /* NOT_LA  */
  YYSYMBOL_NULLS_LA = 495,                 /* NULLS_LA  */
  YYSYMBOL_WITH_LA = 496,                  /* WITH_LA  */
  YYSYMBOL_WITHOUT_LA = 497,               /* WITHOUT_LA  */
  YYSYMBOL_MODE_TYPE_NAME = 498,           /* MODE_TYPE_NAME  */
  YYSYMBOL_MODE_PLPGSQL_EXPR = 499,        /* MODE_PLPGSQL_EXPR  */
  YYSYMBOL_MODE_PLPGSQL_ASSIGN1 = 500,     /* MODE_PLPGSQL_ASSIGN1  */
  YYSYMBOL_MODE_PLPGSQL_ASSIGN2 = 501,     /* MODE_PLPGSQL_ASSIGN2  */
  YYSYMBOL_MODE_PLPGSQL_ASSIGN3 = 502,     /* MODE_PLPGSQL_ASSIGN3  */
  YYSYMBOL_503_ = 503,                     /* '<'  */
  YYSYMBOL_504_ = 504,                     /* '>'  */
  YYSYMBOL_505_ = 505,                     /* '='  */
  YYSYMBOL_506_ = 506,                     /* '+'  */
  YYSYMBOL_507_ = 507,                     /* '-'  */
  YYSYMBOL_508_ = 508,                     /* '*'  */
  YYSYMBOL_509_ = 509,                     /* '/'  */
  YYSYMBOL_510_ = 510,                     /* '%'  */
  YYSYMBOL_511_ = 511,                     /* '^'  */
  YYSYMBOL_UMINUS = 512,                   /* UMINUS  */
  YYSYMBOL_513_ = 513,                     /* '['  */
  YYSYMBOL_514_ = 514,                     /* ']'  */
  YYSYMBOL_515_ = 515,                     /* '('  */
  YYSYMBOL_516_ = 516,                     /* ')'  */
  YYSYMBOL_517_ = 517,                     /* '.'  */
  YYSYMBOL_518_ = 518,                     /* ';'  */
  YYSYMBOL_519_ = 519,                     /* ','  */
  YYSYMBOL_520_ = 520,                     /* ':'  */
  YYSYMBOL_YYACCEPT = 521,                 /* $accept  */
  YYSYMBOL_parse_toplevel = 522,           /* parse_toplevel  */
  YYSYMBOL_stmtmulti = 523,                /* stmtmulti  */
  YYSYMBOL_toplevel_stmt = 524,            /* toplevel_stmt  */
  YYSYMBOL_stmt = 525,                     /* stmt  */
  YYSYMBOL_opt_single_name = 526,          /* opt_single_name  */
  YYSYMBOL_opt_qualified_name = 527,       /* opt_qualified_name  */
  YYSYMBOL_opt_concurrently = 528,         /* opt_concurrently  */
  YYSYMBOL_opt_drop_behavior = 529,        /* opt_drop_behavior  */
  YYSYMBOL_CallStmt = 530,                 /* CallStmt  */
  YYSYMBOL_CreateRoleStmt = 531,           /* CreateRoleStmt  */
  YYSYMBOL_opt_with = 532,                 /* opt_with  */
  YYSYMBOL_OptRoleList = 533,              /* OptRoleList  */
  YYSYMBOL_AlterOptRoleList = 534,         /* AlterOptRoleList  */
  YYSYMBOL_AlterOptRoleElem = 535,         /* AlterOptRoleElem  */
  YYSYMBOL_CreateOptRoleElem = 536,        /* CreateOptRoleElem  */
  YYSYMBOL_CreateUserStmt = 537,           /* CreateUserStmt  */
  YYSYMBOL_AlterRoleStmt = 538,            /* AlterRoleStmt  */
  YYSYMBOL_opt_in_database = 539,          /* opt_in_database  */
  YYSYMBOL_AlterRoleSetStmt = 540,         /* AlterRoleSetStmt  */
  YYSYMBOL_DropRoleStmt = 541,             /* DropRoleStmt  */
  YYSYMBOL_CreateGroupStmt = 542,          /* CreateGroupStmt  */
  YYSYMBOL_AlterGroupStmt = 543,           /* AlterGroupStmt  */
  YYSYMBOL_add_drop = 544,                 /* add_drop  */
  YYSYMBOL_CreateSchemaStmt = 545,         /* CreateSchemaStmt  */
  YYSYMBOL_OptSchemaEltList = 546,         /* OptSchemaEltList  */
  YYSYMBOL_schema_stmt = 547,              /* schema_stmt  */
  YYSYMBOL_VariableSetStmt = 548,          /* VariableSetStmt  */
  YYSYMBOL_set_rest = 549,                 /* set_rest  */
  YYSYMBOL_generic_set = 550,              /* generic_set  */
  YYSYMBOL_set_rest_more = 551,            /* set_rest_more  */
  YYSYMBOL_var_name = 552,                 /* var_name  */
  YYSYMBOL_var_list = 553,                 /* var_list  */
  YYSYMBOL_var_value = 554,                /* var_value  */
  YYSYMBOL_iso_level = 555,                /* iso_level  */
  YYSYMBOL_opt_boolean_or_string = 556,    /* opt_boolean_or_string  */
  YYSYMBOL_zone_value = 557,               /* zone_value  */
  YYSYMBOL_opt_encoding = 558,             /* opt_encoding  */
  YYSYMBOL_NonReservedWord_or_Sconst = 559, /* NonReservedWord_or_Sconst  */
  YYSYMBOL_VariableResetStmt = 560,        /* VariableResetStmt  */
  YYSYMBOL_reset_rest = 561,               /* reset_rest  */
  YYSYMBOL_generic_reset = 562,            /* generic_reset  */
  YYSYMBOL_SetResetClause = 563,           /* SetResetClause  */
  YYSYMBOL_FunctionSetResetClause = 564,   /* FunctionSetResetClause  */
  YYSYMBOL_VariableShowStmt = 565,         /* VariableShowStmt  */
  YYSYMBOL_ConstraintsSetStmt = 566,       /* ConstraintsSetStmt  */
  YYSYMBOL_constraints_set_list = 567,     /* constraints_set_list  */
  YYSYMBOL_constraints_set_mode = 568,     /* constraints_set_mode  */
  YYSYMBOL_CheckPointStmt = 569,           /* CheckPointStmt  */
  YYSYMBOL_DiscardStmt = 570,              /* DiscardStmt  */
  YYSYMBOL_AlterTableStmt = 571,           /* AlterTableStmt  */
  YYSYMBOL_alter_table_cmds = 572,         /* alter_table_cmds  */
  YYSYMBOL_partition_cmd = 573,            /* partition_cmd  */
  YYSYMBOL_index_partition_cmd = 574,      /* index_partition_cmd  */
  YYSYMBOL_alter_table_cmd = 575,          /* alter_table_cmd  */
  YYSYMBOL_alter_column_default = 576,     /* alter_column_default  */
  YYSYMBOL_opt_collate_clause = 577,       /* opt_collate_clause  */
  YYSYMBOL_alter_using = 578,              /* alter_using  */
  YYSYMBOL_replica_identity = 579,         /* replica_identity  */
  YYSYMBOL_reloptions = 580,               /* reloptions  */
  YYSYMBOL_opt_reloptions = 581,           /* opt_reloptions  */
  YYSYMBOL_reloption_list = 582,           /* reloption_list  */
  YYSYMBOL_reloption_elem = 583,           /* reloption_elem  */
  YYSYMBOL_alter_identity_column_option_list = 584, /* alter_identity_column_option_list  */
  YYSYMBOL_alter_identity_column_option = 585, /* alter_identity_column_option  */
  YYSYMBOL_set_statistics_value = 586,     /* set_statistics_value  */
  YYSYMBOL_set_access_method_name = 587,   /* set_access_method_name  */
  YYSYMBOL_PartitionBoundSpec = 588,       /* PartitionBoundSpec  */
  YYSYMBOL_hash_partbound_elem = 589,      /* hash_partbound_elem  */
  YYSYMBOL_hash_partbound = 590,           /* hash_partbound  */
  YYSYMBOL_AlterCompositeTypeStmt = 591,   /* AlterCompositeTypeStmt  */
  YYSYMBOL_alter_type_cmds = 592,          /* alter_type_cmds  */
  YYSYMBOL_alter_type_cmd = 593,           /* alter_type_cmd  */
  YYSYMBOL_ClosePortalStmt = 594,          /* ClosePortalStmt  */
  YYSYMBOL_CopyStmt = 595,                 /* CopyStmt  */
  YYSYMBOL_copy_from = 596,                /* copy_from  */
  YYSYMBOL_opt_program = 597,              /* opt_program  */
  YYSYMBOL_copy_file_name = 598,           /* copy_file_name  */
  YYSYMBOL_copy_options = 599,             /* copy_options  */
  YYSYMBOL_copy_opt_list = 600,            /* copy_opt_list  */
  YYSYMBOL_copy_opt_item = 601,            /* copy_opt_item  */
  YYSYMBOL_opt_binary = 602,               /* opt_binary  */
  YYSYMBOL_copy_delimiter = 603,           /* copy_delimiter  */
  YYSYMBOL_opt_using = 604,                /* opt_using  */
  YYSYMBOL_copy_generic_opt_list = 605,    /* copy_generic_opt_list  */
  YYSYMBOL_copy_generic_opt_elem = 606,    /* copy_generic_opt_elem  */
  YYSYMBOL_copy_generic_opt_arg = 607,     /* copy_generic_opt_arg  */
  YYSYMBOL_copy_generic_opt_arg_list = 608, /* copy_generic_opt_arg_list  */
  YYSYMBOL_copy_generic_opt_arg_list_item = 609, /* copy_generic_opt_arg_list_item  */
  YYSYMBOL_CreateStmt = 610,               /* CreateStmt  */
  YYSYMBOL_OptTemp = 611,                  /* OptTemp  */
  YYSYMBOL_OptTableElementList = 612,      /* OptTableElementList  */
  YYSYMBOL_OptTypedTableElementList = 613, /* OptTypedTableElementList  */
  YYSYMBOL_TableElementList = 614,         /* TableElementList  */
  YYSYMBOL_TypedTableElementList = 615,    /* TypedTableElementList  */
  YYSYMBOL_TableElement = 616,             /* TableElement  */
  YYSYMBOL_TypedTableElement = 617,        /* TypedTableElement  */
  YYSYMBOL_columnDef = 618,                /* columnDef  */
  YYSYMBOL_columnOptions = 619,            /* columnOptions  */
  YYSYMBOL_column_compression = 620,       /* column_compression  */
  YYSYMBOL_opt_column_compression = 621,   /* opt_column_compression  */
  YYSYMBOL_column_storage = 622,           /* column_storage  */
  YYSYMBOL_opt_column_storage = 623,       /* opt_column_storage  */
  YYSYMBOL_ColQualList = 624,              /* ColQualList  */
  YYSYMBOL_ColConstraint = 625,            /* ColConstraint  */
  YYSYMBOL_ColConstraintElem = 626,        /* ColConstraintElem  */
  YYSYMBOL_opt_unique_null_treatment = 627, /* opt_unique_null_treatment  */
  YYSYMBOL_generated_when = 628,           /* generated_when  */
  YYSYMBOL_ConstraintAttr = 629,           /* ConstraintAttr  */
  YYSYMBOL_TableLikeClause = 630,          /* TableLikeClause  */
  YYSYMBOL_TableLikeOptionList = 631,      /* TableLikeOptionList  */
  YYSYMBOL_TableLikeOption = 632,          /* TableLikeOption  */
  YYSYMBOL_TableConstraint = 633,          /* TableConstraint  */
  YYSYMBOL_ConstraintElem = 634,           /* ConstraintElem  */
  YYSYMBOL_opt_no_inherit = 635,           /* opt_no_inherit  */
  YYSYMBOL_opt_without_overlaps = 636,     /* opt_without_overlaps  */
  YYSYMBOL_opt_column_list = 637,          /* opt_column_list  */
  YYSYMBOL_columnList = 638,               /* columnList  */
  YYSYMBOL_columnElem = 639,               /* columnElem  */
  YYSYMBOL_opt_c_include = 640,            /* opt_c_include  */
  YYSYMBOL_key_match = 641,                /* key_match  */
  YYSYMBOL_ExclusionConstraintList = 642,  /* ExclusionConstraintList  */
  YYSYMBOL_ExclusionConstraintElem = 643,  /* ExclusionConstraintElem  */
  YYSYMBOL_OptWhereClause = 644,           /* OptWhereClause  */
  YYSYMBOL_key_actions = 645,              /* key_actions  */
  YYSYMBOL_key_update = 646,               /* key_update  */
  YYSYMBOL_key_delete = 647,               /* key_delete  */
  YYSYMBOL_key_action = 648,               /* key_action  */
  YYSYMBOL_OptInherit = 649,               /* OptInherit  */
  YYSYMBOL_OptPartitionSpec = 650,         /* OptPartitionSpec  */
  YYSYMBOL_PartitionSpec = 651,            /* PartitionSpec  */
  YYSYMBOL_part_params = 652,              /* part_params  */
  YYSYMBOL_part_elem = 653,                /* part_elem  */
  YYSYMBOL_table_access_method_clause = 654, /* table_access_method_clause  */
  YYSYMBOL_OptWith = 655,                  /* OptWith  */
  YYSYMBOL_OnCommitOption = 656,           /* OnCommitOption  */
  YYSYMBOL_OptTableSpace = 657,            /* OptTableSpace  */
  YYSYMBOL_OptConsTableSpace = 658,        /* OptConsTableSpace  */
  YYSYMBOL_ExistingIndex = 659,            /* ExistingIndex  */
  YYSYMBOL_CreateStatsStmt = 660,          /* CreateStatsStmt  */
  YYSYMBOL_stats_params = 661,             /* stats_params  */
  YYSYMBOL_stats_param = 662,              /* stats_param  */
  YYSYMBOL_AlterStatsStmt = 663,           /* AlterStatsStmt  */
  YYSYMBOL_CreateAsStmt = 664,             /* CreateAsStmt  */
  YYSYMBOL_create_as_target = 665,         /* create_as_target  */
  YYSYMBOL_opt_with_data = 666,            /* opt_with_data  */
  YYSYMBOL_CreateMatViewStmt = 667,        /* CreateMatViewStmt  */
  YYSYMBOL_create_mv_target = 668,         /* create_mv_target  */
  YYSYMBOL_OptNoLog = 669,                 /* OptNoLog  */
  YYSYMBOL_RefreshMatViewStmt = 670,       /* RefreshMatViewStmt  */
  YYSYMBOL_CreateSeqStmt = 671,            /* CreateSeqStmt  */
  YYSYMBOL_AlterSeqStmt = 672,             /* AlterSeqStmt  */
  YYSYMBOL_OptSeqOptList = 673,            /* OptSeqOptList  */
  YYSYMBOL_OptParenthesizedSeqOptList = 674, /* OptParenthesizedSeqOptList  */
  YYSYMBOL_SeqOptList = 675,               /* SeqOptList  */
  YYSYMBOL_SeqOptElem = 676,               /* SeqOptElem  */
  YYSYMBOL_opt_by = 677,                   /* opt_by  */
  YYSYMBOL_NumericOnly = 678,              /* NumericOnly  */
  YYSYMBOL_NumericOnly_list = 679,         /* NumericOnly_list  */
  YYSYMBOL_CreatePLangStmt = 680,          /* CreatePLangStmt  */
  YYSYMBOL_opt_trusted = 681,              /* opt_trusted  */
  YYSYMBOL_handler_name = 682,             /* handler_name  */
  YYSYMBOL_opt_inline_handler = 683,       /* opt_inline_handler  */
  YYSYMBOL_validator_clause = 684,         /* validator_clause  */
  YYSYMBOL_opt_validator = 685,            /* opt_validator  */
  YYSYMBOL_opt_procedural = 686,           /* opt_procedural  */
  YYSYMBOL_CreateTableSpaceStmt = 687,     /* CreateTableSpaceStmt  */
  YYSYMBOL_OptTableSpaceOwner = 688,       /* OptTableSpaceOwner  */
  YYSYMBOL_DropTableSpaceStmt = 689,       /* DropTableSpaceStmt  */
  YYSYMBOL_CreateExtensionStmt = 690,      /* CreateExtensionStmt  */
  YYSYMBOL_create_extension_opt_list = 691, /* create_extension_opt_list  */
  YYSYMBOL_create_extension_opt_item = 692, /* create_extension_opt_item  */
  YYSYMBOL_AlterExtensionStmt = 693,       /* AlterExtensionStmt  */
  YYSYMBOL_alter_extension_opt_list = 694, /* alter_extension_opt_list  */
  YYSYMBOL_alter_extension_opt_item = 695, /* alter_extension_opt_item  */
  YYSYMBOL_AlterExtensionContentsStmt = 696, /* AlterExtensionContentsStmt  */
  YYSYMBOL_CreateFdwStmt = 697,            /* CreateFdwStmt  */
  YYSYMBOL_fdw_option = 698,               /* fdw_option  */
  YYSYMBOL_fdw_options = 699,              /* fdw_options  */
  YYSYMBOL_opt_fdw_options = 700,          /* opt_fdw_options  */
  YYSYMBOL_AlterFdwStmt = 701,             /* AlterFdwStmt  */
  YYSYMBOL_create_generic_options = 702,   /* create_generic_options  */
  YYSYMBOL_generic_option_list = 703,      /* generic_option_list  */
  YYSYMBOL_alter_generic_options = 704,    /* alter_generic_options  */
  YYSYMBOL_alter_generic_option_list = 705, /* alter_generic_option_list  */
  YYSYMBOL_alter_generic_option_elem = 706, /* alter_generic_option_elem  */
  YYSYMBOL_generic_option_elem = 707,      /* generic_option_elem  */
  YYSYMBOL_generic_option_name = 708,      /* generic_option_name  */
  YYSYMBOL_generic_option_arg = 709,       /* generic_option_arg  */
  YYSYMBOL_CreateForeignServerStmt = 710,  /* CreateForeignServerStmt  */
  YYSYMBOL_opt_type = 711,                 /* opt_type  */
  YYSYMBOL_foreign_server_version = 712,   /* foreign_server_version  */
  YYSYMBOL_opt_foreign_server_version = 713, /* opt_foreign_server_version  */
  YYSYMBOL_AlterForeignServerStmt = 714,   /* AlterForeignServerStmt  */
  YYSYMBOL_CreateForeignTableStmt = 715,   /* CreateForeignTableStmt  */
  YYSYMBOL_ImportForeignSchemaStmt = 716,  /* ImportForeignSchemaStmt  */
  YYSYMBOL_import_qualification_type = 717, /* import_qualification_type  */
  YYSYMBOL_import_qualification = 718,     /* import_qualification  */
  YYSYMBOL_CreateUserMappingStmt = 719,    /* CreateUserMappingStmt  */
  YYSYMBOL_auth_ident = 720,               /* auth_ident  */
  YYSYMBOL_DropUserMappingStmt = 721,      /* DropUserMappingStmt  */
  YYSYMBOL_AlterUserMappingStmt = 722,     /* AlterUserMappingStmt  */
  YYSYMBOL_CreatePolicyStmt = 723,         /* CreatePolicyStmt  */
  YYSYMBOL_AlterPolicyStmt = 724,          /* AlterPolicyStmt  */
  YYSYMBOL_RowSecurityOptionalExpr = 725,  /* RowSecurityOptionalExpr  */
  YYSYMBOL_RowSecurityOptionalWithCheck = 726, /* RowSecurityOptionalWithCheck  */
  YYSYMBOL_RowSecurityDefaultToRole = 727, /* RowSecurityDefaultToRole  */
  YYSYMBOL_RowSecurityOptionalToRole = 728, /* RowSecurityOptionalToRole  */
  YYSYMBOL_RowSecurityDefaultPermissive = 729, /* RowSecurityDefaultPermissive  */
  YYSYMBOL_RowSecurityDefaultForCmd = 730, /* RowSecurityDefaultForCmd  */
  YYSYMBOL_row_security_cmd = 731,         /* row_security_cmd  */
  YYSYMBOL_CreateAmStmt = 732,             /* CreateAmStmt  */
  YYSYMBOL_am_type = 733,                  /* am_type  */
  YYSYMBOL_CreateTrigStmt = 734,           /* CreateTrigStmt  */
  YYSYMBOL_TriggerActionTime = 735,        /* TriggerActionTime  */
  YYSYMBOL_TriggerEvents = 736,            /* TriggerEvents  */
  YYSYMBOL_TriggerOneEvent = 737,          /* TriggerOneEvent  */
  YYSYMBOL_TriggerReferencing = 738,       /* TriggerReferencing  */
  YYSYMBOL_TriggerTransitions = 739,       /* TriggerTransitions  */
  YYSYMBOL_TriggerTransition = 740,        /* TriggerTransition  */
  YYSYMBOL_TransitionOldOrNew = 741,       /* TransitionOldOrNew  */
  YYSYMBOL_TransitionRowOrTable = 742,     /* TransitionRowOrTable  */
  YYSYMBOL_TransitionRelName = 743,        /* TransitionRelName  */
  YYSYMBOL_TriggerForSpec = 744,           /* TriggerForSpec  */
  YYSYMBOL_TriggerForOptEach = 745,        /* TriggerForOptEach  */
  YYSYMBOL_TriggerForType = 746,           /* TriggerForType  */
  YYSYMBOL_TriggerWhen = 747,              /* TriggerWhen  */
  YYSYMBOL_FUNCTION_or_PROCEDURE = 748,    /* FUNCTION_or_PROCEDURE  */
  YYSYMBOL_TriggerFuncArgs = 749,          /* TriggerFuncArgs  */
  YYSYMBOL_TriggerFuncArg = 750,           /* TriggerFuncArg  */
  YYSYMBOL_OptConstrFromTable = 751,       /* OptConstrFromTable  */
  YYSYMBOL_ConstraintAttributeSpec = 752,  /* ConstraintAttributeSpec  */
  YYSYMBOL_ConstraintAttributeElem = 753,  /* ConstraintAttributeElem  */
  YYSYMBOL_CreateEventTrigStmt = 754,      /* CreateEventTrigStmt  */
  YYSYMBOL_event_trigger_when_list = 755,  /* event_trigger_when_list  */
  YYSYMBOL_event_trigger_when_item = 756,  /* event_trigger_when_item  */
  YYSYMBOL_event_trigger_value_list = 757, /* event_trigger_value_list  */
  YYSYMBOL_AlterEventTrigStmt = 758,       /* AlterEventTrigStmt  */
  YYSYMBOL_enable_trigger = 759,           /* enable_trigger  */
  YYSYMBOL_CreateAssertionStmt = 760,      /* CreateAssertionStmt  */
  YYSYMBOL_DefineStmt = 761,               /* DefineStmt  */
  YYSYMBOL_definition = 762,               /* definition  */
  YYSYMBOL_def_list = 763,                 /* def_list  */
  YYSYMBOL_def_elem = 764,                 /* def_elem  */
  YYSYMBOL_def_arg = 765,                  /* def_arg  */
  YYSYMBOL_old_aggr_definition = 766,      /* old_aggr_definition  */
  YYSYMBOL_old_aggr_list = 767,            /* old_aggr_list  */
  YYSYMBOL_old_aggr_elem = 768,            /* old_aggr_elem  */
  YYSYMBOL_opt_enum_val_list = 769,        /* opt_enum_val_list  */
  YYSYMBOL_enum_val_list = 770,            /* enum_val_list  */
  YYSYMBOL_AlterEnumStmt = 771,            /* AlterEnumStmt  */
  YYSYMBOL_opt_if_not_exists = 772,        /* opt_if_not_exists  */
  YYSYMBOL_CreateOpClassStmt = 773,        /* CreateOpClassStmt  */
  YYSYMBOL_opclass_item_list = 774,        /* opclass_item_list  */
  YYSYMBOL_opclass_item = 775,             /* opclass_item  */
  YYSYMBOL_opt_default = 776,              /* opt_default  */
  YYSYMBOL_opt_opfamily = 777,             /* opt_opfamily  */
  YYSYMBOL_opclass_purpose = 778,          /* opclass_purpose  */
  YYSYMBOL_opt_recheck = 779,              /* opt_recheck  */
  YYSYMBOL_CreateOpFamilyStmt = 780,       /* CreateOpFamilyStmt  */
  YYSYMBOL_AlterOpFamilyStmt = 781,        /* AlterOpFamilyStmt  */
  YYSYMBOL_opclass_drop_list = 782,        /* opclass_drop_list  */
  YYSYMBOL_opclass_drop = 783,             /* opclass_drop  */
  YYSYMBOL_DropOpClassStmt = 784,          /* DropOpClassStmt  */
  YYSYMBOL_DropOpFamilyStmt = 785,         /* DropOpFamilyStmt  */
  YYSYMBOL_DropOwnedStmt = 786,            /* DropOwnedStmt  */
  YYSYMBOL_ReassignOwnedStmt = 787,        /* ReassignOwnedStmt  */
  YYSYMBOL_DropStmt = 788,                 /* DropStmt  */
  YYSYMBOL_object_type_any_name = 789,     /* object_type_any_name  */
  YYSYMBOL_object_type_name = 790,         /* object_type_name  */
  YYSYMBOL_drop_type_name = 791,           /* drop_type_name  */
  YYSYMBOL_object_type_name_on_any_name = 792, /* object_type_name_on_any_name  */
  YYSYMBOL_any_name_list = 793,            /* any_name_list  */
  YYSYMBOL_any_name = 794,                 /* any_name  */
  YYSYMBOL_attrs = 795,                    /* attrs  */
  YYSYMBOL_type_name_list = 796,           /* type_name_list  */
  YYSYMBOL_TruncateStmt = 797,             /* TruncateStmt  */
  YYSYMBOL_opt_restart_seqs = 798,         /* opt_restart_seqs  */
  YYSYMBOL_CommentStmt = 799,              /* CommentStmt  */
  YYSYMBOL_comment_text = 800,             /* comment_text  */
  YYSYMBOL_SecLabelStmt = 801,             /* SecLabelStmt  */
  YYSYMBOL_opt_provider = 802,             /* opt_provider  */
  YYSYMBOL_security_label = 803,           /* security_label  */
  YYSYMBOL_FetchStmt = 804,                /* FetchStmt  */
  YYSYMBOL_fetch_args = 805,               /* fetch_args  */
  YYSYMBOL_from_in = 806,                  /* from_in  */
  YYSYMBOL_opt_from_in = 807,              /* opt_from_in  */
  YYSYMBOL_GrantStmt = 808,                /* GrantStmt  */
  YYSYMBOL_RevokeStmt = 809,               /* RevokeStmt  */
  YYSYMBOL_privileges = 810,               /* privileges  */
  YYSYMBOL_privilege_list = 811,           /* privilege_list  */
  YYSYMBOL_privilege = 812,                /* privilege  */
  YYSYMBOL_parameter_name_list = 813,      /* parameter_name_list  */
  YYSYMBOL_parameter_name = 814,           /* parameter_name  */
  YYSYMBOL_privilege_target = 815,         /* privilege_target  */
  YYSYMBOL_grantee_list = 816,             /* grantee_list  */
  YYSYMBOL_grantee = 817,                  /* grantee  */
  YYSYMBOL_opt_grant_grant_option = 818,   /* opt_grant_grant_option  */
  YYSYMBOL_GrantRoleStmt = 819,            /* GrantRoleStmt  */
  YYSYMBOL_RevokeRoleStmt = 820,           /* RevokeRoleStmt  */
  YYSYMBOL_grant_role_opt_list = 821,      /* grant_role_opt_list  */
  YYSYMBOL_grant_role_opt = 822,           /* grant_role_opt  */
  YYSYMBOL_grant_role_opt_value = 823,     /* grant_role_opt_value  */
  YYSYMBOL_opt_granted_by = 824,           /* opt_granted_by  */
  YYSYMBOL_AlterDefaultPrivilegesStmt = 825, /* AlterDefaultPrivilegesStmt  */
  YYSYMBOL_DefACLOptionList = 826,         /* DefACLOptionList  */
  YYSYMBOL_DefACLOption = 827,             /* DefACLOption  */
  YYSYMBOL_DefACLAction = 828,             /* DefACLAction  */
  YYSYMBOL_defacl_privilege_target = 829,  /* defacl_privilege_target  */
  YYSYMBOL_IndexStmt = 830,                /* IndexStmt  */
  YYSYMBOL_opt_unique = 831,               /* opt_unique  */
  YYSYMBOL_access_method_clause = 832,     /* access_method_clause  */
  YYSYMBOL_index_params = 833,             /* index_params  */
  YYSYMBOL_index_elem_options = 834,       /* index_elem_options  */
  YYSYMBOL_index_elem = 835,               /* index_elem  */
  YYSYMBOL_opt_include = 836,              /* opt_include  */
  YYSYMBOL_index_including_params = 837,   /* index_including_params  */
  YYSYMBOL_opt_collate = 838,              /* opt_collate  */
  YYSYMBOL_opt_asc_desc = 839,             /* opt_asc_desc  */
  YYSYMBOL_opt_nulls_order = 840,          /* opt_nulls_order  */
  YYSYMBOL_CreateFunctionStmt = 841,       /* CreateFunctionStmt  */
  YYSYMBOL_opt_or_replace = 842,           /* opt_or_replace  */
  YYSYMBOL_func_args = 843,                /* func_args  */
  YYSYMBOL_func_args_list = 844,           /* func_args_list  */
  YYSYMBOL_function_with_argtypes_list = 845, /* function_with_argtypes_list  */
  YYSYMBOL_function_with_argtypes = 846,   /* function_with_argtypes  */
  YYSYMBOL_func_args_with_defaults = 847,  /* func_args_with_defaults  */
  YYSYMBOL_func_args_with_defaults_list = 848, /* func_args_with_defaults_list  */
  YYSYMBOL_func_arg = 849,                 /* func_arg  */
  YYSYMBOL_arg_class = 850,                /* arg_class  */
  YYSYMBOL_param_name = 851,               /* param_name  */
  YYSYMBOL_func_return = 852,              /* func_return  */
  YYSYMBOL_func_type = 853,                /* func_type  */
  YYSYMBOL_func_arg_with_default = 854,    /* func_arg_with_default  */
  YYSYMBOL_aggr_arg = 855,                 /* aggr_arg  */
  YYSYMBOL_aggr_args = 856,                /* aggr_args  */
  YYSYMBOL_aggr_args_list = 857,           /* aggr_args_list  */
  YYSYMBOL_aggregate_with_argtypes = 858,  /* aggregate_with_argtypes  */
  YYSYMBOL_aggregate_with_argtypes_list = 859, /* aggregate_with_argtypes_list  */
  YYSYMBOL_opt_createfunc_opt_list = 860,  /* opt_createfunc_opt_list  */
  YYSYMBOL_createfunc_opt_list = 861,      /* createfunc_opt_list  */
  YYSYMBOL_common_func_opt_item = 862,     /* common_func_opt_item  */
  YYSYMBOL_createfunc_opt_item = 863,      /* createfunc_opt_item  */
  YYSYMBOL_func_as = 864,                  /* func_as  */
  YYSYMBOL_ReturnStmt = 865,               /* ReturnStmt  */
  YYSYMBOL_opt_routine_body = 866,         /* opt_routine_body  */
  YYSYMBOL_routine_body_stmt_list = 867,   /* routine_body_stmt_list  */
  YYSYMBOL_routine_body_stmt = 868,        /* routine_body_stmt  */
  YYSYMBOL_transform_type_list = 869,      /* transform_type_list  */
  YYSYMBOL_opt_definition = 870,           /* opt_definition  */
  YYSYMBOL_table_func_column = 871,        /* table_func_column  */
  YYSYMBOL_table_func_column_list = 872,   /* table_func_column_list  */
  YYSYMBOL_AlterFunctionStmt = 873,        /* AlterFunctionStmt  */
  YYSYMBOL_alterfunc_opt_list = 874,       /* alterfunc_opt_list  */
  YYSYMBOL_opt_restrict = 875,             /* opt_restrict  */
  YYSYMBOL_RemoveFuncStmt = 876,           /* RemoveFuncStmt  */
  YYSYMBOL_RemoveAggrStmt = 877,           /* RemoveAggrStmt  */
  YYSYMBOL_RemoveOperStmt = 878,           /* RemoveOperStmt  */
  YYSYMBOL_oper_argtypes = 879,            /* oper_argtypes  */
  YYSYMBOL_any_operator = 880,             /* any_operator  */
  YYSYMBOL_operator_with_argtypes_list = 881, /* operator_with_argtypes_list  */
  YYSYMBOL_operator_with_argtypes = 882,   /* operator_with_argtypes  */
  YYSYMBOL_DoStmt = 883,                   /* DoStmt  */
  YYSYMBOL_dostmt_opt_list = 884,          /* dostmt_opt_list  */
  YYSYMBOL_dostmt_opt_item = 885,          /* dostmt_opt_item  */
  YYSYMBOL_CreateCastStmt = 886,           /* CreateCastStmt  */
  YYSYMBOL_cast_context = 887,             /* cast_context  */
  YYSYMBOL_DropCastStmt = 888,             /* DropCastStmt  */
  YYSYMBOL_opt_if_exists = 889,            /* opt_if_exists  */
  YYSYMBOL_CreateTransformStmt = 890,      /* CreateTransformStmt  */
  YYSYMBOL_transform_element_list = 891,   /* transform_element_list  */
  YYSYMBOL_DropTransformStmt = 892,        /* DropTransformStmt  */
  YYSYMBOL_ReindexStmt = 893,              /* ReindexStmt  */
  YYSYMBOL_reindex_target_relation = 894,  /* reindex_target_relation  */
  YYSYMBOL_reindex_target_all = 895,       /* reindex_target_all  */
  YYSYMBOL_opt_reindex_option_list = 896,  /* opt_reindex_option_list  */
  YYSYMBOL_AlterTblSpcStmt = 897,          /* AlterTblSpcStmt  */
  YYSYMBOL_RenameStmt = 898,               /* RenameStmt  */
  YYSYMBOL_opt_column = 899,               /* opt_column  */
  YYSYMBOL_opt_set_data = 900,             /* opt_set_data  */
  YYSYMBOL_AlterObjectDependsStmt = 901,   /* AlterObjectDependsStmt  */
  YYSYMBOL_opt_no = 902,                   /* opt_no  */
  YYSYMBOL_AlterObjectSchemaStmt = 903,    /* AlterObjectSchemaStmt  */
  YYSYMBOL_AlterOperatorStmt = 904,        /* AlterOperatorStmt  */
  YYSYMBOL_operator_def_list = 905,        /* operator_def_list  */
  YYSYMBOL_operator_def_elem = 906,        /* operator_def_elem  */
  YYSYMBOL_operator_def_arg = 907,         /* operator_def_arg  */
  YYSYMBOL_AlterTypeStmt = 908,            /* AlterTypeStmt  */
  YYSYMBOL_AlterOwnerStmt = 909,           /* AlterOwnerStmt  */
  YYSYMBOL_CreatePublicationStmt = 910,    /* CreatePublicationStmt  */
  YYSYMBOL_PublicationObjSpec = 911,       /* PublicationObjSpec  */
  YYSYMBOL_pub_obj_list = 912,             /* pub_obj_list  */
  YYSYMBOL_AlterPublicationStmt = 913,     /* AlterPublicationStmt  */
  YYSYMBOL_CreateSubscriptionStmt = 914,   /* CreateSubscriptionStmt  */
  YYSYMBOL_AlterSubscriptionStmt = 915,    /* AlterSubscriptionStmt  */
  YYSYMBOL_DropSubscriptionStmt = 916,     /* DropSubscriptionStmt  */
  YYSYMBOL_RuleStmt = 917,                 /* RuleStmt  */
  YYSYMBOL_RuleActionList = 918,           /* RuleActionList  */
  YYSYMBOL_RuleActionMulti = 919,          /* RuleActionMulti  */
  YYSYMBOL_RuleActionStmt = 920,           /* RuleActionStmt  */
  YYSYMBOL_RuleActionStmtOrEmpty = 921,    /* RuleActionStmtOrEmpty  */
  YYSYMBOL_event = 922,                    /* event  */
  YYSYMBOL_opt_instead = 923,              /* opt_instead  */
  YYSYMBOL_NotifyStmt = 924,               /* NotifyStmt  */
  YYSYMBOL_notify_payload = 925,           /* notify_payload  */
  YYSYMBOL_ListenStmt = 926,               /* ListenStmt  */
  YYSYMBOL_UnlistenStmt = 927,             /* UnlistenStmt  */
  YYSYMBOL_TransactionStmt = 928,          /* TransactionStmt  */
  YYSYMBOL_TransactionStmtLegacy = 929,    /* TransactionStmtLegacy  */
  YYSYMBOL_opt_transaction = 930,          /* opt_transaction  */
  YYSYMBOL_transaction_mode_item = 931,    /* transaction_mode_item  */
  YYSYMBOL_transaction_mode_list = 932,    /* transaction_mode_list  */
  YYSYMBOL_transaction_mode_list_or_empty = 933, /* transaction_mode_list_or_empty  */
  YYSYMBOL_opt_transaction_chain = 934,    /* opt_transaction_chain  */
  YYSYMBOL_ViewStmt = 935,                 /* ViewStmt  */
  YYSYMBOL_opt_check_option = 936,         /* opt_check_option  */
  YYSYMBOL_LoadStmt = 937,                 /* LoadStmt  */
  YYSYMBOL_CreatedbStmt = 938,             /* CreatedbStmt  */
  YYSYMBOL_createdb_opt_list = 939,        /* createdb_opt_list  */
  YYSYMBOL_createdb_opt_items = 940,       /* createdb_opt_items  */
  YYSYMBOL_createdb_opt_item = 941,        /* createdb_opt_item  */
  YYSYMBOL_createdb_opt_name = 942,        /* createdb_opt_name  */
  YYSYMBOL_opt_equal = 943,                /* opt_equal  */
  YYSYMBOL_AlterDatabaseStmt = 944,        /* AlterDatabaseStmt  */
  YYSYMBOL_AlterDatabaseSetStmt = 945,     /* AlterDatabaseSetStmt  */
  YYSYMBOL_DropdbStmt = 946,               /* DropdbStmt  */
  YYSYMBOL_drop_option_list = 947,         /* drop_option_list  */
  YYSYMBOL_drop_option = 948,              /* drop_option  */
  YYSYMBOL_AlterCollationStmt = 949,       /* AlterCollationStmt  */
  YYSYMBOL_AlterSystemStmt = 950,          /* AlterSystemStmt  */
  YYSYMBOL_CreateDomainStmt = 951,         /* CreateDomainStmt  */
  YYSYMBOL_AlterDomainStmt = 952,          /* AlterDomainStmt  */
  YYSYMBOL_opt_as = 953,                   /* opt_as  */
  YYSYMBOL_AlterTSDictionaryStmt = 954,    /* AlterTSDictionaryStmt  */
  YYSYMBOL_AlterTSConfigurationStmt = 955, /* AlterTSConfigurationStmt  */
  YYSYMBOL_any_with = 956,                 /* any_with  */
  YYSYMBOL_CreateConversionStmt = 957,     /* CreateConversionStmt  */
  YYSYMBOL_ClusterStmt = 958,              /* ClusterStmt  */
  YYSYMBOL_cluster_index_specification = 959, /* cluster_index_specification  */
  YYSYMBOL_VacuumStmt = 960,               /* VacuumStmt  */
  YYSYMBOL_AnalyzeStmt = 961,              /* AnalyzeStmt  */
  YYSYMBOL_utility_option_list = 962,      /* utility_option_list  */
  YYSYMBOL_analyze_keyword = 963,          /* analyze_keyword  */
  YYSYMBOL_utility_option_elem = 964,      /* utility_option_elem  */
  YYSYMBOL_utility_option_name = 965,      /* utility_option_name  */
  YYSYMBOL_utility_option_arg = 966,       /* utility_option_arg  */
  YYSYMBOL_opt_analyze = 967,              /* opt_analyze  */
  YYSYMBOL_opt_verbose = 968,              /* opt_verbose  */
  YYSYMBOL_opt_full = 969,                 /* opt_full  */
  YYSYMBOL_opt_freeze = 970,               /* opt_freeze  */
  YYSYMBOL_opt_name_list = 971,            /* opt_name_list  */
  YYSYMBOL_vacuum_relation = 972,          /* vacuum_relation  */
  YYSYMBOL_vacuum_relation_list = 973,     /* vacuum_relation_list  */
  YYSYMBOL_opt_vacuum_relation_list = 974, /* opt_vacuum_relation_list  */
  YYSYMBOL_ExplainStmt = 975,              /* ExplainStmt  */
  YYSYMBOL_ExplainableStmt = 976,          /* ExplainableStmt  */
  YYSYMBOL_PrepareStmt = 977,              /* PrepareStmt  */
  YYSYMBOL_prep_type_clause = 978,         /* prep_type_clause  */
  YYSYMBOL_PreparableStmt = 979,           /* PreparableStmt  */
  YYSYMBOL_ExecuteStmt = 980,              /* ExecuteStmt  */
  YYSYMBOL_execute_param_clause = 981,     /* execute_param_clause  */
  YYSYMBOL_DeallocateStmt = 982,           /* DeallocateStmt  */
  YYSYMBOL_InsertStmt = 983,               /* InsertStmt  */
  YYSYMBOL_insert_target = 984,            /* insert_target  */
  YYSYMBOL_insert_rest = 985,              /* insert_rest  */
  YYSYMBOL_override_kind = 986,            /* override_kind  */
  YYSYMBOL_insert_column_list = 987,       /* insert_column_list  */
  YYSYMBOL_insert_column_item = 988,       /* insert_column_item  */
  YYSYMBOL_opt_on_conflict = 989,          /* opt_on_conflict  */
  YYSYMBOL_opt_conf_expr = 990,            /* opt_conf_expr  */
  YYSYMBOL_returning_clause = 991,         /* returning_clause  */
  YYSYMBOL_DeleteStmt = 992,               /* DeleteStmt  */
  YYSYMBOL_using_clause = 993,             /* using_clause  */
  YYSYMBOL_LockStmt = 994,                 /* LockStmt  */
  YYSYMBOL_opt_lock = 995,                 /* opt_lock  */
  YYSYMBOL_lock_type = 996,                /* lock_type  */
  YYSYMBOL_opt_nowait = 997,               /* opt_nowait  */
  YYSYMBOL_opt_nowait_or_skip = 998,       /* opt_nowait_or_skip  */
  YYSYMBOL_UpdateStmt = 999,               /* UpdateStmt  */
  YYSYMBOL_set_clause_list = 1000,         /* set_clause_list  */
  YYSYMBOL_set_clause = 1001,              /* set_clause  */
  YYSYMBOL_set_target = 1002,              /* set_target  */
  YYSYMBOL_set_target_list = 1003,         /* set_target_list  */
  YYSYMBOL_MergeStmt = 1004,               /* MergeStmt  */
  YYSYMBOL_merge_when_list = 1005,         /* merge_when_list  */
  YYSYMBOL_merge_when_clause = 1006,       /* merge_when_clause  */
  YYSYMBOL_opt_merge_when_condition = 1007, /* opt_merge_when_condition  */
  YYSYMBOL_merge_update = 1008,            /* merge_update  */
  YYSYMBOL_merge_delete = 1009,            /* merge_delete  */
  YYSYMBOL_merge_insert = 1010,            /* merge_insert  */
  YYSYMBOL_merge_values_clause = 1011,     /* merge_values_clause  */
  YYSYMBOL_DeclareCursorStmt = 1012,       /* DeclareCursorStmt  */
  YYSYMBOL_cursor_name = 1013,             /* cursor_name  */
  YYSYMBOL_cursor_options = 1014,          /* cursor_options  */
  YYSYMBOL_opt_hold = 1015,                /* opt_hold  */
  YYSYMBOL_SelectStmt = 1016,              /* SelectStmt  */
  YYSYMBOL_select_with_parens = 1017,      /* select_with_parens  */
  YYSYMBOL_select_no_parens = 1018,        /* select_no_parens  */
  YYSYMBOL_select_clause = 1019,           /* select_clause  */
  YYSYMBOL_simple_select = 1020,           /* simple_select  */
  YYSYMBOL_with_clause = 1021,             /* with_clause  */
  YYSYMBOL_cte_list = 1022,                /* cte_list  */
  YYSYMBOL_common_table_expr = 1023,       /* common_table_expr  */
  YYSYMBOL_opt_materialized = 1024,        /* opt_materialized  */
  YYSYMBOL_opt_search_clause = 1025,       /* opt_search_clause  */
  YYSYMBOL_opt_cycle_clause = 1026,        /* opt_cycle_clause  */
  YYSYMBOL_opt_with_clause = 1027,         /* opt_with_clause  */
  YYSYMBOL_into_clause = 1028,             /* into_clause  */
  YYSYMBOL_OptTempTableName = 1029,        /* OptTempTableName  */
  YYSYMBOL_opt_table = 1030,               /* opt_table  */
  YYSYMBOL_set_quantifier = 1031,          /* set_quantifier  */
  YYSYMBOL_distinct_clause = 1032,         /* distinct_clause  */
  YYSYMBOL_opt_all_clause = 1033,          /* opt_all_clause  */
  YYSYMBOL_opt_distinct_clause = 1034,     /* opt_distinct_clause  */
  YYSYMBOL_opt_sort_clause = 1035,         /* opt_sort_clause  */
  YYSYMBOL_sort_clause = 1036,             /* sort_clause  */
  YYSYMBOL_sortby_list = 1037,             /* sortby_list  */
  YYSYMBOL_sortby = 1038,                  /* sortby  */
  YYSYMBOL_select_limit = 1039,            /* select_limit  */
  YYSYMBOL_opt_select_limit = 1040,        /* opt_select_limit  */
  YYSYMBOL_limit_clause = 1041,            /* limit_clause  */
  YYSYMBOL_offset_clause = 1042,           /* offset_clause  */
  YYSYMBOL_select_limit_value = 1043,      /* select_limit_value  */
  YYSYMBOL_select_offset_value = 1044,     /* select_offset_value  */
  YYSYMBOL_select_fetch_first_value = 1045, /* select_fetch_first_value  */
  YYSYMBOL_I_or_F_const = 1046,            /* I_or_F_const  */
  YYSYMBOL_row_or_rows = 1047,             /* row_or_rows  */
  YYSYMBOL_first_or_next = 1048,           /* first_or_next  */
  YYSYMBOL_group_clause = 1049,            /* group_clause  */
  YYSYMBOL_group_by_list = 1050,           /* group_by_list  */
  YYSYMBOL_group_by_item = 1051,           /* group_by_item  */
  YYSYMBOL_empty_grouping_set = 1052,      /* empty_grouping_set  */
  YYSYMBOL_rollup_clause = 1053,           /* rollup_clause  */
  YYSYMBOL_cube_clause = 1054,             /* cube_clause  */
  YYSYMBOL_grouping_sets_clause = 1055,    /* grouping_sets_clause  */
  YYSYMBOL_having_clause = 1056,           /* having_clause  */
  YYSYMBOL_for_locking_clause = 1057,      /* for_locking_clause  */
  YYSYMBOL_opt_for_locking_clause = 1058,  /* opt_for_locking_clause  */
  YYSYMBOL_for_locking_items = 1059,       /* for_locking_items  */
  YYSYMBOL_for_locking_item = 1060,        /* for_locking_item  */
  YYSYMBOL_for_locking_strength = 1061,    /* for_locking_strength  */
  YYSYMBOL_locked_rels_list = 1062,        /* locked_rels_list  */
  YYSYMBOL_values_clause = 1063,           /* values_clause  */
  YYSYMBOL_from_clause = 1064,             /* from_clause  */
  YYSYMBOL_from_list = 1065,               /* from_list  */
  YYSYMBOL_table_ref = 1066,               /* table_ref  */
  YYSYMBOL_joined_table = 1067,            /* joined_table  */
  YYSYMBOL_alias_clause = 1068,            /* alias_clause  */
  YYSYMBOL_opt_alias_clause = 1069,        /* opt_alias_clause  */
  YYSYMBOL_opt_alias_clause_for_join_using = 1070, /* opt_alias_clause_for_join_using  */
  YYSYMBOL_func_alias_clause = 1071,       /* func_alias_clause  */
  YYSYMBOL_join_type = 1072,               /* join_type  */
  YYSYMBOL_opt_outer = 1073,               /* opt_outer  */
  YYSYMBOL_join_qual = 1074,               /* join_qual  */
  YYSYMBOL_relation_expr = 1075,           /* relation_expr  */
  YYSYMBOL_extended_relation_expr = 1076,  /* extended_relation_expr  */
  YYSYMBOL_relation_expr_list = 1077,      /* relation_expr_list  */
  YYSYMBOL_relation_expr_opt_alias = 1078, /* relation_expr_opt_alias  */
  YYSYMBOL_tablesample_clause = 1079,      /* tablesample_clause  */
  YYSYMBOL_opt_repeatable_clause = 1080,   /* opt_repeatable_clause  */
  YYSYMBOL_func_table = 1081,              /* func_table  */
  YYSYMBOL_rowsfrom_item = 1082,           /* rowsfrom_item  */
  YYSYMBOL_rowsfrom_list = 1083,           /* rowsfrom_list  */
  YYSYMBOL_opt_col_def_list = 1084,        /* opt_col_def_list  */
  YYSYMBOL_opt_ordinality = 1085,          /* opt_ordinality  */
  YYSYMBOL_where_clause = 1086,            /* where_clause  */
  YYSYMBOL_where_or_current_clause = 1087, /* where_or_current_clause  */
  YYSYMBOL_OptTableFuncElementList = 1088, /* OptTableFuncElementList  */
  YYSYMBOL_TableFuncElementList = 1089,    /* TableFuncElementList  */
  YYSYMBOL_TableFuncElement = 1090,        /* TableFuncElement  */
  YYSYMBOL_xmltable = 1091,                /* xmltable  */
  YYSYMBOL_xmltable_column_list = 1092,    /* xmltable_column_list  */
  YYSYMBOL_xmltable_column_el = 1093,      /* xmltable_column_el  */
  YYSYMBOL_xmltable_column_option_list = 1094, /* xmltable_column_option_list  */
  YYSYMBOL_xmltable_column_option_el = 1095, /* xmltable_column_option_el  */
  YYSYMBOL_xml_namespace_list = 1096,      /* xml_namespace_list  */
  YYSYMBOL_xml_namespace_el = 1097,        /* xml_namespace_el  */
  YYSYMBOL_Typename = 1098,                /* Typename  */
  YYSYMBOL_opt_array_bounds = 1099,        /* opt_array_bounds  */
  YYSYMBOL_SimpleTypename = 1100,          /* SimpleTypename  */
  YYSYMBOL_ConstTypename = 1101,           /* ConstTypename  */
  YYSYMBOL_GenericType = 1102,             /* GenericType  */
  YYSYMBOL_opt_type_modifiers = 1103,      /* opt_type_modifiers  */
  YYSYMBOL_Numeric = 1104,                 /* Numeric  */
  YYSYMBOL_opt_float = 1105,               /* opt_float  */
  YYSYMBOL_Bit = 1106,                     /* Bit  */
  YYSYMBOL_ConstBit = 1107,                /* ConstBit  */
  YYSYMBOL_BitWithLength = 1108,           /* BitWithLength  */
  YYSYMBOL_BitWithoutLength = 1109,        /* BitWithoutLength  */
  YYSYMBOL_Character = 1110,               /* Character  */
  YYSYMBOL_ConstCharacter = 1111,          /* ConstCharacter  */
  YYSYMBOL_CharacterWithLength = 1112,     /* CharacterWithLength  */
  YYSYMBOL_CharacterWithoutLength = 1113,  /* CharacterWithoutLength  */
  YYSYMBOL_character = 1114,               /* character  */
  YYSYMBOL_opt_varying = 1115,             /* opt_varying  */
  YYSYMBOL_ConstDatetime = 1116,           /* ConstDatetime  */
  YYSYMBOL_ConstInterval = 1117,           /* ConstInterval  */
  YYSYMBOL_opt_timezone = 1118,            /* opt_timezone  */
  YYSYMBOL_opt_interval = 1119,            /* opt_interval  */
  YYSYMBOL_interval_second = 1120,         /* interval_second  */
  YYSYMBOL_JsonType = 1121,                /* JsonType  */
  YYSYMBOL_a_expr = 1122,                  /* a_expr  */
  YYSYMBOL_b_expr = 1123,                  /* b_expr  */
  YYSYMBOL_c_expr = 1124,                  /* c_expr  */
  YYSYMBOL_func_application = 1125,        /* func_application  */
  YYSYMBOL_func_expr = 1126,               /* func_expr  */
  YYSYMBOL_func_expr_windowless = 1127,    /* func_expr_windowless  */
  YYSYMBOL_func_expr_common_subexpr = 1128, /* func_expr_common_subexpr  */
  YYSYMBOL_xml_root_version = 1129,        /* xml_root_version  */
  YYSYMBOL_opt_xml_root_standalone = 1130, /* opt_xml_root_standalone  */
  YYSYMBOL_xml_attributes = 1131,          /* xml_attributes  */
  YYSYMBOL_xml_attribute_list = 1132,      /* xml_attribute_list  */
  YYSYMBOL_xml_attribute_el = 1133,        /* xml_attribute_el  */
  YYSYMBOL_document_or_content = 1134,     /* document_or_content  */
  YYSYMBOL_xml_indent_option = 1135,       /* xml_indent_option  */
  YYSYMBOL_xml_whitespace_option = 1136,   /* xml_whitespace_option  */
  YYSYMBOL_xmlexists_argument = 1137,      /* xmlexists_argument  */
  YYSYMBOL_xml_passing_mech = 1138,        /* xml_passing_mech  */
  YYSYMBOL_within_group_clause = 1139,     /* within_group_clause  */
  YYSYMBOL_filter_clause = 1140,           /* filter_clause  */
  YYSYMBOL_window_clause = 1141,           /* window_clause  */
  YYSYMBOL_window_definition_list = 1142,  /* window_definition_list  */
  YYSYMBOL_window_definition = 1143,       /* window_definition  */
  YYSYMBOL_over_clause = 1144,             /* over_clause  */
  YYSYMBOL_window_specification = 1145,    /* window_specification  */
  YYSYMBOL_opt_existing_window_name = 1146, /* opt_existing_window_name  */
  YYSYMBOL_opt_partition_clause = 1147,    /* opt_partition_clause  */
  YYSYMBOL_opt_frame_clause = 1148,        /* opt_frame_clause  */
  YYSYMBOL_frame_extent = 1149,            /* frame_extent  */
  YYSYMBOL_frame_bound = 1150,             /* frame_bound  */
  YYSYMBOL_opt_window_exclusion_clause = 1151, /* opt_window_exclusion_clause  */
  YYSYMBOL_row = 1152,                     /* row  */
  YYSYMBOL_explicit_row = 1153,            /* explicit_row  */
  YYSYMBOL_implicit_row = 1154,            /* implicit_row  */
  YYSYMBOL_sub_type = 1155,                /* sub_type  */
  YYSYMBOL_all_Op = 1156,                  /* all_Op  */
  YYSYMBOL_MathOp = 1157,                  /* MathOp  */
  YYSYMBOL_qual_Op = 1158,                 /* qual_Op  */
  YYSYMBOL_qual_all_Op = 1159,             /* qual_all_Op  */
  YYSYMBOL_subquery_Op = 1160,             /* subquery_Op  */
  YYSYMBOL_expr_list = 1161,               /* expr_list  */
  YYSYMBOL_func_arg_list = 1162,           /* func_arg_list  */
  YYSYMBOL_func_arg_expr = 1163,           /* func_arg_expr  */
  YYSYMBOL_func_arg_list_opt = 1164,       /* func_arg_list_opt  */
  YYSYMBOL_type_list = 1165,               /* type_list  */
  YYSYMBOL_array_expr = 1166,              /* array_expr  */
  YYSYMBOL_array_expr_list = 1167,         /* array_expr_list  */
  YYSYMBOL_extract_list = 1168,            /* extract_list  */
  YYSYMBOL_extract_arg = 1169,             /* extract_arg  */
  YYSYMBOL_unicode_normal_form = 1170,     /* unicode_normal_form  */
  YYSYMBOL_overlay_list = 1171,            /* overlay_list  */
  YYSYMBOL_position_list = 1172,           /* position_list  */
  YYSYMBOL_substr_list = 1173,             /* substr_list  */
  YYSYMBOL_trim_list = 1174,               /* trim_list  */
  YYSYMBOL_in_expr = 1175,                 /* in_expr  */
  YYSYMBOL_case_expr = 1176,               /* case_expr  */
  YYSYMBOL_when_clause_list = 1177,        /* when_clause_list  */
  YYSYMBOL_when_clause = 1178,             /* when_clause  */
  YYSYMBOL_case_default = 1179,            /* case_default  */
  YYSYMBOL_case_arg = 1180,                /* case_arg  */
  YYSYMBOL_columnref = 1181,               /* columnref  */
  YYSYMBOL_indirection_el = 1182,          /* indirection_el  */
  YYSYMBOL_opt_slice_bound = 1183,         /* opt_slice_bound  */
  YYSYMBOL_indirection = 1184,             /* indirection  */
  YYSYMBOL_opt_indirection = 1185,         /* opt_indirection  */
  YYSYMBOL_opt_asymmetric = 1186,          /* opt_asymmetric  */
  YYSYMBOL_json_value_expr = 1187,         /* json_value_expr  */
  YYSYMBOL_json_format_clause = 1188,      /* json_format_clause  */
  YYSYMBOL_json_format_clause_opt = 1189,  /* json_format_clause_opt  */
  YYSYMBOL_json_returning_clause_opt = 1190, /* json_returning_clause_opt  */
  YYSYMBOL_json_predicate_type_constraint = 1191, /* json_predicate_type_constraint  */
  YYSYMBOL_json_key_uniqueness_constraint_opt = 1192, /* json_key_uniqueness_constraint_opt  */
  YYSYMBOL_json_name_and_value_list = 1193, /* json_name_and_value_list  */
  YYSYMBOL_json_name_and_value = 1194,     /* json_name_and_value  */
  YYSYMBOL_json_object_constructor_null_clause_opt = 1195, /* json_object_constructor_null_clause_opt  */
  YYSYMBOL_json_array_constructor_null_clause_opt = 1196, /* json_array_constructor_null_clause_opt  */
  YYSYMBOL_json_value_expr_list = 1197,    /* json_value_expr_list  */
  YYSYMBOL_json_aggregate_func = 1198,     /* json_aggregate_func  */
  YYSYMBOL_json_array_aggregate_order_by_clause_opt = 1199, /* json_array_aggregate_order_by_clause_opt  */
  YYSYMBOL_opt_target_list = 1200,         /* opt_target_list  */
  YYSYMBOL_target_list = 1201,             /* target_list  */
  YYSYMBOL_target_el = 1202,               /* target_el  */
  YYSYMBOL_qualified_name_list = 1203,     /* qualified_name_list  */
  YYSYMBOL_qualified_name = 1204,          /* qualified_name  */
  YYSYMBOL_name_list = 1205,               /* name_list  */
  YYSYMBOL_name = 1206,                    /* name  */
  YYSYMBOL_attr_name = 1207,               /* attr_name  */
  YYSYMBOL_file_name = 1208,               /* file_name  */
  YYSYMBOL_func_name = 1209,               /* func_name  */
  YYSYMBOL_AexprConst = 1210,              /* AexprConst  */
  YYSYMBOL_Iconst = 1211,                  /* Iconst  */
  YYSYMBOL_Sconst = 1212,                  /* Sconst  */
  YYSYMBOL_SignedIconst = 1213,            /* SignedIconst  */
  YYSYMBOL_RoleId = 1214,                  /* RoleId  */
  YYSYMBOL_RoleSpec = 1215,                /* RoleSpec  */
  YYSYMBOL_role_list = 1216,               /* role_list  */
  YYSYMBOL_PLpgSQL_Expr = 1217,            /* PLpgSQL_Expr  */
  YYSYMBOL_PLAssignStmt = 1218,            /* PLAssignStmt  */
  YYSYMBOL_plassign_target = 1219,         /* plassign_target  */
  YYSYMBOL_plassign_equals = 1220,         /* plassign_equals  */
  YYSYMBOL_ColId = 1221,                   /* ColId  */
  YYSYMBOL_type_function_name = 1222,      /* type_function_name  */
  YYSYMBOL_NonReservedWord = 1223,         /* NonReservedWord  */
  YYSYMBOL_ColLabel = 1224,                /* ColLabel  */
  YYSYMBOL_BareColLabel = 1225,            /* BareColLabel  */
  YYSYMBOL_unreserved_keyword = 1226,      /* unreserved_keyword  */
  YYSYMBOL_col_name_keyword = 1227,        /* col_name_keyword  */
  YYSYMBOL_type_func_name_keyword = 1228,  /* type_func_name_keyword  */
  YYSYMBOL_reserved_keyword = 1229,        /* reserved_keyword  */
  YYSYMBOL_bare_label_keyword = 1230       /* bare_label_keyword  */
};
typedef enum yysymbol_kind_t yysymbol_kind_t;




#ifdef short
# undef short
#endif

/* On compilers that do not define __PTRDIFF_MAX__ etc., make sure
   <limits.h> and (if available) <stdint.h> are included
   so that the code can choose integer types of a good width.  */

#ifndef __PTRDIFF_MAX__
# include <limits.h> /* INFRINGES ON USER NAME SPACE */
# if defined __STDC_VERSION__ && 199901 <= __STDC_VERSION__
#  include <stdint.h> /* INFRINGES ON USER NAME SPACE */
#  define YY_STDINT_H
# endif
#endif

/* Narrow types that promote to a signed type and that can represent a
   signed or unsigned integer of at least N bits.  In tables they can
   save space and decrease cache pressure.  Promoting to a signed type
   helps avoid bugs in integer arithmetic.  */

#ifdef __INT_LEAST8_MAX__
typedef __INT_LEAST8_TYPE__ yytype_int8;
#elif defined YY_STDINT_H
typedef int_least8_t yytype_int8;
#else
typedef signed char yytype_int8;
#endif

#ifdef __INT_LEAST16_MAX__
typedef __INT_LEAST16_TYPE__ yytype_int16;
#elif defined YY_STDINT_H
typedef int_least16_t yytype_int16;
#else
typedef short yytype_int16;
#endif

/* Work around bug in HP-UX 11.23, which defines these macros
   incorrectly for preprocessor constants.  This workaround can likely
   be removed in 2023, as HPE has promised support for HP-UX 11.23
   (aka HP-UX 11i v2) only through the end of 2022; see Table 2 of
   <https://h20195.www2.hpe.com/V2/getpdf.aspx/4AA4-7673ENW.pdf>.  */
#ifdef __hpux
# undef UINT_LEAST8_MAX
# undef UINT_LEAST16_MAX
# define UINT_LEAST8_MAX 255
# define UINT_LEAST16_MAX 65535
#endif

#if defined __UINT_LEAST8_MAX__ && __UINT_LEAST8_MAX__ <= __INT_MAX__
typedef __UINT_LEAST8_TYPE__ yytype_uint8;
#elif (!defined __UINT_LEAST8_MAX__ && defined YY_STDINT_H \
       && UINT_LEAST8_MAX <= INT_MAX)
typedef uint_least8_t yytype_uint8;
#elif !defined __UINT_LEAST8_MAX__ && UCHAR_MAX <= INT_MAX
typedef unsigned char yytype_uint8;
#else
typedef short yytype_uint8;
#endif

#if defined __UINT_LEAST16_MAX__ && __UINT_LEAST16_MAX__ <= __INT_MAX__
typedef __UINT_LEAST16_TYPE__ yytype_uint16;
#elif (!defined __UINT_LEAST16_MAX__ && defined YY_STDINT_H \
       && UINT_LEAST16_MAX <= INT_MAX)
typedef uint_least16_t yytype_uint16;
#elif !defined __UINT_LEAST16_MAX__ && USHRT_MAX <= INT_MAX
typedef unsigned short yytype_uint16;
#else
typedef int yytype_uint16;
#endif

#ifndef YYPTRDIFF_T
# if defined __PTRDIFF_TYPE__ && defined __PTRDIFF_MAX__
#  define YYPTRDIFF_T __PTRDIFF_TYPE__
#  define YYPTRDIFF_MAXIMUM __PTRDIFF_MAX__
# elif defined PTRDIFF_MAX
#  ifndef ptrdiff_t
#   include <stddef.h> /* INFRINGES ON USER NAME SPACE */
#  endif
#  define YYPTRDIFF_T ptrdiff_t
#  define YYPTRDIFF_MAXIMUM PTRDIFF_MAX
# else
#  define YYPTRDIFF_T long
#  define YYPTRDIFF_MAXIMUM LONG_MAX
# endif
#endif

#ifndef YYSIZE_T
# ifdef __SIZE_TYPE__
#  define YYSIZE_T __SIZE_TYPE__
# elif defined size_t
#  define YYSIZE_T size_t
# elif defined __STDC_VERSION__ && 199901 <= __STDC_VERSION__
#  include <stddef.h> /* INFRINGES ON USER NAME SPACE */
#  define YYSIZE_T size_t
# else
#  define YYSIZE_T unsigned
# endif
#endif

#define YYSIZE_MAXIMUM                                  \
  YY_CAST (YYPTRDIFF_T,                                 \
           (YYPTRDIFF_MAXIMUM < YY_CAST (YYSIZE_T, -1)  \
            ? YYPTRDIFF_MAXIMUM                         \
            : YY_CAST (YYSIZE_T, -1)))

#define YYSIZEOF(X) YY_CAST (YYPTRDIFF_T, sizeof (X))


/* Stored state numbers (used for stacks). */
typedef yytype_int16 yy_state_t;

/* State numbers in computations.  */
typedef int yy_state_fast_t;

#ifndef YY_
# if defined YYENABLE_NLS && YYENABLE_NLS
#  if ENABLE_NLS
#   include <libintl.h> /* INFRINGES ON USER NAME SPACE */
#   define YY_(Msgid) dgettext ("bison-runtime", Msgid)
#  endif
# endif
# ifndef YY_
#  define YY_(Msgid) Msgid
# endif
#endif


#ifndef YY_ATTRIBUTE_PURE
# if defined __GNUC__ && 2 < __GNUC__ + (96 <= __GNUC_MINOR__)
#  define YY_ATTRIBUTE_PURE __attribute__ ((__pure__))
# else
#  define YY_ATTRIBUTE_PURE
# endif
#endif

#ifndef YY_ATTRIBUTE_UNUSED
# if defined __GNUC__ && 2 < __GNUC__ + (7 <= __GNUC_MINOR__)
#  define YY_ATTRIBUTE_UNUSED __attribute__ ((__unused__))
# else
#  define YY_ATTRIBUTE_UNUSED
# endif
#endif

/* Suppress unused-variable warnings by "using" E.  */
#if ! defined lint || defined __GNUC__
# define YY_USE(E) ((void) (E))
#else
# define YY_USE(E) /* empty */
#endif

/* Suppress an incorrect diagnostic about yylval being uninitialized.  */
#if defined __GNUC__ && ! defined __ICC && 406 <= __GNUC__ * 100 + __GNUC_MINOR__
# if __GNUC__ * 100 + __GNUC_MINOR__ < 407
#  define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN                           \
    _Pragma ("GCC diagnostic push")                                     \
    _Pragma ("GCC diagnostic ignored \"-Wuninitialized\"")
# else
#  define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN                           \
    _Pragma ("GCC diagnostic push")                                     \
    _Pragma ("GCC diagnostic ignored \"-Wuninitialized\"")              \
    _Pragma ("GCC diagnostic ignored \"-Wmaybe-uninitialized\"")
# endif
# define YY_IGNORE_MAYBE_UNINITIALIZED_END      \
    _Pragma ("GCC diagnostic pop")
#else
# define YY_INITIAL_VALUE(Value) Value
#endif
#ifndef YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_END
#endif
#ifndef YY_INITIAL_VALUE
# define YY_INITIAL_VALUE(Value) /* Nothing. */
#endif

#if defined __cplusplus && defined __GNUC__ && ! defined __ICC && 6 <= __GNUC__
# define YY_IGNORE_USELESS_CAST_BEGIN                          \
    _Pragma ("GCC diagnostic push")                            \
    _Pragma ("GCC diagnostic ignored \"-Wuseless-cast\"")
# define YY_IGNORE_USELESS_CAST_END            \
    _Pragma ("GCC diagnostic pop")
#endif
#ifndef YY_IGNORE_USELESS_CAST_BEGIN
# define YY_IGNORE_USELESS_CAST_BEGIN
# define YY_IGNORE_USELESS_CAST_END
#endif


#define YY_ASSERT(E) ((void) (0 && (E)))

#if !defined yyoverflow

/* The parser invokes alloca or malloc; define the necessary symbols.  */

# ifdef YYSTACK_USE_ALLOCA
#  if YYSTACK_USE_ALLOCA
#   ifdef __GNUC__
#    define YYSTACK_ALLOC __builtin_alloca
#   elif defined __BUILTIN_VA_ARG_INCR
#    include <alloca.h> /* INFRINGES ON USER NAME SPACE */
#   elif defined _AIX
#    define YYSTACK_ALLOC __alloca
#   elif defined _MSC_VER
#    include <malloc.h> /* INFRINGES ON USER NAME SPACE */
#    define alloca _alloca
#   else
#    define YYSTACK_ALLOC alloca
#    if ! defined _ALLOCA_H && ! defined EXIT_SUCCESS
#     include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
      /* Use EXIT_SUCCESS as a witness for stdlib.h.  */
#     ifndef EXIT_SUCCESS
#      define EXIT_SUCCESS 0
#     endif
#    endif
#   endif
#  endif
# endif

# ifdef YYSTACK_ALLOC
   /* Pacify GCC's 'empty if-body' warning.  */
#  define YYSTACK_FREE(Ptr) do { /* empty */; } while (0)
#  ifndef YYSTACK_ALLOC_MAXIMUM
    /* The OS might guarantee only one guard page at the bottom of the stack,
       and a page size can be as small as 4096 bytes.  So we cannot safely
       invoke alloca (N) if N exceeds 4096.  Use a slightly smaller number
       to allow for a few compiler-allocated temporary stack slots.  */
#   define YYSTACK_ALLOC_MAXIMUM 4032 /* reasonable circa 2006 */
#  endif
# else
#  define YYSTACK_ALLOC YYMALLOC
#  define YYSTACK_FREE YYFREE
#  ifndef YYSTACK_ALLOC_MAXIMUM
#   define YYSTACK_ALLOC_MAXIMUM YYSIZE_MAXIMUM
#  endif
#  if (defined __cplusplus && ! defined EXIT_SUCCESS \
       && ! ((defined YYMALLOC || defined malloc) \
             && (defined YYFREE || defined free)))
#   include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
#   ifndef EXIT_SUCCESS
#    define EXIT_SUCCESS 0
#   endif
#  endif
#  ifndef YYMALLOC
#   define YYMALLOC malloc
#   if ! defined malloc && ! defined EXIT_SUCCESS
void *malloc (YYSIZE_T); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
#  ifndef YYFREE
#   define YYFREE free
#   if ! defined free && ! defined EXIT_SUCCESS
void free (void *); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
# endif
#endif /* !defined yyoverflow */

#if (! defined yyoverflow \
     && (! defined __cplusplus \
         || (defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL \
             && defined YYSTYPE_IS_TRIVIAL && YYSTYPE_IS_TRIVIAL)))

/* A type that is properly aligned for any stack member.  */
union yyalloc
{
  yy_state_t yyss_alloc;
  YYSTYPE yyvs_alloc;
  YYLTYPE yyls_alloc;
};

/* The size of the maximum gap between one aligned stack and the next.  */
# define YYSTACK_GAP_MAXIMUM (YYSIZEOF (union yyalloc) - 1)

/* The size of an array large to enough to hold all stacks, each with
   N elements.  */
# define YYSTACK_BYTES(N) \
     ((N) * (YYSIZEOF (yy_state_t) + YYSIZEOF (YYSTYPE) \
             + YYSIZEOF (YYLTYPE)) \
      + 2 * YYSTACK_GAP_MAXIMUM)

# define YYCOPY_NEEDED 1

/* Relocate STACK from its old location to the new one.  The
   local variables YYSIZE and YYSTACKSIZE give the old and new number of
   elements in the stack, and YYPTR gives the new location of the
   stack.  Advance YYPTR to a properly aligned location for the next
   stack.  */
# define YYSTACK_RELOCATE(Stack_alloc, Stack)                           \
    do                                                                  \
      {                                                                 \
        YYPTRDIFF_T yynewbytes;                                         \
        YYCOPY (&yyptr->Stack_alloc, Stack, yysize);                    \
        Stack = &yyptr->Stack_alloc;                                    \
        yynewbytes = yystacksize * YYSIZEOF (*Stack) + YYSTACK_GAP_MAXIMUM; \
        yyptr += yynewbytes / YYSIZEOF (*yyptr);                        \
      }                                                                 \
    while (0)

#endif

#if defined YYCOPY_NEEDED && YYCOPY_NEEDED
/* Copy COUNT objects from SRC to DST.  The source and destination do
   not overlap.  */
# ifndef YYCOPY
#  if defined __GNUC__ && 1 < __GNUC__
#   define YYCOPY(Dst, Src, Count) \
      __builtin_memcpy (Dst, Src, YY_CAST (YYSIZE_T, (Count)) * sizeof (*(Src)))
#  else
#   define YYCOPY(Dst, Src, Count)              \
      do                                        \
        {                                       \
          YYPTRDIFF_T yyi;                      \
          for (yyi = 0; yyi < (Count); yyi++)   \
            (Dst)[yyi] = (Src)[yyi];            \
        }                                       \
      while (0)
#  endif
# endif
#endif /* !YYCOPY_NEEDED */

/* YYFINAL -- State number of the termination state.  */
#define YYFINAL  910
/* YYLAST -- Last index in YYTABLE.  */
#define YYLAST   117749

/* YYNTOKENS -- Number of terminals.  */
#define YYNTOKENS  521
/* YYNNTS -- Number of nonterminals.  */
#define YYNNTS  710
/* YYNRULES -- Number of rules.  */
#define YYNRULES  3307
/* YYNSTATES -- Number of states.  */
#define YYNSTATES  6268

/* YYMAXUTOK -- Last valid token kind.  */
#define YYMAXUTOK   758


/* YYTRANSLATE(TOKEN-NUM) -- Symbol number corresponding to TOKEN-NUM
   as returned by yylex, with out-of-bounds checking.  */
#define YYTRANSLATE(YYX)                                \
  (0 <= (YYX) && (YYX) <= YYMAXUTOK                     \
   ? YY_CAST (yysymbol_kind_t, yytranslate[YYX])        \
   : YYSYMBOL_YYUNDEF)

/* YYTRANSLATE[TOKEN-NUM] -- Symbol number corresponding to TOKEN-NUM
   as returned by yylex.  */
static const yytype_int16 yytranslate[] =
{
       0,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,   510,     2,     2,
     515,   516,   508,   506,   519,   507,   517,   509,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,   520,   518,
     503,   505,   504,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,   513,     2,   514,   511,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     1,     2,     3,     4,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    14,
      15,    16,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    71,    72,    73,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,   141,   142,   143,   144,
     145,   146,   147,   148,   149,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,   163,   164,
     165,   166,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,   187,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,   202,   203,   204,
     205,   206,   207,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   512
};

#if YYDEBUG
/* YYRLINE[YYN] -- Source line where rule number YYN was defined.  */
static const yytype_int16 yyrline[] =
{
       0,   902,   902,   907,   911,   916,   924,   932,   952,   964,
     978,   979,   983,   984,   985,   986,   987,   988,   989,   990,
     991,   992,   993,   994,   995,   996,   997,   998,   999,  1000,
    1001,  1002,  1003,  1004,  1005,  1006,  1007,  1008,  1009,  1010,
    1011,  1012,  1013,  1014,  1015,  1016,  1017,  1018,  1019,  1020,
    1021,  1022,  1023,  1024,  1025,  1026,  1027,  1028,  1029,  1030,
    1031,  1032,  1033,  1034,  1035,  1036,  1037,  1038,  1039,  1040,
    1041,  1042,  1043,  1044,  1045,  1046,  1047,  1048,  1049,  1050,
    1051,  1052,  1053,  1054,  1055,  1056,  1057,  1058,  1059,  1060,
    1061,  1062,  1063,  1064,  1065,  1066,  1067,  1068,  1069,  1070,
    1071,  1072,  1073,  1074,  1075,  1076,  1077,  1078,  1079,  1080,
    1081,  1082,  1083,  1084,  1085,  1086,  1087,  1088,  1089,  1090,
    1091,  1092,  1093,  1094,  1095,  1096,  1097,  1098,  1099,  1100,
    1101,  1102,  1103,  1104,  1105,  1106,  1108,  1115,  1116,  1120,
    1121,  1125,  1126,  1130,  1131,  1132,  1141,  1157,  1169,  1170,
    1171,  1180,  1181,  1185,  1186,  1190,  1195,  1199,  1209,  1217,
    1221,  1225,  1230,  1234,  1282,  1284,  1288,  1292,  1296,  1300,
    1314,  1333,  1342,  1354,  1355,  1359,  1368,  1377,  1386,  1408,
    1416,  1424,  1432,  1440,  1448,  1466,  1485,  1497,  1498,  1509,
    1520,  1531,  1547,  1566,  1573,  1581,  1582,  1583,  1584,  1585,
    1586,  1600,  1607,  1614,  1624,  1633,  1642,  1646,  1655,  1664,
    1672,  1683,  1684,  1693,  1705,  1713,  1722,  1734,  1743,  1752,
    1760,  1770,  1781,  1782,  1786,  1787,  1790,  1792,  1796,  1797,
    1798,  1799,  1803,  1804,  1805,  1811,  1823,  1827,  1831,  1848,
    1856,  1857,  1858,  1862,  1863,  1864,  1868,  1869,  1873,  1877,
    1878,  1886,  1894,  1905,  1913,  1924,  1925,  1930,  1931,  1936,
    1943,  1950,  1957,  1964,  1975,  1986,  1987,  1991,  1992,  2000,
    2016,  2023,  2030,  2037,  2044,  2064,  2074,  2084,  2094,  2104,
    2116,  2128,  2138,  2148,  2158,  2170,  2182,  2192,  2202,  2212,
    2222,  2232,  2242,  2254,  2266,  2276,  2289,  2290,  2295,  2309,
    2322,  2338,  2355,  2365,  2375,  2385,  2395,  2405,  2414,  2423,
    2433,  2442,  2452,  2462,  2478,  2488,  2498,  2508,  2518,  2535,
    2545,  2555,  2565,  2576,  2590,  2606,  2616,  2625,  2641,  2650,
    2661,  2672,  2680,  2689,  2698,  2706,  2714,  2723,  2732,  2741,
    2749,  2757,  2766,  2774,  2782,  2791,  2800,  2809,  2818,  2827,
    2836,  2847,  2855,  2864,  2873,  2882,  2891,  2900,  2909,  2917,
    2925,  2933,  2940,  2951,  2952,  2956,  2965,  2969,  2970,  2974,
    2982,  2990,  2998,  3009,  3012,  3013,  3017,  3018,  3023,  3027,
    3031,  3036,  3043,  3045,  3050,  3054,  3058,  3069,  3076,  3077,
    3081,  3082,  3087,  3140,  3153,  3167,  3179,  3186,  3190,  3204,
    3217,  3218,  3223,  3233,  3244,  3255,  3282,  3289,  3323,  3359,
    3382,  3383,  3387,  3388,  3397,  3398,  3399,  3402,  3403,  3408,
    3409,  3413,  3417,  3421,  3425,  3429,  3433,  3437,  3441,  3445,
    3449,  3453,  3457,  3461,  3465,  3469,  3478,  3482,  3486,  3490,
    3494,  3495,  3500,  3504,  3511,  3518,  3519,  3520,  3521,  3522,
    3526,  3530,  3538,  3549,  3569,  3589,  3610,  3631,  3652,  3686,
    3687,  3688,  3689,  3690,  3697,  3704,  3705,  3709,  3710,  3714,
    3715,  3719,  3723,  3730,  3734,  3741,  3742,  3743,  3747,  3748,
    3751,  3775,  3794,  3816,  3817,  3821,  3822,  3826,  3827,  3831,
    3832,  3836,  3837,  3841,  3849,  3850,  3851,  3883,  3894,  3902,
    3915,  3927,  3940,  3950,  3960,  3984,  4004,  4005,  4006,  4010,
    4011,  4030,  4038,  4046,  4054,  4066,  4078,  4079,  4080,  4084,
    4085,  4086,  4087,  4088,  4089,  4090,  4091,  4092,  4093,  4102,
    4110,  4114,  4128,  4142,  4161,  4177,  4195,  4211,  4231,  4254,
    4255,  4259,  4260,  4264,  4265,  4269,  4270,  4273,  4279,  4280,
    4283,  4287,  4295,  4300,  4306,  4307,  4311,  4316,  4323,  4324,
    4328,  4338,  4348,  4356,  4365,  4378,  4390,  4397,  4405,  4413,
    4421,  4429,  4439,  4440,  4444,  4445,  4448,  4460,  4461,  4464,
    4475,  4486,  4500,  4501,  4506,  4507,  4508,  4511,  4512,  4513,
    4514,  4517,  4518,  4521,  4522,  4525,  4545,  4558,  4580,  4581,
    4584,  4590,  4596,  4613,  4622,  4644,  4658,  4675,  4691,  4692,
    4693,  4705,  4719,  4736,  4750,  4751,  4763,  4784,  4795,  4809,
    4818,  4830,  4831,  4834,  4835,  4838,  4839,  4842,  4846,  4850,
    4854,  4858,  4862,  4866,  4870,  4874,  4878,  4882,  4887,  4891,
    4895,  4901,  4902,  4906,  4907,  4908,  4915,  4918,  4919,  4931,
    4947,  4963,  4964,  4972,  4973,  4977,  4978,  4982,  4983,  4987,
    4988,  4992,  4993,  5003,  5015,  5016,  5029,  5037,  5055,  5064,
    5076,  5079,  5083,  5087,  5091,  5098,  5110,  5121,  5124,  5128,
    5141,  5151,  5161,  5171,  5181,  5191,  5201,  5211,  5221,  5231,
    5241,  5251,  5261,  5280,  5292,  5293,  5294,  5295,  5299,  5300,
    5304,  5305,  5315,  5324,  5337,  5338,  5342,  5346,  5354,  5358,
    5362,  5369,  5373,  5378,  5383,  5390,  5397,  5402,  5412,  5425,
    5441,  5442,  5447,  5448,  5452,  5453,  5463,  5473,  5482,  5500,
    5521,  5542,  5564,  5598,  5614,  5615,  5619,  5628,  5643,  5653,
    5666,  5667,  5679,  5688,  5706,  5731,  5749,  5764,  5765,  5769,
    5770,  5774,  5775,  5779,  5780,  5784,  5798,  5802,  5803,  5807,
    5808,  5809,  5810,  5811,  5821,  5833,  5834,  5845,  5868,  5900,
    5901,  5902,  5906,  5908,  5930,  5932,  5934,  5936,  5938,  5943,
    5944,  5948,  5949,  5953,  5965,  5966,  5970,  5979,  5983,  5987,
    5992,  6002,  6003,  6007,  6008,  6012,  6013,  6017,  6018,  6022,
    6023,  6024,  6028,  6032,  6033,  6034,  6038,  6039,  6044,  6045,
    6072,  6073,  6074,  6075,  6076,  6077,  6090,  6101,  6116,  6118,
    6123,  6128,  6130,  6135,  6146,  6147,  6148,  6149,  6160,  6179,
    6191,  6204,  6215,  6226,  6238,  6247,  6255,  6263,  6273,  6283,
    6293,  6303,  6313,  6324,  6334,  6347,  6350,  6351,  6354,  6358,
    6365,  6366,  6367,  6368,  6369,  6370,  6373,  6376,  6377,  6385,
    6392,  6393,  6396,  6398,  6409,  6421,  6433,  6445,  6457,  6486,
    6487,  6503,  6519,  6520,  6524,  6537,  6548,  6557,  6567,  6577,
    6578,  6581,  6582,  6585,  6586,  6587,  6590,  6604,  6609,  6620,
    6630,  6643,  6644,  6648,  6657,  6670,  6681,  6695,  6706,  6729,
    6740,  6759,  6770,  6781,  6792,  6803,  6814,  6825,  6836,  6847,
    6858,  6869,  6880,  6895,  6896,  6897,  6898,  6899,  6900,  6901,
    6902,  6903,  6904,  6905,  6906,  6907,  6917,  6918,  6919,  6920,
    6921,  6925,  6926,  6927,  6928,  6929,  6930,  6931,  6932,  6937,
    6938,  6939,  6943,  6944,  6947,  6948,  6951,  6953,  6958,  6959,
    6970,  6982,  6983,  6984,  6994,  7003,  7012,  7021,  7030,  7039,
    7048,  7057,  7066,  7075,  7089,  7098,  7107,  7116,  7125,  7134,
    7143,  7152,  7164,  7165,  7179,  7190,  7201,  7212,  7223,  7234,
    7245,  7256,  7267,  7278,  7291,  7292,  7295,  7296,  7306,  7313,
    7322,  7331,  7340,  7349,  7358,  7367,  7376,  7385,  7394,  7403,
    7412,  7421,  7430,  7439,  7448,  7457,  7468,  7469,  7472,  7473,
    7483,  7501,  7517,  7545,  7547,  7549,  7551,  7559,  7569,  7570,
    7573,  7581,  7589,  7597,  7604,  7615,  7619,  7626,  7630,  7641,
    7650,  7659,  7668,  7677,  7686,  7695,  7704,  7713,  7722,  7731,
    7740,  7749,  7757,  7766,  7775,  7784,  7793,  7802,  7811,  7820,
    7833,  7834,  7838,  7839,  7844,  7845,  7855,  7866,  7880,  7892,
    7910,  7911,  7915,  7922,  7923,  7924,  7927,  7928,  7938,  7949,
    7950,  7954,  7958,  7962,  7973,  7987,  8002,  8020,  8021,  8022,
    8023,  8024,  8025,  8037,  8069,  8104,  8105,  8109,  8110,  8113,
    8114,  8119,  8131,  8150,  8155,  8160,  8167,  8168,  8171,  8172,
    8175,  8176,  8180,  8181,  8182,  8185,  8186,  8187,  8203,  8217,
    8232,  8246,  8263,  8264,  8267,  8268,  8272,  8273,  8277,  8278,
    8283,  8297,  8305,  8313,  8329,  8330,  8334,  8335,  8350,  8360,
    8370,  8380,  8390,  8403,  8404,  8405,  8406,  8407,  8413,  8417,
    8432,  8433,  8439,  8449,  8453,  8458,  8466,  8508,  8512,  8516,
    8520,  8528,  8529,  8533,  8545,  8546,  8551,  8552,  8557,  8558,
    8565,  8569,  8573,  8577,  8581,  8585,  8589,  8593,  8597,  8601,
    8605,  8609,  8613,  8617,  8621,  8625,  8630,  8637,  8641,  8645,
    8649,  8653,  8659,  8660,  8666,  8676,  8680,  8691,  8697,  8706,
    8712,  8713,  8717,  8718,  8722,  8723,  8726,  8739,  8743,  8758,
    8767,  8776,  8789,  8790,  8795,  8796,  8813,  8824,  8835,  8846,
    8857,  8868,  8882,  8893,  8907,  8918,  8932,  8940,  8942,  8944,
    8949,  8951,  8956,  8957,  8962,  8981,  8991,  8992,  8996,  9000,
    9012,  9024,  9036,  9050,  9051,  9052,  9056,  9069,  9070,  9080,
    9093,  9097,  9101,  9105,  9112,  9134,  9147,  9160,  9175,  9176,
    9179,  9180,  9183,  9184,  9194,  9204,  9222,  9232,  9242,  9252,
    9262,  9272,  9282,  9292,  9302,  9312,  9322,  9332,  9342,  9353,
    9364,  9374,  9384,  9394,  9404,  9414,  9424,  9435,  9446,  9457,
    9468,  9479,  9490,  9501,  9512,  9523,  9534,  9545,  9556,  9568,
    9580,  9592,  9604,  9616,  9628,  9639,  9650,  9662,  9674,  9685,
    9696,  9705,  9715,  9725,  9735,  9745,  9755,  9765,  9775,  9785,
    9795,  9810,  9811,  9814,  9815,  9825,  9835,  9845,  9855,  9866,
    9876,  9888,  9889,  9899,  9909,  9919,  9929,  9939,  9949,  9959,
    9969,  9979,  9989,  9999, 10009, 10019, 10029, 10039, 10049, 10059,
   10069, 10079, 10089, 10099, 10109, 10119, 10129, 10139, 10149, 10159,
   10178, 10188, 10189, 10192, 10194, 10196, 10202, 10203, 10204, 10205,
   10206, 10218, 10234, 10243, 10252, 10261, 10270, 10279, 10288, 10297,
   10306, 10315, 10324, 10333, 10342, 10351, 10360, 10369, 10378, 10387,
   10396, 10405, 10414, 10423, 10432, 10441, 10469, 10477, 10486, 10512,
   10521, 10528, 10534, 10561, 10572, 10581, 10589, 10591, 10613, 10621,
   10631, 10641, 10660, 10679, 10689, 10699, 10709, 10720, 10731, 10742,
   10753, 10764, 10782, 10791, 10808, 10826, 10827, 10828, 10833, 10839,
   10848, 10849, 10850, 10851, 10852, 10856, 10857, 10860, 10861, 10862,
   10863, 10867, 10868, 10869, 10881, 10892, 10893, 10896, 10906, 10913,
   10933, 10943, 10952, 10962, 10972, 10981, 10990, 10999, 11008, 11017,
   11026, 11035, 11047, 11056, 11068, 11069, 11070, 11074, 11077, 11080,
   11083, 11086, 11093, 11095, 11097, 11102, 11104, 11108, 11109, 11110,
   11122, 11136, 11150, 11169, 11191, 11192, 11193, 11194, 11204, 11221,
   11232, 11233, 11237, 11238, 11242, 11246, 11250, 11268, 11269, 11270,
   11271, 11272, 11273, 11274, 11281, 11282, 11293, 11301, 11309, 11318,
   11328, 11346, 11355, 11364, 11373, 11385, 11389, 11400, 11412, 11430,
   11437, 11454, 11468, 11478, 11487, 11496, 11506, 11518, 11530, 11541,
   11542, 11553, 11564, 11576, 11588, 11600, 11612, 11622, 11635, 11636,
   11650, 11674, 11683, 11693, 11705, 11717, 11731, 11732, 11744, 11765,
   11776, 11788, 11800, 11804, 11811, 11812, 11816, 11823, 11824, 11825,
   11829, 11830, 11831, 11835, 11836, 11840, 11841, 11844, 11845, 11848,
   11849, 11853, 11854, 11858, 11865, 11867, 11872, 11873, 11886, 11894,
   11905, 11913, 11924, 11925, 11926, 11927, 11928, 11929, 11930, 11931,
   11932, 11933, 11943, 11954, 11955, 11959, 11960, 11961, 11962, 11963,
   11973, 11981, 11999, 12019, 12020, 12030, 12039, 12048, 12057, 12076,
   12094, 12098, 12106, 12112, 12119, 12125, 12132, 12141, 12142, 12146,
   12148, 12153, 12164, 12174, 12184, 12190, 12199, 12208, 12214, 12215,
   12226, 12241, 12242, 12253, 12264, 12265, 12268, 12269, 12270, 12271,
   12272, 12273, 12274, 12275, 12278, 12279, 12283, 12284, 12285, 12296,
   12315, 12316, 12320, 12325, 12349, 12360, 12361, 12373, 12391, 12392,
   12396, 12403, 12410, 12417, 12427, 12440, 12441, 12445, 12458, 12471,
   12480, 12489, 12498, 12507, 12519, 12531, 12543, 12546, 12547, 12548,
   12549, 12550, 12551, 12554, 12555, 12556, 12604, 12605, 12609, 12610,
   12625, 12626, 12633, 12641, 12649, 12657, 12665, 12673, 12684, 12685,
   12717, 12733, 12750, 12751, 12770, 12774, 12778, 12793, 12800, 12807,
   12817, 12818, 12821, 12837, 12838, 12839, 12843, 12853, 12864, 12870,
   12882, 12895, 12901, 12902, 12906, 12918, 12926, 12931, 12936, 12941,
   12946, 12954, 12962, 12967, 12972, 12979, 12980, 12984, 12985, 12986,
   12993, 12994, 12998, 12999, 13003, 13004, 13008, 13009, 13013, 13017,
   13018, 13021, 13030, 13043, 13048, 13053, 13057, 13069, 13070, 13074,
   13083, 13099, 13108, 13117, 13126, 13138, 13141, 13146, 13147, 13155,
   13175, 13176, 13178, 13183, 13184, 13188, 13189, 13192, 13193, 13218,
   13227, 13237, 13238, 13242, 13243, 13244, 13245, 13246, 13250, 13263,
   13270, 13277, 13284, 13285, 13289, 13290, 13294, 13295, 13299, 13300,
   13304, 13316, 13317, 13318, 13319, 13323, 13324, 13334, 13341, 13360,
   13361, 13365, 13366, 13372, 13377, 13386, 13394, 13403, 13410, 13418,
   13427, 13436, 13440, 13466, 13470, 13484, 13505, 13527, 13540, 13557,
   13563, 13568, 13574, 13581, 13582, 13592, 13598, 13606, 13610, 13614,
   13621, 13629, 13634, 13635, 13636, 13637, 13641, 13642, 13657, 13661,
   13669, 13676, 13683, 13690, 13697, 13708, 13709, 13722, 13726, 13734,
   13748, 13762, 13763, 13778, 13789, 13802, 13807, 13808, 13811, 13812,
   13815, 13816, 13821, 13822, 13827, 13828, 13837, 13842, 13843, 13847,
   13851, 13857, 13882, 13893, 13907, 13908, 13912, 13926, 13983, 13997,
   13999, 14004, 14006, 14008, 14010, 14015, 14017, 14022, 14030, 14050,
   14055, 14062, 14067, 14073, 14078, 14087, 14089, 14092, 14096, 14097,
   14098, 14099, 14100, 14101, 14106, 14112, 14127, 14128, 14129, 14130,
   14131, 14142, 14148, 14156, 14157, 14163, 14168, 14173, 14178, 14183,
   14188, 14193, 14198, 14204, 14210, 14216, 14223, 14245, 14254, 14258,
   14266, 14270, 14278, 14290, 14311, 14315, 14321, 14325, 14338, 14346,
   14356, 14358, 14360, 14362, 14364, 14366, 14371, 14372, 14379, 14388,
   14396, 14405, 14416, 14424, 14425, 14426, 14430, 14432, 14434, 14436,
   14438, 14440, 14442, 14447, 14452, 14458, 14466, 14471, 14478, 14485,
   14489, 14493, 14501, 14536, 14537, 14539, 14548, 14555, 14571, 14573,
   14575, 14577, 14579, 14581, 14583, 14585, 14587, 14589, 14591, 14593,
   14595, 14597, 14600, 14602, 14605, 14607, 14609, 14611, 14614, 14619,
   14628, 14633, 14642, 14647, 14656, 14661, 14671, 14680, 14689, 14698,
   14717, 14726, 14735, 14744, 14753, 14770, 14779, 14788, 14797, 14806,
   14815, 14824, 14828, 14832, 14840, 14848, 14856, 14864, 14885, 14908,
   14920, 14927, 14943, 14948, 14954, 14961, 14968, 14976, 14984, 15001,
   15020, 15046, 15048, 15050, 15052, 15054, 15056, 15058, 15060, 15062,
   15064, 15066, 15068, 15070, 15072, 15074, 15076, 15078, 15080, 15082,
   15086, 15090, 15095, 15111, 15112, 15113, 15130, 15143, 15145, 15147,
   15159, 15184, 15196, 15208, 15216, 15227, 15238, 15248, 15254, 15263,
   15273, 15283, 15296, 15306, 15337, 15373, 15383, 15394, 15395, 15396,
   15403, 15410, 15414, 15418, 15422, 15426, 15430, 15434, 15438, 15442,
   15446, 15450, 15454, 15458, 15465, 15469, 15473, 15477, 15479, 15486,
   15493, 15500, 15507, 15518, 15532, 15542, 15553, 15569, 15579, 15586,
   15593, 15600, 15604, 15612, 15621, 15630, 15634, 15638, 15642, 15646,
   15650, 15659, 15663, 15673, 15677, 15681, 15686, 15697, 15703, 15717,
   15728, 15742, 15758, 15770, 15780, 15789, 15804, 15806, 15810, 15812,
   15814, 15817, 15820, 15823, 15824, 15827, 15835, 15845, 15846, 15849,
   15850, 15851, 15854, 15855, 15856, 15861, 15865, 15869, 15873, 15880,
   15881, 15889, 15890, 15894, 15895, 15903, 15904, 15908, 15909, 15914,
   15923, 15925, 15940, 15943, 15971, 15972, 15975, 15976, 15984, 15992,
   16000, 16009, 16019, 16037, 16083, 16092, 16101, 16110, 16119, 16131,
   16132, 16133, 16134, 16135, 16149, 16150, 16151, 16154, 16155, 16158,
   16161, 16162, 16163, 16166, 16167, 16170, 16171, 16172, 16173, 16174,
   16175, 16176, 16177, 16178, 16179, 16180, 16181, 16184, 16186, 16191,
   16193, 16198, 16200, 16202, 16204, 16206, 16208, 16220, 16224, 16231,
   16235, 16241, 16245, 16255, 16267, 16268, 16271, 16272, 16275, 16279,
   16283, 16289, 16290, 16295, 16305, 16306, 16307, 16308, 16309, 16310,
   16311, 16312, 16316, 16317, 16318, 16319, 16324, 16329, 16338, 16359,
   16363, 16368, 16379, 16396, 16402, 16403, 16404, 16407, 16415, 16425,
   16440, 16441, 16445, 16457, 16458, 16461, 16462, 16465, 16469, 16476,
   16480, 16484, 16493, 16505, 16506, 16510, 16511, 16515, 16516, 16519,
   16520, 16525, 16534, 16551, 16558, 16563, 16569, 16578, 16592, 16593,
   16594, 16595, 16596, 16605, 16606, 16607, 16608, 16609, 16613, 16615,
   16625, 16628, 16634, 16635, 16636, 16640, 16641, 16642, 16646, 16647,
   16651, 16669, 16689, 16690, 16699, 16700, 16704, 16705, 16708, 16716,
   16724, 16732, 16755, 16756, 16767, 16771, 16777, 16779, 16784, 16786,
   16788, 16798, 16800, 16811, 16815, 16819, 16823, 16827, 16836, 16844,
   16876, 16880, 16887, 16895, 16899, 16903, 16909, 16910, 16912, 16913,
   16914, 16918, 16959, 16987, 16991, 16995, 17001, 17003, 17017, 17053,
   17066, 17067, 17070, 17071, 17088, 17089, 17090, 17095, 17096, 17097,
   17102, 17103, 17104, 17105, 17111, 17112, 17113, 17114, 17115, 17121,
   17122, 17142, 17143, 17144, 17145, 17146, 17147, 17148, 17149, 17150,
   17151, 17152, 17153, 17154, 17155, 17156, 17157, 17158, 17159, 17160,
   17161, 17162, 17163, 17164, 17165, 17166, 17167, 17168, 17169, 17170,
   17171, 17172, 17173, 17174, 17175, 17176, 17177, 17178, 17179, 17180,
   17181, 17182, 17183, 17184, 17185, 17186, 17187, 17188, 17189, 17190,
   17191, 17192, 17193, 17194, 17195, 17196, 17197, 17198, 17199, 17200,
   17201, 17202, 17203, 17204, 17205, 17206, 17207, 17208, 17209, 17210,
   17211, 17212, 17213, 17214, 17215, 17216, 17217, 17218, 17219, 17220,
   17221, 17222, 17223, 17224, 17225, 17226, 17227, 17228, 17229, 17230,
   17231, 17232, 17233, 17234, 17235, 17236, 17237, 17238, 17239, 17240,
   17241, 17242, 17243, 17244, 17245, 17246, 17247, 17248, 17249, 17250,
   17251, 17252, 17253, 17254, 17255, 17256, 17257, 17258, 17259, 17260,
   17261, 17262, 17263, 17264, 17265, 17266, 17267, 17268, 17269, 17270,
   17271, 17272, 17273, 17274, 17275, 17276, 17277, 17278, 17279, 17280,
   17281, 17282, 17283, 17284, 17285, 17286, 17287, 17288, 17289, 17290,
   17291, 17292, 17293, 17294, 17295, 17296, 17297, 17298, 17299, 17300,
   17301, 17302, 17303, 17304, 17305, 17306, 17307, 17308, 17309, 17310,
   17311, 17312, 17313, 17314, 17315, 17316, 17317, 17318, 17319, 17320,
   17321, 17322, 17323, 17324, 17325, 17326, 17327, 17328, 17329, 17330,
   17331, 17332, 17333, 17334, 17335, 17336, 17337, 17338, 17339, 17340,
   17341, 17342, 17343, 17344, 17345, 17346, 17347, 17348, 17349, 17350,
   17351, 17352, 17353, 17354, 17355, 17356, 17357, 17358, 17359, 17360,
   17361, 17362, 17363, 17364, 17365, 17366, 17367, 17368, 17369, 17370,
   17371, 17372, 17373, 17374, 17375, 17376, 17377, 17378, 17379, 17380,
   17381, 17382, 17383, 17384, 17385, 17386, 17387, 17388, 17389, 17390,
   17391, 17392, 17393, 17394, 17395, 17396, 17397, 17398, 17399, 17400,
   17401, 17402, 17403, 17404, 17405, 17406, 17407, 17408, 17409, 17410,
   17411, 17412, 17413, 17414, 17415, 17416, 17417, 17418, 17419, 17420,
   17421, 17422, 17423, 17424, 17425, 17426, 17427, 17428, 17429, 17430,
   17431, 17432, 17433, 17434, 17435, 17436, 17437, 17438, 17439, 17440,
   17441, 17442, 17443, 17444, 17445, 17446, 17447, 17448, 17449, 17450,
   17451, 17452, 17453, 17454, 17455, 17469, 17470, 17471, 17472, 17473,
   17474, 17475, 17476, 17477, 17478, 17479, 17480, 17481, 17482, 17483,
   17484, 17485, 17486, 17487, 17488, 17489, 17490, 17491, 17492, 17493,
   17494, 17495, 17496, 17497, 17498, 17499, 17500, 17501, 17502, 17503,
   17504, 17505, 17506, 17507, 17508, 17509, 17510, 17511, 17512, 17513,
   17514, 17515, 17516, 17517, 17518, 17519, 17520, 17521, 17522, 17523,
   17524, 17525, 17526, 17540, 17541, 17542, 17543, 17544, 17545, 17546,
   17547, 17548, 17549, 17550, 17551, 17552, 17553, 17554, 17555, 17556,
   17557, 17558, 17559, 17560, 17561, 17562, 17572, 17573, 17574, 17575,
   17576, 17577, 17578, 17579, 17580, 17581, 17582, 17583, 17584, 17585,
   17586, 17587, 17588, 17589, 17590, 17591, 17592, 17593, 17594, 17595,
   17596, 17597, 17598, 17599, 17600, 17601, 17602, 17603, 17604, 17605,
   17606, 17607, 17608, 17609, 17610, 17611, 17612, 17613, 17614, 17615,
   17616, 17617, 17618, 17619, 17620, 17621, 17622, 17623, 17624, 17625,
   17626, 17627, 17628, 17629, 17630, 17631, 17632, 17633, 17634, 17635,
   17636, 17637, 17638, 17639, 17640, 17641, 17642, 17643, 17644, 17645,
   17646, 17647, 17648, 17649, 17662, 17663, 17664, 17665, 17666, 17667,
   17668, 17669, 17670, 17671, 17672, 17673, 17674, 17675, 17676, 17677,
   17678, 17679, 17680, 17681, 17682, 17683, 17684, 17685, 17686, 17687,
   17688, 17689, 17690, 17691, 17692, 17693, 17694, 17695, 17696, 17697,
   17698, 17699, 17700, 17701, 17702, 17703, 17704, 17705, 17706, 17707,
   17708, 17709, 17710, 17711, 17712, 17713, 17714, 17715, 17716, 17717,
   17718, 17719, 17720, 17721, 17722, 17723, 17724, 17725, 17726, 17727,
   17728, 17729, 17730, 17731, 17732, 17733, 17734, 17735, 17736, 17737,
   17738, 17739, 17740, 17741, 17742, 17743, 17744, 17745, 17746, 17747,
   17748, 17749, 17750, 17751, 17752, 17753, 17754, 17755, 17756, 17757,
   17758, 17759, 17760, 17761, 17762, 17763, 17764, 17765, 17766, 17767,
   17768, 17769, 17770, 17771, 17772, 17773, 17774, 17775, 17776, 17777,
   17778, 17779, 17780, 17781, 17782, 17783, 17784, 17785, 17786, 17787,
   17788, 17789, 17790, 17791, 17792, 17793, 17794, 17795, 17796, 17797,
   17798, 17799, 17800, 17801, 17802, 17803, 17804, 17805, 17806, 17807,
   17808, 17809, 17810, 17811, 17812, 17813, 17814, 17815, 17816, 17817,
   17818, 17819, 17820, 17821, 17822, 17823, 17824, 17825, 17826, 17827,
   17828, 17829, 17830, 17831, 17832, 17833, 17834, 17835, 17836, 17837,
   17838, 17839, 17840, 17841, 17842, 17843, 17844, 17845, 17846, 17847,
   17848, 17849, 17850, 17851, 17852, 17853, 17854, 17855, 17856, 17857,
   17858, 17859, 17860, 17861, 17862, 17863, 17864, 17865, 17866, 17867,
   17868, 17869, 17870, 17871, 17872, 17873, 17874, 17875, 17876, 17877,
   17878, 17879, 17880, 17881, 17882, 17883, 17884, 17885, 17886, 17887,
   17888, 17889, 17890, 17891, 17892, 17893, 17894, 17895, 17896, 17897,
   17898, 17899, 17900, 17901, 17902, 17903, 17904, 17905, 17906, 17907,
   17908, 17909, 17910, 17911, 17912, 17913, 17914, 17915, 17916, 17917,
   17918, 17919, 17920, 17921, 17922, 17923, 17924, 17925, 17926, 17927,
   17928, 17929, 17930, 17931, 17932, 17933, 17934, 17935, 17936, 17937,
   17938, 17939, 17940, 17941, 17942, 17943, 17944, 17945, 17946, 17947,
   17948, 17949, 17950, 17951, 17952, 17953, 17954, 17955, 17956, 17957,
   17958, 17959, 17960, 17961, 17962, 17963, 17964, 17965, 17966, 17967,
   17968, 17969, 17970, 17971, 17972, 17973, 17974, 17975, 17976, 17977,
   17978, 17979, 17980, 17981, 17982, 17983, 17984, 17985, 17986, 17987,
   17988, 17989, 17990, 17991, 17992, 17993, 17994, 17995, 17996, 17997,
   17998, 17999, 18000, 18001, 18002, 18003, 18004, 18005, 18006, 18007,
   18008, 18009, 18010, 18011, 18012, 18013, 18014, 18015, 18016, 18017,
   18018, 18019, 18020, 18021, 18022, 18023, 18024, 18025, 18026, 18027,
   18028, 18029, 18030, 18031, 18032, 18033, 18034, 18035, 18036, 18037,
   18038, 18039, 18040, 18041, 18042, 18043, 18044, 18045, 18046, 18047,
   18048, 18049, 18050, 18051, 18052, 18053, 18054, 18055, 18056, 18057,
   18058, 18059, 18060, 18061, 18062, 18063, 18064, 18065, 18066, 18067,
   18068, 18069, 18070, 18071, 18072, 18073, 18074, 18075, 18076, 18077,
   18078, 18079, 18080, 18081, 18082, 18083, 18084, 18085, 18086, 18087,
   18088, 18089, 18090, 18091, 18092, 18093, 18094, 18095
};
#endif

/** Accessing symbol of state STATE.  */
#define YY_ACCESSING_SYMBOL(State) YY_CAST (yysymbol_kind_t, yystos[State])

#if YYDEBUG || 0
/* The user-facing name of the symbol whose (internal) number is
   YYSYMBOL.  No bounds checking.  */
static const char *yysymbol_name (yysymbol_kind_t yysymbol) YY_ATTRIBUTE_UNUSED;

/* YYTNAME[SYMBOL-NUM] -- String name of the symbol SYMBOL-NUM.
   First, the terminals, then, starting at YYNTOKENS, nonterminals.  */
static const char *const yytname[] =
{
  "\"end of file\"", "error", "\"invalid token\"", "IDENT", "UIDENT",
  "FCONST", "SCONST", "USCONST", "BCONST", "XCONST", "Op", "ICONST",
  "PARAM", "TYPECAST", "DOT_DOT", "COLON_EQUALS", "EQUALS_GREATER",
  "LESS_EQUALS", "GREATER_EQUALS", "NOT_EQUALS", "ABORT_P", "ABSENT",
  "ABSOLUTE_P", "ACCESS", "ACTION", "ADD_P", "ADMIN", "AFTER", "AGGREGATE",
  "ALL", "ALSO", "ALTER", "ALWAYS", "ANALYSE", "ANALYZE", "AND", "ANY",
  "ARRAY", "AS", "ASC", "ASENSITIVE", "ASSERTION", "ASSIGNMENT",
  "ASYMMETRIC", "ATOMIC", "AT", "ATTACH", "ATTRIBUTE", "AUTHORIZATION",
  "BACKWARD", "BEFORE", "BEGIN_P", "BETWEEN", "BIGINT", "BINARY", "BIT",
  "BOOLEAN_P", "BOTH", "BREADTH", "BY", "CACHE", "CALL", "CALLED",
  "CASCADE", "CASCADED", "CASE", "CAST", "CATALOG_P", "CHAIN", "CHAR_P",
  "CHARACTER", "CHARACTERISTICS", "CHECK", "CHECKPOINT", "CLASS", "CLOSE",
  "CLUSTER", "COALESCE", "COLLATE", "COLLATION", "COLUMN", "COLUMNS",
  "COMMENT", "COMMENTS", "COMMIT", "COMMITTED", "COMPRESSION",
  "CONCURRENTLY", "CONFIGURATION", "CONFLICT", "CONNECTION", "CONSTRAINT",
  "CONSTRAINTS", "CONTENT_P", "CONTINUE_P", "CONVERSION_P", "COPY", "COST",
  "CREATE", "CROSS", "CSV", "CUBE", "CURRENT_P", "CURRENT_CATALOG",
  "CURRENT_DATE", "CURRENT_ROLE", "CURRENT_SCHEMA", "CURRENT_TIME",
  "CURRENT_TIMESTAMP", "CURRENT_USER", "CURSOR", "CYCLE", "DATA_P",
  "DATABASE", "DAY_P", "DEALLOCATE", "DEC", "DECIMAL_P", "DECLARE",
  "DEFAULT", "DEFAULTS", "DEFERRABLE", "DEFERRED", "DEFINER", "DELETE_P",
  "DELIMITER", "DELIMITERS", "DEPENDS", "DEPTH", "DESC", "DETACH",
  "DICTIONARY", "DISABLE_P", "DISCARD", "DISTINCT", "DO", "DOCUMENT_P",
  "DOMAIN_P", "DOUBLE_P", "DROP", "EACH", "ELSE", "ENABLE_P", "ENCODING",
  "ENCRYPTED", "END_P", "ENUM_P", "ESCAPE", "EVENT", "EXCEPT", "EXCLUDE",
  "EXCLUDING", "EXCLUSIVE", "EXECUTE", "EXISTS", "EXPLAIN", "EXPRESSION",
  "EXTENSION", "EXTERNAL", "EXTRACT", "FALSE_P", "FAMILY", "FETCH",
  "FILTER", "FINALIZE", "FIRST_P", "FLOAT_P", "FOLLOWING", "FOR", "FORCE",
  "FOREIGN", "FORMAT", "FORWARD", "FREEZE", "FROM", "FULL", "FUNCTION",
  "FUNCTIONS", "GENERATED", "GLOBAL", "GRANT", "GRANTED", "GREATEST",
  "GROUP_P", "GROUPING", "GROUPS", "HANDLER", "HAVING", "HEADER_P", "HOLD",
  "HOUR_P", "IDENTITY_P", "IF_P", "ILIKE", "IMMEDIATE", "IMMUTABLE",
  "IMPLICIT_P", "IMPORT_P", "IN_P", "INCLUDE", "INCLUDING", "INCREMENT",
  "INDENT", "INDEX", "INDEXES", "INHERIT", "INHERITS", "INITIALLY",
  "INLINE_P", "INNER_P", "INOUT", "INPUT_P", "INSENSITIVE", "INSERT",
  "INSTEAD", "INT_P", "INTEGER", "INTERSECT", "INTERVAL", "INTO",
  "INVOKER", "IS", "ISNULL", "ISOLATION", "JOIN", "JSON", "JSON_ARRAY",
  "JSON_ARRAYAGG", "JSON_OBJECT", "JSON_OBJECTAGG", "JSON_SCALAR",
  "JSON_SERIALIZE", "KEY", "KEYS", "LABEL", "LANGUAGE", "LARGE_P",
  "LAST_P", "LATERAL_P", "LEADING", "LEAKPROOF", "LEAST", "LEFT", "LEVEL",
  "LIKE", "LIMIT", "LISTEN", "LOAD", "LOCAL", "LOCALTIME",
  "LOCALTIMESTAMP", "LOCATION", "LOCK_P", "LOCKED", "LOGGED", "MAPPING",
  "MATCH", "MATCHED", "MATERIALIZED", "MAXVALUE", "MERGE", "METHOD",
  "MINUTE_P", "MINVALUE", "MODE", "MONTH_P", "MOVE", "NAME_P", "NAMES",
  "NATIONAL", "NATURAL", "NCHAR", "NEW", "NEXT", "NFC", "NFD", "NFKC",
  "NFKD", "NO", "NONE", "NORMALIZE", "NORMALIZED", "NOT", "NOTHING",
  "NOTIFY", "NOTNULL", "NOWAIT", "NULL_P", "NULLIF", "NULLS_P", "NUMERIC",
  "OBJECT_P", "OF", "OFF", "OFFSET", "OIDS", "OLD", "ON", "ONLY",
  "OPERATOR", "OPTION", "OPTIONS", "OR", "ORDER", "ORDINALITY", "OTHERS",
  "OUT_P", "OUTER_P", "OVER", "OVERLAPS", "OVERLAY", "OVERRIDING", "OWNED",
  "OWNER", "PARALLEL", "PARAMETER", "PARSER", "PARTIAL", "PARTITION",
  "PASSING", "PASSWORD", "PLACING", "PLANS", "POLICY", "POSITION",
  "PRECEDING", "PRECISION", "PRESERVE", "PREPARE", "PREPARED", "PRIMARY",
  "PRIOR", "PRIVILEGES", "PROCEDURAL", "PROCEDURE", "PROCEDURES",
  "PROGRAM", "PUBLICATION", "QUOTE", "RANGE", "READ", "REAL", "REASSIGN",
  "RECHECK", "RECURSIVE", "REF_P", "REFERENCES", "REFERENCING", "REFRESH",
  "REINDEX", "RELATIVE_P", "RELEASE", "RENAME", "REPEATABLE", "REPLACE",
  "REPLICA", "RESET", "RESTART", "RESTRICT", "RETURN", "RETURNING",
  "RETURNS", "REVOKE", "RIGHT", "ROLE", "ROLLBACK", "ROLLUP", "ROUTINE",
  "ROUTINES", "ROW", "ROWS", "RULE", "SAVEPOINT", "SCALAR", "SCHEMA",
  "SCHEMAS", "SCROLL", "SEARCH", "SECOND_P", "SECURITY", "SELECT",
  "SEQUENCE", "SEQUENCES", "SERIALIZABLE", "SERVER", "SESSION",
  "SESSION_USER", "SET", "SETS", "SETOF", "SHARE", "SHOW", "SIMILAR",
  "SIMPLE", "SKIP", "SMALLINT", "SNAPSHOT", "SOME", "SQL_P", "STABLE",
  "STANDALONE_P", "START", "STATEMENT", "STATISTICS", "STDIN", "STDOUT",
  "STORAGE", "STORED", "STRICT_P", "STRIP_P", "SUBSCRIPTION", "SUBSTRING",
  "SUPPORT", "SYMMETRIC", "SYSID", "SYSTEM_P", "SYSTEM_USER", "TABLE",
  "TABLES", "TABLESAMPLE", "TABLESPACE", "TEMP", "TEMPLATE", "TEMPORARY",
  "TEXT_P", "THEN", "TIES", "TIME", "TIMESTAMP", "TO", "TRAILING",
  "TRANSACTION", "TRANSFORM", "TREAT", "TRIGGER", "TRIM", "TRUE_P",
  "TRUNCATE", "TRUSTED", "TYPE_P", "TYPES_P", "UESCAPE", "UNBOUNDED",
  "UNCOMMITTED", "UNENCRYPTED", "UNION", "UNIQUE", "UNKNOWN", "UNLISTEN",
  "UNLOGGED", "UNTIL", "UPDATE", "USER", "USING", "VACUUM", "VALID",
  "VALIDATE", "VALIDATOR", "VALUE_P", "VALUES", "VARCHAR", "VARIADIC",
  "VARYING", "VERBOSE", "VERSION_P", "VIEW", "VIEWS", "VOLATILE", "WHEN",
  "WHERE", "WHITESPACE_P", "WINDOW", "WITH", "WITHIN", "WITHOUT", "WORK",
  "WRAPPER", "WRITE", "XML_P", "XMLATTRIBUTES", "XMLCONCAT", "XMLELEMENT",
  "XMLEXISTS", "XMLFOREST", "XMLNAMESPACES", "XMLPARSE", "XMLPI",
  "XMLROOT", "XMLSERIALIZE", "XMLTABLE", "YEAR_P", "YES_P", "ZONE",
  "FORMAT_LA", "NOT_LA", "NULLS_LA", "WITH_LA", "WITHOUT_LA",
  "MODE_TYPE_NAME", "MODE_PLPGSQL_EXPR", "MODE_PLPGSQL_ASSIGN1",
  "MODE_PLPGSQL_ASSIGN2", "MODE_PLPGSQL_ASSIGN3", "'<'", "'>'", "'='",
  "'+'", "'-'", "'*'", "'/'", "'%'", "'^'", "UMINUS", "'['", "']'", "'('",
  "')'", "'.'", "';'", "','", "':'", "$accept", "parse_toplevel",
  "stmtmulti", "toplevel_stmt", "stmt", "opt_single_name",
  "opt_qualified_name", "opt_concurrently", "opt_drop_behavior",
  "CallStmt", "CreateRoleStmt", "opt_with", "OptRoleList",
  "AlterOptRoleList", "AlterOptRoleElem", "CreateOptRoleElem",
  "CreateUserStmt", "AlterRoleStmt", "opt_in_database", "AlterRoleSetStmt",
  "DropRoleStmt", "CreateGroupStmt", "AlterGroupStmt", "add_drop",
  "CreateSchemaStmt", "OptSchemaEltList", "schema_stmt", "VariableSetStmt",
  "set_rest", "generic_set", "set_rest_more", "var_name", "var_list",
  "var_value", "iso_level", "opt_boolean_or_string", "zone_value",
  "opt_encoding", "NonReservedWord_or_Sconst", "VariableResetStmt",
  "reset_rest", "generic_reset", "SetResetClause",
  "FunctionSetResetClause", "VariableShowStmt", "ConstraintsSetStmt",
  "constraints_set_list", "constraints_set_mode", "CheckPointStmt",
  "DiscardStmt", "AlterTableStmt", "alter_table_cmds", "partition_cmd",
  "index_partition_cmd", "alter_table_cmd", "alter_column_default",
  "opt_collate_clause", "alter_using", "replica_identity", "reloptions",
  "opt_reloptions", "reloption_list", "reloption_elem",
  "alter_identity_column_option_list", "alter_identity_column_option",
  "set_statistics_value", "set_access_method_name", "PartitionBoundSpec",
  "hash_partbound_elem", "hash_partbound", "AlterCompositeTypeStmt",
  "alter_type_cmds", "alter_type_cmd", "ClosePortalStmt", "CopyStmt",
  "copy_from", "opt_program", "copy_file_name", "copy_options",
  "copy_opt_list", "copy_opt_item", "opt_binary", "copy_delimiter",
  "opt_using", "copy_generic_opt_list", "copy_generic_opt_elem",
  "copy_generic_opt_arg", "copy_generic_opt_arg_list",
  "copy_generic_opt_arg_list_item", "CreateStmt", "OptTemp",
  "OptTableElementList", "OptTypedTableElementList", "TableElementList",
  "TypedTableElementList", "TableElement", "TypedTableElement",
  "columnDef", "columnOptions", "column_compression",
  "opt_column_compression", "column_storage", "opt_column_storage",
  "ColQualList", "ColConstraint", "ColConstraintElem",
  "opt_unique_null_treatment", "generated_when", "ConstraintAttr",
  "TableLikeClause", "TableLikeOptionList", "TableLikeOption",
  "TableConstraint", "ConstraintElem", "opt_no_inherit",
  "opt_without_overlaps", "opt_column_list", "columnList", "columnElem",
  "opt_c_include", "key_match", "ExclusionConstraintList",
  "ExclusionConstraintElem", "OptWhereClause", "key_actions", "key_update",
  "key_delete", "key_action", "OptInherit", "OptPartitionSpec",
  "PartitionSpec", "part_params", "part_elem",
  "table_access_method_clause", "OptWith", "OnCommitOption",
  "OptTableSpace", "OptConsTableSpace", "ExistingIndex", "CreateStatsStmt",
  "stats_params", "stats_param", "AlterStatsStmt", "CreateAsStmt",
  "create_as_target", "opt_with_data", "CreateMatViewStmt",
  "create_mv_target", "OptNoLog", "RefreshMatViewStmt", "CreateSeqStmt",
  "AlterSeqStmt", "OptSeqOptList", "OptParenthesizedSeqOptList",
  "SeqOptList", "SeqOptElem", "opt_by", "NumericOnly", "NumericOnly_list",
  "CreatePLangStmt", "opt_trusted", "handler_name", "opt_inline_handler",
  "validator_clause", "opt_validator", "opt_procedural",
  "CreateTableSpaceStmt", "OptTableSpaceOwner", "DropTableSpaceStmt",
  "CreateExtensionStmt", "create_extension_opt_list",
  "create_extension_opt_item", "AlterExtensionStmt",
  "alter_extension_opt_list", "alter_extension_opt_item",
  "AlterExtensionContentsStmt", "CreateFdwStmt", "fdw_option",
  "fdw_options", "opt_fdw_options", "AlterFdwStmt",
  "create_generic_options", "generic_option_list", "alter_generic_options",
  "alter_generic_option_list", "alter_generic_option_elem",
  "generic_option_elem", "generic_option_name", "generic_option_arg",
  "CreateForeignServerStmt", "opt_type", "foreign_server_version",
  "opt_foreign_server_version", "AlterForeignServerStmt",
  "CreateForeignTableStmt", "ImportForeignSchemaStmt",
  "import_qualification_type", "import_qualification",
  "CreateUserMappingStmt", "auth_ident", "DropUserMappingStmt",
  "AlterUserMappingStmt", "CreatePolicyStmt", "AlterPolicyStmt",
  "RowSecurityOptionalExpr", "RowSecurityOptionalWithCheck",
  "RowSecurityDefaultToRole", "RowSecurityOptionalToRole",
  "RowSecurityDefaultPermissive", "RowSecurityDefaultForCmd",
  "row_security_cmd", "CreateAmStmt", "am_type", "CreateTrigStmt",
  "TriggerActionTime", "TriggerEvents", "TriggerOneEvent",
  "TriggerReferencing", "TriggerTransitions", "TriggerTransition",
  "TransitionOldOrNew", "TransitionRowOrTable", "TransitionRelName",
  "TriggerForSpec", "TriggerForOptEach", "TriggerForType", "TriggerWhen",
  "FUNCTION_or_PROCEDURE", "TriggerFuncArgs", "TriggerFuncArg",
  "OptConstrFromTable", "ConstraintAttributeSpec",
  "ConstraintAttributeElem", "CreateEventTrigStmt",
  "event_trigger_when_list", "event_trigger_when_item",
  "event_trigger_value_list", "AlterEventTrigStmt", "enable_trigger",
  "CreateAssertionStmt", "DefineStmt", "definition", "def_list",
  "def_elem", "def_arg", "old_aggr_definition", "old_aggr_list",
  "old_aggr_elem", "opt_enum_val_list", "enum_val_list", "AlterEnumStmt",
  "opt_if_not_exists", "CreateOpClassStmt", "opclass_item_list",
  "opclass_item", "opt_default", "opt_opfamily", "opclass_purpose",
  "opt_recheck", "CreateOpFamilyStmt", "AlterOpFamilyStmt",
  "opclass_drop_list", "opclass_drop", "DropOpClassStmt",
  "DropOpFamilyStmt", "DropOwnedStmt", "ReassignOwnedStmt", "DropStmt",
  "object_type_any_name", "object_type_name", "drop_type_name",
  "object_type_name_on_any_name", "any_name_list", "any_name", "attrs",
  "type_name_list", "TruncateStmt", "opt_restart_seqs", "CommentStmt",
  "comment_text", "SecLabelStmt", "opt_provider", "security_label",
  "FetchStmt", "fetch_args", "from_in", "opt_from_in", "GrantStmt",
  "RevokeStmt", "privileges", "privilege_list", "privilege",
  "parameter_name_list", "parameter_name", "privilege_target",
  "grantee_list", "grantee", "opt_grant_grant_option", "GrantRoleStmt",
  "RevokeRoleStmt", "grant_role_opt_list", "grant_role_opt",
  "grant_role_opt_value", "opt_granted_by", "AlterDefaultPrivilegesStmt",
  "DefACLOptionList", "DefACLOption", "DefACLAction",
  "defacl_privilege_target", "IndexStmt", "opt_unique",
  "access_method_clause", "index_params", "index_elem_options",
  "index_elem", "opt_include", "index_including_params", "opt_collate",
  "opt_asc_desc", "opt_nulls_order", "CreateFunctionStmt",
  "opt_or_replace", "func_args", "func_args_list",
  "function_with_argtypes_list", "function_with_argtypes",
  "func_args_with_defaults", "func_args_with_defaults_list", "func_arg",
  "arg_class", "param_name", "func_return", "func_type",
  "func_arg_with_default", "aggr_arg", "aggr_args", "aggr_args_list",
  "aggregate_with_argtypes", "aggregate_with_argtypes_list",
  "opt_createfunc_opt_list", "createfunc_opt_list", "common_func_opt_item",
  "createfunc_opt_item", "func_as", "ReturnStmt", "opt_routine_body",
  "routine_body_stmt_list", "routine_body_stmt", "transform_type_list",
  "opt_definition", "table_func_column", "table_func_column_list",
  "AlterFunctionStmt", "alterfunc_opt_list", "opt_restrict",
  "RemoveFuncStmt", "RemoveAggrStmt", "RemoveOperStmt", "oper_argtypes",
  "any_operator", "operator_with_argtypes_list", "operator_with_argtypes",
  "DoStmt", "dostmt_opt_list", "dostmt_opt_item", "CreateCastStmt",
  "cast_context", "DropCastStmt", "opt_if_exists", "CreateTransformStmt",
  "transform_element_list", "DropTransformStmt", "ReindexStmt",
  "reindex_target_relation", "reindex_target_all",
  "opt_reindex_option_list", "AlterTblSpcStmt", "RenameStmt", "opt_column",
  "opt_set_data", "AlterObjectDependsStmt", "opt_no",
  "AlterObjectSchemaStmt", "AlterOperatorStmt", "operator_def_list",
  "operator_def_elem", "operator_def_arg", "AlterTypeStmt",
  "AlterOwnerStmt", "CreatePublicationStmt", "PublicationObjSpec",
  "pub_obj_list", "AlterPublicationStmt", "CreateSubscriptionStmt",
  "AlterSubscriptionStmt", "DropSubscriptionStmt", "RuleStmt",
  "RuleActionList", "RuleActionMulti", "RuleActionStmt",
  "RuleActionStmtOrEmpty", "event", "opt_instead", "NotifyStmt",
  "notify_payload", "ListenStmt", "UnlistenStmt", "TransactionStmt",
  "TransactionStmtLegacy", "opt_transaction", "transaction_mode_item",
  "transaction_mode_list", "transaction_mode_list_or_empty",
  "opt_transaction_chain", "ViewStmt", "opt_check_option", "LoadStmt",
  "CreatedbStmt", "createdb_opt_list", "createdb_opt_items",
  "createdb_opt_item", "createdb_opt_name", "opt_equal",
  "AlterDatabaseStmt", "AlterDatabaseSetStmt", "DropdbStmt",
  "drop_option_list", "drop_option", "AlterCollationStmt",
  "AlterSystemStmt", "CreateDomainStmt", "AlterDomainStmt", "opt_as",
  "AlterTSDictionaryStmt", "AlterTSConfigurationStmt", "any_with",
  "CreateConversionStmt", "ClusterStmt", "cluster_index_specification",
  "VacuumStmt", "AnalyzeStmt", "utility_option_list", "analyze_keyword",
  "utility_option_elem", "utility_option_name", "utility_option_arg",
  "opt_analyze", "opt_verbose", "opt_full", "opt_freeze", "opt_name_list",
  "vacuum_relation", "vacuum_relation_list", "opt_vacuum_relation_list",
  "ExplainStmt", "ExplainableStmt", "PrepareStmt", "prep_type_clause",
  "PreparableStmt", "ExecuteStmt", "execute_param_clause",
  "DeallocateStmt", "InsertStmt", "insert_target", "insert_rest",
  "override_kind", "insert_column_list", "insert_column_item",
  "opt_on_conflict", "opt_conf_expr", "returning_clause", "DeleteStmt",
  "using_clause", "LockStmt", "opt_lock", "lock_type", "opt_nowait",
  "opt_nowait_or_skip", "UpdateStmt", "set_clause_list", "set_clause",
  "set_target", "set_target_list", "MergeStmt", "merge_when_list",
  "merge_when_clause", "opt_merge_when_condition", "merge_update",
  "merge_delete", "merge_insert", "merge_values_clause",
  "DeclareCursorStmt", "cursor_name", "cursor_options", "opt_hold",
  "SelectStmt", "select_with_parens", "select_no_parens", "select_clause",
  "simple_select", "with_clause", "cte_list", "common_table_expr",
  "opt_materialized", "opt_search_clause", "opt_cycle_clause",
  "opt_with_clause", "into_clause", "OptTempTableName", "opt_table",
  "set_quantifier", "distinct_clause", "opt_all_clause",
  "opt_distinct_clause", "opt_sort_clause", "sort_clause", "sortby_list",
  "sortby", "select_limit", "opt_select_limit", "limit_clause",
  "offset_clause", "select_limit_value", "select_offset_value",
  "select_fetch_first_value", "I_or_F_const", "row_or_rows",
  "first_or_next", "group_clause", "group_by_list", "group_by_item",
  "empty_grouping_set", "rollup_clause", "cube_clause",
  "grouping_sets_clause", "having_clause", "for_locking_clause",
  "opt_for_locking_clause", "for_locking_items", "for_locking_item",
  "for_locking_strength", "locked_rels_list", "values_clause",
  "from_clause", "from_list", "table_ref", "joined_table", "alias_clause",
  "opt_alias_clause", "opt_alias_clause_for_join_using",
  "func_alias_clause", "join_type", "opt_outer", "join_qual",
  "relation_expr", "extended_relation_expr", "relation_expr_list",
  "relation_expr_opt_alias", "tablesample_clause", "opt_repeatable_clause",
  "func_table", "rowsfrom_item", "rowsfrom_list", "opt_col_def_list",
  "opt_ordinality", "where_clause", "where_or_current_clause",
  "OptTableFuncElementList", "TableFuncElementList", "TableFuncElement",
  "xmltable", "xmltable_column_list", "xmltable_column_el",
  "xmltable_column_option_list", "xmltable_column_option_el",
  "xml_namespace_list", "xml_namespace_el", "Typename", "opt_array_bounds",
  "SimpleTypename", "ConstTypename", "GenericType", "opt_type_modifiers",
  "Numeric", "opt_float", "Bit", "ConstBit", "BitWithLength",
  "BitWithoutLength", "Character", "ConstCharacter", "CharacterWithLength",
  "CharacterWithoutLength", "character", "opt_varying", "ConstDatetime",
  "ConstInterval", "opt_timezone", "opt_interval", "interval_second",
  "JsonType", "a_expr", "b_expr", "c_expr", "func_application",
  "func_expr", "func_expr_windowless", "func_expr_common_subexpr",
  "xml_root_version", "opt_xml_root_standalone", "xml_attributes",
  "xml_attribute_list", "xml_attribute_el", "document_or_content",
  "xml_indent_option", "xml_whitespace_option", "xmlexists_argument",
  "xml_passing_mech", "within_group_clause", "filter_clause",
  "window_clause", "window_definition_list", "window_definition",
  "over_clause", "window_specification", "opt_existing_window_name",
  "opt_partition_clause", "opt_frame_clause", "frame_extent",
  "frame_bound", "opt_window_exclusion_clause", "row", "explicit_row",
  "implicit_row", "sub_type", "all_Op", "MathOp", "qual_Op", "qual_all_Op",
  "subquery_Op", "expr_list", "func_arg_list", "func_arg_expr",
  "func_arg_list_opt", "type_list", "array_expr", "array_expr_list",
  "extract_list", "extract_arg", "unicode_normal_form", "overlay_list",
  "position_list", "substr_list", "trim_list", "in_expr", "case_expr",
  "when_clause_list", "when_clause", "case_default", "case_arg",
  "columnref", "indirection_el", "opt_slice_bound", "indirection",
  "opt_indirection", "opt_asymmetric", "json_value_expr",
  "json_format_clause", "json_format_clause_opt",
  "json_returning_clause_opt", "json_predicate_type_constraint",
  "json_key_uniqueness_constraint_opt", "json_name_and_value_list",
  "json_name_and_value", "json_object_constructor_null_clause_opt",
  "json_array_constructor_null_clause_opt", "json_value_expr_list",
  "json_aggregate_func", "json_array_aggregate_order_by_clause_opt",
  "opt_target_list", "target_list", "target_el", "qualified_name_list",
  "qualified_name", "name_list", "name", "attr_name", "file_name",
  "func_name", "AexprConst", "Iconst", "Sconst", "SignedIconst", "RoleId",
  "RoleSpec", "role_list", "PLpgSQL_Expr", "PLAssignStmt",
  "plassign_target", "plassign_equals", "ColId", "type_function_name",
  "NonReservedWord", "ColLabel", "BareColLabel", "unreserved_keyword",
  "col_name_keyword", "type_func_name_keyword", "reserved_keyword",
  "bare_label_keyword", YY_NULLPTR
};

static const char *
yysymbol_name (yysymbol_kind_t yysymbol)
{
  return yytname[yysymbol];
}
#endif

#define YYPACT_NINF (-5546)

#define yypact_value_is_default(Yyn) \
  ((Yyn) == YYPACT_NINF)

#define YYTABLE_NINF (-2905)

#define yytable_value_is_error(Yyn) \
  ((Yyn) == YYTABLE_NINF)

/* YYPACT[STATE-NUM] -- Index in YYTABLE of the portion describing
   STATE-NUM.  */
static const int yypact[] =
{
   12616,  1033, 17327, -5546, -5546,  1033, 70357, -5546, 79667,  1347,
     924,  1352,   262, 21184, 80157, 90447,   714,   376, 21357,  1033,
   90447,  2311, 61046, 75747,   334, 90447,  1470,  1081, 61046, 90447,
   90937,  1318,  1521,  1274, 91427, 80647, 74767,  1458, 90447,  1664,
    1613, 91917, 81137,  1529, 81627,  1081, 56157,   326,  1499, 92407,
   90447,114877,  1613, 82117, 82117, 82117,  1951,  2027,  1575, -5546,
   -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546,
   -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546,
   -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546,
   -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546,
   -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546,
   -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546,
   -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546,
   -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546,
   -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546,
   -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546,
   -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546,
   -5546, -5546, -5546, -5546, -5546,  1402, -5546, -5546, -5546, -5546,
   -5546, -5546, -5546, -5546, -5546, -5546, -5546,  2174, -5546,   200,
    2792,    61,   966,  1642, -5546, -5546,  2172, 70357, 90447, 90447,
   90447,  1893, 90447,  1800, 90447,   875, 70357, 66927, 82607,  1962,
    1795, 52121, 92897, -5546, 70357, 90447, 64477, 70357, 90447, 90447,
   93387, 90447, 93877, 90447,  1757, 78197, 90447,  1953, 90447, 90447,
   64967, 94367,  2073,  1515,   233, -5546, -5546, -5546, -5546, -5546,
   -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546,
   -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546,
   -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546,
   -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546,
   -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546,
   -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546,
   -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546,
   -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546,
   -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546,
   -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546,
   -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546,
   -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546,
   -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546,
   -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546,
   -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546,
   -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546,
   -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546,
   -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546,
   -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546,
   -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546,
   -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546,
   -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546,
   -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546,
   -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546,
   -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546,
   -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546,
   -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546,
   -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546,
   -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546,
   -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546,
   -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546,
   -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546,
   -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546,
   -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546,
   -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546,
   -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546,
   -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546,
   -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546,
   -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546,
   -5546,  1797,   678, -5546,   290, -5546, -5546, -5546, -5546, -5546,
   -5546, -5546, -5546, -5546, 61536, 90447, 21895,  1470,  2172, -5546,
    1951, 90447,  2082, 90447,  1851, 94857, 90447, -5546, 90447,  1956,
   95347,   882,  1427, 66927,  1931, 52630,  2016, 90447, 90447, 66927,
   95837, 96327, 96817, 90447, 90447, -5546, -5546,  1999, 90447, -5546,
    2144, 67417,  1541,  2203,  2391,  2222,  1720, -5546, 83097, -5546,
   -5546, -5546, -5546, -5546, -5546, -5546, -5546, 69867,   376, -5546,
   -5546,  2213, 70847,  2322, -5546, -5546, 97307,115353,  2107, -5546,
     899, 71337, 67907,  2423,  2104, 53139,  2487, -5546, 71827, -5546,
   68397, 72317, -5546, -5546, -5546, -5546, -5546, 97797, -5546, 98287,
    2202,  2322, -5546,115829, 68887, -5546,  2348, 98777, 99267, 99757,
    2172,  2071,  1428,  1337, 46623, -5546, -5546, -5546,  2182, -5546,
   -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546,   393,  1607,
     263,   241,   300, -5546, -5546,   247,   256,   258,   393,  2620,
    2620, -5546, 90447, -5546, -5546,  1607,   725,  2226,  2138,  2138,
    2138,  2388,    36, -5546,  2138,  2340, -5546, -5546, -5546, -5546,
   81627, -5546,  2181,  1470,  2224,  2658,  2268, 61536,  1006, 90447,
   -5546, -5546,  2700,  2275,  2553,  2277, -5546, -5546, -5546,  2512,
    2505,   110,   710,  1470,   287, -5546,  2653, -5546,  2551, 32017,
   32017,  1470, 83587,100247,   239, 69867,  1470, 84077,  2373,   234,
    2575, -5546, -5546, -5546,   808, -5546,  2831,  2398,  2677,  2277,
    1515, 48607, -5546, -5546,  2396,   678, 81627, -5546, -5546, -5546,
   61536,  2752, 35065, 90447,  2414, -5546,  2435,  2414, -5546, -5546,
    2504, -5546,  2504,  2504,  2441,  2441,  2652,  2468, -5546, -5546,
   -5546, -5546,  2367,  2504,  2441, -5546,116781, -5546,  1852,  1898,
   -5546, -5546,  2966, -5546, -5546, -5546, -5546, -5546, -5546, -5546,
   -5546,  2508, -5546,   877, -5546,  1928, -5546, -5546, -5546, 32017,
   -5546, -5546, -5546, -5546, -5546, -5546, -5546,  2532,  2533,    61,
   -5546, 13181, 61536, 90447,  1704,  1704,  2997,  1704,  1818,  1997,
   -5546,  2800, -5546,  2888,  2848,  2852, 81627,  2558,   973, -5546,
    1592,  2560,  1907,  2566,  1790,  1240, -5546,   805, 90447,   428,
    2609, 84567, 11346,  2574,   678,  2576, -5546, -5546, -5546, -5546,
    2749,   422, -5546, -5546, -5546, -5546,  2907,  2952,  9140,   368,
   85057, -5546, -5546, -5546, -5546, 90447, 90447, -5546, -5546, -5546,
   -5546, -5546, -5546, -5546, -5546, -5546,  2592,   149, -5546, -5546,
    2591,  2955,  2816, 11631,   971,  2916,  2764,  1460, 11802,  2820,
    1571,  2965,  9838,  1377,  2967,  1862,  2115, 85547, 90447,  2922,
    2969,  7623,  1531,   964,  2828,  1147,  2916,  2962,  2779,  1460,
    2978,  8165, 90447, -5546,  2890,  3013,   127, -5546,   173, -5546,
   24960, 35065, 55667, -5546,   678, -5546,   978, -5546, -5546, 60556,
   -5546,  2682,  2840,   735, 70357,  2623, 90447, 90447, -5546,114877,
   70357, -5546,  2849, 53648, 70357, -5546, 70357, -5546, -5546,  2971,
  114877, 90447, 90447, -5546, 90447, -5546, -5546,  2627, -5546, -5546,
   -5546, -5546, -5546,  2138, 90447,  3072,114877,  2863,   170,  1480,
    3108, 90447,  2865,  1480,  2672,100737, -5546, -5546,  1480, -5546,
   -5546, -5546, 90447, 90447,  2634,  1343,  2853,   184,  1480,  2869,
    3105,  3106,  2873,  2717,  2876,  2435, -5546,  3071,  2850,  1012,
     204,  1809,  1480,  2699,101227,101717, 90447,  2701, 90447,  3078,
   70357,  2733, 70357, 70357, 90447,  3000, 90447, -5546,  2836, -5546,
   -5546,  1438, -5546, -5546, -5546, -5546, -5546,  3016, -5546,   198,
    3017,  2657,  3019,  1696,  3020,   199, -5546, -5546,  2702, -5546,
    3021,   230, -5546,  3022, -5546,  2662,102207, -5546,102697,103187,
    3031,   324, -5546, 66927,  3033,   230,  3034,  2662,  3040,   230,
    3044,   954,  3045, -5546,  1040,  3036,  3047,   199,  3052,  1975,
    2662, -5546,  3060,   331, -5546,  3061,   335, -5546,  3062,  2921,
   -5546, 35065, -5546,  2803, -5546,  1499,  1725,  1337,  1607, -5546,
   90447,  1607, 90447,  1607, 90447,  1607, 90447,  1607, 90447, 90447,
   90447,  1607, -5546, -5546, -5546, 90447,  2706, 90447, -5546, 90447,
   -5546, -5546, -5546, 76727, 66927, 77217, -5546, 90447, -5546,   130,
    1470, -5546, -5546,114877,  3184, 66927,  3078,  1880, -5546, -5546,
    3078, -5546, -5546,  3078,  3078, -5546, -5546, -5546,  2986, 90447,
    3063, 76727, 66927,  3065, -5546,103677, -5546, 69867,  2937,  2727,
   -5546, -5546, -5546, -5546, -5546,  1936,  3237,   251,  3240, 35065,
    2734,   251,   251,  2735,  3086, -5546, -5546, -5546,   293,  2744,
    2746, -5546,   277,   277, -5546,  2747,  2750, -5546,   283,  2758,
    2759,  3258,  3269,   285,   296,  2762,  2765,  2766,  2767,  2773,
    2775,  2776,  2778,  2780,  2367,   251,  2781, 35065, -5546,  2788,
     277,  2791,  2793,  2796,  3286,  2797, -5546,  3288,  2798, -5546,
     227,   313,  2799,  2801, -5546,  3018, -5546,   297,  2804,  2806,
    2807,  2808,  2809,  2814,  2817,  2818, 35065, 35065, 35065, -5546,
   29472,   678,  1470, -5546, -5546, -5546, -5546, -5546, -5546, -5546,
   -5546,   306, -5546, 51612, -5546,  2842, -5546, -5546,  3025, -5546,
   -5546, 35065, -5546, -5546,  3172,   834, -5546,   307, -5546, -5546,
   -5546,   678,  3117,  2819, -5546, -5546,  1024,  2824, -5546,  1728,
   -5546, -5546, -5546, -5546, -5546, -5546, 69377,  3299, -5546,   351,
    1470,   173,   396,  3242, 59086, 59576, -5546, -5546,  3096, -5546,
   90447, -5546, -5546,   678,   171,  1887, -5546,  2182, 20519,  1974,
    2414, 90447, 90447,  3307, -5546,  2832, -5546, -5546, 35065, -5546,
   -5546, -5546,  2620, -5546,  2504,  2504, -5546, -5546,  3311,  2925,
    2927,  2620, -5546,  2620, -5546,  2843,  2844,  2620,  2926,  2930,
    2936, -5546,  2851,  2940,  2620, -5546, -5546, 62517,  1938, -5546,
    3201,   373, -5546, -5546, -5546,  1987, -5546,  2857, -5546,  2435,
   -5546, -5546,    61,    61, 35065,    61,  1286,  1254, 32525, 35573,
    3210,  3088,   301,   269,  3216, -5546,  3093,  1818,  1997, 81627,
   90447, 81627,104167,  2999, 35065, -5546,  3320,  2960,  2961,  3024,
   58117, -5546,  2963,  2929,  2968,  3026,  2874,  2970,  2972,  3028,
   -5546,  3149, -5546, -5546,  2974,  3316,  2975,104657, -5546, -5546,
     929, -5546, -5546, -5546,   929, -5546,  2891,  1356,   235,  1442,
    2976,   442,   261,  3317, -5546,  1387, -5546, -5546,  3038, -5546,
    7627, 90447,  3253,  9274,  3113,   368,  3035, -5546, -5546, -5546,
    3173,  2989, 90447,  2990,  3128,   368,   321,105147, -5546, -5546,
   90447, -5546, -5546, -5546, -5546,  6045,  3294, 28010, -5546,  1903,
    2994,  2973,  3004, 90447, 73297,   417,  3110,  3129,  1555,  1811,
     532,  3066, 90447,  1767,  3137, 90447,  2919,  3007,  3008,  3247,
    2924,   980,  3349,  2928, -5546, -5546, -5546,  3314, -5546,  2109,
    2198,  3131, -5546,  3248,  3291,  9682,  2996,  2998,113449, -5546,
    3043,   723, 54157, 90447, 90447,  3046,  3048,105637,  6045,  3323,
   77707, 77707,  3051,  3053, 48111,  3339,  1779,  3054, -5546, -5546,
   -5546,  1779,  3055,  3056,106127,  6045,  3326, 90447,  3064,  3070,
   90447,116781,   368, -5546,  3395,   368,   368,  2022,  3398,  3074,
     360,  3196,   681,  1480,  2928,  2619, -5546,  3075,  3076,   341,
   -5546,  3164, 90447,  3077,  3079,   112,  3130,  1470, -5546,  3132,
   -5546,  3081,  3136,  3082,  1099,  2634, -5546, -5546,  1414,  3080,
   81627,  3156,  3174,  1767,   273,   858,  2928, -5546,  3087,  3089,
    2924,  2924, 90447, 90447, 90447, 90447, 90447,   278,  3443,   304,
    3090,   502,  1095,  3001, -5546,  1779, 65457,  3094, -5546,  1779,
   90447,   266,  1022,  2928,  1652,  1875, -5546, -5546, -5546,  1515,
   -5546, 35065, 35065, 35065,  2979, -5546,  2646, 20519,   756, -5546,
     308, 14314,  2995, -5546, -5546, -5546, -5546, -5546, -5546, -5546,
   -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546,
   -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546,
   -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546,
   -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546,
   -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546,
   -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546,
   -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546,
   -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546,
   90447, 61536, -5546, -5546, -5546, -5546, -5546, -5546, -5546, 90447,
   -5546, 90447,  3301,114877,  3303,  3197,  3304,  3305,   368, 90447,
   90447,  3306,  3309,  3310,114877,  3313,  3315,  3318,  3231,  3109,
     192,  3098,  3027,  3503,  3390, 90447, 62517, -5546,   929, -5546,
  114877,  3250,  3391, -5546, 90447,  3266,   104, -5546,  3430,  3097,
   -5546, -5546,    89, 90447, 76237,  2634, -5546, -5546,  3397, 66927,
     354,  3399,  1470,  3091,  3400,  3260,  1470, 66927,  3312, 90447,
   90447, 90447, 90447,   214, -5546, 65457,  3276, -5546, 90447,  3280,
    2619,  3282,  3527,   100,  2138,106617,  3401, -5546,107107,  3058,
   90447,  3083,  3083,  3528,114877,   379,  3335, -5546, -5546,  2023,
   -5546,  3195, -5546, 70357, -5546, -5546, 70357, -5546, -5546,114877,
   90447,  3084,114877,114877, -5546, -5546, 70357, 70357, -5546, 66927,
   66927,  3426,   331,  3427,  3139,  3439,  3141, 54157, 54157, -5546,
     372, 70357, -5546, 66927, 70357, -5546, 90447, -5546, 90447, -5546,
   -5546, -5546, -5546,114877,114877, -5546, 66927, 65457,  3442, 90447,
   90447, -5546, 90447, 90447, -5546, 90447, 90447,  1988,107597,  1337,
   -5546, 90447, -5546, 90447, -5546, 90447, -5546, 90447, -5546, 90447,
   -5546, -5546, -5546, 90447, -5546, 90447,  1992, -5546, -5546,  1996,
    1353, 90447, 90447,   874, 70357, 90447,  3322, 90447, 70357, 70357,
   90447, 90447, 90447, 90447, 90447,  3168,  2824,   164, -5546,   968,
     887, 81627,  3321, -5546, -5546,  2010,  1951,    52, 90447, -5546,
   90447, 90447, 90447, -5546, -5546, 75747,  3428,   140, 77217, 90447,
   -5546, -5546, 11683, 35065,   678, 31504, -5546, -5546, 20519,  3133,
   35065, 35065,  3085,  2620,  2620, -5546,   369, 35065, 35065, 35065,
   28964, 35065, 33033, 35065, 35065, 35065, 35065,  2620,  2620, 35065,
    3599, 35065, 54157, 35065, 40653, 25988, 35065, 35065, 29980,  1218,
    2747, 35065,  3336, 41663, 35065,   396,  3341, 35065,   396,  3599,
    3601,  3601,  3329,  6990,  3101,   678, -5546,  2620,   936, -5546,
     268,114877, 35065, 35065, 35065, -5546, -5546, -5546, -5546, -5546,
   -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546,
   35065, -5546, 62517, -5546, -5546, -5546, -5546, -5546, -5546,   160,
   -5546, -5546, -5546, -5546, -5546, -5546,  5468, -5546, -5546, -5546,
   -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546,
   -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546,
   90447, -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546,
   -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546,
   -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546,
   -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546,
   -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546,
   -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546,
   -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546,
   -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546,
   -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546,
   -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546,
   -5546, -5546, -5546, -5546, 30488, -5546, -5546, -5546, -5546,  3100,
   -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546,
   -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546,
    2777, -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546,
   -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546,
   -5546, -5546, -5546, 30996, -5546, -5546, -5546, -5546, -5546, -5546,
   -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546,
   -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546,
   -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546,
   -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546,
   -5546, -5546, -5546,  3107, -5546, -5546, 35065, -5546, -5546, -5546,
   -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546,
   -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546,
   -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546,
   -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546,
   -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546,
   -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546,
   -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546,
   -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546,
    3192, -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546,
   -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546,
   -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546,
   -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546,
   -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546,
   -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546,
   -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546,
   -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546,
   -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546,
   -5546, -5546,  1035, 35065, 35065, 35065, 35065, 35065, 35065, 35065,
   35065, 35065, -5546, 35065,   430, -5546, -5546,  3444,  3172,    81,
     462,  3111,  3325, 86037, 32017,  3201, 24960, -5546,   237,  3201,
   -5546, -5546, -5546, 90447,  3299, -5546, -5546,  3194, -5546, -5546,
   -5546, -5546, -5546,   309, -5546, -5546, -5546, -5546, -5546, -5546,
   -5546,  3112, -5546, -5546, -5546, -5546,  3112, -5546,  3119,  3437,
    3446,   954, 90447,  2674, 35065,   160,   267, 90447, 35065,  3100,
    2777, 35065,  3107, 35065,  3192, -5546, 35065, -5546,  2012,  1935,
   35065,  2020,  3123, -5546, -5546,  3143,  2844,  3151,  3158,  3125,
    3138,  2620,   243,  3144,   222,  1162,  3274,  2620,  3392,  3145,
   -5546, 62517, -5546, 43647,  3198, -5546, -5546, -5546,  1613, 90447,
   90447, -5546,  3447, -5546,  3140, -5546, 14941,  3447, -5546, -5546,
   41158,  3278,  3431,  3371, -5546, -5546, -5546,  3153, 20519, 36081,
   36081, -5546,  2390, 20519,  2402, -5546, -5546, -5546, -5546, -5546,
   -5546,  1385, -5546, 90447,   172,  3210,   269,  3220,  1420,  3636,
    3223, 90447, -5546, 49103,  2026, -5546, 66927, 90447, 90447,  3369,
   -5546,  3619, -5546,116781, -5546,  3165, -5546,116305,112497, -5546,
   -5546,    90, -5546,  1479, 66927, -5546, 90447, 90447, 66927, 90447,
   90447, -5546, 66927,  3219, 90447, 90447, -5546, -5546, -5546, -5546,
   -5546, 60066,  1191, 75747,  3328, 75257, -5546, -5546,  3170, 90447,
    3227,  3454,  3402,  3455,   786, -5546, -5546,108087, -5546,  3405,
   66927, 90447, 90447, 35065,  3416, 90447, 90447, -5546,   956,  3259,
    3275, -5546, 90447,  3279, 70357,  3199,114877, 70357, 54666, 70357,
   70357,  3541,114877, 90447, 90447,  1327, 81627,   270,  1111,  2928,
    3423, -5546,  1457, -5546, 66927, -5546, 90447,  3414, -5546, -5546,
   -5546, 86527,  3664,  3319, -5546, -5546, -5546,108577, -5546, -5546,
    3419, -5546,  2031, -5546, 66927, 66927, 90447,  9740,109067,   695,
    3435, -5546, -5546,114877, -5546, 90447, 87017, 90447, 90447,  3470,
   90447, 78687,109557,110047,  1344,  1401,  3475, 90447, 79177,  3476,
   -5546,  3351, 90447, -5546, -5546, 63007, 66927, 90447,   211, 62517,
   -5546,  3460, -5546, 90447, -5546,   315, -5546, 90447,  8428,  3425,
   -5546, -5546,  3295,  3327, 90447,   482,  1130,  2928,  3596, 90447,
   90447,  3229,  2032, 66927, 90447, 62517, -5546,  3438,   759, 66927,
   90447, 86527, -5546,  3449, -5546, 81627,  3551, -5546,  3233,  2138,
    2396,  1845,  3233, 66927, 90447, -5546,  3233, 90447,100247, -5546,
   66927,  1083, -5546, 66927, 90447, 86527, -5546,  3456,  3408, 66927,
   90447, 12173, -5546, -5546, -5546,   368, -5546, -5546, -5546, -5546,
   -5546, 90447, 90447,   368, 90447, 90447,   368,  1372, -5546, 66927,
   90447, -5546, -5546, -5546,  3374, 66927, 90447, 90447,   393, 90447,
   -5546, 90447, 66927,  3290, 90447, 90447, -5546, -5546, 90447,  7812,
   90447, 90447, 90447, 90447, 90447, 90447, 66927, 90447, -5546, -5546,
    1277,    82,   139,  1770,   898, 90447,  3574, 90447,110537,  1470,
   66927, 90447, 90447,  1470, 90447, 62517,  1703, -5546, -5546,  3384,
   -5546, 66927,  1083, -5546, 10167, 90447, 90447, 90447,  3342,  3343,
     205,  3433, -5546, -5546, -5546,   781,   781,  3467, -5546, 35065,
   35065, 33541,  3261, -5546, -5546, 35065,  2682, -5546, -5546, -5546,
    1016,  3737,  1016,111027,  1016,  1016,  3555,  3334,  3337,  1016,
    1016,  1016,  3553,  1016,  1016,  1016, 90447,  3453, -5546, -5546,
    3453,  1011, 35065,114877, 90447, -5546,  2040, -5546,  3293, -5546,
   -5546, 62517, 90447,   203,   815,  3637,  3501, 73787,  1869,  3627,
   90447,  3331, 90447,  3761,  3382,     0, -5546,  1869, 90447, -5546,
    2401, 75747, -5546, -5546, -5546, -5546, -5546, -5546, -5546, 90447,
   -5546, -5546,  3631, 90447, 44143,  3465, -5546,  1470,  2634,  2634,
    2634,  2634,  3289,  2634, 90447,  3424,  3649,  1869,  3292,  3655,
   -5546,  2619,  3656,  1449, 90447,  3520, 73787,  3361,  3344,  3533,
    3779,  2138,  1470,  3543,  3526, -5546, 58596, -5546,  2634,  3800,
   28487,  4481,  6811,  3532,  3595, -5546, -5546,  3539,   918, 90447,
    3643,  3644,  3666, -5546,   198, -5546,  3797,  1696,  3667,   199,
   -5546,   230, -5546,  2662, -5546, 90447, -5546, 90447, 90447, 90447,
   90447,   324, -5546, -5546,   230,  2662,   230,   954, -5546,  3603,
     199,  2662,  3457,  3671,   331, -5546,   335, -5546,  3547,   954,
   -5546,  3558,  2138, -5546, -5546, -5546, -5546, -5546, -5546, -5546,
    2042, -5546, 90447, -5546,  3651,  3652,  3653,  3654,  3657,  3347,
    3348,  3377, 90447,  3352,  3347,   368,  3353,  3356, -5546,  3352,
    3352,  3347,  2824,  2824,  3347,  3348, 65947,  3795, 62517, -5546,
   -5546,  3448,  3360,  3682,   218, -5546,   998,   746,  3604, -5546,
   -5546, -5546, -5546,114877, -5546, 66927,  3404, -5546, -5546, -5546,
    3581,  3362, 65947,   954,   169, -5546, 70357, 90447,114877, 70357,
    3589, 70357, 70357,114877, 90447, 90447,  2047, -5546,  1718, -5546,
    1827, 35065,   506, -5546, 15862,  2052, 35065,  3375,  3378, -5546,
   -5546, -5546, -5546, -5546, -5546, -5546,  3381,  3711, -5546,  2057,
    2058, 16419,  2090,114877,  2833,  3394, -5546,  3383,   264,  3587,
    4229,  3445,  2065,  3385,   265, -5546,  4229,   357,  7672,  3540,
    2072,  3386,  3388,  4427,  5285,  3396, 16944,  3389,  3403,  3406,
    3411, 40653, 40653, 29472,  1164, -5546, 40653,  3412,  3584,  2076,
   15032,  3413,  3420, 16862, 34049, 35065, 34049, 34049, 17011,  3421,
    3422, -5546,  3776, -5546,  2077, 62517,  3592, 17455,  2081, -5546,
   35065, 62517,  6942, 35065, -5546, 35065,  3429, -5546, -5546,  5513,
    5513,  5513,  3599, -5546, -5546,  3440, -5546, 40653, 40653, -5546,
    2520, 29472, -5546, -5546,  3739, -5546, -5546,   577, -5546, -5546,
   -5546, -5546, -5546,  3023, -5546, -5546, -5546,  3633,  2090,  3273,
   54157, 11063, 35065,   298, 35065,  3100, 35065,  3486,  5513,  5513,
    5513,   467,   467,   322,   322,   322,  1921,   462, -5546, -5546,
   -5546,  3415,  3436,  3325,  3450, 35065, -5546,  3451, 49599, -5546,
    2253,  2278, 90447,  3462,  6301,  6398, -5546, -5546, -5546,  3198,
     756,  3198, -5546,  1515,  2620,   936, 60556, -5546, -5546, -5546,
   -5546, -5546, -5546, 90447, 20519, -5546, -5546,  3658,  3458,  2091,
   -5546, -5546,  2620, -5546, -5546,  2344,  2344,  3407, -5546,  3452,
   -5546, -5546, -5546, -5546, -5546, -5546, -5546,  3441, -5546, -5546,
   -5546,  3459, 44639,  3743,  3461, 43151, 87507,  3434,  1855, -5546,
   87507, 87997, 87507, -5546,  3463, -5546, -5546,   678, 35065,  3744,
   -5546, -5546, -5546, 35065, -5546, -5546,   659,  3466,   732,   111,
    2315,  2315,  2390,   113, -5546, -5546,  3488, -5546, 35065,  2484,
   -5546,  2501, -5546, -5546, -5546, -5546,  2824, -5546,  3688, -5546,
   -5546, -5546, 43647,  3473,  3484,  1365, 47615,  3647, -5546, 90447,
   43647, -5546, 90447,   202, -5546,  3464, -5546, -5546, -5546, -5546,
   -5546, -5546,112497,  1928, -5546,116305, -5546,116305, -5546,  1928,
    3893, -5546,112497,  1890, -5546, -5546, -5546, -5546, -5546, -5546,
   -5546, -5546, -5546, -5546, -5546, -5546, -5546, 66927, 66927,  3665,
   90447,  3663,  3673, 35065,  1243, 90447,  3468,  3469, 90447,   701,
    3751,  3471, -5546,  3810,   954, -5546, -5546,  3542, -5546, 20519,
   -5546, -5546, -5546, -5546, -5546, 66927, 90447, -5546, 69867, -5546,
   -5546,114877, -5546, -5546, 90447, 90447, -5546, -5546, -5546,114877,
   -5546, -5546, -5546, 90447,   891,  3548,  3556, 90447, -5546,   906,
    3164, 10368, 90447, 90447, 90447,  3757, -5546, -5546, -5546, -5546,
    3685, -5546,  3825, -5546,112497, -5546,  2662,   152,  3559,  2928,
    3705, -5546,  3836,  3588, -5546,  3606,  1063, -5546, -5546,  3616,
   -5546, -5546, -5546, -5546,  3842,   954,  3844,   954, 90447, 90447,
   90447, 90447,  3620, -5546, -5546, -5546, -5546,  3622,  3759, -5546,
   62517, 62517, 62517,  2093, -5546, -5546,  1470, -5546, -5546, -5546,
   -5546, -5546, -5546,  3802, -5546,  2102, -5546,  1659, 88487, -5546,
   -5546, -5546, -5546, -5546,  3850, 66927, 90447, 10680, 90447, 90447,
   90447,  3712,  1964,   988,114877, -5546,113925, -5546, -5546,  2111,
   -5546,  3505, 90447,  3579, 66927,  3560, -5546, -5546, -5546,  3854,
    2138,  3638, 77707,  3545,  3545,  1965, -5546, -5546, -5546, -5546,
   -5546,  3770,  3696, -5546,  1117,  3697, 66927,  3568, -5546, -5546,
   -5546, -5546,  3862,  3594, -5546, -5546,  3600,  1137,  2928,  2619,
   -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546,  3625,
   -5546, -5546, -5546, -5546,  1502,  1502, -5546, -5546, -5546,  1502,
    1326,   388,  1345,  2928, -5546,   363,  1042,  3602, -5546,  3605,
   -5546, -5546, -5546,  3777,  3778,  3780,  3608,  3609,  3669,  3610,
    3612,  3670, -5546,  3617,  3674,  3626,  3680,  3639,  3939,   954,
  114877,  3785,  1470,  3686,  3918,   954, -5546, -5546,  3648, -5546,
    3660, -5546,  2113,  4028,  4029, -5546, 90447, -5546,   512,  1349,
    2928, -5546,  3661, -5546, 66927, 90447, -5546, -5546, -5546, 35065,
    3564,  3565,  3566, 20519, 20519, 35065, -5546, -5546, 20519,  3569,
   -5546, -5546, -5546, -5546,114877, -5546, 90447,  3864, -5546, -5546,
    1016, 90447, 90447, -5546, -5546, -5546, 90447, -5546, -5546, -5546,
    3866, -5546,   552,   552, -5546, -5546,  3905,  7724,  3576,   361,
   -5546, 62517, 50594,  2214,   174,  1480, -5546, 69867, 90447, 69867,
   -5546,   815,  3793, 90447, 90447, 90447,  3597,  3593, -5546, -5546,
   -5546, -5546, 66927,  1080, 66927,  2620, -5546, -5546,  3672, -5546,
   90447,  2138,  4092,  3932,  3290, -5546,  4066,  3106,   354,  1709,
     427,  2717,  4003,  2435, 35065,   215, -5546, -5546,   678, 90447,
    3344, -5546, -5546, -5546, -5546,  1470, -5546,  3607,  3614, -5546,
   90447,  3948, 90447, 90447, 90447, 90447,  3404,  3613, 90447,  3611,
  114877, 90447,  2127,  2924,  4080,  3965,  1951,  3361,  3693,  3970,
   81627,  3624,  2117, -5546, -5546,   918, -5546,  2119,   145, -5546,
    1470, 69867,112973,  3963, -5546,   947,  6811, -5546, -5546,   947,
    1233, 90447, -5546, -5546, -5546, -5546,  3843,  2053, -5546,  3950,
   -5546, -5546,  1951, -5546,114877,  3623, -5546,  2121, -5546, -5546,
   -5546,   331,  3684,   954,  3691,   954, -5546, -5546, -5546, -5546,
   90447, -5546, 90447, 65457, -5546, -5546, 90447, -5546,  3985, -5546,
   -5546,  3772,  3773,  3774,  3775,  3781, 90447,  3347, -5546,  3634,
   90447, 90447, 66927,  1629, -5546, -5546, 66927,   444, -5546,   188,
   -5546, 81627,  3766, -5546, -5546, -5546, -5546,  4000,  4002, -5546,
   -5546, -5546,   946, -5546, 76727,   445, -5546, 66927,  3935,  3936,
    3937,  3938,   368,  3945,  3946,  3947,  3949,  3951, -5546, -5546,
   -5546,  3662, 18028, 35065, -5546,  4026,114877, -5546,  8239, -5546,
   -5546, -5546, 35065, -5546, -5546,  3953, -5546, -5546,  3728,  3730,
    3675,  3394,  3540, -5546,  3883,  3884, 35065,  3540,  4123,  1010,
   35065, 35065, -5546, -5546,  3886,  3888, 35065,  2090,  2090, -5546,
    3676, -5546, -5546, -5546, -5546,  2195, 35065, -5546, 35065, -5546,
   -5546, 26502,  4173,  4173,  3668,114877, 40653, 40653, 40653, 40653,
     949,  2791, 40653, 40653, 40653, 40653, 40653, 40653, 40653, 40653,
   40653, 40653,   555, -5546,  3879, 35065, 35065, 34557, -5546, -5546,
  114877,  3677,  3421,  3678,  3679, 35065, -5546, -5546, -5546,  2123,
   42159,  3681, 62517, -5546, 35065, 15302,  2131,  3725, 18452,   678,
    8270,  1470, 35065,  1252,  1691, 35065,  2135, 35065, -5546, -5546,
   -5546, -5546,  4016, -5546, -5546, -5546, -5546, -5546, -5546,  3915,
    2090, -5546, -5546, 35065,  3683,  4471, 40653, 40653,  4987, -5546,
    5991, 35065, 29472, -5546,  3467, -5546, 27016,  3687, 35065,112007,
   -5546, -5546,  1081,  1081,  1081,  1081, -5546, 90447, 90447, 90447,
    3744,  3689,  3744,   173,  3692, -5546, -5546, -5546, -5546,  1951,
   -5546,  3690, -5546, -5546, -5546, -5546, -5546, 87507, 87997, 87507,
    3695, 42655, 27513,  1855,  3698, 90447, -5546, -5546,  3701, 43647,
    3976,  3894, -5546, 43647,  3894,  1778,  3894,  3978,  3784, 50095,
   -5546, -5546,  3702, -5546,  3903, -5546,  1903, 20519,  4152,  4025,
   -5546,  3703, -5546,  3466,  1312, -5546, -5546, -5546,   889, -5546,
    3787, -5546, -5546, -5546,  3434, 36589,  3859, -5546, -5546, -5546,
    3762,  2136, -5546, -5546,  4132,  3859, -5546,  2064, -5546,  2150,
   49103,  3473, 35065,   678,  2159,  1916, -5546, -5546,112497, -5546,
    3783,  2662,  2662,  1647,  3347,  4055,  1647,  8454, -5546, -5546,
   45135, 90447, -5546, 90447, -5546, 90447, 90447,  1421, 90447, -5546,
   90447, -5546, -5546, -5546,  4186,  3782,  3788,  3990, -5546,  2566,
   -5546, -5546, 66927, 90447, -5546, -5546, -5546,   514,  1366,  2928,
   -5546,  3798, -5546, -5546,  4017, 90447, -5546,  4170,  3811, 90447,
    4076, 90447, 88977, -5546,  4147,  1421,  3831,  4059,  1648,  2924,
     360,  7106, -5546,  1582, -5546, -5546,  3799, -5546, 90447, -5546,
   90447, -5546, -5546, -5546, -5546, -5546, -5546, -5546,  3861, -5546,
   -5546, -5546, -5546, 63007, -5546, -5546, 90447, -5546, 62517, 50594,
   62517, -5546, -5546, -5546, 90447, -5546,  1381,   523,  1371,  2928,
   -5546,  3814, -5546,  4093,  3820,  3822,  3878,   207,   923,  3824,
    3826,  3880,  3740,  3741,  3742, -5546, 62517, 51103,  3907, 90447,
    2662,  3745,  3790, 90447,  3545, 89467, -5546,  3748, -5546, -5546,
    3545,   393,  1470, -5546, -5546,  1470,  2662,  1470, 90447, 90447,
   90447, 90447,   393, -5546, -5546, -5546,  4206,  3847, 90447, 90447,
   90447, 90447, -5546,  3809, -5546, -5546, -5546, 90447, 90447,  4101,
     993,  2044, 66927, 90447, 90447, 66927, 90447, 90447, 90447, 90447,
   90447, 90447, 90447,  3974, -5546,  4194,  4119,  2154,  4163,  3838,
   90447, -5546, 90447,  1470, -5546,  3164, 90447, 90447, 90447, 90447,
   -5546, -5546, -5546, -5546, -5546,  3467, -5546,  3763,  4057,  1016,
   -5546,  4061,  4062,  4063,  1016, -5546, -5546,  1480, -5546,   547,
   90447, -5546,  2139, 90447, -5546, -5546, -5546,  3703,  2109,  2198,
   -5546, -5546, -5546, -5546, -5546, -5546,  3771, 90447, 90447, 40653,
   -5546,  2060,  1517,   299, -5546,  4053, 90447,  3018, -5546, -5546,
   -5546,   248, 90447, -5546, -5546, -5546, -5546,  3786, -5546,   803,
    3613, -5546,  4081, 73787,  2662, 66927, 66927,  2662, -5546,114877,
    3789,  3344, -5546,   378,  3860, -5546, 66927,   354,111517,  3091,
    3812,  3993,  8752, 43647, 44143,  1502, -5546,  3792,  3791, -5546,
   -5546, 90447,  3793, 65457,  2167,  2619,  4253,   118,  2071, -5546,
   74277,  3975,  3613,  4081, -5546,  2924,  3997,  3998, -5546,  1951,
   90447,  3404,  3344,  1470, 90447,  3227, 50594, -5546,  4291,  2067,
   -5546,112497, 35065, 35065, -5546,  3794, -5546,  3796,  6811, -5546,
    3857,  3801,  4255, 35065, -5546, -5546, -5546, -5546, -5546, -5546,
   -5546, -5546,  3873,  3803, 90447, 90447,   918, 90447, -5546,  3813,
    3667, -5546,  3667, -5546, 90447, -5546, 90447, -5546,   954, -5546,
    3919,   954, 90447, 90447, 90447, 90447, 90447, 90447,  3347,   368,
    3356, -5546, -5546,  4125, 65947,  4131, -5546, 62517, -5546, -5546,
   -5546, -5546, -5546,  2168, 90447, -5546, -5546, -5546,  4202,  4141,
     954,   140,  1152,  1152,  1152,  1152,  4085,  1152,  1152,  1152,
    1152,  1152, -5546, 35065, 20519, -5546,  3816, -5546, 20519,  4176,
    4083,  4094, -5546, -5546,  3817,  4039,  4043, -5546,  3821, 35065,
    3540, -5546, -5546,  4049,  4051, -5546,  3540,  3540, -5546,  3827,
    9165, 18547, -5546,  2178, 35065, -5546,  1061,  1061,  1061,  3222,
    4166, -5546,  2585,  1061,  1061,  1061,   516,   516,   242,   242,
     242,  4173,   555, 18747, 19291, 19560,  3828, -5546, -5546, -5546,
    3421, -5546, 37097,  1148,  4282, 41663, -5546, -5546, -5546,  3876,
    3882,  3833, -5546, 35065, 37605,  3834,116781,  4045, -5546,  1443,
   35065, 35065,  6746, -5546,  6327, 35065, -5546, -5546,  6746,   456,
   35065,  2481,  3190, 35065, 35065,  6140,  9421,  3839, -5546,  2190,
   35065,  9667,  4038, -5546, 90447, 90447, 90447, 90447, -5546, -5546,
   -5546,  4025,  1470,  4025,  1470,  3845, -5546, -5546, -5546, -5546,
   63497,  3848,  3592, 87507,  3849, 90447,  1855, 43647, -5546, -5546,
    1776, -5546, 43647,  4134, -5546, 43647, 70357, -5546, 90447,  3851,
   90447, -5546,  1704, 35065,  3889, 54157, -5546, -5546, -5546, -5546,
    3933, -5546,  4070, 20519, 32017, -5546,  1951,  1939, 90447,   678,
     105, -5546, 35065,  3867, 90447, -5546,  3859, 20519, -5546,  3926,
    2196, -5546, -5546, -5546, -5546, -5546, -5546, -5546,  3940, 75747,
    4193, -5546, 35065,  2216, -5546,  3899,  4295,   181,  2218,  1421,
    1187,  1421, -5546,  1187, -5546,  1526,  4169,   452, -5546,   954,
   -5546,114877, 90447, 90447, 90447,  2874, -5546, -5546, 90447, 90447,
   90447, 90447, -5546, -5546, 66927, 90447, -5546, 90447, -5546, -5546,
   -5546, 89957, -5546,  3793,   390,  2060,  4183,  4184,  4090, -5546,
     368, -5546,  4340,  2060,  4095,   390, -5546, -5546, -5546, -5546,
    3646, -5546,114877,   954,   954, -5546, -5546, -5546, -5546, -5546,
    3874, -5546,  4321,  3961, 90447, 90447, 90447, 90447, 90447, 66927,
   90447, 90447,  2620,  2620,114877,  3865, -5546,  2620,  2620,  3868,
   -5546, 66927, 90447, 90447, -5546, -5546, -5546, -5546, -5546, -5546,
   -5546, -5546, -5546, -5546, -5546,  3956, -5546, 35065,  4314, -5546,
   -5546, -5546, -5546, -5546, 35065, -5546, -5546, -5546, -5546, -5546,
   -5546, -5546, -5546, -5546, -5546, 66927, 90447,  3960, -5546,  3966,
   -5546,   958, -5546, -5546, 90447, 90447, 90447, 90447,  4238, -5546,
   -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546,
    4237, 90447, -5546, -5546,  1470,  1470,114877,   954,   954, -5546,
   -5546, -5546,  3968, -5546, -5546,  3885,  4177,  1016, -5546,  1016,
    1016,  1016, -5546,  3892, -5546,  1480,  4278, -5546,  1421,  1771,
    4232, -5546, 35065, -5546,  1969,  3222, -5546,  4292,  4372, -5546,
   -5546, -5546,  4136,  3290,  2138,  3290, -5546, -5546, 70357,  1447,
   -5546,  4214,   203, 62517,  4124, 73787,   363,  1729,  3904,  4036,
   -5546,  2662,  2662,  3971, 90447,  4383, -5546, -5546, -5546, -5546,
   -5546, -5546, 66927,  3560, -5546,  4143,   751,  4256, 90447, 44143,
   -5546,  3434, -5546, -5546, -5546,  1470, -5546, -5546,  4044,  3344,
   -5546,  1802, 90447,  4137, 73787,  3404,  2234, -5546, -5546, -5546,
    3958,  4364,  3361, -5546,   363,  3975, -5546, -5546,  4347,  4014,
    3964,  4397, -5546,  4014,  4264,  4142,  3927, -5546,  3624, -5546,
   90447, -5546, 20519, 20519,  1470,117257,   947,114877,  4273, -5546,
   20519, 90447,   210,  3924,  4100, -5546,  4240,   954,  2249, -5546,
     954,   954, -5546, 90447, -5546,  3347,  3347,  3347,  3347,  3347,
   -5546,  4153, -5546, -5546, -5546, -5546,  4233, -5546, 65947, -5546,
     954, -5546, -5546, -5546, -5546, -5546, -5546,  1152, -5546, -5546,
   -5546, -5546, -5546, 20519, -5546, 90447, -5546, -5546, -5546, -5546,
   -5546, -5546,  3140,  3941, -5546, -5546,  3942,  3943, -5546, -5546,
   35065, -5546, 10408, 40653,  4280, -5546, 35065, 35065, 35065, -5546,
    3952,  2272,  2274, -5546, -5546,  1148, -5546,  4282, -5546, -5546,
   -5546, 10699,  4006, 20519,  4056,  3944,   934,  6746,  6746,  6327,
    6746, 35065, 35065,  6746,  6746, 35065, -5546, -5546, -5546, 10978,
   -5546,  4396,  3467, -5546, -5546, -5546, -5546,  3889, -5546,  3889,
   -5546,  4088, -5546,  2284,  4428, 39637,  4387, -5546, 90447,  2292,
   -5546, 35065,  3955, -5546, -5546, 43647,  1776,  3959,  2298, 90447,
    2313,114877, 38113, 20519, 90447,  3467,  3962, -5546, 90447,  2819,
   -5546,  1365, -5546, -5546,  4384, 45135,  4341, 19998, 35065, -5546,
   -5546, -5546, -5546, 65947,  4180, 65947,  1421, 11387,  4281, 45135,
   55175, 90447, -5546, 90447, -5546,  4139,  4174,  3972,  3979, -5546,
   -5546, -5546, -5546, -5546, -5546,  3980, -5546, -5546, -5546, -5546,
    4058, -5546, -5546,    56,  3321, -5546, -5546, -5546, -5546, -5546,
   -5546, -5546,  4448,  4337,  4338, -5546, -5546,  3983, -5546, -5546,
   -5546,  4194, -5546, -5546, 50594, 66927, 90447, -5546,  4072, -5546,
   -5546, -5546, -5546, -5546, -5546, 47119, 54157, -5546,   207,  3987,
    3988,   923, -5546, -5546, -5546, 90447, 11623,  3989, 12279,   711,
    3321, 90447, 90447,  3991,  3994,  3995,  1609,  1382,  1749,  3347,
    4343, 90447, -5546, -5546, -5546,  4194, -5546, -5546, 90447, -5546,
    1016, -5546, -5546, -5546, -5546, 62517, -5546,  2604,  3892,  1470,
   70357,  4474,  4474, 12424,  4226, -5546, -5546,   446,  4310, -5546,
    4065,  4265,  4065,  4005, 90447,   248,  4007,  2326, -5546, 90447,
    4008,  4145,  1784,  1784, 90447, 90447, 90447,  2330,  1951,  2662,
    3790,   354,  4371, 73787,  4414,  3793,   216, -5546, 90447,  4489,
   90447,  3404,  3613, 90447,  4018, -5546, -5546, 74277,  4231,  2214,
   90447,  2127,  3975,  3361,   275, 90447, -5546,  1139, -5546,  1951,
   -5546, 90447, 81627, 45135,  4359, -5546,116305, -5546,  2343, -5546,
   -5546, -5546,  4096, 20903,  3198,  4138,  4140,  4021,  1952,  4373,
   90447,   792, -5546, -5546, -5546, -5546, -5546, -5546, 90447,   445,
   -5546, -5546, -5546, -5546, -5546, -5546, 20155, -5546,  3354, 40653,
   20519, 20519, 20519, 35065, -5546, 35065, -5546, -5546, -5546, -5546,
     125, -5546, -5546,  4348,  4023,  6746,  6746,  6746, -5546, 35065,
     231, -5546, -5546,   419,  4440,  3463, 63497,  4040, -5546, 40653,
    2353, -5546,  3234, 90447,  2364, -5546, 20519, 90447, -5546, -5546,
   35065, -5546,  2368, -5546,  4041,    63,  4047, 25474,  4034, -5546,
   -5546, -5546, -5546, -5546, 20519,  4035, -5546,  4521,   269, -5546,
   -5546,  4102, 90447,  2369, -5546,  1157,  1686,  4099, -5546, 20519,
    1629,  1647,   375,  4295,  4048,  3290, -5546,  4054, -5546, -5546,
    1086,  2924, 90447, -5546,  4281,  4281, -5546, 90447,  4144, -5546,
    2214,  4377, -5546, -5546, 35065,  4117, -5546,  1097,  3321, 90447,
  114877, -5546,   195,  4403, -5546,114877,114877, -5546, -5546, -5546,
   35065, -5546,  4154, -5546, -5546, -5546, 35065, 35065, 72807, -5546,
   -5546, 90447, 90447, 90447, 90447, 90447, -5546,   954, -5546, -5546,
    2370, -5546, 46127, -5546, -5546,  3108,  1470,  3108,  1612, -5546,
   -5546,  3108,  3108, -5546,  3198, -5546,  4474,   385, -5546, -5546,
    4136,  4060, 35065, -5546,  4370, -5546,  1272,  4279, -5546,  4064,
   -5546, 70357,  4571, -5546, 62517,  3613,  4081, 90447, -5546, -5546,
   -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546,
    2379,  3793,  4418,  3344,  3964, -5546, 90447,  4105, -5546, 43647,
    3793,  1951,  2071, -5546,  3975,  3613,  4081, -5546, -5546,  4068,
    3998,  3361,  2127,  4215, -5546,  4216, -5546,  4512,  4287,  4517,
    3404, -5546,  3227,  2386, 90447, -5546, -5546,  6811,117257,114877,
   -5546, -5546, -5546,  4073,  4455,  4120,  4121, -5546, -5546, -5546,
    1952, -5546,   107,  4456,  4127, -5546,  4149, 90447, -5546, -5546,
    3793,   954, 35065,  3354,  2405,  2407,  4146, -5546, -5546, -5546,
    3421, 38621, 38621, 38621,  4084,  4434,  4437, 90447, -5546, -5546,
   -5546, 90447,  3222,  4089, 39637, 62517,  2411, -5546,114401, -5546,
    2413,  2419, -5546, 35065,  4097, 35065, -5546, 38113, 90447,  4098,
    3210,  1951, -5546,  3198, 45135, -5546,  4220,  4579,  4358, -5546,
   -5546,  4442, -5546, -5546, 90447,  4065, 54157,  3466,  1086,  2138,
    3290,  3290, -5546, 90447,  4060, 12801, 35065, -5546,  4197, -5546,
   -5546,  2424,  1198,  4276,  4276,  2439,  2451, 12974, 90447,  2455,
    2461, -5546,  2492,  2620,  3348,  1749,  3348, -5546,  3347, -5546,
   -5546, 62517, -5546, 66437, -5546, -5546, -5546,  1470, -5546,  1470,
    4335, 56647, 57137,  1470,  1470, -5546, -5546, -5546, -5546, -5546,
    2619, -5546, 13312,  4203, -5546, -5546, -5546,   944, -5546,  4327,
    4329, -5546,  4113, -5546,  2494, -5546,   363,  4245,  3793, -5546,
   -5546, 90447,  4592,  4593, -5546,   867, 90447,  3434, -5546,  3964,
    3404,  3361,   363,  3975,  2214, 45631,  4014,  2127,  3998, -5546,
   -5546,  4332, -5546,  4333, -5546,  4122,  4435, -5546,  2197,   947,
   -5546, -5546, -5546,  1021,  4460,  4462, -5546, -5546, -5546,  3108,
   -5546,  1419,  4126,  4487, -5546, -5546, -5546, -5546, 20519, -5546,
   -5546, -5546, 40145,  4275,   259, 15805,  4492, -5546,  4492,  4492,
   -5546,  4586,  4587,  1136,  2496, 41663, -5546, -5546, -5546, 90447,
    4349,  1220,  4609,  4299,  2500, 38113,  2502, -5546, -5546, -5546,
   -5546, -5546, -5546, -5546, 49103, 35065,  4230,  4579, 65947,  2506,
    3545,  4150, -5546,  3466,  4265,  4065,  4065,  3321, -5546, -5546,
   20519, 90447, 70357,  4595, -5546, -5546, -5546, -5546, -5546, -5546,
   -5546,  3321,  4227, -5546, -5546, 72807, -5546, 90447, -5546, -5546,
    2516, -5546, -5546, -5546, 57627, -5546,  3924, -5546,  3924, -5546,
   -5546,  2051,  4250, 90447,  1131,  1131,  4535, -5546,  4209, -5546,
    4151, -5546,  4655,  4284, 90447, -5546, -5546,   207,  1951, 73787,
    3793, -5546, -5546,  2127,  3975,  3361, 35065,  2523, -5546,  4295,
     181, -5546,  3998,  4014, -5546, -5546, 45135,  4148,  3018,  4522,
   -5546, -5546, -5546,  2017, 70357, 70357, 90447, -5546, -5546, -5546,
   35065,   248,  4635, -5546, -5546, -5546, -5546, -5546,  1007, -5546,
   -5546, -5546, 90447, 90447, 90447, -5546,  3592, -5546, -5546, 40653,
   40653,  4385, -5546,  1220, -5546, 90447, -5546,  4159, -5546, -5546,
    2527, -5546,  1283, 20519,   967,  4252,   375, -5546, -5546, -5546,
   -5546,  4279, -5546, -5546, -5546,  3321, -5546, 90447, -5546,  4160,
   -5546, -5546, -5546, 66437, -5546,  3924, -5546, -5546, -5546, -5546,
    4654, -5546,  1362, -5546, -5546, -5546, -5546, 90447,  3793,  3865,
    3964, -5546,  3998,  3361,  2127, 13352, -5546, 45631, 90447, 90447,
    4014, -5546,  2528, 45135,  3344,  4311, -5546,  1942, -5546, -5546,
   -5546, -5546, -5546, -5546, -5546,   992,  4162,  4164, -5546, -5546,
   13864, 70357, 39129,  4313, -5546,  4374, -5546,  1208,  1234,  1843,
    4603,  3222,  3222, -5546, -5546, -5546, 35065, -5546, -5546, -5546,
    4402,  4300, -5546, -5546,   325, -5546,  1421, -5546,  1421,  1421,
   -5546, -5546, 35065, -5546, -5546,  2138,  2138,  3793, -5546, -5546,
    4014,  2127,  3998,  4295, -5546, -5546, -5546, -5546,  4435, -5546,
    2561,  4014,  4127,  2207, -5546, -5546,  2318,  2533,  4259,  4516,
   -5546,  4178, -5546, -5546, -5546, 90447, 90447, 63987, 90447, 90447,
   13908, -5546, 49103,  4408,   182, -5546,  1421,  2563, -5546, -5546,
   -5546, -5546,  3998,  4014, 90447,  3018, -5546, 45135,  3198,  4539,
   -5546,  1942,  4296,  4297, 62027, -5546, -5546,  4690,   311,  4580,
   -5546,  2565, -5546,  4182, -5546,  4243,  1365,  4188, 90447, -5546,
   -5546,  4014, -5546, -5546,  3344, -5546, -5546,   248, -5546,  4234,
    4235, -5546,  2571, -5546, -5546, -5546, -5546, 35065, 63987, -5546,
   -5546,  4261, 35065,  2577, -5546,  4014, 70357,  4532,  4534, -5546,
   62027,   781,  4258,  4254,  2581,  1150,  3198,  4205, 70357, 70357,
   -5546,  4212, 90447, -5546, -5546,  1365, -5546, -5546, 62027, -5546,
   -5546,  1470, -5546,  4272,  2583,  4254, -5546, -5546
};

/* YYDEFACT[STATE-NUM] -- Default reduction number in state STATE-NUM.
   Performed when YYTABLE does not specify something else to do.  Zero
   means the default is an error.  */
static const yytype_int16 yydefact[] =
{
    1713,  1456,   662,  1545,  1544,  1456,     0,   269,     0,  1556,
       0,  1456,   437,  1113,     0,     0,     0,     0,   662,  1456,
       0,  1713,     0,     0,     0,     0,     0,  1726,     0,     0,
       0,     0,     0,  1253,     0,     0,     0,  1456,     0,     0,
    1733,     0,     0,     0,     0,  1726,     0,  1558,     0,     0,
       0,     0,  1733,     0,     0,     0,     0,     0,     2,     9,
      10,    45,    80,    81,    38,    37,    98,    63,    24,    71,
     133,   132,   134,    50,    46,    88,    33,    35,    47,    51,
      73,    75,    40,    53,    64,   110,    72,    31,    70,    76,
      96,    58,    19,    20,    59,    21,    60,    22,    61,   106,
      82,    99,    43,    69,    30,    52,    78,    79,    12,    54,
      86,    18,    65,    66,    68,    91,    92,    93,   116,    94,
     128,    49,   125,   103,   104,   122,   105,   123,    16,   107,
      62,    23,   119,   118,   120,    89,    55,    90,    77,    97,
     117,    34,   121,    25,    26,    28,    29,    27,    67,    36,
      74,    39,    95,   124,   114,   109,   129,   127,    11,   135,
     111,    83,    14,    15,   100,    13,    32,    57,    17,    42,
      41,    56,    48,   131,    44,  1556,   102,   115,   101,    84,
     108,    87,   112,   130,   113,    85,   126,  1677,  1676,  1737,
    1680,  1712,     0,  1692,  1455,  1454,  1469,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   661,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1466,  2384,  2401,  2402,  2403,  2404,  2405,
    2406,  2407,  2408,  2409,  2410,  2411,  2412,  2413,  2414,  2415,
    2417,  2416,  2418,  2419,  2773,  2420,  2421,  2422,  2715,  2716,
    2774,  2717,  2718,  2423,  2424,  2425,  2426,  2427,  2428,  2429,
    2430,  2431,  2719,  2720,  2432,  2433,  2434,  2435,  2436,  2721,
    2775,  2437,  2438,  2439,  2440,  2441,  2442,  2776,  2443,  2444,
    2445,  2446,  2447,  2448,  2449,  2450,  2451,  2777,  2452,  2453,
    2454,  2778,  2455,  2456,  2457,  2458,  2459,  2460,  2722,  2723,
    2461,  2462,  2463,  2464,  2465,  2466,  2467,  2468,  2469,  2470,
    2471,  2472,  2473,  2474,  2475,  2476,  2477,  2478,  2479,  2480,
    2481,  2482,  2483,  2484,  2485,  2486,  2487,  2488,  2724,  2489,
    2490,  2491,  2492,  2725,  2493,  2494,  2495,  2496,  2726,  2497,
    2498,  2499,  2500,  2779,  2780,  2501,  2502,  2503,  2504,  2505,
    2727,  2728,  2506,  2507,  2508,  2509,  2510,  2511,  2512,  2781,
    2513,  2514,  2515,  2516,  2517,  2518,  2519,  2520,  2521,  2522,
    2523,  2524,  2525,  2782,  2729,  2526,  2527,  2528,  2529,  2730,
    2731,  2732,  2530,  2783,  2784,  2531,  2785,  2733,  2734,  2735,
    2736,  2737,  2738,  2739,  2532,  2533,  2534,  2535,  2536,  2537,
    2538,  2740,  2786,  2539,  2787,  2540,  2541,  2542,  2543,  2544,
    2545,  2546,  2547,  2548,  2549,  2550,  2551,  2552,  2553,  2554,
    2555,  2556,  2557,  2558,  2559,  2560,  2741,  2788,  2742,  2561,
    2562,  2563,  2564,  2565,  2566,  2567,  2743,  2744,  2568,  2569,
    2570,  2789,  2571,  2745,  2572,  2746,  2573,  2574,  2575,  2576,
    2577,  2578,  2579,  2580,  2581,  2582,  2747,  2790,  2583,  2791,
    2748,  2584,  2585,  2586,  2587,  2588,  2589,  2590,  2591,  2592,
    2593,  2594,  2595,  2749,  2596,  2750,  2599,  2597,  2598,  2600,
    2601,  2602,  2603,  2604,  2605,  2606,  2607,  2608,  2609,  2751,
    2610,  2611,  2612,  2613,  2614,  2615,  2616,  2617,  2618,  2619,
    2620,  2621,  2622,  2623,  2624,  2625,  2626,  2627,  2628,  2792,
    2629,  2630,  2631,  2632,  2633,  2752,  2634,  2635,  2636,  2637,
    2638,  2639,  2640,  2641,  2642,  2643,  2644,  2645,  2646,  2647,
    2648,  2649,  2650,  2753,  2651,  2652,  2793,  2653,  2654,  2754,
    2655,  2656,  2657,  2658,  2659,  2660,  2661,  2662,  2663,  2664,
    2665,  2666,  2667,  2668,  2755,  2669,  2670,  2671,  2672,  2794,
    2673,  2674,  2675,  2676,  2677,  2678,  2756,  2757,  2679,  2680,
    2758,  2681,  2759,  2682,  2683,  2684,  2685,  2686,  2687,  2688,
    2689,  2690,  2691,  2692,  2693,  2694,  2695,  2696,  2697,  2698,
    2699,  2760,  2761,  2700,  2795,  2701,  2702,  2703,  2704,  2705,
    2706,  2707,  2708,  2709,  2710,  2711,  2762,  2763,  2764,  2765,
    2766,  2767,  2768,  2769,  2770,  2771,  2772,  2712,  2713,  2714,
     146,     0,     0,  2351,  2385,  2386,  2389,  2384,   407,   406,
    1666,  2348,  2385,  1555,     0,  1534,   662,     0,  1469,   436,
    1713,     0,     0,     0,     0,     0,     0,   879,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     138,     0,   140,     0,     0,   460,   459,     0,     0,  1085,
     465,     0,     0,     0,     0,     0,   652,  1597,  2597,  1595,
    1667,   270,   273,   274,   271,   272,  2367,     0,  1225,  1226,
    1228,     0,     0,  1238,   919,   920,     0,     0,     0,   933,
       0,     0,     0,   917,     0,     0,     0,   939,     0,   936,
       0,     0,   940,   937,   914,   938,   921,     0,   913,     0,
       0,  1238,   941,     0,     0,   915,     0,     0,     0,     0,
    1469,  1594,   466,  1713,     0,  1578,  1579,  1580,  1556,  1568,
    1581,  1573,  1575,  1574,  1576,  1577,  1572,  2366,  2403,  1009,
    1009,  1009,  1009,  1006,  1007,  1009,  1009,  1009,  2617,     0,
       0,   988,     0,   990,  2368,  1009,  1014,  2411,   544,   544,
     544,     0,  1013,  1018,   544,     0,  1437,  1478,  2350,  1725,
       0,   989,  1436,  2679,  1584,     0,     0,     0,     0,  2636,
    1446,   254,  2648,  2756,  2679,   253,   248,   249,   222,     0,
       0,  1013,   544,     0,  1469,  1444,   985,  1732,  1730,     0,
    2335,  2430,  2446,  2542,   245,  2629,  2638,  2648,  2756,  2679,
    2711,   201,   211,   206,     0,   263,  2648,  2756,  2679,   259,
    1466,     0,  1693,  1841,  1840,  2344,     0,  1439,  1438,  1557,
       0,  1560,     0,  2612,  1697,  1700,  1562,  1698,  2387,  1918,
    1947,  1925,  1947,  1947,  1914,  1914,  2476,  1927,  1915,  1916,
    1952,  1972,     0,  1947,  1914,  1919,     0,  1917,  1955,  1955,
    1942,     3,  1897,  1898,  1899,  1900,  1928,  1929,  1901,  1934,
    1935,  1939,  1902,  1969,  1905,  1914,  2388,  1734,  1735,  2335,
       4,  2381,     5,  2297,  2380,     6,     7,  1689,     0,     0,
       1,  1713,     0,  1567,  1729,  1729,     0,  1729,     0,  1681,
    1689,  1684,  1688,     0,     0,     0,     0,     0,     0,  1440,
       0,     0,     0,   944,     0,  1481,  1070,     0,     0,     0,
       0,     0,  1322,     0,  1122,  1121,  2390,  2373,  2374,  2375,
       0,  2371,  2372,  2391,  2392,  2393,     0,  2512,  1322,     0,
       0,  2213,  2224,  2225,  2226,  2434,  2493,  2221,  2222,  2223,
    2215,  2216,  2217,  2218,  2219,  2220,     0,     0,  1220,  2214,
       0,  2512,     0,  1322,     0,   173,     0,   150,  1322,     0,
       0,  2512,     0,     0,  2512,     0,     0,     0,     0,     0,
    2512,     0,     0,     0,     0,     0,   173,  2547,     0,   150,
    2512,     0,     0,  1460,     0,     0,     0,  1462,  1465,  1452,
       0,  2294,     0,  2295,  2352,  1549,     0,  1548,  1542,  1552,
    1547,  1537,     0,  2344,     0,     0,     0,     0,   927,     0,
       0,   917,     0,     0,     0,   928,     0,   929,   930,     0,
       0,     0,     0,   926,     0,  1450,  1442,     0,  1586,  1588,
    1587,  1589,  1585,   544,     0,     0,     0,  2512,     0,   150,
    1520,     0,  2512,   150,     0,     0,   464,   463,   150,  2371,
     462,   461,  2434,  2493,     0,  1112,     0,  1195,   150,  2512,
       0,   194,  2512,   721,  2512,  1562,   139,     0,   665,     0,
     833,  2547,   150,     0,     0,     0,     0,     0,     0,   142,
       0,     0,     0,     0,     0,     0,     0,   651,   662,  1598,
    1596,     0,  1229,   247,   246,  1227,   931,  2512,  1154,   145,
       0,     0,  2512,  1501,  2512,   145,   948,   932,     0,   918,
    2512,   145,  1118,  2512,  2376,   183,     0,   916,  2434,  2493,
    2512,   145,  1222,     0,  2512,   145,  2512,   179,  2512,   145,
    2512,   145,  2512,   666,     0,     0,  2512,   145,  2512,  2547,
     181,   935,  2512,   145,   942,  2512,   145,  2346,  2512,     0,
    1453,     0,  1590,     0,  1570,  2760,     0,  1713,  1009,  1008,
       0,  1009,     0,  1009,     0,  1009,     0,  1009,     0,     0,
       0,  1009,  2369,  2370,   991,     0,  1015,     0,  1023,     0,
    1022,  1021,  1020,     0,     0,     0,  1024,     0,  1845,  1625,
       0,  1434,  1449,     0,     0,     0,   142,     0,  1251,  1248,
     142,  1250,  1249,   142,   142,  1445,   252,   250,     0,     0,
       0,     0,     0,     0,  1451,     0,  1443,     0,     0,     0,
    2354,  2356,  2357,  2227,  2297,     0,  2716,  2717,  2718,  2286,
       0,  2719,  2720,  2721,  2775,  2105,  2091,  2100,  2106,  2092,
    2094,  2101,  2722,  2723,  2040,  2724,  2725,  2364,  2726,  2727,
    2728,  2730,  2731,  2732,  2733,  2734,  2735,  2736,  2737,  2738,
    2739,  2740,  2096,  2098,  2741,  2742,  2744,     0,  2365,  2745,
    2746,  2578,  2748,  2749,  2751,  2752,  2102,  2754,  2755,  2103,
    2756,  2757,  2758,  2759,  2363,   508,  2104,  2761,  2763,  2764,
    2765,  2766,  2768,  2769,  2770,  2771,     0,     0,     0,  2341,
       0,  2069,     0,  1906,  1907,  1930,  1931,  1908,  1936,  1937,
    1909,     0,  1910,  2340,  1973,  2172,  2068,  2086,     0,  2074,
    2075,     0,  2067,  2063,  2174,  1715,  2336,     0,  2064,  2353,
    2355,  2287,  1715,  2334,   214,   265,     0,   266,  2342,  2648,
     202,   244,   216,   243,   217,   215,     0,  2432,   203,     0,
       0,   204,     0,     0,     0,     0,   262,   260,     0,  1441,
       0,  1843,  1842,  2345,   953,     0,  1559,  1556,  2237,     0,
    1699,     0,     0,     0,  1946,  1933,  1941,  1940,     0,  1923,
    1922,  1921,     0,  1920,  1947,  1947,  1945,  1924,  1897,     0,
       0,     0,  1951,     0,  1949,  1893,  1889,     0,  1958,  1959,
    1960,  1957,  1970,  1956,     0,  1903,  1961,     0,  1914,  1911,
    1800,     0,  1679,  1678,     8,     0,  1564,  1566,  1540,  1562,
    1727,  1728,     0,     0,     0,     0,     0,     0,     0,     0,
    1787,  1745,  1746,  1748,  1784,  1788,  1796,     0,  1685,     0,
       0,     0,  1847,     0,     0,  1467,     0,     0,     0,     0,
       0,  1153,     0,     0,     0,     0,   945,     0,     0,     0,
    1487,     0,  1489,  1490,  1491,     0,     0,     0,  1492,  1493,
    1481,   256,  1500,  1497,  1480,  1482,  1495,     0,     0,     0,
       0,     0,     0,     0,  1512,     0,   187,   188,     0,   678,
     662,     0,  2512,     0,     0,     0,     0,  1163,  1170,  1321,
       0,     0,     0,     0,     0,     0,     0,     0,  1164,  1162,
       0,  1165,   258,  1175,  1202,  1205,     0,     0,  1120,  1123,
       0,     0,     0,     0,     0,  1312,     0,     0,     0,  1312,
       0,     0,     0,  1321,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   281,   283,   296,   362,     0,   643,     0,
       0,     0,   646,     0,  2512,  1322,     0,     0,     0,  1224,
       0,     0,     0,     0,     0,     0,     0,     0,  1205,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   148,   149,
     154,     0,     0,     0,     0,  1205,     0,     0,     0,     0,
       0,     0,     0,   629,   642,     0,     0,     0,     0,     0,
     639,     0,     0,   150,   286,   619,   625,     0,     0,     0,
     728,   727,     0,     0,     0,     0,     0,     0,  1410,     0,
    1409,     0,     0,     0,     0,     0,  1510,  1509,     0,     0,
       0,     0,     0,     0,  1312,     0,   275,   277,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   399,   400,     0,     0,     0,   154,     0,
       0,  1312,     0,   288,     0,     0,  1461,  1458,  1459,     0,
    1464,     0,     0,     0,     0,  2077,     0,  2241,  1737,  2239,
    1138,  2293,     0,  2394,  2796,  2797,  2798,  2799,  2800,  2801,
    2802,  2803,  2804,  2805,  2806,  2807,  2808,  2809,  2810,  2811,
    2812,  2813,  2814,  2815,  2816,  2817,  2818,  2819,  2820,  2821,
    2822,  2823,  2824,  2825,  2826,  2827,  2828,  2829,  2830,  2831,
    2832,  2833,  2834,  2835,  2836,  2837,  2838,  2839,  2840,  2841,
    2842,  2843,  2844,  2845,  2846,  2847,  2848,  2849,  2850,  2851,
    2852,  2853,  2854,  2855,  2856,  2857,  2858,  2859,  2860,  2861,
    2862,  2863,  2864,  2865,  2866,  2867,  2868,  2869,  2870,  2871,
    2872,  2873,  2290,  2289,  2349,  2395,  2396,  2397,  2398,  2296,
    1532,     0,   233,   234,   232,  1550,   235,  1551,  1546,     0,
    1533,     0,     0,     0,     0,     0,     0,     0,     0,  2434,
    2493,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   841,  1481,  1519,
       0,     0,     0,   671,     0,  2512,     0,   152,   880,     0,
     831,   465,     0,     0,     0,     0,  1386,   152,     0,     0,
     190,     0,     0,   725,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   832,     0,     0,   152,     0,  2512,
     622,  2512,     0,   544,   544,     0,     0,   141,   138,     0,
       0,     0,     0,     0,     0,     0,     0,  1671,  1670,  1673,
    1672,     0,  1669,     0,   143,   144,     0,  1212,  1237,     0,
       0,     0,     0,     0,   909,   934,     0,     0,  1206,     0,
       0,  2512,   145,  2512,     0,  2512,     0,     0,     0,  1214,
     145,     0,  1208,     0,     0,  1210,     0,  1412,     0,   925,
     923,   922,   924,     0,     0,   907,     0,     0,     0,     0,
       0,   902,     0,     0,   904,     0,     0,     0,     0,  1713,
    1569,     0,   999,     0,  1003,     0,   994,     0,  1000,     0,
     995,   992,   993,     0,   998,     0,     0,   545,   547,     0,
       0,  2458,  2475,     0,  2501,  2535,  2536,  2588,  2603,  2632,
    2638,  2644,     0,  2673,  2684,     0,  1029,  1067,  1019,   737,
       0,     0,  1635,  1435,  2246,     0,  1713,     0,     0,  1252,
       0,     0,   138,   251,   223,     0,     0,  1067,     0,  2636,
    1448,   984,   662,     0,  2065,     0,  2072,  2073,  2285,     0,
       0,     0,     0,     0,     0,  2071,     0,     0,     0,     0,
    2307,     0,  2307,     0,     0,     0,     0,     0,     0,     0,
    1996,     0,     0,  2245,     0,     0,  2245,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1997,
    1978,  1979,  2069,  2237,     0,  2070,  2360,     0,  1969,  2399,
    2227,     0,  2224,  2225,  2226,  2874,  2875,  2876,  2877,  2878,
    2879,  2880,  2881,  2882,  2883,  2884,  2885,  2886,  2887,  2888,
    2889,  2890,     0,  2891,  2892,  2893,  2894,  2895,  2897,  2896,
    2898,  2899,  2900,  2901,  2902,  2903,  2300,  2905,  2906,  2907,
    2908,  2909,  2910,  2911,  2912,  2913,  2914,  2915,  2916,  2917,
    2918,  2919,  2920,  2921,  2922,  2923,  2924,  2925,  2926,  2927,
    2928,  2929,  2930,  2931,  2932,  2933,  2934,  2935,  2936,  2937,
    2938,  2939,  2940,  2941,  2942,  2943,  2944,  2945,  2946,  2947,
    2948,  2949,  2950,  2951,  2952,  2953,  2954,  2955,  2956,  2957,
    2958,  2959,  2960,  2961,  2962,  2963,  2964,  2965,  2966,  2967,
    2968,  2969,  2970,  2971,  2972,  2973,  2974,  2975,  2976,  2977,
    2978,  2979,  2980,  2981,  2982,  2983,  2984,  2985,  2986,  2987,
    2988,  2989,  2990,  2991,  2992,  2993,  2994,  2995,  2996,  2997,
    2998,  2999,  3000,  3001,  3002,  3003,  3004,  3005,  3006,  3007,
    3008,  3009,  3010,  3011,  3012,  3013,  3014,  3015,  3016,  3017,
    3018,  3019,  3020,  3021,  3022,  3023,  3024,  3025,  3026,  3027,
    3028,  3029,  3030,  3031,  3032,  3033,  3034,  3035,  3036,  3037,
    3038,  3039,  3040,  3041,  3042,  3043,  3044,  3045,  3046,  3047,
    3048,  3049,  3050,  3051,  3052,  3053,  3054,  3055,  3056,  3057,
    3058,  2011,  3059,  3060,  3061,  3062,  3063,  3064,  3065,  3066,
    3067,  3068,  3069,  3070,  3071,  3072,  3073,  3074,  3075,  3076,
    3077,  3078,  3079,  3080,  3081,  3082,  3083,  3084,  3085,  3086,
    3087,  3088,  3089,  3090,  3091,  3092,  3093,  3094,  3095,  3096,
    3097,  3098,  3099,  3100,  3101,  3102,  3103,  3104,  3105,  3106,
    3107,  3108,  3109,  3110,  3111,  3112,  3113,  3114,  3115,  3116,
    3117,  2013,  3118,  3119,  3120,  3121,  3122,  3123,  3124,  3125,
    3126,  3127,  3128,  3129,  3130,  3131,  3132,  3133,  3134,  3135,
    3136,  3137,  3138,  3139,  3140,  3141,  3142,  3143,  3144,  3145,
    3146,  3147,  3148,  3149,  3150,  3151,  3152,  3155,  3153,  3154,
    3156,  3157,  3158,  3159,  3160,  3161,  3162,  3163,  3164,  3165,
    3166,  3167,  3168,  3169,  3170,  3171,  3172,  3173,  3174,  3175,
    3176,  3177,  3178,  3179,  3180,  3181,  3182,  3183,  3184,  3185,
    3186,  3187,  3188,  3189,  3190,  3191,  3192,  3193,  3194,  3195,
    3196,  3197,  3198,  3199,  3200,  3201,  3202,  3203,  3204,  3205,
    3206,  3207,  3208,  3209,  3210,  3211,  3213,  3212,  3214,  3215,
    3216,  3217,  3218,  3219,  3220,  3221,  3222,  3223,  3224,  3225,
    3226,  3227,  3228,  3229,  3230,  3231,  3232,  3233,  3234,  3235,
    3236,  3237,  3238,  3239,  3240,  3241,  3242,  3243,  3244,  3245,
    3246,  3247,  3248,  3249,  3250,  3251,  3252,  3253,  3254,  3255,
    3256,  3257,  3258,  3259,  3260,  3261,  3262,  3263,  3264,  3265,
    3266,  3267,  3268,  3269,  3270,  3271,  3272,  3273,  3274,  3275,
    3276,  3277,  3278,  3279,  3280,  3281,  3282,  3283,  3284,  3285,
    3286,  3287,  3288,  3289,  3290,  3291,  3292,  3293,  3294,  3295,
    3296,  3297,  3298,  3299,  3300,  3301,  3302,  3303,  3304,  3305,
    3306,  3307,     0,  2221,  2222,  2223,  2215,  2216,  2217,  2218,
    2219,  2220,  2231,     0,     0,  2339,  2400,     0,  2174,     0,
    1993,     0,  2182,     0,     0,  1800,     0,  2358,  2288,  1800,
     267,   268,   264,     0,     0,   219,   218,     0,   237,   241,
     242,   213,   240,     0,   236,   221,  2158,  2157,   220,   212,
     209,   207,   224,   226,   227,   210,   208,   261,     0,     0,
       0,   145,  1567,  1554,     0,     0,  2300,     0,  2235,     0,
       0,  2233,     0,     0,     0,  1797,     0,  1701,     0,  1705,
       0,     0,     0,  1944,  1943,  1894,  1890,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     946,     0,  1912,     0,  1863,  2382,  2383,  2298,  1733,  1567,
       0,  1563,  1696,  1695,  1738,  1739,  1104,  1694,  1767,  1768,
       0,     0,     0,     0,  1793,  1791,  1758,  1749,  1757,     0,
       0,  1755,     0,  1759,  1973,  1786,  1683,  1743,  1744,  1747,
    1682,     0,  1789,     0,  1638,  1787,  1748,  1622,     0,  1600,
       0,     0,  1848,     0,     0,  1468,     0,     0,     0,  1133,
    1135,     0,  1134,     0,  1137,     0,  1146,     0,     0,  1132,
    1151,     0,  1140,  1138,     0,  1508,     0,     0,     0,     0,
       0,  1488,     0,     0,     0,  2673,   255,  1491,  1496,  1483,
    1494,     0,     0,     0,     0,     0,  1069,  1068,     0,     0,
    1088,     0,     0,     0,   508,  1515,   530,     0,   364,     0,
       0,     0,     0,     0,     0,     0,     0,   827,   824,     0,
       0,   823,     0,   676,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   701,     0,  1312,     0,   294,
       0,  1172,     0,  1171,     0,  1176,     0,     0,  1173,  1168,
    1169,  2638,  2648,  2679,   257,  1174,  1204,     0,  1203,  1199,
       0,  1115,     0,  1116,     0,     0,     0,     0,     0,  2485,
    2512,   302,   326,     0,  1311,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     348,     0,     0,   351,   350,     0,     0,     0,     0,     0,
     356,     0,   334,     0,   335,     0,   355,     0,     0,     0,
     644,   645,     0,     0,     0,  1312,     0,   290,     0,     0,
       0,     0,     0,     0,     0,     0,  1221,     0,   754,     0,
       0,  2638,  1200,     0,  1395,     0,  2672,  1396,  1399,   544,
       0,   544,  1401,     0,     0,  1398,  1400,     0,     0,   176,
       0,   171,   175,     0,     0,  2638,  1201,     0,     0,     0,
       0,     0,   627,   628,   641,     0,   632,   633,   630,   634,
     635,     0,     0,     0,     0,     0,     0,     0,   626,     0,
       0,   723,   722,   726,     0,     0,     0,     0,     0,     0,
    1404,     0,     0,  1195,     0,     0,  1403,  1411,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1255,  1254,
       0,     0,     0,     0,  1322,     0,   870,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   178,   741,     0,
     740,     0,   172,   177,     0,     0,     0,     0,     0,     0,
       0,     0,   231,  1457,  1463,  1737,  1737,  1737,  2083,     0,
       0,     0,     0,  1736,  2291,  2294,  1537,  1543,  1536,  1535,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   413,   410,   411,
     413,     0,     0,     0,     0,   843,     0,   846,   849,  1479,
     492,     0,     0,   668,   701,     0,     0,   468,   185,     0,
       0,     0,     0,   756,     0,  1195,  1194,   147,   138,   194,
     466,     0,   193,   195,   197,   198,   199,   196,   200,     0,
     720,   724,     0,     0,     0,     0,   664,     0,     0,     0,
       0,     0,     0,     0,  1868,     0,     0,   170,     0,     0,
     617,   621,     0,     0,     0,     0,   468,   583,   375,  2512,
       0,   544,     0,  2512,     0,   137,     0,   830,     0,     0,
       0,  1157,  1157,     0,     0,   770,   769,     0,     0,     0,
       0,     0,     0,  1668,   145,  1155,     0,  1502,     0,   145,
     949,   145,  1119,   184,  2377,     0,   911,     0,     0,     0,
       0,   145,  1223,   899,   145,   180,   145,   145,   667,     0,
     145,   182,     0,     0,   145,   943,   145,  2347,     0,   145,
    1593,  2512,   544,  1571,   996,  1005,  1004,  1002,  1001,   997,
       0,  1016,     0,   543,     0,     0,     0,     0,     0,  1037,
    1038,     0,     0,  1034,  1039,     0,  1041,  1025,  1027,  1035,
    1036,  1042,  1031,  1030,  1043,  1044,     0,     0,     0,  1056,
     735,     0,     0,     0,     0,  1632,     0,  1630,     0,  1846,
    1634,  1623,  1583,     0,  1582,     0,   610,  1246,  1245,  1247,
       0,  1013,     0,   145,     0,  1447,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2250,     0,  2251,
       0,     0,  2284,  2280,     0,     0,     0,     0,     0,  2254,
    2257,  2258,  2259,  2256,  2260,  2255,     0,     0,  2261,     0,
       0,  2305,  2317,     0,  2069,  2305,  2328,     0,  2327,  2333,
    2241,  1973,     0,     0,  2324,  2318,     0,  2324,     0,  2307,
       0,     0,     0,     0,     0,     0,  2241,  2244,     0,     0,
    2752,     0,     0,     0,     0,  2041,     0,     0,  2208,     0,
    2241,     0,     0,     0,     0,     0,     0,     0,  2237,  2276,
       0,   506,     0,  2031,     0,     0,     0,  2156,     0,  2153,
       0,     0,     0,     0,  2297,     0,     0,  2361,  1974,  1989,
    1990,  1991,  1994,  2338,  1977,     0,  2299,     0,     0,  1975,
    2002,     0,  2277,  2027,     0,  2032,  2017,  2308,  2262,  2263,
    2264,  2265,  2034,     0,  2010,  2015,  2019,     0,  2317,  1998,
       0,  1995,     0,  2300,  2236,     0,  2234,     0,  1986,  1987,
    1988,  1980,  1981,  1982,  1983,  1984,  1985,  1992,  2212,  2210,
    2211,     0,     0,  2182,     0,     0,  2014,     0,     0,  2085,
    2504,  2542,     0,  1726,  1726,  1726,  1714,  1724,  2337,  1863,
    1737,  1863,  2343,     0,     0,  1969,     0,  1844,   951,   952,
     950,  1539,  1553,  1567,  2238,  1561,  1703,     0,     0,     0,
    1913,  1926,     0,  1953,  1954,  1955,  1955,     0,  1895,     0,
    1938,  1963,  1964,  1965,  1966,  1967,  1968,     0,  1962,  1904,
     947,  2733,     0,  2634,  2772,     0,  1824,  1799,  1801,  1811,
    1824,  1831,  1824,  2087,  1861,  2088,  2089,  2344,     0,  1770,
    2379,  1541,  1565,     0,  1102,  1103,     0,  1107,  2752,  2634,
       0,     0,     0,     0,  1760,  1794,     0,  1785,     0,  2354,
    1761,  2353,  1762,  1765,  1766,  1756,  1795,  1636,     0,  1790,
    1687,  1686,     0,  1866,     0,     0,     0,  1614,  1602,     0,
       0,  1849,     0,  1800,  1640,     0,  2297,  1798,  1362,  1256,
    1323,  1136,     0,  1914,  1147,     0,  1131,     0,  1130,  1914,
       0,  1148,     0,  1914,  1363,  1257,  1324,  1364,  1258,  1325,
    1365,  1499,  1259,  1498,  1486,  1485,  1484,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   808,  2512,   145,  1513,  1366,     0,  1260,   363,
    1514,  1326,  1518,   826,   825,     0,     0,  1327,     0,   677,
     682,     0,   684,   685,  2434,  2493,   686,   689,   690,     0,
     692,   681,   680,     0,     0,     0,     0,     0,   698,   703,
       0,     0,     0,     0,     0,     0,  1166,  1167,  1367,  1263,
       0,  1328,     0,  1114,     0,  1264,   186,     0,     0,   282,
    2512,   304,     0,   490,   808,     0,  1314,   301,   332,     0,
     347,   342,   343,   341,  2512,   145,  2512,   145,     0,     0,
       0,     0,     0,   344,   339,   340,   336,     0,     0,   349,
    2406,  2477,  2649,     0,   709,   711,     0,   716,   352,  1284,
     371,   370,   369,     0,   357,     0,   376,   379,     0,   354,
     333,   331,   328,   297,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1216,     0,  1370,  1329,     0,
    1351,  1355,     0,     0,     0,   748,  1373,  1270,  1332,     0,
     544,     0,     0,   559,   559,   544,  1384,  1271,   174,  1301,
     163,     0,     0,   159,     0,     0,     0,     0,   153,  1374,
    1272,  1333,     0,     0,  1375,  1273,     0,     0,   287,   620,
     631,   636,  1278,   640,   637,  1341,   638,  1382,  1274,     0,
    1378,  1304,  1336,   603,  1195,  1195,  1385,  1405,  1275,  1195,
       0,  1312,     0,   276,   278,     0,   142,     0,  1276,     0,
    1334,  1377,  1303,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1521,     0,     0,     0,     0,     0,     0,   145,
       0,     0,     0,  1314,  2512,   145,   868,  1376,     0,  1309,
       0,  1349,     0,     0,     0,   401,     0,  1302,  1312,     0,
     289,  1280,     0,  1343,     0,     0,   229,   228,   230,     0,
       0,     0,     0,  2242,  2243,     0,  2240,  2078,  2293,     0,
    1531,   973,   959,   972,     0,   955,  2475,     0,   958,   960,
       0,     0,     0,   961,   965,   966,     0,   957,   954,   956,
       0,   412,     0,     0,   765,   766,     0,     0,     0,     0,
     845,     0,     0,  1511,     0,   150,   675,     0,     0,     0,
     670,   700,   705,     0,     0,     0,     0,   467,   471,   475,
     476,   477,     0,     0,     0,     0,   164,   151,     0,   888,
       0,   544,     0,   758,  1195,  1388,     0,   194,   189,     0,
       0,   721,     0,  1562,     0,     0,   598,   601,   600,     0,
     375,   840,   838,   837,   839,   861,   836,     0,  1867,  1869,
       0,     0,     0,     0,     0,     0,   610,   470,     0,     0,
     547,     0,   586,     0,     0,     0,     0,   583,     0,     0,
       0,  2387,     0,   857,   829,     0,  1125,     0,  1143,  1126,
       0,     0,     0,     0,  1180,  1187,  1156,  1181,  1158,  1187,
       0,     0,   771,   775,   774,   778,   776,     0,   772,   649,
    1674,  1675,     0,  1213,     0,     0,  1507,     0,  1505,   910,
    1207,   145,     0,   145,     0,   145,  1215,  1209,  1211,  1413,
       0,   908,     0,     0,   901,   903,     0,   905,     0,  1017,
     546,     0,     0,     0,     0,     0,     0,  1033,   647,  1040,
       0,     0,     0,  1055,  1050,  1052,     0,  1067,  1061,     0,
     734,     0,     0,  1633,  1626,  1628,  1627,     0,     0,  1624,
    2247,   900,     0,   616,     0,  1067,  1058,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1731,  2248,
    2249,     0,     0,     0,  2281,     0,     0,  2122,     0,  2093,
    2095,  2108,     0,  2123,  2076,     0,  2304,  2301,     0,     0,
       0,  2305,  2307,  2142,     0,     0,     0,  2307,     0,  2327,
       0,     0,  2137,  2139,     0,     0,     0,  2317,  2317,  2144,
       0,  2124,  2097,  2099,  2109,     0,     0,  2228,     0,  2112,
    2111,     0,  2043,  2044,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2058,  2113,  2207,     0,     0,     0,  2115,  2114,
       0,     0,  2275,     0,     0,     0,  2120,   507,  2125,     0,
       0,     0,     0,  2131,     0,  2164,     0,     0,     0,  2066,
    2238,     0,     0,     0,     0,     0,     0,     0,  2310,  2311,
    2312,  2309,     0,  2033,  2018,  2036,  2012,  2016,  2020,     0,
    2317,  2035,  2038,     0,     0,  2006,     0,     0,  2004,  2028,
    2000,     0,     0,  2029,     0,  2084,     0,     0,     0,  2185,
    2180,  2181,  1726,  1726,  1726,  1726,  1723,     0,     0,     0,
    1770,     0,  1770,   205,     0,   238,   225,  1538,  1704,  1713,
    1932,     0,  1950,  1948,  1891,  1896,  1971,  1824,  1831,  1824,
       0,     0,  1689,     0,  1811,     0,  1823,  1809,  1822,     0,
       0,  1837,  1835,     0,  1837,     0,  1837,     0,  1803,     0,
    1827,  1805,  1822,  1807,     0,  1853,  2345,  1862,     0,  1783,
    1740,     0,  2229,  1107,     0,  1742,  1764,  1763,     0,  1753,
       0,  1792,  1750,  1637,  1621,     0,  1619,  1606,  1608,  1607,
       0,     0,  1609,  2297,     0,  1619,  1601,     0,  1645,     0,
       0,  1866,     0,  1644,     0,  1914,  1128,  1129,     0,  1152,
       0,  1072,  1073,     0,  1071,     0,     0,     0,   529,  1087,
       0,     0,   808,     0,   808,     0,     0,   534,     0,  1516,
       0,  1383,  1300,   679,     0,     0,     0,     0,   694,   653,
     695,   697,     0,     0,   696,   699,   702,  1312,     0,   295,
    1286,     0,  1347,  1160,     0,     0,  1117,     0,     0,     0,
       0,     0,     0,   489,   486,   327,     0,     0,     0,     0,
     384,     0,   306,   319,   382,   325,     0,   359,     0,   330,
       0,   323,   345,   337,   346,   338,   358,   360,     0,   713,
     714,   712,   708,     0,   715,   717,     0,   373,     0,     0,
       0,   391,   353,   390,     0,  1369,     0,  1312,     0,   291,
    1282,     0,  1345,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1350,     0,     0,     0,     0,
     753,     0,   750,     0,   559,     0,  1397,     0,  1394,  1392,
     559,     0,     0,   156,   155,     0,   162,     0,     0,     0,
       0,     0,     0,  1406,  1407,  1408,     0,     0,     0,     0,
       0,     0,   395,     0,   298,   300,   299,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   402,   366,     0,   864,     0,     0,
       0,   404,     0,     0,  1361,     0,     0,     0,     0,     0,
    1368,  1265,  2081,  2082,  2079,  1737,  2292,     0,     0,     0,
     970,     0,     0,     0,     0,   415,   416,   150,   414,   439,
       0,   808,     0,     0,   842,   847,   855,  2578,  2215,  2216,
     853,   848,   850,   852,   854,   851,     0,     0,     0,     0,
     511,     0,     0,     0,   498,     0,     0,   508,   491,   494,
     495,     0,     0,   671,   674,   672,   673,     0,   693,     0,
     470,   518,   573,     0,   166,     0,     0,   167,   165,     0,
       0,   375,   755,     0,   752,  1387,     0,   192,     0,   725,
       0,     0,     0,     0,     0,  1195,   663,     0,   860,   862,
     834,     0,   705,     0,     0,   622,     0,   544,  1594,   605,
       0,   575,   470,   573,   582,     0,     0,   590,   374,     0,
       0,   610,   375,     0,     0,  1088,     0,   856,     0,     0,
    1124,     0,     0,     0,  1177,  1182,  1178,     0,  1157,  1139,
       0,  1179,     0,     0,  1185,  1110,  1159,  1111,  1429,  1430,
    1427,  1428,     0,     0,     0,     0,     0,     0,  1665,     0,
       0,  1503,     0,   912,     0,   895,     0,   897,   145,   742,
       0,   145,     0,     0,     0,     0,     0,     0,  1032,     0,
    1026,  1028,  1053,     0,     0,  1067,  1066,     0,  1057,  1065,
    1063,  1064,  1062,     0,     0,  1631,  1629,   608,     0,     0,
     145,  1067,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2252,     0,  2283,  2279,     0,  2090,  2253,  2303,
    2314,  2316,  2143,  2306,     0,     0,     0,  2329,     0,     0,
    2307,  2321,  2320,     0,     0,  2319,  2307,  2307,  2145,     0,
       0,     0,  2208,     0,     0,  2042,  2054,  2055,  2056,  2268,
       0,  2061,     0,  2051,  2052,  2053,  2045,  2046,  2047,  2048,
    2049,  2050,  2057,  2272,  2271,     0,     0,  2117,  2118,  2119,
    2274,  2126,     0,  2424,  2165,     0,  2130,  2155,  2154,     0,
       0,     0,  2133,     0,     0,  2151,     0,  2209,  2362,  1976,
       0,     0,  2003,  2278,  2021,     0,  2037,  2039,  1999,  2228,
       0,     0,     0,     0,     0,  2008,     0,     0,  2205,     0,
       0,     0,  2187,  2184,     0,     0,     0,     0,  1717,  1716,
    1722,  1783,  2078,  1783,     0,     0,  1892,  1810,  1806,  1808,
       0,  2767,     0,  1813,  1820,     0,  1802,     0,  1836,  1832,
       0,  1833,     0,     0,  1834,     0,     0,  1804,     0,  1820,
       0,  1860,  1729,     0,  2176,     0,  1741,  1105,  1106,  1751,
       0,  1754,  2454,  1864,     0,  1620,     0,     0,     0,  1611,
    1617,  1599,     0,     0,     0,  1641,  1619,  1642,  1149,     0,
       0,  1141,  1078,  1079,  1082,  1080,  1077,  1081,     0,     0,
       0,   808,     0,     0,   554,     0,  1101,  1101,     0,   532,
     542,   536,   595,   542,   811,     0,     0,     0,   809,   145,
    1261,     0,     0,     0,     0,   654,  1381,  1262,     0,     0,
       0,     0,  1161,  1315,     0,     0,  1285,     0,   303,   488,
     487,     0,   485,   705,     0,     0,   310,   320,     0,   315,
       0,  1313,     0,     0,     0,     0,   314,   317,   316,   386,
       0,   383,     0,   145,   145,   361,   710,   372,   377,   378,
     381,  1320,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   889,   872,     0,     0,   890,
     891,     0,     0,     0,  1218,  1219,  1217,  1352,  1353,  1359,
    1356,  1354,  1358,  1360,  1357,     0,  1268,     0,     0,   746,
    1316,  1389,  1391,  1390,     0,  1393,   160,   157,   158,   161,
    1317,  1298,  1279,  1342,   604,     0,     0,     0,  1277,     0,
    1335,     0,  1294,  1288,     0,     0,     0,     0,     0,  1380,
    1308,  1340,  1379,  1306,  1338,  1305,  1337,  1307,  1339,  1299,
       0,     0,  1871,   869,     0,     0,     0,   145,   145,   867,
     744,  1281,     0,  1344,  1290,     0,     0,     0,   962,     0,
       0,     0,   964,   420,   440,   150,     0,   764,   828,     0,
       0,   844,     0,   496,     0,   502,   509,     0,     0,   513,
     514,   512,   540,  1195,   544,  1195,   797,   798,     0,     0,
     818,     0,   669,     0,     0,   468,     0,   515,     0,     0,
     472,   169,   168,     0,     0,     0,   759,   763,   761,   760,
     762,   757,     0,   748,   194,  2512,     0,     0,     0,     0,
     602,   596,   599,  1402,   835,     0,  1870,   738,     0,   375,
     618,     0,     0,     0,   468,   610,     0,   473,   478,   479,
     492,     0,   583,   574,     0,   575,   584,   585,     0,   592,
    1477,     0,   611,   592,     0,     0,     0,   859,     0,   858,
       0,  1127,  1144,  1145,     0,     0,  1187,     0,     0,  1189,
    1184,     0,     0,   777,   780,   773,   656,   145,     0,  1506,
     145,   145,  1244,     0,   906,  1047,  1048,  1049,  1046,  1045,
     648,     0,  1051,  1010,  1060,   736,     0,   609,     0,  1011,
     145,   987,   979,   986,   975,   978,   980,     0,   982,   983,
     977,   974,   976,  2282,  2107,     0,  2313,  2315,  2141,  2326,
    2325,  2140,  2332,     0,  2323,  2322,     0,     0,  2110,  2121,
       0,  2207,  2238,     0,     0,  2062,     0,     0,     0,  2116,
    2762,     0,     0,  2169,  2170,     0,  2166,  2167,  2162,  2163,
    2132,     0,  2567,  2146,     0,     0,  2161,  2025,  2023,  2022,
    2007,     0,     0,  2005,  2001,     0,  2030,  2171,  2204,  2238,
    2173,     0,  1737,  1721,  1720,  1719,  1718,  2176,  2359,  2176,
     239,  1708,  1856,     0,  1859,     0,     0,  1812,     0,     0,
    1814,     0,     0,  1816,  1818,     0,     0,     0,     0,     0,
       0,  2348,     0,  1782,     0,  1737,     0,  1752,     0,  1618,
    1603,     0,  1604,  1610,     0,     0,     0,     0,     0,  1646,
    1639,  1142,  1150,     0,     0,     0,   531,     0,   549,     0,
       0,     0,  1094,   140,  1093,     0,     0,     0,     0,   813,
     812,   815,   810,   814,  1517,     0,   687,   688,   691,  1287,
       0,  1348,  1296,     0,  1635,   305,   484,   483,   492,   389,
     313,   388,     0,     0,     0,   307,   385,     0,   387,   308,
     312,   366,   329,   322,     0,     0,     0,  1283,     0,  1346,
    1292,  1319,  1371,  1266,  1330,     0,     0,   878,     0,     0,
       0,     0,  1372,  1267,  1331,     0,     0,     0,     0,     0,
    1635,     0,     0,     0,     0,     0,     0,     0,     0,  1526,
       0,     0,   365,   866,   865,   366,   403,  1310,     0,  2080,
       0,   963,   968,   969,   967,     0,   409,   417,   420,     0,
       0,  1235,  1235,     0,     0,   493,   510,     0,     0,   497,
     594,   553,   594,     0,     0,     0,     0,     0,   706,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   751,
     750,   191,     0,   468,     0,   705,     0,   863,     0,     0,
       0,   610,   470,     0,     0,  1591,   469,     0,     0,   481,
       0,   586,   575,   583,     0,     0,   607,     0,  1470,     0,
     613,     0,     0,     0,   807,  1183,     0,  1197,     0,  1138,
    1108,  1192,     0,  1713,  1863,     0,     0,     0,     0,   790,
       0,   660,  1236,  1504,   896,   898,   743,  1054,     0,  1067,
    1059,   981,  2302,  2331,  2138,  2330,  2267,  2209,  2059,     0,
    2270,  2269,  2273,     0,  2127,     0,  2128,  2168,  2134,  2147,
       0,  2135,  2159,     0,     0,  2026,  2024,  2009,  2206,     0,
    2191,  1691,  1690,     0,  1711,  1861,     0,     0,  1855,     0,
       0,  1885,     0,     0,     0,  1821,  1839,     0,  1817,  1815,
       0,  1828,     0,  1830,  2453,  2728,  2631,     0,  1769,  1771,
    1774,  1776,  1775,  1777,  1773,  2175,  2177,     0,  1748,  2230,
    1865,     0,     0,     0,  1089,     0,     0,  1647,  1648,  1643,
    1055,     0,   145,  1101,     0,  1195,   555,  2578,   556,  1100,
    1104,   139,     0,   541,   549,   549,   683,     0,     0,   284,
     480,     0,   311,   321,     0,   368,   380,     0,  1635,     0,
       0,   876,   885,   885,   873,     0,     0,   892,  1269,   747,
       0,   558,     0,   279,  1295,  1289,     0,     0,     0,  1528,
    1529,     0,     0,     0,     0,     0,  1318,   145,  1291,   971,
       0,   442,   449,   421,   425,  1520,     0,  1520,     0,   422,
     426,  1520,  1520,   419,  1863,   438,  1235,     0,  1232,  1231,
     540,   624,     0,   539,     0,   500,     0,   564,   499,     0,
     819,     0,     0,   704,     0,   470,   573,     0,   528,   519,
     520,   521,   522,   524,   523,   525,   526,   527,   517,   516,
       0,   705,   882,   375,  1477,   745,     0,     0,   718,     0,
     705,     0,  1594,   606,   575,   470,   573,   474,   492,     0,
     590,   583,   586,     0,   587,     0,   591,     0,     0,     0,
     610,  1530,  1088,     0,     0,   808,  1196,  1157,     0,     0,
    1186,  1190,  1191,     0,     0,     0,     0,  1239,   784,   785,
     779,   781,     0,   792,   796,   655,     0,     0,   659,   650,
     705,   145,     0,  2060,     0,     0,  2149,  2148,  2160,  2136,
    2186,     0,     0,     0,     0,     0,     0,     0,  1702,  1854,
    1857,     0,  1888,     0,     0,     0,     0,  1874,     0,  1819,
       0,     0,  1829,     0,     0,     0,  1778,     0,     0,     0,
    1787,     0,  1616,  1863,     0,  1613,     0,  1656,     0,  1649,
    1074,     0,  1075,  1095,     0,   594,     0,  1107,  1104,   544,
    1195,  1195,  1297,     0,   624,     0,     0,   324,     0,   292,
    1293,     0,     0,   887,   887,     0,     0,     0,     0,     0,
       0,   397,     0,     0,  1522,     0,  1523,  1524,  1527,   405,
     418,     0,   447,     0,   445,   444,   446,     0,   435,     0,
       0,     0,     0,     0,     0,   408,  1230,  1234,  1233,   501,
       0,   503,     0,     0,   550,   551,   552,     0,   505,   560,
     561,   816,     0,   821,     0,   707,     0,     0,   705,   572,
     729,     0,     0,     0,  1471,     0,     0,   597,   739,  1477,
     610,   583,     0,   575,   482,     0,   592,   586,   590,   588,
     589,     0,  1474,     0,   612,     0,  1097,   806,     0,  1187,
    1198,  1193,  1188,  1433,     0,     0,   782,   787,   786,  1520,
     791,     0,     0,     0,   658,   657,   733,  1012,  2266,  2152,
    2129,  2150,  2715,  2454,  2687,     0,  2203,  2192,  2203,  2203,
    2183,     0,     0,     0,     0,     0,  1886,  1887,  1872,     0,
       0,  1876,  1826,  1852,     0,     0,     0,  1772,  2178,  2179,
    2378,  1605,  1615,  1090,     0,     0,     0,  1656,     0,     0,
     559,     0,  1091,  1107,   553,   594,   594,  1635,   318,   309,
     367,     0,     0,     0,   883,   886,   874,   875,   894,   893,
     749,  1635,     0,   393,   392,     0,   396,     0,   443,   452,
       0,   450,   423,   428,     0,   434,   433,   430,   429,   424,
     427,     0,     0,     0,     0,     0,     0,   562,     0,   563,
       0,   820,     0,     0,     0,   731,   881,     0,     0,   468,
     705,  1472,  1592,   586,   575,   583,     0,     0,   577,  1101,
    1101,   455,   590,   592,  1475,  1476,     0,     0,   508,     0,
    1109,  1432,  1431,  1713,     0,     0,     0,   793,   794,   789,
       0,     0,     0,  2196,  2195,  2194,  2198,  2197,     0,  2190,
    2188,  2189,     0,     0,     0,  1858,     0,  1875,  1878,     0,
       0,     0,  1884,  1877,  1879,     0,  1838,     0,  1850,  1780,
       0,  1779,  1863,  1655,     0,     0,   145,   548,   808,   557,
    1092,   564,   808,   808,   285,  1635,   877,     0,   280,     0,
     398,  1525,   448,     0,   432,   431,   623,   504,   593,   569,
       0,   568,     0,   566,   565,   817,   822,     0,   705,   871,
    1477,   719,   590,   583,   586,     0,   576,     0,   140,   140,
     592,   453,     0,     0,   375,     0,  1415,  1713,  1414,  1416,
    1424,  1421,  1423,  1422,  1420,     0,  1242,  1243,   783,   788,
       0,     0,     0,     0,  2200,     0,  2201,     0,     0,     0,
       0,  1881,  1882,  1883,  1880,  1825,     0,  1781,  1612,  1658,
       0,     0,  1650,  1651,     0,  1076,   537,   808,   535,   533,
     293,   884,     0,   451,   567,   544,   544,   705,   730,  1473,
     592,   586,   590,  1101,   578,   580,   579,   457,  1097,  1098,
       0,   592,   796,     0,  1425,  1419,  1689,  1676,     0,     0,
     795,     0,  2193,  2199,  2202,     0,     0,     0,     0,     0,
       0,  1653,     0,     0,     0,  1652,   538,     0,   571,   570,
     732,   456,   590,   592,   140,   508,  1096,     0,  1863,     0,
    1417,  1713,     0,     0,   801,  1707,  1706,  2733,     0,     0,
    1710,     0,  1851,  1657,  1654,     0,     0,     0,     0,  1659,
     394,   592,   454,   581,   375,  1099,  1083,     0,  1418,     0,
       0,   803,     0,   799,   802,   804,   805,     0,     0,  1873,
    1663,     0,     0,     0,   458,   592,     0,     0,     0,   767,
       0,  1737,     0,     0,     0,     0,  1863,     0,     0,     0,
     800,     0,     0,  1660,  1664,     0,  1661,  1084,   801,  1240,
    1241,     0,  1709,     0,     0,     0,   768,  1662
};

/* YYPGOTO[NTERM-NUM].  */
static const yytype_int16 yypgoto[] =
{
   -5546, -5546, -5546,  3830,  -701, -1730, -5071, -1113,  1289, -5546,
   -5546,  -959,   279,  3057, -2372, -5546, -5546, -5546,  1284, -5546,
   -5546, -5546, -5546,  3804, -5546, -2917, -5546, -5546,   158,  3733,
   -1380,   154,  3357,  1367, -5546, -1017, -5546, -5546,  -635,    13,
   -5546,  3749,   257, -5546, -5546, -5546, -5546, -5546, -5546, -5546,
   -5546,  -839,  1828, -5546,  1920,  1166, -3694, -5546, -5546, -1495,
   -3775, -5546,   425, -5546,   447,  -111, -5546, -4814, -1178, -5546,
   -5546, -5546,  1812, -5546, -5546, -5546,  1761,   959,  -584, -5546,
   -5546, -5546, -5546, -5546, -5546, -1016, -5546, -5546, -1285,     7,
    -643, -2945, -4319, -5546, -5546,   276,  -626, -1494, -5546,   471,
   -5546,   472, -5546, -4832, -5546,  -220, -2671, -2795, -5546, -5546,
   -5546,  -598, -1462,  1262,  -823,   -44,  -743, -1141,  1638, -2625,
   -1133, -5546,  -467, -3571, -1258, -1026, -1024, -1167, -4356, -4880,
   -5546, -5546, -1290, -3769, -5179, -5410, -4894, -5155,  1273, -5546,
    -248,   280, -5546,     8, -3643, -3745,     9,   260, -5546,    14,
      15, -5546,   271,  -957,  -961, -1603, -5546,  -762, -5546, -5546,
   -5546, -3457, -5546, -5546, -5546,   165, -5546, -5546, -5546, -5546,
     316, -5546, -5546, -5546, -5546, -5546, -5546, -3178,  1787,  1788,
   -5546, -4386, -5546,  -938, -5546,   475, -3485,  1193, -5546, -5546,
     957,  3818,   303, -5546, -5546, -5546, -5546, -5546, -5546, -1797,
   -5546, -5546, -5546, -5546,  -228,  -573, -5546, -5546, -5546, -5546,
   -5546, -5546, -5546,    16, -5546,   914,   238, -5546, -5546,  -870,
   -5546, -5546, -5546, -5546, -5546, -5546, -1336, -5170, -1441, -1418,
   -5546, -3370, -5546, -5546, -5546,  -541, -5546, -5546, -5546, -5546,
   -5546,  -865, -5546,  1013, -4149, -5546, -5546,   281, -5546, -5546,
   -5546, -5546, -5546, -1139,  -482,  2982, -5546,  -722,  -932, -5546,
   -5546, -5546,  -477, -5546, -5546, -5546, -5546, -5546,  -516, -1202,
    4817,  4190, -1102,  -128,  -837,  -568, -5546, -5546, -5546, -2714,
   -5546, -5546, -4291, -5546,  4813,  2310,  2186,    17, -5546,    41,
     103,  3628, -5546,   884, -1168, -3090,   244,  -674, -5546, -5546,
   -5546,   245, -5546, -1941, -5546, -5546, -5546, -5546, -4106,    18,
   -5546, -4394, -5184, -4590, -4116, -1299, -5546, -4492, -4481, -4081,
   -5546,  1823, -5546, -5546,  -509,  -195,  2964, -5546, -1479,  2169,
   -1423, -5546, -2583,   310,  1363,  2980, -3279,  -136,  2984, -3002,
   -5546,  -710,   952, -5546,  -559, -3777, -5546, -5546, -5546, -2832,
    -803, -5546, -5546,  1434,   175, -5546, -5546, -5546, -5546,  -641,
    2946,  -191, -5546, -5546,  4181, -5546, -4978, -5546,  4161, -5546,
   -5546, -5546, -5546, -5546, -5546, -5546, -5546, -5546, -1476,  1132,
   -5546,  -810, -5546, -5546,  1933,   520, -5546, -5546, -5546, -5546,
    1219,  -595, -5546, -5546, -5546, -5546, -5546, -5546, -5546, -1111,
   -1301, -5546, -5546, -4947, -5546, -5546, -5546, -5546, -5546,  2265,
    -962,  -750,  4067,   818,    25, -5339, -5546, -5546,  -854, -5546,
    3387, -5546, -5546, -5546, -5546, -5546,   314,   317, -5546, -5546,
   -5546, -5546, -4082, -5546, -5546, -5004, -5546, -5546,  1922, -5546,
   -5546,  1059,     6,  3095, -5546, -5546, -5546,   -26, -5546, -5546,
   -1009,  2267, -5546, -2378, -5546,  -582, -5546, -5546, -1916,    28,
   -4360, -5546,     4, -5546, -5546, -5062, -1308,   114, -5546, -5546,
   -3995,     5, -5546, -5546, -5546, -5546, -5048, -5546,    10, -5545,
     671, -3337, -5546,     1, -5546,  -614, -1003, -5546, -5546, -5546,
   -3918,    29,   137, -5546, -5546,     3,  1082,   -35,   -54,   -47,
       2,   136,  3504, -5546, -5546, -5546, -4544,  3544, -5546,    -2,
    -866,  4868,  4869, -5546,  -883,  -142,   274,  1477,  -682, -2601,
    3477,  3479, -5546,  1464,  2276, -2458, -2447, -5546, -1292,  -981,
    -812, -5546, -5546, -5546, -5546, -1847,  -680, -2606, -5546,  3478,
   -5546, -5546, -5546, -2351, -3364, -3245,  1504, -3283, -3202, -5546,
     752,   737, -1270,  -290,    -4, -1493,  -782,  1586, -5546, -5546,
    1532,  -549, -5546, -5546,  -534, -3287,   716, -5546, -4587, -2807,
    1533, -1220,  -939, -5546, -1072, -5546,  -761,  1842,  3536,  -824,
   -5546, -5546,  -777, 14643, -5546, -5546, -5546, 14856, 15226, -5546,
   -5546, 16237, 16675, -5546,  -575, 16904, 13247,  -790, -1937,  -336,
   17205, 18568, -1685,  -480,    97, -5546, -2860,  1455, -5546, -5546,
   -5546,  -498,   862,   420, -5546, -5546, -4606, -4442, -5546,  2420,
   -2136, -5546,  -771,  1606,  -768, -5546, -5546, -5546, -2730, -5504,
   -2885,  2425, -5546, -5546, -5546,  -178, -5546, 18862, -3249, -5546,
     185,  -994, -1597,  2906, -5045, -1902, -5546, -5546, -5546, -3100,
   -5546, -5546, -5546,  -793,  1628, -5546, -5546,  1754, -5546, -5546,
   -5546,  -970,  1995,  -691, -1187,  1634, -1881, -5546, -3029, -1895,
    1649, -3091, -5546, -1928,  1724,   945, -5546,  1561, -5546,  4086,
    -780,  2431,  -792, 10863,  -647, 11317, -1271, -5546,  5640, -4641,
    7453,  6757,    20,  -121,   -74,  -474,  2355,  2944, -5546, -5546,
    5065,  8677,  -581,  -988, -5546,    -6, 14399, 11855, -3657, -5546
};

/* YYDEFGOTO[NTERM-NUM].  */
static const yytype_int16 yydefgoto[] =
{
       0,    57,    58,    59,    60,  1090,  1095,  1888,  1907,    61,
      62,  1610,  3018,  2871,  3836,  3837,    63,    64,  1606,    65,
      66,    67,    68,  1520,    69,  1860,  3032,    70,  2706,   832,
     833,   834,  2571,  2572,  2963,  2573,  2561,  1372,  1806,  1542,
     806,   807,  1502,  1543,    72,    73,  1366,  2552,    74,    75,
      76,  1573,  1667,  1574,  1575,  1514,  4962,  5757,  3624,  2826,
    3884,  3625,  3626,  4303,  4304,  5280,  4332,  4394,  5771,  5772,
      77,  1683,  1684,    78,    79,  3000,  3802,  4447,  5346,  5347,
    5593,   651,  4985,  4986,  5580,  5581,  5785,  5940,  5941,  3033,
     682,  3879,  4531,  3827,  5056,  3828,  5057,  3829,  5058,  4852,
    4853,  4293,  4294,  3813,  4478,  4479,  2060,  4998,  4480,  3830,
    5017,  5628,  3831,  2726,  5359,  5257,  3067,  1979,  1977,  5525,
    5607,  4813,  4814,  4368,  5808,  5809,  5810,  6063,  5019,  5062,
    5063,  5977,  5978,  3882,  4537,  5069,  5406,  5605,  3522,    81,
    3855,  3856,    82,   745,  1882,  3983,   746,  3070,   683,   747,
    3034,    87,  3060,  5801,  3061,  1636,  2885,  4460,  3959,    88,
    1118,  4268,  5431,  5688,  5689,   736,    89,  1868,    90,    91,
    3013,  3820,    92,  2743,  3539,    93,    94,  3558,  3559,  3560,
      95,  4488,  5367,  1576,  3613,  3614,  3615,  3616,  4324,    96,
    1863,  3041,  3042,    97,    98,    99,  3172,  3173,   100,  2949,
     101,   102,   103,   104,  4362,  4919,  5033,  3655,  3843,  4504,
    5031,   105,  3806,  3035,  3088,  3917,  3918,  5429,  5680,  5681,
    5682,  5859,  6098,  5684,  5861,  5999,  5863,  5008,  6222,  6223,
    5665,  4257,  4828,   107,  5009,  5010,  5814,   108,  2741,   109,
     110,  1837,  3006,  3007,  4461,  3077,  3892,  3893,  4517,  4518,
     111,  3742,   112,  4895,  4896,   684,  5822,  5763,  5926,   113,
     114,  4899,  4900,   115,   116,   117,   118,   119,   737,  1052,
    1053,   739,  1173,  1174,  3493,  1135,   120,  2581,   121,  3782,
     122,  1248,  5122,   123,   771,  1189,  1190,  3036,   125,   781,
    3191,   783,  3156,  3157,  1995,  3963,  3964,  4605,   126,   127,
    3967,  3968,  4612,  3169,   128,  1507,  2716,  2717,  4808,  3037,
     685,  3516,  5513,  5252,  5514,  5988,  6150,  5253,  3437,  4205,
     130,   686,  1548,  2782,  1141,  1142,  3081,  3897,  2686,  2687,
    1706,  4558,  2689,  3899,  2690,  1481,  2691,  1128,  1129,  3905,
    3906,  3907,  3908,  4554,  4564,  4565,  5423,  5673,  4561,  1856,
    5417,  5418,   131,  1545,  2779,   132,   133,   134,  1589,   976,
    1151,  1152,   135,   698,   699,   136,  5598,   137,  1131,   138,
    5427,   139,   140,  1233,  1234,   798,   141,   142,  2796,  4306,
     143,  1546,   144,   145,  3649,  3650,  4911,   146,   147,   148,
    2857,  2858,   149,   150,   151,   152,   153,  6088,  6153,  6154,
    6155,  4572,  5993,   154,  1221,   155,   156,   157,   158,   196,
    1017,  1018,  1019,   929,  3038,  5408,   160,   161,  1503,  1504,
    1505,  1506,  2711,   162,   163,   164,  3927,  3928,   165,   166,
     167,   168,  1840,   169,   170,  5571,   171,   172,  1810,   173,
     174,  1026,  1027,  1028,  1029,  1808,  3383,   645,   851,  1397,
    1403,  1446,  1447,  1448,   176,   749,   177,  1224,  1057,   750,
    1182,   179,   751,  2668,  3467,  4220,  4221,  4222,  4225,  5236,
    4785,   752,  3463,   182,  2002,  3178,  3181,  3459,   753,  3473,
    3474,  3475,  4229,   754,  5517,  5518,  5906,  6122,  6123,  6175,
    6209,   755,   773,  1121,  3092,   756,  1331,   188,   189,   190,
     909,   854,   855,  3388,  5474,  5708,   192,  2545,  3366,   790,
    1452,   897,   898,   899,   918,  2973,  2634,  2635,  2659,  2660,
    1461,  1462,  2647,  2651,  2652,  3450,  3443,  2640,  4199,  5498,
    5499,  5500,  5501,  5502,  5503,  4774,  2655,  2656,  1464,  1465,
    1466,  2664,   193,  2624,  3417,  3418,  3419,  4176,  4177,  6026,
    4191,  4187,  4759,  5213,  3420,   843,  1219,  1473,  4767,  6028,
    3421,  5202,  5203,  5478,  4195,  3429,  4216,  3867,  3868,  3869,
    3422,  5716,  5717,  6023,  6024,  5480,  5481,  2692,  1426,   882,
    1332,   883,  1439,  1333,  1413,   885,  1334,  1335,  1336,   888,
    1337,  1338,  1339,   891,  1405,  1340,  1341,  1422,  1435,  1436,
    1342,  1398,  5482,  1344,  1345,  1346,  3424,  1347,  4705,  5175,
    5161,  3288,  3289,  2568,  5464,  4701,  4091,  4695,  2538,  2542,
    5225,  5505,  5506,  3359,  4140,  4732,  5192,  5704,  5876,  5877,
    6009,  1348,  1349,  1350,  3351,  2532,   979,  1351,  4463,  2534,
    3279,  3257,  1709,  3258,  2005,  2027,  3210,  3226,  3227,  3327,
    3259,  3267,  3272,  3280,  3313,  1352,  3212,  3213,  4005,  2029,
    1353,  1023,  1712,  1024,  1441,  3308,  3232,  4016,  4017,  3237,
    3328,  4020,  3244,  3245,  4037,  4027,  3238,  1354,  4029,  1362,
    1363,  1356,  1996,   844,  5209,  1177,  1793,   787,  1357,  1358,
    1359,  1360,  1582,   950,  1144,  1145,   900,   902,   903,  2628,
     641,   633,   952,  3617,  2535,   642,   635,   636,  1798,  2536
};

/* YYTABLE[YYPACT[STATE-NUM]] -- What to do in state STATE-NUM.  If
   positive, shift that token.  If negative, reduce the rule whose
   number is the opposite.  If YYTABLE_NINF, syntax error.  */
static const yytype_int16 yytable[] =
{
     634,   184,   191,   186,   180,   181,   175,    80,    83,    84,
     183,   942,  1805,    71,    85,    86,   106,   124,   129,   983,
     977,   908,   988,   191,  1084,   159,  1708,   748,   178,   185,
    1367,  1635,  2898,   978,  1794,  1210,  1211,  1212,  1467,  1355,
     842,  1216,   775,   846,  1922,   896,  2725,   919,   775,  1453,
    1688,  1455,  1418,  3521,  1799,  1640,  1700,  2688,  1438,  3460,
    2791,   930,  1122,  1030,  1394,  3461,  1976,  2024,  2783,  1216,
     932,   934,  3826,  2016,   937,  2820,  3193,   810,  3055,  1381,
    3909,  3707,  4150,  2803,  4152,  4516,  1865,  1409,  1410,  1424,
    3184,  1176,  2792,  4369,   995,   986,  1486,  1417,  4214,  1183,
    4274,  1005,  3985,   630,  3486,  3488,  2967,  2859,  2859,  1008,
    1838,  2859,  3848,  2008,  1843,  3247,  1124,  2010,  4542,  1847,
    2011,  2012,  4776,  3209,  2688,  4319,   782,  4321,  3739,  1857,
    1051,  4529,  4567,   951,  4815,  4228,  5047,   921,  4190,   811,
    4810,  3297,   987,  1877,   922,   639,  5206,  3243,  1577,   913,
    3122,  5076,   690,  1634,  1393,  4465,  1009,  2774,  3074,  3236,
    3239,  1184,  1666,  1030,  3249,  1167,  2620,   232,  5055,  5511,
    4173,  5016,  1693,  1599,  1911,  2928,  2929,  5065,  1616,  5410,
    4879,  5218,  5530,  5220,  3857,  5403,   857,  4203,  2924,   805,
    1374,   634,  3452,  3845,  3369,  5611,   839,  1581,  3371,   831,
     634,   953,  5371,  4234,  3381,  3455,  4022,  5608,   634,  1155,
     953,   634,  1159,  5064,  4295,  2956,  1030,  2774,  4188,  1850,
    4193,  1001,  5650,  4119,   953,  4227,  5539,  5254,  5399,  5663,
    4791,  4526,  1544, -1955,  2774,  1874,  1460,  4122,  1463, -2387,
    5836, -2496,  1873, -2352,  1124,   696,  1157, -2537, -2387, -2387,
    5402,  3431,  5166,  1549,   757,  4055, -2562, -1947, -2600,  5251,
    1170,  1904,  1904, -2420,  4552,  2579,  3816,  1807,  3785,  1030,
    3788,  3789,  5563,  1544,   757,  3793,  3794,  3795,  1544,  3797,
    3798,  3799,  3189, -1914,  1242,  4024,  4034,  1406,  1407, -1927,
    3766, -1952,  1191,  1904,  1013,  5824, -2388, -2213,  1416, -2778,
   -2500,  6205, -1972, -1942, -2213, -2388, -2388,  2718, -2778, -2778,
    3306,   757,   696,   696, -2351,   696,   649,   696,  2754, -1955,
    1830,  3167,   928,  5573,  5574,  2935,  2719,  4481,  2000,  1195,
    3620,  1030,  5124,  5125,  5126,  2081,  5128,  5129,  5130,  5131,
    5132,  3306,  1393,  3987,  1835,  3167,  2794,   696,  4609,   914,
    2794,  2938,  1854,  2794,  2558,  1013,  1578,   696,  1371,  6032,
    3052,  2859,   757,  5762,  2922,  -150,  2998,  2585,  6002,  3264,
    3973,  -150,  3219,  1578,  5599,   696,  2623,  3817,  4034,   757,
    2733,  4275,   696,  4892,  5425,  2720,  3621,  1904,  2625,  4513,
    5639,  3630,  3064,  3490,  1904,  3729,  1014,  5077,  1904,  5653,
    2587,   757,  5234,  5696,   757,  2721,  3085,  5026,  3304, -1766,
    5052,  4209,  3401, -2560,  5654,   763,  5701,   915,  3065,  1700,
    5001,   763,  3016,  1799,  5006,  1697,  6004,  5797,  5983,  3086,
     763,  1456,   763,  3021,  3730,  1904,  5053,   763,  1904,   764,
    2631,    40,  1852,  5538,  2769,   764,  5540,  1516,  1124,  1794,
    3354,  5724,  3030,  1516,   764,  1015,   764,  1014,  3457,  3348,
    6173,   764,  1590,  1456,  4287,  1214,  3349,  5278,  2794,  3731,
    2559,  2627,  1855,  5838,   763,  2081,  5857,  5705,    44,  4388,
    2081,  3185,  4392,  3220,  3402, -2232,  2907,   978,  4610,  2566,
    5971,  3733, -2232,  6206,  3622,  1409,  1410,  2794,   764,  3678,
    5759,   849,  5027,   916,   785,  5761,  4893,  2585,  2795,  5279,
    5765,  5766,  2585,  1016,  1458,  2908,  1015,  2722,  1111,  3662,
      48,  1424,  5651,  1417,  5858,  1065,  3734,  1068,  2580,  4055,
    1070,  4393,  2567,  2731,  3031,  4453,  1591,   978,  6174,  4288,
    2587,  2770,  1078,  2734,  1096,  2587,  1458,  5706,  1088,  2941,
    1100,  4025,  4035,  3053,  3022,  1215,  1905,  1905,   696,  3221,
    1102,  1517,  2794,  1459,  2804,  2723,  3458,  1517,  4055,   870,
    5702,  1920,  6080,  5262,  1016,  1920,    56,  3818,  2038,  1799,
    3678,  5798,  5007, -1766,  6005,  4210,  5002,  3305,  1905,  1079,
    5910,  5028,  2794,  3087,  2794,  1079,  3355,  1836,  6162,  2560,
    1432,  5703,  5655,  2794,  1698,  1960,  3491,  1079,  3974,  3492,
    3631,   697,  2021,  4894,  4108,  3066,  5697,  2562,  5796,  3017,
    5235,  2999,  2574,  2574,  4611,  3167,  3167,  6203,  2901,  1215,
    1380,  3222,  5492,  5054,  3223,  2735,  3168,  5601,   953,  5426,
    2075,  6207,  4482,  4275,  4035,   917,  2708,  4003,  3767,  2001,
    4553,  1061,   191,  1062,  1058,  1059,  1855,   953,  5982,  1920,
    1060,  2622,  6140,   953,  3623, -2213,  1124,  3819, -2560,   961,
    2548,  2893,  4465,  -441,  2896,   953,   962,   963,   964,  1930,
    3307,  2724,  1905,  1920,  2759,  1836,  1406,  1407,  1215,  1905,
    2001,   953,  1699,  1905,  1021,  2955,   634,  6208,  1022,  3562,
    4914,   896,  2923,  2903,  2821,   634,   953,  2965,  2966,   908,
    1588,  4126,   634,  1404,   953,   634,  1245,  1906,  1913,  1836,
    1416,  4230,  1187,  1419,  1420,  5457,  5025,   896,   953,  3054,
    1905,  6139,  6183,  1905,  4514,  4514,  2936,  2964,   953,  2865,
    1997,  2556,  1421,   691, -2560,   191,  2837,  3224, -2387,  1917,
    1021,  2007, -2352,  4070,  1022,  2598, -2560,  3398,  5029, -2496,
    6042,  6043,  2939,  2761,  5831, -2537, -1947,  5073,  2017,   769,
     770,  5937,  6211,  2768, -2562,  2838, -2600,   650,  1188,  1468,
    1193, -2420,  1197,  4026,  4036,  2665,  1218,  2666,  1201,  2916,
    2917,   953,  1408,  4921,  6072,  1124,  5072,  2882,  1412,  4925,
   -1952,  5240,  6082,  1124,  1124, -2388,   769,   770, -2778,  1419,
    1420,  2039, -1942,   634,   634,  1518,  5834,  4389, -2500,   953,
    3205,  2077,  2546, -2351,  3374,  2972,  6227,  3350,  1423,  5030,
    1508,  6101,  1608,  2531,  3140,  2778,  5441,  1586,  1587,  2603,
    2604,   850,  1218,  1928,   953,  1817,   634,  3124,  3008,  1822,
    1950,  1823,  1821, -2232,  1953,   921,  1609,  1579,  1580,  3225,
    2883,  1116,   922,  2886,  2887,   978,  -150,  -150,  4109,  6044,
     896,  2732,  4383,  4384,  1579,  1580,  1836,  4385,  2626,  1519,
    3150,  2821,  4819,  6048,  4821,  4190,  1021,  2805,  2778,  4465,
    1022,  1920,  3165,   634,  4604,  6142,   769,   770,  1812,   769,
     770,  2806,  4236,  2807,  4237,  2778,   953,  5263,  1814,  1204,
    3174,  3638,   184,   191,   186,   180,   181,   175,    80,    83,
      84,   183,  1472,  1826,    71,    85,    86,   106,   124,   129,
    4507,  2942,  1490,  5743,  4756,  2822,   159,  1523,  4760,   178,
     185,  4426,  5981,  4838,  1509,  4659,  4656,  4657,  1501,  4526,
    4110,  2846,  4884,  5975,  1848,  1849,  4445,  4446,  4201,  4800,
    2943,  5602,  6182,  4607,  4604,  4747,  2808,  4749,  2526,  2527,
    2528,  2529,  2530,  2531,  3211,  2528,  2529,  2530,  2531,  2654,
    1886,  1370,  1383,  3452,  3009,  1378,  3151,   940,  3533,  1400,
    3026,  1428,  4643,  4987,  1074,  4208,  1600,  6130,  4562,  5638,
    4984,  3553,  5963,  2821,  2753,  4157,  2862,  6145,  6146,  2866,
    1243,  1138,  4505,  4347,   634,   634,  1795,  1904,  5974,  1491,
    1924,  1926,   696,   953,  4067,  4068,  4069,  4070,   634,  4717,
   -1765,  4024, -2348,   896,   634,  4111,   692,  1399,   634,  3175,
     634,  1475,  3913,  3064,   896,  2821,  6090,  6236,  3242,  5747,
    1428,  5991,  1672,  2543,  2627,  2895,  2986,  1206,  4617,   916,
     896,  4065,  4066,  4067,  4068,  4069,  4070,  1429,  5954,  3065,
    5686,  1253,  1492,  5644,  4055,  2059,  4440,  4270, -2905, -2905,
   -2905,  4988,   187,  4670,   916,  4671,  3670,  3333,  4297,  6081,
     923,  6119,  3553,  3554,  6073,  1673,   693,  2844,  5562,  4897,
    1869,  2823,  6120,   187,   634,  1799,   634,   634,  4912,  6103,
    1601,  3653,  2822,  6213,  3303,  3977,   923,  3170,  1510,  1228,
    5096,  5014,  4231,   696,  5884,  3434,  1429,  4348,  1939,  1887,
    2824,  3914,  5323,  4815,  2821,   694,  5462,   695,   907,  1430,
    6090,  3068,  1431,  1870,  6231,  5546,  2550,   953,  3515,  5041,
    3975,   805,  1658,  2821,  3520,  2825,  5324,  1511,   696,  5052,
    2821,  4945,   967,   968,   969,   970,   971,   972,   973,   974,
     975,  1940,  1677,  3671,  1253,   634,  1529,  4055,  1678,   924,
    1493,  4056,  4057,  4058,  3554,  5053,  6147,  4779,  3654,   191,
    6104,  1021,  1512,  6263,  6059,  1022,  2819,  3978,  1430,  3162,
    3163,  1431,  4298,  5657, -1765,   924,  4395,  -700,   953,  1229,
   -1088,  5658,  5463,  3171,  3804,  3435,  4253,   896,  2551,   953,
    1030,   646,  4898,  6019,  4618,  1209,   925,  3672,  3334,  4462,
    1920,  4672,  2925,  3335,  2822,  5992,   953,  1384,  2845,  3520,
    1207,   953,  2707,  1490,  6090,  5820,  6181,  4051,  1021,  5687,
    3737,  1476,  1022,   634,  5828,  1432,  3176,  6188,  3152,  3025,
    5817,  1513,  1253,  4495,  3485,  4055,  5383,  5913,  5845,  4056,
    4057,  4058,  3557,   920,  5389,  2971,  2822,  3177,  2823,  3336,
    1674,  3563,  5830,  1896,  1602,  6105,  1679,  4710,  3673,  6212,
    5833,   634,   941,  5401,  3581,   908,  5816,  4025,  3846,  1075,
    3769,  4349,  3723,  3781,  5866,  3126,  4563,  2824,  3724,  5420,
    5395,  3534,  1905,  1385,  1432,  2718,  1139,  6234,  5015,  4559,
     634,   634,   634,  1603,   634,  1239,  5832,  1962,  1871,  1964,
    1491,  1966,  2825,  1968,  3149,  1970,  1971,  1972,  3154,  6020,
    4350,  6246,  1974,  3161,  3099,   634,  3164,  4946,  4271,  1498,
    3410,  1499,  3281,  2544,  4040,  3915,  1941,  4568,  1604,  3639,
    4061,  4780,  4059,  3557,  1566,  2822,  1957,  1433,  2821,  3916,
     953,  2583,  2821,  2819,  3776,  4351,  3120,  3133,   953,   953,
    1230,  2075,  5969,  1492,  2822,  4060,  1675,  5659,  3976,  2821,
    4816,  2822,  1434,  2720,  2821,  5955,  2957,  2774,  2632,  2633,
    2823,  2637,   634,  3674,  4373,   922,   922,  3101,   922,  6060,
    6110,  3255,  2775,  2721,   978,  5741,  3725,   926,  6121,  4299,
    4300,  1231,  3114,  1232,  3404,  3116,  1433,  3337,  3805,  2824,
    5325,  1795,  5965,  6106,  1872,   742,  2915,  2814,  4155,  5121,
    5735,  5246,  2823,   926,  4496,  3103,  4569,  5804,   634,  6095,
    4301,  2638,   634,   634,  2825,    15,  2081,  5239,  2898,  3115,
    1680,  6255,  1942,  4061,   194,  1472,  1056,  1472,   634,  2944,
    5207,  2824,  3121,  4060,   896,  3153,   696,  4777,  1897,  3159,
    3160,  6135,  5364,  2888,  5758,  3564,  2641,  6078,  6079,  6061,
      20,  1493,  1898,  5163,  1800,  2819,  2825,  1801,   789,  1681,
    3282,  5923,  6021,  5787,  3640,  5789,  3204,  6022,   195,  5793,
    5794,  4381,  5210,  3553,  2904,  2074, -1914,  5214,  6062,  2737,
    5216,  2587,   662,  6014,  2712,  2722,  6199,  3675,  5368,  2738,
    3144,  2823,  2642,  2727,  1682,  3676,  2713,  2819,  3677,  3464,
    1432,   896,  4824,  6095,  2930,  2931,  2932,  2933,  1899,  4778,
    2823,  4061,  3370,  1494,  2714,  3507,  5086,  2823,  1180,  2639,
    2824,  2728,  3241,  3241, -2905, -2905, -2905,  4065,  4066,  4067,
    4068,  4069,  4070,  2723,  3265,  5924,  4052,  4053,  1799,  2824,
    3566,  4072,   896,  3286,  6071,  2825,  2824,  6242,  1495,  5805,
    3726,   664,  1496,  2601,  2643,  6165,    35,  5545, -1914,  2822,
    5365,  3898,  3875,  2822,  2825,  3554,  5164,   662,  5736,  6207,
    2945,  2825,  2950,  4570,  1836,   896,  1920,  2641,  5903,  1501,
    2822,  6166,  4103,  4104,  1501,  2822,  2819,  1497,  4825,  3727,
     795,  2889,  1246,  1794,  5652,  2890,  1013,  4465,  4386,  4999,
    3555,  5577,   817,  3508,  2644,  2819,  5643,  6095,  5259,  6136,
    1900,  6184,  2819,  2688,  3857,  3142,  2919,  2688,  1605,  2674,
    1498,  5256,  1499,  2642,  3728,  5806,  5912,  4062,  4063,  4064,
    4065,  4066,  4067,  4068,  4069,  4070,   664,  3567,  1566,  3556,
     953,   647,  6138,  5043,  4571,    32,  -615,  -466,  3145,  2724,
    1637,  2987,  2988,  4882,  3505,   634,   634,   634,  1501,  4826,
    2739,  1253,  1501,  4827,  4055,  2645,  3142,  3005,  4056,  4057,
    4058,  5000,  1500,  4387,  5046,  3598,  1901,    40,  2715,  4391,
    5260,  3146,  3102,  4428,  2729,  4978,  4711,  3142,  3753,  1638,
    4982,  3465,   187,  1450,  1678,  3147,  5572,  3112,  1014,  2740,
    4840,  3048,  3049,  3050,  3051,  4886,  4462,   818,  1110,   978,
     978,  6180,  3428,  3142,    44,  4062,  4063,  4064,  4065,  4066,
    4067,  4068,  4069,  4070,   675,  2823,   676,  2728,  4883,  2823,
    3095,  3148,  3600,  2852,  4910,  2644,  1376,  5996,  3599,   796,
    4218,   763, -1914,   194,  3557,  3029,  2823,   813,  5997,   797,
    2876,  2823,  1851,  3046,  2824,   953,    48,  1015,  2824,  2554,
      40,  2950,  4230,  1186,  4856,   764,  5005,   896,  -466,    49,
     643,  1111, -2371,  5618,  1902,  2824,  -173,  4219,   896,  2825,
    2824,  5998,  3125,  2825,  4802,   187,   907,   195,  3129,    40,
    1795,  3627,  6040,    50,   896,  3601,  2645,    44,  1451,  4857,
    2825,  1639,  3754,  1384,  1668,  2825,  3104,  -173,  1076,   675,
    1077,   676,    56,   953,  5569,  1016,  1227,  3651,  5823,  1418,
    2819,   953,   644,  2869,  2819,   643,    44,  5619,  2872,   953,
    5620,  3456,  3670,  2950,   978,  4180,  5621,   680,  5570,    48,
    5372,  2819,  5837,  1669,  1618,  1103,  2819,  1670,   896,   194,
    5204,  2794,    49,   881,  5790,  3832,  1112,   634,   816,  5791,
     634,  1953,  2802,   896,  5622,  1477,   896,   896,    48,  1395,
     634,   634,  4060,   953,   953,  5844,    50,   912,  1671,  1385,
    3689,    49,  1104,  1619,  2799,   634,  2800,   953,   634,  5373,
    4858,  1239,  1608,   195,  2081,  3466,  2811,   896,   896,  4300,
     953,   953,  2947,  5737,  1478,    50,  2953,  5350,  3579,  3506,
    5792,  4181,  1608,  4181,  4180,  5390,  1609,  3651,  1105,  3671,
     840,   191,  5623,  4462,    56,  2958,  2585,  6149,  5738,  4870,
    5488,  1445,  2812,  5685,  1855,  5624,  1609,  1875,   634,  1479,
    1456,  5351,   634,   634, -1914,  4182,  1457,  4182,  5625,  2801,
    4061,   920, -1914,   187,  1408, -1914,  1437,  3179, -1914,  2587,
    4183,  1876,  4762,  3931,  2959,  3235,  1106,  1061,   191,  1062,
    1058,  1059,  3309,  3672,   852,  4803,  1060,   634,  4184,   634,
    4184,  1953,  4804,  3814,   634,   634,  4608,   910,  5439,  4805,
    4181,   634,   634,   634,   634,   634,   634,   634,   634,   634,
     634,  4466,  3688,   634,  4620,   634,  4185,   634,   634,   634,
     634,   634,   634,  1103,  1113,   634,  3190,   634,   634,  2688,
    5282,   634,  5973,  1458,  4182,  4806,  3732,  3833,  5288,  2688,
    5370,  6215,  5990,  5211,  3673,   896,   634,   634,   634,  4183,
    3713,  5569,  3770,  3771,  3772,  5972,  2898,  4807,  4469,  1621,
    1104,  1114,  4996,   911,   634,  4286,  1795,  4184,  3134,  4632,
    3135,  4603,  3136,  1487,  3137,  5570,  3138,  4099,  4655,  5394,
    3139,  1622,  1459,   997,  2830,  3760,  3663,  5381,  3664,  4997,
     757,  3194,  3735,  3690,  3738,  4185,  4508,  4644,  1953,  5815,
    1124,  3693,  4648,  2888,  3696,    35,  3027,  5674,  3925,  4186,
    1646,  4186,  1488,  1947,   998,  4647,  4590,  4471,  4604,  4651,
    4652,  2688,  1115,  5520,  1116,  5522,  3057,  3736,  1117, -1736,
    3444,   927,  1623,  4180,  4329, -1736,  2868,  1948,  1608,  2859,
    3665,  5360,  3776,  5362,  1106,  1643,  4330,  1489,  4435,  3857,
    3969,  4964,    40,  3861,  3862,  3863,  3864,  5626,  3866,  3674,
    5627,  2811,  1609,  3386,  4062,  4063,  4064,  4065,  4066,  4067,
    4068,  4069,  4070,  2831,  4965,  1647,  6074,   928,  3206,   757,
    3208,  -150,  4947,  3894,  1644,  2960,  3215,  3387,  4186,    44,
    1482,  5569,  3229,  3230,  5678,   936,    29,  2812,  2961,  5212,
    5865,  3250,  3999,  3834,   938,  4390,  4948,  2596,   634,  4181,
    3269,  1959, -1736,  4745,  1801,  5570,  3284,  1648,  5679,  1645,
    5231,  5354,  1624,   959,  1649,  1483,  4474,  1650,  2962,  1484,
     960,    48,  3704,  5341,  3705,  5342,  5343,  5344,  3709,   187,
     233,  1611,  6167,  4182,    49,  5827,   648,  4344,  3403,  3405,
    3406,  2889,  4427,  3835,   740,  2890,  4466,   634,  4183,  4233,
    1685, -1736,  4467,  1689,  1485,  5848,  6168,  4089,    50,  4475,
    6086,    29,   814,  4096,  6141,  4468,  4184,  5795,  1012,  6151,
    1625,  3576,  1020,  3675,  1626,  4476,  4345,    56,  4824,    40,
    4206,  3676,    40, -1689,  3677,  6253,   757,  6256,  3887,  2897,
    1003,    40,   772,  4469,  4185,  4470, -1689,  2026,   772,  6038,
     634,  4000, -1689,  1064,     3,     4,  4001,  6267,  1419,  1420,
    4575,  4346,  1080, -2344,  1081,  4576,    44,  2035,  1021,    44,
    1209,  4792,  1022,  1628,  5080,  5989,  1066,  1421,    44,  4576,
    1085,  4666,  4667,  4668,  4669,  4816,  1099,  4673,  4674,  4675,
    4676,  4677,  4678,  4679,  4680,  4681,  4682,  3849,  4538,  4816,
    1071, -1689,  4471,  3958,  1419,  1420,  2009,    40,    48,  1801,
    4240,    48,  -614,  2582,  4825,  1408,  1801,  2621,  1630,   742,
      48,    49,  2072,  1423,    49,  4477,  1021,  1598, -2352, -1689,
    1022,  4472,  1615,    49,  1914,  1109,  4799,  4186,  1651,    15,
    1918,  1408,  1631,  2621,    44,    50,  1414,  1415,    50,  6235,
    1929,  4721,  4722,  1408,  1932,  1437,  5902,    50,  1935,  2025,
    1937,    56,  1633,  1408,    56,  2621,  1945,    56, -1426,  3309,
   -1426,  1107,  1951,  1652,    20,  1954,    56,  1653, -1689,  3318,
    3319,  3320,  3321, -2345,  1126,  4826,    48, -1689,  1021,  4827,
    1209,  4081,  1022,  4083,  4084,  3290,  1108,  4151,  3293,    49,
    2595,  1253, -1113,  2596,  4055,  3090,  4473,  3091,  4056,  4057,
    4058,  4474,  1654,  2629,  3130,  3957,  1801,  2596,  3141,  1655,
    1146,  3142,  3143,    50,  1130,  3142,  5181,   634,   634,   634,
     634,   634,   634,   634,   634,   634,  3182,   634,  3385,  3183,
    2080,  1953,  6087,  2081,   920,   920,  3390,   920,   634,  2596,
     634,  1137,  3477,  2075,  4475,  2596,  1153,  3573,  3645,  1136,
    3574,  3646,  3543,  4816,  3547,  3548,  3810,  3546,  3949,  3811,
    4476,  3142,  4018,  3998,  4019,  2585,  2596,  6056,  4007,  1147,
     978,  2596, -2905,  4013,  4014,  1136,  2596,  2596,   634,  1164,
     662,  4032,   634,  1171,  3769,   634,  1181,   634,  4041,  3382,
     634,  2596,  4074,  4088,   634,  2596,  2596,  4093,  2587,  4535,
    4094,  4536,  3478,  4396, -1086,  4162,  4163,  4160,  3540,  4322,
    2596,  4989,  4323,  4990,  2574,  1795,  5204,   634,  4327, -1689,
    3494,  4328,  4276,  4153,  3497,  3551,  5579,  4355,  3500,  4424,
    4356,   757,  4356,  4547,   634,  4550,  4548,  4581,  4551,  4691,
    4582,  1208,  4692,   634,   634,   643,  4235,  4702,  4305,   664,
    4703,  4713,  4787,  1209,  2596,  4788,  3526,  1621,  5583,    32,
    4477,  2969,  2970,  3575,  5113,  5849,  4793,  4105,  6126,  4794,
     953,  3468,  6128,  6129,  4142,  4798,  4143,   896,  3492,  1622,
    5120,   896,   896,  5049,  5115,  1213,  3142,  2001,   953,  4124,
    3568,    40,   953,  5745,  5151,  1799,   953,  2596,  4869,  4144,
    1220,  4145,  4060,   666,  5584,   953,  5188,     3,     4,  2596,
    1079,  4462,  5242, -2905,  1217,  3492,  2622,  1225, -2905,  5154,
    3423,  5155,  4279,  6190,   953,  6191,  5048,   634,    44,  5585,
    1623,  4524,  5248,  1226,  5255,  5249,  4196,  3142,   634,  1223,
     896,   634,  3618,   634,   634,  6118,   896,  5586,  1236,  3669,
    5396,  5587,  3561,  5397,  3509,  5143,  3512,  6176,   953,  3453,
    3454,  5146,  5147,  3691, -2905,  5433,  3694,  1237,  4582,  3647,
      48, -1760, -1760,  5588,   743,  3656,  1238,  5589,   953,   953,
    4061,  3265,  3265,    49,  4995,  3389,  3265,   896,  5454,  3666,
    5456,  5455,  5590,  2596,  1239,  1124,  1079,  4848,  4339,  3679,
    5475,  4839,  1241,  5476,  4859,  3684,  4866,    50,  5485,  1795,
     953,  1953,  1240,  1795,  5491,  2688,  4619,  4521,  6036,  2592,
    1624,  1247,   675,  3008,   676,  3697,   744,  3265,  3265,  5493,
    3757,  3700,  4521,  5666,  1442, -1113, -1677,   953,  3706,  1795,
    1419,  1420,  5613,   953,  4511,  5614,  5633,   679,  1249,  3142,
    1851,  3660,  3721, -1764, -1764,  3787,  4483,   953,  4741,  5667,
    4743,  4885,  5668,  4244,   953,  1379,  3747,   953,  3800,  5713,
   -1763, -1763,  5714,   953,  4816,  1382,  3809,  1079,  1625,  1386,
    5719,  1816,  1626,  1953,  5722,  5733,  5780,  4521,  5734,  5781,
    1387,  5591,  1825,   953,  5197,  5819,  5199,  2897,  2553,   953,
    1388,  6216,  5846,  4263,  1392,  5734,   953,  5730,  1833,  5750,
    5751,  3314, -2905,  3315,  4761,  3853,  4764,  4364,  5915,  5916,
     953,  5869,  4370,  5870,  4094,  1396,  2596,  5888,  3703,  5892,
    5889,  1628,  1953,  1401,   953,  5893,  3877,  3316,  2596,  1795,
    5922, -1688,  5592,  3183,  4454,   953,  1192,  1194,  1196,   914,
    1402,  1198,  1199,  1200, -1688,  5928,  1408,  1124,  3183,  6257,
   -1688,  1205, -1737,   634,   634,   634,  1404,  5929, -1737,   634,
    3183,  5932,  5878,  5879,  2596,  5979,  1630,  5933,  1411,  3932,
    2596,  3934, -1689,  1412,  4062,  4063,  4064,  4065,  4066,  4067,
    4068,  4069,  4070,  6010,  6011, -1689,   634,   896,   905,   906,
    1631, -1689,  3317,  1425,  3991,  1795,  3993,  3994,  5934, -1688,
    5961,  5935,  6015,  5962, -2905,  4521,  6029,   915,  6031,  2596,
    1633,  2596,  6037,  1427,  5394,  3142,  2526,  2527,  2528,  2529,
    2530,  2531,  6052,  4241,  4242,  6053,  4789, -1688,   634,  6076,
    5066,   187,  6077,  6117,  6148, -1737,  5727,  5734,  1442,  1443,
   -1689,  3318,  3319,  3320,  3321,  2667,  1454,  2670,  3322,  3323,
    3988,  5471,  1469,  5472,  3324,  2004,  3876,  1470,  5059,  3989,
     896,  1471,  3898,  1474,   896,  1480,  3996,  6186, -1689,  6210,
    6187,  6229,  2596,  1437,  5889,  1521, -1688,  6239,   187,  1547,
    6240, -2389,  3965,  6245, -1737, -1688,  4788,  6254,  4501,  6266,
    2596,  1550,  6240,   916,  4697,  1552,  1553,  1588,  1592,  1593,
    4818,  3981,  4820,  1594,  1605,  4823,  1607,  1617,  3965,  1620,
    1659,  1642,  3234,  1660,  5900,  1676,  4816, -1689,  2688,  2627,
    1686,  1687,  1690,  1695,  1696,  1809, -1689,  1811,  1813,  1824,
    1818,  3423,  3283,  1829,  1832,  1834,  1839,  1842,  1844,  1836,
    1853,  1858,   978,  1859,  -137,  1861,  1862,  4112,  1864,  4113,
     953,  1866,  1795,  1867,  1878,  1887,  1885,  1890,  1894,   213,
    1903,  1908,  1909,  1910,  1912,  1916,  1919,   896,  1915,   953,
    4360,  1920,  4484,  4114,  4486,  1927,   953,  1931,  1933,  4613,
     634,  1700,   896,   634,  1934,   634,   634,   896,  1936,  1938,
    1253,  1944,  4376,  4055,  1943,   634,  1946,  4056,  4057,  4058,
     634,  3106,  4515,  3325,  1949,  1952,  1955,  5979,  1956,  3113,
    1958,  1975,  2006,  4816,  3326,  5182,  1799,   896,   908,  2013,
    4626,  2015,  1253,  2018,  2022,  4055,  1124, -1688,  1124,  4056,
    4057,  4058,  2023, -1918,  1253,   917, -1925,  4055,  3317,  2030,
    2031,  4056,  4057,  4058,  2032,   634,   634,   634,  4202,  2033,
     634,  2034,    56,  2627, -1915,  2036,  4556,  4869,   634,   634,
     634,   634,  5715,  2037,  2038, -1916,   908,  2040, -1689,  1795,
    2041,  2042,  2043,  2080,   634,  1795,  2081,   634,  2044,   634,
    2045,  2046, -1919,  2047, -1917,  2048,  2049,  3318,  3319,  3320,
    3321,   634,   634,  2051,  4115,   634,  2052,  2059,  2053,  4598,
    4116,  2054,  2055,  2056,  2057,  2537,  2058,  6084,  2585,  2061,
    1124,  2062,  2063,  2064,  2065, -2905,   634,  4816,   634,  2066,
     634,  3312,  2067,  2068,  2539,  2541,  2543,  2557,  2544,  2577,
    3627,  4860,  4880,  2553,  2569,  2599,  1021,  2600,  2605,   634,
    1022,  2587,  2607,  5275,  2608,  2614,  2611,  2612,  4494,  2615,
    4497,  4147,  4148,  4149,  1253,  2616,  2617,  4055,  3651,  2618,
     953,  4056,  4057,  4058,  1961,  2623,  2630,  1963,  1457,  1965,
     908,  1967,  1459,  1969,  2661,  2663,  2673,  1973,  2675,  2676,
    2677,  2621,  2694,  2695,  2701,  2703,  2710,  2696,  2678,  2698,
    2697,  2699,  2700,  2702,  2704,  2730,   634,  2756,  2736,   634,
    2760,  4060,  2742,  2763,  2762,  2767,  4265,  4266,  2764,  2766,
    4123,  2780,   634,  2784,  2786,  2785,  2798,   634,  2797,  2813,
    2842,   908,  4835,  5093,  2815,  2809,  2816,  2817,  2818,  2819,
    2827,  2829,   634,  4060,  2832,  2834,  2833,  2828,  4054,  2839,
    2853,  2840,  2867,  2877,  2884,  4060,   634,  2891,  2622,  4117,
    4082,  4261, -2674,  2894,   634,  1566, -2905,  2909,  5448,  2911,
    4118, -2905,  2843,  2913,  2920,  2849,   896,  2850, -1689,   896,
    2863,   896,  2864,  2870,  2873,  2874,   896,  4970,  4983,  4061,
    2937, -1689,  2921,  2879,  2983,  2968,  4106, -1689,  5691,  2880,
    2918,   953,   953,  2892,  2899,  2900,  2905,   634,  2906,  3423,
    2912,  2914,  3423,  4621,  6214,  2975,  2926, -2905,  2927,  2940,
    2946,  4061,  2980,  2951,  2982,  2984,  2985,  2989,  2996,   953,
    2990,  2991,   953,  4061,  2993,   896,  2994,  3001,  2997,  2995,
    4137,  3003,  3002,   896,  3004,  3012, -1689,  3011,  3015,   657,
    3020,  3028,  4975,  3039,  3043,  1639,  3241,  3044,  3056,  3423,
   -2674,  4335,  3059,  3047,  3062,  3063,  3083,  3423,   896,  3072,
    3089,  3093,  2592,  3076, -1689, -2905,  3265,  3265,  3265,  3265,
    3105,  3107,  3265,  3265,  3265,  3265,  3265,  3265,  3265,  3265,
    3265,  3265,  3108,  3109,  3110,  4909,  3123,  3166,  3080,  3098,
    3216,  3211,  3192,  3285,  1795,  1795,  1795,  3180,  3291,  2080,
    4694, -2674,  2081,  3155,  2081,  3311,  2082,  2083,  2084,  3969,
    3295,  3332,  3330, -1689, -2674,  3373,  3357,  3352,  3378,   953,
   -2674,  3376, -1689,  3358,  4202,  3377, -2674,  3379,   896,  3391,
     896,  3395, -2674,  3393,  2585, -2674,  3265,  3265,   953, -2674,
    3394,  2586,  1432,  4061,  3396,  2981,  3392,  3408,  4438,  3433,
    3400,  3409,  5416,  3446,   915, -2905,  2992,  3428,  3445,  3447,
     953,  3312,  3448,  3462,  3469,  3481,  3470,  2587,  3482, -2674,
    3515,  3484,  3010,  3501,  1621,  3513,  3517,  3519,  3535,  3518,
    4430,  4752,  3525,  4062,  4063,  4064,  4065,  4066,  4067,  4068,
    4069,  4070,  3510,  3530,  3536,  3416,  1622, -2674,  3538,  3549,
    3565,  3570,  1376,  3589,  3541,  1380,  3572,  3582,  3602,  3607,
    3608,  3628,  3634,  3641,  3635,  4062,  4063,  4064,  4065,  4066,
    4067,  4068,  4069,  4070,   896,  3652,  3084,  4062,  4063,  4064,
    4065,  4066,  4067,  4068,  4069,  4070,  3659,  3636,  3644,  3661,
     187,  3096,  3662,  3682,  1136,  3100, -2674,  1623,   953, -2674,
    3683,  3699,  1855,   634,  5693, -2674,  3741, -2905,  3756,   634,
     916,  3764,  3765,  3768, -1689,  3784,  3790,  3777,   896,  2526,
    2527,  2528,  2529,  2530,  2531,  3119,  1136,  3791,  3796,  3801,
    3792,  3823,  2588,  3824,  5712,  3838,  3840,  2589,  3812,  3842,
    3844,  3852,  3859,  3871,  3865,  1795,   896,  3872,  3870,  3873,
    3874,   953,  3878,   953,  3881,  3885,  3883,  3886,  4591,  2627,
    2590,  2271, -2674,  3890,  4863,  3889,   953,  3895,   953,  3910,
    3911,  3912,  3920,  3921,  3922,  3924,  3926,  5110,  3940,  3943,
    3948,  3942,  1021,  2591,  3946,  1442,  1022,  1624,   634,  3951,
    3952,  3953,  3954,  3956,  3966,  3955,  3972,  4062,  4063,  4064,
    4065,  4066,  4067,  4068,  4069,  4070,  1953,  1950,  3979,  2950,
    3380,  1917,  3960,  3961,   896,  3971,  3982,  3970,  3984,   789,
    3992,  1215,  5176,  5377,  2331,  4012,  4545,  4015,  4602,  4541,
    4028,  4009,  4606, -2205,  4010,   953,   896,  4011,  2592,  4023,
    3233,  4033,  4042,  4031,  4043,  1625,  5222, -2674,  3769,  1626,
    4087,  4090,  4047,  4107,  4121,  4131,  4158,  4170,   896,  4049,
    4138,  4164,  4050,  3298,  2897,  4578,  4051,  4198,  4073,  4078,
    4132, -2674,  4102, -2674, -2674,  5059,  4079,   953,  4086,  4211,
    2596,  4213,  4215,  4217,  4224,  4101,  5105,  5106,  5107,  5108,
    5109,  4134,  4238,  4179,  4255, -2674,   953,  4166,  1628,  4194,
     953,  4204,  4243,  4245,  4258,  4136,  4165,  1218,  4283,  4232,
    4246,  4260,  4284,  4159,  2039, -2674,  4171,  4272, -2674, -2674,
   -2674,   953,  4285,  4250,  4251,  4273,  4256,  4290,  4289,  3265,
    4291,  2594,  4727,  4296,  4292,  4307,  4308,   634,  4310,  4316,
     896,  4317,  4318,  1630,  5229,  4326,   634,  4334,  4359,  4343,
    4357,  4363,  4365,  4361,  4367,  4371,  4372,  4375,  4377,  4378,
     634,  5021,  5022,  4379,   634,   634,  5348,  1631,  4382,  4380,
     634,  4397,  4399,  4400,  4398,  4401,  5748,  4402,  4403,  4405,
     634,  4406,   634,  4404,  4407,   634,  4408,  1633,  4409,   896,
     634,   634,   634,   634,  4411,  4410,   634,   634,   634,   634,
     634,   634,   634,   634,   634,   634,  4413,  4416,  4412,   634,
     634,   634,  4420,  4418,   896,  2935,  2938,  4422,  3425,   634,
    4432,  4433,  4434,  4436,   634,  4439,  1795,  4444,   634,  4423,
    4429,  4450,  4452,  2522,  4487,  4502,   634,   908,  5286,   634,
    4503,   634,  2523,  2524,  2525,  2526,  2527,  2528,  2529,  2530,
    2531,  4499,  4493,  4492,  4506,  4510,  4523,   634,  4539,  4540,
     634,   634,  4543,  4520,  4544,   634,   634,  4533,  4530,  4546,
     634,  4560,   634,  4521,  5226,  4574,  4577,  4584,  4580,  4592,
    4734,  4735,  4736,  4737,  4586,   187,  4593,  4594,  4595,  4596,
    4614,  4202,  4615,  4599,  4616,  4597,  4622,  4623,  4624,  4625,
    1061,   191,  1062,  1058,  1059,   634,  4627,  4628,  4629,  1060,
    4630,  4635,  4631,   634,  4640,  2025,  4641,   634,  4639,  4202,
    4645,  4646,  4649,  4653,  3426,  4654,  4055,  4664, -2204,  4704,
    4715,  4642,  4658,  4687,  4688,  4689,  4716,  4696,  4836,  4719,
    4757,  4758,  4765,  4766,  4746,  4742,  4730,  4771,  4744,   634,
    4750,  4772,  4773,  4781,  4753,  5167,  4755,  4770,  4775,  4784,
    4786,  4790,  4801,  4809,  4831,  4834,   634,  4841,  4842,  4844,
    4847,  4845,   896,  4851,  4854,  4832,  4663,  4855,  4872,  2080,
    4875,  4833,  2081,  4887,   634,  5416,  2082,  2083,  2084,  4889,
    4888,  4890,  4891,  4901,  4903,  4902,  4904,  4905,  4906,  4915,
    4917,  5361,  4918,  4924,  2584,  4935,   953,  4936,  4941,  4944,
    4690,  4960,  4961,  4963,  2585,  4861,  3423,  4966,  4977,  4976,
    3423,  2586,  4979,  4980,  4981,  5003,  4992,  5018,  5038,  5032,
    5039,  5051,  5067,  5061,  5078,  5068,  5087,  5326,  5327,  5089,
    5329,  5013,  5091,  5103,  5024,  5111,  5127,  2587,  5044,  5470,
    5045,  5085,  3167,  5084,  5117,  5118,  5136,  1795,  5092,  5135,
    5088,  4729,  1795,   896,  1795,  4991,  5139,  5137,  4949,  5097,
    5140,  4952,  5134,  5138,  6111,  6112,  5144,  5141,  5145,  4993,
    5153,  5165,  5508,  5148,  5159,  2072,  5168,  3423,  2898,  5170,
    1795,   896,  5169,  5174, -2206,  5187,  5191,  5582,  5215,  5227,
    5224,  5201,  5228,  5205,  5208,  5241,  5219,  5245,  4202,  5243,
    5273,  5250,  5238,  5251,  5261,  5283,  5284,  5285,  5287,  5294,
    5295,  5296,  5289,  3923,  5308,  5315,  5317,  5311,  3929,  5321,
    3930,  4926,  5330,  2072,  5331,  5322,   953,  5338,  5340,   953,
    3936,  5339,  4934,  3937,  5349,  3938,  3939,  5345,  5352,  3941,
    5357,  5356,  5366,  3944,  5358,  3945,  5369,  3312,  3947,  5374,
    5375,  5378,  2588,  5400,  5376,  5382,  5384,  2589,  5388,  5393,
    5398,  5404,  5034,  4133,  5405,  5409,  5407,  2080,  5411,  5412,
    2081,  5422,  5413,  3142,  2082,  2083,  2084,  5428,  5430,  2950,
    2590,  2271,  5438,  5437,  5449,  5469,  5460,  5443,  5444,  5445,
    5461,  5319,  2584,   634,  5459,  5473,  5477,  5453,  5483,  5774,
    5487,  5776,  2585,  2591,  5490,  5512,  5515,  5521,  5509,  2586,
    5524,  2080,  3986,  5533,  2081,  5532,  5541,  5537,  5534,   953,
     953,  5542,  5543,   896,  4167,  5535,  5536,  4172,  5544,  3425,
     953,  5549,  5555,  5556,  5560,  2587,  5566,   634,   634,  5567,
    5568,  5575,  5597,  5002,  2331,  5603,  2585,   953,  5604,  3900,
    5609,  5606,  5612, -2905,  5616,  5636,  5637,  5641,  2592,  5617,
    3965,  2593,  5648,  5664,  5646,  5669,  5675,  5677,  5676,  5699,
     896,  5683,  5070,  1524,  3416,   896,   634,   634,   907,  2587,
    5698,  5707,  3416,  5727,  5728,  5711,  5723,   634,  5379,  5729,
    5731,  5484,  5725,  5744,  5753,  5784,  5883,  5516,  5754,  5746,
    5756,  5762,  5484,  5803,  5768,  5800,  5807,  5813,  1525,  5821,
    5811,  5826,  5630,  5835,  5841,  5839,  5840,  5842,  3542,  5843,
    5853,  5852,  5854,  5855,  3550,  5862,  5860,   978,   953,  5881,
    5880,  1795,  5882,  5909,  5871,  3426,  5864,  5904,  5885,  5528,
    3423,  3423,  5895,  4139,  5905,  5907,  5908,  5921,  4720,  5925,
    2588,  2594,  5944,  5953,  5956,  2589,  5958,   634,  5960,  5964,
    5967,  5968,  5984,  5985,  5987,  3583,  5994,  5986,  5995,  1526,
    6001,  6000,  6008,   634,  6003,  6012,  6013,  6025,  2590,  2271,
    5946,  5948,  6027,  6018,  6047,  6034,  6049,  6057,   634,  5954,
    5955,  6066,  6085,  6083, -2905,  5552,  6039,  6065,  6067, -2905,
    6102,  2591,  6113,  3265,  6116,  6132,  1527,  6124,  6134,  6164,
    6152,  6158,  6163,  6159,  6169,  6171,   634,  6172,  6192,   634,
    6193,  6204,  6217,  6194,  6219,  6220, -1972,   634,   634,  6228,
     896,  4230,  6230,  6232,   634,   634,  6237,  6238,  6248,   634,
    6249,  6252,  2331,  6207,   634, -2905,  3901,   634,   634,  6243,
    6258,  1528,  5671,  2522,   634,  3265,  2592,  5887,  6261,  2593,
    6265,  1657,  2523,  2524,  2525,  2526,  2527,  2528,  2529,  2530,
    2531,  1444,  2576,  4156,   634,  2952,  1656,  3714,  3633,  4030,
    4871,   634,  4302,  4878,  5290,  1551,   634,  6050,  3755,   634,
     634,  3803,  4449,  1530,  5594,  5938,  5939,   634,  6133,  5020,
    2592,  5647,  4867,  4868,  5355,  5629,  4248,  5799,   634,  5258,
    3950,  6041,  5526,  6127,  5959,  5957,   634,  6144,  6064,  5230,
    5232,  5386,  4254,  5582,  5042,  1532,  5050,  5918,  4876,  5012,
    5071,  3821,  3822,  6055,  4320,  5380,   634,  5635,  4509,  4549,
    5856,  1641,  5037,  4259,  5095,  5302,  6189,  6264,  5328,  2594,
    5786,  5547,  6250,  5610,  4455,   896,  5554,  5312,  6069,  5079,
    3019,  5764,  5927,  5332,  5557,   738,  1054,    35,   953,  5951,
    5720,   791,  3902,  1998,  4600,  3808,  5740,  3423,  5112,  6185,
    5244,  1535,  5114,  3850,  3423,  4239,  3082,  3487,  4566,  3423,
    1536,  5081,  3423, -2905,  5672,  5850,   896,  3425,  2777,  3078,
    3425,  6107,  6108,  3111,  5281,  4419,  4907,  5162,  3752,  1125,
    1538,  4366,  6089,   953,  4309,  5281,  4311,  3094,   896,  1539,
    6218,  2709,  1165,  1540,  5098,   953,  2977,  3432,  3780,  5099,
    6233,  4795,  5233,  5739,  6035,  2597,  2549,  1389,   819,   820,
    4200,   634,  4212,  3903,  6030,  5897,  3442,  3425,   634,  4174,
    4748,  2522,  4763,  5142,  5392,  3425,  5489,  5710,  5778,   953,
    2523,  2524,  2525,  2526,  2527,  2528,  2529,  2530,  2531,  2658,
    2657,  5709,  2662,  4044,  4168,  4169,  4045,  4796,  1541,  6201,
    6017,  6114,  3904,  5886,  2606,  5694,  4698,  5898,  3353,  4135,
     896,  5899,  3271,  4129,  3356, -2905,  4004,  4127,   187,  3265,
    3779,  4038,  4120,  3426,  4650,  3368,  3426,  2526,  2527,  2528,
    2529,  2530,  2531,  3430,     0,  1440,   634,  5773,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2080,     0,  3265,
    2081,  1124,   634,     0,   187,     0,  5914,  1795,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3426,     0,  3980,   953,     0,  4414,     0,
       0,  3426,  2585,   634,  4421,     0,  5939,     0,     0, -2905,
    3990,     0,     0,     0,  3965,  3995,     0,     0,     0,     0,
       0,     0,     0,     0,  5391,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2587,     0,     0,     0,     0,
       0,   632,   978,     0,     0,  4021,     0,     0,     0,   896,
       0,   896,     0,     0,     0,     0,     0,     0,   784,     0,
     786,     0,     0,     0,   792,     0,     0,     0,     0,   800,
     808,   812,     0,   815,     0,  5911,   808,   808,     0,   845,
    5551,   848,   953,     0,     0,  5553,  4202,     0,   904,   904,
     904,     0,     0,  5529,     0,  5531,     0,     0,   978,     0,
       0,     0,     0,     0,  4723,     0,  3423,     0,     0,     0,
       0,     0,     0,     0,   634,     0,     0,   634,     0,     0,
     634,   634,   634,     0,     0,  5596,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3965,
       0,  3965,     0,     0,     0,   634,   634,     0,     0,   634,
   -2905,     0,     0,     0,     0, -2905,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   634,
       0,     0,  1124,     0,     0,   634,  6226,     0,     0,   634,
       0,     0,     0,     0,  2072,   896,   634,     0,     0,     0,
    4583,     0,  4585,     0,  4587,     0,     0,     0,     0,   634,
       0, -2905,   634,  6241,  3265,     0,     0,   953,     0,   953,
       0,   187,     0,   634,     0,     0,     0,     0,     0,     0,
       0,     0,  6226,     0,     0,     0,     0,     0,     0,     0,
       0,  3416,   632,   933,   933,  3416,     0,   933,     0,     0,
    6226,   944,     0,   845,     0,     0,   980,     0,     0,   944,
       0,     0,   944,  5661,     0,   845,  2592,   933,   896,   953,
     845,     0,     0,     0,   933,  2080,   845,     0,  2081,   634,
       0,     0,  2082,  2083,  2084,     0,     0,     0,     0,     0,
       0,     0,  3423,     0,     0,     0,     0,     0,     0,     0,
    2584,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2585,     0,  3423,     0,     0,     0,     0,  2586,     0,  1795,
       0,     0,     0,     0,   634,     0,  3423,     0,     0,     0,
       0,     0,     0,     0,  5773,     0,     0,     0,  6251,     0,
       0,     0,     0,  2587,     0,  5510,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0, -2905,
       0,  5634,     0,  4264,     0,     0,     0,     0,     0,     0,
       0,  4267,  6178,  6179,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  6016,     0,   634,  5662,     0,
     896,     0,  5660,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   184,   191,   186,   180,   181,   175,
      80,    83,    84,   183,     0,     0,    71,    85,    86,   106,
     124,   129,     0,   634,  5775,     0,  5777,   634,   159,   634,
       0,   178,   185,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   908,   634,     0,     0,     0,     0, -2904,     0,
     634,     0,  1124,   634,     0,     0,     0,     0,  2588,     0,
       0, -2905,     0,  2589,   634,     0,  4352,     0,  4354,     0,
       0,   634,     0,  2526,  2527,  2528,  2529,  2530,  2531,     0,
       0,     0,     0,     0,     0,     0,  2590,  2271,     0,     0,
    3423,  3306,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2080,     0,     0,  2081,     0,     0,  2591,
   -2905, -2905, -2905,     0,     0,     0,     0,     0,   634,  3265,
    3265,     0,     0,     0,   896,     0,     0,     0,     0,   896,
     896,     0,     0,     0,   634,     0,     0,     0,  2585,     0,
     634,   634,   953,     0,     0,  2586, -2904,     0,   978,     0,
    2331,     0,     0,  3423,     0,     0,   953,     0,     0,     0,
       0,     0,  4415,     0,  2592,     0,     0,  2593,     0,     0,
       0,  2587,     0,     0,     0,  3416,   634,     0,     0,     0,
       0,     0,     0,     0,     0,   634,     0,     0,  1795,     0,
       0,     0,     0,     0,     0,     0,     0, -2904,     0,     0,
       0,   187,     0,     0,     0,     0,  4437,     0,     0,     0,
   -2904,     0,     0,   634,  3425,     0, -2904,     0,  3425,     0,
    5695,     0, -2904,     0,  5829,     0,   631,     0, -2904,     0,
       0, -2904,     0,     0,  5700, -2904,     0,     0,     0,     0,
       0,     0,   896,   896,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  5721,     0,  2594,     0,     0,
       0,     0,  2074,     0,     0, -2904,   634, -2904,     0,     0,
       0,     0,     0,  5966,     0,   634,   634,   634,     0,     0,
       0,     0,     0,     0,     0,  3425,  2588,     0,   634,  1795,
    1033,  2589,   896, -2904,     0,     0,   845,   634,   933,   634,
     933,   634,  3583,   933,     0,     0,     0,  6046,   634,     0,
     980,     0,     0,     0,  5901,  1091,  3423,   933,     0,     0,
    3426,     0,     0,   933,  3426,     0,     0,     0,     0,     0,
     634,  5769,  5770,     0,     0,     0,     0,  2591,     0,     0,
       0,     0, -2904,     0,     0, -2904,  4579,   632,     0,     0,
       0, -2904,     0,     0,     0,  1795,   944,   953,     0,  2522,
     980,     0,     0,   944,     0,     0,   944,     0,  2523,  2524,
    2525,  2526,  2527,  2528,  2529,  2530,  2531,     0,     0,  6096,
    6097,     0,   933,     0,  4046,     0,     0,     0,     0,  6051,
       0,  3426,  2592,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0, -2904,   634,
       0,  3423,     0,     0,  3965,     0,     0,   931,     0,  3416,
       0,     0,     0,     0,  3416,     0,   943,  3416,  4636,     0,
       0,     0,     0,     0,   943,   845,     0,   943,     0,     0,
       0,     0,     0,     0,  1235,     0,   634,     0,   187,   187,
       0,     0,     0,     0,     0,     0,     0,  5102,     0,   634,
    5104,  3307,     0,     0,  1361,  1361,     0,   845,   808,   634,
       0,     0,   808,     0,     0,     0,     0,  4665,     0,   634,
       0,     0,   953,     0,     0,  2594,   845,     0,  5894,  5119,
    5896,   845,     0, -2904,     0,     0,   634,  1361,     0,  6131,
       0,     0,  4686,     0,     0,     0,     0,     0,     0,   953,
       0,     0,  3423,     0,     0,     0,     0, -2904,     0, -2904,
   -2904,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1096,  1096,     0,     0,     0,     0,     0,     0,     0,     0,
       0, -2904,     0,     0,  1361,     0,     0,     0,  3425,  3425,
     634,  6070,     0,     0,     0,     0,     0,     0,   845,     0,
     634,     0,     0,     0, -2904,     0, -2904, -2904,   634,   634,
       0,   845,     0,     0,   634,   191,  6094,  6091,  6092,     0,
       0,  2080,     0,  6093,  2081,     0,   845,  2522,     0,     0,
       0,     0,     0,   634,   634,     0, -2905, -2905, -2905,  2526,
    2527,  2528,  2529,  2530,  2531,   845,     0,     0,     0,     0,
     933,   933,     0,     0,     0,     0,  2585,     0,     0,     0,
       0,     0,     0, -2905,     0,     0,     0,   953,     0,     0,
       0,     0,  6157,  6259,  6260,     0,  1096,     0,     0,     0,
       0,     0,   808,   808,     0,     0,     0,     0,     0,  2587,
       0,   634,     0,     0,  3426,  3426,     0,   634,     0,     0,
       0,     0,     0,  3423,     0,  1361,  1361,     0,     0,   191,
    6094,  6091,  6092,     0,     0,   634,   634,  6093,     0,   632,
       0,   933,     0,     0,     0,   944,     0,  1524,   980,   944,
     634,   944,     0,     0,     0,     0,   933,     0,  5264,     0,
       0,     0,     0,     0,     0,     0,   634,     0,     0,     0,
       0,     0,     0,   187,     0,     0,     0,     0,  4724,     0,
     845,     0,  1525,     0,     0,     0,     0,   933,   933,     0,
    2080,     0,     0,  2081,     0,     0,     0,     0,     0,     0,
       0,   634,  5292,  5293,     0,     0,     0,     0,     0,   845,
     845,   845,     0,   933,  3423,   632,     0,   632,   632,     0,
    3423,   634,     0,     0, -2905,  2585,     0,     0,  1795, -2905,
       0,     0, -2905,   191,  6094,  6091,  6092,     0,     0,     0,
       0,  6093,     0,  1526,     0,  3425,     0,     0,     0,     0,
       0,   933,  3425,   933,   933,     0,     0,  3425,  2587,     0,
    3425,   634,   634,     0,     0,     0,   634,     0,     0,     0,
     634,     0,     0,     0,  1795, -2905,     0,     0,     0,     0,
    1527,     0,   634,   634,     0,     0,  1361,     0,     0,     0,
       0,     0,  1795,     0,     0,     0,  5336,  5337,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1978,     0,  1978,     0,     0,     0,   845,     0,
     784,     0,     0,     0,  3423,  1528,     0,  5185,     0,     0,
    2592,     0,     0,     0,     0,     0,     0,  3416,     0,     0,
       0, -2676,     0,     0,  2014,     0,   845,     0,     0,     0,
    2020,  3426,     0,     0,     0,     0,     0,  6177,  3426,     0,
       0,     0,     0,  3426,  1361,     0,  3426,  1530,     0,     0,
       0,     0,     0, -2905,     0,     0,     0,  2080, -2905,     0,
    2081,  5023,   931,     0,  2082,  2083,  2084,     0,     0,     0,
       0,   943,     0,     0,     0,     0,     0,     0,   943,  1532,
       0,   943,  1361,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2585,     0,     0,     0,     0,     0,     0,  2586,
       0,     0,     0, -2905, -2905,     0,  5432,     0,     0,  5434,
    5435,  1361,  1361,  1361,     0,  1361,     0,     0, -2692, -2676,
       0,    35,     0,  2776,     0,  2587,  1534,     0,     0,  5440,
       0,     0,     0,     0,     0,  1535,  1361,  6244,     0,     0,
       0,     0,     0,     0,  1536,     0,     0,     0,     0,     0,
       0,     0,  2777,     0,     0,     0,     0,     0,     0,  2592,
       0,     0,     0,     0,  1538,     0,     0,     0,     0,     0,
   -2676,     0,     0,  1539,     0,   845,     0,  1540,     0,     0,
     187,     0,     0, -2676,     0,     0,     0,     0,     0, -2676,
       0,     0,     0,  1361,     0, -2676,     0,     0,     0,     0,
       0, -2676,     0,     0, -2676, -2905,     0,     0, -2676,     0,
       0,   187,     0,     0,  3425,     0, -2692,  2526,  2527,  2528,
    2529,  2530,  2531,     0,     0,   187,     0,     0,     0,     0,
       0,     0,  1541,     0,     0,     0,     0,     0, -2676,  1361,
    2588,     0,     0,  1361,  1361,  2589,     0,     0,     0,     0,
       0,     0, -2905,     0,   845,   845,   845,  2672,     0,  1361,
       0,     0,     0,     0,     0,     0, -2676, -2692, -2905, -2905,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
   -2692,     0,   808,     0,     0,     0, -2692,     0,     0,     0,
       0,  2591, -2692,     0,     0,     0,     0,     0, -2692,  2072,
       0, -2692,     0,     0,     0, -2692,     0,     0,     0,     0,
       0,     0,     0,     0,     0, -2676,     0,  2765, -2676,     0,
    3426,     0,   808,     0, -2676,   933,     0,     0,     0,     0,
       0,     0, -2905,     0,     0, -2692,     0,     0,   845,  2793,
       0,     0,     0,     0,     0,     0,  2592,   845,     0,     0,
     933,     0,     0,     0, -2905,     0,     0,     0,     0,     0,
       0,     0,     0, -2692,     0,     0,  2526,  2527,  2528,  2529,
    2530,  2531,     0,     0,     0,     0,     0,   980,     0,   845,
       0, -2676,   808,     0,     0,  2861,  2861,     0,     0,  2861,
    3425,     0,     0,  5265,   931,     0,     0,     0,     0,   808,
     943,     0,   845,     0,   943,   845,   943,     0,     0,     0,
    3425,     0, -2692,     0,     0, -2692,     0,     0,     0,     0,
       0, -2692,     0,     0,  3425,     0,     0,   933,     0,     0,
       0,     0,     0,     0,  5291,     0,     0,     0,   789,  2594,
       0,  3416,     0,   187,     0,   845,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  5307,   933,   933,   933,
     933,   845,     0,     0,     0,     0, -2676,     0,     0,     0,
    1889,     0,  1891,  1892,     0,   845,  2080,     0, -2692,  2081,
       0,     0,     0,     0,     0,     0,  1361,  1361,  1361,     0,
   -2676,     0, -2676, -2676,   700,     0,  3426,     0,     0,     0,
       0,     0,     0,   788,     0,     0,     0,     0,     0,     0,
       0,  2585,     0,     0, -2676,     0,  3426,     0, -2905,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  5335,     0,
    3426,  5742,     0,   187, -2676,   789,     0, -2676, -2676, -2676,
       0,  2522,     0,     0,  2587,     0,     0,     0,     0,     0,
    2523,  2524,  2525,  2526,  2527,  2528,  2529,  2530,  2531,     0,
       0,     0,     0, -2692,     0,     0,     0,     0,     0,  3900,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   845,  5779, -2692,  3425, -2692,
   -2692,     0,     0,  1524,     0,     0,   845,     0,     0,     0,
       0,     0,     0,     0,   933,   933,     0,     0,     0,     0,
       0, -2692,     0,     0,     0,     0,     0,     0,     0,     0,
     933,     0,     0,     0,     0,     0,     0,     0,  1525,     0,
       0, -2692,     0,     0, -2692, -2692, -2692,     0,   845,  2861,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  5421,
       0,  3425,     0,     0,   933,   933,   933,   933,     0, -2905,
       0,     0,     0,   845, -2905,     0,     0,     0,     0,     0,
     845,     0,  2080,  3075,     0,  2081,     0,     0,     0,  2082,
    2083,  2084,     0,     0,     0,     0,     0,     0,   632,  1526,
       0,   632,     0,     0,  3426,     0,     0,  2584,     0,     0,
    5867,   944,   944,     0,     0,     0,     0,  2585,     0,     0,
   -2905,     0,   980,   980,  2586,     0,   944,     0,     0,   944,
    2080,     0,     0,  2081,     0,     0,  1527,  2082,  2083,  2084,
       0,     0,     0,     0,   933,   933,     0,     0,     0,     0,
    2587,   933,     0,   845,     0,  2584,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2585,     0,  3426,     0,     0,
    1978,     0,  2586,     0,     0,  2592,  3901,   933,     0,   944,
     187,  1528,  3158,   944,   944,     0,   845,   845,     0,   933,
       0,     0,     0,  4415,     0,     0,   845,     0,  2587,     0,
       0,     0,     0,   845,     0,   187,   845,  3075,     0,     0,
     784,     0,     0,   784,  3195,     0,     0,     0,  1361,     0,
    1361,     0,     0,  1530,  3425,  1361,  1361,     0,     0,     0,
       0,     0,  1361,  1361,  1361,  1361,  1361,  1361,  1361,  1361,
    1361,  1361,     0,     0,  1361,     0,  1361,   980,  1361,  1361,
    1361,  1361,  1361,  1361,     0,  1532,  1361,     0,  1361,  1361,
       0,     0,  1361,     0,     0,  2588,     0,     0, -2905,     0,
    2589,     0,     0,     0,  1621,     0,     0,  1361,  1361,  1361,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2590,  2271,  1361,  1622,    35,     0,  6156,
       0,     0,  1534,     0,     0,     0,     0,     0,     0,     0,
       0,  1535,     0,  2588,     0,     0,  2591,     0,  2589,  3425,
    1536,     0,  4851,     0,     0,     0,     0,     0,  2777,     0,
    3426,     0,     0,     0,     0,   933,     0,     0,     0,     0,
    1538,  2590,  2271,     0,     0,     0,     0,  1623,  4861,  1539,
       0,     0,     0,  1540,     0,  2733,     0,  2331,     0,     0,
       0,     0,     0,     0,  2591,     0,     0,     0,     0,     0,
   -2905,  2592,     0,  3903,  2593,     0,     0,     0,     0,     0,
       0,     0,  2526,  2527,  2528,  2529,  2530,  2531,     0,     0,
       0,     0,  4862,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   187,     0,  2331,     0,     0,  1541,     0,
       0,     0,  3904,     0,  4863,     0,     0,     0,     0,  2592,
    3425,     0,  2593,     0,     0,  3426,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1624,     0,  1361,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  6125,     0,     0,     0,     0,
       0,     0,     0,     0,  2594,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1361,     0,
       0,     0,     0,     0,     0,  1625,     0,     0,     0,  1626,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2594,     0,  2897,     0,     0,     0,  4864,     0,
       0,     0,  2004,     0,     0,     0,  3426,  2004,  2004,     0,
       0,     0,     0,     0,  1055,     0,     0,     0,     0,     0,
       0,  1361,     0,     0,     0,     0,     0,     0,  1628,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2522,     0,     0,     0,
       0,  3425,     0,     0,     0,  2523,  2524,  2525,  2526,  2527,
    2528,  2529,  2530,  2531,  1123,   700,     0,     0,     0,     0,
       0,  4097,     0,  1630,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   774,     0,     0,     0,     0,
       0,   774,     0,     0,  2522,     0,     0,  1631,     0,     0,
       0,     0,     0,  2523,  2524,  2525,  2526,  2527,  2528,  2529,
    2530,  2531,     0,     0,     0,     0,  3294,  1633,     0,  4865,
       0,  5851,  4292,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3425,     0,     0,     0,     0,     0,  3425,     0,
       0,     0,     0,   931,     0,     0,   931,  3426,     0,     0,
    1222,     0,     0,     0,     0,     0,   943,   943,     0,     0,
    5891,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1244,   943,     0,     0,   943,     0,     0,     0,  1364,     0,
       0,  1373,  1123,  1375,     0,     0,     0,     0,  1361,  1361,
    1361,  1361,  1361,  1361,  1361,  1361,  1361,     0,  1361,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   845,  1361,
       0,  1361,     0,     0,     0,     0,     0,     0,   845,     0,
       0,  2819,     0,     0,   943,     0,     0,     0,   943,   943,
       0,     0,     0,     0,     0,     0,     0,     0,  3426,     0,
       0,     0,  3425,     0,  3426,     0,     0,   845,  1554,  1361,
     701,     0,   933,  1361,  1555,  2744,  1361,     0,  1361,     0,
       0,  1361,     0,     0,     0,  1361,     0,     0,     0,  1661,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2080,     0,     0,  2081,     0,     0,  3427,  2082,
    2083,  2084,     0,  2745,   845,   845,     0,     0,     0,  1557,
       0,     0,     0,     0,     0,  1361,   704,  2584,     0,     0,
       0,     0,     0,     0,  1361,  1361,     0,  2585,     0,     0,
       0,     0,   705,     0,  2586,     0,     0,     0,   845,     0,
       0,     0,     0,     0,  2080,     0,  3471,  2081,  3476,     0,
    1038,  2082,  2083,  2084,     0,     0,     0,     0,  3426,     0,
    2587,     0,     0,  1662,     0,  1558,     0,     0,     0,  2584,
       0,     0,  1559,     0,  2746,  1560,     0,     0,     0,  2585,
       0,     0,     0,     0,     0,   708,  2586,     0,   784,     0,
     784,     0,     0,     0,   709,     0,  1123,     0,     0,     0,
       0,     0,  1561,     0,     0,     0,     0,   710,  1361,     0,
       0,     0,  2587,  2747,     0,     0,     0,     0,     0,   632,
       0,     0,   944,   980,   944,   944,     0,     0,   933,     0,
       0,   845,     0,     0,     0,     0,     0,     0,  1562,     0,
    1041,     0,     0,     0,     0,     0,     0,  1554,     0,     0,
       0,     0,   808,  1555,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2793,     0,     0,     0,     0,  1661,     0,
       0,  3586,   845,     0,     0,  2588,     0,     0,  3597,     0,
    2589,     0,     0,     0,     0,     0,     0,   845,     0,     0,
       0,     0,     0,     0,     0,   714,     0,     0,  1557,     0,
       0,     0,     0,  2590,  2271,     0,     0,     0,     0,   845,
       0,  1663,     0,     0,     0,  1564,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1565,  2591,  2588,     0,     0,
     845,     0,  2589,     0,  1566,     0,  2748,     0,     0,     0,
       0,     0,     0,   808,     0,     0,  1567,     0,     0,     0,
       0,     0,  1662,     0,  1558,  2590,  2271,     0,     0,     0,
       0,  1559,     0,     0,  1560,     0,   933,  2331,     0,   933,
     213,  2749,     0,     0,   719,     0,     0,     0,  2591,     0,
       0,  2592,     0,     0,  2593,  1664,     0,  2003,  1569,  1570,
       0,  1561,     0,     0,     0,   845,   845,     0,     0,     0,
       0,  1045,     0,     0,  2750,     0,     0,     0,     0,     0,
    3740,   723,  3743,  3745,  1123,     0,     0,     0,   724,  2331,
    1665,   725,     0,     0,     0,     0,     0,  1562,     0,     0,
       0,     0,     0,  2592,     0,     0,  2593,     0,     0,     0,
     726,     0,     0,     0,  1361,  1361,  1361,  1047,     0,     0,
    1361,     0,     0,     0,   728,     0,     0,  1048,   933,     0,
       0,   730,     0,     0,     0,     0,     0,     0,     0,  2751,
       0,   933,     0,     0,  2594,     0,  2752,  1361,     0,   933,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1572,
       0,     0,  2793,     0,     0,     0,     0,   845,     0,  2076,
    1663,     0,   735,  3847,  1564,     0,   784,     0,  2078,     0,
       0,     0,     0,     0,  1565,     0,     0,     0,   933,  3858,
       0,     0,     0,  1566,  2547,     0,  2594,     0,     0,  3740,
       0,     0,     0,     0,     0,  1567,     0,     0,     0,   933,
       0,  3880,     0,  1123,     0,     0,  2564,  2565,     0,     0,
       0,  1123,  1123,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3711,     0,  2522,  1569,  1570,     0,
     933,     0,   933,     0,   933,  2523,  2524,  2525,  2526,  2527,
    2528,  2529,  2530,  2531,     0,     0,     0,     0,  4039,     0,
    1554,     0,     0,     0,     0,     0,  1555,     0,     0,  3712,
       0,     0,     0,     0,     0,     0,     0,  1978,     0,     0,
       0,   774,     0,   774,     0,   774,     0,     0,  2522,     0,
       0,   774,  1202,  1203,     0,     0,     0,  2523,  2524,  2525,
    2526,  2527,  2528,  2529,  2530,  2531,     0,     0,     0,     0,
    4451,  1557,     0,     0,     0,     0,     0,     0,     0,  2080,
       0,     0,  2081,     0,     0,     0,  2082,  2083,  2084,     0,
       0,   632,   933,   631,   944,     0,   944,   944,  1572,   933,
       0,     0,     0,     0,  2584,     0,  1361,     0,     0,     0,
    2080,  1361,     0,  2081,  2585,     0,     0,  2082,  2083,  2084,
       0,  2586,     0,     0,     0,     0,     0,  1558,     0,     0,
       0,     0,     0,     0,  1559,  2584,     0,  1560,     0,     0,
       0,     0,     0,     0,     0,  2585,     0,  2587,     0,     0,
       0,     0,  2586,     0,     0,     0,  1361,  1361,  1361,     0,
       0,  1361,     0,     0,  1561,     0,     0,     0,     0,  1361,
    1361,  1361,  1361,     0,     0,     0,     0,     0,  2587,     0,
       0,     0,     0,     0,     0,  1361,     0,     0,  1361,     0,
    1361,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1562,     0,  1361,  1361,     0,     0,  1361,     0,     0,     0,
       0,     0,     0,     0,   931,     0,     0,   943,     0,   943,
     943,     0,     0,     0,     0,   980,  2902,  1361,     0,  1361,
       0,  1361,     0,     0,  2910,     0,     0,     0,     0,     0,
       0,     0,   774,     0,     0,     0,     0,     0,     0,     0,
    1361,     0,     0,  4141,     0,     0,     0,   845,     0,     0,
       0,     0,  2588,     0,     0,     0,     0,  2589,     0,     0,
       0,     0,     0,  1663,     0,     0,     0,  1564,   845,     0,
       0,     0,     0,  1554,     0,     0,     0,  1565,     0,  1555,
    2590,  2271,     0,  2588,  2080,     0,  1566,  2081,  2589,     0,
       0,  2082,  2083,  2084,     0,     0,     0,   632,  1567,     0,
    3427,  4178,   774,  2591,     0,  4178,  4192,  4178,     0,  2584,
       0,  2590,  2271,  1361,     0,     0,     0,     0,  1361,  2585,
       0,     0,     0,     0,  1557,     0,  2586,     0,     0,     0,
       0,     0,     0,  1361,  2591,     0,     0,  1691,     0,     0,
    1569,  1570,     0,     0,  2331,     0,     0,  3427,     0,     0,
       0,  4223,  2587,     0,  4226,  3427,     0,  3476,  2592,     0,
       0,  2593,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1692,     0,     0,  2331,     0,     0,     0,     0,
    1558,     0,     0,     0,     0,     0,     0,  1559,     0,  2592,
    1560,     0,  2593,     0,     0,     0,     0,     0,  1361,     0,
       0,     0,     0,  4252,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1561,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   933,
     933,     0,     0,     0,     0,     0,     0,     0,     0,  3040,
       0,  1572,     0,  3045,     0,     0,     0,     0,     0,     0,
       0,  2594,     0,  1562,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2588,     0,     0,
       0,     0,  2589,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2594,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2590,  2271,     0,     0,     0,
       0,     0,     0,     0,   631,     0,     0,     0,     0,     0,
       0,     0,     0,  4333,     0,     0,     0,     0,  2591,     0,
       0,     0,     0,     0,     0,     0,  1663,     0,     0,     0,
    1564,     0,     0,     0,     0,     0,     0,   845,     0,     0,
    1565,     0,     0,     0,     0,     0,     0,  2861,   895,  1566,
       0,     0,     0,  2522,     0,     0,     0,     0,     0,  2331,
       0,  1567,  2523,  2524,  2525,  2526,  2527,  2528,  2529,  2530,
    2531,     0,     0,  2592,     0,  4637,  2593,     0,     0,     0,
       0,     0,  2080,     0,  2522,  2081,     0,     0,     0,  2082,
    2083,  2084,     0,  2523,  2524,  2525,  2526,  2527,  2528,  2529,
    2530,  2531,     0,  1569,  1570,     0,  4707,  2584,     0,     0,
       0,     0,     0,  3228,     0,     0,     0,  2585,     0,     0,
       0,     0,     0,     0,  2586,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1571,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2587,     0,   774,     0,  1361,     0,   931,   774,   774,   943,
    1361,   943,   943,     0,     0,     0,  2594,     0,     0,     0,
       0,   933,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2602,     0,     0,     0,     0,
       0,     0,     0,     0,  2609,     0,  2610,     0,     0,     0,
    2613,     0,     0,     0,  1572,     0,     0,  2619,   845,   845,
     845,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   845,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1361,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1978,   845,   845,
       0,     0,     0,   845,     0,  2588,     0,     0,  2522,     0,
    2589,     0,     0,     0,     0,   845,     0,  2523,  2524,  2525,
    2526,  2527,  2528,  2529,  2530,  2531,     0,     0,     0,     0,
    4811,     0,     0,  2590,  2271,     0,     0,     0,   774,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   774,     0,
       0,     0,     0,     0,     0,     0,  2591,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   933,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3158,  4601,     0,     0,     0,
       0,     0,  1202,  1203,     0,     0,   845,  2331,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   845,
       0,  2592,   631,     0,  2593,   631,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1361,     0,
       0,     0,     0,     0,     0,   774,     0,  1361,   774,   774,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1361,     0,     0,     0,  1361,  1361,     0,     0,     0,
       0,  1361,   631,     0,     0,     0,     0,     0,     0,     0,
     631,  1361,     0,  1361,     0,     0,  1361,     0,     0,     0,
       0,  1361,  1361,  1361,  1361,     0,     0,  1361,  1361,  1361,
    1361,  1361,  1361,  1361,  1361,  1361,  1361,     0,     0,     0,
    1361,  1361,  1361,     0,  2594,     0,     0,     0,     0,     0,
    1361,     0,     0,     0,     0,  1361,     0,     0,     0,  1361,
       0,     0,     0,     0,     0,  1554,     0,  1361,     0,     0,
    1361,  1555,  1361,     0,     0,  2080,     0,     0,  2081,     0,
       0,     0,  2082,  2083,  2084,     0,  1556,     0,  1361,     0,
       0,  1361,  1361,     0,     0,     0,  1361,  1361,     0,     0,
    2584,  1361,     0,  1361,  4733,     0,     0,     0,     0,     0,
    2585,     0,   845,   845,   845,     0,  1557,  2586,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  4178,  4192,  4178,     0,  1361,  4178,     0,     0,
    4754,     0,     0,  2587,  3427,     0,  2522,     0,  3427,     0,
       0,     0,     0,     0,  4769,  2523,  2524,  2525,  2526,  2527,
    2528,  2529,  2530,  2531,     0,     0,     0,     0,  5040,     0,
       0,   774,  1558,     0,     0,     0,     0,     0,     0,  1559,
    1361,     0,  1560,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3476,     0,  1361,     0,  1554,
       0,     0,     0,     0,     0,  1555,     0,     0,     0,  1561,
       0,     0,     0,     0,     0,  4817,  1978,     0,  1978,     0,
    3375,  1978,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1562,     0,     0,     0,     0,
    1557,     0,     0,     0,     0,     0,  2793,  4850,  2588,     0,
       0,     0,     0,  2589,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  4874,     0,     0,     0,     0,
       0,     0,     0,     0,   895,     0,  2590,  2271,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1558,     0,     0,  2591,
     895,     0,     0,  1559,     0,     0,  1560,     0,  1563,     0,
       0,     0,  1564,     0,     0,     0,     0,     0,     0,     0,
    4923,  2080,  1565,     0,  2081,     0,     0,     0,  2082,  2083,
    2084,  1566,     0,  1561,     0,     0,     0,     0,     0,     0,
    2331,     0,     0,  1567,     0,     0,  2584,     0,     0,     0,
       0,     0,     0,     0,  2592,     0,  2585,  2593,  1123,     0,
       0,     0,     0,  2586,     0,     0,     0,     0,     0,  1562,
       0,     0,     0,     0,     0,  4967,  3217,  3218,     0,     0,
       0,     0,  1568,     0,     0,  1569,  1570,     0,     0,  2587,
    3251,  3252,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   933,     0,
       0,     0,     0,     0,     0,     0,     0,  1571,  1375,     0,
    3296,     0,   933,     0,  1361,     0,     0,     0,     0,     0,
       0,   845,     0,     0,     0,     0,     0,  5011,     0,     0,
       0,     0,  1663,   895,     0,     0,  1564,  2594,  2793,     0,
       0,     0,     0,     0,     0,     0,  1565,     0,     0,     0,
       0,     0,     0,   845,     0,  1566,     0,     0,  3427,  3858,
       0,     0,     0,     0,     0,     0,  3740,  1567,     0,     0,
       0,     0,     0,     0,     0,  5060,  1572,     0,     0,     0,
       0,     0,     0,     0,     0,   845,     0,     0,  1375,     0,
       0,     0,     0,     0,  2588,     0,     0,  1361,  1361,  2589,
       0,     0,     0,     0,     0,     0,  2757,     0,  1361,  1569,
    1570,     0,  1375,     0,     0,     0,     0,     0,     0,  1978,
     845,     0,  2590,  2271,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   845,     0,  2522,
       0,  2758,     0,     0,     0,  2591,     0,     0,  2523,  2524,
    2525,  2526,  2527,  2528,  2529,  2530,  2531,  2080,     0,     0,
    2081,  5149,     0,     0,  2082,  2083,  2084,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3746,  1710,  1361,     0,
    3750,     0,  2584,     0,     0,     0,  2331,  1554,     0,     0,
       0,     0,  2585,  1555,  1361,     0,   895,     0,     0,  2586,
    2592,     0,     0,  2593,     0,     0,     0,   895,     0,  1361,
    1572,     0,     0,     0,     0,     0,     0,  3783,     0,  3783,
       0,  3783,  3783,   895,     0,  2587,  3783,  3783,  3783,     0,
    3783,  3783,  3783,     0,     0,     0,     0,  1361,  1557,     0,
    1361,     0,     0,     0,     0,  1554,     0,     0,  1361,  1361,
       0,  1555,     0,     0,     0,  1361,  1361,     0,     0,     0,
    1361,     0,     0,     0,     0,  1361,     0,     0,  1361,  1361,
       0,     0,     0,     0,     0,  1361,     0,     0,     0,   845,
     845,   845,   845,     0,  3860,     0,     0,     0,     0,     0,
       0,     0,     0,  2594,  1558,   632,  1557,     0,  4178,   631,
       0,  1559,  3427,   631,  1560,     0,     0,  3427,     0,  3888,
    3427,   632,     0,  3740,     0,  5221,     0,     0,  1361,     0,
     980,     0,     0,     0,     0,     0,     0,     0,     0,  1361,
       0,  1561,     0,  4223,     0,     0,     0,  1361,     0,  3476,
    2588,     0,     0,  1554,     0,  2589,     0,     0,     0,  1555,
       0,     0,  1558,     0,   784,     0,  1621,  1361,     0,  1559,
       0,     0,  1560,     0,     0,     0,     0,  1562,  2590,  2271,
     631,     0,     0,     0,     0,     0,     0,     0,  1622,     0,
     895,     0,     0,     0,     0,     0,     0,     0,     0,  1561,
       0,  2591,  2793,     0,  1557,  2522,  5277,     0,     0,     0,
       0,     0,     0,     0,  2523,  2524,  2525,  2526,  2527,  2528,
    2529,  2530,  2531,     0,     0,     0,     0,  5186,     0,     0,
       0,     0,     0,     0,     0,  1562,     0,     0,     0,  1623,
       0,     0,  2331,     0,     0,     0,     0,     0,     0,     0,
    1563,     0,     0,     0,  1564,     0,  2592,     0,     0,  2593,
    1558,     0,     0,     0,  1565,     0,     0,  1559,     0,     0,
    1560,     0,  1361,  1566,     0,     0,     0,     0,     0,  1361,
       0,     0,     0,     0,     0,  1567,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1561,     0,     0,
       0,   933,     0,     0,     0,     0,     0,     0,  1663,     0,
       0,     0,  1564,     0,     0,     0,   933,     0,     0,     0,
       0,     0,  1565,     0,  2835,     0,     0,  1569,  1570,  1624,
       0,  1566,     0,  1562,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1567,     0,     0,     0,  1361,     0,  2594,
       0,     0,     0,     0,  3397,  3399,     0,     0,     0,  2836,
    3407,     0,     0,   632,     0,     0,     0,     0,     0,     0,
    2793,     0,     0,     0,     0,     0,     0,     0,     0,  1978,
       0,     0,  3578,     0,     0,  1569,  1570,  1625,     0,     0,
       0,  1626,  3451,  3451,  3858,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1627,   933,     0,  3880,
    1564,     0,     0,     0,     0,     0,     0,  1571,     0,     0,
    1565,     0,     0,  1123,     0,     0,     0,     0,  1572,  1566,
       0,     0,     0,     0,     0,   845,     0,     0,     0,     0,
    1628,  1567,     0,   631,   631,     0,   845,  2693,     0,     0,
       0,  2522,     0,     0,   774,     0,     0,     0,     0,     0,
    2523,  2524,  2525,  2526,  2527,  2528,  2529,  2530,  2531,     0,
       0,     0,     0,  5190,     0,     0,     0,     0,     0,     0,
    1629,     0,  1554,  1569,  1570,  1630,  1572,     0,  1555,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1361,     0,     0,  1361,  1631,
       0,  1361,  1361,  1361,  2693,  1632,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1633,
       0,     0,     0,  1557,     0,     0,  1361,  1361,     0,  3585,
    1361,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   895,     0,     0,     0,     0,
    1361,     0,     0,     0,     0,     0,  1361,     0,     0,     0,
    3427,     0,     0,     0,  5221,     0,     0,  1361,     0,  5507,
       0,     0,     0,     0,  1572,  1123,     0,     0,   895,  1558,
    4817,     0,     0,  1361,     0,     0,  1559,     0,     0,  1560,
       0,     0,     0,     0,  4817,   980,   933,     0,   933,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1561,     0,   774,     0,
       0,     0,     0,     0,     0,     0,   774,     0,     0,   774,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   774,     0,     0,     0,     0,     0,     0,     0,     0,
     944,   980,  1562,  4325,     0,     0,     0,     0,  1710,  1710,
    1710,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     631,     0,     0,  1554,     0,     0,     0,   631,     0,  1555,
       0,     0,   631,     0,     0,   631,  5217,     0,     0,     0,
       0,     0,     0,     0,     0,   944,     0,     0,  2080,     0,
       0,  2081,     0,     0,     0,  2082,  2083,  2084,     0,  5011,
       0,  4374,     0,     0,   845,     0,     0,     0,     0,   845,
       0,     0,     0,  2584,  1557,  1663,     0,     0,  2793,  1564,
       0,     0,     0,  2585,     0,     0,     0,     0,   845,  1565,
    2586,     0,  5060,     0,     0,  5649,     0,     0,  1566,     0,
       0,     0,     0,     0,     0,     0,   933,   845,  4817,     0,
    1567,     0,     0,     0,     0,     0,  2587,     0,     0,     0,
     895,     0,     0,     0,     0,     0,     0,     0,     0,  4417,
    1558,   895,     0,     0,     0,     0,     0,  1559,     0,     0,
    1560,     0,     0,     0,  1361,     0,     0,   895,  1361,  3758,
    1361,     0,  1569,  1570,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1361,     0,     0,  1561,     0,     0,
       0,   632,     0,     0,  1361,     0,     0,  3783,  5718,     0,
       0,     0,     0,     0,  3759,  1361,     0,     0,     0,  4448,
    4448,     0,  1361,     0,     0,     0,     0,     0,     0,  4464,
       0,   895,     0,  1562,  1123,     0,  1123,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   895,     0,     0,   895,
     895,     0,     0,     0,     0,     0,     0,   845,     0,     0,
       0,  2588,     0,     0,     0,     0,  2589,     0,   774,  1361,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     895,   895,  4519,  1572,     0,  1361,     0,     0,     0,  2590,
    2271,  1361,  1361,     0,     0,     0,   933,   933,   933,   933,
       0,     0,     0,     0,     0,     0,  1663,     0,  5363,     0,
    1564,     0,  2591,     0,     0,     0,     0,  4555,  1123,     0,
    1565,     0,     0,     0,     0,     0,     0,  1361,     0,  1566,
       0,     0,     0,     0,     0,     0,   632,     0,     0,   631,
       0,  1567,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2331,     0,     0,     0,     0,     0,     0,
       0,   845,     0,     0,  3427,  1554,     0,  2592,     0,  2080,
    2593,  1555,  2081,     0,     0,     0,  2082,  2083,  2084,  1710,
    4277,     0,     0,  1569,  1570,     0,     0,     0,     0,   845,
    1710,     0,     0,  1710,  2584,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2585,     0,     0,     0,     0,     0,
       0,  2586,     0,     0,     0,  4278,  1557,  1361,   895,     0,
       0,     0,     0,     0,     0,     0,  1361,  1361,  1361,     0,
       0,     0,  1978,     0,     0,     0,  3740,  2587,     0,  1361,
       0,     0,     0,     0,     0,     0,     0,     0,  1361,     0,
    1361,     0,  1361,  5507,     0,     0,     0,     0,     0,  4817,
    2594,     0,     0,     0,     0,     0,     0,     0,     0,  1978,
       0,   980,  1558,     0,     0,     0,     0,     0,     0,  1559,
       0,  1361,  1560,     0,  1572,     0,     0,  4154,     0,   774,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  4161,     0,     0,     0,  1561,
       0,     0,     0,     0,     0,   631,  1978,  1978,  4708,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   631,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1562,   933,     0,     0,   631,
       0,     0,  2588,  4207,  4207,     0,     0,  2589,     0,     0,
    5980,     0,  2522,     0,     0,     0,     0,     0,     0,     0,
       0,  2523,  2524,  2525,  2526,  2527,  2528,  2529,  2530,  2531,
    2590,  2271,     0,     0,  5447,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1361,     0,     0,
       0,     0,     0,  2591,     0,   943,     0,     0,     0,     0,
    1361,     0,     0,     0,  5718,     0,     0,     0,  1663,     0,
    1361,     0,  1564,     0,     0,     0,     0,     0,     0,  3476,
    1361,     0,  1565,     0,     0,     0,     0,     0,     0,     0,
       0,  1566,     0,     0,  2331,     0,     0,   944,  2080,     0,
     943,  2081,     0,  1567,     0,  2082,  2083,  2084,  2592,     0,
       0,  2593,   933,     0,     0,     0,     0,     0,     0,  1978,
       0,     0,     0,  2584,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2585,     0,     0,     0,     0,     0,     0,
    2586,     0,  4337,     0,  2793,  1569,  1570,     0,     0,     0,
       0,  1361,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  4817,     0,   631,     0,     0,  2587,     0,     0,   944,
     944,  6099,     0,     0,     0,  1361,     0,  4338,     0,     0,
       0,   958,     0,  2080,     0,     0,  2081,  1978,  1978,  6109,
    2082,  2083,  2084,   992,  1361,  1361,  4464,     0,     0,     0,
    6115,  2594,     0,     0,  1011,     0,     0,     0,  2584,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2585,     0,
       0,     0,   933,     0,  4913,  2586,   631,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  4927,
       0,     0,  4928,     0,  4929,     0,  1572,     0,     0,     0,
       0,  2587,  5980,   933,   933,     0,     0,     0,  4817,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   632,  1361,     0,     0,
       0,  2588,     0,     0,     0,     0,  2589,     0,     0,     0,
    4969,  1361,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2522,     0,     0,  3783,  1361,     0,  2590,
    2271,  3783,  2523,  2524,  2525,  2526,  2527,  2528,  2529,  2530,
    2531,     0,     0,     0,     0,  5458,     0,     0,     0,     0,
       0,     0,  2591,  1710,     0,     0,     0,     0,     0,     0,
    6195,  6196,   632,  6200,  5718,     0,     0,  3476,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   933,
       0,  5812,  4817,     0,     0,     0,  2588,     0,     0,     0,
       0,  2589,     0,  2331,     0,   774,     0,     0,     0,     0,
       0,     0,     0,  4223,     0,     0,     0,  2592,     0,   631,
    2593,     0,     0,     0,  2590,  2271,     0,     0,  4498,     0,
       0,     0,  1361,   632,     0,     0,     0,  1361,     0,     0,
    5074,   632,     0,  4464,     0,     0,     0,  2591,     0,     0,
       0,     0,     0,   944,   944,     0,     0,  6262,     0,     0,
       0,     0,     0,     0,     0,   640,     0,     0,     0,     0,
       0,   689,   640,     0,     0,     0,     0,   741,     0,   640,
       0,     0,     0,     0,     0,   640,     0,   794,  2331,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3483,     0,  2592,     0,  2693,  3489,   856,   856,     0,     0,
    2594,     0,     0,     0,   631,     0,     0,     0,     0,  5123,
    5123,  5123,  5123,     0,  5123,  5123,  5123,  5123,  5123,     0,
       0,     0,     0,     0,     0,     0,     0,  2080,     0,     0,
    2081,     0,     0,     0,  2082,  2083,  2084,     0,  1524,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2584,   895,     0,     0,     0,     0,     0,   895,
       0,     0,  2585,     0,     0,     0,     0,     0,     0,  2586,
       0,     0,     0,  1525,     0,   774,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2594,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2587,     0,     0,     0,     0,
     895,     0,  2522,     0,     0,   631,     0,     0,     0,     0,
       0,  2523,  2524,  2525,  2526,  2527,  2528,  2529,  2530,  2531,
       0,     0,     0,     0,  5468,     0,     0,     0,     0,  5198,
       0,  5200,     0,     0,  1526,     0,     0,     0,  1031,     0,
       0,     0,     0,     0,  1063,     0,     0,   935,     0,     0,
       0,   939,     0,     0,     0,     0,     0,     0,     0,   982,
       0,     0,   984,     0,     0,   989,   990,     0,   993,     0,
     996,  1527,     0,  1002,     0,  1004,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2522,     0,     0,
       0,     0,   943,     0,     0,     0,  2523,  2524,  2525,  2526,
    2527,  2528,  2529,  2530,  2531,     0,     0,     0,     0,     0,
    2588,     0,     0,     0,     0,  2589,  1528,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2590,  2271,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1529,     0,   631,     0,  1530,     0,
       0,  2591,     0,  2080,   943,   943,  2081,     0,     0,     0,
    2082,  2083,  2084,     0,     0,     0,     0,     0,  1710,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2584,  1531,
    1532,     0,     0,     0,     0,     0,     0,     0,  2585,     0,
       0,     0,  2331,     0,     0,  2586,     0,     0,     0,     0,
     895,     0,     0,     0,     0,  1368,  2592,     0,     0,  2593,
       0,     0,     0,  1524,     0,     0,     0,     0,  1533,     0,
       0,  2587,    35,     0,  1391,     0,   701,  1534,     0,     0,
       0,  3196,     0,     0,     0,     0,  1535,   631,     0,     0,
       0,  5333,  5334,   631,     0,  1536,     0,     0,  1525,     0,
       0,     0,     0,  1537,  3783,     0,  3783,  3783,  3783,     0,
       0,  6161,     0,     0,     0,  1538,     0,     0,     0,     0,
       0,     0,     0,  2693,  1539,     0,     0,  2693,  1540,     0,
       0,     0,   704,  3197,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1449,     0,   705,  2594,
       0,     0,   774,     0,     0,     0,     0,     0,     0,  1526,
       0,     0,     0,     0,     0,     0,  1038,     0,     0,     0,
       0,     0,  5387,     0,     0,     0,     0,  6198,     0,     0,
     774,     0,     0,  1541,     0,     0,  2588,     0,     0,     0,
    3198,  2589,     0,  1585,   774,     0,  1527,   631,     0,     0,
       0,   708,     0,     0,     0,   774,     0,     0,     0,     0,
     709,  5415,     0,     0,  2590,  2271,     0,     0,     0,     0,
       0,     0,     0,   710,     0,     0,     0,     0,     0,  3199,
     895,     0,     0,     0,  1524,     0,     0,  2591,  6198,     0,
       0,  1528,     0,     0,     0,   895,  6247,     0,     0,     0,
     895,  2522,     0,     0,  5123,     0,  1041,     0,   943,   943,
    2523,  2524,  2525,  2526,  2527,  2528,  2529,  2530,  2531,  1525,
       0,     0,     0,  5523,     0,     0,     0,     0,  2331,  1529,
     895,  1202,  1203,  1530,     0,     0,     0,     0,     0,  3200,
       0,     0,  2592,     0,     0,  2593,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1846,     0,
       0,   714,     0,     0,  1595,  1532,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1526,     0,  1032,     0,     0,     0,     0,  1880,  1883,  1884,
       0,     0,     0,  1069,     0,     0,     0,  1073,     0,     0,
       0,     0,     0,  1596,  1086,  1087,     0,    35,  1093,     0,
    1097,  1098,  1534,     0,     0,     0,     0,  1527,     0,   774,
       0,  1535,     0,     0,     0,  1120,     0,     0,     0,     0,
    1536,     0,     0,     0,     0,  2594,   213,  3201,  1597,     0,
     719,     0,     0,  1133,     0,     0,     0,     0,     0,     0,
    1538,     0,     0,     0,     0,     0,     0,     0,     0,  1539,
       0,     0,  1528,  1540,  1161,     0,  1163,  1045,     0,     0,
    3202,  4464,   774,     0,     0,     0,  1179,   723,     0,     0,
       0,   945,   955,     0,   724,     0,     0,   725,     0,   945,
       0,   955,   945,     0,     0,     0,  1368,     0,     0,     0,
    1529,     0,     0,     0,  1530,   955,   726,     0,     0,   640,
       0,     0,     0,  1047,     0,     0,     0,  3783,  1541,     0,
     728,     0,     0,  1048,  1368,     0,  5595,   730,     0,     0,
       0,     0,     0,     0,     0,  1612,  1532,  2522,     0,     0,
       0,     0,  3203,     0,     0,     0,  2523,  2524,  2525,  2526,
    2527,  2528,  2529,  2530,  2531,     0,     0,     0,     0,  5559,
       0,     0,     0,     0,     0,     0,     0,     0,   735,     0,
       0,     0,     0,     0,  1613,     0,     0,     0,    35,  2693,
       0,     0,  3489,  1534,  3489,     0,     0,     0,     0,  2693,
     856,     0,  1535,     0,     0,     0,     0,     0,     0,     0,
       0,  1536,     0,     0,     0,     0,     0,     0,     0,  1614,
       0,     0,     0,     0,     0,     0,     0,     0,  1554,     0,
       0,  1538,     0,     0,  1555,     0,     0,     0,     0,     0,
    1539,  1621,     0,     0,  1540,     0,     0,     0,   895,     0,
       0,     0,     0,     0,     0,     0,   895,     0,     0,     0,
       0,     0,     0,  1622,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1557,
       0,  2693,     0,  2578,     0,  1515,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1541,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1623,     0,     0,     0,     0,  2080,
       0,     0,  2081,     0,     0,     0,  2082,  2083,  2084,     0,
       0,     0,     0,     0,     0,  1558,     0,   774,     0,     0,
       0,     0,  1559,   774,  2584,  1560,     0,     0,   774,     0,
       0,   895,     0,   895,  2585,     0,     0,     0,     0,  1694,
       0,  2586,     0,  2669,     0,     0,     0,     0,     0,  1123,
       0,     0,  1561,  5788,     0,  5305,  5306,     0,     0,     0,
    5309,  5310,     0,     0,  1815,     0,     0,  2587,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1827,
       0,  1828,     0,     0,  1624,     0,     0,     0,  1562,     0,
       0,  1831,     0,     0,     0,     0,     0,     0,  1841,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2787,   895,     0,     0,
       0,     0,     0,     0,     0,  2810,     0,     0,     0,     0,
       0,  1893,  1625,  1895,  2080,     0,  1626,  2081,     0,     0,
       0,  2082,  2083,  2084,     0,     0,  1710,     0,     0,     0,
       0,  1627,  1710,     0,     0,  1564,     0,  2848,     0,  2584,
       0,   895,     0,  2860,  2860,  1565,     0,  2860,     0,  2585,
       0,     0,  2588,     0,  1566,     0,  2586,  2589,     0,     0,
    2878,     0,     0,  2881,     0,  1628,  1567,     0,     0,  3489,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   955,
    2590,  2271,  2587,     0,     0,     0,     0,   640,     0,   640,
       0,   640,     0,   640,     0,   640,   640,   640,   955,     0,
       0,     0,   640,  2591,   955,  3686,     0,     0,  1569,  1570,
    1630,     0,     0,     0,  1999,     0,   955,     0,     0,  2934,
    1123,     0,     0,     0,  5942,     0,  5943,     0,     0,     0,
    5949,  5950,   955,  2954,  1631,     0,     0,   895,     0,     0,
    3687,     0,     0,     0,  2331,     0,   945,   955,     0,     0,
       0,     0,     0,   945,  1633,   955,   945,     0,  2592,  3489,
       0,  2593,     0,     0,     0,     0,     0,     0,     0,   955,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   955,
       0,   895,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  -136,  2588,     0,     0,
       0,     0,  2589,     0,     0,     0,     0,     0,     0,  1572,
       0,     0,     0,     0,     0,     0,     1,     0,     0,     0,
       0,     0,     0,     0,     0,  2590,  2271,     2,     0,     3,
       4,     0,   955,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2976,     0,     0,     0,     5,  2591,     0,
       0,  2594,     0,     0,  2979,     0,     0,     6,     0,     0,
     955,     0,     0,   895,     0,     0,     0,     0,     0,     7,
       0,     8,     9,     0,     0,     0,     0,     0,    10,     0,
      11,     0,     0,     0,     0,   955,     0,     0,     0,  2331,
       0,     0,    12,     0,    13,     0,  3023,  2860,   856,     0,
       0,     0,     0,  2592,     0,     0,  2593,     0,     0,     0,
       0,    14,   895,     0,    15,     0,     0,     0,     0,     0,
       0,  3058,     0,     0,     0,     0,     0,   774,  3071,    16,
       0,    17,     0,     0,     0,    18,     0,   895,     0,     0,
       0,    19,     0,     0,     0,     0,     0,   955,     0,    20,
       0,    21,     0,  2522,     0,     0,     0,     0,    22,     0,
       0,     0,  2523,  2524,  2525,  2526,  2527,  2528,  2529,  2530,
    2531,     0,     0,     0,     0,  5561,    23,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1123,  2080,     0,    24,  2081,     0,  2594,     0,  2082,  2083,
    2084,  3132,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2584,     0,  2755,     0,
       0,     0,     0,     0,     0,     0,  2585,     0,     0,     0,
       0,     0,     0,  2586,  1368,  1368,     0,     0,     0,     0,
       0,     0,    25,    26,     0,     0,     0,     0,    27,     0,
       0,  3186,     0,     0,  3188,     0,     0,  1797,     0,  2587,
       0,     0,    28,     0,   955,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   945,     0,     0,     0,   945,
      29,   945,     0,     0,     0,     0,     0,     0,     0,     0,
    2847,     0,     0,     0,     0,  2693,     0,     0,  2522,     0,
       0,     0,     0,     0,     0,     0,     0,  2523,  2524,  2525,
    2526,  2527,  2528,  2529,  2530,  2531,     0,     0,     0,     0,
    5600,     0,     0,     0,    30,     0,     0,     0,     0,     0,
       0,  6225,     0,     0,     0,  2547,     0,     0,    31,     0,
       0,     0,     0,     0,    32,    33,     0,    34,     0,     0,
       0,     0,    35,     0,     0,     0,     0,     0,    36,     0,
       0,    37,     0,     0,  2080,     0,     0,  2081,    38,     0,
       0,  2082,  2083,  2084,  2588,    39,    40,  6225,     0,  2589,
       0,     0,     0,    41,     0,     0,  3489,    42,   955,  2584,
       0,     0,     0,     0,     0,  6225,     0,    43,  5198,  2585,
       0,     0,  2590,  2271,     0,     0,  2586,     0,     0,     0,
       0,     0,     0,    44,  3489,   774,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2591,     0,     0,     0,     0,
       0,     0,  2587,    45,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,    46,     0,     0,     0,     0,   955,
      47,     0,     0,     0,     0,    48,     0,     0,     0,     0,
     955,     0,     0,     0,     0,     0,  2331,     0,    49,     0,
       0,     0,     0,     0,     0,     0,     0,   955,     0,     0,
    2592,     0,   955,  2593,     0,     0,     0,     0,     0,     0,
       0,     0,    50,     0,    51,    52,    53,    54,    55,     0,
       0,     0,     0,     0,     0,     0,  2978,     0,     0,     0,
       0,    56,     0,     0,  -136,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3014,     0,     0,     0,     0,     0,  2588,     0,     0,
       0,     0,  2589,     0,     0,     0,   895,     0,     0,     0,
       0,  -136,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2594,     0,  2590,  2271,     0,     0,     0,
       0,     1,     0,     0,     0,     0,     0,  3079,     0,     0,
       0,     0,     2,     0,     3,     4,     0,     0,  2591,     0,
       0,     0,     0,  3489,     0,     0,  5936,  3097,  2693,     0,
       0,   955,     5,     0,     0,     0,     0,     0,     0,   955,
     955,     0,     6,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3117,     7,  3118,     8,     9,     0,  2331,
       0,     0,     0,    10,     0,    11,     0,     0,     0,     0,
    3127,     0,  3128,  2592,     0,     0,  2593,    12,   640,    13,
     640,     0,   640,     0,   640,     0,   640,     0,     0,     0,
     640,     0,  1797,     0,     0,  2522,    14,     0,   893,    15,
       0,     0,     0,     0,  2523,  2524,  2525,  2526,  2527,  2528,
    2529,  2530,  2531,     0,    16,     0,    17,  5919,     0,     0,
      18,     0,  2080,     0,     0,  2081,    19,  3187,     0,  2082,
    2083,  2084,     0,     0,    20,     0,    21,     0,     0,     0,
       0,     0,     0,    22,     0,     0,     0,  2584,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2585,     0,     0,
       0,    23,  2080,     0,  2586,  2081,  2594,     0,     0,  2082,
    2083,  2084,     0,     0,     0,     0,     0,     0,    24,     0,
       0,     0,     0,   895,     0,     0,     0,  2584,     0,     0,
    2587,     0,     0,     0,     0,     0,     0,  2585,     0,     0,
       0,     0,     0,     0,  2586,     0,  3367,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3372,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,    25,    26,     0,
    2587,     0,     0,    27,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1449,     0,    28,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,    29,     0,     0,  2522,     0,
       0,     0,     0,     0,     0,     0,     0,  2523,  2524,  2525,
    2526,  2527,  2528,  2529,  2530,  2531,     0,     0,     0,     0,
    5930,     0,  1449,  1449,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2588,     0,     0,   895,    30,
    2589,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,    31,     0,     0,  1368,     0,     0,    32,
      33,     0,    34,  2590,  2271,     0,     0,    35,     0,     0,
       0,   955,     0,    36,     0,  2588,    37,     0,     0,   895,
    2589,     0,     0,    38,     0,     0,  2591,     0,     0,     0,
      39,    40,     0,     0,     0,     0,     0,     0,    41,     0,
       0,   895,    42,  2590,  2271,     0,     0,     0,     0,     0,
       0,     0,    43,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2591,  2331,    44,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2592,     0,     0,  2593,     0,     0,     0,    45,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,    46,
       0,     0,     0,     0,     0,    47,     0,  2331,     0,     0,
      48,     0,     0,   895,     0,     0,     0,  6224,     0,     0,
       0,  2592,     0,    49,  2593,     0,   955,     0,     0,     0,
    3587,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3609,     0,    50,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1797,     0,  6224,     0,     0,    56,  3637,     0,  -136,
       0,     0,     0,     0,  2594,     0,     0,     0,     0,     0,
       0,  6224,     0,     0,   955,     0,     0,     0,     0,     0,
       0,     0,   955,     0,     0,     0,     0,     0,     0,     0,
     955,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2594,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  5419,     0,   895,     0,     0,     0,     0,     0,
       0,   945,   945,     0,   955,   955,     0,     0,     0,     0,
       0,     0,     0,  3715,  3716,     0,   945,     0,   955,   945,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   955,   955,     0,     0,     0,  2522,     0,     0,     0,
       0,     0,     0,     0,     0,  2523,  2524,  2525,  2526,  2527,
    2528,  2529,  2530,  2531,     0,     0,     0,     0,  5952,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   945,
       0,     0,     0,   945,   945,     0,  2522,     0,     0,     0,
       0,     0,     0,     0,     0,  2523,  2524,  2525,  2526,  2527,
    2528,  2529,  2530,  2531,     0,     0,     0,     0,  6143,     0,
       0,     0,     0,     0,  2080,     0,     0,  2081,     0,     0,
       0,  2082,  2083,  2084,     0,  3841,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   895,  2584,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2585,
       0,     0,     0,     0,     0,     0,  2586,     0,  2080,     0,
       0,  2081,     0,     0,     0,  2082,  2083,  2084,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2587,  2584,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2585,   893,     0,     0,  1797,     0,     0,
    2586,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3489,     0,     0,     0,     0,     0,     0,     0,     0,
     893,     0,     0,     0,     0,     0,  2587,     0,     0,     0,
       0,     0,     0,     0,  3479,  3480,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3495,  3496,     0,  3498,  3499,     0,     0,
       0,  3502,  3503,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3514,     0,     0,     0,
       0,     0,     0,     0,  3524,     0,     0,     0,  3527,  3528,
       0,     0,  3531,  3532,     0,     0,     0,  2588,     0,  3537,
       0,     0,  2589,     0,     0,     0,     0,     0,     0,     0,
       0,  3552,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3569,     0,  2590,  2271,     0,  3571,     0,
       0,     0,     0,  3489,     0,     0,     0,     0,     0,     0,
       0,  2588,     0,  3577,     0,     0,  2589,     0,  2591,     0,
       0,     0,  3584,     0,     0,  3588,     0,  3590,  3593,  3595,
       0,     0,     0,   893,  3603,  3606,     0,     0,     0,  2590,
    2271,     0,     0,     0,  3619,     0,     0,     0,     0,     0,
    3629,     0,     0,     0,  3632,     0,     0,     0,     0,  2331,
       0,     0,  2591,     0,     0,     0,  3642,  3643,     0,     0,
       0,  3648,     0,  2592,     0,     0,  2593,  3657,  3658,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3667,     0,     0,  3668,     0,     0,     0,     0,     0,
       0,  3680,  3681,  2331,     0,     0,     0,  3685,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2592,     0,  3692,
    2593,     0,  3695,     0,     0,     0,     0,  3698,     0,     0,
       0,     0,     0,  3701,  3702,  4146,     0,   895,     0,     0,
       0,  3708,   895,   895,     0,  3710,     0,     0,     0,  3717,
    3718,  3719,  3720,     0,  3722,     0,  1449,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2594,     0,  3748,  3749,
       0,  3751,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3761,  3762,  3763,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   893,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   893,     0,     0,
    2594,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   893,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2080,     0,     0,  2081,     0,  3815,
       0,  2082,  2083,  2084,     0,     0,     0,  3839,     0,     0,
       0,     0,     0,     0,     0,  5419,   895,     0,     0,  2584,
       0,     0,     0,     0,     0,     0,  3851,     0,  2522,  2585,
       0,     0,     0,     0,     0,     0,  2586,  2523,  2524,  2525,
    2526,  2527,  2528,  2529,  2530,  2531,     0,     0,     0,     0,
    6160,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2587,     0,     0,   895,     0,     0,     0,     0,
       0,     0,  2522,     0,     0,     0,  3919,     0,     0,     0,
       0,  2523,  2524,  2525,  2526,  2527,  2528,  2529,  2530,  2531,
       0,     0,     0,     0,  6202,  3933,     0,  3935,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     893,     0,     0,     0,     0,     0,  1797,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2588,     0,     0,
       0,     0,  2589,     0,     0,  4358,     0,     0,     0,     0,
       0,     0,  3997,     0,     0,  2860,     0,     0,     0,     0,
       0,   955,     0,     0,     0,  2590,  2271,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   955,
       0,     0,     0,   955,     0,     0,     0,   955,  2591,     0,
       0,     0,     0,     0,     0,     0,   955,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   955,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2331,
       0,     0,   945,     0,   945,   945,   954,     0,     0,     0,
       0,     0,     0,  2592,     0,   954,  2593,     0,     0,   955,
       0,     0,     0,     0,     0,     0,  2563,     0,     0,   954,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   955,
     955,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1797,   955,     0,     0,  1797,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  4489,  4490,  4491,     0,
       0,     0,     0,     0,   884,     0,     0,     0,   955,     0,
    1797,     0,     0,  4500,   955,     0,  2594,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   955,     0,
       0,     0,     0,     0,     0,   955,     0,   893,   955,     0,
       0,     0,     0,     0,   955,     0,  4525,  4527,     0,     0,
       0,  4532,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   955,     0,     0,     0,     0,     0,
     955,     0,     0,     0,     0,     0,     0,   955,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   955,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   893,   955,     0,     0,     0,     0,
    1797,     0,     0,     0,     0,     0,   955,     0,  2522,     0,
       0,     0,     0,     0,     0,     0,     0,  2523,  2524,  2525,
    2526,  2527,  2528,  2529,  2530,  2531,     0,     0,  2974,     0,
       0,     0,  4249,     0,     0,   893,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1368,     0,     0,
       0,     0,     0,  4262,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1797,     0,   893,     0,
    4269,     0,     0,     0,  4269,     0,     0,     0,     0,  4280,
    4281,  4282,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1710,     0,     0,   886,     0,     0,
       0,     0,     0,     0,     0,  4312,  4313,  4314,  4315,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2080,     0,  4336,  2081,  4340,  4341,  4342,  2082,  2083,
    2084,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2584,     0,     0,     0,
    3434,     0,     0,     0,     0,     0,  2585,     0,     0,     0,
       0,     0,     0,  2586,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    4738,  4739,  4740,     0,     0,     0,     0,     0,     0,  2587,
       0,   955,     0,  1797,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     955,     0,  2080,   954,     0,  2081,     0,   955,     0,  2082,
    2083,  2084,     0,     0,   945,     0,   945,   945,     0,     0,
     893,     0,   954,     0,     0,     0,     0,  2584,   954,     0,
    3435,   893,     0,  4425,     0,     0,     0,  2585,     0,     0,
     954,     0,  4431,     0,  2586,     0,     0,   893,     0,     0,
       0,     0,     0,     0,     0,     0,   954,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  4441,  4442,
    2587,   954,     0,  4443,     0,     0,     0,     0,     0,   954,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   954,  2588,  4485,     0,     0,     0,  2589,
    1797,   893,     0,   954,     0,     0,  1797,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   893,     0,     0,   893,
     893,     0,  2590,  2271,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2591,     0,  4522,     0,     0,
     893,   893,  4528,     0,     0,     0,   954,     0,  4534,     0,
    4075,     0,     0,     0,     0,     0,  4076,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   954,  2588,  2331,     0,  4573,     0,
    2589,   955,     0,     0,     0,     0,     0,     0,     0,     0,
    2592,     0,     0,  2593,     0,     0,     0,     0,     0,   954,
       0,     0,     0,  2590,  2271,     0,     0,  4588,     0,  4589,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2591,   887,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   954,  2080,     0,     0,  2081,     0,  2331,     0,  2082,
    2083,  2084,     0,     0,     0,     0,     0,     0,   893,     0,
       0,  2592,     0,  2594,  2593,     0,     0,  2584,     0,  5004,
       0,     0,     0,     0,     0,     0,     0,  2585,     0,     0,
     884,     0,     0,     0,  2586,     0,     0,     0,     0,     0,
       0,     0,   955,   955,     0,     0,     0,     0,     0,     0,
       0,  5036,     0,     0,     0,     0,   884,     0,     0,     0,
    2587,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     955,     0,     0,   955,  3436,     0,     0,     0,     0,     0,
       0,     0,     0,  3071,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1796,     0,     0,  4077,     0,     0,     0,   954,     0,
       0,     0,     0,     0,     0,  2522,     0,     0,  5094,     0,
       0,     0,     0,     0,  2523,  2524,  2525,  2526,  2527,  2528,
    2529,  2530,  2531,     0,     0,  3132,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1797,  1797,  1797,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     955,     0,     0,     0,     0,  2588,     0,     0,     0,     0,
    2589,     0,     0,     0,     0,     0,     0,     0,     0,   955,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   884,
       0,     0,     0,  2590,  2271,     0,  2522,     0,     0,     0,
       0,   955,     0,     0,     0,  2523,  2524,  2525,  2526,  2527,
    2528,  2529,  2530,  2531,     0,     0,  2591,     0,     0,     0,
       0,     0,   954,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   886,     0,     0,     0,     0,     0,     0,
       0,     0,  4822,     0,     0,  4829,     0,  4830,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2331,     0,   886,
    4837,     0,     0,     0,     0,     0,     0,  5193,  5194,  5195,
    5196,  2592,  4843,     0,  2593,     0,  4846,     0,     0,     0,
       0,     0,     0,   954,     0,     0,     0,     0,     0,   955,
       0,     0,     0,     0,   954,  4873,     0,     0,     0,  4699,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   954,     0,  4877,     0,     0,   954,     0,     0,     0,
       0,  4881,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1797,     0,     0,     0,
       0,     0,   955,     0,   955,     0,  4916,     0,     0,     0,
    4920,     0,   884,     0,     0,     0,     0,   955,     0,   955,
       0,     0,     0,   884,  2594,  4930,  4931,  4932,  4933,     0,
       0,     0,     0,     0,     0,  4937,  4938,  4939,  4940,   884,
       0,  4700,     0,     0,  4942,  4943,     0,     0,     0,     0,
    4950,  4951,     0,  4953,  4954,  4955,  4956,  4957,  4958,  4959,
       0,     0,   886,     0,     0,     0,     0,     0,     0,  4968,
       0,     0,     0,  4971,  4972,  4973,  4974,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   955,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  4269,     0,     0,
       0,     0,     0,     0,     0,   954,     0,     0,     0,     0,
       0,     0,     0,   954,   954,  4994,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2522,     0,   955,     0,
       0,     0,     0,     0,     0,  2523,  2524,  2525,  2526,  2527,
    2528,  2529,  2530,  2531,     0,  2080,     0,   955,  2081,     0,
       0,   955,  2082,  2083,  2084,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1796,     0,     0,     0,
    2584,     0,   955,     0,     0,     0,     0,     0,     0,     0,
    2585,     0,     0,     0,     0,     0,     0,  2586,     0,     0,
       0,  5075,     0,     0,     0,     0,   884,     0,     0,     0,
       0,     0,  2080,     0,     0,  2081,     0,     0,     0,  2082,
    2083,  2084,     0,  2587,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  4269,   886,     0,  2584,     0,     0,
    4006,  5100,     0,  5101,     0,     0,   886,  2585,     0,     0,
       0,     0,     0,     0,  2586,     0,     0,     0,     0,     0,
       0,     0,   886,     0,     0,     0,     0,     0,     0,     0,
     893,  5116,     0,   887,   893,   893,     0,     0,     0,     0,
    2587,     0,     0,  5414,     0,     0,     0,  1797,     0,     0,
       0,     0,     0,     0,  5424,     0,     0,     0,     0,   887,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  6006,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   893,     0,     0,     0,     0,  2588,   893,
       0,     0,     0,  2589,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2590,  2271,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     893,     0,     0,     0,     0,     0,     0,     0,     0,  2591,
       0,     0,     0,     0,     0,  2588,     0,     0,     0,     0,
    2589,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   886,
       0,     0,     0,  2590,  2271,   954,     0,     0,     0,     0,
    2331,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   887,     0,  2592,     0,  2591,  2593,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   884,     0,     0,     0,   955,     0,     0,
    6007,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2331,     0,  5266,
    5267,  5268,     0,     0,     0,  5269,  5270,  5271,  5272,     0,
       0,  2592,  5274,     0,  2593,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1797,     0,
       0,     0,     0,  1797,     0,  1797,     0,     0,     0,     0,
     884,     0,     0,     0,     0,     0,     0,  2594,     0,     0,
     954,  5297,  5298,  5299,  5300,  5301,     0,  5303,  5304,     0,
       0,  1797,     0,     0,     0,     0,     0,     0,     0,  5313,
    5314,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   884,  5615,     0,     0,  1796,     0,  1368,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     893,     0,     0,  5320,  2594,     0,  5645,   955,   954,     0,
     955,     0,     0,     0,   884,   887,   954,     0,     0,     0,
       0,     0,     0,     0,   954,     0,   887,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   889,     0,
       0,     0,   887,     0,     0,     0,     0,     0,     0,  2522,
       0,     0,     0,     0,     0,     0,     0,     0,  2523,  2524,
    2525,  2526,  2527,  2528,  2529,  2530,  2531,     0,   954,   954,
       0,     0,     0,   893,     0,     0,     0,   893,     0,     0,
       0,     0,   954,     0,     0,     0,   886,     0,     0,     0,
       0,     0,     0,     0,     0,   954,   954,     0,     0,     0,
     955,   955,     0,     0,     0,  5385,  2522,     0,     0,     0,
       0,   955,     0,     0,     0,  2523,  2524,  2525,  2526,  2527,
    2528,  2529,  2530,  2531,     0,     0,     0,     0,   955,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  5749,     0,     0,     0,     0,
       0,     0,     0,   886,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    5436,     0,     0,     0,     0,     0,     0,     0,     0,  2080,
     893,     0,  2081,     0,     0,     0,  2082,  2083,  2084,     0,
       0,     0,     0,     0,   886,   893,     0,     0,     0,   887,
     893,     0,  5442,     0,  2584,     0,   884,     0,     0,   955,
       0,     0,  1797,     0,  2585,     0,     0,   884,     0,     0,
       0,  2586,     0,     0,     0,     0,     0,   886,     0,     0,
     893,     0,     0,   884,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2587,     0,  5825,
       0,  1796,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  5847,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   884,     0,     0,
       0,     0,     0,     0,     0,   640,     0,     0,     0,     0,
       0,     0,   884,     0,     0,   884,   884,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   884,   884,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2588,  5548,     0,     0,     0,  2589,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  5558,     0,     0,     0,     0,     0,  5564,  5565,
    2590,  2271,     0,     0,     0,     0,     0,     0,  5576,     0,
       0,     0,     0,     0,     0,  5578,     0,     0,     0,     0,
       0,     0,     0,  2591,     0,     0,     0,     0,     0,   886,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     886,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  5631,  5632,     0,     0,   886,     0,     0,   955,
       0,     0,     0,     0,  2331,  5640,   887,  5642,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2592,     0,
       0,  2593,  5656,     0,   884,     0,   890,     0,     0,   893,
       0,     0,   893,     0,   893,     0,     0,     0,     0,   893,
       0,     0,     0,     0,   955,     0,     0,  4269,     0,     0,
     886,     0,     0,     0,     0,  5690,   955,     0,     0,     0,
       0,     0,     0,     0,     0,   886,     0,     0,   886,   886,
       0,     0,     0,   887,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   893,     0,
     955,     0,     0,     0,     0,     0,   893,     0,     0,   886,
     886,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2594,     0,     0,   887,     0,     0,     0,     0,     0,
       0,   893,     0,     0,     0,     0,     0,     0,     0,  5732,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   887,     0,     0,
       0,     0,     0,     0,  5752,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  5760,     0,  1797,     0,
       0,     0,  2080,     0,     0,  2081,     0,     0,     0,  2082,
    2083,  2084,     0,     0,     0,     0,     0,   955,     0,     0,
       0,   893,     0,   893,     0,     0,     0,  2584,     0,     0,
    4080,     0,     0,     0,     0,     0,     0,  2585,     0,     0,
       0,     0,  4015,  2522,  2586,     0,     0,     0,     0,     0,
       0,     0,  2523,  2524,  2525,  2526,  2527,  2528,  2529,  2530,
    2531,     0,     0,     0,  5818,     0,     0,   886,     0,     0,
    2587,     0,     0,     0,   889,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2080,   892,     0,  2081,     0,     0,
       0,  2082,  2083,  2084,     0,     0,     0,     0,     0,     0,
     889,     0,     0,   955,     0,     0,     0,     0,     0,  2584,
       0,     0,     0,     0,     0,     0,     0,   893,     0,  2585,
       0,     0,     0,     0,     0,     0,  2586,     0,     0,     0,
       0,     0,     0,     0,  4269,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1796,  2080,  2587,     0,  2081,     0,     0,     0,  2082,  2083,
    2084,   893,     0,     0,     0,     0,     0,     0,     0,   887,
       0,     0,     0,     0,     0,     0,  2584,     0,     0,     0,
     887,     0,     0,     0,     0,  2588,  2585,     0,     0,   893,
    2589,     0,     0,  2586,     0,     0,   887,     0,     0,     0,
    5917,     0,     0,     0,     0,   954,     0,     0,     0,     0,
       0,     0,     0,  2590,  2271,  5931,     0,     0,     0,  2587,
       0,     0,     0,   954,     0,     0,     0,   954,   955,     0,
     955,   954,     0,     0,     0,     0,  2591,     0,     0,     0,
     954,     0,     0,   889,     0,     0,     0,     0,     0,     0,
     887,     0,     0,     0,     0,     0,     0,   893,     0,   954,
       0,     0,     0,     0,     0,   887,     0,  2588,   887,   887,
       0,     0,  2589,  5970,     0,     0,     0,  2331,     0,   893,
     955,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     945,  2592,     0,   954,  2593,  2590,  2271,     0,     0,   887,
     887,   893,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   954,   954,  4085,     0,     0,  2591,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1797,     0,     0,     0,  2588,   945,     0,     0,     0,  2589,
       0,     0,     0,     0,  1796,   954,     0,     0,  1796,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2331,
       0,     0,  2590,  2271,     0,     0,     0,     0,  6045,     0,
       0,     0,   954,  2592,  1796,     0,  2593,     0,   954,     0,
       0,     0,     0,   893,  2594,  2591,   894,     0,     0,     0,
       0,     0,   954,     0,     0,  4048,     0,     0,     0,   954,
    6058,     0,   954,     0,     0,     0,   889,     0,   954,     0,
       0,  6068,     0,     0,     0,     0,     0,   889,     0,     0,
       0,     0,     0,     0,     0,     0,  2331,     0,   954,     0,
       0,     0,   893,   889,   954,     0,     0,   887,     0,     0,
    2592,   954,     0,  2593,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   954,   884,   893,     0,     0,
     884,   884,     0,     0,     0,     0,  2594,     0,     0,   954,
       0,     0,     0,     0,  1796,     0,     0,     0,     0,     0,
     954,     0,     0,     0,     0,   197,  2522,     0,     0,     0,
       0,     0,     0,     0,     0,  2523,  2524,  2525,  2526,  2527,
    2528,  2529,  2530,  2531,     0,     0,     0,     0,     0,     0,
       0,     0,   890,     0,  6137,     0,     0,     0,     0,   884,
       0,     0,     0,     0,     0,   884,     0,     0,     0,     0,
       0,     0,     0,  2594,     0,     0,   198,     0,   890,     0,
    1796,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   199,   955,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   884,   955,  2522,     0,
     200,     0,     0,     0,     0,     0,   201,  2523,  2524,  2525,
    2526,  2527,  2528,  2529,  2530,  2531,     0,     0,     0,     0,
     889,     0,     0,     0,   202,  2080,     0,     0,  2081,  1797,
       0,     0,  2082,  2083,  2084,   203,     0,     0,     0,     0,
       0,     0,     0,     0,   204,   893,     0,     0,     0,     0,
    2584,     0,     0,  4092,     0,     0,     0,   205,     0,     0,
    2585,     0,     0,   206,     0,  2522,     0,  2586,     0,     0,
     207,     0,     0,     0,  2523,  2524,  2525,  2526,  2527,  2528,
    2529,  2530,  2531,     0,     0,     0,     0,     0,     0,     0,
     208,     0,     0,  2587,     0,     0,     0,     0,     0,   886,
       0,     0,     0,   886,   886,     0,     0,     0,     0,     0,
       0,   890,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   209,     0,   954,     0,  1796,     0,     0,
    1797,     0,     0,     0,     0,     0,   893,     0,     0,     0,
       0,     0,     0,     0,   954,   210,     0,     0,     0,     0,
       0,   954,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   886,     0,   893,     0,     0,     0,   886,     0,
       0,   892,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   211,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1797,   892,   955,     0,
       0,     0,     0,     0,     0,     0,   884,     0,  2588,   886,
     212,     0,     0,  2589,     0,     0,     0,     0,     0,     0,
     213,   214,     0,     0,   215,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2590,  2271,     0,     0,
       0,     0,     0,     0,  1796,     0,     0,     0,     0,     0,
    1796,   216,     0,     0,   217,     0,     0,     0,   218,  2591,
       0,   219,     0,     0,     0,     0,     0,     0,   220,     0,
       0,   221,     0,     0,   890,     0,     0,   889,     0,   884,
       0,     0,     0,   884,     0,   890,     0,     0,     0,     0,
     222,     0,     0,     0,     0,     0,     0,   223,     0,     0,
    2331,   890,   224,     0,   225,     0,   893,   226,     0,     0,
       0,   227,     0,     0,  2592,     0,     0,  2593,     0,     0,
       0,   228,     0,   955,     0,     0,   229,     0,     0,     0,
       0,     0,     0,     0,     0,   954,     0,   945,     0,   230,
     892,     0,     0,     0,   889,     0,     0,     0,     0,     0,
     955,     0,   231,   893,     0,     0,     0,     0,   893,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   889,   884,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   884,     0,     0,     0,     0,   884,  2594,     0,   945,
     945,     0,     0,     0,     0,     0,     0,     0,   889,   886,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   884,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   890,     0,
       0,     0,     0,     0,     0,     0,   954,   954,   955,   887,
       0,     0,   894,   887,   887,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   886,     0,   954,     0,   886,   954,   894,     0,
       0,     0,     0,   892,     0,     0,     0,     0,     0,  2522,
       0,     0,     0,   893,   892,     0,     0,     0,  2523,  2524,
    2525,  2526,  2527,  2528,  2529,  2530,  2531,     0,     0,     0,
     892,     0,   887,     0,     0,     0,     0,     0,   887,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1796,
    1796,  1796,     0,     0,     0,     0,     0,     0,     0,   887,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   954,     0,     0,     0,  2080,   886,
       0,  2081,     0,     0,     0,  2082,  2083,  2084,     0,  1797,
     889,     0,     0,   954,   886,     0,     0,     0,     0,   886,
       0,   889,     0,  2584,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2585,     0,   954,     0,   889,   893,     0,
    2586,   894,     0,     0,     0,     0,     0,     0,     0,   886,
       0,     0,     0,     0,     0,  1797,     0,     0,     0,     0,
       0,     0,     0,   945,   945,     0,  2587,     0,     0,     0,
       0,     0,     0,  1797,     0,     0,     0,     0,     0,   893,
       0,     0,     0,     0,     0,   884,     0,   892,   884,     0,
     884,   889,     0,     0,     0,   884,     0,     0,     0,     0,
       0,   893,     0,     0,     0,     0,   889,     0,     0,   889,
     889,     0,     0,     0,     0,   890,     0,     0,     0,     0,
       0,     0,     0,   954,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     889,   889,     0,     0,   884,     0,     0,     0,     0,     0,
       0,     0,   884,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1796,     0,     0,   893,     0,     0,   954,   884,   954,     0,
       0,  2588,   890,     0,     0,     0,  2589,     0,     0,   887,
       0,   954,     0,   954,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   894,     0,     0,     0,     0,  2590,
    2271,     0,     0,     0,     0,   894,     0,     0,     0,     0,
       0,     0,     0,   890,     0,     0,     0,     0,     0,     0,
       0,   894,  2591,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   884,     0,   884,
       0,     0,     0,     0,     0,     0,   890,     0,     0,     0,
     954,     0,   887,     0,     0,     0,   887,     0,     0,     0,
       0,     0,     0,  2331,     0,     0,     0,     0,   889,     0,
       0,     0,     0,     0,     0,     0,     0,  2592,     0,     0,
    2593,     0,     0,     0,   893,     0,     0,     0,   886,     0,
       0,   886,   954,   886,     0,     0,     0,     0,   886,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   954,     0,     0,     0,   954,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   884,   892,     0,   954,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   886,     0,     0,
       0,     0,     0,     0,     0,   886,     0,     0,     0,   887,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2594,     0,     0,     0,   887,     0,     0,   884,   894,   887,
     886,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   892,     0,  4633,     0,   884,     0,     0,     0,   887,
       0,     0,  2080,     0,     0,  2081,     0,     0,   893,  2082,
    2083,  2084,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2584,   890,     0,
    4706,  1796,   892,     0,     0,     0,     0,  2585,     0,   890,
     886,     0,   886,     0,  2586,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   890,     0,     0,     0,     0,
       0,     0,  2522,   884,     0,   892,     0,     0,     0,     0,
    2587,  2523,  2524,  2525,  2526,  2527,  2528,  2529,  2530,  2531,
       0,   893,     0,     0,     0,   884,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2080,     0,     0,
    2081,     0,     0,     0,  2082,  2083,  2084,   884,     0,   890,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2584,     0,   890,     0,     0,   890,   890,     0,
       0,     0,  2585,     0,     0,     0,   886,     0,     0,  2586,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   890,   890,
       0,     0,     0,     0,     0,  2587,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     886,     0,     0,     0,     0,  2588,     0,     0,     0,   884,
    2589,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   893,     0,     0,     0,     0,   886,     0,
       0,   954,     0,  2590,  2271,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   894,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2591,     0,   884,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   887,     0,
       0,   887,     0,   887,     0,     0,     0,   892,   887,     0,
       0,  5150,  1796,   884,     0,     0,     0,  1796,   892,  1796,
       0,     0,     0,     0,     0,     0,   886,  2331,     0,     0,
    2588,     0,     0,     0,   892,  2589,     0,     0,     0,     0,
       0,  2592,   894,     0,  2593,  1796,   890,  2080,   886,     0,
    2081,     0,     0,     0,  2082,  2083,  2084,   887,  2590,  2271,
       0,     0,     0,     0,     0,   887,     0,     0,     0,     0,
     886,     0,  2584,     0,     0,     0,     0,     0,     0,     0,
       0,  2591,  2585,   894,     0,     0,     0,   893,   892,  2586,
     887,   954,   893,   893,   954,     0,     0,     0,     0,     0,
       0,     0,     0,   892,     0,     0,   892,   892,     0,     0,
       0,     0,     0,     0,     0,  2587,   894,     0,     0,     0,
       0,     0,  2331,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2594,     0,  2592,   892,   892,  2593,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   886,     0,     0,     0,     0,     0,     0,     0,
     887,     0,   887,     0,     0,     0,     0,     0,     0,     0,
       0,   884,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   954,   954,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   954,     0,     0,     0,     0,
       0,   886,     0,     0,     0,     0,   893,     0,     0,     0,
     889,  5156,   954,     0,   889,   889,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   886,     0,     0,  2594,
    2588,     0,     0,     0,     0,  2589,  2522,     0,     0,     0,
       0,     0,     0,     0,     0,  2523,  2524,  2525,  2526,  2527,
    2528,  2529,  2530,  2531,     0,   893,   887,     0,  2590,  2271,
       0,     0,   884,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   889,     0,   892,     0,     0,     0,   889,
       0,  2591,     0,     0,     0,     0,     0,     0,     0,     0,
     884,     0,     0,   954,     0,     0,  1796,     0,     0,     0,
     887,     0,     0,     0,     0,     0,     0,     0,   894,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   894,
     889,     0,  2331,     0,     0,     0,     0,     0,   887,     0,
       0,  2522,     0,     0,     0,   894,  2592,     0,     0,  2593,
    2523,  2524,  2525,  2526,  2527,  2528,  2529,  2530,  2531,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   886,     0,     0,     0,     0,   894,
       0,     0,     0,     0,     0,     0,   887,     0,     0,     0,
       0,     0,     0,     0,   894,     0,     0,   894,   894,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   887,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2594,
       0,     0,   884,     0,     0,     0,     0,     0,   894,   894,
     887,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   886,     0,     0,     0,   884,
       0,     0,     0,     0,   884,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   886,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   887,     0,     0,     0,     0,     0,     0,     0,
     889,  2522,     0,   954,     0,     0,     0,     0,     0,     0,
    2523,  2524,  2525,  2526,  2527,  2528,  2529,  2530,  2531,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   887,     0,     0,     0,     0,   894,     0,   954,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     954,  2080,     0,     0,  2081,     0,   887,     0,  2082,  2083,
    2084,     0,     0,   889,     0,     0,     0,   889,     0,     0,
       0,     0,     0,     0,     0,     0,  2584,     0,     0,     0,
       0,     0,     0,     0,   954,     0,  2585,     0,     0,     0,
       0,     0,     0,  2586,     0,     0,     0,     0,     0,   884,
       0,     0,     0,     0,     0,   886,     0,     0,   890,     0,
       0,     0,   890,   890,     0,     0,     0,     0,     0,  2587,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1343,  1343,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   886,     0,     0,     0,     0,   886,     0,     0,
       0,     0,  1796,     0,     0,     0,     0,     0,     0,     0,
     889,   890,     0,     0,     0,     0,     0,   890,     0,     0,
       0,   954,     0,     0,     0,   889,     0,     0,     0,     0,
     889,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  5157,
       0,     0,     0,     0,   887,     0,     0,  1343,   890,     0,
     889,     0,     0,     0,   884,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2588,     0,     0,     0,     0,  2589,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2590,  2271,     0,   884,     0,   954,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2591,     0,   884,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   887,     0,     0,     0,     0,
       0,     0,   886,     0,     0,     0,     0,     0,     0,     0,
    2080,     0,     0,  2081,     0,     0,  2331,  2082,  2083,  2084,
       0,     0,     0,   887,     0,     0,     0,   892,  1707,  1711,
    2592,   892,   892,  2593,     0,  2584,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2585,     0,     0,     0,   884,
       0,     0,  2586,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2587,     0,
       0,     0,   954,     0,   954,     0,     0,     0,     0,     0,
     892,     0,     0,     0,     0,     0,   892,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   890,     0,
       0,     0,     0,  2594,     0,     0,     0,   886,     0,     0,
       0,     0,     0,     0,   954,     0,     0,   892,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  5158,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   889,
       0,     0,   889,     0,   889,   887,     0,     0,   886,   889,
     884,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1796,     0,     0,     0,     0,     0,
     886,   890,     0,  2588,     0,   890,     0,     0,  2589,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   887,     0,     0,     0,     0,   887,   889,     0,
       0,  2590,  2271,     0,     0,  2522,   889,     0,     0,     0,
       0,     0,     0,     0,  2523,  2524,  2525,  2526,  2527,  2528,
    2529,  2530,  2531,     0,  2591,     0,     0,     0,     0,     0,
       0,   889,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   886,     0,     0,     0,     0,  2028,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2331,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   890,  2592,
       0,     0,  2593,     0,   884,  2050,     0,     0,     0,     0,
       0,     0,     0,   890,     0,     0,     0,     0,   890,     0,
       0,   889,     0,   889,     0,     0,     0,     0,   894,     0,
       0,     0,   894,   894,  2069,  2070,  2071,     0,  2073,     0,
       0,     0,     0,     0,     0,     0,     0,   892,   890,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2540,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   887,     0,     0,     0,     0,   884,     0,     0,
       0,     0,     0,   886,     0,     0,     0,     0,     0,     0,
       0,   894,  2594,     0,     0,     0,     0,   894,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   954,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   889,     0,     0,
     892,   954,     0,     0,   892,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   894,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2080,     0,
       0,  2081,     0,  1796,     0,  2082,  2083,  2084,     0,     0,
       0,   889,  2636,     0,     0,     0,  2648,  2653,     0,     0,
       0,     0,     0,  2584,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2585,     0,     0,     0,     0,     0,   889,
    2586,     0,     0,     0,  2522,     0,     0,   887,     0,   884,
       0,     0,     0,  2523,  2524,  2525,  2526,  2527,  2528,  2529,
    2530,  2531,     0,     0,     0,     0,  2587,   886,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   892,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   887,     0,
       0,     0,   892,     0,     0,     0,     0,   892,     0,     0,
       0,     0,     0,     0,  1796,     0,     0,   889,     0,     0,
     887,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   892,     0,   889,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     886,     0,     0,     0,     0,     0,     0,   890,     0,     0,
     890,   889,   890,     0,     0,  2080,     0,   890,  2081,     0,
       0,     0,  2082,  2083,  2084,     0,     0,     0,     0,     0,
    1796,     0,   954,     0,     0,     0,     0,     0,     0,     0,
    2584,  2588,   887,   884,     0,     0,  2589,     0,   884,   884,
    2585,     0,     0,     0,     0,  2533,     0,  2586,   894,     0,
       0,     0,     0,     0,     0,     0,   890,     0,     0,  2590,
    2271,     0,     0,     0,   890,     0,     0,     0,     0,     0,
       0,     0,     0,  2587,     0,     0,     0,     0,     0,     0,
       0,     0,  2591,   889,     0,     0,     0,     0,     0,   890,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2533,     0,     0,     0,     0,     0,     0,     0,     0,  1707,
    1707,  1707,   886,     0,     0,     0,     0,     0,     0,     0,
       0,   894,     0,  2331,     0,   894,     0,     0,     0,     0,
       0,     0,   889,     0,     0,     0,     0,  2592,     0,     0,
    2593,     0,     0,     0,     0,     0,     0,   954,     0,     0,
       0,     0,   884,   887,     0,     0,     0,   889,     0,   890,
       0,   890,     0,  5692,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   954,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2588,     0,
       0,     0,     0,  2589,     0,     0,     0,     0,     0,     0,
       0,   884,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2590,  2271,     0,     0,
       0,     0,     0,     0,     0,     0,   892,     0,   894,   892,
    2594,   892,     0,     0,     0,     0,   892,     0,     0,  2591,
       0,     0,     0,   894,     0,     0,   886,     0,   894,     0,
       0,   886,   886,     0,     0,   890,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   894,     0,
    2331,     0,     0,     0,     0,   892,     0,   887,     0,     0,
       0,     0,   954,   892,  2592,     0,     0,  2593,     0,   890,
       0,     0,     0,     0,     0,     0,  5516,     0,     0,     0,
       0,     0,     0,     0,     0,   889,     0,     0,   892,     0,
       0,     0,     0,     0,     0,     0,     0,   890,     0,     0,
       0,     0,  2522,     0,     0,     0,     0,     0,     0,     0,
       0,  2523,  2524,  2525,  2526,  2527,  2528,  2529,  2530,  2531,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     887,     0,     0,     0,     0,   886,     0,     0,     0,  2080,
       0,     0,  2081,     0,     0,     0,  2082,  2083,  2084,     0,
       0,     0,     0,     0,     0,     0,     0,  2594,   892,     0,
     892,     0,     0,     0,  2584,   890,     0,     0,     0,     0,
       0,     0,     0,     0,  2585,     0,   889,     0,     0,  2533,
       0,  2586,     0,  2533,   886,     0,     0,   890,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1796,   889,     0,     0,  2587,  3214,   890,
       0,     0,     0,     0,     0,     0,     0,  3231,  3231,  3231,
    3240,  3246,  3248,  3231,     0,     0,     0,  3253,     0,  3254,
       0,  3256,     0,     0,  3270,  3273,  3278,     0,     0,     0,
       0,     0,  3287,     0,     0,  3292,     0,     0,     0,  1796,
       0,     0,   887,     0,   892,     0,     0,     0,     0,  2522,
    3299,  3300,  3301,     0,     0,     0,     0,  1796,  2523,  2524,
    2525,  2526,  2527,  2528,  2529,  2530,  2531,     0,  3302,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   890,     0,     0,     0,     0,     0,   894,   892,     0,
     894,     0,   894,     0,     0,     0,     0,   894,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2588,     0,     0,     0,   892,  2589,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     890,     0,     0,     0,     0,     0,   889,     0,     0,     0,
    2590,  2271,     0,     0,     0,     0,   894,     0,     0,     0,
       0,     0,     0,     0,   894,   890,     0,     0,     0,     0,
       0,     0,     0,  2591,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   887,     0,     0,   894,
       0,   887,   887,   889,   892,     0,     0,     0,   889,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2331,     0,   892,     0,     0,     0,
       0,     0,  3310,     0,     0,     0,     0,     0,  2592,     0,
       0,  2593,     0,     0,     0,     0,     0,     0,   892,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   894,
       0,   894,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3329,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2533,     0,     0,     0,     0,   887,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     892,  2594,  2533,   890,  3331,     0,  3266,     0,     0,     0,
       0,     0,     0,     1,     0,     0,     0,     0,     0,     0,
       0,  2533,  2533,  2533,     2,  2533,     3,     4,     0,     0,
       0,     0,     0,   889,   887,   894,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   892,
       0,     0,     0,     0,     6,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     7,     0,     8,     9,
       0,     0,     0,     0,   892,    10,     0,    11,     0,   894,
       0,     0,     0,     0,     0,     0,     0,     0,     0,    12,
       0,    13,     0,     0,   890,     0,     0,     0,     0,     0,
       0,     0,     0,  2522,     0,     0,     0,   894,    14,     0,
       0,    15,  2523,  2524,  2525,  2526,  2527,  2528,  2529,  2530,
    2531,     0,   890,     0,     0,     0,    16,     0,    17,     0,
       0,     0,    18,     0,     0,     0,     0,     0,  5670,     0,
       0,     0,     0,     0,     0,     0,    20,     0,    21,     0,
       0,     0,     0,     0,     0,    22,     0,     0,   889,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,    23,     0,   894,     0,     0,     0,     0,
       0,  3338,  3339,  3340,  3341,  3342,  3343,  3344,  3345,  3346,
      24,  3347,     0,     0,     0,     0,     0,   894,     0,   889,
       0,     0,  1343,     0,  1707,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   894,
       0,   889,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   892,     0,     0,     0,     0,     0,     0,    25,
      26,     0,  3302,     0,     0,    27,  3310,     0,     0,  3329,
       0,  3331,     0,     0,  3384,     0,     0,     0,     0,    28,
       0,     0,     0,     0,   890,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,    29,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   889,     0,     0,     0,   652,     0,     0,
       0,   894,     0,     0,     0,     0,     0,  2070,  2071,     0,
       0,   890,     0,     0,     0,   653,   890,     0,     0,     0,
       0,    30,     0,   892,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,    31,     0,     0,     0,     0,
     654,    32,    33,     0,    34,     0,     0,     0,     0,    35,
     894,   892,  4563,   655,     0,    36,     0,     0,    37,     0,
       0,     0,     0,     0,     0,    38,     0,     0,     0,  -880,
       0,     0,    39,    40,     0,   894,     0,     0,     0,     0,
      41,     0,     0,     0,    42,     0,     0,   656,     0,     0,
       0,  3529,     0,   657,    43,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
      44,   658,     0,     0,   889,     0,     0,     0,     0,     0,
       0,     0,   659,     0,     0,     0,     0,     0,     0,     0,
      45,   660,     0,     0,     0,     0,     0,     0,     0,     0,
       0,    46,     0,     0,   661,     0,     0,    47,     0,     0,
       0,     0,    48,   662,     0,     0,     0,   663,     0,     0,
       0,     0,     0,     0,     0,    49,     0,     0,     0,     0,
     701,   890,     0,     0,     0,   702,     0, -1086,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,    50,
       0,     0,  2533,   892,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,    56,     0,
       0,  -136,     0,   703,     0,     0,     0,     0,     0,     0,
       0,     0,   664,     0,     0,     0,   704,     0,     0,     0,
       0,     0,  -615,   894,     0,     0,     0,     0,     0,     0,
     892,     0,   705,     0,     0,   892,     0,     0,   889,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     706,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   665,     0,     0,   666,     0,     0,     0,
       0,     0,     0,     0,   707,     0,     0,     0,  2533,     0,
       0,     0,     0,     0,     0,   708,   890,   667,     0,     0,
    2533,     0,     0,     0,   709,  2533,     0,     0,     0,     0,
       0,   668,     0,     0,     0,     0,     0,   710,  -466,     0,
       0,   889,     0,   711,   894,     0,     0,  3773,  3774,  1707,
     712,     0,     0,  3778,     0,     0,     0,   890,   669,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   670,     0,
     713,     0,   894,     0,     0,  -466,     0,     0,   671,   890,
    3807,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   672,     0,     0,
       0,     0,     0,     0,   673,     0,     0,     0,     0,     0,
       0,  -466,     0,     0,   674,   675,     0,   676,   677,     0,
     892,     0,     0,     0,     0,   714,     0,     0,     0,     0,
       0,     0,     0,   678,     0,     0,     0,     0,     0,     0,
     679,     0,     0,   680,     0,     0,   681,     0,     0,     0,
       0,   890,     0,     0,     0,     0,     0,     0,     0,  -466,
       0,     0,     0,   889,     0,     0,   715,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   716,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     717,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     213,   718,     0,     0,   719,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   894,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   720,     0,     0,   721,     0,     0,     0,   722,     0,
       0,   723,     0,     0,     0,   892,     0,     0,   724,     0,
       0,   725,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   894,     0,     0,     0,     0,   894,     0,     0,     0,
     726,     0,   890,     0,     0,     0,     0,   727,     0,     0,
       0,     0,     0,     0,   728,     0,   892,   729,     0,  4002,
       0,   730,     0,     0,  4008,     0,     0,   889,     0,   731,
       0,   732,   889,   889,     0,     0,   733,     0,   892,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   734,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   735,     0,     0,     0,     0,     0,     0,     0,
       0,  2073,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3278,     0,  3278,  3278,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  4095,     0,
       0,  4098,     0,  4100,     0,     0,     0,     0,     0,     0,
     892,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   890,     0,     0,     0,
    4125,     0,  4128,     0,  4130,     0,   889,     0,     0,     0,
       0,   894,     0,     0,     0,     0,     0,     0,   701,     0,
       0,     0,     0,  1034,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   889,     0,     0,     0,     0,
       0,  1035,     0,     0,     0,     0,     0,     0,     0,   890,
       0,     0,     0,     0,   704,  1036,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1037,     0,     0,     0,
     705,   892,     0,     0,     0,     0,  4197,     0,     0,     0,
       0,  2636,     0,     0,     0,     0,     0,     0,  1038,     0,
       0,     0,     0,     0,     0,     0,  2653,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1039,     0,     0,     0,   894,     0,     0,     0,
       0,     0,     0,   708,     0,     0,     0,     0,     0,     0,
       0,     0,   709,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   710,     0,     0,     0,     0,
       0,  1040,     0,     0,     0,     0,  2533,   894,     0,     0,
       0,  4247,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   890,     0,  2533,     0,     0,     0,     0,  1041,   894,
       0,     0,  2533,     0,     0,     0,     0,     0,  2533,     0,
    2533,     0,     0,     0,     0,  2533,  2533,     0,  2533,     0,
       0,     0,     0,  3266,  3266,   892,  4071,     0,  3266,     0,
       0,  1042,  2533,     0,     0,  2533,     0,     0,     0,     0,
    2533,     0,     0,     0,     0,     0,     0,     0,     0,  2533,
       0,     0,     0,   714,  2533,     0,     0,     0,     0,     0,
       0,  2533,  2533,  2533,  2533,     0,     0,     0,     0,  3266,
    3266,   894,  2533,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2533,     0,  2533,  1043,     0,     0,     0,   892,     0,
    2533,  2533,  2533,  2533,  2533,  2533,  2533,  2533,  2533,  2533,
       0,     0,     0,     0,     0,     0,     0,     0,   717,     0,
       0,     0,     0,     0,     0,   890,     0,     0,   213,  1044,
     890,   890,   719,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2533,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1045,
       0,     0,  1046,     0,     0,     0,   722,     0,     0,   723,
       0,     0,     0,     0,     0,     0,   724,     0,     0,   725,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   894,     0,     0,     0,     0,     0,   726,     0,
       0,     0,     0,     0,     0,  1047,     0,     0,     0,     0,
       0,     0,   728,     0,     0,  1048,     0,     0,     0,   730,
     892,     0,     0,     0,     0,     0,     0,  1049,     0,   732,
       0,     0,     0,     0,  1050,     0,     0,  1707,     0,     0,
       0,     0,     0,  1707,   890,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     735,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2533,     0,   890,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  4512,     0,     0,     0,   894,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   892,     0,     0,     0,     0,   892,
     892,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   894,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  4634,     0,   892,     0,     0,     0,     0,     0,     0,
    4638,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3231,     0,     0,     0,  3231,  3231,
       0,     0,     0,     0,  3246,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  4660,     0,  4661,     0,     0,     0,
       0,   894,   892,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2533,  2533,     0,     0,     0,
    2533,     0,     0,  4683,  4684,  4685,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3287,     0,     0,     0,     0,     0,     0,  2533,
    4709,     0,     0,  4712,     0,  4714,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  4718,     0,     0,     0,     0,     0,     0,     0,  4725,
    4726,     0,     0,     0,     0,     0,  4731,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   894,     0,     0,     0,     0,
     894,   894,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  4783,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    4797,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2533,     0,     0,     0,     0,     0,
    2533,     0,     0,     0,   894,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  4071,  4071,     0,     0,  3266,  3266,
    3266,  3266,     0,   894,  3266,  3266,  3266,  3266,  3266,  3266,
    3266,  3266,  3266,  3266,  4071,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2533,     0,     0,
    2533,     0,  2533,     0,     0,  4071,  4071,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2533,  3266,  3266,
    2533,     0,  2533,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2533,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2533,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    5082,  5083,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  5090,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  5133,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2636,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  5152,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  5171,  5173,     0,     0,     0,     0,     0,  5177,  5178,
       0,     0,     0,  5179,     0,     0,     0,     0,  5180,     0,
       0,  5183,  5184,     0,     0,     0,     0,     0,  5189,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3266,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  5223,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1343,     0,     0,     0,     0,     0,     0,     0,
    5237,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2533,     0,     0,     0,     0,     0,
    5247,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  5316,     0,     0,     0,     0,
       0,     0,  5318,     0,     0,     0,  2533,     0,     0,     0,
    2533,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2533,  2533,     0,     0,     0,     0,  4071,  4071,
    4071,  4071,     0,     0,     0,  4071,  4071,  4071,  4071,  4071,
    4071,  4071,  4071,  4071,  4071,  2533,  2533,  2533,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    5353,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2533,     0,     0,  2533,     0,  2533,     0,     0,     0,
    2533,     0,     0,  4071,  4071,     0,     0,  2533,  2533,     0,
       0,     0,     0,  2533,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2533,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2533,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  5446,     0,
       0,     0,     0,     0,  5450,  5451,  5452,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  5465,
    5466,     0,     0,  5467,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  5486,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    5504,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  5519,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  4071,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2533,  2533,     0,     0,     0,     0,
       0,     0,  2533,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2533,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2533,  3266,     0,     0,     0,     0,
       0,  3287,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2533,     0,  2533,     0,     0,     0,  2533,
    2533,  2533,  2533,     0,     0,  2533,  2533,     0,     0,     0,
       0,  2533,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2073,     0,  3266,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2533,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2533,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2533,
       0,     0,  5755,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  5767,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    5802,     0,     0,     0,     0,     0,     0,     0,  2533,     0,
    2533,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2533,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    5868,     0,     0,     0,     0,     0,     0,     0,     0,  5875,
    5875,  5875,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  5504,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2533,     0,
    4071,  3266,  2533,  2533,  2533,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  5920,     0,     0,  2533,  2533,  2533,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3266,     0,     0,  4071,     0,     0,     0,  2533,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2533,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2533,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    5875,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  5504,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  6033,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  6075,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  4071,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  6100,     0,
       0,     0,     0,     0,  4071,     0,  3266,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2533,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2533,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2533,     0,     0,     0,     0,     0,
    5875,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  6170,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2533,     0,     0,     0,     0,     0,     0,  2533,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2533,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1707,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3266,  3266,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2533,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2533,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2533,   234,     0,  1250,   696,     0,  1251,  1252,
    1253,   757,  1254,  4071,  4071,     0,     0,     0,     0,     0,
     235,   236,   237,   238,   239,   240,   241,   242,   243,  1701,
     244,   245,   246,     0,     0,     0,     0,  1255,     0,     0,
     247,   248,   249,     0,   250,   251,   252,   253,   254,   255,
     256,   257,   258,  1256,   260,  1257,  1258,     0,   263,   264,
     265,   266,   267,   268,   269,  1259,  1260,   270,   271,  1261,
    1262,   274,  2533,   275,   276,   277,   278,  1263,     0,  1264,
       0,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,     0,   291,   292,   293,   294,   295,   296,     0,   297,
     298,   299,   300,  1265,  1266,  1267,  1268,  1269,  1270,  1271,
     302,   303,   304,   305,   306,   307,  1272,  1273,   310,  1274,
     311,     0,   312,   313,   314,   315,   316,   317,   318,     0,
     319,   320,   321,   322,  1702,     0,   323,   324,   866,   326,
     327,     0,   328,   329,   330,     0,   331,   332,   333,     0,
     334,   335,   336,   337,  1275,   339,   340,   341,   342,  1276,
    1277,   344,     0,   345,   346,   347,  1278,   349,     0,   350,
       0,   351,   352,   353,     0,   354,   355,   356,   357,   358,
       0,   359,  1279,     0,  1280,   362,   363,     0,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,     0,   374,
     375,   376,   377,   378,   379,   380,   381,     0,   382,   383,
     384,   385,   386,   387,   388,  1281,  1282,     0,  1283,     0,
     392,   393,   394,   395,   396,  1284,  1285,  1286,  1287,  1288,
    1289,  1290,   404,   405,   406,   407,   408,   409,     0,     0,
     410,  1291,   412,   413,   414,     0,   415,   416,   417,  1292,
    1293,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,  1294,
     437,  1295,   439,   440,   441,   442,   443,   444,   445,   446,
    1296,   448,  1297,   449,   450,   451,   452,  1298,  1299,   454,
    1300,   456,   457,   458,     0,   459,   460,     0,     0,  1301,
     462,   463,     0,     0,   464,   465,   466,   467,   468,   469,
    1302,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,     0,   481,   482,  1303,   484,   485,   486,   487,   488,
       0,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,  1304,   500,   501,   502,   503,     0,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
       0,   517,   518,   519,   520,   521,   522,   523,   524,  1305,
     526,   527,   528,   529,   530,   531,   532,   533,   534,   535,
       0,   536,   537,   538,   539,   540,  1306,   541,   542,   543,
     544,   545,   546,   547,   548,  1307,   550,     0,   551,   552,
     553,   554,   555,   556,   557,   558,   559,   560,   561,   562,
     563,  1308,   565,     0,   566,   567,  1309,     0,   568,   569,
     570,   571,   572,   573,   574,     0,   575,  1310,  1311,     0,
       0,   578,   579,  1312,   581,  1313,  1314,   583,   584,   585,
     586,   587,   588,   589,   590,     0,  1315,   591,   592,   593,
     594,   595,  1316,     0,   596,   597,   598,   599,   600,   601,
    1317,  1703,   603,   604,   605,   606,   607,   608,     0,     0,
     609,     0,     0,   610,   611,   612,   613,   614,   615,   616,
    1318,  1319,  1320,  1321,   621,  1322,  1323,  1324,  1325,   626,
     627,   628,   629,     0,  1326,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1327,  1328,  1704,     0,
       0,     0,     0,     0,     0,  1330,  1705,   234,     0,  1250,
     696,     0,  1251,  1252,  1253,   757,  1254,     0,     0,     0,
       0,     0,     0,     0,   235,   236,   237,   238,   239,   240,
     241,   242,   243,     0,   244,   245,   246,     0,     0,     0,
       0,  1255,     0,     0,   247,   248,   249,     0,   250,   251,
     252,   253,   254,   255,   256,   257,   258,  1256,   260,  1257,
    1258,     0,   263,   264,   265,   266,   267,   268,   269,  1259,
    1260,   270,   271,  1261,  1262,   274,     0,   275,   276,   277,
     278,  1263,     0,  1264,     0,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,     0,   291,   292,   293,   294,
     295,   296,     0,   297,   298,   299,   300,  1265,  1266,  1267,
    1268,  1269,  1270,  1271,   302,   303,   304,   305,   306,   307,
    1272,  1273,   310,  1274,   311,     0,   312,   313,   314,   315,
     316,   317,   318,     0,   319,   320,   321,   322,     0,     0,
     323,   324,   866,   326,   327,     0,   328,   329,   330,     0,
     331,   332,   333,     0,   334,   335,   336,   337,  1275,   339,
     340,   341,   342,  1276,  1277,   344,     0,   345,   346,   347,
    1278,   349,     0,   350,     0,   351,   352,   353,     0,   354,
     355,   356,   357,   358,     0,   359,  1279,     0,  1280,   362,
     363,     0,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,     0,   374,   375,   376,   377,   378,   379,   380,
     381,     0,   382,   383,   384,   385,   386,   387,   388,  1281,
    1282,     0,  1283,     0,   392,   393,   394,   395,   396,  1284,
    1285,  1286,  1287,  1288,  1289,  1290,   404,   405,   406,   407,
     408,   409,     0,     0,   410,  1291,   412,   413,   414,     0,
     415,   416,   417,  1292,  1293,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,  1294,   437,  1295,   439,   440,   441,   442,
     443,   444,   445,   446,  1296,   448,  1297,   449,   450,   451,
     452,  1298,  1299,   454,  1300,   456,   457,   458,     0,   459,
     460,     0,     0,  1301,   462,   463,     0,     0,   464,   465,
     466,   467,   468,   469,  1302,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,     0,   481,   482,  1303,   484,
     485,   486,   487,   488,     0,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,  1304,   500,   501,   502,   503,
       0,   504,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,     0,   517,   518,   519,   520,   521,
     522,   523,   524,  1305,   526,   527,   528,   529,   530,   531,
     532,   533,   534,   535,    40,   536,   537,   538,   539,   540,
    1306,   541,   542,   543,   544,   545,   546,   547,   548,  1307,
     550,     0,   551,   552,   553,   554,   555,   556,   557,   558,
     559,   560,   561,   562,   563,  1308,   565,     0,   566,   567,
    1309,    44,   568,   569,   570,   571,   572,   573,   574,     0,
     575,  1310,  1311,     0,     0,   578,   579,  1312,   581,  1313,
    1314,   583,   584,   585,   586,   587,   588,   589,   590,     0,
    1315,   591,   592,   593,   594,   595,  1316,     0,   596,   597,
     598,   599,   600,  1185,  1317,     0,   603,   604,   605,   606,
     607,   608,     0,     0,   609,     0,    49,   610,   611,   612,
     613,   614,   615,   616,  1318,  1319,  1320,  1321,   621,  1322,
    1323,  1324,  1325,   626,   627,   628,   629,     0,  1326,     0,
      50,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1327,  1328,     0,     0,     0,     0,     0,     0,     0,  1330,
    5726,   234,     0,  1250,   696,     0,  1251,  1252,  1253,   757,
    1254,     0,     0,     0,     0,     0,     0,     0,   235,   236,
     237,   238,   239,   240,   241,   242,   243,     0,   244,   245,
     246,     0,     0,     0,     0,  1255,     0,     0,   247,   248,
     249,     0,   250,   251,   252,   253,   254,   255,   256,   257,
     258,  1256,   260,  1257,  1258,     0,   263,   264,   265,   266,
     267,   268,   269,  1259,  1260,   270,   271,  1261,  1262,   274,
       0,   275,   276,   277,   278,  1263,     0,  1264,     0,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,     0,
     291,   292,   293,   294,   295,   296,     0,   297,   298,   299,
     300,  1265,  1266,  1267,  1268,  1269,  1270,  1271,   302,   303,
     304,   305,   306,   307,  1272,  1273,   310,  1274,   311,     0,
     312,   313,   314,   315,   316,   317,   318,     0,   319,   320,
     321,   322,     0,     0,   323,   324,   866,   326,   327,     0,
     328,   329,   330,     0,   331,   332,   333,     0,   334,   335,
     336,   337,  1275,   339,   340,   341,   342,  1276,  1277,   344,
       0,   345,   346,   347,  1278,   349,     0,   350,     0,   351,
     352,   353,     0,   354,   355,   356,   357,   358,     0,   359,
    1279,     0,  1280,   362,   363,     0,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,     0,   374,   375,   376,
     377,   378,   379,   380,   381,     0,   382,   383,   384,   385,
     386,   387,   388,  1281,  1282,     0,  1283,     0,   392,   393,
     394,   395,   396,  1284,  1285,  1286,  1287,  1288,  1289,  1290,
     404,   405,   406,   407,   408,   409,     0,     0,   410,  1291,
     412,   413,   414,     0,   415,   416,   417,  1292,  1293,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,  1294,   437,  1295,
     439,   440,   441,   442,   443,   444,   445,   446,  1296,   448,
    1297,   449,   450,   451,   452,  1298,  1299,   454,  1300,   456,
     457,   458,     0,   459,   460,     0,     0,  1301,   462,   463,
       0,     0,   464,   465,   466,   467,   468,   469,  1302,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,     0,
     481,   482,  1303,   484,   485,   486,   487,   488,     0,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,  1304,
     500,   501,   502,   503,     0,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,     0,   517,
     518,   519,   520,   521,   522,   523,   524,  1305,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,     0,   536,
     537,   538,   539,   540,  1306,   541,   542,   543,   544,   545,
     546,   547,   548,  1307,   550,     0,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,  1308,
     565,     0,   566,   567,  1309,     0,   568,   569,   570,   571,
     572,   573,   574,     0,   575,  1310,  1311,     0,     0,   578,
     579,  1312,   581,  1313,  1314,   583,   584,   585,   586,   587,
     588,   589,   590,     0,  1315,   591,   592,   593,   594,   595,
    1316,     0,   596,   597,   598,   599,   600,   601,  1317,     0,
     603,   604,   605,   606,   607,   608,     0,     0,   609,     0,
       0,   610,   611,   612,   613,   614,   615,   616,  1318,  1319,
    1320,  1321,   621,  1322,  1323,  1324,  1325,   626,   627,   628,
     629,     0,  1326,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1327,  1328,     0,     0,     0,     0,
       0,     0,     0,  1330,  3268,   234,     0,  1250,   696,     0,
    1251,  1252,  1253,   757,  1254,     0,     0,     0,     0,     0,
       0,     0,   235,   236,   237,   238,   239,   240,   241,   242,
     243,     0,   244,   245,   246,     0,     0,     0,     0,  1255,
       0,     0,   247,   248,   249,     0,   250,   251,   252,   253,
     254,   255,   256,   257,   258,  1256,   260,  1257,  1258,     0,
     263,   264,   265,   266,   267,   268,   269,  1259,  1260,   270,
     271,  1261,  1262,   274,     0,   275,   276,   277,   278,  1263,
       0,  1264,     0,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,     0,   291,   292,   293,   294,   295,   296,
       0,   297,   298,   299,   300,  1265,  1266,  1267,  1268,  1269,
    1270,  1271,   302,   303,   304,   305,   306,   307,  1272,  1273,
     310,  1274,   311,     0,   312,   313,   314,   315,   316,   317,
     318,     0,   319,   320,   321,   322,     0,     0,   323,   324,
     866,   326,   327,     0,   328,   329,   330,     0,   331,   332,
     333,     0,   334,   335,   336,   337,  1275,   339,   340,   341,
     342,  1276,  1277,   344,     0,   345,   346,   347,  1278,   349,
       0,   350,     0,   351,   352,   353,     0,   354,   355,   356,
     357,   358,     0,   359,  1279,     0,  1280,   362,   363,     0,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
       0,   374,   375,   376,   377,   378,   379,   380,   381,     0,
     382,   383,   384,   385,   386,   387,   388,  1281,  1282,     0,
    1283,     0,   392,   393,   394,   395,   396,  1284,  1285,  1286,
    1287,  1288,  1289,  1290,   404,   405,   406,   407,   408,   409,
       0,     0,   410,  1291,   412,   413,   414,     0,   415,   416,
     417,  1292,  1293,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,  1294,   437,  1295,   439,   440,   441,   442,   443,   444,
     445,   446,  1296,   448,  1297,   449,   450,   451,   452,  1298,
    1299,   454,  1300,   456,   457,   458,     0,   459,   460,     0,
       0,  1301,   462,   463,     0,     0,   464,   465,   466,   467,
     468,   469,  1302,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,     0,   481,   482,  1303,   484,   485,   486,
     487,   488,     0,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,  1304,   500,   501,   502,   503,     0,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,     0,   517,   518,   519,   520,   521,   522,   523,
     524,  1305,   526,   527,   528,   529,   530,   531,   532,   533,
     534,   535,     0,   536,   537,   538,   539,   540,  1306,   541,
     542,   543,   544,   545,   546,   547,   548,  1307,   550,     0,
     551,   552,   553,   554,   555,   556,   557,   558,   559,   560,
     561,   562,   563,  1308,   565,     0,   566,   567,  1309,     0,
     568,   569,   570,   571,   572,   573,   574,     0,   575,  1310,
    1311,     0,     0,   578,   579,  1312,   581,  1313,  1314,   583,
     584,   585,   586,   587,   588,   589,   590,     0,  1315,   591,
     592,   593,   594,   595,  1316,     0,   596,   597,   598,   599,
     600,   601,  1317,     0,   603,   604,   605,   606,   607,   608,
       0,     0,   609,     0,     0,   610,   611,   612,   613,   614,
     615,   616,  1318,  1319,  1320,  1321,   621,  1322,  1323,  1324,
    1325,   626,   627,   628,   629,     0,  1326,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1327,  1328,
       0,     0,     0,     0,     0,     0,     0,  1330,  4662,   234,
       0,  1250,   696,     0,  1251,  1252,  1253,   757,  1254,     0,
       0,     0,     0,     0,     0,     0,   235,   236,   237,   238,
     239,   240,   241,   242,   243,     0,   244,   245,   246,     0,
       0,     0,     0,  1255,     0,     0,   247,   248,   249,     0,
     250,   251,   252,   253,   254,   255,   256,   257,   258,  1256,
     260,  1257,  1258,     0,   263,   264,   265,   266,   267,   268,
     269,  1259,  1260,   270,   271,  1261,  1262,   274,     0,   275,
     276,   277,   278,  1263,     0,  1264,     0,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,     0,   291,   292,
     293,   294,   295,   296,     0,   297,   298,   299,   300,  1265,
    1266,  1267,  1268,  1269,  1270,  1271,   302,   303,   304,   305,
     306,   307,  1272,  1273,   310,  1274,   311,     0,   312,   313,
     314,   315,   316,   317,   318,     0,   319,   320,   321,   322,
       0,     0,   323,   324,   866,   326,   327,     0,   328,   329,
     330,     0,   331,   332,   333,     0,   334,   335,   336,   337,
    1275,   339,   340,   341,   342,  1276,  1277,   344,     0,   345,
     346,   347,  1278,   349,     0,   350,     0,   351,   352,   353,
       0,   354,   355,   356,   357,   358,     0,   359,  1279,     0,
    1280,   362,   363,     0,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,     0,   374,   375,   376,   377,   378,
     379,   380,   381,     0,   382,   383,   384,   385,   386,   387,
     388,  1281,  1282,     0,  1283,     0,   392,   393,   394,   395,
     396,  1284,  1285,  1286,  1287,  1288,  1289,  1290,   404,   405,
     406,   407,   408,   409,     0,     0,   410,  1291,   412,   413,
     414,     0,   415,   416,   417,  1292,  1293,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,  1294,   437,  1295,   439,   440,
     441,   442,   443,   444,   445,   446,  1296,   448,  1297,   449,
     450,   451,   452,  1298,  1299,   454,  1300,   456,   457,   458,
       0,   459,   460,     0,     0,  1301,   462,   463,     0,     0,
     464,   465,   466,   467,   468,   469,  1302,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,     0,   481,   482,
    1303,   484,   485,   486,   487,   488,     0,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,  1304,   500,   501,
     502,   503,     0,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,     0,   517,   518,   519,
     520,   521,   522,   523,   524,  1305,   526,   527,   528,   529,
     530,   531,   532,   533,   534,   535,     0,   536,   537,   538,
     539,   540,  1306,   541,   542,   543,   544,   545,   546,   547,
     548,  1307,   550,     0,   551,   552,   553,   554,   555,   556,
     557,   558,   559,   560,   561,   562,   563,  1308,   565,     0,
     566,   567,  1309,     0,   568,   569,   570,   571,   572,   573,
     574,     0,   575,  1310,  1311,     0,     0,   578,   579,  1312,
     581,  1313,  1314,   583,   584,   585,   586,   587,   588,   589,
     590,     0,  1315,   591,   592,   593,   594,   595,  1316,     0,
     596,   597,   598,   599,   600,   601,  1317,     0,   603,   604,
     605,   606,   607,   608,     0,     0,   609,     0,     0,   610,
     611,   612,   613,   614,   615,   616,  1318,  1319,  1320,  1321,
     621,  1322,  1323,  1324,  1325,   626,   627,   628,   629,     0,
    1326,     0,     0,     0,     0,     0,   637,     0,     0,     0,
       0,     0,  1327,  1328,     0,     0,     0,     0,     0,     0,
       0,  1330,  4728,   235,   236,   237,   238,   239,   240,   241,
     242,   243,     0,   244,   245,   246,     0,     0,     0,     0,
       0,  4175,     0,   247,   248,   249,     0,   250,   251,   252,
     253,     0,   255,   256,   257,   258,   259,     0,   261,   262,
       0,   263,   264,   265,   266,   267,   268,   269,     0,     0,
     270,   271,   272,   273,   274,     0,   275,   276,   277,   278,
     279,     0,     0,     0,   281,   282,   283,   284,   285,   286,
       0,   288,   289,   290,     0,   291,   292,   293,   294,   295,
     296,     0, -1824,   298,   299,   300,     0,     0,     0,     0,
       0,     0,     0,   302,   303,   304,   305,   306,   307,   308,
     309,   310,     0,   311,     0,   312,   313,   314,   315,   316,
     317,   318,     0,   319,   320,   321,   322,     0,     0,   323,
     324,   325,   326,   327,     0,   328,   329,   330,     0,   331,
     332,   333,     0,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,     0,   344,     0,   345,   346,   347,   348,
     349,     0,   350,     0,   351,   352,     0,     0, -1824,   355,
     356,   357,   358,     0,   359,   360,     0,   361,   362,   363,
       0,   364,   365,   366,   367,   368,     0,   370,   371,   372,
     373,     0,   374,   375,   376,   377,   378,   379,   380,   381,
       0,   382, -1824,   384,   385,   386,   387,   388,   389,   390,
       0,   391,     0,   392,     0,     0,   395, -1824,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,     0,     0,   410,   411, -1824,   413,     0,     0,   415,
     416,   417,     0,     0,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436, -1824,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,     0,   449,   450,     0,   452,
       0,   453,   454,   455,   456,   457,   458,     0,   459,   460,
       0,     0,   461,   462,   463,     0,     0,   464,   465,   466,
       0,   468,     0,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,     0,   481,   482,   483,   484,   485,
     486,   487,   488,     0,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,     0,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,     0,   517,   518, -1824,   520,   521,   522,
     523,   524,   525,   526,   527,   528,   529,   530,   531,   532,
     533,   534,   535,     0,   536,   537,   538,   539,   540,     0,
     541,   542,   543,   544,   545,     0,   547,   548,   549,   550,
       0,   551,   552,   553,   554,   555,   556,   557,   558,   559,
     560,   561,   562,   563,   564,   565,     0,   566,   567,     0,
       0,   568,     0,   570,   571,   572,   573,   574,     0,   575,
     576,   577,     0,     0,   578,   579,   580,   581,   582,     0,
     583,   584,   585,   586,   587,   588,   589,   590,     0,     0,
     591,   592,   593,   594,   595,     0,     0,   596,   597,   598,
     599,   600,   601,   602,     0,   603,     0,   605,   606,   607,
     608,     0,     0,   609,     0,     0,   610,   611,   612,   613,
     614,   615,   616,   617,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,     0,     0,     0,     0,
       0,     0,     0,   858,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1442,
     235,   236,   237,   238,   239,   240,   241,   242,   243,     0,
     244,   245,   246,     0,     0,     0,     0,     0,     0,     0,
     247,   248,   249,     0,   250,   251,   252,   253,   254,   255,
     256,   257,     0,   859,   260,   860,   861,     0,   263,   264,
     265,   266,   267,   268,   269,     0,     0,   270,   271,   862,
     863,   274,     0,   275,   276,   277,   278,     0,     0,   280,
       0,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,     0,   291,   292,   293,   294,   295,   296,     0,   297,
     298,   299,   300,     0,     0,     0,   301,     0,     0,     0,
     302,   303,   304,   305,   306,   307,   864,   865,   310,     0,
     311,     0,   312,   313,   314,   315,   316,   317,   318,     0,
     319,   320,   321,   322,     0,     0,   323,   324,   866,   326,
     327,     0,   328,   329,   330,     0,   331,   332,   333,     0,
     334,   335,   336,   337,     0,   339,   340,   341,   342,     0,
       0,   344,     0,   345,   346,   347,   867,   349,     0,   350,
       0,   351,   352,   353,     0,   354,   355,   356,   357,   358,
       0,   359,     0,     0,     0,   362,   363,     0,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,  2679,   374,
     375,   376,   377,   378,   379,   380,   381,     0,   382,   383,
    2680,   385,   386,   387,   388,   868,   869,     0,   870,     0,
     392,   393,   394,   395,   396,   871,     0,     0,     0,     0,
       0,     0,   404,   405,   406,   407,   408,   409,     0,     0,
     410,     0,   412,   413,   414,     0,   415,   416,   417,     0,
       0,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   872,
     437,   873,   439,   440,   441,   442,   443,   444,   445,     0,
       0,   448,     0,   449,   450,   451,   452,     0,     0,   454,
     874,   456,   457,   458,     0,   459,   460,     0,     0,   461,
     462,   463,     0,     0,   464,   465,  2682,   467,   468,   469,
       0,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,     0,   481,   482,     0,   484,     0,   486,   487,   488,
       0,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,   875,   500,   501,   502,   503,     0,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
       0,   517,   518,   519,   520,   521,   522,   523,   524,     0,
     526,   527,   528,   529,   530,   531,   532,   533,   534,   535,
       0,   536,   537,   538,   539,   540,     0,   541,   542,  2683,
     544,   545,   546,   547,   548,   877,   550,     0,   551,   552,
     553,   554,   555,   556,   557,   558,   559,   560,   561,   562,
     563,     0,   565,     0,   566,   567,     0,     0,   568,   569,
     570,   571,   572,   573,   574,     0,   575,   878,   879,     0,
       0,   578,   579,     0,   581,     0,     0,   583,   584,   585,
     586,   587,   588,   589,   590,     0,     0,   591,   592,   593,
     594,   595,     0,     0,   596,   597,   598,   599,   600,     0,
     880,  2684,   603,   604,   605,   606,   607,   608,     0,     0,
     609,     0,     0,   610,   611,   612,   613,   614,   615,     0,
     858,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     627,   628,   629,     0,     0,     0,     0,   235,   236,   237,
     238,   239,   240,   241,   242,   243,     0,   244,   245,   246,
       0,     0,     0,     0,     0,     0,  2781,   247,   248,   249,
       0,   250,   251,   252,   253,   254,   255,   256,   257,     0,
     859,   260,   860,   861,     0,   263,   264,   265,   266,   267,
     268,   269,     0,     0,   270,   271,   862,   863,   274,     0,
     275,   276,   277,   278,     0,     0,   280,     0,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,     0,   291,
     292,   293,   294,   295,   296,     0,   297,   298,   299,   300,
       0,     0,     0,   301,     0,     0,     0,   302,   303,   304,
     305,   306,   307,   864,   865,   310,     0,   311,     0,   312,
     313,   314,   315,   316,   317,   318,     0,   319,   320,   321,
     322,     0,     0,   323,   324,   866,   326,   327,     0,   328,
     329,   330,     0,   331,   332,   333,     0,   334,   335,   336,
     337,     0,   339,   340,   341,   342,     0,     0,   344,     0,
     345,   346,   347,   867,   349,     0,   350,     0,   351,   352,
     353,     0,   354,   355,   356,   357,   358,     0,   359,     0,
       0,     0,   362,   363,     0,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,  2679,   374,   375,   376,   377,
     378,   379,   380,   381,     0,   382,   383,  2680,   385,   386,
     387,   388,   868,   869,     0,   870,     0,   392,   393,   394,
     395,   396,   871,     0,     0,     0,     0,     0,     0,   404,
     405,   406,   407,   408,   409,     0,     0,   410,     0,   412,
     413,   414,     0,   415,   416,   417,     0,     0,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   872,   437,   873,   439,
     440,   441,   442,   443,   444,   445,     0,     0,   448,     0,
     449,   450,   451,   452,     0,     0,   454,   874,   456,   457,
     458,     0,   459,   460,     0,     0,   461,   462,   463,     0,
       0,   464,   465,  2682,   467,   468,   469,     0,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,     0,   481,
     482,     0,   484,     0,   486,   487,   488,     0,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   875,   500,
     501,   502,   503,     0,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,     0,   517,   518,
     519,   520,   521,   522,   523,   524,     0,   526,   527,   528,
     529,   530,   531,   532,   533,   534,   535,     0,   536,   537,
     538,   539,   540,     0,   541,   542,  2683,   544,   545,   546,
     547,   548,   877,   550,     0,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   560,   561,   562,   563,     0,   565,
       0,   566,   567,     0,     0,   568,   569,   570,   571,   572,
     573,   574,     0,   575,   878,   879,     0,     0,   578,   579,
       0,   581,     0,     0,   583,   584,   585,   586,   587,   588,
     589,   590,     0,     0,   591,   592,   593,   594,   595,     0,
       0,   596,   597,   598,   599,   600,     0,   880,  2684,   603,
     604,   605,   606,   607,   608,     0,     0,   609,     0,     0,
     610,   611,   612,   613,   614,   615,     0,   234,     0,  1250,
     696,     0,  1251,  1252,  1253,   757,  1254,   627,   628,   629,
       0,     0,     0,     0,   235,   236,   237,   238,   239,   240,
     241,   242,   243,     0,   244,   245,   246,     0,     0,     0,
       0,  1255,     0,  3896,   247,   248,   249,     0,   250,   251,
     252,   253,   254,   255,   256,   257,   258,  1256,   260,  1257,
    1258,     0,   263,   264,   265,   266,   267,   268,   269,  1259,
    1260,   270,   271,  1261,  1262,   274,     0,   275,   276,   277,
     278,  1263,     0,  1264,     0,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,     0,   291,   292,   293,   294,
     295,   296,     0,   297,   298,   299,   300,  1265,  1266,  1267,
    1268,  1269,  1270,  1271,   302,   303,   304,   305,   306,   307,
    1272,  1273,   310,  1274,   311,     0,   312,   313,   314,   315,
     316,   317,   318,     0,   319,   320,   321,   322,     0,     0,
     323,   324,   866,   326,   327,     0,   328,   329,   330,     0,
     331,   332,   333,     0,   334,   335,   336,   337,  1275,   339,
     340,   341,   342,  1276,  1277,   344,     0,   345,   346,   347,
    1278,   349,     0,   350,     0,   351,   352,   353,     0,   354,
     355,   356,   357,   358,     0,   359,  1279,     0,  1280,   362,
     363,     0,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,     0,   374,   375,   376,   377,   378,   379,   380,
     381,     0,   382,   383,   384,   385,   386,   387,   388,  1281,
    1282,     0,  1283,     0,   392,   393,   394,   395,   396,  1284,
    1285,  1286,  1287,  1288,  1289,  1290,   404,   405,   406,   407,
     408,   409,     0,     0,   410,  1291,   412,   413,   414,     0,
     415,   416,   417,  1292,  1293,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,  1294,   437,  1295,   439,   440,   441,   442,
     443,   444,   445,   446,  1296,   448,  1297,   449,   450,   451,
     452,  1298,  1299,   454,  1300,   456,   457,   458,     0,   459,
     460,     0,     0,  1301,   462,   463,     0,     0,   464,   465,
     466,   467,   468,   469,  1302,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,     0,   481,   482,  1303,   484,
     485,   486,   487,   488,     0,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,  1304,   500,   501,   502,   503,
       0,   504,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,  3233,   517,   518,   519,   520,   521,
     522,   523,   524,  1305,   526,   527,   528,   529,   530,   531,
     532,   533,   534,   535,    40,   536,   537,   538,   539,   540,
    1306,   541,   542,   543,   544,   545,   546,   547,   548,  1307,
     550,     0,   551,   552,   553,   554,   555,   556,   557,   558,
     559,   560,   561,   562,   563,  1308,   565,     0,   566,   567,
    1309,    44,   568,   569,   570,   571,   572,   573,   574,     0,
     575,  1310,  1311,     0,     0,   578,   579,  1312,   581,  1313,
    1314,   583,   584,   585,   586,   587,   588,   589,   590,     0,
    1315,   591,   592,   593,   594,   595,  1316,     0,   596,   597,
     598,   599,   600,  1185,  1317,     0,   603,   604,   605,   606,
     607,   608,     0,     0,   609,     0,    49,   610,   611,   612,
     613,   614,   615,   616,  1318,  1319,  1320,  1321,   621,  1322,
    1323,  1324,  1325,   626,   627,   628,   629,     0,  1326,     0,
      50,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1327,  1328,     0,     0,     0,   234,     0,  1250,   696,  1330,
    1251,  1252,  1253,   757,  1254,     0,     0,     0,     0,     0,
       0,     0,   235,   236,   237,   238,   239,   240,   241,   242,
     243,     0,   244,   245,   246,     0,     0,     0,     0,  1255,
       0,     0,   247,   248,   249,     0,   250,   251,   252,   253,
     254,   255,   256,   257,   258,  1256,   260,  1257,  1258,     0,
     263,   264,   265,   266,   267,   268,   269,  1259,  1260,   270,
     271,  1261,  1262,   274,     0,   275,   276,   277,   278,  1263,
       0,  1264,     0,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,     0,   291,   292,   293,   294,   295,   296,
       0,   297,   298,   299,   300,  1265,  1266,  1267,  1268,  1269,
    1270,  1271,   302,   303,   304,   305,   306,   307,  1272,  1273,
     310,  1274,   311,     0,   312,   313,   314,   315,   316,   317,
     318,     0,   319,   320,   321,   322,     0,     0,   323,   324,
     866,   326,   327,     0,   328,   329,   330,     0,   331,   332,
     333,     0,   334,   335,   336,   337,  1275,   339,   340,   341,
     342,  1276,  1277,   344,     0,   345,   346,   347,  1278,   349,
       0,   350,     0,   351,   352,   353,     0,   354,   355,   356,
     357,   358,     0,   359,  1279,     0,  1280,   362,   363,     0,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
       0,   374,   375,   376,   377,   378,   379,   380,   381,     0,
     382,   383,   384,   385,   386,   387,   388,  1281,  1282,     0,
    1283,     0,   392,   393,   394,   395,   396,  1284,  1285,  1286,
    1287,  1288,  1289,  1290,   404,   405,   406,   407,   408,   409,
       0,     0,   410,  1291,   412,   413,   414,     0,   415,   416,
     417,  1292,  1293,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,  1294,   437,  1295,   439,   440,   441,   442,   443,   444,
     445,   446,  1296,   448,  1297,   449,   450,   451,   452,  1298,
    1299,   454,  1300,   456,   457,   458,     0,   459,   460,     0,
       0,  1301,   462,   463,     0,     0,   464,   465,   466,   467,
     468,   469,  1302,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,     0,   481,   482,  1303,   484,   485,   486,
     487,   488,     0,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,  1304,   500,   501,   502,   503,     0,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,     0,   517,   518,   519,   520,   521,   522,   523,
     524,  1305,   526,   527,   528,   529,   530,   531,   532,   533,
     534,   535,    40,   536,   537,   538,   539,   540,  1306,   541,
     542,   543,   544,   545,   546,   547,   548,  1307,   550,     0,
     551,   552,   553,   554,   555,   556,   557,   558,   559,   560,
     561,   562,   563,  1308,   565,     0,   566,   567,  1309,    44,
     568,   569,   570,   571,   572,   573,   574,     0,   575,  1310,
    1311,     0,     0,   578,   579,  1312,   581,  1313,  1314,   583,
     584,   585,   586,   587,   588,   589,   590,     0,  1315,   591,
     592,   593,   594,   595,  1316,     0,   596,   597,   598,   599,
     600,  1185,  1317,     0,   603,   604,   605,   606,   607,   608,
       0,     0,   609,     0,    49,   610,   611,   612,   613,   614,
     615,   616,  1318,  1319,  1320,  1321,   621,  1322,  1323,  1324,
    1325,   626,   627,   628,   629,     0,  1326,     0,    50,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1327,  1328,
       0,     0,     0,   234,     0,  1250,   696,  1330,  1251,  1252,
    1253,   757,  1254,     0,     0,     0,     0,     0,     0,     0,
     235,   236,   237,   238,   239,   240,   241,   242,   243,     0,
     244,   245,   246,     0,     0,     0,     0,  1255,     0,     0,
     247,   248,   249,     0,   250,   251,   252,   253,   254,   255,
     256,   257,   258,  1256,   260,  1257,  1258,  3274,   263,   264,
     265,   266,   267,   268,   269,  1259,  1260,   270,   271,  1261,
    1262,   274,     0,   275,   276,   277,   278,  1263,     0,  1264,
       0,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,     0,   291,   292,   293,   294,   295,   296,     0,   297,
     298,   299,   300,  1265,  1266,  1267,  1268,  1269,  1270,  1271,
     302,   303,   304,   305,   306,   307,  1272,  1273,   310,  1274,
     311,     0,   312,   313,   314,   315,   316,   317,   318,     0,
     319,   320,   321,   322,     0,     0,   323,   324,   866,   326,
     327,     0,   328,   329,   330,     0,   331,   332,   333,     0,
     334,   335,   336,   337,  1275,   339,   340,   341,   342,  1276,
    1277,   344,     0,   345,   346,   347,  1278,   349,     0,   350,
       0,   351,   352,   353,  3275,   354,   355,   356,   357,   358,
       0,   359,  1279,     0,  1280,   362,   363,     0,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,     0,   374,
     375,   376,   377,   378,   379,   380,   381,     0,   382,   383,
     384,   385,   386,   387,   388,  1281,  1282,     0,  1283,     0,
     392,   393,   394,   395,   396,  1284,  1285,  1286,  1287,  1288,
    1289,  1290,   404,   405,   406,   407,   408,   409,     0,  3276,
     410,  1291,   412,   413,   414,     0,   415,   416,   417,  1292,
    1293,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,  1294,
     437,  1295,   439,   440,   441,   442,   443,   444,   445,   446,
    1296,   448,  1297,   449,   450,   451,   452,  1298,  1299,   454,
    1300,   456,   457,   458,     0,   459,   460,     0,     0,  1301,
     462,   463,     0,     0,   464,   465,   466,   467,   468,   469,
    1302,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,     0,   481,   482,  1303,   484,   485,   486,   487,   488,
       0,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,  1304,   500,   501,   502,   503,     0,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
       0,   517,   518,   519,   520,   521,   522,   523,   524,  1305,
     526,   527,   528,   529,   530,   531,   532,   533,   534,   535,
       0,   536,   537,   538,   539,   540,  1306,   541,   542,   543,
     544,   545,   546,   547,   548,  1307,   550,     0,   551,   552,
     553,   554,   555,   556,   557,   558,   559,   560,   561,   562,
     563,  1308,   565,     0,   566,   567,  1309,     0,   568,   569,
     570,   571,   572,   573,   574,     0,   575,  1310,  1311,     0,
    3277,   578,   579,  1312,   581,  1313,  1314,   583,   584,   585,
     586,   587,   588,   589,   590,     0,  1315,   591,   592,   593,
     594,   595,  1316,     0,   596,   597,   598,   599,   600,   601,
    1317,     0,   603,   604,   605,   606,   607,   608,     0,     0,
     609,     0,     0,   610,   611,   612,   613,   614,   615,   616,
    1318,  1319,  1320,  1321,   621,  1322,  1323,  1324,  1325,   626,
     627,   628,   629,     0,  1326,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1327,  1328,     0,     0,
       0,   234,     0,  1250,   696,  1330,  1251,  1252,  1253,   757,
    1254,     0,     0,     0,     0,     0,     0,     0,   235,   236,
     237,   238,   239,   240,   241,   242,   243, -2235,   244,   245,
     246,     0,     0,     0, -2235,  1255,     0,     0,   247,   248,
     249,     0,   250,   251,   252,   253,   254,   255,   256,   257,
     258,  1256,   260,  1257,  1258,     0,   263,   264,   265,   266,
     267,   268,   269,  1259,  1260,   270,   271,  1261,  1262,   274,
       0,   275,   276,   277,   278,  1263,     0,  1264,     0,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,     0,
     291,   292,   293,   294,   295,   296,     0,   297,   298,   299,
     300,  1265,  1266,  1267,  1268,  1269,  1270,  1271,   302,   303,
     304,   305,   306,   307,  1272,  1273,   310,  1274,   311,     0,
     312,   313,   314,   315,   316,   317,   318,     0,   319,   320,
     321,   322,     0,     0,   323,   324,   866,   326,   327,     0,
     328,   329,   330,     0,   331,   332,   333,     0,   334,   335,
     336,   337,  1275,   339,   340,   341,   342,  1276,  1277,   344,
       0,   345,   346,   347,  1278,   349,     0,   350,     0,   351,
     352,   353,     0,   354,   355,   356,   357,   358,     0,   359,
    1279,     0,  1280,   362,   363,     0,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,     0,   374,   375,   376,
     377,   378,   379,   380,   381,     0,   382,   383,   384,   385,
     386,   387,   388,  1281,  1282,     0,  1283,     0,   392,   393,
     394,   395,   396,  1284,  1285,  1286,  1287,  1288,  1289,  1290,
     404,   405,   406,   407,   408,   409,     0,     0,   410,  1291,
     412,   413,   414,     0,   415,   416,   417,  1292,  1293,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,  1294,   437,  1295,
     439,   440,   441,   442,   443,   444,   445,   446,  1296,   448,
    1297,   449,   450,   451,   452,  1298,  1299,   454,  1300,   456,
     457,   458,     0,   459,   460,     0,     0,  1301,   462,   463,
       0,     0,   464,   465,   466,   467,   468,   469,  1302,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,     0,
     481,   482,  1303,   484,   485,   486,   487,   488,     0,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,  1304,
     500,   501,   502,   503,     0,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,     0,   517,
     518,   519,   520,   521,   522,   523,   524,  1305,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,     0,   536,
     537,   538,   539,   540,  1306,   541,   542,   543,   544,   545,
     546,   547,   548,  1307,   550, -2235,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,  1308,
     565,     0,   566,   567,  1309,     0,   568,   569,   570,   571,
     572,   573,   574,     0,   575,  1310,  1311,     0,     0,   578,
     579,  1312,   581,  1313,  1314,   583,   584,   585,   586,   587,
     588,   589,   590,     0,  1315,   591,   592,   593,   594,   595,
    1316,     0,   596,   597,   598,   599,   600,   601,  1317,     0,
     603,   604,   605,   606,   607,   608,     0,     0,   609,     0,
       0,   610,   611,   612,   613,   614,   615,   616,  1318,  1319,
    1320,  1321,   621,  1322,  1323,  1324,  1325,   626,   627,   628,
     629,     0,  1326,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1327,  1328,     0,     0,     0,   234,
       0,  1250,   696,  1330,  1251,  1252,  1253,   757,  1254,     0,
       0,     0,     0,     0,     0,     0,   235,   236,   237,   238,
     239,   240,   241,   242,   243, -2233,   244,   245,   246,     0,
       0,     0, -2233,  1255,     0,     0,   247,   248,   249,     0,
     250,   251,   252,   253,   254,   255,   256,   257,   258,  1256,
     260,  1257,  1258,     0,   263,   264,   265,   266,   267,   268,
     269,  1259,  1260,   270,   271,  1261,  1262,   274,     0,   275,
     276,   277,   278,  1263,     0,  1264,     0,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,     0,   291,   292,
     293,   294,   295,   296,     0,   297,   298,   299,   300,  1265,
    1266,  1267,  1268,  1269,  1270,  1271,   302,   303,   304,   305,
     306,   307,  1272,  1273,   310,  1274,   311,     0,   312,   313,
     314,   315,   316,   317,   318,     0,   319,   320,   321,   322,
       0,     0,   323,   324,   866,   326,   327,     0,   328,   329,
     330,     0,   331,   332,   333,     0,   334,   335,   336,   337,
    1275,   339,   340,   341,   342,  1276,  1277,   344,     0,   345,
     346,   347,  1278,   349,     0,   350,     0,   351,   352,   353,
       0,   354,   355,   356,   357,   358,     0,   359,  1279,     0,
    1280,   362,   363,     0,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,     0,   374,   375,   376,   377,   378,
     379,   380,   381,     0,   382,   383,   384,   385,   386,   387,
     388,  1281,  1282,     0,  1283,     0,   392,   393,   394,   395,
     396,  1284,  1285,  1286,  1287,  1288,  1289,  1290,   404,   405,
     406,   407,   408,   409,     0,     0,   410,  1291,   412,   413,
     414,     0,   415,   416,   417,  1292,  1293,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,  1294,   437,  1295,   439,   440,
     441,   442,   443,   444,   445,   446,  1296,   448,  1297,   449,
     450,   451,   452,  1298,  1299,   454,  1300,   456,   457,   458,
       0,   459,   460,     0,     0,  1301,   462,   463,     0,     0,
     464,   465,   466,   467,   468,   469,  1302,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,     0,   481,   482,
    1303,   484,   485,   486,   487,   488,     0,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,  1304,   500,   501,
     502,   503,     0,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,     0,   517,   518,   519,
     520,   521,   522,   523,   524,  1305,   526,   527,   528,   529,
     530,   531,   532,   533,   534,   535,     0,   536,   537,   538,
     539,   540,  1306,   541,   542,   543,   544,   545,   546,   547,
     548,  1307,   550, -2233,   551,   552,   553,   554,   555,   556,
     557,   558,   559,   560,   561,   562,   563,  1308,   565,     0,
     566,   567,  1309,     0,   568,   569,   570,   571,   572,   573,
     574,     0,   575,  1310,  1311,     0,     0,   578,   579,  1312,
     581,  1313,  1314,   583,   584,   585,   586,   587,   588,   589,
     590,     0,  1315,   591,   592,   593,   594,   595,  1316,     0,
     596,   597,   598,   599,   600,   601,  1317,     0,   603,   604,
     605,   606,   607,   608,     0,     0,   609,     0,     0,   610,
     611,   612,   613,   614,   615,   616,  1318,  1319,  1320,  1321,
     621,  1322,  1323,  1324,  1325,   626,   627,   628,   629,     0,
    1326,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1327,  1328,     0,     0,     0,   234,     0,  1250,
     696,  1330,  1251,  1252,  1253,   757,  1254,     0,     0,     0,
       0,     0,     0,     0,   235,   236,   237,   238,   239,   240,
     241,   242,   243,     0,   244,   245,   246,     0,     0,     0,
       0,  1255,     0,     0,   247,   248,   249,     0,   250,   251,
     252,   253,   254,   255,   256,   257,   258,  1256,   260,  1257,
    1258,     0,   263,   264,   265,   266,   267,   268,   269,  1259,
    1260,   270,   271,  1261,  1262,   274,     0,   275,   276,   277,
     278,  1263,     0,  1264,     0,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,     0,   291,   292,   293,   294,
     295,   296,     0,   297,   298,   299,   300,  1265,  1266,  1267,
    1268,  1269,  1270,  1271,   302,   303,   304,   305,   306,   307,
    1272,  1273,   310,  1274,   311,     0,   312,   313,   314,   315,
     316,   317,   318,     0,   319,   320,   321,   322,     0,     0,
     323,   324,   866,   326,   327,     0,   328,   329,   330,     0,
     331,   332,   333,     0,   334,   335,   336,   337,  1275,   339,
     340,   341,   342,  1276,  1277,   344,     0,   345,   346,   347,
    1278,   349,     0,   350,     0,   351,   352,   353,     0,   354,
     355,   356,   357,   358,     0,   359,  1279,     0,  1280,   362,
     363,     0,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,     0,   374,   375,   376,   377,   378,   379,   380,
     381,     0,   382,   383,   384,   385,   386,   387,   388,  1281,
    1282,     0,  1283,     0,   392,   393,   394,   395,   396,  1284,
    1285,  1286,  1287,  1288,  1289,  1290,   404,   405,   406,   407,
     408,   409,     0,     0,   410,  1291,   412,   413,   414,     0,
     415,   416,   417,  1292,  1293,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,  1294,   437,  1295,   439,   440,   441,   442,
     443,   444,   445,   446,  1296,   448,  1297,   449,   450,   451,
     452,  1298,  1299,   454,  1300,   456,   457,   458,     0,   459,
     460,     0,     0,  1301,   462,   463,     0,     0,   464,   465,
     466,   467,   468,   469,  1302,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,     0,   481,   482,  1303,   484,
     485,   486,   487,   488,     0,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,  1304,   500,   501,   502,   503,
       0,   504,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,     0,   517,   518,   519,   520,   521,
     522,   523,   524,  1305,   526,   527,   528,   529,   530,   531,
     532,   533,   534,   535,     0,   536,   537,   538,   539,   540,
    1306,   541,   542,   543,   544,   545,   546,   547,   548,  1307,
     550,     0,   551,   552,   553,   554,   555,   556,   557,   558,
     559,   560,   561,   562,   563,  1308,   565,     0,   566,   567,
    1309,     0,   568,   569,   570,   571,   572,   573,   574,     0,
     575,  1310,  1311,     0,     0,   578,   579,  1312,   581,  1313,
    1314,   583,   584,   585,   586,   587,   588,   589,   590,     0,
    1315,   591,   592,   593,   594,   595,  1316,     0,   596,   597,
     598,   599,   600,   601,  1317,     0,   603,   604,   605,   606,
     607,   608,     0,     0,   609,     0,     0,   610,   611,   612,
     613,   614,   615,   616,  1318,  1319,  1320,  1321,   621,  1322,
    1323,  1324,  1325,   626,   627,   628,   629,     0,  1326,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1327,  1328,     0,     0,     0,     0,     0,  2025,  3207,  1330,
     234,     0,  1250,   696,     0,  1251,  1252,  1253,   757,  1254,
       0,     0,     0,     0,     0,     0,     0,   235,   236,   237,
     238,   239,   240,   241,   242,   243,     0,   244,   245,   246,
       0,     0,     0,     0,  1255,     0,     0,   247,   248,   249,
       0,   250,   251,   252,   253,   254,   255,   256,   257,   258,
    1256,   260,  1257,  1258,     0,   263,   264,   265,   266,   267,
     268,   269,  1259,  1260,   270,   271,  1261,  1262,   274,     0,
     275,   276,   277,   278,  1263,     0,  1264,     0,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,     0,   291,
     292,   293,   294,   295,   296,     0,   297,   298,   299,   300,
    1265,  1266,  1267,  1268,  1269,  1270,  1271,   302,   303,   304,
     305,   306,   307,  1272,  1273,   310,  1274,   311,     0,   312,
     313,   314,   315,   316,   317,   318,     0,   319,   320,   321,
     322,     0,     0,   323,   324,   866,   326,   327,     0,   328,
     329,   330,     0,   331,   332,   333,     0,   334,   335,   336,
     337,  1275,   339,   340,   341,   342,  1276,  1277,   344,     0,
     345,   346,   347,  1278,   349,     0,   350,     0,   351,   352,
     353,     0,   354,   355,   356,   357,   358,     0,   359,  1279,
       0,  1280,   362,   363,     0,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,     0,   374,   375,   376,   377,
     378,   379,   380,   381,     0,   382,   383,   384,   385,   386,
     387,   388,  1281,  1282,     0,  1283,     0,   392,   393,   394,
     395,   396,  1284,  1285,  1286,  1287,  1288,  1289,  1290,   404,
     405,   406,   407,   408,   409,     0,     0,   410,  1291,   412,
     413,   414,     0,   415,   416,   417,  1292,  1293,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,  1294,   437,  1295,   439,
     440,   441,   442,   443,   444,   445,   446,  1296,   448,  1297,
     449,   450,   451,   452,  1298,  1299,   454,  1300,   456,   457,
     458,     0,   459,   460,     0,     0,  1301,   462,   463,     0,
       0,   464,   465,   466,   467,   468,   469,  1302,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,     0,   481,
     482,  1303,   484,   485,   486,   487,   488,     0,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,  1304,   500,
     501,   502,   503,     0,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,     0,   517,   518,
     519,   520,   521,   522,   523,   524,  1305,   526,   527,   528,
     529,   530,   531,   532,   533,   534,   535,     0,   536,   537,
     538,   539,   540,  1306,   541,   542,   543,   544,   545,   546,
     547,   548,  1307,   550,     0,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   560,   561,   562,   563,  1308,   565,
       0,   566,   567,  1309,     0,   568,   569,   570,   571,   572,
     573,   574,     0,   575,  1310,  1311,     0,     0,   578,   579,
    1312,   581,  1313,  1314,   583,   584,   585,   586,   587,   588,
     589,   590,     0,  1315,   591,   592,   593,   594,   595,  1316,
       0,   596,   597,   598,   599,   600,   601,  1317,     0,   603,
     604,   605,   606,   607,   608,     0,     0,   609,     0,     0,
     610,   611,   612,   613,   614,   615,   616,  1318,  1319,  1320,
    1321,   621,  1322,  1323,  1324,  1325,   626,   627,   628,   629,
       0,  1326,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1327,  1328,  1329,     0,     0,   234,     0,
    1250,   696,  1330,  1251,  1252,  1253,   757,  1254,     0,     0,
       0,     0,     0,     0,     0,   235,   236,   237,   238,   239,
     240,   241,   242,   243,  2646,   244,   245,   246,     0,     0,
       0,     0,  1255,     0,     0,   247,   248,   249,     0,   250,
     251,   252,   253,   254,   255,   256,   257,   258,  1256,   260,
    1257,  1258,     0,   263,   264,   265,   266,   267,   268,   269,
    1259,  1260,   270,   271,  1261,  1262,   274,     0,   275,   276,
     277,   278,  1263,     0,  1264,     0,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,     0,   291,   292,   293,
     294,   295,   296,     0,   297,   298,   299,   300,  1265,  1266,
    1267,  1268,  1269,  1270,  1271,   302,   303,   304,   305,   306,
     307,  1272,  1273,   310,  1274,   311,     0,   312,   313,   314,
     315,   316,   317,   318,     0,   319,   320,   321,   322,     0,
       0,   323,   324,   866,   326,   327,     0,   328,   329,   330,
       0,   331,   332,   333,     0,   334,   335,   336,   337,  1275,
     339,   340,   341,   342,  1276,  1277,   344,     0,   345,   346,
     347,  1278,   349,     0,   350,     0,   351,   352,   353,     0,
     354,   355,   356,   357,   358,     0,   359,  1279,     0,  1280,
     362,   363,     0,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,     0,   374,   375,   376,   377,   378,   379,
     380,   381,     0,   382,   383,   384,   385,   386,   387,   388,
    1281,  1282,     0,  1283,     0,   392,   393,   394,   395,   396,
    1284,  1285,  1286,  1287,  1288,  1289,  1290,   404,   405,   406,
     407,   408,   409,     0,     0,   410,  1291,   412,   413,   414,
       0,   415,   416,   417,  1292,  1293,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,  1294,   437,  1295,   439,   440,   441,
     442,   443,   444,   445,   446,  1296,   448,  1297,   449,   450,
     451,   452,  1298,  1299,   454,  1300,   456,   457,   458,     0,
     459,   460,     0,     0,  1301,   462,   463,     0,     0,   464,
     465,   466,   467,   468,   469,  1302,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,     0,   481,   482,  1303,
     484,   485,   486,   487,   488,     0,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,  1304,   500,   501,   502,
     503,     0,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,     0,   517,   518,   519,   520,
     521,   522,   523,   524,  1305,   526,   527,   528,   529,   530,
     531,   532,   533,   534,   535,     0,   536,   537,   538,   539,
     540,  1306,   541,   542,   543,   544,   545,   546,   547,   548,
    1307,   550,     0,   551,   552,   553,   554,   555,   556,   557,
     558,   559,   560,   561,   562,   563,  1308,   565,     0,   566,
     567,  1309,     0,   568,   569,   570,   571,   572,   573,   574,
       0,   575,  1310,  1311,     0,     0,   578,   579,  1312,   581,
    1313,  1314,   583,   584,   585,   586,   587,   588,   589,   590,
       0,  1315,   591,   592,   593,   594,   595,  1316,     0,   596,
     597,   598,   599,   600,   601,  1317,     0,   603,   604,   605,
     606,   607,   608,     0,     0,   609,     0,     0,   610,   611,
     612,   613,   614,   615,   616,  1318,  1319,  1320,  1321,   621,
    1322,  1323,  1324,  1325,   626,   627,   628,   629,     0,  1326,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1327,  1328,     0,     0,     0,   234,     0,  1250,   696,
    1330,  1251,  1252,  1253,   757,  1254,     0,     0,     0,     0,
       0,     0,     0,   235,   236,   237,   238,   239,   240,   241,
     242,   243,     0,   244,   245,   246,     0,     0,     0,     0,
    1255,     0,     0,   247,   248,   249,     0,   250,   251,   252,
     253,   254,   255,   256,   257,   258,  1256,   260,  1257,  1258,
       0,   263,   264,   265,   266,   267,   268,   269,  1259,  1260,
     270,   271,  1261,  1262,   274,     0,   275,   276,   277,   278,
    1263,     0,  1264,     0,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,     0,   291,   292,   293,   294,   295,
     296,     0,   297,   298,   299,   300,  1265,  1266,  1267,  1268,
    1269,  1270,  1271,   302,   303,   304,   305,   306,   307,  1272,
    1273,   310,  1274,   311,     0,   312,   313,   314,   315,   316,
     317,   318,     0,   319,   320,   321,   322,     0,     0,   323,
     324,   866,   326,   327,     0,   328,   329,   330,     0,   331,
     332,   333,     0,   334,   335,   336,   337,  1275,   339,   340,
     341,   342,  1276,  1277,   344,     0,   345,   346,   347,  1278,
     349,     0,   350,     0,   351,   352,   353,     0,   354,   355,
     356,   357,   358,     0,   359,  1279,     0,  1280,   362,   363,
       0,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,     0,   374,   375,   376,   377,   378,   379,   380,   381,
       0,   382,   383,   384,   385,   386,   387,   388,  1281,  1282,
       0,  1283,     0,   392,   393,   394,   395,   396,  1284,  1285,
    1286,  1287,  1288,  1289,  1290,   404,   405,   406,   407,   408,
     409,     0,     0,   410,  1291,   412,   413,   414,     0,   415,
     416,   417,  1292,  1293,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,  1294,   437,  1295,   439,   440,   441,   442,   443,
     444,   445,   446,  1296,   448,  1297,   449,   450,   451,   452,
    1298,  1299,   454,  1300,   456,   457,   458,     0,   459,   460,
       0,     0,  1301,   462,   463,     0,     0,   464,   465,   466,
     467,   468,   469,  1302,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,     0,   481,   482,  1303,   484,   485,
     486,   487,   488,     0,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,  1304,   500,   501,   502,   503,     0,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,  3233,   517,   518,   519,   520,   521,   522,
     523,   524,  1305,   526,   527,   528,   529,   530,   531,   532,
     533,   534,   535,     0,   536,   537,   538,   539,   540,  1306,
     541,   542,   543,   544,   545,   546,   547,   548,  1307,   550,
       0,   551,   552,   553,   554,   555,   556,   557,   558,   559,
     560,   561,   562,   563,  1308,   565,     0,   566,   567,  1309,
       0,   568,   569,   570,   571,   572,   573,   574,     0,   575,
    1310,  1311,     0,     0,   578,   579,  1312,   581,  1313,  1314,
     583,   584,   585,   586,   587,   588,   589,   590,     0,  1315,
     591,   592,   593,   594,   595,  1316,     0,   596,   597,   598,
     599,   600,   601,  1317,     0,   603,   604,   605,   606,   607,
     608,     0,     0,   609,     0,     0,   610,   611,   612,   613,
     614,   615,   616,  1318,  1319,  1320,  1321,   621,  1322,  1323,
    1324,  1325,   626,   627,   628,   629,     0,  1326,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1327,
    1328,     0,     0,     0,   234,     0,  1250,   696,  1330,  1251,
    1252,  1253,   757,  1254,     0,     0,     0,     0,     0,     0,
       0,   235,   236,   237,   238,   239,   240,   241,   242,   243,
       0,   244,   245,   246,     0,     0,     0,     0,  1255,     0,
       0,   247,   248,   249,     0,   250,   251,   252,   253,   254,
     255,   256,   257,   258,  1256,   260,  1257,  1258,     0,   263,
     264,   265,   266,   267,   268,   269,  1259,  1260,   270,   271,
    1261,  1262,   274,     0,   275,   276,   277,   278,  1263,     0,
    1264,     0,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,     0,   291,   292,   293,   294,   295,   296,     0,
     297,   298,   299,   300,  1265,  1266,  1267,  1268,  1269,  1270,
    1271,   302,   303,   304,   305,   306,   307,  1272,  1273,   310,
    1274,   311,     0,   312,   313,   314,   315,   316,   317,   318,
       0,   319,   320,   321,   322,     0,     0,   323,   324,   866,
     326,   327,     0,   328,   329,   330,     0,   331,   332,   333,
       0,   334,   335,   336,   337,  1275,   339,   340,   341,   342,
    1276,  1277,   344,     0,   345,   346,   347,  1278,   349,     0,
     350,     0,   351,   352,   353,     0,   354,   355,   356,   357,
     358,     0,   359,  1279,     0,  1280,   362,   363,     0,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,     0,
     374,   375,   376,   377,   378,   379,   380,   381,     0,   382,
     383,   384,   385,   386,   387,   388,  1281,  1282,     0,  1283,
       0,   392,   393,   394,   395,   396,  1284,  1285,  1286,  1287,
    1288,  1289,  1290,   404,   405,   406,   407,   408,   409,     0,
       0,   410,  1291,   412,   413,   414,     0,   415,   416,   417,
    1292,  1293,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
    1294,   437,  1295,   439,   440,   441,   442,   443,   444,   445,
     446,  1296,   448,  1297,   449,   450,   451,   452,  1298,  1299,
     454,  1300,   456,   457,   458,     0,   459,   460,     0,     0,
    1301,   462,   463,     0,     0,   464,   465,   466,   467,   468,
     469,  1302,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,     0,   481,   482,  1303,   484,   485,   486,   487,
     488,     0,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,  1304,   500,   501,   502,   503,     0,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,     0,   517,   518,   519,   520,   521,   522,   523,   524,
    1305,   526,   527,   528,   529,   530,   531,   532,   533,   534,
     535,     0,   536,   537,   538,   539,   540,  1306,   541,   542,
     543,   544,   545,   546,   547,   548,  1307,   550,     0,   551,
     552,   553,   554,   555,   556,   557,   558,   559,   560,   561,
     562,   563,  1308,   565,     0,   566,   567,  1309,     0,   568,
     569,   570,   571,   572,   573,   574,     0,   575,  1310,  1311,
       0,     0,   578,   579,  1312,   581,  1313,  1314,   583,   584,
     585,   586,   587,   588,   589,   590,     0,  1315,   591,   592,
     593,   594,   595,  1316,     0,   596,   597,   598,   599,   600,
     601,  1317,  3775,   603,   604,   605,   606,   607,   608,     0,
       0,   609,     0,     0,   610,   611,   612,   613,   614,   615,
     616,  1318,  1319,  1320,  1321,   621,  1322,  1323,  1324,  1325,
     626,   627,   628,   629,     0,  1326,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1327,  1328,     0,
       0,     0,   234,     0,  1250,   696,  1330,  1251,  1252,  1253,
     757,  1254,     0,     0,     0,     0,     0,     0,     0,   235,
     236,   237,   238,   239,   240,   241,   242,   243,     0,   244,
     245,   246,     0,     0,     0,     0,  1255,     0,     0,   247,
     248,   249,     0,   250,   251,   252,   253,   254,   255,   256,
     257,   258,  1256,   260,  1257,  1258,     0,   263,   264,   265,
     266,   267,   268,   269,  1259,  1260,   270,   271,  1261,  1262,
     274,     0,   275,   276,   277,   278,  1263,     0,  1264,     0,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
       0,   291,   292,   293,   294,   295,   296,     0,   297,   298,
     299,   300,  1265,  1266,  1267,  1268,  1269,  1270,  1271,   302,
     303,   304,   305,   306,   307,  1272,  1273,   310,  1274,   311,
       0,   312,   313,   314,   315,   316,   317,   318,     0,   319,
     320,   321,   322,     0,     0,   323,   324,   866,   326,   327,
       0,   328,   329,   330,     0,   331,   332,   333,     0,   334,
     335,   336,   337,  1275,   339,   340,   341,   342,  1276,  1277,
     344,     0,   345,   346,   347,  1278,   349,     0,   350,     0,
     351,   352,   353,  3275,   354,   355,   356,   357,   358,     0,
     359,  1279,     0,  1280,   362,   363,     0,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,     0,   374,   375,
     376,   377,   378,   379,   380,   381,     0,   382,   383,   384,
     385,   386,   387,   388,  1281,  1282,     0,  1283,     0,   392,
     393,   394,   395,   396,  1284,  1285,  1286,  1287,  1288,  1289,
    1290,   404,   405,   406,   407,   408,   409,     0,     0,   410,
    1291,   412,   413,   414,     0,   415,   416,   417,  1292,  1293,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,  1294,   437,
    1295,   439,   440,   441,   442,   443,   444,   445,   446,  1296,
     448,  1297,   449,   450,   451,   452,  1298,  1299,   454,  1300,
     456,   457,   458,     0,   459,   460,     0,     0,  1301,   462,
     463,     0,     0,   464,   465,   466,   467,   468,   469,  1302,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
       0,   481,   482,  1303,   484,   485,   486,   487,   488,     0,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
    1304,   500,   501,   502,   503,     0,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,     0,
     517,   518,   519,   520,   521,   522,   523,   524,  1305,   526,
     527,   528,   529,   530,   531,   532,   533,   534,   535,     0,
     536,   537,   538,   539,   540,  1306,   541,   542,   543,   544,
     545,   546,   547,   548,  1307,   550,     0,   551,   552,   553,
     554,   555,   556,   557,   558,   559,   560,   561,   562,   563,
    1308,   565,     0,   566,   567,  1309,     0,   568,   569,   570,
     571,   572,   573,   574,     0,   575,  1310,  1311,     0,     0,
     578,   579,  1312,   581,  1313,  1314,   583,   584,   585,   586,
     587,   588,   589,   590,     0,  1315,   591,   592,   593,   594,
     595,  1316,     0,   596,   597,   598,   599,   600,   601,  1317,
       0,   603,   604,   605,   606,   607,   608,     0,     0,   609,
       0,     0,   610,   611,   612,   613,   614,   615,   616,  1318,
    1319,  1320,  1321,   621,  1322,  1323,  1324,  1325,   626,   627,
     628,   629,     0,  1326,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1327,  1328,     0,     0,     0,
     234,     0,  1250,   696,  1330,  1251,  1252,  1253,   757,  1254,
       0,     0,     0,     0,     0,     0,     0,   235,   236,   237,
     238,   239,   240,   241,   242,   243,     0,   244,   245,   246,
       0,     0,     0,     0,  1255,     0,     0,   247,   248,   249,
       0,   250,   251,   252,   253,   254,   255,   256,   257,   258,
    1256,   260,  1257,  1258,     0,   263,   264,   265,   266,   267,
     268,   269,  1259,  1260,   270,   271,  1261,  1262,   274,     0,
     275,   276,   277,   278,  1263,     0,  1264,     0,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,     0,   291,
     292,   293,   294,   295,   296,     0,   297,   298,   299,   300,
    1265,  1266,  1267,  1268,  1269,  1270,  1271,   302,   303,   304,
     305,   306,   307,  1272,  1273,   310,  1274,   311,     0,   312,
     313,   314,   315,   316,   317,   318,     0,   319,   320,   321,
     322,     0,     0,   323,   324,   866,   326,   327,     0,   328,
     329,   330,     0,   331,   332,   333,     0,   334,   335,   336,
     337,  1275,   339,   340,   341,   342,  1276,  1277,   344,     0,
     345,   346,   347,  1278,   349,     0,   350,     0,   351,   352,
     353,     0,   354,   355,   356,   357,   358,     0,   359,  1279,
       0,  1280,   362,   363,     0,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,     0,   374,   375,   376,   377,
     378,   379,   380,   381,     0,   382,   383,   384,   385,   386,
     387,   388,  1281,  1282,     0,  1283,     0,   392,   393,   394,
     395,   396,  1284,  1285,  1286,  1287,  1288,  1289,  1290,   404,
     405,   406,   407,   408,   409,     0,     0,   410,  1291,   412,
     413,   414,     0,   415,   416,   417,  1292,  1293,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,  1294,   437,  1295,   439,
     440,   441,   442,   443,   444,   445,   446,  1296,   448,  1297,
     449,   450,   451,   452,  1298,  1299,   454,  1300,   456,   457,
     458,     0,   459,   460,     0,     0,  1301,   462,   463,     0,
       0,   464,   465,   466,   467,   468,   469,  1302,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,     0,   481,
     482,  1303,   484,   485,   486,   487,   488,     0,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,  1304,   500,
     501,   502,   503,     0,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,     0,   517,   518,
     519,   520,   521,   522,   523,   524,  1305,   526,   527,   528,
     529,   530,   531,   532,   533,   534,   535,     0,   536,   537,
     538,   539,   540,  1306,   541,   542,   543,   544,   545,   546,
     547,   548,  1307,   550,     0,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   560,   561,   562,   563,  1308,   565,
       0,   566,   567,  1309,     0,   568,   569,   570,   571,   572,
     573,   574,     0,   575,  1310,  1311,  3332,     0,   578,   579,
    1312,   581,  1313,  1314,   583,   584,   585,   586,   587,   588,
     589,   590,     0,  1315,   591,   592,   593,   594,   595,  1316,
       0,   596,   597,   598,   599,   600,   601,  1317,     0,   603,
     604,   605,   606,   607,   608,     0,     0,   609,     0,     0,
     610,   611,   612,   613,   614,   615,   616,  1318,  1319,  1320,
    1321,   621,  1322,  1323,  1324,  1325,   626,   627,   628,   629,
       0,  1326,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1327,  1328,     0,     0,     0,   234,     0,
    1250,   696,  1330,  1251,  1252,  1253,   757,  1254,     0,     0,
       0,     0,     0,     0,     0,   235,   236,   237,   238,   239,
     240,   241,   242,   243,     0,   244,   245,   246,     0,     0,
       0,     0,  1255,     0,     0,   247,   248,   249,     0,   250,
     251,   252,   253,   254,   255,   256,   257,   258,  1256,   260,
    1257,  1258,     0,   263,   264,   265,   266,   267,   268,   269,
    1259,  1260,   270,   271,  1261,  1262,   274,     0,   275,   276,
     277,   278,  1263,     0,  1264,     0,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,     0,   291,   292,   293,
     294,   295,   296,     0,   297,   298,   299,   300,  1265,  1266,
    1267,  1268,  1269,  1270,  1271,   302,   303,   304,   305,   306,
     307,  1272,  1273,   310,  1274,   311,     0,   312,   313,   314,
     315,   316,   317,   318,     0,   319,   320,   321,   322,     0,
       0,   323,   324,   866,   326,   327,     0,   328,   329,   330,
       0,   331,   332,   333,     0,   334,   335,   336,   337,  1275,
     339,   340,   341,   342,  1276,  1277,   344,     0,   345,   346,
     347,  1278,   349,     0,   350,     0,   351,   352,   353,     0,
     354,   355,   356,   357,   358,     0,   359,  1279,     0,  1280,
     362,   363,     0,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,     0,   374,   375,   376,   377,   378,   379,
     380,   381,     0,   382,   383,   384,   385,   386,   387,   388,
    1281,  1282,     0,  1283,     0,   392,   393,   394,   395,   396,
    1284,  1285,  1286,  1287,  1288,  1289,  1290,   404,   405,   406,
     407,   408,   409,     0,     0,   410,  1291,   412,   413,   414,
       0,   415,   416,   417,  1292,  1293,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,  1294,   437,  1295,   439,   440,   441,
     442,   443,   444,   445,   446,  1296,   448,  1297,   449,   450,
     451,   452,  1298,  1299,   454,  1300,   456,   457,   458,     0,
     459,   460,     0,     0,  1301,   462,   463,     0,     0,   464,
     465,   466,   467,   468,   469,  1302,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,     0,   481,   482,  1303,
     484,   485,   486,   487,   488,     0,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,  1304,   500,   501,   502,
     503,     0,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,     0,   517,   518,   519,   520,
     521,   522,   523,   524,  1305,   526,   527,   528,   529,   530,
     531,   532,   533,   534,   535,     0,   536,   537,   538,   539,
     540,  1306,   541,   542,   543,   544,   545,   546,   547,   548,
    1307,   550,     0,   551,   552,   553,   554,   555,   556,   557,
     558,   559,   560,   561,   562,   563,  1308,   565,     0,   566,
     567,  1309,     0,   568,   569,   570,   571,   572,   573,   574,
       0,   575,  1310,  1311,     0,     0,   578,   579,  1312,   581,
    1313,  1314,   583,   584,   585,   586,   587,   588,   589,   590,
       0,  1315,   591,   592,   593,   594,   595,  1316,     0,   596,
     597,   598,   599,   600,   601,  1317,     0,   603,   604,   605,
     606,   607,   608,     0,     0,   609,     0,     0,   610,   611,
     612,   613,   614,   615,   616,  1318,  1319,  1320,  1321,   621,
    1322,  1323,  1324,  1325,   626,   627,   628,   629,     0,  1326,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1327,  1328,     0,     0,     0,   234,     0,  1250,   696,
    1330,  1251,  1252,  1253,   757,  1254,     0,     0,     0,     0,
       0,     0,     0,   235,   236,   237,   238,   239,   240,   241,
     242,   243,     0,   244,   245,   246,     0,     0,     0,     0,
    1255,     0,     0,   247,   248,   249,     0,   250,   251,   252,
     253,   254,   255,   256,   257,   258,  1256,   260,  1257,  1258,
       0,   263,   264,   265,   266,   267,   268,   269,  1259,  1260,
     270,   271,  1261,  1262,   274,     0,   275,   276,   277,   278,
    1263,     0,  1264,     0,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,     0,   291,   292,   293,   294,   295,
     296,     0,   297,   298,   299,   300,  1265,  1266,  1267,  1268,
    1269,  1270,  1271,   302,   303,   304,   305,   306,   307,  1272,
    1273,   310,  1274,   311,     0,   312,   313,   314,   315,   316,
     317,   318,     0,   319,   320,   321,   322,     0,     0,   323,
     324,   866,   326,   327,     0,   328,   329,   330,     0,   331,
     332,   333,     0,   334,   335,   336,   337,  1275,   339,   340,
     341,   342,  1276,  1277,   344,     0,   345,   346,   347,  1278,
     349,     0,   350,     0,   351,   352,   353,     0,   354,   355,
     356,   357,   358,     0,   359,  1279,     0,  1280,   362,   363,
       0,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,     0,   374,   375,   376,   377,   378,   379,   380,   381,
       0,   382,   383,   384,   385,   386,   387,   388,  1281,  1282,
       0,  1283,     0,   392,   393,   394,   395,   396,  1284,  1285,
    1286,  1287,  1288,  1289,  1290,   404,   405,   406,   407,   408,
     409,     0,     0,   410,  1291,   412,   413,   414,     0,   415,
     416,   417,  1292,  1293,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,  1294,   437,  1295,   439,   440,   441,   442,   443,
     444,   445,   446,  1296,   448,  1297,   449,   450,   451,   452,
    1298,  1299,   454,  1300,   456,   457,   458,     0,   459,   460,
       0,     0,  1301,   462,   463,     0,     0,   464,   465,   466,
     467,   468,   469,  1302,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,     0,   481,   482,  1303,   484,   485,
     486,   487,   488,     0,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,  1304,   500,   501,   502,   503,     0,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,     0,   517,   518,   519,   520,   521,   522,
     523,   524,  1305,   526,   527,   528,   529,   530,   531,   532,
     533,   534,   535,     0,   536,   537,   538,   539,   540,  1306,
     541,   542,   543,   544,   545,   546,   547,   548,  1307,   550,
       0,   551,   552,   553,   554,   555,   556,   557,   558,   559,
     560,   561,   562,   563,  1308,   565,     0,   566,   567,  1309,
       0,   568,   569,   570,   571,   572,   573,   574,     0,   575,
    1310,  1311,     0,     0,   578,   579,  1312,   581,  1313,  1314,
     583,   584,   585,   586,   587,   588,   589,   590,     0,  1315,
     591,   592,   593,   594,   595,  1316,     0,   596,   597,   598,
     599,   600,   601,  1317,     0,   603,   604,   605,   606,   607,
     608,     0,     0,   609,     0,     0,   610,   611,   612,   613,
     614,   615,   616,  1318,  1319,  1320,  1321,   621,  1322,  1323,
    1324,  1325,   626,   627,   628,   629,     0,  1326,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2649,
    2650,     0,     0,     0,   234,     0,  3449,   696,  1330,  1251,
    1252,  1253,   757,  1254,     0,     0,     0,     0,     0,     0,
       0,   235,   236,   237,   238,   239,   240,   241,   242,   243,
       0,   244,   245,   246,     0,     0,     0,     0,  1255,     0,
       0,   247,   248,   249,     0,   250,   251,   252,   253,   254,
     255,   256,   257,   258,  1256,   260,  1257,  1258,     0,   263,
     264,   265,   266,   267,   268,   269,  1259,  1260,   270,   271,
    1261,  1262,   274,     0,   275,   276,   277,   278,  1263,     0,
    1264,     0,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,     0,   291,   292,   293,   294,   295,   296,     0,
     297,   298,   299,   300,  1265,  1266,  1267,  1268,  1269,  1270,
    1271,   302,   303,   304,   305,   306,   307,  1272,  1273,   310,
    1274,   311,     0,   312,   313,   314,   315,   316,   317,   318,
       0,   319,   320,   321,   322,     0,     0,   323,   324,   866,
     326,   327,     0,   328,   329,   330,     0,   331,   332,   333,
       0,   334,   335,   336,   337,  1275,   339,   340,   341,   342,
    1276,  1277,   344,     0,   345,   346,   347,  1278,   349,     0,
     350,     0,   351,   352,   353,     0,   354,   355,   356,   357,
     358,     0,   359,  1279,     0,  1280,   362,   363,     0,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,     0,
     374,   375,   376,   377,   378,   379,   380,   381,     0,   382,
     383,   384,   385,   386,   387,   388,  1281,  1282,     0,  1283,
       0,   392,   393,   394,   395,   396,  1284,  1285,  1286,  1287,
    1288,  1289,  1290,   404,   405,   406,   407,   408,   409,     0,
       0,   410,  1291,   412,   413,   414,     0,   415,   416,   417,
    1292,  1293,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
    1294,   437,  1295,   439,   440,   441,   442,   443,   444,   445,
     446,  1296,   448,  1297,   449,   450,   451,   452,  1298,  1299,
     454,  1300,   456,   457,   458,     0,   459,   460,     0,     0,
    1301,   462,   463,     0,     0,   464,   465,   466,   467,   468,
     469,  1302,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,     0,   481,   482,  1303,   484,   485,   486,   487,
     488,     0,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,  1304,   500,   501,   502,   503,     0,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,     0,   517,   518,   519,   520,   521,   522,   523,   524,
    1305,   526,   527,   528,   529,   530,   531,   532,   533,   534,
     535,     0,   536,   537,   538,   539,   540,  1306,   541,   542,
     543,   544,   545,   546,   547,   548,  1307,   550,     0,   551,
     552,   553,   554,   555,   556,   557,   558,   559,   560,   561,
     562,   563,  1308,   565,     0,   566,   567,  1309,     0,   568,
     569,   570,   571,   572,   573,   574,     0,   575,  1310,  1311,
       0,     0,   578,   579,  1312,   581,  1313,  1314,   583,   584,
     585,   586,   587,   588,   589,   590,     0,  1315,   591,   592,
     593,   594,   595,  1316,     0,   596,   597,   598,   599,   600,
     601,  1317,     0,   603,   604,   605,   606,   607,   608,     0,
       0,   609,     0,     0,   610,   611,   612,   613,   614,   615,
     616,  1318,  1319,  1320,  1321,   621,  1322,  1323,  1324,  1325,
     626,   627,   628,   629,     0,  1326,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1327,  1328,     0,
       0,     0,   234,     0,  1250,   696,  1330,  1251,  1252,  1253,
     757,  1254,     0,     0,     0,     0,     0,     0,     0,   235,
     236,   237,   238,   239,   240,   241,   242,   243,     0,   244,
     245,   246,     0,     0,     0,     0,  1255,     0,     0,   247,
     248,   249,     0,   250,   251,   252,   253,   254,   255,   256,
     257,   258,  1256,   260,  1257,  1258,     0,   263,   264,   265,
     266,   267,   268,   269,  1259,  1260,   270,   271,  1261,  1262,
     274,     0,   275,   276,   277,   278,  1263,     0,  1264,     0,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
       0,   291,   292,   293,   294,   295,   296,     0,   297,   298,
     299,  4782,  1265,  1266,  1267,  1268,  1269,  1270,  1271,   302,
     303,   304,   305,   306,   307,  1272,  1273,   310,  1274,   311,
       0,   312,   313,   314,   315,   316,   317,   318,     0,   319,
     320,   321,   322,     0,     0,   323,   324,   866,   326,   327,
       0,   328,   329,   330,     0,   331,   332,   333,     0,   334,
     335,   336,   337,  1275,   339,   340,   341,   342,  1276,  1277,
     344,     0,   345,   346,   347,  1278,   349,     0,   350,     0,
     351,   352,   353,     0,   354,   355,   356,   357,   358,     0,
     359,  1279,     0,  1280,   362,   363,     0,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,     0,   374,   375,
     376,   377,   378,   379,   380,   381,     0,   382,   383,   384,
     385,   386,   387,   388,  1281,  1282,     0,  1283,     0,   392,
     393,   394,   395,   396,  1284,  1285,  1286,  1287,  1288,  1289,
    1290,   404,   405,   406,   407,   408,   409,     0,     0,   410,
    1291,   412,   413,   414,     0,   415,   416,   417,  1292,  1293,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,  1294,   437,
    1295,   439,   440,   441,   442,   443,   444,   445,   446,  1296,
     448,  1297,   449,   450,   451,   452,  1298,  1299,   454,  1300,
     456,   457,   458,     0,   459,   460,     0,     0,  1301,   462,
     463,     0,     0,   464,   465,   466,   467,   468,   469,  1302,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
       0,   481,   482,  1303,   484,   485,   486,   487,   488,     0,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
    1304,   500,   501,   502,   503,     0,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,     0,
     517,   518,   519,   520,   521,   522,   523,   524,  1305,   526,
     527,   528,   529,   530,   531,   532,   533,   534,   535,     0,
     536,   537,   538,   539,   540,  1306,   541,   542,   543,   544,
     545,   546,   547,   548,  1307,   550,     0,   551,   552,   553,
     554,   555,   556,   557,   558,   559,   560,   561,   562,   563,
    1308,   565,     0,   566,   567,  1309,     0,   568,   569,   570,
     571,   572,   573,   574,     0,   575,  1310,  1311,     0,     0,
     578,   579,  1312,   581,  1313,  1314,   583,   584,   585,   586,
     587,   588,   589,   590,     0,  1315,   591,   592,   593,   594,
     595,  1316,     0,   596,   597,   598,   599,   600,   601,  1317,
       0,   603,   604,   605,   606,   607,   608,     0,     0,   609,
       0,     0,   610,   611,   612,   613,   614,   615,   616,  1318,
    1319,  1320,  1321,   621,  1322,  1323,  1324,  1325,   626,   627,
     628,   629,     0,  1326,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1327,  1328,     0,     0,     0,
     234,     0,  1250,   696,  1330,  1251,  1252,  1253,   757,  1254,
       0,     0,     0,     0,     0,     0,     0,   235,   236,   237,
     238,   239,   240,   241,   242,   243,     0,   244,   245,   246,
       0,     0,     0,     0,  1255,     0,     0,   247,   248,   249,
       0,   250,   251,   252,   253,   254,   255,   256,   257,   258,
    1256,   260,  1257,  1258,     0,   263,   264,   265,   266,   267,
     268,   269,  1259,  1260,   270,   271,  1261,  1262,   274,     0,
     275,   276,   277,   278,  1263,     0,  1264,     0,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,     0,   291,
     292,   293,   294,   295,   296,     0,   297,   298,   299,   300,
    1265,  1266,  1267,  1268,  1269,  1270,  1271,   302,   303,   304,
     305,   306,   307,  1272,  1273,   310,  1274,   311,     0,   312,
     313,   314,   315,   316,   317,   318,     0,   319,   320,   321,
     322,     0,     0,   323,   324,   866,   326,   327,     0,   328,
     329,   330,     0,   331,   332,   333,     0,   334,   335,   336,
     337,  1275,   339,   340,   341,   342,  1276,  1277,   344,     0,
     345,   346,   347,  1278,   349,     0,   350,     0,   351,   352,
     353,     0,   354,   355,   356,   357,   358,     0,   359,  1279,
       0,  1280,   362,   363,     0,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,     0,   374,   375,   376,   377,
     378,   379,   380,   381,     0,   382,   383,   384,   385,   386,
     387,   388,  1281,  1282,     0,  1283,     0,   392,   393,   394,
     395,   396,  1284,  1285,  1286,  1287,  1288,  1289,  1290,   404,
     405,   406,   407,   408,   409,     0,     0,   410,  1291,   412,
     413,   414,     0,   415,   416,   417,  1292,  1293,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,  1294,   437,  1295,   439,
     440,   441,   442,   443,   444,   445,   446,  1296,   448,  1297,
     449,   450,   451,   452,  1298,  1299,   454,  1300,   456,   457,
     458,     0,   459,   460,     0,     0,  1301,   462,   463,     0,
       0,   464,   465,   466,   467,   468,   469,  1302,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,     0,   481,
     482,  1303,   484,   485,   486,   487,   488,     0,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,  1304,   500,
     501,   502,   503,     0,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,     0,   517,   518,
     519,   520,   521,   522,   523,   524,  1305,   526,   527,   528,
     529,   530,   531,   532,   533,   534,   535,     0,   536,   537,
     538,   539,   540,  1306,   541,   542,   543,   544,   545,   546,
     547,   548,  1307,   550,     0,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   560,   561,   562,   563,  1308,   565,
       0,   566,   567,  1309,     0,   568,   569,   570,   571,   572,
     573,   574,     0,   575,  1310,  1311,     0,     0,   578,   579,
    1312,   581,  1313,  1314,   583,   584,   585,   586,   587,   588,
     589,   590,     0,  1315,   591,   592,   593,   594,   595,  1316,
       0,   596,   597,   598,   599,   600,   601,  1317,     0,   603,
     604,   605,   606,   607,   608,     0,     0,   609,     0,     0,
     610,   611,   612,   613,   614,   615,  5160,  1318,  1319,  1320,
    1321,   621,  1322,  1323,  1324,  1325,   626,   627,   628,   629,
       0,  1326,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1327,  1328,     0,     0,     0,   234,     0,
    1250,   696,  1330,  1251,  1252,  1253,   757,  1254,     0,     0,
       0,     0,     0,     0,     0,   235,   236,   237,   238,   239,
     240,   241,   242,   243,     0,   244,   245,   246,     0,     0,
       0,     0,  1255,     0,     0,   247,   248,   249,     0,   250,
     251,   252,   253,   254,   255,   256,   257,   258,  1256,   260,
    1257,  1258,     0,   263,   264,   265,   266,   267,   268,   269,
    1259,  1260,   270,   271,  1261,  1262,   274,     0,   275,   276,
     277,   278,  1263,     0,  1264,     0,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,     0,   291,   292,   293,
     294,   295,   296,     0,   297,   298,   299,   300,  1265,  1266,
    1267,  1268,  1269,  1270,  1271,   302,   303,   304,   305,   306,
     307,  1272,  1273,   310,  1274,   311,     0,   312,   313,   314,
     315,   316,   317,   318,     0,   319,   320,   321,   322,     0,
       0,   323,   324,   866,   326,   327,     0,   328,   329,   330,
       0,   331,   332,   333,     0,   334,   335,   336,   337,  1275,
     339,   340,   341,   342,  1276,  1277,   344,     0,   345,   346,
     347,  1278,   349,     0,   350,     0,   351,   352,   353,     0,
     354,   355,   356,   357,   358,     0,   359,  1279,     0,  1280,
     362,   363,     0,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,     0,   374,   375,   376,   377,   378,   379,
     380,   381,     0,   382,   383,   384,   385,   386,   387,   388,
    1281,  1282,     0,  1283,     0,   392,   393,   394,   395,   396,
    1284,  1285,  1286,  1287,  1288,  1289,  1290,   404,   405,   406,
     407,   408,   409,     0,     0,   410,  1291,   412,   413,   414,
       0,   415,   416,   417,  1292,  1293,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,  1294,   437,  1295,   439,   440,   441,
     442,   443,   444,  5172,   446,  1296,   448,  1297,   449,   450,
     451,   452,  1298,  1299,   454,  1300,   456,   457,   458,     0,
     459,   460,     0,     0,  1301,   462,   463,     0,     0,   464,
     465,   466,   467,   468,   469,  1302,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,     0,   481,   482,  1303,
     484,   485,   486,   487,   488,     0,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,  1304,   500,   501,   502,
     503,     0,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,     0,   517,   518,   519,   520,
     521,   522,   523,   524,  1305,   526,   527,   528,   529,   530,
     531,   532,   533,   534,   535,     0,   536,   537,   538,   539,
     540,  1306,   541,   542,   543,   544,   545,   546,   547,   548,
    1307,   550,     0,   551,   552,   553,   554,   555,   556,   557,
     558,   559,   560,   561,   562,   563,  1308,   565,     0,   566,
     567,  1309,     0,   568,   569,   570,   571,   572,   573,   574,
       0,   575,  1310,  1311,     0,     0,   578,   579,  1312,   581,
    1313,  1314,   583,   584,   585,   586,   587,   588,   589,   590,
       0,  1315,   591,   592,   593,   594,   595,  1316,     0,   596,
     597,   598,   599,   600,   601,  1317,     0,   603,   604,   605,
     606,   607,   608,     0,     0,   609,     0,     0,   610,   611,
     612,   613,   614,   615,   616,  1318,  1319,  1320,  1321,   621,
    1322,  1323,  1324,  1325,   626,   627,   628,   629,     0,  1326,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1327,  1328,     0,     0,     0,   234,     0,  1250,   696,
    1330,  1251,  1252,  1253,   757,  1254,     0,     0,     0,     0,
       0,     0,     0,   235,   236,   237,   238,   239,   240,   241,
     242,   243,     0,   244,   245,   246,     0,     0,     0,     0,
    1255,     0,     0,   247,   248,   249,     0,   250,   251,   252,
     253,   254,   255,   256,   257,   258,  1256,   260,  1257,  1258,
       0,   263,   264,   265,   266,   267,   268,   269,  1259,  1260,
     270,   271,  1261,  1262,   274,     0,   275,   276,   277,   278,
    1263,     0,  1264,     0,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,     0,   291,   292,   293,   294,   295,
     296,     0,   297,   298,  5494,   300,  1265,  1266,  1267,  1268,
    1269,  1270,  1271,   302,   303,   304,   305,   306,   307,  1272,
    1273,   310,  1274,   311,     0,   312,   313,   314,   315,   316,
     317,   318,     0,   319,   320,   321,   322,     0,     0,   323,
     324,   866,   326,   327,     0,   328,   329,   330,     0,   331,
     332,   333,     0,   334,   335,   336,   337,  1275,   339,   340,
     341,   342,  1276,  1277,   344,     0,   345,   346,   347,  1278,
     349,     0,   350,     0,   351,   352,   353,     0,   354,   355,
     356,   357,   358,     0,   359,  1279,     0,  5495,   362,   363,
       0,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,     0,   374,   375,   376,   377,   378,   379,   380,   381,
       0,   382,   383,   384,   385,   386,   387,   388,  1281,  1282,
       0,  1283,     0,   392,   393,   394,   395,   396,  1284,  1285,
    1286,  1287,  1288,  1289,  1290,   404,   405,   406,   407,   408,
     409,     0,     0,   410,  1291,   412,   413,   414,     0,   415,
     416,   417,  1292,  1293,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,  1294,   437,  1295,   439,   440,   441,   442,   443,
     444,   445,   446,  1296,   448,  1297,   449,   450,   451,   452,
    1298,  1299,   454,  1300,   456,   457,   458,     0,   459,   460,
       0,     0,  1301,   462,   463,     0,     0,   464,   465,   466,
     467,   468,   469,  1302,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,     0,   481,   482,  1303,   484,   485,
     486,   487,   488,     0,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,  1304,   500,   501,   502,   503,     0,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,     0,   517,   518,   519,   520,   521,  5496,
     523,   524,  1305,   526,   527,   528,   529,   530,   531,   532,
     533,   534,   535,     0,   536,   537,   538,   539,   540,  1306,
     541,   542,   543,   544,   545,   546,   547,   548,  1307,   550,
       0,   551,   552,   553,   554,   555,   556,   557,   558,   559,
     560,   561,   562,   563,  1308,   565,     0,   566,   567,  1309,
       0,   568,   569,   570,   571,   572,   573,   574,     0,   575,
    1310,  1311,     0,     0,   578,   579,  1312,   581,  1313,  1314,
     583,   584,   585,   586,   587,   588,   589,   590,     0,  1315,
     591,   592,   593,   594,   595,  1316,     0,   596,   597,   598,
     599,   600,   601,  1317,     0,   603,   604,   605,   606,   607,
     608,     0,     0,   609,     0,     0,   610,   611,   612,   613,
     614,   615,   616,  1318,  1319,  1320,  1321,   621,  1322,  1323,
    1324,  1325,   626,   627,   628,   629,     0,  1326,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1327,
    1328,     0,     0,     0,   234,     0,  1250,   696,  5497,  1251,
    1252,  1253,   757,  1254,     0,     0,     0,     0,     0,     0,
       0,   235,   236,   237,   238,   239,   240,   241,   242,   243,
       0,   244,   245,   246,     0,     0,     0,     0,  1255,     0,
       0,   247,   248,   249,     0,   250,   251,   252,   253,   254,
     255,   256,   257,  5872,  1256,   260,  1257,  1258,     0,   263,
     264,   265,   266,   267,   268,   269,  1259,  1260,   270,   271,
    1261,  1262,   274,     0,   275,   276,   277,   278,  1263,     0,
    1264,     0,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,     0,   291,   292,   293,   294,   295,   296,     0,
     297,   298,   299,  5873,  1265,  1266,  1267,  1268,  1269,  1270,
    1271,   302,   303,   304,   305,   306,   307,  1272,  1273,   310,
    1274,   311,     0,   312,   313,   314,   315,   316,   317,   318,
       0,   319,   320,   321,   322,     0,     0,   323,   324,   866,
     326,   327,     0,   328,   329,   330,     0,   331,   332,   333,
       0,   334,   335,   336,   337,  1275,   339,   340,   341,   342,
    1276,  1277,   344,     0,   345,   346,   347,  1278,   349,     0,
     350,     0,   351,   352,   353,     0,   354,   355,   356,   357,
     358,     0,   359,  1279,     0,  1280,   362,   363,     0,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,     0,
     374,   375,   376,   377,   378,   379,   380,   381,     0,   382,
     383,   384,   385,   386,   387,   388,  1281,  1282,     0,  1283,
       0,   392,   393,   394,   395,   396,  1284,  1285,  1286,  1287,
    1288,  1289,  1290,   404,   405,   406,   407,   408,   409,     0,
       0,   410,  1291,   412,   413,   414,     0,   415,   416,   417,
    1292,  1293,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
    1294,   437,  1295,   439,   440,   441,   442,   443,   444,   445,
     446,  1296,   448,  1297,   449,   450,   451,   452,  1298,  1299,
     454,  1300,   456,   457,   458,     0,   459,   460,     0,     0,
    1301,   462,   463,     0,     0,   464,   465,   466,   467,   468,
     469,  1302,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,     0,   481,   482,  1303,   484,   485,   486,   487,
     488,     0,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,  1304,   500,   501,   502,   503,     0,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,     0,   517,   518,   519,   520,   521,   522,   523,   524,
    1305,   526,   527,   528,   529,   530,   531,   532,   533,   534,
     535,     0,   536,   537,   538,   539,   540,  1306,   541,   542,
     543,   544,   545,   546,   547,   548,  1307,   550,     0,   551,
     552,   553,   554,   555,   556,   557,   558,   559,   560,   561,
     562,   563,  1308,   565,     0,   566,   567,  1309,     0,   568,
     569,   570,   571,   572,   573,   574,     0,   575,  1310,  1311,
       0,     0,   578,   579,  1312,   581,  1313,  1314,   583,   584,
     585,   586,   587,  5874,   589,   590,     0,  1315,   591,   592,
     593,   594,   595,  1316,     0,   596,   597,   598,   599,   600,
     601,  1317,     0,   603,   604,   605,   606,   607,   608,     0,
       0,   609,     0,     0,   610,   611,   612,   613,   614,   615,
     616,  1318,  1319,  1320,  1321,   621,  1322,  1323,  1324,  1325,
     626,   627,   628,   629,     0,  1326,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1327,  1328,     0,
       0,     0,   234,     0,  1250,   696,  1330,  1251,  1252,  1253,
     757,  1254,     0,     0,     0,     0,     0,     0,     0,   235,
     236,   237,   238,   239,   240,   241,   242,   243,     0,   244,
     245,   246,     0,     0,     0,     0,  1255,     0,     0,   247,
     248,   249,     0,   250,   251,   252,   253,   254,   255,   256,
     257,   258,  1256,   260,  1257,  1258,     0,   263,   264,   265,
     266,   267,   268,   269,  1259,  1260,   270,   271,  1261,  1262,
     274,     0,   275,   276,   277,   278,  1263,     0,  1264,     0,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
       0,   291,   292,   293,   294,   295,   296,     0,   297,   298,
     299,  5873,  1265,  1266,  1267,  1268,  1269,  1270,  1271,   302,
     303,   304,   305,   306,   307,  1272,  1273,   310,  1274,   311,
       0,   312,   313,   314,   315,   316,   317,   318,     0,   319,
     320,   321,   322,     0,     0,   323,   324,   866,   326,   327,
       0,   328,   329,   330,     0,   331,   332,   333,     0,   334,
     335,   336,   337,  1275,   339,   340,   341,   342,  1276,  1277,
     344,     0,   345,   346,   347,  1278,   349,     0,   350,     0,
     351,   352,   353,     0,   354,   355,   356,   357,   358,     0,
     359,  1279,     0,  1280,   362,   363,     0,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,     0,   374,   375,
     376,   377,   378,   379,   380,   381,     0,   382,   383,   384,
     385,   386,   387,   388,  1281,  1282,     0,  1283,     0,   392,
     393,   394,   395,   396,  1284,  1285,  1286,  1287,  1288,  1289,
    1290,   404,   405,   406,   407,   408,   409,     0,     0,   410,
    1291,   412,   413,   414,     0,   415,   416,   417,  1292,  1293,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,  1294,   437,
    1295,   439,   440,   441,   442,   443,   444,   445,   446,  1296,
     448,  1297,   449,   450,   451,   452,  1298,  1299,   454,  1300,
     456,   457,   458,     0,   459,   460,     0,     0,  1301,   462,
     463,     0,     0,   464,   465,   466,   467,   468,   469,  1302,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
       0,   481,   482,  1303,   484,   485,   486,   487,   488,     0,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
    1304,   500,   501,   502,   503,     0,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,     0,
     517,   518,   519,   520,   521,   522,   523,   524,  1305,   526,
     527,   528,   529,   530,   531,   532,   533,   534,   535,     0,
     536,   537,   538,   539,   540,  1306,   541,   542,   543,   544,
     545,   546,   547,   548,  1307,   550,     0,   551,   552,   553,
     554,   555,   556,   557,   558,   559,   560,   561,   562,   563,
    1308,   565,     0,   566,   567,  1309,     0,   568,   569,   570,
     571,   572,   573,   574,     0,   575,  1310,  1311,     0,     0,
     578,   579,  1312,   581,  1313,  1314,   583,   584,   585,   586,
     587,  5874,   589,   590,     0,  1315,   591,   592,   593,   594,
     595,  1316,     0,   596,   597,   598,   599,   600,   601,  1317,
       0,   603,   604,   605,   606,   607,   608,     0,     0,   609,
       0,     0,   610,   611,   612,   613,   614,   615,   616,  1318,
    1319,  1320,  1321,   621,  1322,  1323,  1324,  1325,   626,   627,
     628,   629,     0,  1326,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1327,  1328,     0,     0,     0,
     234,     0,  1250,   696,  1330,  1251,  1252,  1253,   757,  1254,
       0,     0,     0,     0,     0,     0,     0,   235,   236,   237,
     238,   239,   240,   241,   242,   243,     0,   244,   245,   246,
       0,     0,     0,     0,  1255,     0,     0,   247,   248,   249,
       0,   250,   251,   252,   253,   254,   255,   256,   257,   258,
    1256,   260,  1257,  1258,     0,   263,   264,   265,   266,   267,
     268,   269,  1259,  1260,   270,   271,  1261,  1262,   274,     0,
     275,   276,   277,   278,  1263,     0,  1264,     0,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,     0,   291,
     292,   293,   294,   295,   296,     0,   297,   298,   299,   300,
    1265,  1266,  1267,  1268,  1269,  1270,  1271,   302,   303,   304,
     305,   306,   307,  1272,  1273,   310,  5479,   311,     0,   312,
     313,   314,   315,   316,   317,   318,     0,   319,   320,   321,
     322,     0,     0,   323,   324,   866,   326,   327,     0,   328,
     329,   330,     0,   331,   332,   333,     0,   334,   335,   336,
     337,  1275,   339,   340,   341,   342,  1276,  1277,   344,     0,
     345,   346,   347,  1278,   349,     0,   350,     0,   351,   352,
     353,     0,   354,   355,   356,   357,   358,     0,   359,  1279,
       0,  1280,   362,   363,     0,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,     0,   374,   375,   376,   377,
     378,   379,   380,   381,     0,   382,   383,   384,   385,   386,
     387,   388,  1281,  1282,     0,  1283,     0,   392,   393,   394,
     395,   396,  1284,  1285,  1286,  1287,  1288,  1289,  1290,   404,
     405,   406,   407,   408,   409,     0,     0,   410,  1291,   412,
     413,   414,     0,   415,   416,   417,  1292,  1293,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,  1294,   437,  1295,   439,
     440,   441,   442,   443,   444,   445,   446,  1296,   448,     0,
     449,   450,   451,   452,  1298,  1299,   454,  1300,   456,   457,
     458,     0,   459,   460,     0,     0,  1301,   462,   463,     0,
       0,   464,   465,   466,   467,   468,   469,  1302,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,     0,   481,
     482,  1303,   484,   485,   486,   487,   488,     0,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,  1304,   500,
     501,   502,   503,     0,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,     0,   517,   518,
     519,   520,   521,   522,   523,   524,  3260,   526,   527,   528,
     529,   530,   531,   532,   533,   534,   535,     0,   536,   537,
     538,   539,   540,  1306,   541,   542,   543,   544,   545,   546,
     547,   548,  1307,   550,     0,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   560,   561,   562,   563,  1308,   565,
       0,   566,   567,  1309,     0,   568,   569,   570,   571,   572,
     573,   574,     0,   575,  1310,  1311,     0,     0,   578,   579,
    1312,   581,  1313,  1314,   583,   584,   585,   586,   587,   588,
     589,   590,     0,     0,   591,   592,   593,   594,   595,  1316,
       0,   596,   597,   598,   599,   600,   601,  1317,     0,   603,
     604,   605,   606,   607,   608,     0,     0,   609,     0,     0,
     610,   611,   612,   613,   614,   615,   616,  1318,  1319,  1320,
    1321,   621,  1322,  1323,  1324,  1325,   626,   627,   628,   629,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3261,  3262,     0,     0,     0,   234,     0,
    1250,   696,  3263,  1251,  1252,  1253,   757,  1254,     0,     0,
       0,     0,     0,     0,     0,   235,   236,   237,   238,   239,
     240,   241,   242,   243,     0,   244,   245,   246,     0,     0,
       0,     0,  1255,     0,     0,   247,   248,   249,     0,   250,
     251,   252,   253,   254,   255,   256,   257, -2905,  1256,   260,
    1257,  1258,     0,   263,   264,   265,   266,   267,   268,   269,
    1259,  1260,   270,   271,  1261,  1262,   274,     0,   275,   276,
     277,   278,  1263,     0,  1264,     0,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,     0,   291,   292,   293,
     294,   295,   296,     0,   297,   298,   299,  5873,  1265,  1266,
    1267,  1268,  1269,  1270,  1271,   302,   303,   304,   305,   306,
     307,  1272,  1273,   310,  1274,   311,     0,   312,   313,   314,
     315,   316,   317,   318,     0,   319,   320,   321,   322,     0,
       0,   323,   324,   866,   326,   327,     0,   328,   329,   330,
       0,   331,   332,   333,     0,   334,   335,   336,   337,  1275,
     339,   340,   341,   342,  1276,  1277,   344,     0,   345,   346,
     347,  1278,   349,     0,   350,     0,   351,   352,   353,     0,
     354,   355,   356,   357,   358,     0,   359,  1279,     0,  1280,
     362,   363,     0,   364,   365,   366,   367,   368, -2905,   370,
     371,   372,   373,     0,   374,   375,   376,   377,   378,   379,
     380,   381,     0,   382,   383,   384,   385,   386,   387,   388,
    1281,  1282,     0,  1283,     0,   392,     0,     0,   395,   396,
    1284,  1285,  1286,  1287,  1288,  1289,  1290,   404,   405,   406,
     407,   408,   409,     0,     0,   410,  1291,   412,   413, -2905,
       0,   415,   416,   417,  1292,  1293,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,  1294,   437,  1295,   439,   440,   441,
     442,   443,   444,   445,   446,  1296,   448,  1297,   449,   450,
       0,   452,  1298,  1299,   454,  1300,   456,   457,   458,     0,
     459,   460,     0,     0,  1301,   462,   463,     0,     0,   464,
     465,   466,   467,   468,   469,  1302,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,     0,   481,   482,  1303,
     484,   485,   486,   487,   488,     0,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,  1304,   500,   501,   502,
     503,     0,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,     0,   517,   518,   519,   520,
     521,   522,   523,   524,  1305,   526,   527,   528,   529,   530,
     531,   532,   533,   534,   535,     0,   536,   537,   538,   539,
     540,  1306,   541,   542,   543,   544,   545, -2905,   547,   548,
    1307,   550,     0,   551,   552,   553,   554,   555,   556,   557,
     558,   559,   560,   561,   562,   563,  1308,   565,     0,   566,
     567,  1309,     0,   568,   569,   570,   571,   572,   573,   574,
       0,   575,  1310,  1311,     0,     0,   578,   579,  1312,   581,
    1313,  1314,   583,   584,   585,   586,   587,  5874,   589,   590,
       0,  1315,   591,   592,   593,   594,   595,  1316,     0,   596,
     597,   598,   599,   600,   601,  1317,     0,   603,   604,   605,
     606,   607,   608,     0,     0,   609,     0,     0,   610,   611,
     612,   613,   614,   615,   616,  1318,  1319,  1320,  1321,   621,
    1322,  1323,  1324,  1325,   626,   627,   628,   629,     0, -2905,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1327,  1328,     0,     0,     0,   234,     0,  1250,   696,
    1330,  1251,  1252,  1253,   757,  1254,     0,     0,     0,     0,
       0,     0,     0,   235,   236,   237,   238,   239,   240,   241,
     242,   243,     0,   244,   245,   246,     0,     0,     0,     0,
    1255,     0,     0,   247,   248,   249,     0,   250,   251,   252,
     253,   254,   255,   256,   257,   258,  1256,   260,  1257,  1258,
       0,   263,   264,   265,   266,   267,   268,   269,  1259,  1260,
     270,   271,  1261,  1262,   274,     0,   275,   276,   277,   278,
    1263,     0,  1264,     0,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,     0,   291,   292,   293,   294,   295,
     296,     0,   297,   298,   299,   300,  1265,  1266,  1267,  1268,
    1269,  1270,  1271,   302,   303,   304,   305,   306,   307,  1272,
    1273,   310,     0,   311,     0,   312,   313,   314,   315,   316,
     317,   318,     0,   319,   320,   321,   322,     0,     0,   323,
     324,   866,   326,   327,     0,   328,   329,   330,     0,   331,
     332,   333,     0,   334,   335,   336,   337,  1275,   339,   340,
     341,   342,  1276,  1277,   344,     0,   345,   346,   347,  1278,
     349,     0,   350,     0,   351,   352,   353,     0,   354,   355,
     356,   357,   358,     0,   359,  1279,     0,  1280,   362,   363,
       0,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,     0,   374,   375,   376,   377,   378,   379,   380,   381,
       0,   382,   383,   384,   385,   386,   387,   388,  1281,  1282,
       0,  1283,     0,   392,   393,   394,   395,   396,  1284,  1285,
    1286,  1287,  1288,  1289,  1290,   404,   405,   406,   407,   408,
     409,     0,     0,   410,  1291,   412,   413,   414,     0,   415,
     416,   417,  1292,  1293,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,  1294,   437,  1295,   439,   440,   441,   442,   443,
     444,   445,   446,  1296,   448,     0,   449,   450,   451,   452,
    1298,  1299,   454,  1300,   456,   457,   458,     0,   459,   460,
       0,     0,  1301,   462,   463,     0,     0,   464,   465,   466,
     467,   468,   469,  1302,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,     0,   481,   482,  1303,   484,   485,
     486,   487,   488,     0,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,  1304,   500,   501,   502,   503,     0,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,     0,   517,   518,   519,   520,   521,   522,
     523,   524,  3260,   526,   527,   528,   529,   530,   531,   532,
     533,   534,   535,     0,   536,   537,   538,   539,   540,  1306,
     541,   542,   543,   544,   545,   546,   547,   548,  1307,   550,
       0,   551,   552,   553,   554,   555,   556,   557,   558,   559,
     560,   561,   562,   563,  1308,   565,     0,   566,   567,  1309,
       0,   568,   569,   570,   571,   572,   573,   574,     0,   575,
    1310,  1311,     0,     0,   578,   579,  1312,   581,  1313,  1314,
     583,   584,   585,   586,   587,   588,   589,   590,     0,     0,
     591,   592,   593,   594,   595,  1316,     0,   596,   597,   598,
     599,   600,   601,  1317,     0,   603,   604,   605,   606,   607,
     608,     0,     0,   609,     0,     0,   610,   611,   612,   613,
     614,   615,   616,  1318,  1319,  1320,  1321,   621,  1322,  1323,
    1324,  1325,   626,   627,   628,   629,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3261,
    3262,   234,     0,  1250,   696,     0,  1251,  1252,  3263,   757,
    1254,     0,     0,     0,     0,     0,     0,     0,   235,   236,
     237,   238,   239,   240,   241,   242,   243,     0,   244,   245,
     246,     0,     0,     0,     0,  1255,     0,     0,   247,   248,
     249,     0,   250,   251,   252,   253,   254,   255,   256,   257,
     258,  1256,   260,  1257,  1258,     0,   263,   264,   265,   266,
     267,   268,   269,  1259,  1260,   270,   271,  1261,  1262,   274,
       0,   275,   276,   277,   278,  1263,     0,  1264,     0,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,     0,
     291,   292,   293,   294,   295,   296,     0,   297,   298,   299,
     300,  1265,  1266,  1267,  1268,  1269,  1270,  1271,   302,   303,
     304,   305,   306,   307,  1272,  1273,   310,     0,   311,     0,
     312,   313,   314,   315,   316,   317,   318,     0,   319,   320,
     321,   322,     0,     0,   323,   324,   866,   326,   327,     0,
     328,   329,   330,     0,   331,   332,   333,     0,   334,   335,
     336,   337,  1275,   339,   340,   341,   342,  1276,  1277,   344,
       0,   345,   346,   347,  1278,   349,     0,   350,     0,   351,
     352,   353,     0,   354,   355,   356,   357,   358,     0,   359,
    1279,     0,  1280,   362,   363,     0,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,     0,   374,   375,   376,
     377,   378,   379,   380,   381,     0,   382,   383,   384,   385,
     386,   387,   388,  1281,  1282,     0,  1283,     0,   392,   393,
     394,   395,   396,  1284,  1285,  1286,  1287,  1288,  1289,  1290,
     404,   405,   406,   407,   408,   409,     0,     0,   410,  1291,
     412,   413,   414,     0,   415,   416,   417,  1292,  1293,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,  1294,   437,  1295,
     439,   440,   441,   442,   443,   444,   445,   446,  1296,   448,
       0,   449,   450,   451,   452,  1298,  1299,   454,  1300,   456,
     457,   458,     0,   459,   460,     0,     0,   461,   462,   463,
       0,     0,   464,   465,   466,   467,   468,   469,  1302,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,     0,
     481,   482,  1303,   484,   485,   486,   487,   488,     0,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,  1304,
     500,   501,   502,   503,     0,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,     0,   517,
     518,   519,   520,   521,   522,   523,   524,  3438,  3439,   527,
     528,   529,   530,   531,   532,   533,   534,   535,     0,   536,
     537,   538,   539,   540,  1306,   541,   542,   543,   544,   545,
     546,   547,   548,  1307,   550,     0,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,  1308,
     565,     0,   566,   567,  1309,     0,   568,   569,   570,   571,
     572,   573,   574,     0,   575,  1310,  1311,     0,     0,   578,
     579,  1312,   581,  1313,  1314,   583,   584,   585,   586,   587,
     588,   589,   590,     0,     0,   591,   592,   593,   594,   595,
    1316,     0,   596,   597,   598,   599,   600,   601,  1317,     0,
     603,   604,   605,   606,   607,   608,     0,     0,   609,     0,
       0,   610,   611,   612,   613,   614,   615,   616,  1318,  1319,
    1320,  1321,   621,  1322,  1323,  1324,  1325,   626,   627,   628,
     629,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3440,  3441,   234,     0,  1250,   696,
       0,  1251,  1252,  3263,   757,  1254,     0,     0,     0,     0,
       0,     0,     0,   235,   236,   237,   238,   239,   240,   241,
     242,   243,     0,   244,   245,   246,     0,     0,     0,     0,
    1255,     0,     0,   247,   248,   249,     0,   250,   251,   252,
     253,   254,   255,   256,   257,   258,  1256,   260,  1257,  1258,
       0,   263,   264,   265,   266,   267,   268,   269,  1259,  1260,
     270,   271,  1261,  1262,   274,     0,   275,   276,   277,   278,
    1263,     0,  1264,     0,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,     0,   291,   292,   293,   294,   295,
     296,     0,   297,   298,   299,   300,  1265,  1266,  1267,  1268,
    1269,  1270,  1271,   302,   303,   304,   305,   306,   307,  1272,
    1273,   310,     0,   311,     0,   312,   313,   314,   315,   316,
     317,   318,     0,   319,   320,   321,   322,     0,     0,   323,
     324,   866,   326,   327,     0,   328,   329,   330,     0,   331,
     332,   333,     0,   334,   335,   336,   337,  1275,   339,   340,
     341,   342,  1276,  1277,   344,     0,   345,   346,   347,  1278,
     349,     0,   350,     0,   351,   352,   353,     0,   354,   355,
     356,   357,   358,     0,   359,  1279,     0,  1280,   362,   363,
       0,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,     0,   374,   375,   376,   377,   378,   379,   380,   381,
       0,   382,   383,   384,   385,   386,   387,   388,  1281,  1282,
       0,  1283,     0,   392,   393,   394,   395,   396,  1284,  1285,
    1286,  1287,  1288,  1289,  1290,   404,   405,   406,   407,   408,
     409,     0,     0,   410,  1291,   412,   413,   414,     0,   415,
     416,   417,  1292,  1293,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,  1294,   437,  1295,   439,   440,   441,   442,   443,
     444,   445,   446,  1296,   448,     0,   449,   450,   451,   452,
    1298,  1299,   454,  1300,   456,   457,   458,     0,   459,   460,
       0,     0,   461,   462,   463,     0,     0,   464,   465,   466,
     467,   468,   469,  1302,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,     0,   481,   482,  1303,   484,   485,
     486,   487,   488,     0,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,  1304,   500,   501,   502,   503,     0,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,     0,   517,   518,   519,   520,   521,   522,
     523,   524,  3260,   526,   527,   528,   529,   530,   531,   532,
     533,   534,   535,     0,   536,   537,   538,   539,   540,  1306,
     541,   542,   543,   544,   545,   546,   547,   548,  1307,   550,
       0,   551,   552,   553,   554,   555,   556,   557,   558,   559,
     560,   561,   562,   563,  1308,   565,     0,   566,   567,  1309,
       0,   568,   569,   570,   571,   572,   573,   574,     0,   575,
    1310,  1311,     0,     0,   578,   579,  1312,   581,  1313,  1314,
     583,   584,   585,   586,   587,   588,   589,   590,     0,     0,
     591,   592,   593,   594,   595,  1316,     0,   596,   597,   598,
     599,   600,   601,  1317,     0,   603,   604,   605,   606,   607,
     608,     0,     0,   609,     0,     0,   610,   611,   612,   613,
     614,   615,   616,  1318,  1319,  1320,  1321,   621,  1322,  1323,
    1324,  1325,   626,   627,   628,   629,     0,     0,     0,     0,
       0,     0,   234,     0,  1250,   696,     0,  1251,  1252,     0,
     757,  1254,     0,     0,     0,     0,     0,     0,  3263,   235,
     236,   237,   238,   239,   240,   241,   242,   243,     0,   244,
     245,   246,     0,     0,     0,     0,  1255,     0,     0,   247,
     248,   249,     0,   250,   251,   252,   253,   254,   255,   256,
     257,   258,  1256,   260,  1257,  1258,     0,   263,  4693,   265,
     266,   267,   268,   269,  1259,  1260,   270,   271,  1261,  1262,
     274,     0,   275,   276,   277,   278,  1263,     0,  1264,     0,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
       0,   291,   292,   293,   294,   295,   296,     0,   297,   298,
     299,   300,  1265,  1266,  1267,  1268,  1269,  1270,  1271,   302,
     303,   304,   305,   306,   307,  1272,  1273,   310,     0,   311,
       0,   312,   313,   314,   315,   316,   317,   318,     0,   319,
     320,   321,   322,     0,     0,   323,   324,   866,   326,   327,
       0,   328,   329,   330,     0,   331,   332,   333,     0,   334,
     335,   336,   337,  1275,   339,   340,   341,   342,  1276,  1277,
     344,     0,   345,   346,   347,  1278,   349,     0,   350,     0,
     351,   352,   353,     0,   354,   355,   356,   357,   358,     0,
     359,  1279,     0,  1280,   362,   363,     0,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,     0,   374,   375,
     376,   377,   378,   379,   380,   381,     0,   382,   383,   384,
     385,   386,   387,   388,  1281,  1282,     0,  1283,     0,   392,
     393,   394,   395,   396,  1284,  1285,  1286,  1287,  1288,  1289,
    1290,   404,   405,   406,   407,   408,   409,     0,     0,   410,
    1291,   412,   413,   414,     0,   415,   416,   417,  1292,  1293,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,  1294,   437,
    1295,   439,   440,   441,   442,   443,   444,   445,   446,  1296,
     448,     0,   449,   450,   451,   452,  1298,  1299,   454,  1300,
     456,   457,   458,     0,   459,   460,     0,     0,   461,   462,
     463,     0,     0,   464,   465,   466,   467,   468,   469,  1302,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
       0,   481,   482,  1303,   484,   485,   486,   487,   488,     0,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
    1304,   500,   501,   502,   503,     0,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,     0,
     517,   518,   519,   520,   521,   522,   523,   524,  3260,   526,
     527,   528,   529,   530,   531,   532,   533,   534,   535,     0,
     536,   537,   538,   539,   540,  1306,   541,   542,   543,   544,
     545,   546,   547,   548,  1307,   550,     0,   551,   552,   553,
     554,   555,   556,   557,   558,   559,   560,   561,   562,   563,
    1308,   565,     0,   566,   567,  1309,     0,   568,   569,   570,
     571,   572,   573,   574,     0,   575,  1310,  1311,     0,     0,
     578,   579,  1312,   581,  1313,  1314,   583,   584,   585,   586,
     587,   588,   589,   590,     0,     0,   591,   592,   593,   594,
     595,  1316,     0,   596,   597,   598,   599,   600,   601,  1317,
       0,   603,   604,   605,   606,   607,   608,     0,     0,   609,
       0,     0,   610,   611,   612,   613,   614,   615,   616,  1318,
    1319,  1320,  1321,   621,  1322,  1323,  1324,  1325,   626,   627,
     628,   629,     0,     0,     0,     0,     0,     0,   234,     0,
    1250,   696,     0,  1251,  1252,     0,   757,  1254,     0,     0,
       0,     0,     0,     0,  3263,   235,   236,   237,   238,   239,
     240,   241,   242,   243,     0,   244,   245,   246,     0,     0,
       0,     0,  1255,     0,     0,   247,   248,   249,     0,   250,
     251,   252,   253,   254,   255,   256,   257,   258,  1256,   260,
    1257,  1258,     0,   263,   264,   265,   266,   267,   268,   269,
    1259,  1260,   270,   271,  1261,  1262,   274,     0,   275,   276,
     277,   278,  1263,     0,  1264,     0,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,     0,   291,   292,   293,
     294,   295,   296,     0,   297,   298,   299,   300,  1265,  1266,
    1267,  1268,  1269,  1270,  1271,   302,   303,   304,   305,   306,
     307,  1272,  1273,   310,     0,   311,     0,   312,   313,   314,
     315,   316,   317,   318,     0,   319,   320,   321,   322,     0,
       0,   323,   324,   866,   326,   327,     0,   328,   329,   330,
       0,   331,   332,   333,     0,   334,   335,   336,   337,  1275,
     339,   340,   341,   342,  1276,  1277,   344,     0,   345,   346,
     347,  1278,   349,     0,   350,     0,   351,   352,   353,     0,
     354,   355,   356,   357,   358,     0,   359,  1279,     0,  1280,
     362,   363,     0,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,     0,   374,   375,   376,   377,   378,   379,
     380,   381,     0,   382,   383,   384,   385,   386,   387,   388,
    1281,  1282,     0,  1283,     0,   392,   393,   394,   395,   396,
    1284,  1285,  1286,  1287,  1288,  1289,  1290,   404,   405,   406,
     407,   408,   409,     0,     0,   410,  1291,   412,   413,   414,
       0,   415,   416,   417,  1292,  1293,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,  1294,   437,  1295,   439,   440,   441,
     442,   443,   444,   445,   446,  1296,   448,     0,   449,   450,
     451,   452,  1298,  1299,   454,  1300,   456,   457,   458,     0,
     459,   460,     0,     0,   461,   462,   463,     0,     0,   464,
     465,   466,   467,   468,   469,  1302,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,     0,   481,   482,  1303,
     484,   485,   486,   487,   488,     0,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,  1304,   500,   501,   502,
     503,     0,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,     0,   517,   518,   519,   520,
     521,   522,   523,   524,  3260,   526,   527,   528,   529,   530,
     531,   532,   533,   534,   535,     0,   536,   537,   538,   539,
     540,  1306,   541,   542,   543,   544,   545,   546,   547,   548,
    1307,   550,     0,   551,   552,   553,   554,   555,   556,   557,
     558,   559,   560,   561,   562,   563,  1308,   565,     0,   566,
     567,  1309,     0,   568,   569,   570,   571,   572,   573,   574,
       0,   575,  1310,  1311,     0,     0,   578,   579,  1312,   581,
    1313,  1314,   583,   584,   585,   586,   587,   588,   589,   590,
       0,     0,   591,   592,   593,   594,   595,  1316,     0,   596,
     597,   598,   599,   600,   601,  1317,     0,   603,   604,   605,
     606,   607,   608,     0,     0,   609,     0,     0,   610,   611,
     612,   613,   614,   615,   616,  1318,  1319,  1320,  1321,  4751,
    1322,  1323,  1324,  1325,   626,   627,   628,   629,     0,     0,
       0,     0,     0,     0,   234,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3263,   235,   236,   237,   238,   239,   240,   241,   242,   243,
       0,   244,   245,   246,     0,     0,     0,     0,     0,     0,
       0,   247,   248,   249,     0,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,     0,   263,
     264,   265,   266,   267,   268,   269,     0,  1260,   270,   271,
     272,   273,   274,     0,   275,   276,   277,   278,  1263,     0,
    1264,     0,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,     0,   291,   292,   293,   294,   295,   296,     0,
     297,   298,   299,   300,  1265,  1266,  1267,  1268,  1269,  1270,
    1271,   302,   303,   304,   305,   306,   307,   308,   309,   310,
       0,   311,     0,   312,   313,   314,   315,   316,   317,   318,
       0,   319,   320,   321,   322,     0,     0,   323,   324,   325,
     326,   327,     0,   328,   329,   330,     0,   331,   332,   333,
       0,   334,   335,   336,   337,   338,   339,   340,   341,   342,
    1276,     0,   344,     0,   345,   346,   347,   348,   349,     0,
     350,     0,   351,   352,   353,     0,   354,   355,   356,   357,
     358,     0,   359,  1279,     0,   361,   362,   363,     0,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,     0,
     374,   375,   376,   377,   378,   379,   380,   381,     0,   382,
     383,   384,   385,   386,   387,   388,   389,   390,     0,   391,
       0,   392,   393,   394,   395,   396,  3411,  1285,  1286,  1287,
    1288,  1289,  1290,   404,   405,   406,   407,   408,   409,  3412,
       0,   410,  1291,   412,   413,   414,     0,   415,   416,   417,
    1292,  1293,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,  1296,   448,     0,   449,   450,   451,   452,     0,  1299,
     454,   455,   456,   457,   458,     0,   459,   460,     0,   841,
     461,   462,   463,     0,     0,   464,   465,   466,   467,   468,
     469,  1302,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,     0,   481,   482,  1303,   484,   485,   486,   487,
     488,     0,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,     0,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,     0,   517,   518,   519,   520,   521,   522,   523,   524,
     525,  3413,   527,   528,   529,   530,   531,   532,   533,   534,
     535,    40,   536,   537,   538,   539,   540,  1306,   541,   542,
     543,   544,   545,   546,   547,   548,   549,   550,     0,   551,
     552,   553,   554,   555,   556,   557,   558,   559,   560,   561,
     562,   563,  1308,   565,     0,   566,   567,  1309,    44,   568,
     569,   570,   571,   572,   573,   574,     0,   575,   576,   577,
       0,     0,   578,   579,  1312,   581,  1313,     0,   583,   584,
     585,   586,   587,   588,   589,   590,     0,     0,   591,   592,
     593,   594,   595,  1316,     0,   596,   597,   598,   599,   600,
    1185,   602,     0,   603,   604,   605,   606,   607,   608,     0,
       0,   609,     0,    49,   610,   611,   612,   613,   614,   615,
     616,  1318,  1319,  1320,  1321,   621,  1322,  1323,  1324,  1325,
    3414,   627,   628,   629,     0,     0,     0,    50,     0,     0,
     234,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3415,   235,   236,   237,
     238,   239,   240,   241,   242,   243,     0,   244,   245,   246,
       0,     0,     0,     0,     0,     0,     0,   247,   248,   249,
       0,   250,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,     0,   263,   264,   265,   266,   267,
     268,   269,     0,  1260,   270,   271,   272,   273,   274,     0,
     275,   276,   277,   278,  1263,     0,  1264,     0,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,     0,   291,
     292,   293,   294,   295,   296,     0,   297,   298,   299,   300,
    1265,  1266,  1267,  1268,  1269,  1270,  1271,   302,   303,   304,
     305,   306,   307,   308,   309,   310,     0,   311,     0,   312,
     313,   314,   315,   316,   317,   318,     0,   319,   320,   321,
     322,     0,     0,   323,   324,   325,   326,   327,     0,   328,
     329,   330,     0,   331,   332,   333,     0,   334,   335,   336,
     337,   338,   339,   340,   341,   342,  1276,     0,   344,     0,
     345,   346,   347,   348,   349,     0,   350,     0,   351,   352,
     353,     0,   354,   355,   356,   357,   358,     0,   359,  1279,
       0,   361,   362,   363,     0,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,     0,   374,   375,   376,   377,
     378,   379,   380,   381,     0,   382,   383,   384,   385,   386,
     387,   388,   389,   390,     0,   391,     0,   392,   393,   394,
     395,   396,  3411,  1285,  1286,  1287,  1288,  1289,  1290,   404,
     405,   406,   407,   408,   409,  3412,     0,   410,  1291,   412,
     413,   414,     0,   415,   416,   417,  1292,  1293,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,  1296,   448,     0,
     449,   450,   451,   452,     0,  1299,   454,   455,   456,   457,
     458,     0,   459,   460,     0,   841,   461,   462,   463,     0,
       0,   464,   465,   466,   467,   468,   469,  1302,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,     0,   481,
     482,  1303,   484,   485,   486,   487,   488,     0,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,     0,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,     0,   517,   518,
     519,   520,   521,   522,   523,   524,   525,  3413,   527,   528,
     529,   530,   531,   532,   533,   534,   535,     0,   536,   537,
     538,   539,   540,  1306,   541,   542,   543,   544,   545,   546,
     547,   548,   549,   550,     0,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   560,   561,   562,   563,  1308,   565,
       0,   566,   567,  1309,     0,   568,   569,   570,   571,   572,
     573,   574,     0,   575,   576,   577,     0,     0,   578,   579,
    1312,   581,  1313,     0,   583,   584,   585,   586,   587,   588,
     589,   590,     0,     0,   591,   592,   593,   594,   595,  1316,
       0,   596,   597,   598,   599,   600,   601,   602,     0,   603,
     604,   605,   606,   607,   608,     0,     0,   609,     0,     0,
     610,   611,   612,   613,   614,   615,   616,  1318,  1319,  1320,
    1321,   621,  1322,  1323,  1324,  1325,  3414,   627,   628,   629,
       0,     0,     0,     0,     0,     0,   234,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3415,   235,   236,   237,   238,   239,   240,   241,
     242,   243,     0,   244,   245,   246,     0,     0,     0,     0,
       0,     0,     0,   247,   248,   249,     0,   250,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
       0,   263,   264,   265,   266,   267,   268,   269,     0,  1260,
     270,   271,   272,   273,   274,     0,   275,   276,   277,   278,
    1263,     0,  1264,     0,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,     0,   291,   292,   293,   294,   295,
     296,     0,   297,   298,   299,   300,  1265,  1266,  1267,  1268,
    1269,  1270,  1271,   302,   303,   304,   305,   306,   307,   308,
     309,   310,     0,   311,     0,   312,   313,   314,   315,   316,
     317,   318,     0,   319,   320,   321,   322,     0,     0,   323,
     324,   325,   326,   327,     0,   328,   329,   330,     0,   331,
     332,   333,     0,   334,   335,   336,   337,   338,   339,   340,
     341,   342,  1276,     0,   344,     0,   345,   346,   347,   348,
     349,     0,   350,     0,   351,   352,   353,     0,   354,   355,
     356,   357,   358,     0,   359,  1279,     0,   361,   362,   363,
       0,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,     0,   374,   375,   376,   377,   378,   379,   380,   381,
       0,   382,   383,   384,   385,   386,   387,   388,   389,   390,
       0,   391,     0,   392,   393,   394,   395,   396,  3411,  1285,
    1286,  1287,  1288,  1289,  1290,   404,   405,   406,   407,   408,
     409,     0,     0,   410,  1291,   412,   413,   414,     0,   415,
     416,   417,  1292,  1293,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,  1296,   448,     0,   449,   450,   451,   452,
       0,  1299,   454,   455,   456,   457,   458,     0,   459,   460,
       0,     0,   461,   462,   463,     0,     0,   464,   465,   466,
     467,   468,   469,  1302,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,     0,   481,   482,  1303,   484,   485,
     486,   487,   488,     0,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,     0,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,     0,   517,   518,   519,   520,   521,   522,
     523,   524,   525,   526,   527,   528,   529,   530,   531,   532,
     533,   534,   535,     0,   536,   537,   538,   539,   540,  1306,
     541,   542,   543,   544,   545,   546,   547,   548,   549,   550,
       0,   551,   552,   553,   554,   555,   556,   557,   558,   559,
     560,   561,   562,   563,  1308,   565,     0,   566,   567,  1309,
       0,   568,   569,   570,   571,   572,   573,   574,     0,   575,
     576,   577,     0,     0,   578,   579,  1312,   581,  1313,     0,
     583,   584,   585,   586,   587,   588,   589,   590,     0,     0,
     591,   592,   593,   594,   595,  1316,     0,   596,   597,   598,
     599,   600,   601,   602,     0,   603,   604,   605,   606,   607,
     608,     0,     0,   609,     0,     0,   610,   611,   612,   613,
     614,   615,   616,  1318,  1319,  1320,  1321,   621,  1322,  1323,
    1324,  1325,   626,   627,   628,   629,     0,     0,     0,     0,
       0,     0,   234,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3854,   235,
     236,   237,   238,   239,   240,   241,   242,   243,     0,   244,
     245,   246,     0,     0,     0,     0,     0,     0,     0,   247,
     248,   249,     0,   250,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,     0,   263,   264,   265,
     266,   267,   268,   269,     0,  1260,   270,   271,   272,   273,
     274,     0,   275,   276,   277,   278,  1263,     0,  1264,     0,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
       0,   291,   292,   293,   294,   295,   296,     0,   297,   298,
     299,   300,  1265,  1266,  1267,  1268,  1269,  1270,  1271,   302,
     303,   304,   305,   306,   307,   308,   309,   310,     0,   311,
       0,   312,   313,   314,   315,   316,   317,   318,     0,   319,
     320,   321,   322,     0,     0,   323,   324,   325,   326,   327,
       0,   328,   329,   330,     0,   331,   332,   333,     0,   334,
     335,   336,   337,   338,   339,   340,   341,   342,  1276,     0,
     344,     0,   345,   346,   347,   348,   349,     0,   350,     0,
     351,   352,   353,     0,   354,   355,   356,   357,   358,     0,
     359,  1279,     0,   361,   362,   363,     0,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,     0,   374,   375,
     376,   377,   378,   379,   380,   381,     0,   382,   383,   384,
     385,   386,   387,   388,   389,   390,     0,   391,     0,   392,
     393,   394,   395,   396,  3411,  1285,  1286,  1287,  1288,  1289,
    1290,   404,   405,   406,   407,   408,   409,     0,     0,   410,
    1291,   412,   413,   414,     0,   415,   416,   417,  1292,  1293,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,  1296,
     448,     0,   449,   450,   451,   452,     0,  1299,   454,   455,
     456,   457,   458,     0,   459,   460,     0,     0,   461,   462,
     463,     0,     0,   464,   465,   466,   467,   468,   469,  1302,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
       0,   481,   482,  1303,   484,   485,   486,   487,   488,     0,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,     0,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,     0,
     517,   518,   519,   520,   521,   522,   523,   524,   525,  3413,
     527,   528,   529,   530,   531,   532,   533,   534,   535,     0,
     536,   537,   538,   539,   540,  1306,   541,   542,   543,   544,
     545,   546,   547,   548,   549,   550,     0,   551,   552,   553,
     554,   555,   556,   557,   558,   559,   560,   561,   562,   563,
    1308,   565,     0,   566,   567,  1309,     0,   568,   569,   570,
     571,   572,   573,   574,     0,   575,   576,   577,     0,     0,
     578,   579,  1312,   581,  1313,     0,   583,   584,   585,   586,
     587,   588,   589,   590,     0,     0,   591,   592,   593,   594,
     595,  1316,     0,   596,   597,   598,   599,   600,   601,   602,
       0,   603,   604,   605,   606,   607,   608,     0,     0,   609,
       0,     0,   610,   611,   612,   613,   614,   615,   616,  1318,
    1319,  1320,  1321,   621,  1322,  1323,  1324,  1325,  3414,   627,
     628,   629,     0,     0,     0,     0,     0,     0,   234,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,    56,   235,   236,   237,   238,   239,
     240,   241,   242,   243,     0,   244,   245,   246,     0,     0,
       0,     0,     0,     0,     0,   247,   248,   249,     0,   250,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,     0,   263,   264,   265,   266,   267,   268,   269,
       0,  1260,   270,   271,   272,   273,   274,     0,   275,   276,
     277,   278,  1263,     0,  1264,     0,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,     0,   291,   292,   293,
     294,   295,   296,     0,   297,   298,   299,   300,  1265,  1266,
    1267,  1268,  1269,  1270,  1271,   302,   303,   304,   305,   306,
     307,   308,   309,   310,     0,   311,     0,   312,   313,   314,
     315,   316,   317,   318,     0,   319,   320,   321,   322,     0,
       0,   323,   324,   325,   326,   327,     0,   328,   329,   330,
       0,   331,   332,   333,     0,   334,   335,   336,   337,   338,
     339,   340,   341,   342,  1276,     0,   344,     0,   345,   346,
     347,   348,   349,     0,   350,     0,   351,   352,   353,     0,
     354,   355,   356,   357,   358,     0,   359,  1279,     0,   361,
     362,   363,     0,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,     0,   374,   375,   376,   377,   378,   379,
     380,   381,     0,   382,   383,   384,   385,   386,   387,   388,
     389,   390,     0,   391,     0,   392,   393,   394,   395,   396,
    3411,  1285,  1286,  1287,  1288,  1289,  1290,   404,   405,   406,
     407,   408,   409,     0,     0,   410,  1291,   412,   413,   414,
       0,   415,   416,   417,  1292,  1293,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,  1296,   448,     0,   449,   450,
     451,   452,     0,  1299,   454,   455,   456,   457,   458,     0,
     459,   460,     0,     0,   461,   462,   463,     0,     0,   464,
     465,   466,   467,   468,   469,  1302,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,     0,   481,   482,  1303,
     484,   485,   486,   487,   488,     0,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,     0,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,     0,   517,   518,   519,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
     531,   532,   533,   534,   535,     0,   536,   537,   538,   539,
     540,  1306,   541,   542,   543,   544,   545,   546,   547,   548,
     549,   550,     0,   551,   552,   553,   554,   555,   556,   557,
     558,   559,   560,   561,   562,   563,  1308,   565,     0,   566,
     567,  1309,     0,   568,   569,   570,   571,   572,   573,   574,
       0,   575,   576,   577,     0,     0,   578,   579,  1312,   581,
    1313,     0,   583,   584,   585,   586,   587,   588,   589,   590,
       0,     0,   591,   592,   593,   594,   595,  1316,     0,   596,
     597,   598,   599,   600,   601,   602,     0,   603,   604,   605,
     606,   607,   608,     0,     0,   609,     0,     0,   610,   611,
     612,   613,   614,   615,   616,  1318,  1319,  1320,  1321,   621,
    1322,  1323,  1324,  1325,   626,   627,   628,   629,     0,     0,
       0,     0,     0,     0,   234,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    4812,   235,   236,   237,   238,   239,   240,   241,   242,   243,
       0,   244,   245,   246,     0,     0,     0,     0,     0,     0,
       0,   247,   248,   249,     0,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,     0,   263,
     264,   265,   266,   267,   268,   269,     0,  1260,   270,   271,
     272,   273,   274,     0,   275,   276,   277,   278,  1263,     0,
    1264,     0,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,     0,   291,   292,   293,   294,   295,   296,     0,
     297,   298,   299,   300,  1265,  1266,  1267,  1268,  1269,  1270,
    1271,   302,   303,   304,   305,   306,   307,   308,   309,   310,
       0,   311,     0,   312,   313,   314,   315,   316,   317,   318,
       0,   319,   320,   321,   322,     0,     0,   323,   324,   325,
     326,   327,     0,   328,   329,   330,     0,   331,   332,   333,
       0,   334,   335,   336,   337,   338,   339,   340,   341,   342,
    1276,     0,   344,     0,   345,   346,   347,   348,   349,     0,
     350,     0,   351,   352,   353,     0,   354,   355,   356,   357,
     358,     0,   359,  1279,     0,   361,   362,   363,     0,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,     0,
     374,   375,   376,   377,   378,   379,   380,   381,     0,   382,
     383,   384,   385,   386,   387,   388,   389,   390,     0,   391,
       0,   392,   393,   394,   395,   396,  3411,  1285,  1286,  1287,
    1288,  1289,  1290,   404,   405,   406,   407,   408,   409,     0,
       0,   410,  1291,   412,   413,   414,     0,   415,   416,   417,
    1292,  1293,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,  1296,   448,     0,   449,   450,   451,   452,     0,  1299,
     454,   455,   456,   457,   458,     0,   459,   460,     0,     0,
     461,   462,   463,     0,     0,   464,   465,   466,   467,   468,
     469,  1302,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,     0,   481,   482,  1303,   484,   485,   486,   487,
     488,     0,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,     0,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,     0,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,   533,   534,
     535,     0,   536,   537,   538,   539,   540,  1306,   541,   542,
     543,   544,   545,   546,   547,   548,   549,   550,     0,   551,
     552,   553,   554,   555,   556,   557,   558,   559,   560,   561,
     562,   563,  1308,   565,     0,   566,   567,  1309,     0,   568,
     569,   570,   571,   572,   573,   574,     0,   575,   576,   577,
       0,     0,   578,   579,  1312,   581,  1313,     0,   583,   584,
     585,   586,   587,   588,   589,   590,     0,     0,   591,   592,
     593,   594,   595,  1316,     0,   596,   597,   598,   599,   600,
     601,   602,     0,   603,   604,   605,   606,   607,   608,     0,
       0,   609,     0,     0,   610,   611,   612,   613,   614,   615,
     616,  1318,  1319,  1320,  1321,   621,  1322,  1323,  1324,  1325,
     626,   627,   628,   629,     0,     0,     0,     0,     0,     0,
     946,     0,  1578,   696,     0,     0,     0,     0,   757,     0,
       0,     0,     0,     0,     0,     0,  5976,   235,   236,   237,
     238,   239,   240,   241,   242,   243,     0,   244,   245,   246,
       0,     0,     0,     0,     0,     0,     0,   247,   248,   249,
       0,   250,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,     0,   263,   264,   265,   266,   267,
     268,   269,     0,     0,   270,   271,   272,   273,   274,     0,
     275,   276,   277,   278,   279,     0,   280,     0,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,     0,   291,
     292,   293,   294,   295,   296,     0,   297,   298,   299,   300,
       0,     0,     0,   301,     0,     0,     0,   302,   303,   304,
     305,   306,   307,   308,   309,   310,     0,   311,     0,   312,
     313,   314,   315,   316,   317,   318,     0,   319,   320,   321,
     322,     0,     0,   323,   324,   325,   326,   327,     0,   328,
     329,   330,     0,   331,   332,   333,     0,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,  1802,   344,     0,
     345,   346,   347,   348,   349,     0,   350,     0,   351,   352,
     353,     0,   354,   355,   356,   357,   358,     0,   359,   360,
       0,   361,   362,   363,     0,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,     0,   374,   375,   376,   377,
     378,   379,   380,   381,     0,   382,   383,   384,   385,   386,
     387,   388,   389,   390,     0,   391,     0,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,     0,     0,   410,   411,   412,
     413,   414,     0,   415,   416,   417,     0,     0,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,     0,
     449,   450,   451,   452,     0,   453,   454,   455,   456,   457,
     458,     0,   459,   460,  1803,     0,   461,   462,   463,     0,
       0,   464,   465,   466,   467,   468,   469,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,     0,   481,
     482,   483,   484,   485,   486,   487,   488,     0,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,     0,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,     0,   517,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,   531,   532,   533,   534,   535,     0,   536,   537,
     538,   539,   540,     0,   541,   542,   543,   544,   545,   546,
     547,   548,   549,   550,     0,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   560,   561,   562,   563,   564,   565,
       0,   566,   567,     0,     0,   568,   569,   570,   571,   572,
     573,   574,     0,   575,   576,   577,     0,     0,   578,   579,
     580,   581,   582,  1804,   583,   584,   585,   586,   587,   588,
     589,   590,     0,     0,   591,   592,   593,   594,   595,     0,
       0,   596,   597,   598,   599,   600,   601,   602,     0,   603,
     604,   605,   606,   607,   608,     0,     0,   609,     0,     0,
     610,   611,   612,   613,   614,   615,   616,   617,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
       0,     0,     0,     0,     0,     0,   946,     0,     0,     0,
       0,     0,     0,  1579,  1580,  5782,     0,     0,     0,     0,
       0,     0,  5783,   235,   236,   237,   238,   239,   240,   241,
     242,   243,     0,   244,   245,   246,     3,     4,     0,     0,
       0,     0,     0,   247,   248,   249,     0,   250,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
       0,   263,   264,   265,   266,   267,   268,   269,     0,     0,
     270,   271,   272,   273,   274,     0,   275,   276,   277,   278,
     279,     0,   280,     0,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,     0,   291,   292,   293,   294,   295,
     296,     0,   297,   298,   299,   300,     0,     0,     0,   301,
       0,     0,     0,   302,   303,   304,   305,   306,   307,   308,
     309,   310,     0,   311,     0,   312,   313,   314,   315,   316,
     317,   318,     0,   319,   320,   321,   322,     0,     0,   323,
     324,   325,   326,   327,     0,   328,   329,   330,     0,   331,
     332,   333,     0,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,     0,   344,     0,   345,   346,   347,   348,
     349,     0,   350,     0,   351,   352,   353,     0,   354,   355,
     356,   357,   358,     0,   359,   360,     0,   361,   362,   363,
       0,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,     0,   374,   375,   376,   377,   378,   379,   380,   381,
       0,   382,   383,   384,   385,   386,   387,   388,   389,   390,
       0,   391,     0,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,     0,     0,   410,   411,   412,   413,   414,     0,   415,
     416,   417,     0,     0,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,     0,   449,   450,   451,   452,
       0,   453,   454,   455,   456,   457,   458,     0,   459,   460,
       0,     0,   461,   462,   463,     0,     0,   464,   465,   466,
     467,   468,   469,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,     0,   481,   482,   483,   484,   485,
     486,   487,   488,     0,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,     0,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,     0,   517,   518,   519,   520,   521,   522,
     523,   524,   525,   526,   527,   528,   529,   530,   531,   532,
     533,   534,   535,    40,   536,   537,   538,   539,   540,     0,
     541,   542,   543,   544,   545,   546,   547,   548,   549,   550,
       0,   551,   552,   553,   554,   555,   556,   557,   558,   559,
     560,   561,   562,   563,   564,   565,     0,   566,   567,     0,
      44,   568,   569,   570,   571,   572,   573,   574,     0,   575,
     576,   577,     0,     0,   578,   579,   580,   581,   582,     0,
     583,   584,   585,   586,   587,   588,   589,   590,     0,     0,
     591,   592,   593,   594,   595,     0,     0,   596,   597,   598,
     599,   600,  1185,   602,     0,   603,   604,   605,   606,   607,
     608,     0,     0,   609,     0,    49,   610,   611,   612,   613,
     614,   615,   616,   617,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,  1025,     0,     0,    50,
       0,     0,   234,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,    56,   235,
     236,   237,   238,   239,   240,   241,   242,   243,     0,   244,
     245,   246,     0,     0,     0,     0,     0,     0,     0,   247,
     248,   249,     0,   250,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,     0,   263,   264,   265,
     266,   267,   268,   269,     0,     0,   270,   271,   272,   273,
     274,     0,   275,   276,   277,   278,   279,     0,   280,     0,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
       0,   291,   292,   293,   294,   295,   296,     0,   297,   298,
     299,   300,     0,     0,     0,   301,     0,     0,     0,   302,
     303,   304,   305,   306,   307,   308,   309,   310,     0,   311,
       0,   312,   313,   314,   315,   316,   317,   318,     0,   319,
     320,   321,   322,     0,     0,   323,   324,   325,   326,   327,
       0,   328,   329,   330,     0,   331,   332,   333,     0,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,     0,
     344,     0,   345,   346,   347,   348,   349,     0,   350,     0,
     351,   352,   353,     0,   354,   355,   356,   357,   358,     0,
     359,   360,     0,   361,   362,   363,     0,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,     0,   374,   375,
     376,   377,   378,   379,   380,   381,     0,   382,   383,   384,
     385,   386,   387,   388,   389,   390,     0,   391,     0,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,     0,     0,   410,
     411,   412,   413,   414,     0,   415,   416,   417,     0,     0,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,     0,   449,   450,   451,   452,     0,   453,   454,   455,
     456,   457,   458,     0,   459,   460,     0,     0,   461,   462,
     463,     0,     0,   464,   465,   466,   467,   468,   469,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
       0,   481,   482,   483,   484,   485,   486,   487,   488,     0,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,     0,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,     0,
     517,   518,   519,   520,   521,   522,   523,   524,   525,   526,
     527,   528,   529,   530,   531,   532,   533,   534,   535,     0,
     536,   537,   538,   539,   540,     0,   541,   542,   543,   544,
     545,   546,   547,   548,   549,   550,     0,   551,   552,   553,
     554,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     564,   565,     0,   566,   567,     0,     0,   568,   569,   570,
     571,   572,   573,   574,     0,   575,   576,   577,     0,     0,
     578,   579,   580,   581,   582,     0,   583,   584,   585,   586,
     587,   588,   589,   590,     0,     0,   591,   592,   593,   594,
     595,     0,     0,   596,   597,   598,   599,   600,   601,   602,
       0,   603,   604,   605,   606,   607,   608,     0,     0,   609,
       0,     0,   610,   611,   612,   613,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
     628,   629,     0,     0,     0,     0,     0,     0,   637,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  5550,   235,   236,   237,   238,   239,
     240,   241,   242,   243,     0,   244,   245,   246,     0,     0,
       0,     0,     0,     0,     0,   247,   248,   249,     0,   250,
     251,   252,   253,     0,   255,   256,   257,   258,   259,     0,
     261,   262,     0,   263,   264,   265,   266,   267,   268,   269,
       0,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,   278,   279,     0,     0,     0,   281,   282,   283,   284,
     285,   286,     0,   288,   289,   290,     0,   291,   292,   293,
     294,   295,   296,     0,     0,   298,   299,   300,     0,     0,
       0,     0,     0,     0,     0,   302,   303,   304,   305,   306,
     307,   308,   309,   310,     0,   311,     0,   312,   313,   314,
     315,   316,   317,   318,     0,   319,   320,   321,   322,     0,
       0,   323,   324,   325,   326,   327,     0,   328,   329,   330,
       0,   331,   332,   333,     0,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,     0,   344,     0,   345,   346,
     347,   348,   349,     0,   350,     0,   351,   352,     0,     0,
       0,   355,   356,   357,   358,     0,   359,   360,     0,   361,
     362,   363,     0,   364,   365,   366,   367,   368,     0,   370,
     371,   372,   373,     0,   374,   375,   376,   377,   378,   379,
     380,   381,     0,   382,     0,   384,   385,   386,   387,   388,
     389,   390,     0,   391,     0,   392,     0,     0,   395,     0,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,     0,     0,   410,   411,     0,   413,     0,
       0,   415,   416,   417,     0,     0,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,     0,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,     0,   449,   450,
       0,   452,     0,   453,   454,   455,   456,   457,   458,     0,
     459,   460,     0,     0,   461,   462,   463,     0,     0,   464,
     465,   466,     0,   468,     0,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,     0,   481,   482,   483,
     484,   485,   486,   487,   488,     0,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,     0,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,     0,   517,   518,     0,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
     531,   532,   533,   534,   535,    40,   536,   537,   538,   539,
     540,     0,   541,   542,   543,   544,   545,     0,   547,   548,
     549,   550,     0,   551,   552,   553,   554,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   564,   565,     0,   566,
     567,     0,    44,   568,     0,   570,   571,   572,   573,   574,
       0,   575,   576,   577,     0,     0,   578,   579,   580,   581,
     582,     0,   583,   584,   585,   586,   587,   588,   589,   590,
       0,     0,   591,   592,   593,   594,   595,     0,     0,   596,
     597,   598,   599,   600,  1185,   602,     0,   603,     0,   605,
     606,   607,   608,     0,     0,   609,     0,    49,   610,   611,
     612,   613,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   628,   629,     0,     0,
       0,    50,     0,     0,   637,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
      56,   235,   236,   237,   238,   239,   240,   241,   242,   243,
       0,   244,   245,   246,     0,     0,     0,     0,     0,     0,
       0,   247,   248,   249,     0,   250,   251,   252,   253,     0,
     255,   256,   257,   258,   259,     0,   261,   262,     0,   263,
     264,   265,   266,   267,   268,   269,     0,     0,   270,   271,
     272,   273,   274,     0,   275,   276,   277,   278,   279,     0,
       0,     0,   281,   282,   283,   284,   285,   286,     0,   288,
     289,   290,     0,   291,   292,   293,   294,   295,   296,     0,
       0,   298,   299,   300,     0,     0,     0,  2854,     0,     0,
       0,   302,   303,   304,   305,   306,   307,   308,   309,   310,
       0,   311,     0,   312,   313,   314,   315,   316,   317,   318,
       0,   319,   320,   321,   322,     0,     0,   323,   324,   325,
     326,   327,     0,   328,   329,   330,     0,   331,   332,   333,
       0,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,     0,   344,     0,   345,   346,   347,   348,   349,     0,
     350,     0,   351,   352,     0,     0,     0,   355,   356,   357,
     358,     0,   359,   360,     0,   361,   362,   363,     0,   364,
     365,   366,   367,   368,     0,   370,   371,   372,   373,     0,
     374,   375,   376,   377,   378,   379,   380,   381,     0,   382,
       0,   384,   385,   386,   387,   388,   389,   390,     0,   391,
       0,   392,     0,     0,   395,     0,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,     0,
       0,   410,   411,     0,   413,     0,     0,   415,   416,   417,
       0,     0,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,     0,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,     0,   449,   450,     0,   452,     0,   453,
     454,   455,   456,   457,   458,     0,   459,   460,     0,   841,
     461,   462,   463,     0,     0,   464,   465,   466,     0,   468,
       0,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,     0,   481,   482,   483,   484,   485,   486,   487,
     488,     0,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,     0,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,     0,   517,   518,     0,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,   533,   534,
     535,     0,   536,   537,   538,   539,   540,     0,   541,   542,
     543,   544,   545,     0,   547,   548,   549,   550,     0,   551,
     552,   553,   554,   555,   556,   557,   558,   559,   560,   561,
     562,   563,   564,   565,     0,   566,   567,     0,  2855,  2856,
       0,   570,   571,   572,   573,   574,     0,   575,   576,   577,
       0,     0,   578,   579,   580,   581,   582,     0,   583,   584,
     585,   586,   587,   588,   589,   590,     0,     0,   591,   592,
     593,   594,   595,     0,     0,   596,   597,   598,   599,   600,
     601,   602,     0,   603,     0,   605,   606,   607,   608,     0,
       0,   609,     0,     0,   610,   611,   612,   613,   614,   615,
     616,   617,   618,   619,   620,   621,   622,   623,   624,   625,
     626,   627,   628,   629,     0,     0,     0,     0,     0,     0,
     637,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1836,   235,   236,   237,
     238,   239,   240,   241,   242,   243,     0,   244,   245,   246,
       0,     0,     0,     0,     0,     0,     0,   247,   248,   249,
       0,   250,   251,   252,   253,     0,   255,   256,   257,   258,
     259,     0,   261,   262,     0,   263,   264,   265,   266,   267,
     268,   269,     0,     0,   270,   271,   272,   273,   274,     0,
     275,   276,   277,   278,   279,     0,     0,     0,   281,   282,
     283,   284,   285,   286,     0,   288,   289,   290,     0,   291,
     292,   293,   294,   295,   296,     0,     0,   298,   299,   300,
       0,     0,     0,     0,     0,     0,     0,   302,   303,   304,
     305,   306,   307,   308,   309,   310,     0,   311,     0,   312,
     313,   314,   315,   316,   317,   318,     0,   319,   320,   321,
     322,     0,     0,   323,   324,   325,   326,   327,     0,   328,
     329,   330,     0,   331,   332,   333,     0,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,     0,   344,     0,
     345,   346,   347,   348,   349,     0,   350,     0,   351,   352,
       0,     0,     0,   355,   356,   357,   358,     0,   359,   360,
       0,   361,   362,   363,     0,   364,   365,   366,   367,   368,
       0,   370,   371,   372,   373,     0,   374,   375,   376,   377,
     378,   379,   380,   381,     0,   382,     0,   384,   385,   386,
     387,   388,   389,   390,     0,   391,     0,   392,     0,     0,
     395,     0,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,     0,     0,   410,   411,     0,
     413,     0,     0,   415,   416,   417,     0,     0,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,     0,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,     0,
     449,   450,     0,   452,     0,   453,   454,   455,   456,   457,
     458,     0,   459,   460,     0,     0,   461,   462,   463,     0,
       0,   464,   465,   466,     0,   468,     0,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,     0,   481,
     482,   483,   484,   485,   486,   487,   488,     0,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,     0,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,     0,   517,   518,
       0,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,   531,   532,   533,   534,   535,     0,   536,   537,
     538,   539,   540,     0,   541,   542,   543,   544,   545,     0,
     547,   548,   549,   550,     0,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   560,   561,   562,   563,   564,   565,
       0,   566,   567,     0,     0,   568,     0,   570,   571,   572,
     573,   574,     0,   575,   576,   577,     0,     0,   578,   579,
     580,   581,   582,     0,   583,   584,   585,   586,   587,   588,
     589,   590,     0,     0,   591,   592,   593,   594,   595,     0,
       0,   596,   597,   598,   599,   600,   601,   602,     0,   603,
       0,   605,   606,   607,   608,     0,     0,   609,     0,     0,
     610,   611,   612,   613,   614,   615,   616,   617,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
       0,     0,     0,     0,     0,     0,   637,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1390,   235,   236,   237,   238,   239,   240,   241,
     242,   243,     0,   244,   245,   246,     0,     0,     0,     0,
       0,     0,     0,   247,   248,   249,     0,   250,   251,   252,
     253,     0,   255,   256,   257,   258,   259,     0,   261,   262,
       0,   263,   264,   265,   266,   267,   268,   269,     0,     0,
     270,   271,   272,   273,   274,     0,   275,   276,   277,   278,
     279,     0,     0,     0,   281,   282,   283,   284,   285,   286,
       0,   288,   289,   290,     0,   291,   292,   293,   294,   295,
     296,     0,     0,   298,   299,   300,     0,     0,     0,     0,
       0,     0,     0,   302,   303,   304,   305,   306,   307,   308,
     309,   310,     0,   311,     0,   312,   313,   314,   315,   316,
     317,   318,     0,   319,   320,   321,   322,     0,     0,   323,
     324,   325,   326,   327,     0,   328,   329,   330,     0,   331,
     332,   333,     0,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,     0,   344,     0,   345,   346,   347,   348,
     349,     0,   350,     0,   351,   352,     0,     0,     0,   355,
     356,   357,   358,     0,   359,   360,     0,   361,   362,   363,
       0,   364,   365,   366,   367,   368,     0,   370,   371,   372,
     373,     0,   374,   375,   376,   377,   378,   379,   380,   381,
       0,   382,     0,   384,   385,   386,   387,   388,   389,   390,
       0,   391,     0,   392,     0,     0,   395,     0,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,     0,     0,   410,   411,     0,   413,     0,     0,   415,
     416,   417,     0,     0,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,     0,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,     0,   449,   450,     0,   452,
       0,   453,   454,   455,   456,   457,   458,     0,   459,   460,
       0,     0,   461,   462,   463,     0,     0,   464,   465,   466,
       0,   468,     0,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,     0,   481,   482,   483,   484,   485,
     486,   487,   488,     0,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,     0,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,     0,   517,   518,     0,   520,   521,   522,
     523,   524,   525,   526,   527,   528,   529,   530,   531,   532,
     533,   534,   535,     0,   536,   537,   538,   539,   540,     0,
     541,   542,   543,   544,   545,     0,   547,   548,   549,   550,
       0,   551,   552,   553,   554,   555,   556,   557,   558,   559,
     560,   561,   562,   563,   564,   565,     0,   566,   567,     0,
       0,   568,     0,   570,   571,   572,   573,   574,     0,   575,
     576,   577,     0,     0,   578,   579,   580,   581,   582,     0,
     583,   584,   585,   586,   587,   588,   589,   590,     0,     0,
     591,   592,   593,   594,   595,     0,     0,   596,   597,   598,
     599,   600,   601,   602,     0,   603,     0,   605,   606,   607,
     608,     0,     0,   609,     0,     0,   610,   611,   612,   613,
     614,   615,   616,   617,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,     0,     0,     0,     0,
       0,     0,   637,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3472,   235,
     236,   237,   238,   239,   240,   241,   242,   243,     0,   244,
     245,   246,     0,     0,     0,     0,     0,     0,     0,   247,
     248,   249,     0,   250,   251,   252,   253,     0,   255,   256,
     257,   258,   259,     0,   261,   262,     0,   263,   264,   265,
     266,   267,   268,   269,     0,     0,   270,   271,   272,   273,
     274,     0,   275,   276,   277,   278,   279,     0,     0,     0,
     281,   282,   283,   284,   285,   286,     0,   288,   289,   290,
       0,   291,   292,   293,   294,   295,   296,     0,     0,   298,
     299,   300,     0,     0,     0,     0,     0,     0,     0,   302,
     303,   304,   305,   306,   307,   308,   309,   310,     0,   311,
       0,   312,   313,   314,   315,   316,   317,   318,     0,   319,
     320,   321,   322,     0,     0,   323,   324,   325,   326,   327,
       0,   328,   329,   330,     0,   331,   332,   333,     0,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,     0,
     344,     0,   345,   346,   347,   348,   349,     0,   350,     0,
     351,   352,     0,     0,     0,   355,   356,   357,   358,     0,
     359,   360,     0,   361,   362,   363,     0,   364,   365,   366,
     367,   368,     0,   370,   371,   372,   373,     0,   374,   375,
     376,   377,   378,   379,   380,   381,     0,   382,     0,   384,
     385,   386,   387,   388,   389,   390,     0,   391,     0,   392,
       0,     0,   395,     0,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,     0,     0,   410,
     411,     0,   413,     0,     0,   415,   416,   417,     0,     0,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,     0,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,     0,   449,   450,     0,   452,     0,   453,   454,   455,
     456,   457,   458,     0,   459,   460,     0,     0,   461,   462,
     463,     0,     0,   464,   465,   466,     0,   468,     0,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
       0,   481,   482,   483,   484,   485,   486,   487,   488,     0,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,     0,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,     0,
     517,   518,     0,   520,   521,   522,   523,   524,   525,   526,
     527,   528,   529,   530,   531,   532,   533,   534,   535,     0,
     536,   537,   538,   539,   540,     0,   541,   542,   543,   544,
     545,     0,   547,   548,   549,   550,     0,   551,   552,   553,
     554,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     564,   565,     0,   566,   567,     0,     0,   568,     0,   570,
     571,   572,   573,   574,     0,   575,   576,   577,     0,     0,
     578,   579,   580,   581,   582,     0,   583,   584,   585,   586,
     587,   588,   589,   590,     0,     0,   591,   592,   593,   594,
     595,     0,     0,   596,   597,   598,   599,   600,   601,   602,
       0,   603,     0,   605,   606,   607,   608,     0,     0,   609,
       0,     0,   610,   611,   612,   613,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
     628,   629,     0,     0,     0,     0,     0,     0,   637,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  4139,   235,   236,   237,   238,   239,
     240,   241,   242,   243,     0,   244,   245,   246,     0,     0,
       0,     0,     0,     0,     0,   247,   248,   249,     0,   250,
     251,   252,   253,     0,   255,   256,   257,   258,   259,     0,
     261,   262,     0,   263,   264,   265,   266,   267,   268,   269,
       0,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,   278,   279,     0,     0,     0,   281,   282,   283,   284,
     285,   286,     0,   288,   289,   290,     0,   291,   292,   293,
     294,   295,   296,     0,     0,   298,   299,   300,     0,     0,
       0,     0,     0,     0,     0,   302,   303,   304,   305,   306,
     307,   308,   309,   310,     0,   311,     0,   312,   313,   314,
     315,   316,   317,   318,     0,   319,   320,   321,   322,     0,
       0,   323,   324,   325,   326,   327,     0,   328,   329,   330,
       0,   331,   332,   333,     0,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,     0,   344,     0,   345,   346,
     347,   348,   349,     0,   350,     0,   351,   352,     0,     0,
       0,   355,   356,   357,   358,     0,   359,   360,     0,   361,
     362,   363,     0,   364,   365,   366,   367,   368,     0,   370,
     371,   372,   373,     0,   374,   375,   376,   377,   378,   379,
     380,   381,     0,   382,     0,   384,   385,   386,   387,   388,
     389,   390,     0,   391,     0,   392,     0,     0,   395,     0,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,     0,     0,   410,   411,     0,   413,     0,
       0,   415,   416,   417,     0,     0,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,     0,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,     0,   449,   450,
       0,   452,     0,   453,   454,   455,   456,   457,   458,     0,
     459,   460,     0,     0,   461,   462,   463,     0,     0,   464,
     465,   466,     0,   468,     0,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,     0,   481,   482,   483,
     484,   485,   486,   487,   488,     0,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,     0,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,     0,   517,   518,     0,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
     531,   532,   533,   534,   535,     0,   536,   537,   538,   539,
     540,     0,   541,   542,   543,   544,   545,     0,   547,   548,
     549,   550,     0,   551,   552,   553,   554,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   564,   565,     0,   566,
     567,     0,     0,   568,     0,   570,   571,   572,   573,   574,
       0,   575,   576,   577,     0,     0,   578,   579,   580,   581,
     582,     0,   583,   584,   585,   586,   587,   588,   589,   590,
       0,     0,   591,   592,   593,   594,   595,     0,     0,   596,
     597,   598,   599,   600,   601,   602,     0,   603,     0,   605,
     606,   607,   608,     0,     0,   609,     0,     0,   610,   611,
     612,   613,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   628,   629,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   858,     0,  1578,
     696,     0,     0,     0,   961,   757,     0,     0,     0,     0,
    4768,   962,   963,   964,   235,   236,   237,   238,   239,   240,
     241,   242,   243,  1714,   244,   245,   246,  1715,  1716,  1717,
    1718,  1719,  1720,  1721,   247,   248,   249,  1722,   250,   251,
     252,   253,   254,   255,   256,   257,     0,   859,   260,   860,
     861,  1723,   263,   264,   265,   266,   267,   268,   269,  1724,
    1725,   270,   271,   862,   863,   274,  1726,   275,   276,   277,
     278,     0,  1727,   280,  1728,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,  1729,   291,   292,   293,   294,
     295,   296,  1730,   297,   298,   299,   300,  1731,  1732,  1733,
     301,  1734,  1735,  1736,   302,   303,   304,   305,   306,   307,
     864,   865,   310,  1737,   311,  1738,   312,   313,   314,   315,
     316,   317,   318,  1739,   319,   320,   321,   322,  1740,  1741,
     323,   324,   866,   326,   327,  1742,   328,   329,   330,  1743,
     331,   332,   333,  1744,   334,   335,   336,   337,     0,   339,
     340,   341,   342,     0,  1745,   344,  1746,   345,   346,   347,
     867,   349,  1747,   350,  1748,   351,   352,   353,  1749,   354,
     355,   356,   357,   358,  1750,   359,     0,  1751,     0,   362,
     363,  1752,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,  1753,   374,   375,   376,   377,   378,   379,   380,
     381,  1754,   382,   383,     0,   385,   386,   387,   388,   868,
     869,  1755,   870,  1756,   392,   393,   394,   395,   396,   871,
       0,     0,     0,     0,     0,     0,   404,   405,   406,   407,
     408,   409,  1757,  1758,   410,     0,   412,   413,   414,  1759,
     415,   416,   417,  1760,  1761,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   872,   437,   873,   439,   440,   441,   442,
     443,   444,   445,  4456,     0,   448,  1762,   449,   450,   451,
     452,  1763,     0,   454,   874,   456,   457,   458,  1764,   459,
     460,  1765,  1766,  4457,   462,   463,  1767,  1768,   464,   465,
       0,   467,   468,   469,     0,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,  1769,   481,   482,     0,   484,
       0,   486,   487,   488,  1770,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,   875,   500,   501,   502,   503,
    1771,   504,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,  1772,   517,   518,   519,   520,   521,
     522,   523,   524,     0,   526,   527,   528,   529,   530,   531,
     532,   533,   534,   535,  1773,   536,   537,   538,   539,   540,
    1774,   541,   542,  2683,   544,   545,   546,   547,   548,   877,
     550,  1775,   551,   552,   553,   554,   555,   556,   557,   558,
     559,   560,   561,   562,   563,     0,   565,  1776,   566,   567,
    1777,  1778,   568,   569,   570,   571,   572,   573,   574,  1779,
     575,   878,   879,  1780,  1781,   578,   579,     0,   581,     0,
    1782,   583,   584,   585,   586,   587,   588,   589,   590,  1783,
    1784,   591,   592,   593,   594,   595,  1785,  1786,   596,   597,
     598,   599,   600,     0,   880,  1787,   603,   604,   605,   606,
     607,   608,  1788,  1789,   609,  1790,  1791,   610,   611,   612,
     613,   614,   615,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   627,   628,   629,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   967,   968,   969,
    4458,  4459,   972,   973,   974,   975,   858,     0,  1578,   696,
       0,     0,     0,   961,   757,     0,     0,     0,     0,     0,
     962,   963,   964,   235,   236,   237,   238,   239,   240,   241,
     242,   243,  1714,   244,   245,   246,  1715,  1716,  1717,  1718,
    1719,  1720,  1721,   247,   248,   249,  1722,   250,   251,   252,
     253,   254,   255,   256,   257,     0,   859,   260,   860,   861,
    1723,   263,   264,   265,   266,   267,   268,   269,  1724,  1725,
     270,   271,   862,   863,   274,  1726,   275,   276,   277,   278,
       0,  1727,   280,  1728,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,  1729,   291,   292,   293,   294,   295,
     296,  1730,   297,   298,   299,   300,  1731,  1732,  1733,   301,
    1734,  1735,  1736,   302,   303,   304,   305,   306,   307,   864,
     865,   310,  1737,   311,  1738,   312,   313,   314,   315,   316,
     317,   318,  1739,   319,   320,   321,   322,  1740,  1741,   323,
     324,   866,   326,   327,  1742,   328,   329,   330,  1743,   331,
     332,   333,  1744,   334,   335,   336,   337,     0,   339,   340,
     341,   342,     0,  1745,   344,  1746,   345,   346,   347,   867,
     349,  1747,   350,  1748,   351,   352,   353,  1749,   354,   355,
     356,   357,   358,  1750,   359,     0,  1751,     0,   362,   363,
    1752,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,  1753,   374,   375,   376,   377,   378,   379,   380,   381,
    1754,   382,   383,     0,   385,   386,   387,   388,   868,   869,
    1755,   870,  1756,   392,   393,   394,   395,   396,   871,     0,
       0,     0,     0,     0,     0,   404,   405,   406,   407,   408,
     409,  1757,  1758,   410,     0,   412,   413,   414,  1759,   415,
     416,   417,  1760,  1761,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   872,   437,   873,   439,   440,   441,   442,   443,
     444,   445,  4908,     0,   448,  1762,   449,   450,   451,   452,
    1763,     0,   454,   874,   456,   457,   458,  1764,   459,   460,
    1765,  1766,  4457,   462,   463,  1767,  1768,   464,   465,     0,
     467,   468,   469,     0,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,  1769,   481,   482,     0,   484,     0,
     486,   487,   488,  1770,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   875,   500,   501,   502,   503,  1771,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,  1772,   517,   518,   519,   520,   521,   522,
     523,   524,     0,   526,   527,   528,   529,   530,   531,   532,
     533,   534,   535,  1773,   536,   537,   538,   539,   540,  1774,
     541,   542,  2683,   544,   545,   546,   547,   548,   877,   550,
    1775,   551,   552,   553,   554,   555,   556,   557,   558,   559,
     560,   561,   562,   563,     0,   565,  1776,   566,   567,  1777,
    1778,   568,   569,   570,   571,   572,   573,   574,  1779,   575,
     878,   879,  1780,  1781,   578,   579,     0,   581,     0,  1782,
     583,   584,   585,   586,   587,   588,   589,   590,  1783,  1784,
     591,   592,   593,   594,   595,  1785,  1786,   596,   597,   598,
     599,   600,     0,   880,  1787,   603,   604,   605,   606,   607,
     608,  1788,  1789,   609,  1790,  1791,   610,   611,   612,   613,
     614,   615,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   627,   628,   629,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   967,   968,   969,  4458,
    4459,   972,   973,   974,   975,  2079,     0,     0,     0,     0,
       0,     0,  2080,     0,     0,  2081,     0,     0,     0,  2082,
    2083,  2084,  2085,  2086,  2087,  2088,  2089,  2090,  2091,  2092,
    2093,  2094,  2095,  2096,  2097,  2098,  2099,  2100,  2101,     0,
    2102,  2103,  2104,  2105,  2106,  2107,  2108,  2109,  2110,  2111,
    2112,  2113,  2114,  2115,  2116,  2117,  2118,  2119,  2120,  2121,
    2122,  2123,  2124,  2125,  2126,  2127,  2128,  2129,  2130,  2131,
    2132,     0,     0,  2133,  2134,  2135,  2136,  2137,  2138,  2139,
    2140,  2141,  2142,  2143,  2144,  2145,  2146,  2147,  2148,  2149,
    2150,  2151,  2152,  2153,  2154,  2155,  2156,  2157,  2158,  2159,
       0,  2160,  2161,  2162,  2163,  2164,  2165,  2166,  2167,  2168,
    2169,  2170,  2171,  2172,  2173,  2174,     0,  2175,  2176,  2177,
    2178,  2179,  2180,  2181,  2182,  2183,  2184,  2185,  2186,  2187,
    2188,  2189,  2190,  2191,  2192,  2193,  2194,  2195,  2196,  2197,
    2198,  2199,  2200,  2201,  2202,  2203,  2204,  2205,  2206,  2207,
    2208,     0,  2209,  2210,  2211,  2212,  2213,  2214,  2215,  2216,
    2217,  2218,  2219,  2220,     0,     0,  2221,  2222,  2223,  2224,
       0,  2225,  2226,  2227,  2228,  2229,     0,  2230,  2231,  2232,
    2233,  2234,     0,  2235,  2236,     0,  2237,  2238,  2239,     0,
    2240,  2241,     0,  2242,  2243,  2244,  2245,  2246,  2247,  2248,
    2249,  2250,  2251,  2252,  2253,  2254,  2255,  2256,  2257,  2258,
    2259,  2260,  2261,  2262,  2263,  2264,  2265,  2266,  2267,     0,
    2268,     0,  2269,  2270,  2271,  2272,  2273,  2274,  2275,  2276,
    2277,  2278,  2279,  2280,  2281,  2282,  2283,  2284,  2285,  2286,
    2287,  2288,  2289,  2290,  2291,  2292,  2293,     0,  2294,  2295,
    2296,  2297,  2298,  2299,  2300,  2301,  2302,  2303,  2304,  2305,
    2306,  2307,  2308,  2309,     0,  2310,  2311,     0,  2312,  2313,
    2314,  2315,  2316,  2317,  2318,  2319,  2320,  2321,  2322,  2323,
    2324,  2325,  2326,  2327,  2328,  2329,  2330,  2331,  2332,  2333,
    2334,  2335,  2336,  2337,  2338,  2339,     0,  2340,  2341,     0,
    2342,  2343,  2344,  2345,  2346,     0,  2347,  2348,  2349,  2350,
       0,     0,  2351,  2352,  2353,  2354,  2355,  2356,  2357,  2358,
    2359,  2360,  2361,  2362,  2363,  2364,  2365,  2366,     0,  2367,
    2368,  2369,  2370,  2371,  2372,  2373,  2374,  2375,  2376,  2377,
    2378,  2379,  2380,  2381,  2382,  2383,  2384,  2385,  2386,  2387,
    2388,  2389,  2390,  2391,  2392,  2393,  2394,  2395,  2396,  2397,
    2398,  2399,     0,  2400,  2401,  2402,  2403,  2404,  2405,  2406,
    2407,  2408,  2409,  2410,  2411,  2412,  2413,  2414,  2415,  2416,
       0,  2417,  2418,  2419,  2420,  2421,  2422,  2423,  2424,  2425,
    2426,  2427,  2428,  2429,  2430,  2431,  2432,  2433,  2434,  2435,
    2436,  2437,  2438,  2439,  2440,  2441,  2442,  2443,  2444,  2445,
    2446,  2447,  2448,  2449,  2450,  2451,  2452,  2453,  2454,  2455,
    2456,  2457,  2458,  2459,  2460,  2461,  2462,  2463,  2464,  2465,
    2466,     0,  2467,  2468,  2469,  2470,  2471,  2472,  2473,  2474,
    2475,  2476,  2477,  2478,  2479,  2480,  2481,     0,  2482,  2483,
    2484,  2485,  2486,  2487,  2488,  2489,  2490,  2491,  2492,  2493,
    2494,  2495,  2496,  2497,     0,  2498,  2499,  2500,  2501,  2502,
    2503,     0,  2504,     0,     0,     0,     0,  2505,  2506,  2507,
    2508,  2509,  2510,  2511,  2512,  2513,  2514,  2515,  2516,  2517,
    2518,  2519,     0,  2520,  2521,     0,  2522,     0,     0,     0,
       0,     0,     0,     0,     0,  2523,  2524,  2525,  2526,  2527,
    2528,  2529,  2530,  2531,   637,     0,     0,     0,     0,     0,
       0,   961,     0,     0,     0,     0,     0,     0,   962,   963,
     964,   235,   236,   237,   238,   239,   240,   241,   242,   243,
       0,   244,   245,   246,     0,     0,     0,     0,     0,     0,
       0,   247,   248,   249,     0,   250,   251,   252,   253,     0,
     255,   256,   257,   258,   259,     0,   261,   262,     0,   263,
     264,   265,   266,   267,   268,   269,     0,     0,   270,   271,
     272,   273,   274,     0,   275,   965,   277,   278,   279,     0,
       0,     0,   281,   282,   283,   284,   285,   286,     0,   288,
     289,   290,     0,   291,   292,   293,   294,   295,   296,     0,
       0,   298,   299,   300,     0,     0,     0,     0,     0,     0,
       0,   302,   303,   304,   305,   306,   307,   308,   309,   310,
       0,   311,     0,   312,   313,   314,   315,   316,   317,   318,
       0,   319,   320,   321,   322,     0,     0,   323,   324,   325,
     326,   327,     0,   328,   329,   330,     0,   331,   332,   333,
       0,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,     0,   966,     0,   345,   346,   347,   348,   349,     0,
     350,     0,   351,   352,     0,     0,     0,   355,   356,   357,
     358,     0,   359,   360,     0,   361,   362,   363,     0,   364,
     365,   366,   367,   368,     0,   370,   371,   372,   373,     0,
     374,   375,   376,   377,   378,   379,   380,   381,     0,   382,
       0,   384,   385,   386,   387,   388,   389,   390,     0,   391,
       0,   392,     0,     0,   395,     0,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,     0,
       0,   410,   411,     0,   413,     0,     0,   415,   416,   417,
       0,     0,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,     0,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,     0,   449,   450,     0,   452,     0,   453,
     454,   455,   456,   457,   458,     0,   459,   460,     0,     0,
     461,   462,   463,     0,     0,   464,   465,   466,     0,   468,
       0,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,     0,   481,   482,   483,   484,   485,   486,   487,
     488,     0,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,     0,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,     0,   517,   518,     0,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,   533,   534,
     535,     0,   536,   537,   538,   539,   540,     0,   541,   542,
     543,   544,   545,     0,   547,   548,   549,   550,     0,   551,
     552,   553,   554,   555,   556,   557,   558,   559,   560,   561,
     562,   563,   564,   565,     0,   566,   567,     0,     0,   568,
       0,   570,   571,   572,   573,   574,     0,   575,   576,   577,
       0,     0,   578,   579,   580,   581,   582,     0,   583,   584,
     585,   586,   587,   588,   589,   590,     0,     0,   591,   592,
     593,   594,   595,     0,     0,   596,   597,   598,   599,   600,
     601,   602,     0,   603,     0,   605,   606,   607,   608,     0,
       0,   609,     0,     0,   610,   611,   612,   613,   614,   615,
     616,   617,   618,   619,   620,   621,   622,   623,   624,   625,
     626,   627,   628,   629,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   967,   968,   969,   970,   971,   972,
     973,   974,   975,   637,     0,     0,     0,     0,     0,     0,
     961,     0,     0,     0,     0,     0,     0,   962,   963,   964,
     235,   236,   237,   238,   239,   240,   241,   242,   243,     0,
     244,   245,   246,     0,     0,     0,     0,     0,     0,     0,
     247,   248,   249,     0,   250,   251,   252,   253,     0,   255,
     256,   257,   258,   259,     0,   261,   262,     0,   263,   264,
     265,   266,   267,   268,   269,     0,     0,   270,   271,   272,
     273,   274,     0,   275,  1082,   277,   278,   279,     0,     0,
       0,   281,   282,   283,   284,   285,   286,     0,   288,   289,
     290,     0,   291,   292,   293,   294,   295,   296,     0,     0,
     298,   299,   300,     0,     0,     0,     0,     0,     0,     0,
     302,   303,   304,   305,   306,   307,   308,   309,   310,     0,
     311,     0,   312,   313,   314,   315,   316,   317,   318,     0,
     319,   320,   321,   322,     0,     0,   323,   324,   325,   326,
     327,     0,   328,   329,   330,     0,   331,   332,   333,     0,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
       0,  1083,     0,   345,   346,   347,   348,   349,     0,   350,
       0,   351,   352,     0,     0,     0,   355,   356,   357,   358,
       0,   359,   360,     0,   361,   362,   363,     0,   364,   365,
     366,   367,   368,     0,   370,   371,   372,   373,     0,   374,
     375,   376,   377,   378,   379,   380,   381,     0,   382,     0,
     384,   385,   386,   387,   388,   389,   390,     0,   391,     0,
     392,     0,     0,   395,     0,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,     0,     0,
     410,   411,     0,   413,     0,     0,   415,   416,   417,     0,
       0,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
       0,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,     0,   449,   450,     0,   452,     0,   453,   454,
     455,   456,   457,   458,     0,   459,   460,     0,     0,   461,
     462,   463,     0,     0,   464,   465,   466,     0,   468,     0,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,     0,   481,   482,   483,   484,   485,   486,   487,   488,
       0,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,     0,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
       0,   517,   518,     0,   520,   521,   522,   523,   524,   525,
     526,   527,   528,   529,   530,   531,   532,   533,   534,   535,
       0,   536,   537,   538,   539,   540,     0,   541,   542,   543,
     544,   545,     0,   547,   548,   549,   550,     0,   551,   552,
     553,   554,   555,   556,   557,   558,   559,   560,   561,   562,
     563,   564,   565,     0,   566,   567,     0,     0,   568,     0,
     570,   571,   572,   573,   574,     0,   575,   576,   577,     0,
       0,   578,   579,   580,   581,   582,     0,   583,   584,   585,
     586,   587,   588,   589,   590,     0,     0,   591,   592,   593,
     594,   595,     0,     0,   596,   597,   598,   599,   600,   601,
     602,     0,   603,     0,   605,   606,   607,   608,     0,     0,
     609,     0,     0,   610,   611,   612,   613,   614,   615,   616,
     617,   618,   619,   620,   621,   622,   623,   624,   625,   626,
     627,   628,   629,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   967,   968,   969,   970,   971,   972,   973,
     974,   975,   637,     0,     0,     0,     0,     0,     0,   961,
       0,     0,     0,     0,     0,     0,   962,   963,   964,   235,
     236,   237,   238,   239,   240,   241,   242,   243,     0,   244,
     245,   246,     0,     0,     0,     0,     0,     0,     0,   247,
     248,   249,     0,   250,   251,   252,   253,     0,   255,   256,
     257,   258,   259,     0,   261,   262,     0,   263,   264,   265,
     266,   267,   268,   269,     0,     0,   270,   271,   272,   273,
     274,     0,   275,  1148,   277,   278,   279,     0,     0,     0,
     281,   282,   283,   284,   285,   286,     0,   288,   289,   290,
       0,   291,   292,   293,   294,   295,   296,     0,     0,   298,
     299,   300,     0,     0,     0,     0,     0,     0,     0,   302,
     303,   304,   305,   306,   307,   308,   309,   310,     0,   311,
       0,   312,   313,   314,   315,   316,   317,   318,     0,   319,
     320,   321,   322,     0,     0,   323,   324,   325,   326,   327,
       0,   328,   329,   330,     0,   331,   332,   333,     0,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,     0,
    1149,     0,   345,   346,   347,   348,   349,     0,   350,     0,
     351,   352,     0,     0,     0,   355,   356,   357,   358,     0,
     359,   360,     0,   361,   362,   363,     0,   364,   365,   366,
     367,  1150,     0,   370,   371,   372,   373,     0,   374,   375,
     376,   377,   378,   379,   380,   381,     0,   382,     0,   384,
     385,   386,   387,   388,   389,   390,     0,   391,     0,   392,
       0,     0,   395,     0,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,     0,     0,   410,
     411,     0,   413,     0,     0,   415,   416,   417,     0,     0,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,     0,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,     0,   449,   450,     0,   452,     0,   453,   454,   455,
     456,   457,   458,     0,   459,   460,     0,     0,   461,   462,
     463,     0,     0,   464,   465,   466,     0,   468,     0,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
       0,   481,   482,   483,   484,   485,   486,   487,   488,     0,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,     0,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,     0,
     517,   518,     0,   520,   521,   522,   523,   524,   525,   526,
     527,   528,   529,   530,   531,   532,   533,   534,   535,     0,
     536,   537,   538,   539,   540,     0,   541,   542,   543,   544,
     545,     0,   547,   548,   549,   550,     0,   551,   552,   553,
     554,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     564,   565,     0,   566,   567,     0,     0,   568,     0,   570,
     571,   572,   573,   574,     0,   575,   576,   577,     0,     0,
     578,   579,   580,   581,   582,     0,   583,   584,   585,   586,
     587,   588,   589,   590,     0,     0,   591,   592,   593,   594,
     595,     0,     0,   596,   597,   598,   599,   600,   601,   602,
       0,   603,     0,   605,   606,   607,   608,     0,     0,   609,
       0,     0,   610,   611,   612,   613,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
     628,   629,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   967,   968,   969,   970,   971,   972,   973,   974,
     975,   637,     0,     0,     0,     0,     0,     0,   961,     0,
       0,     0,     0,     0,     0,   962,   963,   964,   235,   236,
     237,   238,   239,   240,   241,   242,   243,     0,   244,   245,
     246,     0,     0,     0,     0,     0,     0,     0,   247,   248,
     249,     0,   250,   251,   252,   253,     0,   255,   256,   257,
     258,   259,     0,   261,   262,     0,   263,   264,   265,   266,
     267,   268,   269,     0,     0,   270,   271,   272,   273,   274,
       0,   275,  1819,   277,   278,   279,     0,     0,     0,   281,
     282,   283,   284,   285,   286,     0,   288,   289,   290,     0,
     291,   292,   293,   294,   295,   296,     0,     0,   298,   299,
     300,     0,     0,     0,     0,     0,     0,     0,   302,   303,
     304,   305,   306,   307,   308,   309,   310,     0,   311,     0,
     312,   313,   314,   315,   316,   317,   318,     0,   319,   320,
     321,   322,     0,     0,   323,   324,   325,   326,   327,     0,
     328,   329,   330,     0,   331,   332,   333,     0,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,     0,  1820,
       0,   345,   346,   347,   348,   349,     0,   350,     0,   351,
     352,     0,     0,     0,   355,   356,   357,   358,     0,   359,
     360,     0,   361,   362,   363,     0,   364,   365,   366,   367,
     368,     0,   370,   371,   372,   373,     0,   374,   375,   376,
     377,   378,   379,   380,   381,     0,   382,     0,   384,   385,
     386,   387,   388,   389,   390,     0,   391,     0,   392,     0,
       0,   395,     0,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,     0,     0,   410,   411,
       0,   413,     0,     0,   415,   416,   417,     0,     0,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,     0,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
       0,   449,   450,     0,   452,     0,   453,   454,   455,   456,
     457,   458,     0,   459,   460,     0,     0,   461,   462,   463,
       0,     0,   464,   465,   466,     0,   468,     0,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,     0,
     481,   482,   483,   484,   485,   486,   487,   488,     0,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,     0,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,     0,   517,
     518,     0,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,     0,   536,
     537,   538,   539,   540,     0,   541,   542,   543,   544,   545,
       0,   547,   548,   549,   550,     0,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
     565,     0,   566,   567,     0,     0,   568,     0,   570,   571,
     572,   573,   574,     0,   575,   576,   577,     0,     0,   578,
     579,   580,   581,   582,     0,   583,   584,   585,   586,   587,
     588,   589,   590,     0,     0,   591,   592,   593,   594,   595,
       0,     0,   596,   597,   598,   599,   600,   601,   602,     0,
     603,     0,   605,   606,   607,   608,     0,     0,   609,     0,
       0,   610,   611,   612,   613,   614,   615,   616,   617,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   967,   968,   969,   970,   971,   972,   973,   974,   975,
     637,     0,     0,     0,     0,     0,     0,   961,     0,     0,
       0,     0,     0,     0,   962,   963,   964,   235,   236,   237,
     238,   239,   240,   241,   242,   243,     0,   244,   245,   246,
       0,     0,     0,     0,     0,     0,     0,   247,   248,   249,
       0,   250,   251,   252,   253,     0,   255,   256,   257,   258,
     259,     0,   261,   262,     0,   263,   264,   265,   266,   267,
     268,   269,     0,     0,   270,   271,   272,   273,   274,     0,
     275,   276,   277,   278,   279,     0,     0,     0,   281,   282,
     283,   284,   285,   286,     0,   288,   289,   290,     0,   291,
     292,   293,   294,   295,   296,     0,     0,   298,   299,   300,
       0,     0,     0,     0,     0,     0,     0,   302,   303,   304,
     305,   306,   307,   308,   309,   310,     0,   311,     0,   312,
     313,   314,   315,   316,   317,   318,     0,   319,   320,   321,
     322,     0,     0,   323,   324,   325,   326,   327,     0,   328,
     329,   330,     0,   331,   332,   333,     0,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,     0,   344,     0,
     345,   346,   347,   348,   349,     0,   350,     0,   351,   352,
       0,     0,     0,   355,   356,   357,   358,     0,   359,   360,
       0,   361,   362,   363,     0,   364,   365,   366,   367,   368,
       0,   370,   371,   372,   373,     0,   374,   375,   376,   377,
     378,   379,   380,   381,     0,   382,     0,   384,   385,   386,
     387,   388,   389,   390,     0,   391,     0,   392,     0,     0,
     395,     0,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,     0,     0,   410,   411,     0,
     413,     0,     0,   415,   416,   417,     0,     0,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,     0,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,     0,
     449,   450,     0,   452,     0,   453,   454,   455,   456,   457,
     458,     0,   459,   460,     0,     0,   461,   462,   463,     0,
       0,   464,   465,   466,     0,   468,     0,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,     0,   481,
     482,   483,   484,   485,   486,   487,   488,     0,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,     0,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,     0,   517,   518,
       0,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,   531,   532,   533,   534,   535,     0,   536,   537,
     538,   539,   540,     0,   541,   542,   543,   544,   545,     0,
     547,   548,   549,   550,     0,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   560,   561,   562,   563,   564,   565,
       0,   566,   567,     0,     0,   568,     0,   570,   571,   572,
     573,   574,     0,   575,   576,   577,     0,     0,   578,   579,
     580,   581,   582,     0,   583,   584,   585,   586,   587,   588,
     589,   590,     0,     0,   591,   592,   593,   594,   595,     0,
       0,   596,   597,   598,   599,   600,   601,   602,     0,   603,
       0,   605,   606,   607,   608,     0,     0,   609,     0,     0,
     610,   611,   612,   613,   614,   615,   616,   617,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     967,   968,   969,   970,   971,   972,   973,   974,   975,   637,
       0,     0,     0,     0,     0,     0,   961,     0,     0,     0,
       0,     0,     0,   962,   963,   964,   235,   236,   237,   238,
     239,   240,   241,   242,   243,     0,   244,   245,   246,     0,
       0,     0,     0,     0,     0,     0,   247,   248,   249,     0,
     250,   251,   252,   253,     0,   255,   256,   257,   258,   259,
       0,   261,   262,     0,   263,   264,   265,   266,   267,   268,
     269,     0,     0,   270,   271,   272,   273,   274,     0,   275,
    3544,   277,   278,   279,     0,     0,     0,   281,   282,   283,
     284,   285,   286,     0,   288,   289,   290,     0,   291,   292,
     293,   294,   295,   296,     0,     0,   298,   299,   300,     0,
       0,     0,     0,     0,     0,     0,   302,   303,   304,   305,
     306,   307,   308,   309,   310,     0,   311,     0,   312,   313,
     314,   315,   316,   317,   318,     0,   319,   320,   321,   322,
       0,     0,   323,   324,   325,   326,   327,     0,   328,   329,
     330,     0,   331,   332,   333,     0,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,     0,  3545,     0,   345,
     346,   347,   348,   349,     0,   350,     0,   351,   352,     0,
       0,     0,   355,   356,   357,   358,     0,   359,   360,     0,
     361,   362,   363,     0,   364,   365,   366,   367,   368,     0,
     370,   371,   372,   373,     0,   374,   375,   376,   377,   378,
     379,   380,   381,     0,   382,     0,   384,   385,   386,   387,
     388,   389,   390,     0,   391,     0,   392,     0,     0,   395,
       0,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,     0,     0,   410,   411,     0,   413,
       0,     0,   415,   416,   417,     0,     0,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,     0,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,     0,   449,
     450,     0,   452,     0,   453,   454,   455,   456,   457,   458,
       0,   459,   460,     0,     0,   461,   462,   463,     0,     0,
     464,   465,   466,     0,   468,     0,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,     0,   481,   482,
     483,   484,   485,   486,   487,   488,     0,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,     0,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,     0,   517,   518,     0,
     520,   521,   522,   523,   524,   525,   526,   527,   528,   529,
     530,   531,   532,   533,   534,   535,     0,   536,   537,   538,
     539,   540,     0,   541,   542,   543,   544,   545,     0,   547,
     548,   549,   550,     0,   551,   552,   553,   554,   555,   556,
     557,   558,   559,   560,   561,   562,   563,   564,   565,     0,
     566,   567,     0,     0,   568,     0,   570,   571,   572,   573,
     574,     0,   575,   576,   577,     0,     0,   578,   579,   580,
     581,   582,     0,   583,   584,   585,   586,   587,   588,   589,
     590,     0,     0,   591,   592,   593,   594,   595,     0,     0,
     596,   597,   598,   599,   600,   601,   602,     0,   603,     0,
     605,   606,   607,   608,     0,     0,   609,     0,     0,   610,
     611,   612,   613,   614,   615,   616,   617,   618,   619,   620,
     621,   622,   623,   624,   625,   626,   627,   628,   629,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   967,
     968,   969,   970,   971,   972,   973,   974,   975,   637,     0,
       0,     0,     0,     0,     0,   961,     0,     0,     0,     0,
       0,     0,   962,   963,   964,   235,   236,   237,   238,   239,
     240,   241,   242,   243,     0,   244,   245,   246,     0,     0,
       0,     0,     0,     0,     0,   247,   248,   249,     0,   250,
     251,   252,   253,     0,   255,   256,   257,   258,   259,     0,
     261,   262,     0,   263,   264,   265,   266,   267,   268,   269,
       0,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,   278,   279,     0,     0,     0,   281,   282,   283,   284,
     285,   286,     0,   288,   289,   290,     0,   291,   292,   293,
     294,   295,   296,     0,     0,   298,   299,   300,     0,     0,
       0,     0,     0,     0,     0,   302,   303,   304,   305,   306,
     307,   308,   309,   310,     0,   311,     0,   312,   313,   314,
     315,   316,   317,   318,     0,   319,   320,   321,   322,     0,
       0,   323,   324,   325,   326,   327,     0,   328,   329,   330,
       0,   331,   332,   333,     0,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,     0,   344,     0,   345,   346,
     347,   348,   349,     0,   350,     0,   351,   352,     0,     0,
       0,   355,   356,   357,   358,     0,   359,   360,     0,   361,
     362,   363,     0,   364,   365,   366,   367,   368,     0,   370,
     371,   372,   373,     0,   374,   375,   376,   377,   378,   379,
     380,   381,     0,   382,     0,   384,   385,   386,   387,   388,
     389,   390,     0,   391,     0,   392,     0,     0,   395,     0,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,     0,     0,   410,   411,     0,   413,     0,
       0,   415,   416,   417,     0,     0,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,     0,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,     0,   449,   450,
       0,   452,     0,   453,   454,   455,   456,   457,   458,     0,
     459,   460,     0,     0,  5527,   462,   463,     0,     0,   464,
     465,   466,     0,   468,     0,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,     0,   481,   482,   483,
     484,   485,   486,   487,   488,     0,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,     0,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,     0,   517,   518,     0,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
     531,   532,   533,   534,   535,     0,   536,   537,   538,   539,
     540,     0,   541,   542,   543,   544,   545,     0,   547,   548,
     549,   550,     0,   551,   552,   553,   554,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   564,   565,     0,   566,
     567,     0,     0,   568,     0,   570,   571,   572,   573,   574,
       0,   575,   576,   577,     0,     0,   578,   579,   580,   581,
     582,     0,   583,   584,   585,   586,   587,   588,   589,   590,
       0,     0,   591,   592,   593,   594,   595,     0,     0,   596,
     597,   598,   599,   600,   601,   602,     0,   603,     0,   605,
     606,   607,   608,     0,     0,   609,     0,     0,   610,   611,
     612,   613,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   628,   629,     0,     0,
    1713,     0,     0,     0,     0,     0,     0,     0,   967,   968,
     969,   970,   971,   972,   973,   974,   975,   235,   236,   237,
     238,   239,   240,   241,   242,   243,  1714,   244,   245,   246,
    1715,  1716,  1717,  1718,  1719,  1720,  1721,   247,   248,   249,
    1722,   250,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,  1723,   263,   264,   265,   266,   267,
     268,   269,  1724,  1725,   270,   271,   272,   273,   274,  1726,
     275,   276,   277,   278,   279,  1727,   280,  1728,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,  1729,   291,
     292,   293,   294,   295,   296,  1730,   297,   298,   299,   300,
    1731,  1732,  1733,   301,  1734,  1735,  1736,   302,   303,   304,
     305,   306,   307,   308,   309,   310,  1737,   311,  1738,   312,
     313,   314,   315,   316,   317,   318,  1739,   319,   320,   321,
     322,  1740,  1741,   323,   324,   325,   326,   327,  1742,   328,
     329,   330,  1743,   331,   332,   333,  1744,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,  1745,   344,  1746,
     345,   346,   347,   348,   349,  1747,   350,  1748,   351,   352,
     353,  1749,   354,   355,   356,   357,   358,  1750,   359,   360,
    1751,   361,   362,   363,  1752,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,  1753,   374,   375,   376,   377,
     378,   379,   380,   381,  1754,   382,   383,   384,   385,   386,
     387,   388,   389,   390,  1755,   391,  1756,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,  1757,  1758,   410,   411,   412,
     413,   414,  1759,   415,   416,   417,  1760,  1761,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,  1762,
     449,   450,   451,   452,  1763,   453,   454,   455,   456,   457,
     458,  1764,   459,   460,  1765,  1766,   461,   462,   463,  1767,
    1768,   464,   465,   466,   467,   468,   469,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,  1769,   481,
     482,   483,   484,   485,   486,   487,   488,  1770,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,  1771,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,  1772,   517,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,   531,   532,   533,   534,   535,  1773,   536,   537,
     538,   539,   540,  1774,   541,   542,   543,   544,   545,   546,
     547,   548,   549,   550,  1775,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   560,   561,   562,   563,   564,   565,
    1776,   566,   567,  1777,  1778,   568,   569,   570,   571,   572,
     573,   574,  1779,   575,   576,   577,  1780,  1781,   578,   579,
     580,   581,   582,  1782,   583,   584,   585,   586,   587,   588,
     589,   590,  1783,  1784,   591,   592,   593,   594,   595,  1785,
    1786,   596,   597,   598,   599,   600,   601,   602,  1787,   603,
     604,   605,   606,   607,   608,  1788,  1789,   609,  1790,  1791,
     610,   611,   612,   613,   614,   615,   616,   617,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
     637,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1792,     0,   235,   236,   237,
     238,   239,   240,   241,   242,   243,     0,   244,   245,   246,
       0,     0,     0,     0,     0,     0,     0,   247,   248,   249,
       0,   250,   251,   252,   253,     0,   255,   256,   257,   258,
     259,     0,   261,   262,     0,   263,   264,   265,   266,   267,
     268,   269,     0,     0,   270,   271,   272,   273,   274,     0,
     275,   276,   277,   278,   279,     0,     0,     0,   281,   282,
     283,   284,   285,   286,     0,   288,   289,   290,     0,   291,
     292,   293,   294,   295,   296,     0,     0,   298,   299,   300,
       0,     0,     0,     0,     0,     0,     0,   302,   303,   304,
     305,   306,   307,   308,   309,   310,     0,   311,     0,   312,
     313,   314,   315,   316,   317,   318,     0,   319,   320,   321,
     322,     0,     0,   323,   324,   325,   326,   327,     0,   328,
     329,   330,     0,   331,   332,   333,     0,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,     0,   344,     0,
     345,   346,   347,   348,   349,     0,   350,     0,   351,   352,
       0,     0,     0,   355,   356,   357,   358,     0,   359,   360,
       0,   361,   362,   363,     0,   364,   365,   366,   367,   368,
       0,   370,   371,   372,   373,     0,   374,   375,   376,   377,
     378,   379,   380,   381,     0,   382,     0,   384,   385,   386,
     387,   388,   389,   390,     0,   391,     0,   392,     0,     0,
     395,     0,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,     0,     0,   410,   411,     0,
     413,     0,     0,   415,   416,   417,     0,     0,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,     0,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,     0,
     449,   450,     0,   452,     0,   453,   454,   455,   456,   457,
     458,     0,   459,   460,     0,     0,   461,   462,   463,     0,
       0,   464,   465,   466,     0,   468,     0,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,     0,   481,
     482,   483,   484,   485,   486,   487,   488,     0,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,     0,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,     0,   517,   518,
       0,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,   531,   532,   533,   534,   535,     0,   536,   537,
     538,   539,   540,     0,   541,   542,   543,   544,   545,     0,
     547,   548,   549,   550,     0,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   560,   561,   562,   563,   564,   565,
       0,   566,   567,     0,     0,   568,     0,   570,   571,   572,
     573,   574,     0,   575,   576,   577,     0,     0,   578,   579,
     580,   581,   582,     0,   583,   584,   585,   586,   587,   588,
     589,   590,     0,     0,   591,   592,   593,   594,   595,     0,
       0,   596,   597,   598,   599,   600,   601,   602,     0,   603,
       0,   605,   606,   607,   608,     0,     0,   609,     0,     0,
     610,   611,   612,   613,   614,   615,   616,   617,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
     637,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   847,     0,   235,   236,   237,
     238,   239,   240,   241,   242,   243,     0,   244,   245,   246,
       0,     0,     0,     0,     0,     0,     0,   247,   248,   249,
       0,   250,   251,   252,   253,     0,   255,   256,   257,   258,
     259,     0,   261,   262,     0,   263,   264,   265,   266,   267,
     268,   269,     0,     0,   270,   271,   272,   273,   274,     0,
     275,   276,   277,   278,   279,     0,     0,     0,   281,   282,
     283,   284,   285,   286,     0,   288,   289,   290,     0,   291,
     292,   293,   294,   295,   296,     0,     0,   298,   299,   300,
       0,     0,     0,     0,     0,     0,     0,   302,   303,   304,
     305,   306,   307,   308,   309,   310,     0,   311,     0,   312,
     313,   314,   315,   316,   317,   318,     0,   319,   320,   321,
     322,     0,     0,   323,   324,   325,   326,   327,     0,   328,
     329,   330,     0,   331,   332,   333,     0,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,     0,   344,     0,
     345,   346,   347,   348,   349,     0,   350,     0,   351,   352,
       0,     0,     0,   355,   356,   357,   358,     0,   359,   360,
       0,   361,   362,   363,     0,   364,   365,   366,   367,   368,
       0,   370,   371,   372,   373,     0,   374,   375,   376,   377,
     378,   379,   380,   381,     0,   382,     0,   384,   385,   386,
     387,   388,   389,   390,     0,   391,     0,   392,     0,     0,
     395,     0,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,     0,     0,   410,   411,     0,
     413,     0,     0,   415,   416,   417,     0,     0,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,     0,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,     0,
     449,   450,     0,   452,     0,   453,   454,   455,   456,   457,
     458,     0,   459,   460,     0,     0,   461,   462,   463,     0,
       0,   464,   465,   466,     0,   468,     0,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,     0,   481,
     482,   483,   484,   485,   486,   487,   488,     0,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,     0,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,     0,   517,   518,
       0,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,   531,   532,   533,   534,   535,     0,   536,   537,
     538,   539,   540,     0,   541,   542,   543,   544,   545,     0,
     547,   548,   549,   550,     0,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   560,   561,   562,   563,   564,   565,
       0,   566,   567,     0,     0,   568,     0,   570,   571,   572,
     573,   574,     0,   575,   576,   577,     0,     0,   578,   579,
     580,   581,   582,     0,   583,   584,   585,   586,   587,   588,
     589,   590,     0,     0,   591,   592,   593,   594,   595,     0,
       0,   596,   597,   598,   599,   600,   601,   602,     0,   603,
       0,   605,   606,   607,   608,     0,     0,   609,     0,     0,
     610,   611,   612,   613,   614,   615,   616,   617,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
     637,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  5945,     0,   235,   236,   237,
     238,   239,   240,   241,   242,   243,     0,   244,   245,   246,
       0,     0,     0,     0,     0,     0,     0,   247,   248,   249,
       0,   250,   251,   252,   253,     0,   255,   256,   257,   258,
     259,     0,   261,   262,     0,   263,   264,   265,   266,   267,
     268,   269,     0,     0,   270,   271,   272,   273,   274,     0,
     275,   276,   277,   278,   279,     0,     0,     0,   281,   282,
     283,   284,   285,   286,     0,   288,   289,   290,     0,   291,
     292,   293,   294,   295,   296,     0,     0,   298,   299,   300,
       0,     0,     0,     0,     0,     0,     0,   302,   303,   304,
     305,   306,   307,   308,   309,   310,     0,   311,     0,   312,
     313,   314,   315,   316,   317,   318,     0,   319,   320,   321,
     322,     0,     0,   323,   324,   325,   326,   327,     0,   328,
     329,   330,     0,   331,   332,   333,     0,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,     0,   344,     0,
     345,   346,   347,   348,   349,     0,   350,     0,   351,   352,
       0,     0,     0,   355,   356,   357,   358,     0,   359,   360,
       0,   361,   362,   363,     0,   364,   365,   366,   367,   368,
       0,   370,   371,   372,   373,     0,   374,   375,   376,   377,
     378,   379,   380,   381,     0,   382,     0,   384,   385,   386,
     387,   388,   389,   390,     0,   391,     0,   392,     0,     0,
     395,     0,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,     0,     0,   410,   411,     0,
     413,     0,     0,   415,   416,   417,     0,     0,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,     0,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,     0,
     449,   450,     0,   452,     0,   453,   454,   455,   456,   457,
     458,     0,   459,   460,     0,     0,   461,   462,   463,     0,
       0,   464,   465,   466,     0,   468,     0,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,     0,   481,
     482,   483,   484,   485,   486,   487,   488,     0,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,     0,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,     0,   517,   518,
       0,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,   531,   532,   533,   534,   535,     0,   536,   537,
     538,   539,   540,     0,   541,   542,   543,   544,   545,     0,
     547,   548,   549,   550,     0,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   560,   561,   562,   563,   564,   565,
       0,   566,   567,     0,     0,   568,     0,   570,   571,   572,
     573,   574,     0,   575,   576,   577,     0,     0,   578,   579,
     580,   581,   582,     0,   583,   584,   585,   586,   587,   588,
     589,   590,     0,     0,   591,   592,   593,   594,   595,     0,
       0,   596,   597,   598,   599,   600,   601,   602,     0,   603,
       0,   605,   606,   607,   608,     0,     0,   609,     0,     0,
     610,   611,   612,   613,   614,   615,   616,   617,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
     637,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  5947,     0,   235,   236,   237,
     238,   239,   240,   241,   242,   243,     0,   244,   245,   246,
       0,     0,     0,     0,     0,     0,     0,   247,   248,   249,
       0,   250,   251,   252,   253,     0,   255,   256,   257,   258,
     259,     0,   261,   262,     0,   263,   264,   265,   266,   267,
     268,   269,     0,     0,   270,   271,   272,   273,   274,     0,
     275,   276,   277,   278,   279,     0,     0,     0,   281,   282,
     283,   284,   285,   286,     0,   288,   289,   290,     0,   291,
     292,   293,   294,   295,   296,     0,     0,   298,   299,   300,
       0,     0,     0,     0,     0,     0,     0,   302,   303,   304,
     305,   306,   307,   308,   309,   310,     0,   311,     0,   312,
     313,   314,   315,   316,   317,   318,     0,   319,   320,   321,
     322,     0,     0,   323,   324,   325,   326,   327,     0,   328,
     329,   330,     0,   331,   332,   333,     0,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,     0,   344,     0,
     345,   346,   347,   348,   349,     0,   350,     0,   351,   352,
       0,     0,     0,   355,   356,   357,   358,     0,   359,   360,
       0,   361,   362,   363,     0,   364,   365,   366,   367,   368,
       0,   370,   371,   372,   373,     0,   374,   375,   376,   377,
     378,   379,   380,   381,     0,   382,     0,   384,   385,   386,
     387,   388,   389,   390,     0,   391,     0,   392,     0,     0,
     395,     0,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,     0,     0,   410,   411,     0,
     413,     0,     0,   415,   416,   417,     0,     0,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,     0,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,     0,
     449,   450,     0,   452,     0,   453,   454,   455,   456,   457,
     458,     0,   459,   460,     0,     0,   461,   462,   463,     0,
       0,   464,   465,   466,     0,   468,     0,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,     0,   481,
     482,   483,   484,   485,   486,   487,   488,     0,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,     0,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,     0,   517,   518,
       0,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,   531,   532,   533,   534,   535,     0,   536,   537,
     538,   539,   540,     0,   541,   542,   543,   544,   545,     0,
     547,   548,   549,   550,     0,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   560,   561,   562,   563,   564,   565,
       0,   566,   567,     0,     0,   568,     0,   570,   571,   572,
     573,   574,     0,   575,   576,   577,     0,     0,   578,   579,
     580,   581,   582,     0,   583,   584,   585,   586,   587,   588,
     589,   590,     0,     0,   591,   592,   593,   594,   595,     0,
       0,   596,   597,   598,   599,   600,   601,   602,     0,   603,
       0,   605,   606,   607,   608,     0,     0,   609,     0,     0,
     610,   611,   612,   613,   614,   615,   616,   617,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
     858,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  6054,     0,   235,   236,   237,
     238,   239,   240,   241,   242,   243,     0,   244,   245,   246,
       0,     0,     0,     0,     0,     0,     0,   247,   248,   249,
       0,   250,   251,   252,   253,   254,   255,   256,   257,     0,
     859,   260,   860,   861,     0,   263,   264,   265,   266,   267,
     268,   269,     0,     0,   270,   271,   862,   863,   274,     0,
     275,   276,   277,   278,     0,     0,   280,     0,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,     0,   291,
     292,   293,   294,   295,   296,     0,   297,   298,   299,   300,
       0,     0,     0,   301,     0,     0,     0,   302,   303,   304,
     305,   306,   307,   864,   865,   310,     0,   311,     0,   312,
     313,   314,   315,   316,   317,   318,     0,   319,   320,   321,
     322,     0,     0,   323,   324,   866,   326,   327,     0,   328,
     329,   330,     0,   331,   332,   333,     0,   334,   335,   336,
     337,     0,   339,   340,   341,   342,     0,     0,   344,     0,
     345,   346,   347,   867,   349,     0,   350,     0,   351,   352,
     353,     0,   354,   355,   356,   357,   358,     0,   359,     0,
       0,     0,   362,   363,     0,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,  2679,   374,   375,   376,   377,
     378,   379,   380,   381,     0,   382,   383,  2680,   385,   386,
     387,   388,   868,   869,     0,   870,     0,   392,   393,   394,
     395,   396,   871,     0,     0,     0,     0,     0,     0,   404,
     405,   406,   407,   408,   409,     0,     0,   410,     0,   412,
     413,   414,     0,   415,   416,   417,     0,     0,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   872,   437,   873,   439,
     440,   441,   442,   443,   444,   445,     0,     0,   448,     0,
     449,   450,   451,   452,     0,     0,   454,   874,   456,   457,
     458,     0,   459,   460,     0,     0,   461,   462,   463,     0,
    2681,   464,   465,  2682,   467,   468,   469,     0,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,     0,   481,
     482,     0,   484,     0,   486,   487,   488,     0,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   875,   500,
     501,   502,   503,     0,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,     0,   517,   518,
     519,   520,   521,   522,   523,   524,     0,   526,   527,   528,
     529,   530,   531,   532,   533,   534,   535,     0,   536,   537,
     538,   539,   540,     0,   541,   542,  2683,   544,   545,   546,
     547,   548,   877,   550,     0,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   560,   561,   562,   563,     0,   565,
       0,   566,   567,     0,     0,   568,   569,   570,   571,   572,
     573,   574,     0,   575,   878,   879,     0,     0,   578,   579,
       0,   581,     0,     0,   583,   584,   585,   586,   587,   588,
     589,   590,     0,     0,   591,   592,   593,   594,   595,     0,
       0,   596,   597,   598,   599,   600,     0,   880,  2684,   603,
     604,   605,   606,   607,   608,     0,     0,   609,     0,     0,
     610,   611,   612,   613,   614,   615,     0,     0,     0,  3891,
       0,     0,     0,     0,     0,     0,     0,   627,   628,   629,
       0,     0,     0,     0,     0,     0,   235,   236,   237,   238,
     239,   240,   241,   242,   243,  2685,   244,   245,   246,     0,
       0,     0,     0,     0,     0,     0,   247,   248,   249,     0,
     250,   251,   252,   253,   254,   255,   256,   257,     0,   859,
     260,   860,   861,     0,   263,   264,   265,   266,   267,   268,
     269,     0,     0,   270,   271,   862,   863,   274,     0,   275,
     276,   277,   278,     0,     0,   280,     0,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,     0,   291,   292,
     293,   294,   295,   296,     0,   297,   298,   299,   300,     0,
       0,     0,   301,     0,     0,     0,   302,   303,   304,   305,
     306,   307,   864,   865,   310,     0,   311,     0,   312,   313,
     314,   315,   316,   317,   318,     0,   319,   320,   321,   322,
       0,     0,   323,   324,   866,   326,   327,     0,   328,   329,
     330,     0,   331,   332,   333,     0,   334,   335,   336,   337,
       0,   339,   340,   341,   342,     0,     0,   344,     0,   345,
     346,   347,   867,   349,     0,   350,     0,   351,   352,   353,
       0,   354,   355,   356,   357,   358,     0,   359,     0,     0,
       0,   362,   363,     0,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,  2679,   374,   375,   376,   377,   378,
     379,   380,   381,     0,   382,   383,  2680,   385,   386,   387,
     388,   868,   869,     0,   870,     0,   392,   393,   394,   395,
     396,   871,     0,     0,     0,     0,     0,     0,   404,   405,
     406,   407,   408,   409,     0,     0,   410,     0,   412,   413,
     414,     0,   415,   416,   417,     0,     0,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   872,   437,   873,   439,   440,
     441,   442,   443,   444,   445,     0,     0,   448,     0,   449,
     450,   451,   452,     0,     0,   454,   874,   456,   457,   458,
       0,   459,   460,     0,     0,   461,   462,   463,     0,  2681,
     464,   465,  2682,   467,   468,   469,     0,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,     0,   481,   482,
       0,   484,     0,   486,   487,   488,     0,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   875,   500,   501,
     502,   503,     0,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,     0,   517,   518,   519,
     520,   521,   522,   523,   524,     0,   526,   527,   528,   529,
     530,   531,   532,   533,   534,   535,     0,   536,   537,   538,
     539,   540,     0,   541,   542,  2683,   544,   545,   546,   547,
     548,   877,   550,     0,   551,   552,   553,   554,   555,   556,
     557,   558,   559,   560,   561,   562,   563,     0,   565,     0,
     566,   567,     0,     0,   568,   569,   570,   571,   572,   573,
     574,     0,   575,   878,   879,     0,     0,   578,   579,     0,
     581,     0,     0,   583,   584,   585,   586,   587,   588,   589,
     590,     0,     0,   591,   592,   593,   594,   595,     0,     0,
     596,   597,   598,   599,   600,     0,   880,  2684,   603,   604,
     605,   606,   607,   608,     0,     0,   609,     0,     0,   610,
     611,   612,   613,   614,   615,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   627,   628,   629,   946,
       0,  1578,   696,     0,     0,     0,     0,   757,     0,     0,
       0,     0,     0,     0,  2685,     0,   235,   236,   237,   238,
     239,   240,   241,   242,   243,     0,   244,   245,   246,     0,
       0,     0,     0,     0,     0,     0,   247,   248,   249,     0,
     250,   251,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,     0,   263,   264,   265,   266,   267,   268,
     269,     0,     0,   270,   271,   272,   273,   274,     0,   275,
     276,   277,   278,   279,     0,   280,     0,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,     0,   291,   292,
     293,   294,   295,   296,     0,   297,   298,   299,   300,     0,
       0,     0,   301,     0,     0,     0,   302,   303,   304,   305,
     306,   307,   308,   309,   310,  2570,   311,     0,   312,   313,
     314,   315,   316,   317,   318,     0,   319,   320,   321,   322,
       0,     0,   323,   324,   325,   326,   327,     0,   328,   329,
     330,     0,   331,   332,   333,     0,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,  1802,   344,     0,   345,
     346,   347,   348,   349,     0,   350,     0,   351,   352,   353,
       0,   354,   355,   356,   357,   358,     0,   359,   360,     0,
     361,   362,   363,     0,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,     0,   374,   375,   376,   377,   378,
     379,   380,   381,     0,   382,   383,   384,   385,   386,   387,
     388,   389,   390,     0,   391,     0,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,     0,     0,   410,   411,   412,   413,
     414,     0,   415,   416,   417,     0,     0,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,     0,   449,
     450,   451,   452,     0,   453,   454,   455,   456,   457,   458,
       0,   459,   460,  1803,     0,   461,   462,   463,     0,     0,
     464,   465,   466,   467,   468,   469,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,     0,   481,   482,
     483,   484,   485,   486,   487,   488,     0,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,     0,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,     0,   517,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,   528,   529,
     530,   531,   532,   533,   534,   535,     0,   536,   537,   538,
     539,   540,     0,   541,   542,   543,   544,   545,   546,   547,
     548,   549,   550,     0,   551,   552,   553,   554,   555,   556,
     557,   558,   559,   560,   561,   562,   563,   564,   565,     0,
     566,   567,     0,     0,   568,   569,   570,   571,   572,   573,
     574,     0,   575,   576,   577,     0,     0,   578,   579,   580,
     581,   582,  1804,   583,   584,   585,   586,   587,   588,   589,
     590,     0,     0,   591,   592,   593,   594,   595,     0,     0,
     596,   597,   598,   599,   600,   601,   602,     0,   603,   604,
     605,   606,   607,   608,     0,     0,   609,     0,     0,   610,
     611,   612,   613,   614,   615,   616,   617,   618,   619,   620,
     621,   622,   623,   624,   625,   626,   627,   628,   629,   946,
       0,  1578,   696,     0,     0,     0,     0,   757,     0,     0,
       0,     0,  1579,  1580,     0,     0,   235,   236,   237,   238,
     239,   240,   241,   242,   243,     0,   244,   245,   246,     0,
       0,     0,     0,     0,     0,     0,   247,   248,   249,     0,
     250,   251,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,     0,   263,   264,   265,   266,   267,   268,
     269,     0,     0,   270,   271,   272,   273,   274,     0,   275,
     276,   277,   278,   279,     0,   280,     0,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,     0,   291,   292,
     293,   294,   295,   296,     0,   297,   298,   299,   300,     0,
       0,     0,   301,     0,     0,     0,   302,   303,   304,   305,
     306,   307,   308,   309,   310,  2575,   311,     0,   312,   313,
     314,   315,   316,   317,   318,     0,   319,   320,   321,   322,
       0,     0,   323,   324,   325,   326,   327,     0,   328,   329,
     330,     0,   331,   332,   333,     0,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,  1802,   344,     0,   345,
     346,   347,   348,   349,     0,   350,     0,   351,   352,   353,
       0,   354,   355,   356,   357,   358,     0,   359,   360,     0,
     361,   362,   363,     0,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,     0,   374,   375,   376,   377,   378,
     379,   380,   381,     0,   382,   383,   384,   385,   386,   387,
     388,   389,   390,     0,   391,     0,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,     0,     0,   410,   411,   412,   413,
     414,     0,   415,   416,   417,     0,     0,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,     0,   449,
     450,   451,   452,     0,   453,   454,   455,   456,   457,   458,
       0,   459,   460,  1803,     0,   461,   462,   463,     0,     0,
     464,   465,   466,   467,   468,   469,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,     0,   481,   482,
     483,   484,   485,   486,   487,   488,     0,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,     0,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,     0,   517,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,   528,   529,
     530,   531,   532,   533,   534,   535,     0,   536,   537,   538,
     539,   540,     0,   541,   542,   543,   544,   545,   546,   547,
     548,   549,   550,     0,   551,   552,   553,   554,   555,   556,
     557,   558,   559,   560,   561,   562,   563,   564,   565,     0,
     566,   567,     0,     0,   568,   569,   570,   571,   572,   573,
     574,     0,   575,   576,   577,     0,     0,   578,   579,   580,
     581,   582,  1804,   583,   584,   585,   586,   587,   588,   589,
     590,     0,     0,   591,   592,   593,   594,   595,     0,     0,
     596,   597,   598,   599,   600,   601,   602,     0,   603,   604,
     605,   606,   607,   608,     0,     0,   609,     0,     0,   610,
     611,   612,   613,   614,   615,   616,   617,   618,   619,   620,
     621,   622,   623,   624,   625,   626,   627,   628,   629,   946,
       0,  1578,   696,     0,     0,     0,     0,   757,     0,     0,
       0,     0,  1579,  1580,     0,     0,   235,   236,   237,   238,
     239,   240,   241,   242,   243,     0,   244,   245,   246,     0,
       0,     0,     0,     0,     0,     0,   247,   248,   249,     0,
     250,   251,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,     0,   263,   264,   265,   266,   267,   268,
     269,     0,     0,   270,   271,   272,   273,   274,     0,   275,
     276,   277,   278,   279,     0,   280,     0,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,     0,   291,   292,
     293,   294,   295,   296,     0,   297,   298,   299,   300,     0,
       0,     0,   301,     0,     0,     0,   302,   303,   304,   305,
     306,   307,   308,   309,   310,  3504,   311,     0,   312,   313,
     314,   315,   316,   317,   318,     0,   319,   320,   321,   322,
       0,     0,   323,   324,   325,   326,   327,     0,   328,   329,
     330,     0,   331,   332,   333,     0,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,  1802,   344,     0,   345,
     346,   347,   348,   349,     0,   350,     0,   351,   352,   353,
       0,   354,   355,   356,   357,   358,     0,   359,   360,     0,
     361,   362,   363,     0,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,     0,   374,   375,   376,   377,   378,
     379,   380,   381,     0,   382,   383,   384,   385,   386,   387,
     388,   389,   390,     0,   391,     0,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,     0,     0,   410,   411,   412,   413,
     414,     0,   415,   416,   417,     0,     0,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,     0,   449,
     450,   451,   452,     0,   453,   454,   455,   456,   457,   458,
       0,   459,   460,  1803,     0,   461,   462,   463,     0,     0,
     464,   465,   466,   467,   468,   469,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,     0,   481,   482,
     483,   484,   485,   486,   487,   488,     0,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,     0,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,     0,   517,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,   528,   529,
     530,   531,   532,   533,   534,   535,     0,   536,   537,   538,
     539,   540,     0,   541,   542,   543,   544,   545,   546,   547,
     548,   549,   550,     0,   551,   552,   553,   554,   555,   556,
     557,   558,   559,   560,   561,   562,   563,   564,   565,     0,
     566,   567,     0,     0,   568,   569,   570,   571,   572,   573,
     574,     0,   575,   576,   577,     0,     0,   578,   579,   580,
     581,   582,  1804,   583,   584,   585,   586,   587,   588,   589,
     590,     0,     0,   591,   592,   593,   594,   595,     0,     0,
     596,   597,   598,   599,   600,   601,   602,     0,   603,   604,
     605,   606,   607,   608,     0,     0,   609,     0,     0,   610,
     611,   612,   613,   614,   615,   616,   617,   618,   619,   620,
     621,   622,   623,   624,   625,   626,   627,   628,   629,   946,
       0,  1578,   696,     0,     0,     0,     0,   757,     0,     0,
       0,     0,  1579,  1580,     0,     0,   235,   236,   237,   238,
     239,   240,   241,   242,   243,     0,   244,   245,   246,     0,
       0,     0,     0,     0,     0,     0,   247,   248,   249,     0,
     250,   251,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,     0,   263,   264,   265,   266,   267,   268,
     269,     0,     0,   270,   271,   272,   273,   274,     0,   275,
     276,   277,   278,   279,     0,   280,     0,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,     0,   291,   292,
     293,   294,   295,   296,     0,   297,   298,   299,   300,     0,
       0,     0,   301,     0,     0,     0,   302,   303,   304,   305,
     306,   307,   308,   309,   310,     0,   311,     0,   312,   313,
     314,   315,   316,   317,   318,     0,   319,   320,   321,   322,
       0,     0,   323,   324,   325,   326,   327,     0,   328,   329,
     330,     0,   331,   332,   333,     0,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,  1802,   344,     0,   345,
     346,   347,   348,   349,     0,   350,     0,   351,   352,   353,
       0,   354,   355,   356,   357,   358,     0,   359,   360,     0,
     361,   362,   363,     0,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,     0,   374,   375,   376,   377,   378,
     379,   380,   381,     0,   382,   383,   384,   385,   386,   387,
     388,   389,   390,     0,   391,     0,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,     0,     0,   410,   411,   412,   413,
     414,     0,   415,   416,   417,     0,     0,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,     0,   449,
     450,   451,   452,     0,   453,   454,   455,   456,   457,   458,
       0,   459,   460,  1803,     0,   461,   462,   463,     0,     0,
     464,   465,   466,   467,   468,   469,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,     0,   481,   482,
     483,   484,   485,   486,   487,   488,     0,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,     0,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,     0,   517,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,   528,   529,
     530,   531,   532,   533,   534,   535,     0,   536,   537,   538,
     539,   540,     0,   541,   542,   543,   544,   545,   546,   547,
     548,   549,   550,     0,   551,   552,   553,   554,   555,   556,
     557,   558,   559,   560,   561,   562,   563,   564,   565,     0,
     566,   567,     0,     0,   568,   569,   570,   571,   572,   573,
     574,     0,   575,   576,   577,     0,     0,   578,   579,   580,
     581,   582,  1804,   583,   584,   585,   586,   587,   588,   589,
     590,     0,     0,   591,   592,   593,   594,   595,     0,     0,
     596,   597,   598,   599,   600,   601,   602,     0,   603,   604,
     605,   606,   607,   608,     0,     0,   609,     0,     0,   610,
     611,   612,   613,   614,   615,   616,   617,   618,   619,   620,
     621,   622,   623,   624,   625,   626,   627,   628,   629,   637,
       0,     0,     0,     0,     0,     0,     0,   757,     0,     0,
       0,     0,  1579,  1580,     0,     0,   235,   236,   758,   238,
     239,   240,   241,   242,   243,   759,   244,   245,   246,     0,
       0,     0,     0,     0,     0,     0,   247,   248,   249,     0,
     250,   251,   252,   253,     0,   760,   256,   257,   258,   259,
       0,   261,   262,     0,   263,   264,   265,   266,   267,   268,
     269,     0,     0,   270,   271,   272,   273,   274,     0,   275,
     276,   277,   278,   279,     0,     0,     0,   281,   282,   283,
     284,   285,   286,     0,   288,   289,   290,     0,   291,   292,
     293,   294,   295,   296,     0,     0,   298,   299,   300,     0,
       0,     0,     0,     0,     0,     0,   302,   303,   304,   305,
     306,   307,   308,   309,   310,     0,   311,     0,   312,   313,
     314,   315,   316,   317,   318,     0,   319,   320,   321,   322,
       0,     0,   323,   324,   325,   326,   327,     0,   328,   329,
     330,     0,   331,   332,   333,     0,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,     0,   344,     0,   345,
     346,   761,   348,   349,     0,   350,     0,   351,   762,     0,
     763,     0,   355,   356,   357,   358,     0,   359,   360,     0,
     361,   362,   363,     0,   364,   365,   366,   367,   368,     0,
     370,   371,   372,   373,   764,   374,   375,   376,   377,   378,
     379,   380,   381,     0,   382,     0,   384,   385,   386,   387,
     388,   389,   390,     0,   391,     0,   392,     0,     0,   395,
       0,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   765,     0,     0,   410,   411,     0,   413,
       0,     0,   415,   416,   417,     0,     0,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,     0,   438,   439,   766,
     441,   442,   443,   444,   445,   446,   447,   448,     0,   449,
     450,     0,   452,     0,   453,   454,   455,   456,   457,   458,
       0,   459,   460,     0,     0,   461,   462,   463,     0,     0,
     464,   465,   466,     0,   468,     0,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,     0,   481,   482,
     483,   484,   485,   486,   487,   488,     0,   767,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,     0,   504,   505,   506,   768,   508,   509,   510,
     511,   512,   513,   514,   515,   516,     0,   517,   518,     0,
     520,   521,   522,   523,   524,   525,   526,   527,   528,   529,
     530,   531,   532,   533,   534,   535,     0,   536,   537,   538,
     539,   540,     0,   541,   542,   543,   544,   545,     0,   547,
     548,   549,   550,     0,   551,   552,   553,   554,   555,   556,
     557,   558,   559,   560,   561,   562,   563,   564,   565,     0,
     566,   567,     0,     0,   568,     0,   570,   571,   572,   573,
     574,     0,   575,   576,   577,     0,     0,   578,   579,   580,
     581,   582,     0,   583,   584,   585,   586,   587,   588,   589,
     590,     0,     0,   591,   592,   593,   594,   595,     0,     0,
     596,   597,   598,   599,   600,   601,   602,     0,   603,     0,
     605,   606,   607,   608,     0,     0,   609,     0,     0,   610,
     611,   612,   613,   614,   615,   616,   617,   618,   619,   620,
     621,   622,   623,   624,   625,   626,   627,   628,   629,   946,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   769,   770,     0,     0,   235,   236,   237,   238,
     239,   240,   241,   242,   243,     0,   244,   245,   246,     3,
       4,     0,     0,     0,     0,     0,   247,   248,   249,     0,
     250,   251,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,     0,   263,   264,   265,   266,   267,   268,
     269,     0,     0,   270,   271,   272,   273,   274,     0,   275,
     276,   277,   278,   279,     0,   280,     0,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,     0,   291,   292,
     293,   294,   295,   296,     0,   297,   298,   299,   300,     0,
       0,     0,   301,     0,     0,     0,   302,   303,   304,   305,
     306,   307,   308,   309,   310,     0,   311,     0,   312,   313,
     314,   315,   316,   317,   318,     0,   319,   320,   321,   322,
       0,     0,   323,   324,   325,   326,   327,     0,   328,   329,
     330,     0,   331,   332,   333,     0,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,     0,   344,     0,   345,
     346,   347,   348,   349,     0,   350,     0,   351,   352,   353,
       0,   354,   355,   356,   357,   358,     0,   359,   360,     0,
     361,   362,   363,     0,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,     0,   374,   375,   376,   377,   378,
     379,   380,   381,     0,   382,   383,   384,   385,   386,   387,
     388,   389,   390,     0,   391,     0,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,     0,     0,   410,   411,   412,   413,
     414,     0,   415,   416,   417,     0,     0,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,     0,   449,
     450,   451,   452,     0,   453,   454,   455,   456,   457,   458,
       0,   459,   460,     0,     0,   461,   462,   463,     0,     0,
     464,   465,   466,   467,   468,   469,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,     0,   481,   482,
     483,   484,   485,   486,   487,   488,     0,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,     0,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,     0,   517,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,   528,   529,
     530,   531,   532,   533,   534,   535,     0,   536,   537,   538,
     539,   540,     0,   541,   542,   543,   544,   545,   546,   547,
     548,   549,   550,     0,   551,   552,   553,   554,   555,   556,
     557,   558,   559,   560,   561,   562,   563,   564,   565,     0,
     566,   567,     0,     0,   568,   569,   570,   571,   572,   573,
     574,     0,   575,   576,   577,     0,     0,   578,   579,   580,
     581,   582,     0,   583,   584,   585,   586,   587,   588,   589,
     590,     0,     0,   591,   592,   593,   594,   595,     0,     0,
     596,   597,   598,   599,   600,   601,   602,     0,   603,   604,
     605,   606,   607,   608,     0,     0,   609,     0,     0,   610,
     611,   612,   613,   614,   615,   616,   617,   618,   619,   620,
     621,   622,   623,   624,   625,   626,   627,   628,   629,  1025,
    1713,     0,  6221,   696,     0,     0,     0,     0,   757,     0,
       0,     0,     0,     0,     0,     0,     0,   235,   236,   237,
     238,   239,   240,   241,   242,   243,  1714,   244,   245,   246,
    1715,  1716,  1717,  1718,  1719,  1720,  1721,   247,   248,   249,
    1722,   250,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,  1723,   263,   264,   265,   266,   267,
     268,   269,  1724,  1725,   270,   271,   272,   273,   274,  1726,
     275,   276,   277,   278,   279,  1727,   280,  1728,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,  1729,   291,
     292,   293,   294,   295,   296,  1730,   297,   298,   299,   300,
    1731,  1732,  1733,   301,  1734,  1735,  1736,   302,   303,   304,
     305,   306,   307,   308,   309,   310,  1737,   311,  1738,   312,
     313,   314,   315,   316,   317,   318,  1739,   319,   320,   321,
     322,  1740,  1741,   323,   324,   325,   326,   327,  1742,   328,
     329,   330,  1743,   331,   332,   333,  1744,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,  1745,   344,  1746,
     345,   346,   347,   348,   349,  1747,   350,  1748,   351,   352,
     353,  1749,   354,   355,   356,   357,   358,  1750,   359,   360,
    1751,   361,   362,   363,  1752,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,  1753,   374,   375,   376,   377,
     378,   379,   380,   381,  1754,   382,   383,   384,   385,   386,
     387,   388,   389,   390,  1755,   391,  1756,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,  1757,  1758,   410,   411,   412,
     413,   414,  1759,   415,   416,   417,  1760,  1761,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,  1762,
     449,   450,   451,   452,  1763,   453,   454,   455,   456,   457,
     458,  1764,   459,   460,  1765,  1766,   461,   462,   463,  1767,
    1768,   464,   465,   466,   467,   468,   469,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,  1769,   481,
     482,   483,   484,   485,   486,   487,   488,  1770,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,  1771,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,  1772,   517,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,   531,   532,   533,   534,   535,  1773,   536,   537,
     538,   539,   540,  1774,   541,   542,   543,   544,   545,   546,
     547,   548,   549,   550,  1775,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   560,   561,   562,   563,   564,   565,
    1776,   566,   567,  1777,  1778,   568,   569,   570,   571,   572,
     573,   574,  1779,   575,   576,   577,  1780,  1781,   578,   579,
     580,   581,   582,  1782,   583,   584,   585,   586,   587,   588,
     589,   590,  1783,  1784,   591,   592,   593,   594,   595,  1785,
    1786,   596,   597,   598,   599,   600,   601,   602,  1787,   603,
     604,   605,   606,   607,   608,  1788,  1789,   609,  1790,  1791,
     610,   611,   612,   613,   614,   615,   616,   617,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
    1713,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   235,   236,   237,
     238,   239,   240,   241,   242,   243,  1714,   244,   245,   246,
    1715,  1716,  1717,  1718,  1719,  1720,  1721,   247,   248,   249,
    1722,   250,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,  1723,   263,   264,   265,   266,   267,
     268,   269,  1724,  1725,   270,   271,   272,   273,   274,  1726,
     275,   276,   277,   278,   279,  1727,   280,  1728,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,  1729,   291,
     292,   293,   294,   295,   296,  1730,   297,   298,   299,   300,
    1731,  1732,  1733,   301,  1734,  1735,  1736,   302,   303,   304,
     305,   306,   307,   308,   309,   310,  1737,   311,  1738,   312,
     313,   314,   315,   316,   317,   318,  1739,   319,   320,   321,
     322,  1740,  1741,   323,   324,   325,   326,   327,  1742,   328,
     329,   330,  1743,   331,   332,   333,  1744,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,  1745,   344,  1746,
     345,   346,   347,   348,   349,  1747,   350,  1748,   351,   352,
     353,  1749,   354,   355,   356,   357,   358,  1750,   359,   360,
    1751,   361,   362,   363,  1752,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,  1753,   374,   375,   376,   377,
     378,   379,   380,   381,  1754,   382,   383,   384,   385,   386,
     387,   388,   389,   390,  1755,   391,  1756,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,  1757,  1758,   410,   411,   412,
     413,   414,  1759,   415,   416,   417,  1760,  1761,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,  1762,
     449,   450,   451,   452,  1763,   453,   454,   455,   456,   457,
     458,  1764,   459,   460,  1765,  1766,   461,   462,   463,  1767,
    1768,   464,   465,   466,   467,   468,   469,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,  1769,   481,
     482,   483,   484,   485,   486,   487,   488,  1770,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,  1771,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,  1772,   517,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,   531,   532,   533,   534,   535,  1773,   536,   537,
     538,   539,   540,  1774,   541,   542,   543,   544,   545,   546,
     547,   548,   549,   550,  1775,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   560,   561,   562,   563,   564,   565,
    1776,   566,   567,  1777,  1778,   568,   569,   570,   571,   572,
     573,   574,  1779,   575,   576,   577,  1780,  1781,   578,   579,
     580,   581,   582,  1782,   583,   584,   585,   586,   587,   588,
     589,   590,  1783,  1784,   591,   592,   593,   594,   595,  1785,
    1786,   596,   597,   598,   599,   600,   601,   602,  1787,   603,
     604,   605,   606,   607,   608,  1788,  1789,   609,  1790,  1791,
     610,   611,   612,   613,   614,   615,   616,   617,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
    1713,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   235,   236,   237,
     238,   239,  3610,   241,   242,   243,  1714,   244,   245,   246,
    1715,  1716,  1717,  1718,  1719,  1720,  1721,   247,   248,   249,
    1722,   250,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,  1723,   263,   264,   265,   266,   267,
     268,   269,  1724,  1725,   270,   271,   272,   273,   274,  1726,
     275,   276,   277,   278,   279,  1727,   280,  1728,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,  1729,   291,
     292,   293,   294,   295,   296,  1730,   297,   298,   299,   300,
    1731,  1732,  1733,   301,  1734,  1735,  1736,   302,   303,   304,
     305,   306,   307,   308,   309,   310,  1737,   311,  1738,   312,
     313,   314,   315,   316,   317,   318,  1739,   319,   320,   321,
     322,  1740,  1741,   323,   324,   325,  3611,   327,  1742,   328,
     329,   330,  1743,   331,   332,   333,  1744,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,  1745,   344,  1746,
     345,   346,   347,   348,   349,  1747,   350,  1748,   351,   352,
     353,  1749,   354,   355,   356,   357,   358,  1750,   359,   360,
    1751,   361,   362,   363,  1752,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,  1753,   374,   375,   376,   377,
     378,   379,   380,   381,  1754,   382,   383,   384,   385,   386,
     387,   388,   389,   390,  1755,   391,  1756,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,  1757,  1758,   410,   411,   412,
     413,   414,  1759,   415,   416,   417,  1760,  1761,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,  1762,
     449,   450,   451,   452,  1763,   453,   454,   455,   456,   457,
     458,  1764,   459,   460,  1765,  1766,   461,   462,   463,  1767,
    1768,   464,   465,   466,   467,   468,   469,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,  1769,   481,
     482,   483,   484,   485,   486,   487,   488,  1770,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,  1771,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,  1772,   517,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,   531,   532,   533,   534,   535,  1773,   536,   537,
     538,   539,   540,  1774,  3612,   542,   543,   544,   545,   546,
     547,   548,   549,   550,  1775,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   560,   561,   562,   563,   564,   565,
    1776,   566,   567,  1777,  1778,   568,   569,   570,   571,   572,
     573,   574,  1779,   575,   576,   577,  1780,  1781,   578,   579,
     580,   581,   582,  1782,   583,   584,   585,   586,   587,   588,
     589,   590,  1783,  1784,   591,   592,   593,   594,   595,  1785,
    1786,   596,   597,   598,   599,   600,   601,   602,  1787,   603,
     604,   605,   606,   607,   608,  1788,  1789,   609,  1790,  1791,
     610,   611,   612,   613,   614,   615,   616,   617,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
     234,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   235,   236,   237,
     238,   239,   240,   241,   242,   243,     0,   244,   245,   246,
       0,     0,     0,     0,     0,     0,     0,   247,   248,   249,
       0,   250,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,     0,   263,   264,   265,   266,   267,
     268,   269,     0,  1260,   270,   271,   272,   273,   274,     0,
     275,   276,   277,   278,  1263,     0,  1264,     0,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,     0,   291,
     292,   293,   294,   295,   296,     0,   297,   298,   299,   300,
    1265,  1266,  1267,  1268,  1269,  1270,  1271,   302,   303,   304,
     305,   306,   307,   308,   309,   310,     0,   311,     0,   312,
     313,   314,   315,   316,   317,   318,     0,   319,   320,   321,
     322,     0,     0,   323,   324,   325,   326,   327,     0,   328,
     329,   330,     0,   331,   332,   333,     0,   334,   335,   336,
     337,   338,   339,   340,   341,   342,  1276,     0,   344,     0,
     345,   346,   347,   348,   349,     0,   350,     0,   351,   352,
     353,     0,   354,   355,   356,   357,   358,     0,   359,  1279,
       0,   361,   362,   363,     0,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,     0,   374,   375,   376,   377,
     378,   379,   380,   381,     0,   382,   383,   384,   385,   386,
     387,   388,   389,   390,     0,   391,     0,   392,   393,   394,
     395,   396,  3411,  1285,  1286,  1287,  1288,  1289,  1290,   404,
     405,   406,   407,   408,   409,     0,     0,   410,  1291,   412,
     413,   414,     0,   415,   416,   417,  1292,  1293,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,  1296,   448,     0,
     449,   450,   451,   452,     0,  1299,   454,   455,   456,   457,
     458,     0,   459,   460,     0,     0,   461,   462,   463,     0,
       0,   464,   465,   466,   467,   468,   469,  1302,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,     0,   481,
     482,  1303,   484,   485,   486,   487,   488,     0,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,     0,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,     0,   517,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,   531,   532,   533,   534,   535,     0,   536,   537,
     538,   539,   540,  1306,   541,   542,   543,   544,   545,   546,
     547,   548,   549,   550,     0,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   560,   561,   562,   563,  1308,   565,
       0,   566,   567,  1309,     0,   568,   569,   570,   571,   572,
     573,   574,     0,   575,   576,   577,     0,     0,   578,   579,
    1312,   581,  1313,     0,   583,   584,   585,   586,   587,   588,
     589,   590,     0,     0,   591,   592,   593,   594,   595,  1316,
       0,   596,   597,   598,   599,   600,   601,   602,     0,   603,
     604,   605,   606,   607,   608,     0,     0,   609,     0,     0,
     610,   611,   612,   613,   614,   615,   616,  1318,  1319,  1320,
    1321,   621,  1322,  1323,  1324,  1325,   626,   627,   628,   629,
     234,     0,  1250,   696,     0,  1251,  1252,     0,   757,     0,
       0,     0,     0,     0,     0,     0,     0,   235,   236,   237,
     238,   239,   240,   241,   242,   243,     0,   244,   245,   246,
       0,     0,     0,     0,     0,     0,     0,   247,   248,   249,
       0,   250,   251,   252,   253,   254,   255,   256,   257,   258,
    1256,   260,  1257,  1258,     0,   263,   264,   265,   266,   267,
     268,   269,     0,     0,   270,   271,  1261,  1262,   274,     0,
     275,   276,   277,   278,   279,     0,   280,     0,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,     0,   291,
     292,   293,   294,   295,   296,     0,   297,   298,   299,   300,
       0,     0,     0,   301,     0,     0,     0,   302,   303,   304,
     305,   306,   307,  1272,  1273,   310,     0,   311,     0,   312,
     313,   314,   315,   316,   317,   318,     0,   319,   320,   321,
     322,     0,     0,   323,   324,   866,   326,   327,     0,   328,
     329,   330,     0,   331,   332,   333,     0,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,  1277,   344,     0,
     345,   346,   347,  1278,   349,     0,   350,     0,   351,   352,
     353,     0,   354,   355,   356,   357,   358,     0,   359,   360,
       0,   361,   362,   363,     0,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,     0,   374,   375,   376,   377,
     378,   379,   380,   381,     0,   382,   383,   384,   385,   386,
     387,   388,  1281,  1282,     0,  1283,     0,   392,   393,   394,
     395,   396,  6197,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,     0,     0,   410,   411,   412,
     413,   414,     0,   415,   416,   417,     0,     0,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,  1294,   437,  1295,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,     0,
     449,   450,   451,   452,  1298,   453,   454,  1300,   456,   457,
     458,     0,   459,   460,     0,     0,   461,   462,   463,     0,
       0,   464,   465,   466,   467,   468,   469,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,     0,   481,
     482,   483,   484,   485,   486,   487,   488,     0,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,  1304,   500,
     501,   502,   503,     0,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,     0,   517,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,   531,   532,   533,   534,   535,     0,   536,   537,
     538,   539,   540,     0,   541,   542,   543,   544,   545,   546,
     547,   548,  1307,   550,     0,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   560,   561,   562,   563,   564,   565,
       0,   566,   567,     0,     0,   568,   569,   570,   571,   572,
     573,   574,     0,   575,  1310,  1311,     0,     0,   578,   579,
     580,   581,   582,  1314,   583,   584,   585,   586,   587,   588,
     589,   590,     0,     0,   591,   592,   593,   594,   595,     0,
       0,   596,   597,   598,   599,   600,   601,  1317,     0,   603,
     604,   605,   606,   607,   608,     0,     0,   609,     0,     0,
     610,   611,   612,   613,   614,   615,   616,   617,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
     946,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   985,   244,   245,   246,
       0,     0,     0,     0,     0,     0,     0,   247,   248,   249,
       0,   250,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,     0,   263,   264,   265,   266,   267,
     268,   269,     0,     0,   270,   271,   272,   273,   274,     0,
     275,   276,   277,   278,   279,     0,   280,     0,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,     0,   291,
     292,   293,   294,   295,   296,     0,   297,   298,   299,   300,
       0,     0,   947,   301,     0,     0,   948,   302,   303,   304,
     305,   306,   307,   308,   309,   310,     0,   311,     0,   312,
     313,   314,   315,   316,   317,   318,     0,   319,   320,   321,
     322,     0,     0,   323,   324,   325,   326,   327,     0,   328,
     329,   330,     0,   331,   332,   333,     0,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,     0,   344,     0,
     345,   346,   347,   348,   349,     0,   350,     0,   351,   352,
     353,     0,   354,   355,   356,   357,   358,     0,   359,   360,
       0,   361,   362,   363,     0,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,     0,   374,   375,   376,   377,
     378,   379,   380,   381,     0,   382,   383,   384,   385,   386,
     387,   388,   389,   390,     0,   391,     0,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,     0,     0,   410,   411,   412,
     413,   414,     0,   415,   416,   417,     0,     0,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,     0,
     449,   450,   451,   452,     0,   453,   454,   455,   456,   457,
     458,     0,   459,   460,     0,     0,   461,   462,   463,     0,
       0,   464,   465,   466,   467,   468,   469,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,     0,   481,
     482,   483,   484,   485,   486,   487,   488,     0,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,     0,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,     0,   517,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,   531,   532,   533,   534,   535,     0,   536,   537,
     538,   539,   540,   949,   541,   542,   543,   544,   545,   546,
     547,   548,   549,   550,     0,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   560,   561,   562,   563,   564,   565,
       0,   566,   567,     0,     0,   568,   569,   570,   571,   572,
     573,   574,     0,   575,   576,   577,     0,     0,   578,   579,
     580,   581,   582,     0,   583,   584,   585,   586,   587,   588,
     589,   590,     0,     0,   591,   592,   593,   594,   595,     0,
       0,   596,   597,   598,   599,   600,   601,   602,     0,   603,
     604,   605,   606,   607,   608,     0,     0,   609,     0,     0,
     610,   611,   612,   613,   614,   615,   616,   617,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
     946,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   235,   236,   237,
     238,   239,   240,   241,   242,   243,  1006,   244,   245,   246,
       0,     0,     0,     0,     0,     0,     0,   247,   248,   249,
       0,   250,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,     0,   263,   264,   265,   266,   267,
     268,   269,     0,     0,   270,   271,   272,   273,   274,     0,
     275,   276,   277,   278,   279,     0,   280,     0,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,     0,   291,
     292,   293,   294,   295,   296,     0,   297,   298,   299,   300,
       0,     0,   947,   301,     0,     0,   948,   302,   303,   304,
     305,   306,   307,   308,   309,   310,     0,   311,     0,   312,
     313,   314,   315,   316,   317,   318,     0,   319,   320,   321,
     322,     0,     0,   323,   324,   325,   326,   327,     0,   328,
     329,   330,     0,   331,   332,   333,     0,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,     0,   344,     0,
     345,   346,   347,   348,   349,     0,   350,     0,   351,   352,
     353,     0,   354,   355,   356,   357,   358,     0,   359,   360,
       0,   361,   362,   363,     0,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,     0,   374,   375,   376,   377,
     378,   379,   380,   381,     0,   382,   383,   384,   385,   386,
     387,   388,   389,   390,     0,   391,     0,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,     0,     0,   410,   411,   412,
     413,   414,     0,   415,   416,   417,     0,     0,   418,   419,
     420,   421,  1007,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,     0,
     449,   450,   451,   452,     0,   453,   454,   455,   456,   457,
     458,     0,   459,   460,     0,     0,   461,   462,   463,     0,
       0,   464,   465,   466,   467,   468,   469,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,     0,   481,
     482,   483,   484,   485,   486,   487,   488,     0,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,     0,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,     0,   517,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,   531,   532,   533,   534,   535,     0,   536,   537,
     538,   539,   540,   949,   541,   542,   543,   544,   545,   546,
     547,   548,   549,   550,     0,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   560,   561,   562,   563,   564,   565,
       0,   566,   567,     0,     0,   568,   569,   570,   571,   572,
     573,   574,     0,   575,   576,   577,     0,     0,   578,   579,
     580,   581,   582,     0,   583,   584,   585,   586,   587,   588,
     589,   590,     0,     0,   591,   592,   593,   594,   595,     0,
       0,   596,   597,   598,   599,   600,   601,   602,     0,   603,
     604,   605,   606,   607,   608,     0,     0,   609,     0,     0,
     610,   611,   612,   613,   614,   615,   616,   617,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
     946,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   235,   236,   237,
     238,   239,   240,   241,   242,   243,     0,   244,   245,   246,
       0,     0,     0,     0,     0,     0,     0,   247,   248,   249,
       0,   250,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,     0,   263,   264,   265,   266,   267,
     268,   269,     0,     0,   270,   271,   272,   273,   274,     0,
     275,   276,   277,   278,   279,     0,   280,     0,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,     0,   291,
     292,   293,   294,   295,   296,     0,   297,   298,   299,   300,
       0,     0,   947,   301,     0,     0,   948,   302,   303,   304,
     305,   306,   307,   308,   309,   310,     0,   311,     0,   312,
     313,   314,   315,   316,   317,   318,     0,   319,   320,   321,
     322,     0,     0,   323,   324,   325,   326,   327,     0,   328,
     329,   330,     0,   331,   332,   333,     0,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,     0,   344,     0,
     345,   346,   347,   348,   349,     0,   350,     0,   351,   352,
     353,     0,   354,   355,   356,   357,   358,     0,   359,   360,
       0,   361,   362,   363,     0,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,     0,   374,   375,   376,   377,
     378,   379,   380,   381,     0,   382,   383,   384,   385,   386,
     387,   388,   389,   390,     0,   391,     0,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,     0,     0,   410,   411,   412,
     413,   414,     0,   415,   416,   417,     0,     0,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,     0,
     449,   450,   451,   452,     0,   453,   454,   455,   456,   457,
     458,     0,   459,   460,     0,     0,   461,   462,   463,     0,
       0,   464,   465,   466,   467,   468,   469,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,     0,   481,
     482,   483,   484,   485,   486,   487,   488,     0,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,     0,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,     0,   517,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,   531,   532,   533,   534,   535,     0,   536,   537,
     538,   539,   540,   949,   541,   542,   543,   544,   545,   546,
     547,   548,   549,   550,     0,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   560,   561,   562,   563,   564,   565,
       0,   566,   567,     0,     0,   568,   569,   570,   571,   572,
     573,   574,     0,   575,   576,   577,     0,     0,   578,   579,
     580,   581,   582,     0,   583,   584,   585,   586,   587,   588,
     589,   590,     0,     0,   591,   592,   593,   594,   595,  2948,
       0,   596,   597,   598,   599,   600,   601,   602,     0,   603,
     604,   605,   606,   607,   608,     0,     0,   609,     0,     0,
     610,   611,   612,   613,   614,   615,   616,   617,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
     946,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   235,   236,   237,
     238,   239,   240,   241,   242,   243,     0,   244,   245,   246,
       0,     0,     0,     0,     0,     0,     0,   247,   248,   249,
       0,   250,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,     0,   263,   264,   265,   266,   267,
     268,   269,     0,     0,   270,   271,   272,   273,   274,     0,
     275,   276,   277,   278,   279,     0,   280,     0,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,     0,   291,
     292,   293,   294,   295,   296,     0,   297,   298,   299,   300,
       0,     0,   947,   301,     0,     0,   948,   302,   303,   304,
     305,   306,   307,   308,   309,   310,     0,   311,     0,   312,
     313,   314,   315,   316,   317,   318,     0,   319,   320,   321,
     322,     0,     0,   323,   324,   325,   326,   327,     0,   328,
     329,   330,     0,   331,   332,   333,     0,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,     0,   344,     0,
     345,   346,   347,   348,   349,     0,   350,     0,   351,   352,
     353,     0,   354,   355,   356,   357,   358,     0,   359,   360,
    3962,   361,   362,   363,     0,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,     0,   374,   375,   376,   377,
     378,   379,   380,   381,     0,   382,   383,   384,   385,   386,
     387,   388,   389,   390,     0,   391,     0,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,     0,     0,   410,   411,   412,
     413,   414,     0,   415,   416,   417,     0,     0,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,     0,
     449,   450,   451,   452,     0,   453,   454,   455,   456,   457,
     458,     0,   459,   460,     0,     0,   461,   462,   463,     0,
       0,   464,   465,   466,   467,   468,   469,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,     0,   481,
     482,   483,   484,   485,   486,   487,   488,     0,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,     0,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,     0,   517,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,   531,   532,   533,   534,   535,     0,   536,   537,
     538,   539,   540,   949,   541,   542,   543,   544,   545,   546,
     547,   548,   549,   550,     0,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   560,   561,   562,   563,   564,   565,
       0,   566,   567,     0,     0,   568,   569,   570,   571,   572,
     573,   574,     0,   575,   576,   577,     0,     0,   578,   579,
     580,   581,   582,     0,   583,   584,   585,   586,   587,   588,
     589,   590,     0,     0,   591,   592,   593,   594,   595,     0,
       0,   596,   597,   598,   599,   600,   601,   602,     0,   603,
     604,   605,   606,   607,   608,     0,     0,   609,     0,     0,
     610,   611,   612,   613,   614,   615,   616,   617,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
     946,     0,     0,   696,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   235,   236,   237,
     238,   239,   240,   241,   242,   243,     0,   244,   245,   246,
       0,     0,     0,     0,     0,     0,     0,   247,   248,   249,
       0,   250,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,     0,   263,   264,   265,   266,   267,
     268,   269,     0,     0,   270,   271,   272,   273,   274,     0,
     275,   276,   277,   278,   279,     0,   280,     0,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,     0,   291,
     292,   293,   294,   295,   296,     0,   297,   298,   299,   300,
       0,     0,     0,   301,     0,     0,     0,   302,   303,   304,
     305,   306,   307,   308,   309,   310,     0,   311,     0,   312,
     313,   314,   315,   316,   317,   318,     0,   319,   320,   321,
     322,     0,     0,   323,   324,   325,   326,   327,     0,   328,
     329,   330,     0,   331,   332,   333,     0,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,  1802,   344,     0,
     345,   346,   347,   348,   349,     0,   350,     0,   351,   352,
     353,     0,   354,   355,   356,   357,   358,     0,   359,   360,
       0,   361,   362,   363,     0,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,     0,   374,   375,   376,   377,
     378,   379,   380,   381,     0,   382,   383,   384,   385,   386,
     387,   388,   389,   390,     0,   391,     0,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,     0,     0,   410,   411,   412,
     413,   414,     0,   415,   416,   417,     0,     0,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,     0,
     449,   450,   451,   452,     0,   453,   454,   455,   456,   457,
     458,     0,   459,   460,  1803,     0,   461,   462,   463,     0,
       0,   464,   465,   466,   467,   468,   469,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,     0,   481,
     482,   483,   484,   485,   486,   487,   488,     0,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,     0,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,     0,   517,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,   531,   532,   533,   534,   535,     0,   536,   537,
     538,   539,   540,     0,   541,   542,   543,   544,   545,   546,
     547,   548,   549,   550,     0,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   560,   561,   562,   563,   564,   565,
       0,   566,   567,     0,     0,   568,   569,   570,   571,   572,
     573,   574,     0,   575,   576,   577,     0,     0,   578,   579,
     580,   581,   582,  1804,   583,   584,   585,   586,   587,   588,
     589,   590,     0,     0,   591,   592,   593,   594,   595,     0,
       0,   596,   597,   598,   599,   600,   601,   602,     0,   603,
     604,   605,   606,   607,   608,     0,     0,   609,     0,     0,
     610,   611,   612,   613,   614,   615,   616,   617,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
     946,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   235,   236,   237,
     238,   239,   240,   241,   242,   243,     0,   244,   245,   246,
       0,     0,     0,     0,     0,     0,     0,   247,   248,   249,
       0,   250,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,     0,   263,   264,   265,   266,   267,
     268,   269,     0,     0,   270,   271,   272,   273,   274,     0,
     275,   276,   277,   278,   279,     0,   280,     0,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,     0,   291,
     292,   293,   294,   295,   296,     0,   297,   298,   299,   300,
       0,     0,   947,   301,     0,     0,   948,   302,   303,   304,
     305,   306,   307,   308,   309,   310,     0,   311,     0,   312,
     313,   314,   315,   316,   317,   318,     0,   319,   320,   321,
     322,     0,     0,   323,   324,   325,   326,   327,     0,   328,
     329,   330,     0,   331,   332,   333,     0,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,     0,   344,     0,
     345,   346,   347,   348,   349,     0,   350,     0,   351,   352,
     353,     0,   354,   355,   356,   357,   358,     0,   359,   360,
       0,   361,   362,   363,     0,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,     0,   374,   375,   376,   377,
     378,   379,   380,   381,     0,   382,   383,   384,   385,   386,
     387,   388,   389,   390,     0,   391,     0,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,     0,     0,   410,   411,   412,
     413,   414,     0,   415,   416,   417,     0,     0,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,     0,
     449,   450,   451,   452,     0,   453,   454,   455,   456,   457,
     458,     0,   459,   460,     0,     0,   461,   462,   463,     0,
       0,   464,   465,   466,   467,   468,   469,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,     0,   481,
     482,   483,   484,   485,   486,   487,   488,     0,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,     0,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,     0,   517,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,   531,   532,   533,   534,   535,     0,   536,   537,
     538,   539,   540,   949,   541,   542,   543,   544,   545,   546,
     547,   548,   549,   550,     0,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   560,   561,   562,   563,   564,   565,
       0,   566,   567,     0,     0,   568,   569,   570,   571,   572,
     573,   574,     0,   575,   576,   577,     0,     0,   578,   579,
     580,   581,   582,     0,   583,   584,   585,   586,   587,   588,
     589,   590,     0,     0,   591,   592,   593,   594,   595,     0,
       0,   596,   597,   598,   599,   600,   601,   602,     0,   603,
     604,   605,   606,   607,   608,     0,     0,   609,     0,     0,
     610,   611,   612,   613,   614,   615,   616,   617,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
     946,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   235,   236,   237,
     238,   239,   240,   241,   242,   243,     0,   244,   245,   246,
       0,     0,     0,     0,     0,     0,     0,   247,   248,   249,
       0,   250,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,     0,   263,   264,   265,   266,   267,
     268,   269,     0,     0,   270,   271,   272,   273,   274,     0,
     275,   276,   277,   278,   279,     0,   280,     0,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,     0,   291,
     292,   293,   294,   295,   296,     0,   297,   298,   299,   300,
       0,     0,   947,   301,     0,     0,   948,   302,   303,   304,
     305,   306,   307,   308,   309,   310,     0,   311,     0,   312,
     313,   314,   315,   316,   317,   318,     0,   319,   320,   321,
     322,     0,     0,   323,   324,   325,   326,   327,     0,   328,
     329,   330,     0,   331,   332,   333,     0,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,     0,   344,     0,
     345,   346,   347,   348,   349,     0,   350,     0,   351,   352,
     353,     0,   354,   355,   356,   357,   358,     0,   359,   360,
       0,   361,   362,   363,     0,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,     0,   374,   375,   376,   377,
     378,   379,   380,   381,     0,   382,   383,   384,   385,   386,
     387,   388,   389,   390,     0,   391,     0,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,     0,     0,   410,   411,   412,
     413,   414,     0,   415,   416,   417,     0,     0,   418,   419,
     420,   421,  1101,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,     0,
     449,   450,   451,   452,     0,   453,   454,   455,   456,   457,
     458,     0,   459,   460,     0,     0,   461,   462,   463,     0,
       0,   464,   465,   466,   467,   468,   469,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,     0,   481,
     482,   483,   484,   485,   486,   487,   488,     0,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,     0,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,     0,   517,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,   531,   532,   533,   534,   535,     0,   536,   537,
     538,   539,   540,   949,   541,   542,   543,   544,   545,   546,
     547,   548,   549,   550,     0,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   560,   561,   562,   563,   564,   565,
       0,   566,   567,     0,     0,   568,   569,   570,   571,   572,
     573,   574,     0,   575,   576,   577,     0,     0,   578,   579,
     580,   581,   582,     0,   583,   584,   585,   586,   587,   588,
     589,   590,     0,     0,   591,   592,   593,   594,   595,     0,
       0,   596,   597,   598,   599,   600,   601,   602,     0,   603,
     604,   605,   606,   607,   608,     0,     0,   609,     0,     0,
     610,   611,   612,   613,   614,   615,   616,   617,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
     946,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   235,   236,   237,
     238,   239,   240,   241,   242,   243,     0,   244,   245,   246,
       0,     0,     0,     0,     0,     0,     0,   247,   248,   249,
       0,   250,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,     0,   263,   264,   265,   266,   267,
     268,   269,     0,     0,   270,   271,   272,   273,   274,     0,
     275,   276,   277,   278,   279,     0,   280,     0,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,     0,   291,
     292,   293,   294,   295,   296,     0,   297,   298,   299,   300,
       0,     0,   947,   301,     0,     0,   948,   302,   303,   304,
     305,   306,   307,   308,   309,   310,     0,   311,     0,   312,
     313,   314,   315,   316,   317,   318,     0,   319,   320,   321,
     322,     0,     0,   323,   324,   325,   326,   327,     0,   328,
     329,   330,     0,   331,   332,   333,     0,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,     0,   344,     0,
     345,   346,   347,   348,   349,     0,   350,     0,   351,   352,
     353,     0,   354,   355,   356,   357,   358,     0,   359,   360,
       0,   361,   362,   363,     0,   364,   365,   366,   367,  1143,
     369,   370,   371,   372,   373,     0,   374,   375,   376,   377,
     378,   379,   380,   381,     0,   382,   383,   384,   385,   386,
     387,   388,   389,   390,     0,   391,     0,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,     0,     0,   410,   411,   412,
     413,   414,     0,   415,   416,   417,     0,     0,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,     0,
     449,   450,   451,   452,     0,   453,   454,   455,   456,   457,
     458,     0,   459,   460,     0,     0,   461,   462,   463,     0,
       0,   464,   465,   466,   467,   468,   469,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,     0,   481,
     482,   483,   484,   485,   486,   487,   488,     0,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,     0,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,     0,   517,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,   531,   532,   533,   534,   535,     0,   536,   537,
     538,   539,   540,   949,   541,   542,   543,   544,   545,   546,
     547,   548,   549,   550,     0,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   560,   561,   562,   563,   564,   565,
       0,   566,   567,     0,     0,   568,   569,   570,   571,   572,
     573,   574,     0,   575,   576,   577,     0,     0,   578,   579,
     580,   581,   582,     0,   583,   584,   585,   586,   587,   588,
     589,   590,     0,     0,   591,   592,   593,   594,   595,     0,
       0,   596,   597,   598,   599,   600,   601,   602,     0,   603,
     604,   605,   606,   607,   608,     0,     0,   609,     0,     0,
     610,   611,   612,   613,   614,   615,   616,   617,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
     946,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   235,   236,   237,
     238,   239,   240,   241,   242,   243,     0,   244,   245,   246,
       0,     0,     0,     0,     0,     0,     0,   247,   248,   249,
       0,   250,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,     0,   263,   264,   265,   266,   267,
     268,   269,     0,     0,   270,   271,   272,   273,   274,     0,
     275,   276,   277,   278,   279,     0,   280,     0,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,     0,   291,
     292,   293,   294,   295,   296,     0,   297,   298,   299,   300,
       0,     0,   947,   301,     0,     0,   948,   302,   303,   304,
     305,   306,   307,   308,   309,   310,     0,   311,     0,   312,
     313,   314,   315,   316,   317,   318,     0,   319,   320,   321,
     322,     0,     0,   323,   324,   325,   326,   327,     0,   328,
     329,   330,     0,   331,   332,   333,     0,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,     0,   344,     0,
     345,   346,   347,   348,   349,     0,   350,     0,   351,   352,
     353,     0,   354,   355,   356,   357,   358,     0,   359,   360,
       0,   361,   362,   363,     0,   364,   365,   366,   367,  1156,
     369,   370,   371,   372,   373,     0,   374,   375,   376,   377,
     378,   379,   380,   381,     0,   382,   383,   384,   385,   386,
     387,   388,   389,   390,     0,   391,     0,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,     0,     0,   410,   411,   412,
     413,   414,     0,   415,   416,   417,     0,     0,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,     0,
     449,   450,   451,   452,     0,   453,   454,   455,   456,   457,
     458,     0,   459,   460,     0,     0,   461,   462,   463,     0,
       0,   464,   465,   466,   467,   468,   469,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,     0,   481,
     482,   483,   484,   485,   486,   487,   488,     0,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,     0,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,     0,   517,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,   531,   532,   533,   534,   535,     0,   536,   537,
     538,   539,   540,   949,   541,   542,   543,   544,   545,   546,
     547,   548,   549,   550,     0,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   560,   561,   562,   563,   564,   565,
       0,   566,   567,     0,     0,   568,   569,   570,   571,   572,
     573,   574,     0,   575,   576,   577,     0,     0,   578,   579,
     580,   581,   582,     0,   583,   584,   585,   586,   587,   588,
     589,   590,     0,     0,   591,   592,   593,   594,   595,     0,
       0,   596,   597,   598,   599,   600,   601,   602,     0,   603,
     604,   605,   606,   607,   608,     0,     0,   609,     0,     0,
     610,   611,   612,   613,   614,   615,   616,   617,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
     946,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   235,   236,   237,
     238,   239,   240,   241,   242,   243,     0,   244,   245,   246,
       0,     0,     0,     0,     0,     0,     0,   247,   248,   249,
       0,   250,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,     0,   263,   264,   265,   266,   267,
     268,   269,     0,     0,   270,   271,   272,   273,   274,     0,
     275,   276,   277,   278,   279,     0,   280,     0,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,     0,   291,
     292,   293,   294,   295,   296,     0,   297,   298,   299,   300,
       0,     0,   947,   301,     0,     0,   948,   302,   303,   304,
     305,   306,   307,   308,   309,   310,     0,   311,     0,   312,
     313,   314,   315,   316,   317,   318,     0,   319,   320,   321,
     322,     0,     0,   323,   324,   325,   326,   327,     0,   328,
     329,   330,     0,   331,   332,   333,     0,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,     0,   344,     0,
     345,   346,   347,   348,   349,     0,   350,     0,   351,   352,
     353,     0,   354,   355,   356,   357,   358,     0,   359,   360,
       0,   361,   362,   363,     0,   364,   365,   366,   367,  1168,
     369,   370,   371,   372,   373,     0,   374,   375,   376,   377,
     378,   379,   380,   381,     0,   382,   383,   384,   385,   386,
     387,   388,   389,   390,     0,   391,     0,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,     0,     0,   410,   411,   412,
     413,   414,     0,   415,   416,   417,     0,     0,   418,   419,
     420,   421,  1169,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,     0,
     449,   450,   451,   452,     0,   453,   454,   455,   456,   457,
     458,     0,   459,   460,     0,     0,   461,   462,   463,     0,
       0,   464,   465,   466,   467,   468,   469,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,     0,   481,
     482,   483,   484,   485,   486,   487,   488,     0,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,     0,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,     0,   517,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,   531,   532,   533,   534,   535,     0,   536,   537,
     538,   539,   540,   949,   541,   542,   543,   544,   545,   546,
     547,   548,   549,   550,     0,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   560,   561,   562,   563,   564,   565,
       0,   566,   567,     0,     0,   568,   569,   570,   571,   572,
     573,   574,     0,   575,   576,   577,     0,     0,   578,   579,
     580,   581,   582,     0,   583,   584,   585,   586,   587,   588,
     589,   590,     0,     0,   591,   592,   593,   594,   595,     0,
       0,   596,   597,   598,   599,   600,   601,   602,     0,   603,
     604,   605,   606,   607,   608,     0,     0,   609,     0,     0,
     610,   611,   612,   613,   614,   615,   616,   617,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
     946,     0,     0,   696,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   235,   236,   237,
     238,   239,   240,   241,   242,   243,     0,   244,   245,   246,
       0,     0,     0,     0,     0,     0,     0,   247,   248,   249,
       0,   250,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,     0,   263,   264,   265,   266,   267,
     268,   269,     0,     0,   270,   271,   272,   273,   274,     0,
     275,   276,   277,   278,   279,     0,   280,     0,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,     0,   291,
     292,   293,   294,   295,   296,     0,   297,   298,   299,   300,
       0,     0,     0,   301,     0,     0,     0,   302,   303,   304,
     305,   306,   307,   308,   309,   310,  2555,   311,     0,   312,
     313,   314,   315,   316,   317,   318,     0,   319,   320,   321,
     322,     0,     0,   323,   324,   325,   326,   327,     0,   328,
     329,   330,     0,   331,   332,   333,     0,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,     0,   344,     0,
     345,   346,   347,   348,   349,     0,   350,     0,   351,   352,
     353,     0,   354,   355,   356,   357,   358,     0,   359,   360,
       0,   361,   362,   363,     0,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,     0,   374,   375,   376,   377,
     378,   379,   380,   381,     0,   382,   383,   384,   385,   386,
     387,   388,   389,   390,     0,   391,     0,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,     0,     0,   410,   411,   412,
     413,   414,     0,   415,   416,   417,     0,     0,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,     0,
     449,   450,   451,   452,     0,   453,   454,   455,   456,   457,
     458,     0,   459,   460,     0,     0,   461,   462,   463,     0,
       0,   464,   465,   466,   467,   468,   469,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,     0,   481,
     482,   483,   484,   485,   486,   487,   488,     0,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,     0,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,     0,   517,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,   531,   532,   533,   534,   535,     0,   536,   537,
     538,   539,   540,     0,   541,   542,   543,   544,   545,   546,
     547,   548,   549,   550,     0,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   560,   561,   562,   563,   564,   565,
       0,   566,   567,     0,     0,   568,   569,   570,   571,   572,
     573,   574,     0,   575,   576,   577,     0,     0,   578,   579,
     580,   581,   582,     0,   583,   584,   585,   586,   587,   588,
     589,   590,     0,     0,   591,   592,   593,   594,   595,     0,
       0,   596,   597,   598,   599,   600,   601,   602,     0,   603,
     604,   605,   606,   607,   608,     0,     0,   609,     0,     0,
     610,   611,   612,   613,   614,   615,   616,   617,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
     946,     0,     0,   696,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   235,   236,   237,
     238,   239,   240,   241,   242,   243,     0,   244,   245,   246,
       0,     0,     0,     0,     0,     0,     0,   247,   248,   249,
       0,   250,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,     0,   263,   264,   265,   266,   267,
     268,   269,     0,     0,   270,   271,   272,   273,   274,     0,
     275,   276,   277,   278,   279,     0,   280,     0,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,     0,   291,
     292,   293,   294,   295,   296,     0,   297,   298,   299,   300,
       0,     0,     0,   301,     0,     0,     0,   302,   303,   304,
     305,   306,   307,   308,   309,   310,     0,   311,     0,   312,
     313,   314,   315,   316,   317,   318,     0,   319,   320,   321,
     322,     0,     0,   323,   324,   325,   326,   327,     0,   328,
     329,   330,     0,   331,   332,   333,     0,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,     0,   344,     0,
     345,   346,   347,   348,   349,     0,   350,     0,   351,   352,
     353,     0,   354,   355,   356,   357,   358,     0,   359,   360,
       0,   361,   362,   363,     0,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,     0,   374,   375,   376,   377,
     378,   379,   380,   381,     0,   382,   383,   384,   385,   386,
     387,   388,   389,   390,     0,   391,     0,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,     0,     0,   410,   411,   412,
     413,   414,     0,   415,   416,   417,     0,     0,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,     0,
     449,   450,   451,   452,     0,   453,   454,   455,   456,   457,
     458,     0,   459,   460,     0,     0,   461,   462,   463,     0,
       0,   464,   465,   466,   467,   468,   469,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,     0,   481,
     482,   483,   484,   485,   486,   487,   488,     0,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,     0,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,     0,   517,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,   531,   532,   533,   534,   535,     0,   536,   537,
     538,   539,   540,     0,   541,   542,   543,   544,   545,   546,
     547,   548,   549,   550,     0,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   560,   561,   562,   563,   564,   565,
       0,   566,   567,     0,     0,   568,   569,   570,   571,   572,
     573,   574,     0,   575,   576,   577,     0,     0,   578,   579,
     580,   581,   582,     0,   583,   584,   585,   586,   587,   588,
     589,   590,     0,     0,   591,   592,   593,   594,   595,     0,
       0,   596,   597,   598,   599,   600,   601,   602,     0,   603,
     604,   605,   606,   607,   608,     0,     0,   609,     0,     0,
     610,   611,   612,   613,   614,   615,   616,   617,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
     234,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   235,   236,   237,
     238,   239,   240,   241,   242,   243,     0,   244,   245,   246,
       0,     0,     0,     0,     0,     0,     0,   247,   248,   249,
       0,   250,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,     0,   263,   264,   265,   266,   267,
     268,   269,     0,     0,   270,   271,   272,   273,   274,     0,
     275,   276,   277,   278,   279,     0,   280,     0,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,     0,   291,
     292,   293,   294,   295,   296,     0,   297,   298,   299,   300,
       0,     0,     0,   301,     0,     0,     0,   302,   303,   304,
     305,   306,   307,   308,   309,   310,     0,   311,     0,   312,
     313,   314,   315,   316,   317,   318,     0,   319,   320,   321,
     322,     0,     0,   323,   324,   325,   326,   327,     0,   328,
     329,   330,     0,   331,   332,   333,     0,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,     0,   344,     0,
     345,   346,   347,   348,   349,     0,   350,     0,   351,   352,
     353,     0,   354,   355,   356,   357,   358,     0,   359,   360,
       0,   361,   362,   363,     0,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,     0,   374,   375,   376,   377,
     378,   379,   380,   381,     0,   382,   383,   384,   385,   386,
     387,   388,   389,   390,     0,   391,     0,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,     0,     0,   410,   411,   412,
     413,   414,     0,   415,   416,   417,     0,     0,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,     0,
     449,   450,   451,   452,     0,   453,   454,   455,   456,   457,
     458,     0,   459,   460,     0,     0,   461,   462,   463,     0,
       0,   464,   465,   466,   467,   468,   469,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,     0,   481,
     482,   483,   484,   485,   486,   487,   488,     0,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,     0,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,     0,   517,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,   531,   532,   533,   534,   535,     0,   536,   537,
     538,   539,   540,     0,   541,   542,   543,   544,   545,   546,
     547,   548,   549,   550,     0,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   560,   561,   562,   563,   564,   565,
       0,   566,   567,     0,     0,   568,   569,   570,   571,   572,
     573,   574,     0,   575,   576,   577,     0,     0,   578,   579,
     580,   581,   582,     0,   583,   584,   585,   586,   587,   588,
     589,   590,     0,     0,   591,   592,   593,   594,   595,     0,
       0,   596,   597,   598,   599,   600,   601,   602,     0,   603,
     604,   605,   606,   607,   608,     0,     0,   609,     0,     0,
     610,   611,   612,   613,   614,   615,   616,   617,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
     234,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   235,   236,   237,
     238,   239,   240,   241,   242,   243,     0,   244,   245,   246,
       0,     0,     0,     0,     0,     0,     0,   247,   248,   249,
       0,   250,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,     0,   263,   264,   265,   266,   267,
     268,   269,     0,     0,   270,   271,   272,   273,   274,     0,
     275,   276,   277,   278,   279,     0,   280,     0,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,     0,   291,
     292,   293,   294,   295,   296,     0,   297,   298,   299,   300,
       0,     0,     0,   301,     0,     0,     0,   302,   303,   304,
     305,   306,   307,   308,   309,   310,     0,   311,     0,   312,
     313,   314,   315,   316,   317,   318,     0,   319,   320,   321,
     322,     0,     0,   323,   324,   325,   326,   327,     0,   328,
     329,   330,     0,   331,   332,   333,     0,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,     0,   344,     0,
     345,   346,   347,   348,   349,     0,   350,     0,   351,   352,
     353,     0,   354,   355,   356,   357,   358,     0,   359,   360,
       0,   361,   362,   363,     0,   364,   365,   366,   367,  1127,
     369,   370,   371,   372,   373,     0,   374,   375,   376,   377,
     378,   379,   380,   381,     0,   382,   383,   384,   385,   386,
     387,   388,   389,   390,     0,   391,     0,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,     0,     0,   410,   411,   412,
     413,   414,     0,   415,   416,   417,     0,     0,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,     0,
     449,   450,   451,   452,     0,   453,   454,   455,   456,   457,
     458,     0,   459,   460,     0,     0,   461,   462,   463,     0,
       0,   464,   465,   466,   467,   468,   469,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,     0,   481,
     482,   483,   484,   485,   486,   487,   488,     0,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,     0,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,     0,   517,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,   531,   532,   533,   534,   535,     0,   536,   537,
     538,   539,   540,     0,   541,   542,   543,   544,   545,   546,
     547,   548,   549,   550,     0,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   560,   561,   562,   563,   564,   565,
       0,   566,   567,     0,     0,   568,   569,   570,   571,   572,
     573,   574,     0,   575,   576,   577,     0,     0,   578,   579,
     580,   581,   582,     0,   583,   584,   585,   586,   587,   588,
     589,   590,     0,     0,   591,   592,   593,   594,   595,     0,
       0,   596,   597,   598,   599,   600,   601,   602,     0,   603,
     604,   605,   606,   607,   608,     0,     0,   609,     0,     0,
     610,   611,   612,   613,   614,   615,   616,   617,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
     234,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   235,   236,   237,
     238,   239,   240,   241,   242,   243,     0,   244,   245,   246,
       0,     0,     0,     0,     0,     0,     0,   247,   248,   249,
       0,   250,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,     0,   263,   264,   265,   266,   267,
     268,   269,     0,     0,   270,   271,   272,   273,   274,     0,
     275,   276,   277,   278,   279,     0,   280,     0,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,     0,   291,
     292,   293,   294,   295,   296,     0,   297,   298,   299,   300,
       0,     0,     0,   301,     0,     0,     0,   302,   303,   304,
     305,   306,   307,   308,   309,   310,     0,   311,     0,   312,
     313,   314,   315,   316,   317,   318,     0,   319,   320,   321,
     322,     0,     0,   323,   324,   325,   326,   327,     0,   328,
     329,   330,     0,   331,   332,   333,     0,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,     0,   344,     0,
     345,   346,   347,   348,   349,     0,   350,     0,   351,   352,
     353,     0,   354,   355,   356,   357,   358,     0,   359,   360,
       0,   361,   362,   363,     0,   364,   365,   366,   367,  1140,
     369,   370,   371,   372,   373,     0,   374,   375,   376,   377,
     378,   379,   380,   381,     0,   382,   383,   384,   385,   386,
     387,   388,   389,   390,     0,   391,     0,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,     0,     0,   410,   411,   412,
     413,   414,     0,   415,   416,   417,     0,     0,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,     0,
     449,   450,   451,   452,     0,   453,   454,   455,   456,   457,
     458,     0,   459,   460,     0,     0,   461,   462,   463,     0,
       0,   464,   465,   466,   467,   468,   469,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,     0,   481,
     482,   483,   484,   485,   486,   487,   488,     0,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,     0,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,     0,   517,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,   531,   532,   533,   534,   535,     0,   536,   537,
     538,   539,   540,     0,   541,   542,   543,   544,   545,   546,
     547,   548,   549,   550,     0,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   560,   561,   562,   563,   564,   565,
       0,   566,   567,     0,     0,   568,   569,   570,   571,   572,
     573,   574,     0,   575,   576,   577,     0,     0,   578,   579,
     580,   581,   582,     0,   583,   584,   585,   586,   587,   588,
     589,   590,     0,     0,   591,   592,   593,   594,   595,     0,
       0,   596,   597,   598,   599,   600,   601,   602,     0,   603,
     604,   605,   606,   607,   608,     0,     0,   609,     0,     0,
     610,   611,   612,   613,   614,   615,   616,   617,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
     234,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   235,   236,   237,
     238,   239,   240,   241,   242,   243,     0,   244,   245,   246,
       0,     0,     0,     0,     0,     0,     0,   247,   248,   249,
       0,   250,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,     0,   263,   264,   265,   266,   267,
     268,   269,     0,     0,   270,   271,   272,   273,   274,     0,
     275,   276,   277,   278,   279,     0,   280,     0,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,     0,   291,
     292,   293,   294,   295,   296,     0,   297,   298,   299,   300,
       0,     0,     0,   301,     0,     0,     0,   302,   303,   304,
     305,   306,   307,   308,   309,   310,     0,   311,     0,   312,
     313,   314,   315,   316,   317,   318,     0,   319,   320,   321,
     322,     0,     0,   323,   324,   325,   326,   327,     0,   328,
     329,   330,     0,   331,   332,   333,     0,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,     0,   344,     0,
     345,   346,   347,   348,   349,     0,   350,     0,   351,   352,
     353,     0,   354,   355,   356,   357,   358,     0,   359,   360,
       0,   361,   362,   363,     0,   364,   365,   366,   367,  1154,
     369,   370,   371,   372,   373,     0,   374,   375,   376,   377,
     378,   379,   380,   381,     0,   382,   383,   384,   385,   386,
     387,   388,   389,   390,     0,   391,     0,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,     0,     0,   410,   411,   412,
     413,   414,     0,   415,   416,   417,     0,     0,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,     0,
     449,   450,   451,   452,     0,   453,   454,   455,   456,   457,
     458,     0,   459,   460,     0,     0,   461,   462,   463,     0,
       0,   464,   465,   466,   467,   468,   469,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,     0,   481,
     482,   483,   484,   485,   486,   487,   488,     0,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,     0,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,     0,   517,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,   531,   532,   533,   534,   535,     0,   536,   537,
     538,   539,   540,     0,   541,   542,   543,   544,   545,   546,
     547,   548,   549,   550,     0,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   560,   561,   562,   563,   564,   565,
       0,   566,   567,     0,     0,   568,   569,   570,   571,   572,
     573,   574,     0,   575,   576,   577,     0,     0,   578,   579,
     580,   581,   582,     0,   583,   584,   585,   586,   587,   588,
     589,   590,     0,     0,   591,   592,   593,   594,   595,     0,
       0,   596,   597,   598,   599,   600,   601,   602,     0,   603,
     604,   605,   606,   607,   608,     0,     0,   609,     0,     0,
     610,   611,   612,   613,   614,   615,   616,   617,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
     234,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   235,   236,   237,
     238,   239,   240,   241,   242,   243,     0,   244,   245,   246,
       0,     0,     0,     0,     0,     0,     0,   247,   248,   249,
       0,   250,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,     0,   263,   264,   265,   266,   267,
     268,   269,     0,     0,   270,   271,   272,   273,   274,     0,
     275,   276,   277,   278,   279,     0,   280,     0,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,     0,   291,
     292,   293,   294,   295,   296,     0,   297,   298,   299,   300,
       0,     0,     0,   301,     0,     0,     0,   302,   303,   304,
     305,   306,   307,   308,   309,   310,     0,   311,     0,   312,
     313,   314,   315,   316,   317,   318,     0,   319,   320,   321,
     322,     0,     0,   323,   324,   325,   326,   327,     0,   328,
     329,   330,     0,   331,   332,   333,     0,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,     0,   344,     0,
     345,   346,   347,   348,   349,     0,   350,     0,   351,   352,
     353,     0,   354,   355,   356,   357,   358,     0,   359,   360,
       0,   361,   362,   363,     0,   364,   365,   366,   367,  1158,
     369,   370,   371,   372,   373,     0,   374,   375,   376,   377,
     378,   379,   380,   381,     0,   382,   383,   384,   385,   386,
     387,   388,   389,   390,     0,   391,     0,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,     0,     0,   410,   411,   412,
     413,   414,     0,   415,   416,   417,     0,     0,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,     0,
     449,   450,   451,   452,     0,   453,   454,   455,   456,   457,
     458,     0,   459,   460,     0,     0,   461,   462,   463,     0,
       0,   464,   465,   466,   467,   468,   469,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,     0,   481,
     482,   483,   484,   485,   486,   487,   488,     0,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,     0,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,     0,   517,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,   531,   532,   533,   534,   535,     0,   536,   537,
     538,   539,   540,     0,   541,   542,   543,   544,   545,   546,
     547,   548,   549,   550,     0,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   560,   561,   562,   563,   564,   565,
       0,   566,   567,     0,     0,   568,   569,   570,   571,   572,
     573,   574,     0,   575,   576,   577,     0,     0,   578,   579,
     580,   581,   582,     0,   583,   584,   585,   586,   587,   588,
     589,   590,     0,     0,   591,   592,   593,   594,   595,     0,
       0,   596,   597,   598,   599,   600,   601,   602,     0,   603,
     604,   605,   606,   607,   608,     0,     0,   609,     0,     0,
     610,   611,   612,   613,   614,   615,   616,   617,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
     946,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   235,   236,   237,
     238,   239,   240,   241,   242,   243,     0,   244,   245,   246,
       0,     0,     0,     0,     0,     0,     0,   247,   248,   249,
       0,   250,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,     0,   263,   264,   265,   266,   267,
     268,   269,     0,     0,   270,   271,   272,   273,   274,     0,
     275,   276,   277,   278,   279,     0,   280,     0,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,     0,   291,
     292,   293,   294,   295,   296,     0,   297,   298,   299,   300,
       0,     0,     0,   301,     0,     0,     0,   302,   303,   304,
     305,   306,   307,   308,   309,   310,     0,   311,     0,   312,
     313,   314,   315,   316,   317,   318,     0,   319,   320,   321,
     322,     0,     0,   323,   324,   325,   326,   327,     0,   328,
     329,   330,     0,   331,   332,   333,     0,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,     0,   344,     0,
     345,   346,   347,   348,   349,     0,   350,     0,   351,   352,
     353,     0,   354,   355,   356,   357,   358,     0,   359,   360,
       0,   361,   362,   363,     0,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,     0,   374,   375,   376,   377,
     378,   379,   380,   381,     0,   382,   383,   384,   385,   386,
     387,   388,   389,   390,     0,   391,     0,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,     0,     0,   410,   411,   412,
     413,   414,     0,   415,   416,   417,     0,     0,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,     0,
     449,   450,   451,   452,     0,   453,   454,   455,   456,   457,
     458,     0,   459,   460,     0,     0,   461,   462,   463,     0,
       0,   464,   465,   466,   467,   468,   469,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,     0,   481,
     482,   483,   484,   485,   486,   487,   488,     0,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,     0,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,     0,   517,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,   531,   532,   533,   534,   535,     0,   536,   537,
     538,   539,   540,     0,   541,   542,   543,   544,   545,   546,
     547,   548,   549,   550,     0,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   560,   561,   562,   563,   564,   565,
       0,   566,   567,     0,     0,   568,   569,   570,   571,   572,
     573,   574,     0,   575,   576,   577,     0,     0,   578,   579,
     580,   581,   582,     0,   583,   584,   585,   586,   587,   588,
     589,   590,     0,     0,   591,   592,   593,   594,   595,     0,
       0,   596,   597,   598,   599,   600,   601,   602,     0,   603,
     604,   605,   606,   607,   608,     0,     0,   609,     0,     0,
     610,   611,   612,   613,   614,   615,   616,   617,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
     637,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   235,   236,   237,
     238,   239,   240,   241,   242,   243,     0,   244,   245,   246,
       0,     0,     0,     0,     0,     0,     0,   247,   248,   249,
       0,   250,   251,   252,   253,     0,   255,   256,   257,   258,
     259,     0,   261,   262,     0,   263,   264,   265,   266,   267,
     268,   269,     0,     0,   270,   271,   272,   273,   274,  2718,
     275,   276,   277,   278,   279,     0,     0,  2788,   281,   282,
     283,   284,   285,   286,     0,   288,   289,   290,  2719,   291,
     292,   293,   294,   295,   296,     0,     0,   298,   299,   300,
       0,     0,     0,     0,     0,     0,     0,   302,   303,   304,
     305,   306,   307,   308,   309,   310,     0,   311,     0,   312,
     313,   314,   315,   316,   317,   318,     0,   319,   320,   321,
     322,     0,     0,   323,   324,   325,   326,   327,     0,   328,
     329,   330,     0,   331,   332,   333,     0,  2789,   335,   336,
     337,   338,   339,   340,   341,   342,   343,     0,   344,     0,
     345,   346,   347,   348,   349,     0,   350,  2721,   351,   352,
       0,     0,     0,   355,   356,   357,   358,     0,   359,   360,
       0,   361,   362,   363,     0,   364,   365,   366,   367,  2790,
       0,   370,   371,   372,   373,     0,   374,   375,   376,   377,
     378,   379,   380,   381,     0,   382,     0,   384,   385,   386,
     387,   388,   389,   390,     0,   391,     0,   392,     0,     0,
     395,     0,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,     0,     0,   410,   411,     0,
     413,     0,     0,   415,   416,   417,     0,     0,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,     0,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,  2722,
     449,   450,     0,   452,     0,   453,   454,   455,   456,   457,
     458,     0,   459,   460,     0,     0,   461,   462,   463,     0,
       0,   464,   465,   466,     0,   468,     0,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,     0,   481,
     482,   483,   484,   485,   486,   487,   488,  2723,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,     0,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,     0,   517,   518,
       0,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,   531,   532,   533,   534,   535,     0,   536,   537,
     538,   539,   540,     0,   541,   542,   543,   544,   545,     0,
     547,   548,   549,   550,     0,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   560,   561,   562,   563,   564,   565,
       0,   566,   567,     0,     0,   568,     0,   570,   571,   572,
     573,   574,     0,   575,   576,   577,     0,     0,   578,   579,
     580,   581,   582,     0,   583,   584,   585,   586,   587,   588,
     589,   590,     0,  2724,   591,   592,   593,   594,   595,     0,
       0,   596,   597,   598,   599,   600,   601,   602,     0,   603,
       0,   605,   606,   607,   608,     0,     0,   609,     0,     0,
     610,   611,   612,   613,   614,   615,   616,   617,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
     637,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   235,   236,   237,
     238,   239,   240,   241,   242,   243,     0,   244,   245,   246,
       0,     0,     0,     0,     0,     0,     0,   247,   248,   249,
       0,   250,   251,   252,   253,     0,   255,   256,   257,   258,
     259,     0,   261,   262,     0,   263,   264,   265,   266,   267,
     268,   269,     0,     0,   270,   271,   272,   273,   274,  2718,
     275,   276,   277,   278,   279,     0,     0,     0,   281,   282,
     283,   284,   285,   286,     0,   288,   289,   290,  2719,   291,
     292,   293,   294,   295,   296,     0,     0,   298,   299,   300,
       0,     0,     0,     0,     0,     0,     0,   302,   303,   304,
     305,   306,   307,   308,   309,   310,     0,   311,     0,   312,
     313,   314,   315,   316,   317,   318,     0,   319,   320,   321,
     322,     0,     0,   323,   324,   325,   326,   327,     0,   328,
     329,   330,     0,   331,   332,   333,     0,  2789,   335,   336,
     337,   338,   339,   340,   341,   342,   343,     0,   344,     0,
     345,   346,   347,   348,   349,     0,   350,  2721,   351,   352,
       0,     0,     0,   355,   356,   357,   358,     0,   359,   360,
       0,   361,   362,   363,     0,   364,   365,   366,   367,   368,
       0,   370,   371,   372,   373,     0,   374,   375,   376,   377,
     378,   379,   380,   381,     0,   382,     0,   384,   385,   386,
     387,   388,   389,   390,     0,   391,     0,   392,     0,     0,
     395,     0,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,     0,     0,   410,   411,     0,
     413,  3825,     0,   415,   416,   417,     0,     0,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,     0,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,  2722,
     449,   450,     0,   452,     0,   453,   454,   455,   456,   457,
     458,     0,   459,   460,     0,     0,   461,   462,   463,     0,
       0,   464,   465,   466,     0,   468,     0,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,     0,   481,
     482,   483,   484,   485,   486,   487,   488,  2723,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,     0,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,     0,   517,   518,
       0,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,   531,   532,   533,   534,   535,     0,   536,   537,
     538,   539,   540,     0,   541,   542,   543,   544,   545,     0,
     547,   548,   549,   550,     0,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   560,   561,   562,   563,   564,   565,
       0,   566,   567,     0,     0,   568,     0,   570,   571,   572,
     573,   574,     0,   575,   576,   577,     0,     0,   578,   579,
     580,   581,   582,     0,   583,   584,   585,   586,   587,   588,
     589,   590,     0,  2724,   591,   592,   593,   594,   595,     0,
       0,   596,   597,   598,   599,   600,   601,   602,     0,   603,
       0,   605,   606,   607,   608,     0,     0,   609,     0,     0,
     610,   611,   612,   613,   614,   615,   616,   617,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
     637,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   235,   236,   237,
     238,   239,   240,   241,   242,   243,     0,   244,   245,   246,
       0,     0,     0,     0,     0,     0,     0,   247,   248,   249,
       0,   250,   251,   252,   253,     0,   255,   256,   257,   258,
     259,     0,   261,   262,     0,   263,   264,   265,   266,   267,
     268,   269,     0,     0,   270,   271,   272,   273,   274,  2718,
     275,   276,   277,   278,   279,     0,     0,     0,   281,   282,
     283,   284,   285,   286,     0,   288,   289,   290,  2719,   291,
     292,   293,   294,   295,   296,     0,     0,   298,   299,   300,
       0,     0,     0,     0,     0,     0,     0,   302,   303,   304,
     305,   306,   307,   308,   309,   310,     0,   311,     0,   312,
     313,   314,   315,   316,   317,   318,     0,   319,   320,   321,
     322,     0,     0,   323,   324,   325,   326,   327,     0,   328,
     329,   330,     0,   331,   332,   333,     0,  2789,   335,   336,
     337,   338,   339,   340,   341,   342,   343,     0,   344,     0,
     345,   346,   347,   348,   349,     0,   350,  2721,   351,   352,
       0,     0,     0,   355,   356,   357,   358,     0,   359,   360,
       0,   361,   362,   363,     0,   364,   365,   366,   367,   368,
       0,   370,   371,   372,   373,     0,   374,   375,   376,   377,
     378,   379,   380,   381,     0,   382,     0,   384,   385,   386,
     387,   388,   389,   390,     0,   391,     0,   392,     0,     0,
     395,     0,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,     0,     0,   410,   411,     0,
     413,     0,     0,   415,   416,   417,     0,     0,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,     0,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,  2722,
     449,   450,     0,   452,     0,   453,   454,   455,   456,   457,
     458,     0,   459,   460,     0,     0,   461,   462,   463,     0,
       0,   464,   465,   466,     0,   468,     0,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,     0,   481,
     482,   483,   484,   485,   486,   487,   488,  2723,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,     0,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,     0,   517,   518,
       0,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,   531,   532,   533,   534,   535,     0,   536,   537,
     538,   539,   540,     0,   541,   542,   543,   544,   545,     0,
     547,   548,   549,   550,     0,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   560,   561,   562,   563,   564,   565,
       0,   566,   567,     0,     0,   568,     0,   570,   571,   572,
     573,   574,     0,   575,   576,   577,     0,     0,   578,   579,
     580,   581,   582,     0,   583,   584,   585,   586,   587,   588,
     589,   590,     0,  2724,   591,   592,   593,   594,   595,     0,
       0,   596,   597,   598,   599,   600,   601,   602,     0,   603,
       0,   605,   606,   607,   608,     0,     0,   609,     0,     0,
     610,   611,   612,   613,   614,   615,   616,   617,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
     637,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   776,   244,   777,   246,
       0,     0,     0,     0,     0,     0,     0,   247,   248,   249,
       0,   250,   251,   252,   253,     0,   255,   256,   257,   258,
     259,     0,   261,   262,     0,   263,   264,   265,   266,   267,
     268,   269,     0,     0,   270,   271,   272,   273,   274,     0,
     275,   276,   277,   278,   279,     0,     0,     0,   281,   282,
     283,   284,   285,   286,     0,   288,   289,   290,     0,   291,
     292,   293,   294,   295,   296,   778,     0,   298,   299,   300,
       0,     0,     0,     0,     0,     0,     0,   302,   303,   304,
     305,   306,   307,   308,   309,   310,     0,   311,     0,   312,
     313,   314,   315,   316,   317,   318,     0,   319,   320,   321,
     322,     0,     0,   323,   324,   325,   326,   327,     0,   328,
     329,   330,     0,   331,   332,   333,     0,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,     0,   344,     0,
     345,   346,   347,   348,   349,     0,   350,     0,   351,   352,
       0,     0,     0,   355,   356,   357,   358,   809,   359,   360,
       0,   361,   362,   363,     0,   364,   365,   366,   367,   368,
       0,   370,   371,   372,   373,     0,   374,   375,   376,   377,
     378,   379,   380,   381,     0,   382,     0,   384,   385,   386,
     387,   388,   389,   390,     0,   391,     0,   392,     0,     0,
     395,     0,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,     0,     0,   410,   411,     0,
     413,     0,     0,   415,   416,   417,     0,     0,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,     0,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,     0,
     449,   450,     0,   452,     0,   453,   454,   455,   456,   457,
     458,     0,   459,   460,     0,     0,   461,   462,   463,     0,
       0,   464,   465,   466,     0,   468,     0,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,     0,   481,
     482,   483,   484,   485,   486,   487,   488,     0,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   779,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,     0,   517,   518,
       0,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,   531,   532,   533,   534,   535,   780,   536,   537,
     538,   539,   540,     0,   541,   542,   543,   544,   545,     0,
     547,   548,   549,   550,     0,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   560,   561,   562,   563,   564,   565,
       0,   566,   567,     0,     0,   568,     0,   570,   571,   572,
     573,   574,     0,   575,   576,   577,     0,     0,   578,   579,
     580,   581,   582,     0,   583,   584,   585,   586,   587,   588,
     589,   590,     0,     0,   591,   592,   593,   594,   595,     0,
       0,   596,   597,   598,   599,   600,   601,   602,     0,   603,
       0,   605,   606,   607,   608,     0,     0,   609,     0,     0,
     610,   611,   612,   613,   614,   615,   616,   617,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
     637,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   776,   244,   777,   246,
       0,     0,     0,     0,     0,     0,     0,   247,   248,   249,
       0,   250,   251,   252,   253,     0,   255,   256,   257,   258,
     259,     0,   261,   262,     0,   263,   264,   265,   266,   267,
     268,   269,     0,     0,   270,   271,   272,   273,   274,     0,
     275,   276,   277,   278,   279,     0,     0,     0,   281,   282,
     283,   284,   285,   286,     0,   288,   289,   290,     0,   291,
     292,   293,   294,   295,   296,   778,     0,   298,   299,   300,
       0,     0,     0,     0,     0,     0,     0,   302,   303,   304,
     305,   306,   307,   308,   309,   310,     0,   311,     0,   312,
     313,   314,   315,   316,   317,   318,     0,   319,   320,   321,
     322,     0,     0,   323,   324,   325,   326,   327,     0,   328,
     329,   330,     0,   331,   332,   333,     0,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,     0,   344,     0,
     345,   346,   347,   348,   349,     0,   350,     0,   351,   352,
       0,     0,     0,   355,   356,   357,   358,  3511,   359,   360,
       0,   361,   362,   363,     0,   364,   365,   366,   367,   368,
       0,   370,   371,   372,   373,     0,   374,   375,   376,   377,
     378,   379,   380,   381,     0,   382,     0,   384,   385,   386,
     387,   388,   389,   390,     0,   391,     0,   392,     0,     0,
     395,     0,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,     0,     0,   410,   411,     0,
     413,     0,     0,   415,   416,   417,     0,     0,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,     0,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,     0,
     449,   450,     0,   452,     0,   453,   454,   455,   456,   457,
     458,     0,   459,   460,     0,     0,   461,   462,   463,     0,
       0,   464,   465,   466,     0,   468,     0,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,     0,   481,
     482,   483,   484,   485,   486,   487,   488,     0,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   779,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,     0,   517,   518,
       0,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,   531,   532,   533,   534,   535,   780,   536,   537,
     538,   539,   540,     0,   541,   542,   543,   544,   545,     0,
     547,   548,   549,   550,     0,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   560,   561,   562,   563,   564,   565,
       0,   566,   567,     0,     0,   568,     0,   570,   571,   572,
     573,   574,     0,   575,   576,   577,     0,     0,   578,   579,
     580,   581,   582,     0,   583,   584,   585,   586,   587,   588,
     589,   590,     0,     0,   591,   592,   593,   594,   595,     0,
       0,   596,   597,   598,   599,   600,   601,   602,     0,   603,
       0,   605,   606,   607,   608,     0,     0,   609,     0,     0,
     610,   611,   612,   613,   614,   615,   616,   617,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
     637,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   776,   244,   777,   246,
       0,     0,     0,     0,     0,     0,     0,   247,   248,   249,
       0,   250,   251,   252,   253,     0,   255,   256,   257,   258,
     259,     0,   261,   262,     0,   263,   264,   265,   266,   267,
     268,   269,     0,     0,   270,   271,   272,   273,   274,     0,
     275,   276,   277,   278,   279,     0,     0,     0,   281,   282,
     283,   284,   285,   286,     0,   288,   289,   290,     0,   291,
     292,   293,   294,   295,   296,   778,     0,   298,   299,   300,
       0,     0,     0,     0,     0,     0,     0,   302,   303,   304,
     305,   306,   307,   308,   309,   310,     0,   311,     0,   312,
     313,   314,   315,   316,   317,   318,     0,   319,   320,   321,
     322,     0,     0,   323,   324,   325,   326,   327,     0,   328,
     329,   330,     0,   331,   332,   333,     0,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,     0,   344,     0,
     345,   346,   347,   348,   349,     0,   350,     0,   351,   352,
       0,     0,     0,   355,   356,   357,   358,     0,   359,   360,
       0,   361,   362,   363,     0,   364,   365,   366,   367,   368,
       0,   370,   371,   372,   373,     0,   374,   375,   376,   377,
     378,   379,   380,   381,     0,   382,     0,   384,   385,   386,
     387,   388,   389,   390,     0,   391,     0,   392,     0,     0,
     395,     0,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,     0,     0,   410,   411,     0,
     413,     0,     0,   415,   416,   417,     0,     0,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,     0,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,     0,
     449,   450,     0,   452,     0,   453,   454,   455,   456,   457,
     458,     0,   459,   460,     0,     0,   461,   462,   463,     0,
       0,   464,   465,   466,     0,   468,     0,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,     0,   481,
     482,   483,   484,   485,   486,   487,   488,     0,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   779,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,     0,   517,   518,
       0,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,   531,   532,   533,   534,   535,   780,   536,   537,
     538,   539,   540,     0,   541,   542,   543,   544,   545,     0,
     547,   548,   549,   550,     0,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   560,   561,   562,   563,   564,   565,
       0,   566,   567,     0,     0,   568,     0,   570,   571,   572,
     573,   574,     0,   575,   576,   577,     0,     0,   578,   579,
     580,   581,   582,     0,   583,   584,   585,   586,   587,   588,
     589,   590,     0,     0,   591,   592,   593,   594,   595,     0,
       0,   596,   597,   598,   599,   600,   601,   602,     0,   603,
       0,   605,   606,   607,   608,     0,     0,   609,     0,     0,
     610,   611,   612,   613,   614,   615,   616,   617,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
     637,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   235,   236,   237,
     238,   239,   240,   241,   242,   243,  3024,   244,   245,   246,
       0,     0,     0,     0,     0,     0,     0,   247,   248,   249,
       0,   250,   251,   252,   253,     0,   255,   256,   257,   258,
     259,     0,   261,   262,     0,   263,   264,   265,   266,   267,
     268,   269,     0,     0,   270,   271,   272,   273,   274,     0,
     275,   276,   277,   278,   279,     0,     0,     0,   281,   282,
     283,   284,   285,   286,     0,   288,   289,   290,     0,   291,
     292,   293,   294,   295,   296,     0,     0,   298,   299,   300,
       0,     0,     0,  2854,     0,     0,     0,   302,   303,   304,
     305,   306,   307,   308,   309,   310,     0,   311,     0,   312,
     313,   314,   315,   316,   317,   318,     0,   319,   320,   321,
     322,     0,     0,   323,   324,   325,   326,   327,     0,   328,
     329,   330,     0,   331,   332,   333,     0,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,     0,   344,     0,
     345,   346,   347,   348,   349,     0,   350,     0,   351,   352,
       0,     0,     0,   355,   356,   357,   358,     0,   359,   360,
       0,   361,   362,   363,     0,   364,   365,   366,   367,   368,
       0,   370,   371,   372,   373,     0,   374,   375,   376,   377,
     378,   379,   380,   381,     0,   382,     0,   384,   385,   386,
     387,   388,   389,   390,     0,   391,     0,   392,     0,     0,
     395,     0,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,     0,     0,   410,   411,     0,
     413,     0,     0,   415,   416,   417,     0,     0,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,     0,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,     0,
     449,   450,     0,   452,     0,   453,   454,   455,   456,   457,
     458,     0,   459,   460,     0,   841,   461,   462,   463,     0,
       0,   464,   465,   466,     0,   468,     0,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,     0,   481,
     482,   483,   484,   485,   486,   487,   488,     0,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,     0,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,     0,   517,   518,
       0,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,   531,   532,   533,   534,   535,     0,   536,   537,
     538,   539,   540,     0,   541,   542,   543,   544,   545,     0,
     547,   548,   549,   550,     0,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   560,   561,   562,   563,   564,   565,
       0,   566,   567,     0,  2855,  2856,     0,   570,   571,   572,
     573,   574,     0,   575,   576,   577,     0,     0,   578,   579,
     580,   581,   582,     0,   583,   584,   585,   586,   587,   588,
     589,   590,     0,     0,   591,   592,   593,   594,   595,     0,
       0,   596,   597,   598,   599,   600,   601,   602,     0,   603,
       0,   605,   606,   607,   608,     0,     0,   609,     0,     0,
     610,   611,   612,   613,   614,   615,   616,   617,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
     637,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   235,   236,   237,
     238,   239,   240,   241,   242,   243,  1980,   244,   245,   246,
       0,     0,     0,     0,     0,     0,     0,   247,   248,   249,
       0,   250,   251,   252,   253,     0,   255,   256,   257,   258,
     259,     0,   261,   262,     0,   263,   264,   265,   266,   267,
     268,   269,     0,     0,   270,   271,   272,   273,   274,     0,
     275,   276,   277,   278,   279,     0,     0,     0,   281,   282,
     283,   284,   285,   286,     0,   288,   289,   290,     0,   291,
     292,   293,   294,   295,   296,     0,     0,   298,   299,   300,
       0,     0,     0,     0,     0,     0,     0,   302,   303,   304,
    1981,   306,   307,   308,   309,   310,     0,   311,     0,   312,
     313,   314,   315,   316,   317,   318,     0,   319,   320,   321,
     322,     0,     0,   323,  1982,   325,   326,   327,     0,   328,
     329,   330,     0,   331,   332,   333,     0,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,     0,   344,     0,
     345,   346,   347,   348,   349,     0,   350,  1983,   351,   352,
       0,     0,     0,  1984,   356,   357,   358,     0,   359,   360,
       0,   361,   362,   363,     0,   364,   365,   366,   367,   368,
       0,   370,   371,   372,   373,     0,   374,   375,   376,   377,
     378,   379,   380,   381,     0,   382,     0,   384,   385,   386,
     387,   388,   389,   390,     0,   391,     0,   392,     0,     0,
     395,     0,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,  1985,  1986,   409,     0,     0,   410,   411,     0,
     413,     0,     0,   415,   416,   417,     0,     0,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,     0,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,     0,
     449,   450,     0,   452,     0,   453,   454,   455,   456,   457,
     458,     0,   459,   460,     0,     0,   461,   462,   463,     0,
       0,   464,   465,   466,     0,   468,     0,   470,   471,   472,
     473,   474,  1987,   476,   477,   478,   479,   480,     0,   481,
     482,   483,   484,   485,   486,   487,   488,     0,   489,   490,
     491,  1988,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,     0,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,     0,   517,   518,
       0,   520,   521,   522,  1989,   524,   525,   526,   527,   528,
     529,  1990,   531,   532,   533,   534,   535,     0,  1991,   537,
     538,   539,   540,     0,   541,   542,   543,   544,   545,     0,
     547,   548,   549,   550,     0,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   560,   561,   562,   563,   564,   565,
       0,   566,   567,     0,  1992,   568,     0,  1993,   571,   572,
     573,   574,     0,   575,   576,   577,     0,     0,   578,   579,
     580,   581,   582,     0,   583,   584,  1994,   586,   587,   588,
     589,   590,     0,     0,   591,   592,   593,   594,   595,     0,
       0,   596,   597,   598,   599,   600,   601,   602,     0,   603,
       0,   605,   606,   607,   608,     0,     0,   609,     0,     0,
     610,   611,   612,   613,   614,   615,   616,   617,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
     637,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   235,   236,   237,
     238,   239,   240,   241,   242,   243,     0,   244,   777,   246,
       0,     0,     0,     0,     0,     0,     0,   247,   248,   249,
       0,   250,   251,   252,   253,     0,   255,   256,   257,   258,
     259,     0,   261,   262,     0,   263,   264,   265,   266,   267,
     268,   269,     0,     0,   270,   271,   272,   273,   274,     0,
     275,   276,   277,   278,   279,     0,     0,     0,   281,   282,
     283,   284,   285,   286,     0,   288,   289,   290,     0,   291,
     292,   293,   294,   295,   296,   778,     0,   298,   299,   300,
       0,     0,     0,     0,     0,     0,     0,   302,   303,   304,
     305,   306,   307,   308,   309,   310,     0,   311,     0,   312,
     313,   314,   315,   316,   317,   318,     0,   319,   320,   321,
     322,     0,     0,   323,   324,   325,   326,   327,     0,   328,
     329,   330,     0,   331,   332,   333,     0,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,     0,   344,     0,
     345,   346,   347,   348,   349,     0,   350,     0,   351,   352,
       0,     0,     0,   355,   356,   357,   358,     0,   359,   360,
       0,   361,   362,   363,     0,   364,   365,   366,   367,   368,
       0,   370,   371,   372,   373,     0,   374,   375,   376,   377,
     378,   379,   380,   381,     0,   382,     0,   384,   385,   386,
     387,   388,   389,   390,     0,   391,     0,   392,     0,     0,
     395,     0,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,     0,     0,   410,   411,     0,
     413,     0,     0,   415,   416,   417,     0,     0,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,     0,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,     0,
     449,   450,     0,   452,     0,   453,   454,   455,   456,   457,
     458,     0,   459,   460,     0,     0,   461,   462,   463,     0,
       0,   464,   465,   466,     0,   468,     0,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,     0,   481,
     482,   483,   484,   485,   486,   487,   488,     0,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   779,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,     0,   517,   518,
       0,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,   531,   532,   533,   534,   535,   780,   536,   537,
     538,   539,   540,     0,   541,   542,   543,   544,   545,     0,
     547,   548,   549,   550,     0,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   560,   561,   562,   563,   564,   565,
       0,   566,   567,     0,     0,   568,     0,   570,   571,   572,
     573,   574,     0,   575,   576,   577,     0,     0,   578,   579,
     580,   581,   582,     0,   583,   584,   585,   586,   587,   588,
     589,   590,     0,     0,   591,   592,   593,   594,   595,     0,
       0,   596,   597,   598,   599,   600,   601,   602,     0,   603,
       0,   605,   606,   607,   608,     0,     0,   609,     0,     0,
     610,   611,   612,   613,   614,   615,   616,   617,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
     637,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   235,   236,   237,
     238,   239,   240,   241,   242,   243,     0,   244,   245,   246,
       0,     0,     0,     0,     0,     0,     0,   247,   248,   249,
       0,   250,   251,   252,   253,     0,   255,   256,   257,   258,
     259,     0,   261,   262,     0,   263,   264,   265,   266,   267,
     268,   269,     0,     0,   270,   271,   272,   273,   274,     0,
     275,   276,   277,   278,   279,     0,     0,     0,   281,   282,
     283,   284,   285,   286,     0,   288,   289,   290,     0,   291,
     292,   293,   294,   295,   296,     0,     0,   298,   299,   300,
       0,     0,     0,  2854,     0,     0,     0,   302,   303,   304,
     305,   306,   307,   308,   309,   310,     0,   311,     0,   312,
     313,   314,   315,   316,   317,   318,     0,   319,   320,   321,
     322,     0,     0,   323,   324,   325,   326,   327,     0,   328,
     329,   330,     0,   331,   332,   333,     0,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,     0,   344,     0,
     345,   346,   347,   348,   349,     0,   350,     0,   351,   352,
       0,     0,     0,   355,   356,   357,   358,     0,   359,   360,
       0,   361,   362,   363,     0,   364,   365,   366,   367,   368,
       0,   370,   371,   372,   373,     0,   374,   375,   376,   377,
     378,   379,   380,   381,     0,   382,     0,   384,   385,   386,
     387,   388,   389,   390,     0,   391,     0,   392,     0,     0,
     395,     0,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,     0,     0,   410,   411,     0,
     413,     0,     0,   415,   416,   417,     0,     0,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,     0,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,     0,
     449,   450,     0,   452,     0,   453,   454,   455,   456,   457,
     458,     0,   459,   460,     0,   841,   461,   462,   463,     0,
       0,   464,   465,   466,     0,   468,     0,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,     0,   481,
     482,   483,   484,   485,   486,   487,   488,     0,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,     0,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,     0,   517,   518,
       0,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,   531,   532,   533,   534,   535,     0,   536,   537,
     538,   539,   540,     0,   541,   542,   543,   544,   545,     0,
     547,   548,   549,   550,     0,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   560,   561,   562,   563,   564,   565,
       0,   566,   567,     0,  2855,  2856,     0,   570,   571,   572,
     573,   574,     0,   575,   576,   577,     0,     0,   578,   579,
     580,   581,   582,     0,   583,   584,   585,   586,   587,   588,
     589,   590,     0,     0,   591,   592,   593,   594,   595,     0,
       0,   596,   597,   598,   599,   600,   601,   602,     0,   603,
       0,   605,   606,   607,   608,     0,     0,   609,     0,     0,
     610,   611,   612,   613,   614,   615,   616,   617,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
     637,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   999,   244,   245,   246,
       0,     0,     0,     0,     0,     0,     0,   247,   248,   249,
       0,   250,   251,   252,   253,     0,   255,   256,   257,   258,
     259,     0,   261,   262,     0,   263,   264,   265,   266,   267,
     268,   269,     0,     0,   270,   271,   272,   273,   274,     0,
     275,   276,   277,   278,   279,     0,     0,     0,   281,   282,
     283,   284,   285,   286,     0,   288,   289,   290,     0,   291,
     292,   293,   294,   295,   296,     0,     0,   298,   299,   300,
       0,     0,     0,     0,     0,     0,     0,   302,   303,   304,
     305,   306,   307,   308,   309,   310,     0,   311,     0,   312,
     313,   314,   315,   316,   317,   318,     0,   319,   320,   321,
     322,     0,     0,   323,   324,   325,   326,   327,     0,   328,
     329,   330,     0,   331,   332,   333,     0,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,     0,   344,     0,
     345,   346,   347,   348,   349,     0,   350,     0,   351,   352,
       0,     0,     0,   355,   356,   357,   358,     0,   359,   360,
       0,   361,   362,   363,     0,   364,   365,   366,   367,  1000,
       0,   370,   371,   372,   373,     0,   374,   375,   376,   377,
     378,   379,   380,   381,     0,   382,     0,   384,   385,   386,
     387,   388,   389,   390,     0,   391,     0,   392,     0,     0,
     395,     0,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,     0,     0,   410,   411,     0,
     413,     0,     0,   415,   416,   417,     0,     0,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,     0,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,     0,
     449,   450,     0,   452,     0,   453,   454,   455,   456,   457,
     458,     0,   459,   460,     0,   841,   461,   462,   463,     0,
       0,   464,   465,   466,     0,   468,     0,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,     0,   481,
     482,   483,   484,   485,   486,   487,   488,     0,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,     0,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,     0,   517,   518,
       0,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,   531,   532,   533,   534,   535,     0,   536,   537,
     538,   539,   540,     0,   541,   542,   543,   544,   545,     0,
     547,   548,   549,   550,     0,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   560,   561,   562,   563,   564,   565,
       0,   566,   567,     0,     0,   568,     0,   570,   571,   572,
     573,   574,     0,   575,   576,   577,     0,     0,   578,   579,
     580,   581,   582,     0,   583,   584,   585,   586,   587,   588,
     589,   590,     0,     0,   591,   592,   593,   594,   595,     0,
       0,   596,   597,   598,   599,   600,   601,   602,     0,   603,
       0,   605,   606,   607,   608,     0,     0,   609,     0,     0,
     610,   611,   612,   613,   614,   615,   616,   617,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
     637,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   235,   236,   237,
     238,   239,   240,   241,   242,   243,  3591,   244,   245,   246,
       0,     0,     0,     0,     0,     0,     0,   247,   248,   249,
       0,   250,   251,   252,   253,     0,   255,   256,   257,   258,
     259,     0,   261,   262,     0,   263,   264,   265,   266,   267,
     268,   269,     0,     0,   270,   271,   272,   273,   274,     0,
     275,   276,   277,   278,   279,     0,     0,     0,   281,   282,
     283,   284,   285,   286,     0,   288,   289,   290,     0,   291,
     292,   293,   294,   295,   296,     0,     0,   298,   299,   300,
       0,     0,     0,     0,     0,     0,     0,   302,   303,   304,
     305,   306,   307,   308,   309,   310,     0,   311,     0,   312,
     313,   314,   315,   316,   317,   318,     0,   319,   320,   321,
     322,     0,     0,   323,   324,   325,   326,   327,     0,   328,
     329,   330,     0,   331,   332,   333,     0,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,     0,   344,     0,
     345,   346,   347,   348,   349,     0,   350,     0,   351,   352,
       0,     0,     0,   355,   356,   357,   358,     0,   359,   360,
       0,   361,   362,   363,     0,   364,   365,   366,   367,   368,
       0,   370,   371,   372,   373,     0,   374,   375,   376,   377,
     378,   379,   380,   381,     0,   382,     0,   384,   385,   386,
     387,   388,   389,   390,     0,   391,     0,   392,     0,     0,
     395,     0,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,     0,     0,   410,   411,     0,
     413,     0,     0,   415,   416,   417,     0,     0,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,     0,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,     0,
     449,   450,     0,   452,     0,   453,   454,   455,   456,   457,
     458,     0,   459,   460,     0,     0,   461,   462,   463,     0,
       0,   464,   465,   466,     0,   468,     0,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,     0,   481,
     482,   483,   484,   485,   486,   487,   488,     0,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,     0,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,     0,   517,   518,
       0,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,   531,   532,   533,   534,   535,     0,   536,   537,
     538,   539,   540,     0,   541,   542,   543,   544,   545,     0,
     547,   548,   549,   550,     0,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   560,   561,   562,   563,   564,   565,
       0,   566,   567,     0,     0,   568,     0,   570,   571,   572,
     573,   574,     0,   575,   576,   577,     0,     0,   578,   579,
     580,   581,   582,     0,   583,   584,   585,   586,   587,   588,
     589,   590,     0,     0,   591,   592,   593,   594,   595,  3592,
       0,   596,   597,   598,   599,   600,   601,   602,     0,   603,
       0,   605,   606,   607,   608,     0,     0,   609,     0,     0,
     610,   611,   612,   613,   614,   615,   616,   617,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
     637,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   235,   236,   237,
     238,   239,   240,   241,   242,   243,  3604,   244,   245,   246,
       0,     0,     0,     0,     0,     0,     0,   247,   248,   249,
       0,   250,   251,   252,   253,     0,   255,   256,   257,   258,
     259,     0,   261,   262,     0,   263,   264,   265,   266,   267,
     268,   269,     0,     0,   270,   271,   272,   273,   274,     0,
     275,   276,   277,   278,   279,     0,     0,     0,   281,   282,
     283,   284,   285,   286,     0,   288,   289,   290,     0,   291,
     292,   293,   294,   295,   296,     0,     0,   298,   299,   300,
       0,     0,     0,     0,     0,     0,     0,   302,   303,   304,
     305,   306,   307,   308,   309,   310,     0,   311,     0,   312,
     313,   314,   315,   316,   317,   318,     0,   319,   320,   321,
     322,     0,     0,   323,   324,   325,   326,   327,     0,   328,
     329,   330,     0,   331,   332,   333,     0,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,     0,   344,     0,
     345,   346,   347,   348,   349,     0,   350,     0,   351,   352,
       0,     0,     0,   355,   356,   357,   358,     0,   359,   360,
       0,   361,   362,   363,     0,   364,   365,   366,   367,   368,
       0,   370,   371,   372,   373,     0,   374,   375,   376,   377,
     378,   379,   380,   381,     0,   382,     0,   384,   385,   386,
     387,   388,   389,   390,     0,   391,     0,   392,     0,     0,
     395,     0,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,     0,     0,   410,   411,     0,
     413,     0,     0,   415,   416,   417,     0,     0,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,     0,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,     0,
     449,   450,     0,   452,     0,   453,   454,   455,   456,   457,
     458,     0,   459,   460,     0,     0,   461,   462,   463,     0,
       0,   464,   465,   466,     0,   468,     0,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,     0,   481,
     482,   483,   484,   485,   486,   487,   488,     0,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,     0,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,     0,   517,   518,
       0,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,   531,   532,   533,   534,   535,     0,   536,   537,
     538,   539,   540,     0,   541,   542,   543,   544,   545,     0,
     547,   548,   549,   550,     0,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   560,   561,   562,   563,   564,   565,
       0,   566,   567,     0,     0,   568,     0,   570,   571,   572,
     573,   574,     0,   575,   576,   577,     0,     0,   578,   579,
     580,   581,   582,     0,   583,   584,   585,   586,   587,   588,
     589,   590,     0,     0,   591,   592,   593,   594,   595,  3605,
       0,   596,   597,   598,   599,   600,   601,   602,     0,   603,
       0,   605,   606,   607,   608,     0,     0,   609,     0,     0,
     610,   611,   612,   613,   614,   615,   616,   617,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
     637,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   638,   244,   245,   246,
       0,     0,     0,     0,     0,     0,     0,   247,   248,   249,
       0,   250,   251,   252,   253,     0,   255,   256,   257,   258,
     259,     0,   261,   262,     0,   263,   264,   265,   266,   267,
     268,   269,     0,     0,   270,   271,   272,   273,   274,     0,
     275,   276,   277,   278,   279,     0,     0,     0,   281,   282,
     283,   284,   285,   286,     0,   288,   289,   290,     0,   291,
     292,   293,   294,   295,   296,     0,     0,   298,   299,   300,
       0,     0,     0,     0,     0,     0,     0,   302,   303,   304,
     305,   306,   307,   308,   309,   310,     0,   311,     0,   312,
     313,   314,   315,   316,   317,   318,     0,   319,   320,   321,
     322,     0,     0,   323,   324,   325,   326,   327,     0,   328,
     329,   330,     0,   331,   332,   333,     0,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,     0,   344,     0,
     345,   346,   347,   348,   349,     0,   350,     0,   351,   352,
       0,     0,     0,   355,   356,   357,   358,     0,   359,   360,
       0,   361,   362,   363,     0,   364,   365,   366,   367,   368,
       0,   370,   371,   372,   373,     0,   374,   375,   376,   377,
     378,   379,   380,   381,     0,   382,     0,   384,   385,   386,
     387,   388,   389,   390,     0,   391,     0,   392,     0,     0,
     395,     0,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,     0,     0,   410,   411,     0,
     413,     0,     0,   415,   416,   417,     0,     0,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,     0,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,     0,
     449,   450,     0,   452,     0,   453,   454,   455,   456,   457,
     458,     0,   459,   460,     0,     0,   461,   462,   463,     0,
       0,   464,   465,   466,     0,   468,     0,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,     0,   481,
     482,   483,   484,   485,   486,   487,   488,     0,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,     0,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,     0,   517,   518,
       0,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,   531,   532,   533,   534,   535,     0,   536,   537,
     538,   539,   540,     0,   541,   542,   543,   544,   545,     0,
     547,   548,   549,   550,     0,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   560,   561,   562,   563,   564,   565,
       0,   566,   567,     0,     0,   568,     0,   570,   571,   572,
     573,   574,     0,   575,   576,   577,     0,     0,   578,   579,
     580,   581,   582,     0,   583,   584,   585,   586,   587,   588,
     589,   590,     0,     0,   591,   592,   593,   594,   595,     0,
       0,   596,   597,   598,   599,   600,   601,   602,     0,   603,
       0,   605,   606,   607,   608,     0,     0,   609,     0,     0,
     610,   611,   612,   613,   614,   615,   616,   617,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
     637,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   687,   244,   245,   246,
       0,     0,     0,     0,     0,     0,     0,   247,   248,   249,
       0,   250,   251,   252,   253,     0,   255,   256,   257,   258,
     259,     0,   261,   262,     0,   263,   264,   265,   266,   267,
     268,   269,     0,     0,   270,   271,   272,   273,   274,     0,
     275,   276,   277,   278,   279,     0,     0,     0,   281,   282,
     283,   284,   285,   286,     0,   288,   289,   290,     0,   291,
     292,   293,   294,   295,   296,     0,     0,   298,   299,   300,
       0,     0,     0,     0,     0,     0,     0,   302,   303,   304,
     305,   306,   307,   308,   309,   310,     0,   311,     0,   312,
     313,   314,   315,   316,   317,   318,     0,   319,   320,   321,
     322,     0,     0,   323,   324,   325,   326,   327,     0,   328,
     329,   330,     0,   331,   332,   333,     0,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,     0,   344,     0,
     345,   346,   347,   348,   349,     0,   350,     0,   351,   352,
       0,     0,     0,   355,   356,   357,   358,     0,   359,   360,
       0,   361,   362,   363,     0,   364,   365,   366,   367,   368,
       0,   370,   371,   372,   373,     0,   374,   375,   376,   377,
     378,   379,   380,   381,     0,   382,     0,   384,   385,   386,
     387,   388,   389,   390,     0,   391,     0,   392,     0,     0,
     395,     0,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,     0,     0,   410,   411,     0,
     413,     0,     0,   415,   416,   417,     0,     0,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,     0,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,     0,
     449,   450,     0,   452,     0,   453,   454,   455,   456,   457,
     458,     0,   459,   460,     0,     0,   461,   462,   463,     0,
       0,   464,   465,   466,     0,   468,     0,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,     0,   481,
     482,   483,   484,   485,   486,   688,   488,     0,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,     0,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,     0,   517,   518,
       0,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,   531,   532,   533,   534,   535,     0,   536,   537,
     538,   539,   540,     0,   541,   542,   543,   544,   545,     0,
     547,   548,   549,   550,     0,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   560,   561,   562,   563,   564,   565,
       0,   566,   567,     0,     0,   568,     0,   570,   571,   572,
     573,   574,     0,   575,   576,   577,     0,     0,   578,   579,
     580,   581,   582,     0,   583,   584,   585,   586,   587,   588,
     589,   590,     0,     0,   591,   592,   593,   594,   595,     0,
       0,   596,   597,   598,   599,   600,   601,   602,     0,   603,
       0,   605,   606,   607,   608,     0,     0,   609,     0,     0,
     610,   611,   612,   613,   614,   615,   616,   617,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
     637,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   801,   244,   245,   246,
       0,     0,     0,     0,     0,     0,     0,   247,   248,   249,
       0,   250,   251,   252,   253,     0,   255,   256,   257,   258,
     259,     0,   261,   262,     0,   263,   264,   265,   266,   267,
     268,   269,     0,     0,   270,   271,   272,   273,   274,     0,
     275,   276,   277,   278,   279,     0,     0,     0,   281,   282,
     283,   284,   285,   286,     0,   288,   289,   290,     0,   291,
     292,   293,   294,   295,   296,     0,     0,   298,   299,   300,
       0,     0,     0,     0,     0,     0,     0,   302,   303,   304,
     305,   306,   307,   308,   309,   310,     0,   311,     0,   312,
     313,   314,   315,   316,   317,   318,     0,   319,   320,   321,
     322,     0,     0,   323,   324,   325,   326,   327,     0,   328,
     329,   330,     0,   331,   332,   333,     0,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,     0,   344,     0,
     345,   346,   347,   348,   349,     0,   350,     0,   351,   352,
       0,     0,     0,   355,   356,   357,   358,     0,   359,   360,
       0,   361,   362,   363,     0,   364,   365,   366,   367,   368,
       0,   370,   371,   372,   373,     0,   374,   375,   376,   377,
     378,   379,   380,   381,     0,   382,     0,   384,   385,   386,
     387,   388,   389,   390,     0,   391,     0,   392,     0,     0,
     395,     0,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,     0,     0,   410,   411,     0,
     413,     0,     0,   415,   416,   417,     0,     0,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,     0,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,     0,
     449,   450,     0,   452,     0,   453,   454,   455,   456,   457,
     458,     0,   459,   460,     0,     0,   461,   462,   463,     0,
       0,   464,   465,   466,     0,   468,     0,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,     0,   481,
     482,   483,   484,   485,   486,   487,   488,     0,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,     0,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,     0,   517,   518,
       0,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,   531,   532,   533,   534,   535,     0,   536,   537,
     538,   539,   802,     0,   541,   542,   543,   544,   545,     0,
     547,   548,   549,   550,     0,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   560,   561,   562,   563,   564,   565,
       0,   566,   567,     0,     0,   568,     0,   570,   571,   572,
     573,   574,     0,   575,   803,   577,     0,     0,   804,   579,
     580,   581,   582,     0,   583,   584,   585,   586,   587,   588,
     589,   590,     0,     0,   591,   592,   593,   594,   595,     0,
       0,   596,   597,   598,   599,   600,   601,   602,     0,   603,
       0,   605,   606,   607,   608,     0,     0,   609,     0,     0,
     610,   611,   612,   613,   614,   615,   616,   617,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
     637,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   835,   244,   245,   246,
       0,     0,     0,     0,     0,     0,     0,   247,   248,   249,
       0,   250,   251,   252,   253,     0,   255,   256,   257,   258,
     259,     0,   261,   262,     0,   263,   264,   265,   266,   267,
     268,   269,     0,     0,   270,   271,   272,   273,   274,     0,
     275,   276,   277,   278,   279,     0,     0,     0,   281,   282,
     283,   284,   285,   286,     0,   288,   289,   290,     0,   291,
     292,   293,   294,   295,   296,     0,     0,   298,   299,   300,
       0,     0,     0,     0,     0,     0,     0,   302,   303,   304,
     305,   306,   307,   308,   309,   310,     0,   311,     0,   312,
     313,   314,   315,   316,   317,   318,     0,   319,   320,   321,
     322,     0,     0,   323,   324,   325,   326,   327,     0,   328,
     329,   330,     0,   331,   332,   333,     0,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,     0,   344,     0,
     345,   346,   347,   348,   349,     0,   350,     0,   351,   352,
       0,     0,     0,   355,   356,   357,   358,     0,   359,   360,
       0,   361,   362,   363,     0,   364,   365,   366,   367,   368,
       0,   370,   371,   372,   373,     0,   374,   375,   376,   377,
     378,   379,   380,   381,     0,   382,     0,   384,   385,   386,
     387,   388,   389,   390,     0,   391,     0,   392,     0,     0,
     395,     0,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,     0,     0,   410,   411,     0,
     413,     0,     0,   415,   416,   417,     0,     0,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,     0,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,     0,
     449,   450,     0,   452,     0,   453,   454,   455,   456,   457,
     458,     0,   459,   460,     0,     0,   461,   462,   463,     0,
       0,   464,   465,   466,     0,   468,     0,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,     0,   481,
     482,   483,   484,   485,   486,   487,   488,     0,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,     0,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,     0,   517,   518,
       0,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,   531,   532,   533,   534,   535,     0,   536,   537,
     538,   539,   836,     0,   541,   542,   543,   544,   545,     0,
     547,   548,   549,   550,     0,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   560,   561,   562,   563,   564,   565,
       0,   566,   567,     0,     0,   568,     0,   570,   571,   572,
     573,   574,     0,   575,   837,   577,     0,     0,   838,   579,
     580,   581,   582,     0,   583,   584,   585,   586,   587,   588,
     589,   590,     0,     0,   591,   592,   593,   594,   595,     0,
       0,   596,   597,   598,   599,   600,   601,   602,     0,   603,
       0,   605,   606,   607,   608,     0,     0,   609,     0,     0,
     610,   611,   612,   613,   614,   615,   616,   617,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
     637,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   235,   236,   237,
     238,   239,   240,   241,   242,   243,     0,   244,   245,   246,
       0,     0,     0,     0,     0,     0,     0,   247,   248,   249,
       0,   250,   251,   252,   253,     0,   255,   256,   257,   258,
     259,     0,   261,   262,     0,   263,   264,   265,   266,   267,
     268,   269,     0,     0,   270,   271,   272,   273,   274,     0,
     275,   276,   277,   278,   279,     0,     0,     0,   281,   282,
     283,   284,   285,   286,     0,   288,   289,   290,     0,   291,
     292,   293,   294,   295,   296,     0,     0,   298,   299,   300,
       0,     0,     0,     0,     0,     0,     0,   302,   303,   304,
     305,   306,   307,   308,   309,   310,     0,   311,     0,   312,
     313,   314,   315,   316,   317,   318,     0,   319,   320,   321,
     322,     0,     0,   323,   324,   325,   326,   327,     0,   328,
     329,   330,     0,   331,   332,   333,     0,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,     0,   344,     0,
     345,   346,   347,   348,   349,     0,   350,     0,   351,   352,
       0,     0,     0,   355,   356,   357,   358,     0,   359,   360,
       0,   361,   362,   363,     0,   364,   365,   366,   367,   368,
       0,   370,   371,   372,   373,     0,   374,   375,   376,   377,
     378,   379,   380,   381,     0,   382,     0,   384,   385,   386,
     387,   388,   389,   390,     0,   391,     0,   392,     0,     0,
     395,     0,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,     0,     0,   410,   411,     0,
     413,     0,     0,   415,   416,   417,     0,     0,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,     0,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,     0,
     449,   450,     0,   452,     0,   453,   454,   455,   456,   457,
     458,     0,   459,   460,     0,   841,   461,   462,   463,     0,
       0,   464,   465,   466,     0,   468,     0,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,     0,   481,
     482,   483,   484,   485,   486,   487,   488,     0,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,     0,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,     0,   517,   518,
       0,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,   531,   532,   533,   534,   535,     0,   536,   537,
     538,   539,   540,     0,   541,   542,   543,   544,   545,     0,
     547,   548,   549,   550,     0,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   560,   561,   562,   563,   564,   565,
       0,   566,   567,     0,     0,   568,     0,   570,   571,   572,
     573,   574,     0,   575,   576,   577,     0,     0,   578,   579,
     580,   581,   582,     0,   583,   584,   585,   586,   587,   588,
     589,   590,     0,     0,   591,   592,   593,   594,   595,     0,
       0,   596,   597,   598,   599,   600,   601,   602,     0,   603,
       0,   605,   606,   607,   608,     0,     0,   609,     0,     0,
     610,   611,   612,   613,   614,   615,   616,   617,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
     637,     0,     0,     0,     0,     0,     0,     0,     0,   901,
       0,     0,     0,     0,     0,     0,     0,   235,   236,   237,
     238,   239,   240,   241,   242,   243,     0,   244,   245,   246,
       0,     0,     0,     0,     0,     0,     0,   247,   248,   249,
       0,   250,   251,   252,   253,     0,   255,   256,   257,   258,
     259,     0,   261,   262,     0,   263,   264,   265,   266,   267,
     268,   269,     0,     0,   270,   271,   272,   273,   274,     0,
     275,   276,   277,   278,   279,     0,     0,     0,   281,   282,
     283,   284,   285,   286,     0,   288,   289,   290,     0,   291,
     292,   293,   294,   295,   296,     0,     0,   298,   299,   300,
       0,     0,     0,     0,     0,     0,     0,   302,   303,   304,
     305,   306,   307,   308,   309,   310,     0,   311,     0,   312,
     313,   314,   315,   316,   317,   318,     0,   319,   320,   321,
     322,     0,     0,   323,   324,   325,   326,   327,     0,   328,
     329,   330,     0,   331,   332,   333,     0,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,     0,   344,     0,
     345,   346,   347,   348,   349,     0,   350,     0,   351,   352,
       0,     0,     0,   355,   356,   357,   358,     0,   359,   360,
       0,   361,   362,   363,     0,   364,   365,   366,   367,   368,
       0,   370,   371,   372,   373,     0,   374,   375,   376,   377,
     378,   379,   380,   381,     0,   382,     0,   384,   385,   386,
     387,   388,   389,   390,     0,   391,     0,   392,     0,     0,
     395,     0,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,     0,     0,   410,   411,     0,
     413,     0,     0,   415,   416,   417,     0,     0,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,     0,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,     0,
     449,   450,     0,   452,     0,   453,   454,   455,   456,   457,
     458,     0,   459,   460,     0,     0,   461,   462,   463,     0,
       0,   464,   465,   466,     0,   468,     0,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,     0,   481,
     482,   483,   484,   485,   486,   487,   488,     0,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,     0,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,     0,   517,   518,
       0,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,   531,   532,   533,   534,   535,     0,   536,   537,
     538,   539,   540,     0,   541,   542,   543,   544,   545,     0,
     547,   548,   549,   550,     0,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   560,   561,   562,   563,   564,   565,
       0,   566,   567,     0,     0,   568,     0,   570,   571,   572,
     573,   574,     0,   575,   576,   577,     0,     0,   578,   579,
     580,   581,   582,     0,   583,   584,   585,   586,   587,   588,
     589,   590,     0,     0,   591,   592,   593,   594,   595,     0,
       0,   596,   597,   598,   599,   600,   601,   602,     0,   603,
       0,   605,   606,   607,   608,     0,     0,   609,     0,     0,
     610,   611,   612,   613,   614,   615,   616,   617,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
     637,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   956,   244,   245,   246,
       0,     0,     0,     0,     0,     0,     0,   247,   248,   249,
       0,   250,   251,   252,   253,     0,   255,   256,   257,   258,
     259,     0,   261,   262,     0,   263,   264,   265,   266,   267,
     268,   269,     0,     0,   270,   271,   272,   273,   274,     0,
     275,   276,   277,   278,   279,     0,     0,     0,   281,   282,
     283,   284,   285,   286,     0,   288,   289,   290,     0,   291,
     292,   293,   294,   295,   296,     0,     0,   298,   299,   300,
       0,     0,     0,     0,     0,     0,     0,   302,   303,   304,
     305,   306,   307,   308,   309,   310,     0,   311,     0,   312,
     313,   314,   315,   316,   317,   318,     0,   319,   320,   321,
     322,     0,     0,   323,   324,   325,   326,   327,     0,   328,
     329,   330,     0,   331,   332,   333,     0,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,     0,   344,     0,
     345,   346,   347,   348,   349,     0,   350,     0,   351,   352,
       0,     0,     0,   355,   356,   357,   358,     0,   359,   360,
       0,   361,   362,   363,     0,   364,   365,   366,   367,   957,
       0,   370,   371,   372,   373,     0,   374,   375,   376,   377,
     378,   379,   380,   381,     0,   382,     0,   384,   385,   386,
     387,   388,   389,   390,     0,   391,     0,   392,     0,     0,
     395,     0,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,     0,     0,   410,   411,     0,
     413,     0,     0,   415,   416,   417,     0,     0,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,     0,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,     0,
     449,   450,     0,   452,     0,   453,   454,   455,   456,   457,
     458,     0,   459,   460,     0,     0,   461,   462,   463,     0,
       0,   464,   465,   466,     0,   468,     0,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,     0,   481,
     482,   483,   484,   485,   486,   487,   488,     0,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,     0,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,     0,   517,   518,
       0,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,   531,   532,   533,   534,   535,     0,   536,   537,
     538,   539,   540,     0,   541,   542,   543,   544,   545,     0,
     547,   548,   549,   550,     0,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   560,   561,   562,   563,   564,   565,
       0,   566,   567,     0,     0,   568,     0,   570,   571,   572,
     573,   574,     0,   575,   576,   577,     0,     0,   578,   579,
     580,   581,   582,     0,   583,   584,   585,   586,   587,   588,
     589,   590,     0,     0,   591,   592,   593,   594,   595,     0,
       0,   596,   597,   598,   599,   600,   601,   602,     0,   603,
       0,   605,   606,   607,   608,     0,     0,   609,     0,     0,
     610,   611,   612,   613,   614,   615,   616,   617,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
     637,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   235,   236,   237,
     238,   239,   240,   241,   242,   243,  1119,   244,   245,   246,
       0,     0,     0,     0,     0,     0,     0,   247,   248,   249,
       0,   250,   251,   252,   253,     0,   255,   256,   257,   258,
     259,     0,   261,   262,     0,   263,   264,   265,   266,   267,
     268,   269,     0,     0,   270,   271,   272,   273,   274,     0,
     275,   276,   277,   278,   279,     0,     0,     0,   281,   282,
     283,   284,   285,   286,     0,   288,   289,   290,     0,   291,
     292,   293,   294,   295,   296,     0,     0,   298,   299,   300,
       0,     0,     0,     0,     0,     0,     0,   302,   303,   304,
     305,   306,   307,   308,   309,   310,     0,   311,     0,   312,
     313,   314,   315,   316,   317,   318,     0,   319,   320,   321,
     322,     0,     0,   323,   324,   325,   326,   327,     0,   328,
     329,   330,     0,   331,   332,   333,     0,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,     0,   344,     0,
     345,   346,   347,   348,   349,     0,   350,     0,   351,   352,
       0,     0,     0,   355,   356,   357,   358,     0,   359,   360,
       0,   361,   362,   363,     0,   364,   365,   366,   367,   368,
       0,   370,   371,   372,   373,     0,   374,   375,   376,   377,
     378,   379,   380,   381,     0,   382,     0,   384,   385,   386,
     387,   388,   389,   390,     0,   391,     0,   392,     0,     0,
     395,     0,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,     0,     0,   410,   411,     0,
     413,     0,     0,   415,   416,   417,     0,     0,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,     0,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,     0,
     449,   450,     0,   452,     0,   453,   454,   455,   456,   457,
     458,     0,   459,   460,     0,     0,   461,   462,   463,     0,
       0,   464,   465,   466,     0,   468,     0,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,     0,   481,
     482,   483,   484,   485,   486,   487,   488,     0,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,     0,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,     0,   517,   518,
       0,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,   531,   532,   533,   534,   535,     0,   536,   537,
     538,   539,   540,     0,   541,   542,   543,   544,   545,     0,
     547,   548,   549,   550,     0,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   560,   561,   562,   563,   564,   565,
       0,   566,   567,     0,     0,   568,     0,   570,   571,   572,
     573,   574,     0,   575,   576,   577,     0,     0,   578,   579,
     580,   581,   582,     0,   583,   584,   585,   586,   587,   588,
     589,   590,     0,     0,   591,   592,   593,   594,   595,     0,
       0,   596,   597,   598,   599,   600,   601,   602,     0,   603,
       0,   605,   606,   607,   608,     0,     0,   609,     0,     0,
     610,   611,   612,   613,   614,   615,   616,   617,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
     637,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   235,   236,   237,
     238,   239,   240,   241,   242,   243,  1365,   244,   245,   246,
       0,     0,     0,     0,     0,     0,     0,   247,   248,   249,
       0,   250,   251,   252,   253,     0,   255,   256,   257,   258,
     259,     0,   261,   262,     0,   263,   264,   265,   266,   267,
     268,   269,     0,     0,   270,   271,   272,   273,   274,     0,
     275,   276,   277,   278,   279,     0,     0,     0,   281,   282,
     283,   284,   285,   286,     0,   288,   289,   290,     0,   291,
     292,   293,   294,   295,   296,     0,     0,   298,   299,   300,
       0,     0,     0,     0,     0,     0,     0,   302,   303,   304,
     305,   306,   307,   308,   309,   310,     0,   311,     0,   312,
     313,   314,   315,   316,   317,   318,     0,   319,   320,   321,
     322,     0,     0,   323,   324,   325,   326,   327,     0,   328,
     329,   330,     0,   331,   332,   333,     0,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,     0,   344,     0,
     345,   346,   347,   348,   349,     0,   350,     0,   351,   352,
       0,     0,     0,   355,   356,   357,   358,     0,   359,   360,
       0,   361,   362,   363,     0,   364,   365,   366,   367,   368,
       0,   370,   371,   372,   373,     0,   374,   375,   376,   377,
     378,   379,   380,   381,     0,   382,     0,   384,   385,   386,
     387,   388,   389,   390,     0,   391,     0,   392,     0,     0,
     395,     0,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,     0,     0,   410,   411,     0,
     413,     0,     0,   415,   416,   417,     0,     0,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,     0,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,     0,
     449,   450,     0,   452,     0,   453,   454,   455,   456,   457,
     458,     0,   459,   460,     0,     0,   461,   462,   463,     0,
       0,   464,   465,   466,     0,   468,     0,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,     0,   481,
     482,   483,   484,   485,   486,   487,   488,     0,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,     0,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,     0,   517,   518,
       0,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,   531,   532,   533,   534,   535,     0,   536,   537,
     538,   539,   540,     0,   541,   542,   543,   544,   545,     0,
     547,   548,   549,   550,     0,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   560,   561,   562,   563,   564,   565,
       0,   566,   567,     0,     0,   568,     0,   570,   571,   572,
     573,   574,     0,   575,   576,   577,     0,     0,   578,   579,
     580,   581,   582,     0,   583,   584,   585,   586,   587,   588,
     589,   590,     0,     0,   591,   592,   593,   594,   595,     0,
       0,   596,   597,   598,   599,   600,   601,   602,     0,   603,
       0,   605,   606,   607,   608,     0,     0,   609,     0,     0,
     610,   611,   612,   613,   614,   615,   616,   617,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
     637,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   235,   236,   237,
     238,   239,   240,   241,   242,   243,     0,   244,   245,   246,
       0,     0,     0,     0,     0,     0,     0,   247,   248,   249,
       0,   250,   251,   252,   253,  1376,   255,   256,   257,   258,
     259,     0,   261,   262,     0,   263,   264,   265,   266,   267,
     268,   269,     0,     0,   821,   271,   272,   273,  1377,     0,
     275,   276,   277,   278,   279,     0,     0,     0,   281,   282,
     283,   284,   285,   286,     0,   288,   289,   290,     0,   291,
     292,   293,   294,   295,   296,     0,     0,   298,   299,   300,
       0,     0,     0,     0,     0,     0,     0,   302,   303,   304,
     305,   306,   307,   308,   309,   310,     0,   311,     0,   312,
     313,   314,   315,   316,   317,   318,     0,   319,   320,   321,
     322,     0,     0,   323,   324,   325,   326,   327,     0,   328,
     329,   330,     0,   331,   332,   333,     0,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,     0,   344,     0,
     345,   346,   347,   348,   349,     0,   350,     0,   351,   352,
       0,     0,     0,   355,   356,   357,   358,     0,   359,   360,
       0,   361,   362,   363,     0,   364,   365,   366,   367,   368,
       0,   370,   371,   372,   373,     0,   374,   375,   376,   377,
     378,   379,   380,   381,     0,   382,     0,   384,   385,   386,
     387,   388,   389,   390,     0,   391,     0,   392,     0,     0,
     395,     0,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,     0,     0,   410,   411,     0,
     413,     0,     0,   415,   416,   417,     0,     0,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   824,   436,     0,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,     0,
     449,   450,     0,   452,     0,   453,   454,   455,   456,   457,
     458,     0,   459,   460,     0,     0,   461,   462,   463,     0,
       0,   464,   465,   466,     0,   468,     0,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,     0,   481,
     482,   483,   484,   485,   486,   487,   488,     0,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,     0,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,     0,   517,   518,
       0,   825,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   826,   531,   532,   533,   534,   535,     0,   536,   537,
     538,   539,  1369,     0,   541,   542,   543,   544,   545,     0,
     547,   548,   549,   550,     0,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   560,   561,   562,   563,   564,   565,
       0,   566,   567,     0,     0,   568,     0,   570,   571,   572,
     573,   574,     0,   575,   828,   577,     0,     0,   829,   579,
     580,   581,   582,     0,   583,   584,   585,   586,   587,   588,
     589,   590,     0,     0,   591,   592,   593,   594,   595,     0,
       0,   596,   597,   598,   599,   600,   601,   602,     0,   603,
       0,   605,   606,   607,   608,     0,     0,   609,     0,     0,
     610,   611,   612,   613,   614,   830,   616,   617,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
     637,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   235,   236,   237,
     238,   239,   240,   241,   242,   243,     0,   244,   245,   246,
       0,     0,     0,     0,     0,     0,     0,   247,   248,   249,
       0,   250,   251,   252,   253,     0,   255,   256,   257,   258,
     259,     0,   261,   262,     0,   263,   264,   265,   266,   267,
     268,   269,     0,     0,   270,   271,   272,   273,   274,     0,
     275,   276,   277,   278,   279,     0,     0,     0,   281,   282,
     283,   284,   285,   286,     0,   288,   289,   290,     0,   291,
     292,   293,   294,   295,   296,     0,     0,   298,   299,   300,
       0,     0,     0,     0,     0,     0,     0,   302,   303,   304,
     305,   306,   307,   308,   309,   310,     0,   311,     0,   312,
     313,   314,   315,   316,   317,   318,     0,   319,   320,   321,
     322,     0,     0,   323,   324,   325,   326,   327,     0,   328,
     329,   330,     0,   331,   332,   333,     0,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,     0,   344,     0,
     345,   346,   347,   348,   349,     0,   350,     0,   351,   352,
       0,     0,     0,   355,   356,   357,   358,     0,   359,   360,
       0,   361,   362,   363,     0,   364,   365,   366,   367,  1522,
       0,   370,   371,   372,   373,     0,   374,   375,   376,   377,
     378,   379,   380,   381,     0,   382,     0,   384,   385,   386,
     387,   388,   389,   390,     0,   391,     0,   392,     0,     0,
     395,     0,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,     0,     0,   410,   411,     0,
     413,     0,     0,   415,   416,   417,     0,     0,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,     0,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,     0,
     449,   450,     0,   452,     0,   453,   454,   455,   456,   457,
     458,     0,   459,   460,     0,   841,   461,   462,   463,     0,
       0,   464,   465,   466,     0,   468,     0,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,     0,   481,
     482,   483,   484,   485,   486,   487,   488,     0,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,     0,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,     0,   517,   518,
       0,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,   531,   532,   533,   534,   535,     0,   536,   537,
     538,   539,   540,     0,   541,   542,   543,   544,   545,     0,
     547,   548,   549,   550,     0,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   560,   561,   562,   563,   564,   565,
       0,   566,   567,     0,     0,   568,     0,   570,   571,   572,
     573,   574,     0,   575,   576,   577,     0,     0,   578,   579,
     580,   581,   582,     0,   583,   584,   585,   586,   587,   588,
     589,   590,     0,     0,   591,   592,   593,   594,   595,     0,
       0,   596,   597,   598,   599,   600,   601,   602,     0,   603,
       0,   605,   606,   607,   608,     0,     0,   609,     0,     0,
     610,   611,   612,   613,   614,   615,   616,   617,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
     637,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   235,   236,   237,
     238,   239,   240,   241,   242,   243,  1583,   244,   245,   246,
       0,     0,     0,     0,     0,     0,     0,   247,   248,   249,
       0,   250,   251,   252,   253,     0,   255,   256,   257,   258,
     259,     0,   261,   262,     0,   263,   264,   265,   266,   267,
     268,   269,     0,     0,   270,   271,   272,   273,   274,     0,
     275,   276,   277,   278,   279,     0,     0,     0,   281,   282,
     283,   284,   285,   286,     0,   288,   289,   290,     0,   291,
     292,   293,   294,   295,   296,     0,     0,   298,   299,   300,
       0,     0,     0,     0,     0,     0,     0,   302,   303,   304,
     305,   306,   307,   308,   309,   310,     0,   311,     0,   312,
     313,   314,   315,   316,   317,   318,     0,   319,   320,   321,
     322,     0,     0,   323,   324,   325,   326,   327,     0,   328,
     329,   330,     0,   331,   332,   333,     0,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,     0,   344,     0,
     345,   346,   347,   348,   349,     0,   350,     0,   351,   352,
       0,     0,     0,   355,   356,   357,   358,     0,   359,   360,
       0,   361,   362,   363,     0,   364,   365,   366,   367,  1584,
       0,   370,   371,   372,   373,     0,   374,   375,   376,   377,
     378,   379,   380,   381,     0,   382,     0,   384,   385,   386,
     387,   388,   389,   390,     0,   391,     0,   392,     0,     0,
     395,     0,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,     0,     0,   410,   411,     0,
     413,     0,     0,   415,   416,   417,     0,     0,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,     0,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,     0,
     449,   450,     0,   452,     0,   453,   454,   455,   456,   457,
     458,     0,   459,   460,     0,     0,   461,   462,   463,     0,
       0,   464,   465,   466,     0,   468,     0,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,     0,   481,
     482,   483,   484,   485,   486,   487,   488,     0,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,     0,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,     0,   517,   518,
       0,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,   531,   532,   533,   534,   535,     0,   536,   537,
     538,   539,   540,     0,   541,   542,   543,   544,   545,     0,
     547,   548,   549,   550,     0,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   560,   561,   562,   563,   564,   565,
       0,   566,   567,     0,     0,   568,     0,   570,   571,   572,
     573,   574,     0,   575,   576,   577,     0,     0,   578,   579,
     580,   581,   582,     0,   583,   584,   585,   586,   587,   588,
     589,   590,     0,     0,   591,   592,   593,   594,   595,     0,
       0,   596,   597,   598,   599,   600,   601,   602,     0,   603,
       0,   605,   606,   607,   608,     0,     0,   609,     0,     0,
     610,   611,   612,   613,   614,   615,   616,   617,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
     637,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   801,   244,   245,   246,
       0,     0,     0,     0,     0,     0,     0,   247,   248,   249,
       0,   250,   251,   252,   253,     0,   255,   256,   257,   258,
     259,     0,   261,   262,     0,   263,   264,   265,   266,   267,
     268,   269,     0,     0,   270,   271,   272,   273,   274,     0,
     275,   276,   277,   278,   279,     0,     0,     0,   281,   282,
     283,   284,   285,   286,     0,   288,   289,   290,     0,   291,
     292,   293,   294,   295,   296,     0,     0,   298,   299,   300,
       0,     0,     0,     0,     0,     0,     0,   302,   303,   304,
     305,   306,   307,   308,   309,   310,     0,   311,     0,   312,
     313,   314,   315,   316,   317,   318,     0,   319,   320,   321,
     322,     0,     0,   323,   324,   325,   326,   327,     0,   328,
     329,   330,     0,   331,   332,   333,     0,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,     0,   344,     0,
     345,   346,   347,   348,   349,     0,   350,     0,   351,   352,
       0,     0,     0,   355,   356,   357,   358,     0,   359,   360,
       0,   361,   362,   363,     0,   364,   365,   366,   367,   368,
       0,   370,   371,   372,   373,     0,   374,   375,   376,   377,
     378,   379,   380,   381,     0,   382,     0,   384,   385,   386,
     387,   388,   389,   390,     0,   391,     0,   392,     0,     0,
     395,     0,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,     0,     0,   410,   411,     0,
     413,     0,     0,   415,   416,   417,     0,     0,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,     0,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,     0,
     449,   450,     0,   452,     0,   453,   454,   455,   456,   457,
     458,     0,   459,   460,     0,     0,   461,   462,   463,     0,
       0,   464,   465,   466,     0,   468,     0,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,     0,   481,
     482,   483,   484,   485,   486,   487,   488,     0,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,     0,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,     0,   517,   518,
       0,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,   531,   532,   533,   534,   535,     0,   536,   537,
     538,   539,   540,     0,   541,   542,   543,   544,   545,     0,
     547,   548,   549,   550,     0,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   560,   561,   562,   563,   564,   565,
       0,   566,   567,     0,     0,   568,     0,   570,   571,   572,
     573,   574,     0,   575,   576,   577,     0,     0,   578,   579,
     580,   581,   582,     0,   583,   584,   585,   586,   587,   588,
     589,   590,     0,     0,   591,   592,   593,   594,   595,     0,
       0,   596,   597,   598,   599,   600,   601,   602,     0,   603,
       0,   605,   606,   607,   608,     0,     0,   609,     0,     0,
     610,   611,   612,   613,   614,   615,   616,   617,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
     637,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   235,   236,   237,
     238,   239,   240,   241,   242,   243,     0,   244,   245,   246,
       0,     0,     0,     0,     0,     0,     0,   247,   248,   249,
       0,   250,   251,   252,   253,     0,   255,   256,   257,   258,
     259,     0,   261,   262,     0,   263,   264,   265,   266,   267,
     268,   269,     0,     0,   270,   271,   272,   273,   274,     0,
     275,   276,   277,   278,   279,     0,     0,     0,   281,   282,
     283,   284,   285,   286,     0,   288,   289,   290,     0,   291,
     292,   293,   294,   295,   296,     0,     0,   298,   299,   300,
       0,     0,     0,     0,     0,     0,     0,   302,   303,   304,
     305,   306,   307,   308,   309,   310,     0,   311,     0,   312,
     313,   314,   315,   316,   317,   318,     0,   319,   320,   321,
     322,     0,     0,   323,   324,   325,   326,   327,     0,   328,
     329,   330,     0,   331,   332,   333,     0,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,     0,   344,     0,
     345,   346,   347,   348,   349,     0,   350,     0,   351,   352,
       0,     0,     0,   355,   356,   357,  3360,     0,   359,   360,
       0,   361,   362,   363,     0,   364,   365,   366,   367,   368,
       0,   370,   371,   372,   373,     0,   374,   375,   376,   377,
     378,   379,   380,   381,     0,   382,     0,   384,   385,   386,
     387,   388,   389,   390,     0,   391,     0,   392,     0,     0,
     395,     0,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,     0,     0,   410,   411,     0,
     413,     0,     0,   415,   416,  3361,     0,     0,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,     0,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,     0,
     449,   450,     0,   452,     0,   453,   454,   455,   456,   457,
     458,     0,   459,   460,     0,     0,   461,   462,   463,     0,
       0,   464,   465,   466,     0,   468,     0,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,     0,   481,
     482,   483,   484,   485,   486,   487,   488,     0,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,     0,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,     0,   517,   518,
       0,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,   531,   532,   533,   534,   535,     0,   536,   537,
     538,   539,   540,     0,   541,   542,   543,   544,   545,     0,
     547,   548,   549,   550,     0,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   560,   561,   562,   563,   564,   565,
       0,   566,   567,     0,  3362,   568,     0,   570,  3363,   572,
    3364,   574,     0,   575,   576,   577,     0,     0,   578,   579,
     580,   581,   582,     0,   583,   584,   585,   586,   587,   588,
     589,   590,     0,     0,   591,   592,  3365,   594,   595,     0,
       0,   596,   597,   598,   599,   600,   601,   602,     0,   603,
       0,   605,   606,   607,   608,     0,     0,   609,     0,     0,
     610,   611,   612,   613,   614,   615,   616,   617,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
     637,     0,     0,   696,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   235,   236,   237,
     238,   239,   240,   241,   242,   243,     0,   244,   245,   246,
       0,     0,     0,     0,     0,     0,     0,   247,   248,   249,
       0,   250,   251,   252,   253,     0,   255,   256,   257,   258,
     259,     0,   261,   262,     0,   263,   264,   265,   266,   267,
     268,   269,     0,     0,   270,   271,   272,   273,   274,     0,
     275,   276,   277,   278,   279,     0,     0,     0,   281,   282,
     283,   284,   285,   286,     0,   288,   289,   290,     0,   291,
     292,   293,   294,   295,   296,     0,     0,   298,   299,   300,
       0,     0,     0,     0,     0,     0,     0,   302,   303,   304,
     305,   306,   307,   308,   309,   310,     0,   311,     0,   312,
     313,   314,   315,   316,   317,   318,     0,   319,   320,   321,
     322,     0,     0,   323,   324,   325,   326,   327,     0,   328,
     329,   330,     0,   331,   332,   333,     0,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,     0,   344,     0,
     345,   346,   347,   348,   349,     0,   350,     0,   351,   352,
       0,     0,     0,   355,   356,   357,   358,     0,   359,   360,
       0,   361,   362,   363,     0,   364,   365,   366,   367,   368,
       0,   370,   371,   372,   373,     0,   374,   375,   376,   377,
     378,   379,   380,   381,     0,   382,     0,   384,   385,   386,
     387,   388,   389,   390,     0,   391,     0,   392,     0,     0,
     395,     0,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,     0,     0,   410,   411,     0,
     413,     0,     0,   415,   416,   417,     0,     0,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,     0,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,     0,
     449,   450,     0,   452,     0,   453,   454,   455,   456,   457,
     458,     0,   459,   460,     0,     0,   461,   462,   463,     0,
       0,   464,   465,   466,     0,   468,     0,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,     0,   481,
     482,   483,   484,   485,   486,   487,   488,     0,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,     0,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,     0,   517,   518,
       0,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,   531,   532,   533,   534,   535,     0,   536,   537,
     538,   539,   540,     0,   541,   542,   543,   544,   545,     0,
     547,   548,   549,   550,     0,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   560,   561,   562,   563,   564,   565,
       0,   566,   567,     0,     0,   568,     0,   570,   571,   572,
     573,   574,     0,   575,   576,   577,     0,     0,   578,   579,
     580,   581,   582,     0,   583,   584,   585,   586,   587,   588,
     589,   590,     0,     0,   591,   592,   593,   594,   595,     0,
       0,   596,   597,   598,   599,   600,   601,   602,     0,   603,
       0,   605,   606,   607,   608,     0,     0,   609,     0,     0,
     610,   611,   612,   613,   614,   615,   616,   617,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
     637,     0,     0,     0,     0,     0,     0,     0,   757,     0,
       0,     0,     0,     0,     0,     0,     0,   235,   236,   237,
     238,   239,   240,   241,   242,   243,     0,   244,   245,   246,
       0,     0,     0,     0,     0,     0,     0,   247,   248,   249,
       0,   250,   251,   252,   253,     0,   255,   256,   257,   258,
     259,     0,   261,   262,     0,   263,   264,   265,   266,   267,
     268,   269,     0,     0,   270,   271,   272,   273,   274,     0,
     275,   276,   277,   278,   279,     0,     0,     0,   281,   282,
     283,   284,   285,   286,     0,   288,   289,   290,     0,   291,
     292,   293,   294,   295,   296,     0,     0,   298,   299,   300,
       0,     0,     0,     0,     0,     0,     0,   302,   303,   304,
     305,   306,   307,   308,   309,   310,     0,   311,     0,   312,
     313,   314,   315,   316,   317,   318,     0,   319,   320,   321,
     322,     0,     0,   323,   324,   325,   326,   327,     0,   328,
     329,   330,     0,   331,   332,   333,     0,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,     0,   344,     0,
     345,   346,   347,   348,   349,     0,   350,     0,   351,   352,
       0,     0,     0,   355,   356,   357,   358,     0,   359,   360,
       0,   361,   362,   363,     0,   364,   365,   366,   367,   368,
       0,   370,   371,   372,   373,     0,   374,   375,   376,   377,
     378,   379,   380,   381,     0,   382,     0,   384,   385,   386,
     387,   388,   389,   390,     0,   391,     0,   392,     0,     0,
     395,     0,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,     0,     0,   410,   411,     0,
     413,     0,     0,   415,   416,   417,     0,     0,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,     0,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,     0,
     449,   450,     0,   452,     0,   453,   454,   455,   456,   457,
     458,     0,   459,   460,     0,     0,   461,   462,   463,     0,
       0,   464,   465,   466,     0,   468,     0,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,     0,   481,
     482,   483,   484,   485,   486,   487,   488,     0,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,     0,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,     0,   517,   518,
       0,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,   531,   532,   533,   534,   535,     0,   536,   537,
     538,   539,   540,     0,   541,   542,   543,   544,   545,     0,
     547,   548,   549,   550,     0,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   560,   561,   562,   563,   564,   565,
       0,   566,   567,     0,     0,   568,     0,   570,   571,   572,
     573,   574,     0,   575,   576,   577,     0,     0,   578,   579,
     580,   581,   582,     0,   583,   584,   585,   586,   587,   588,
     589,   590,     0,     0,   591,   592,   593,   594,   595,     0,
       0,   596,   597,   598,   599,   600,   601,   602,     0,   603,
       0,   605,   606,   607,   608,     0,     0,   609,     0,     0,
     610,   611,   612,   613,   614,   615,   616,   617,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
     637,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   235,   236,   237,
     238,   239,   240,   241,   242,   243,     0,   244,   245,   246,
       0,     0,     0,     0,     0,  4175,     0,   247,   248,   249,
       0,   250,   251,   252,   253,     0,   255,   256,   257,   258,
     259,     0,   261,   262,     0,   263,   264,   265,   266,   267,
     268,   269,     0,     0,   270,   271,   272,   273,   274,     0,
     275,   276,   277,   278,   279,     0,     0,     0,   281,   282,
     283,   284,   285,   286,     0,   288,   289,   290,     0,   291,
     292,   293,   294,   295,   296,     0,     0,   298,   299,   300,
       0,     0,     0,     0,     0,     0,     0,   302,   303,   304,
     305,   306,   307,   308,   309,   310,     0,   311,     0,   312,
     313,   314,   315,   316,   317,   318,     0,   319,   320,   321,
     322,     0,     0,   323,   324,   325,   326,   327,     0,   328,
     329,   330,     0,   331,   332,   333,     0,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,     0,   344,     0,
     345,   346,   347,   348,   349,     0,   350,     0,   351,   352,
       0,     0,     0,   355,   356,   357,   358,     0,   359,   360,
       0,   361,   362,   363,     0,   364,   365,   366,   367,   368,
       0,   370,   371,   372,   373,     0,   374,   375,   376,   377,
     378,   379,   380,   381,     0,   382,     0,   384,   385,   386,
     387,   388,   389,   390,     0,   391,     0,   392,     0,     0,
     395,     0,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,     0,     0,   410,   411,     0,
     413,     0,     0,   415,   416,   417,     0,     0,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,     0,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,     0,
     449,   450,     0,   452,     0,   453,   454,   455,   456,   457,
     458,     0,   459,   460,     0,     0,   461,   462,   463,     0,
       0,   464,   465,   466,     0,   468,     0,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,     0,   481,
     482,   483,   484,   485,   486,   487,   488,     0,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,     0,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,     0,   517,   518,
       0,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,   531,   532,   533,   534,   535,     0,   536,   537,
     538,   539,   540,     0,   541,   542,   543,   544,   545,     0,
     547,   548,   549,   550,     0,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   560,   561,   562,   563,   564,   565,
       0,   566,   567,     0,     0,   568,     0,   570,   571,   572,
     573,   574,     0,   575,   576,   577,     0,     0,   578,   579,
     580,   581,   582,     0,   583,   584,   585,   586,   587,   588,
     589,   590,     0,     0,   591,   592,   593,   594,   595,     0,
       0,   596,   597,   598,   599,   600,   601,   602,     0,   603,
       0,   605,   606,   607,   608,     0,     0,   609,     0,     0,
     610,   611,   612,   613,   614,   615,   616,   617,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
     637,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   235,   236,   237,
     238,   239,   240,   241,   242,   243,     0,   244,   245,   246,
       0,     0,     0,     0,     0,  4189,     0,   247,   248,   249,
       0,   250,   251,   252,   253,     0,   255,   256,   257,   258,
     259,     0,   261,   262,     0,   263,   264,   265,   266,   267,
     268,   269,     0,     0,   270,   271,   272,   273,   274,     0,
     275,   276,   277,   278,   279,     0,     0,     0,   281,   282,
     283,   284,   285,   286,     0,   288,   289,   290,     0,   291,
     292,   293,   294,   295,   296,     0,     0,   298,   299,   300,
       0,     0,     0,     0,     0,     0,     0,   302,   303,   304,
     305,   306,   307,   308,   309,   310,     0,   311,     0,   312,
     313,   314,   315,   316,   317,   318,     0,   319,   320,   321,
     322,     0,     0,   323,   324,   325,   326,   327,     0,   328,
     329,   330,     0,   331,   332,   333,     0,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,     0,   344,     0,
     345,   346,   347,   348,   349,     0,   350,     0,   351,   352,
       0,     0,     0,   355,   356,   357,   358,     0,   359,   360,
       0,   361,   362,   363,     0,   364,   365,   366,   367,   368,
       0,   370,   371,   372,   373,     0,   374,   375,   376,   377,
     378,   379,   380,   381,     0,   382,     0,   384,   385,   386,
     387,   388,   389,   390,     0,   391,     0,   392,     0,     0,
     395,     0,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,     0,     0,   410,   411,     0,
     413,     0,     0,   415,   416,   417,     0,     0,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,     0,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,     0,
     449,   450,     0,   452,     0,   453,   454,   455,   456,   457,
     458,     0,   459,   460,     0,     0,   461,   462,   463,     0,
       0,   464,   465,   466,     0,   468,     0,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,     0,   481,
     482,   483,   484,   485,   486,   487,   488,     0,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,     0,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,     0,   517,   518,
       0,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,   531,   532,   533,   534,   535,     0,   536,   537,
     538,   539,   540,     0,   541,   542,   543,   544,   545,     0,
     547,   548,   549,   550,     0,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   560,   561,   562,   563,   564,   565,
       0,   566,   567,     0,     0,   568,     0,   570,   571,   572,
     573,   574,     0,   575,   576,   577,     0,     0,   578,   579,
     580,   581,   582,     0,   583,   584,   585,   586,   587,   588,
     589,   590,     0,     0,   591,   592,   593,   594,   595,     0,
       0,   596,   597,   598,   599,   600,   601,   602,     0,   603,
       0,   605,   606,   607,   608,     0,     0,   609,     0,     0,
     610,   611,   612,   613,   614,   615,   616,   617,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
     637,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   235,   236,   237,
     238,   239,   240,   241,   242,   243,     0,   244,   245,   246,
       0,     0,     0,     0,     0,     0,     0,   247,   248,   249,
       0,   250,   251,   252,   253,     0,   255,   256,   257,   258,
     259,     0,   261,   262,     0,   263,   264,   265,   266,   267,
     268,   269,     0,     0,   270,   271,   272,   273,   274,     0,
     275,   276,   277,   278,   279,     0,     0,     0,   281,   282,
     283,   284,   285,   286,     0,   288,   289,   290,     0,   291,
     292,   293,   294,   295,   296,     0,     0,   298,   299,   300,
       0,     0,     0,     0,     0,     0,     0,   302,   303,   304,
     305,   306,   307,   308,   309,   310,  4331,   311,     0,   312,
     313,   314,   315,   316,   317,   318,     0,   319,   320,   321,
     322,     0,     0,   323,   324,   325,   326,   327,     0,   328,
     329,   330,     0,   331,   332,   333,     0,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,     0,   344,     0,
     345,   346,   347,   348,   349,     0,   350,     0,   351,   352,
       0,     0,     0,   355,   356,   357,   358,     0,   359,   360,
       0,   361,   362,   363,     0,   364,   365,   366,   367,   368,
       0,   370,   371,   372,   373,     0,   374,   375,   376,   377,
     378,   379,   380,   381,     0,   382,     0,   384,   385,   386,
     387,   388,   389,   390,     0,   391,     0,   392,     0,     0,
     395,     0,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,     0,     0,   410,   411,     0,
     413,     0,     0,   415,   416,   417,     0,     0,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,     0,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,     0,
     449,   450,     0,   452,     0,   453,   454,   455,   456,   457,
     458,     0,   459,   460,     0,     0,   461,   462,   463,     0,
       0,   464,   465,   466,     0,   468,     0,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,     0,   481,
     482,   483,   484,   485,   486,   487,   488,     0,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,     0,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,     0,   517,   518,
       0,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,   531,   532,   533,   534,   535,     0,   536,   537,
     538,   539,   540,     0,   541,   542,   543,   544,   545,     0,
     547,   548,   549,   550,     0,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   560,   561,   562,   563,   564,   565,
       0,   566,   567,     0,     0,   568,     0,   570,   571,   572,
     573,   574,     0,   575,   576,   577,     0,     0,   578,   579,
     580,   581,   582,     0,   583,   584,   585,   586,   587,   588,
     589,   590,     0,     0,   591,   592,   593,   594,   595,     0,
       0,   596,   597,   598,   599,   600,   601,   602,     0,   603,
       0,   605,   606,   607,   608,     0,     0,   609,     0,     0,
     610,   611,   612,   613,   614,   615,   616,   617,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
     637,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   235,   236,   237,
     238,   239,   240,   241,   242,   243,     0,   244,   245,   246,
       0,     0,     0,     0,     0,     0,     0,   247,   248,   249,
       0,   250,   251,   252,   253,     0,   255,   256,   257,   258,
     259,     0,   261,   262,     0,   263,   264,   265,   266,   267,
     268,   269,     0,     0,   270,   271,   272,   273,   274,     0,
     275,   276,   277,   278,   279,     0,     0,     0,   281,   282,
     283,   284,   285,   286,     0,   288,   289,   290,     0,   291,
     292,   293,   294,   295,   296,     0,     0,   298,   299,   300,
       0,     0,     0,     0,     0,     0,     0,   302,   303,   304,
     305,   306,   307,   308,   309,   310,  4849,   311,     0,   312,
     313,   314,   315,   316,   317,   318,     0,   319,   320,   321,
     322,     0,     0,   323,   324,   325,   326,   327,     0,   328,
     329,   330,     0,   331,   332,   333,     0,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,     0,   344,     0,
     345,   346,   347,   348,   349,     0,   350,     0,   351,   352,
       0,     0,     0,   355,   356,   357,   358,     0,   359,   360,
       0,   361,   362,   363,     0,   364,   365,   366,   367,   368,
       0,   370,   371,   372,   373,     0,   374,   375,   376,   377,
     378,   379,   380,   381,     0,   382,     0,   384,   385,   386,
     387,   388,   389,   390,     0,   391,     0,   392,     0,     0,
     395,     0,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,     0,     0,   410,   411,     0,
     413,     0,     0,   415,   416,   417,     0,     0,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,     0,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,     0,
     449,   450,     0,   452,     0,   453,   454,   455,   456,   457,
     458,     0,   459,   460,     0,     0,   461,   462,   463,     0,
       0,   464,   465,   466,     0,   468,     0,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,     0,   481,
     482,   483,   484,   485,   486,   487,   488,     0,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,     0,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,     0,   517,   518,
       0,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,   531,   532,   533,   534,   535,     0,   536,   537,
     538,   539,   540,     0,   541,   542,   543,   544,   545,     0,
     547,   548,   549,   550,     0,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   560,   561,   562,   563,   564,   565,
       0,   566,   567,     0,     0,   568,     0,   570,   571,   572,
     573,   574,     0,   575,   576,   577,     0,     0,   578,   579,
     580,   581,   582,     0,   583,   584,   585,   586,   587,   588,
     589,   590,     0,     0,   591,   592,   593,   594,   595,     0,
       0,   596,   597,   598,   599,   600,   601,   602,     0,   603,
       0,   605,   606,   607,   608,     0,     0,   609,     0,     0,
     610,   611,   612,   613,   614,   615,   616,   617,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
     637,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   235,   236,   237,
     238,   239,   240,   241,   242,   243,     0,   244,   245,   246,
       0,     0,     0,     0,     0,     0,     0,   247,   248,   249,
       0,   250,   251,   252,   253,     0,   255,   256,   257,   258,
     259,     0,   261,   262,     0,   263,   264,   265,   266,   267,
     268,   269,     0,     0,   270,   271,   272,   273,   274,     0,
     275,   276,   277,   278,   279,     0,     0,     0,   281,   282,
     283,   284,   285,   286,     0,   288,   289,   290,     0,   291,
     292,   293,   294,   295,   296,     0,     0,   298,   299,   300,
       0,     0,     0,  4922,     0,     0,     0,   302,   303,   304,
     305,   306,   307,   308,   309,   310,     0,   311,     0,   312,
     313,   314,   315,   316,   317,   318,     0,   319,   320,   321,
     322,     0,     0,   323,   324,   325,   326,   327,     0,   328,
     329,   330,     0,   331,   332,   333,     0,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,     0,   344,     0,
     345,   346,   347,   348,   349,     0,   350,     0,   351,   352,
       0,     0,     0,   355,   356,   357,   358,     0,   359,   360,
       0,   361,   362,   363,     0,   364,   365,   366,   367,   368,
       0,   370,   371,   372,   373,     0,   374,   375,   376,   377,
     378,   379,   380,   381,     0,   382,     0,   384,   385,   386,
     387,   388,   389,   390,     0,   391,     0,   392,     0,     0,
     395,     0,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,     0,     0,   410,   411,     0,
     413,     0,     0,   415,   416,   417,     0,     0,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,     0,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,     0,
     449,   450,     0,   452,     0,   453,   454,   455,   456,   457,
     458,     0,   459,   460,     0,     0,   461,   462,   463,     0,
       0,   464,   465,   466,     0,   468,     0,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,     0,   481,
     482,   483,   484,   485,   486,   487,   488,     0,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,     0,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,     0,   517,   518,
       0,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,   531,   532,   533,   534,   535,     0,   536,   537,
     538,   539,   540,     0,   541,   542,   543,   544,   545,     0,
     547,   548,   549,   550,     0,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   560,   561,   562,   563,   564,   565,
       0,   566,   567,     0,     0,   568,     0,   570,   571,   572,
     573,   574,     0,   575,   576,   577,     0,     0,   578,   579,
     580,   581,   582,     0,   583,   584,   585,   586,   587,   588,
     589,   590,     0,     0,   591,   592,   593,   594,   595,     0,
       0,   596,   597,   598,   599,   600,   601,   602,     0,   603,
       0,   605,   606,   607,   608,     0,     0,   609,     0,     0,
     610,   611,   612,   613,   614,   615,   616,   617,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
     637,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   235,   236,   237,
     238,   239,   240,   241,   242,   243,     0,   244,   245,   246,
       0,     0,     0,     0,     0,     0,     0,   247,   248,   249,
       0,   250,   251,   252,   253,     0,   255,   256,   257,   258,
     259,     0,   261,   262,     0,   263,   264,   265,   266,   267,
     268,   269,     0,     0,   270,   271,   272,   273,   274,     0,
     275,   276,   277,   278,   279,     0,     0,     0,   281,   282,
     283,   284,   285,   286,     0,   288,   289,   290,     0,   291,
     292,   293,   294,   295,   296,     0,     0,   298,   299,   300,
       0,     0,     0,     0,     0,     0,     0,   302,   303,   304,
     305,   306,   307,   308,   309,   310,  5276,   311,     0,   312,
     313,   314,   315,   316,   317,   318,     0,   319,   320,   321,
     322,     0,     0,   323,   324,   325,   326,   327,     0,   328,
     329,   330,     0,   331,   332,   333,     0,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,     0,   344,     0,
     345,   346,   347,   348,   349,     0,   350,     0,   351,   352,
       0,     0,     0,   355,   356,   357,   358,     0,   359,   360,
       0,   361,   362,   363,     0,   364,   365,   366,   367,   368,
       0,   370,   371,   372,   373,     0,   374,   375,   376,   377,
     378,   379,   380,   381,     0,   382,     0,   384,   385,   386,
     387,   388,   389,   390,     0,   391,     0,   392,     0,     0,
     395,     0,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,     0,     0,   410,   411,     0,
     413,     0,     0,   415,   416,   417,     0,     0,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,     0,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,     0,
     449,   450,     0,   452,     0,   453,   454,   455,   456,   457,
     458,     0,   459,   460,     0,     0,   461,   462,   463,     0,
       0,   464,   465,   466,     0,   468,     0,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,     0,   481,
     482,   483,   484,   485,   486,   487,   488,     0,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,     0,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,     0,   517,   518,
       0,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,   531,   532,   533,   534,   535,     0,   536,   537,
     538,   539,   540,     0,   541,   542,   543,   544,   545,     0,
     547,   548,   549,   550,     0,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   560,   561,   562,   563,   564,   565,
       0,   566,   567,     0,     0,   568,     0,   570,   571,   572,
     573,   574,     0,   575,   576,   577,     0,     0,   578,   579,
     580,   581,   582,     0,   583,   584,   585,   586,   587,   588,
     589,   590,     0,     0,   591,   592,   593,   594,   595,     0,
       0,   596,   597,   598,   599,   600,   601,   602,     0,   603,
       0,   605,   606,   607,   608,     0,     0,   609,     0,     0,
     610,   611,   612,   613,   614,   615,   616,   617,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
     637,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   235,   236,   237,
     238,   239,   240,   241,   242,   243,     0,   244,   245,   246,
       0,     0,     0,     0,     0,     0,     0,   247,   248,   249,
       0,   250,   251,   252,   253,     0,   255,   256,   257,   258,
     259,     0,   261,   262,     0,   263,   264,   265,   266,   267,
     268,   269,     0,     0,   270,   271,   272,   273,   274,     0,
     275,   276,   277,   278,   279,     0,     0,     0,   281,   282,
     283,   284,   285,   286,     0,   288,   289,   290,     0,   291,
     292,   293,   294,   295,   296,     0,     0,   298,   299,   300,
       0,     0,     0,     0,     0,     0,     0,   302,   303,   304,
     305,   306,   307,   308,   309,   310,     0,   311,     0,   312,
     313,   314,   315,   316,   317,   318,     0,   319,   320,   321,
     322,     0,     0,   323,   324,   325,   326,   327,     0,   328,
     329,   330,     0,   331,   332,   333,     0,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,     0,   344,     0,
     345,   346,   347,   348,   349,     0,   350,     0,   351,   352,
       0,     0,     0,   355,   356,   357,   358,     0,   359,   360,
       0,   361,   362,   363,     0,   364,   365,   366,   367,   368,
       0,   370,   371,   372,   373,     0,   374,   375,   376,   377,
     378,   379,   380,   381,     0,   382,     0,   384,   385,   386,
     387,   388,   389,   390,     0,   391,     0,   392,     0,     0,
     395,     0,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,     0,     0,   410,   411,     0,
     413,     0,     0,   415,   416,   417,     0,     0,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,     0,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,     0,
     449,   450,     0,   452,     0,   453,   454,   455,   456,   457,
     458,     0,   459,   460,     0,     0,   461,   462,   463,     0,
       0,   464,   465,   466,     0,   468,     0,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,     0,   481,
     482,   483,   484,   485,   486,   487,   488,     0,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,     0,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,     0,   517,   518,
       0,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,   531,   532,   533,   534,   535,     0,   536,   537,
     538,   539,   540,     0,   541,   542,   543,   544,   545,     0,
     547,   548,   549,   550,     0,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   560,   561,   562,   563,   564,   565,
       0,   566,   567,     0,     0,   568,     0,   570,   571,   572,
     573,   574,     0,   575,   576,   577,     0,     0,   578,   579,
     580,   581,   582,     0,   583,   584,   585,   586,   587,   588,
     589,   590,     0,     0,   591,   592,   593,   594,   595,     0,
       0,   596,   597,   598,   599,   600,   601,   602,     0,   603,
       0,   605,   606,   607,   608,     0,     0,   609,     0,     0,
     610,   611,   612,   613,   614,   615,   616,   617,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
     637,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   235,   236,   237,
     238,   239,   240,   241,   242,   243,     0,   244,   245,   246,
       0,     0,     0,     0,     0,     0,     0,   247,   248,   249,
       0,   250,   251,   252,   253,     0,   255,   256,   257,   258,
     259,     0,   261,   262,     0,   263,   264,   265,   266,   267,
     268,   269,     0,     0,   270,   271,   272,   273,   274,     0,
     275,   276,   277,   278,   279,     0,     0,     0,   281,   282,
     283,   284,   285,   286,     0,   288,   289,   290,     0,   291,
     292,   293,   294,   295,   296,     0,     0,   298,   299,   300,
       0,     0,     0,     0,     0,     0,     0,   302,   303,   304,
     305,   306,   307,   308,   309,   310,     0,   311,     0,   312,
     313,   314,   315,   316,   317,   318,     0,   319,   320,   321,
     322,     0,     0,   323,   324,   325,   326,   327,     0,   328,
     329,   330,     0,   331,   332,   333,     0,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,     0,   344,     0,
     345,   346,   347,   348,   349,     0,   350,     0,   351,   352,
       0,     0,     0,   355,   356,   357,   358,     0,   359,   360,
       0,   361,   362,   363,     0,   364,   365,   366,   367,   368,
       0,   370,   371,   372,   373,     0,   374,   375,   376,   377,
     378,   379,   380,   381,     0,   382,     0,   384,   385,   386,
     387,   388,   389,   390,     0,   391,     0,   392,     0,     0,
     395,     0,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,     0,     0,   410,   411,     0,
     413,     0,     0,   415,   416,   417,     0,     0,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,     0,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,     0,
     449,   450,     0,   452,     0,   453,   454,   455,   456,   457,
     458,     0,   459,   460,     0,     0,   461,   462,   463,     0,
       0,   464,   465,   466,     0,   468,     0,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,     0,   481,
     482,   483,   484,   485,   486,   487,   488,     0,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,     0,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,     0,   517,   518,
       0,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,   531,   532,   533,   534,   535,     0,   536,   537,
     538,   539,   540,     0,   541,   542,   543,   544,   545,     0,
     547,   548,   549,   550,     0,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   560,   561,   562,   563,   564,   565,
       0,   566,   567,     0,     0,   568,     0,   570,   571,   572,
     573,   574,     0,   575,   576,   577,     0,     0,   793,   579,
     580,   581,   582,     0,   583,   584,   585,   586,   587,   588,
     589,   590,     0,     0,   591,   592,   593,   594,   595,     0,
       0,   596,   597,   598,   599,   600,   601,   602,     0,   603,
       0,   605,   606,   607,   608,     0,     0,   609,     0,     0,
     610,   611,   612,   613,   614,   615,   616,   617,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
     637,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   235,   236,   237,
     238,   239,   240,   241,   242,   243,     0,   244,   245,   246,
       0,     0,     0,     0,     0,     0,     0,   247,   248,   249,
       0,   250,   251,   252,   253,     0,   255,   256,   257,   258,
     259,     0,   261,   262,     0,   263,   264,   265,   266,   267,
     268,   269,     0,     0,   270,   271,   272,   273,   274,     0,
     275,   276,   277,   278,   279,     0,     0,     0,   281,   282,
     283,   284,   285,   286,     0,   288,   289,   290,     0,   291,
     292,   293,   294,   295,   296,     0,     0,   298,   299,   300,
       0,     0,     0,     0,     0,     0,     0,   302,   303,   304,
     305,   306,   307,   308,   309,   310,     0,   311,     0,   312,
     313,   314,   315,   316,   317,   318,     0,   319,   320,   321,
     322,     0,     0,   323,   324,   325,   326,   327,     0,   328,
     329,   330,     0,   331,   332,   333,     0,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,     0,   344,     0,
     345,   346,   347,   348,   349,     0,   350,     0,   351,   352,
       0,     0,     0,   355,   356,   357,   358,     0,   359,   360,
       0,   361,   362,   363,     0,   364,   365,   366,   367,   368,
       0,   370,   371,   372,   373,     0,   374,   375,   376,   377,
     378,   379,   380,   381,     0,   382,     0,   384,   385,   386,
     387,   388,   389,   390,     0,   391,     0,   392,     0,     0,
     395,     0,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,     0,     0,   410,   411,     0,
     413,     0,     0,   415,   416,   417,     0,     0,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,     0,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,     0,
     449,   450,     0,   452,     0,   453,   454,   455,   456,   457,
     458,     0,   459,   460,     0,     0,   461,   462,   463,     0,
       0,   464,   465,   466,     0,   468,     0,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,     0,   481,
     482,   483,   484,   485,   486,   487,   488,     0,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,     0,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,     0,   517,   518,
       0,   520,   521,   522,   523,   524,   525,   526,   527,   799,
     529,   530,   531,   532,   533,   534,   535,     0,   536,   537,
     538,   539,   540,     0,   541,   542,   543,   544,   545,     0,
     547,   548,   549,   550,     0,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   560,   561,   562,   563,   564,   565,
       0,   566,   567,     0,     0,   568,     0,   570,   571,   572,
     573,   574,     0,   575,   576,   577,     0,     0,   578,   579,
     580,   581,   582,     0,   583,   584,   585,   586,   587,   588,
     589,   590,     0,     0,   591,   592,   593,   594,   595,     0,
       0,   596,   597,   598,   599,   600,   601,   602,     0,   603,
       0,   605,   606,   607,   608,     0,     0,   609,     0,     0,
     610,   611,   612,   613,   614,   615,   616,   617,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
     637,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   235,   236,   237,
     238,   239,   240,   241,   242,   243,     0,   244,   245,   246,
       0,     0,     0,     0,     0,     0,     0,   247,   248,   249,
       0,   250,   251,   252,   253,     0,   255,   256,   257,   258,
     259,     0,   261,   262,     0,   263,   264,   265,   266,   267,
     268,   269,     0,     0,   821,   271,   272,   273,   274,     0,
     275,   276,   277,   278,   279,     0,     0,     0,   281,   282,
     283,   284,   285,   286,     0,   288,   289,   290,     0,   822,
     292,   293,   294,   295,   296,     0,     0,   298,   299,   300,
       0,     0,     0,     0,     0,     0,     0,   302,   303,   304,
     305,   306,   307,   308,   309,   310,     0,   311,     0,   312,
     313,   314,   315,   316,   317,   318,     0,   319,   320,   321,
     322,     0,     0,   323,   324,   325,   326,   327,     0,   328,
     329,   330,     0,   331,   332,   333,     0,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,     0,   344,     0,
     345,   346,   347,   348,   349,     0,   350,     0,   351,   352,
       0,     0,     0,   355,   356,   357,   358,     0,   359,   360,
       0,   361,   362,   363,     0,   364,   365,   366,   367,   368,
       0,   370,   371,   372,   373,     0,   374,   375,   376,   377,
     378,   379,   380,   381,     0,   382,     0,   384,   385,   386,
     387,   388,   389,   390,     0,   391,     0,   392,     0,     0,
     395,     0,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,     0,     0,   410,   411,     0,
     413,     0,     0,   415,   416,   823,     0,     0,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   824,   436,     0,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,     0,
     449,   450,     0,   452,     0,   453,   454,   455,   456,   457,
     458,     0,   459,   460,     0,     0,   461,   462,   463,     0,
       0,   464,   465,   466,     0,   468,     0,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,     0,   481,
     482,   483,   484,   485,   486,   487,   488,     0,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,     0,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,     0,   517,   518,
       0,   825,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   826,   531,   532,   533,   534,   535,     0,   536,   537,
     538,   539,   827,     0,   541,   542,   543,   544,   545,     0,
     547,   548,   549,   550,     0,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   560,   561,   562,   563,   564,   565,
       0,   566,   567,     0,     0,   568,     0,   570,   571,   572,
     573,   574,     0,   575,   828,   577,     0,     0,   829,   579,
     580,   581,   582,     0,   583,   584,   585,   586,   587,   588,
     589,   590,     0,     0,   591,   592,   593,   594,   595,     0,
       0,   596,   597,   598,   599,   600,   601,   602,     0,   603,
       0,   605,   606,   607,   608,     0,     0,   609,     0,     0,
     610,   611,   612,   613,   614,   830,   616,   617,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
     637,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   235,   236,   237,
     238,   239,   240,   241,   242,   243,     0,   244,   245,   246,
       0,     0,     0,     0,     0,     0,     0,   247,   248,   249,
       0,   250,   251,   252,   253,     0,   255,   256,   257,   258,
     259,     0,   261,   262,     0,   263,   264,   265,   266,   267,
     268,   269,     0,     0,   270,   271,   272,   273,   274,     0,
     275,   276,   277,   278,   279,     0,     0,     0,   281,   282,
     283,   284,   285,   286,     0,   288,   289,   290,     0,   291,
     292,   293,   294,   295,   296,     0,     0,   298,   299,   300,
       0,     0,     0,     0,     0,     0,     0,   302,   303,   304,
     305,   306,   307,   308,   309,   310,     0,   311,     0,   312,
     313,   314,   315,   316,   317,   318,     0,   319,   320,   321,
     322,     0,     0,   323,   324,   325,   326,   327,     0,   328,
     329,   330,     0,   331,   332,   333,     0,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,     0,   344,     0,
     345,   346,   347,   348,   349,     0,   350,     0,   351,   352,
       0,     0,     0,   355,   356,   357,   358,     0,   359,   360,
       0,   361,   362,   363,     0,   364,   365,   366,   367,   368,
       0,   370,   371,   372,   373,     0,   374,   375,   376,   377,
     378,   379,   380,   381,     0,   382,     0,   384,   385,   386,
     387,   388,   389,   390,     0,   391,     0,   392,     0,     0,
     395,     0,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,     0,     0,   410,   411,     0,
     413,     0,     0,   415,   416,   417,     0,     0,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,     0,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,     0,
     449,   450,     0,   452,     0,   453,   454,   455,   456,   457,
     458,     0,   459,   460,     0,     0,   461,   462,   463,     0,
       0,   464,   465,   466,     0,   468,     0,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,     0,   481,
     482,   483,   484,   485,   486,   487,   488,     0,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   853,   503,     0,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,     0,   517,   518,
       0,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,   531,   532,   533,   534,   535,     0,   536,   537,
     538,   539,   540,     0,   541,   542,   543,   544,   545,     0,
     547,   548,   549,   550,     0,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   560,   561,   562,   563,   564,   565,
       0,   566,   567,     0,     0,   568,     0,   570,   571,   572,
     573,   574,     0,   575,   576,   577,     0,     0,   578,   579,
     580,   581,   582,     0,   583,   584,   585,   586,   587,   588,
     589,   590,     0,     0,   591,   592,   593,   594,   595,     0,
       0,   596,   597,   598,   599,   600,   601,   602,     0,   603,
       0,   605,   606,   607,   608,     0,     0,   609,     0,     0,
     610,   611,   612,   613,   614,   615,   616,   617,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
     637,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   235,   236,   237,
     238,   239,   240,   241,   242,   243,     0,   244,   245,   246,
       0,     0,     0,     0,     0,     0,     0,   247,   248,   249,
       0,   250,   251,   252,   253,     0,   255,   256,   257,   258,
     259,     0,   261,   262,     0,   263,   264,   265,   266,   267,
     268,   269,     0,     0,   270,   271,   272,   273,   274,     0,
     275,   276,   277,   278,   279,     0,     0,     0,   281,   282,
     283,   284,   285,   286,     0,   288,   289,   290,     0,   291,
     292,   293,   294,   295,   296,     0,     0,   298,   299,   300,
       0,     0,     0,     0,     0,     0,     0,   302,   303,   304,
     305,   306,   307,   308,   309,   310,     0,   311,     0,   312,
     313,   314,   315,   316,   317,   318,     0,   319,   320,   321,
     322,     0,     0,   323,   324,   325,   326,   327,     0,   328,
     329,   330,     0,   331,   332,   333,     0,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,     0,   344,     0,
     345,   346,   347,   348,   349,     0,   350,     0,   351,   352,
       0,     0,     0,   355,   356,   357,   358,     0,   359,   360,
       0,   361,   362,   363,     0,   364,   365,   366,   367,   981,
       0,   370,   371,   372,   373,     0,   374,   375,   376,   377,
     378,   379,   380,   381,     0,   382,     0,   384,   385,   386,
     387,   388,   389,   390,     0,   391,     0,   392,     0,     0,
     395,     0,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,     0,     0,   410,   411,     0,
     413,     0,     0,   415,   416,   417,     0,     0,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,     0,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,     0,
     449,   450,     0,   452,     0,   453,   454,   455,   456,   457,
     458,     0,   459,   460,     0,     0,   461,   462,   463,     0,
       0,   464,   465,   466,     0,   468,     0,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,     0,   481,
     482,   483,   484,   485,   486,   487,   488,     0,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,     0,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,     0,   517,   518,
       0,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,   531,   532,   533,   534,   535,     0,   536,   537,
     538,   539,   540,     0,   541,   542,   543,   544,   545,     0,
     547,   548,   549,   550,     0,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   560,   561,   562,   563,   564,   565,
       0,   566,   567,     0,     0,   568,     0,   570,   571,   572,
     573,   574,     0,   575,   576,   577,     0,     0,   578,   579,
     580,   581,   582,     0,   583,   584,   585,   586,   587,   588,
     589,   590,     0,     0,   591,   592,   593,   594,   595,     0,
       0,   596,   597,   598,   599,   600,   601,   602,     0,   603,
       0,   605,   606,   607,   608,     0,     0,   609,     0,     0,
     610,   611,   612,   613,   614,   615,   616,   617,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
     637,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   235,   236,   237,
     238,   239,   240,   241,   242,   243,     0,   244,   245,   246,
       0,     0,     0,     0,     0,     0,     0,   247,   248,   249,
       0,   250,   251,   252,   253,     0,   255,   256,   257,   258,
     259,     0,   261,   262,     0,   263,   264,   265,   266,   267,
     268,   269,     0,     0,   270,   271,   272,   273,   274,     0,
     275,   276,   277,   278,   279,     0,     0,     0,   281,   282,
     283,   284,   285,   286,     0,   288,   289,   290,     0,   291,
     292,   293,   294,   295,   296,     0,     0,   298,   299,   300,
       0,     0,     0,     0,     0,     0,     0,   302,   303,   304,
     305,   306,   307,   308,   309,   310,     0,   311,     0,   312,
     313,   314,   315,   316,   317,   318,     0,   319,   320,   321,
     322,     0,     0,   323,   324,   325,   326,   327,     0,   328,
     329,   330,     0,   331,   332,   333,     0,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,     0,   344,     0,
     345,   346,   347,   348,   349,     0,   350,     0,   351,   352,
       0,     0,     0,   355,   356,   357,   358,     0,   359,   360,
       0,   361,   362,   363,     0,   364,   365,   366,   367,   991,
       0,   370,   371,   372,   373,     0,   374,   375,   376,   377,
     378,   379,   380,   381,     0,   382,     0,   384,   385,   386,
     387,   388,   389,   390,     0,   391,     0,   392,     0,     0,
     395,     0,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,     0,     0,   410,   411,     0,
     413,     0,     0,   415,   416,   417,     0,     0,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,     0,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,     0,
     449,   450,     0,   452,     0,   453,   454,   455,   456,   457,
     458,     0,   459,   460,     0,     0,   461,   462,   463,     0,
       0,   464,   465,   466,     0,   468,     0,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,     0,   481,
     482,   483,   484,   485,   486,   487,   488,     0,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,     0,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,     0,   517,   518,
       0,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,   531,   532,   533,   534,   535,     0,   536,   537,
     538,   539,   540,     0,   541,   542,   543,   544,   545,     0,
     547,   548,   549,   550,     0,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   560,   561,   562,   563,   564,   565,
       0,   566,   567,     0,     0,   568,     0,   570,   571,   572,
     573,   574,     0,   575,   576,   577,     0,     0,   578,   579,
     580,   581,   582,     0,   583,   584,   585,   586,   587,   588,
     589,   590,     0,     0,   591,   592,   593,   594,   595,     0,
       0,   596,   597,   598,   599,   600,   601,   602,     0,   603,
       0,   605,   606,   607,   608,     0,     0,   609,     0,     0,
     610,   611,   612,   613,   614,   615,   616,   617,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
     637,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   235,   236,   237,
     238,   239,   240,   241,   242,   243,     0,   244,   245,   246,
       0,     0,     0,     0,     0,     0,     0,   247,   248,   249,
       0,   250,   251,   252,   253,     0,   255,   256,   257,   258,
     259,     0,   261,   262,     0,   263,   264,   265,   266,   267,
     268,   269,     0,     0,   270,   271,   272,   273,   274,     0,
     275,   276,   277,   278,   279,     0,     0,     0,   281,   282,
     283,   284,   285,   286,     0,   288,   289,   290,     0,   291,
     292,   293,   294,   295,   296,     0,     0,   298,   299,   300,
       0,     0,     0,     0,     0,     0,     0,   302,   303,   304,
     305,   306,   307,   308,   309,   310,     0,   311,     0,   312,
     313,   314,   315,   316,   317,   318,     0,   319,   320,   321,
     322,     0,     0,   323,   324,   325,   326,   327,     0,   328,
     329,   330,     0,   331,   332,   333,     0,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,     0,   344,     0,
     345,   346,   347,   348,   349,     0,   350,     0,   351,   352,
       0,     0,     0,   355,   356,   357,   358,     0,   359,   360,
       0,   361,   362,   363,     0,   364,   365,   366,   367,   994,
       0,   370,   371,   372,   373,     0,   374,   375,   376,   377,
     378,   379,   380,   381,     0,   382,     0,   384,   385,   386,
     387,   388,   389,   390,     0,   391,     0,   392,     0,     0,
     395,     0,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,     0,     0,   410,   411,     0,
     413,     0,     0,   415,   416,   417,     0,     0,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,     0,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,     0,
     449,   450,     0,   452,     0,   453,   454,   455,   456,   457,
     458,     0,   459,   460,     0,     0,   461,   462,   463,     0,
       0,   464,   465,   466,     0,   468,     0,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,     0,   481,
     482,   483,   484,   485,   486,   487,   488,     0,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,     0,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,     0,   517,   518,
       0,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,   531,   532,   533,   534,   535,     0,   536,   537,
     538,   539,   540,     0,   541,   542,   543,   544,   545,     0,
     547,   548,   549,   550,     0,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   560,   561,   562,   563,   564,   565,
       0,   566,   567,     0,     0,   568,     0,   570,   571,   572,
     573,   574,     0,   575,   576,   577,     0,     0,   578,   579,
     580,   581,   582,     0,   583,   584,   585,   586,   587,   588,
     589,   590,     0,     0,   591,   592,   593,   594,   595,     0,
       0,   596,   597,   598,   599,   600,   601,   602,     0,   603,
       0,   605,   606,   607,   608,     0,     0,   609,     0,     0,
     610,   611,   612,   613,   614,   615,   616,   617,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
     637,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   235,   236,   237,
     238,   239,   240,   241,   242,   243,     0,   244,   245,   246,
       0,     0,     0,     0,     0,     0,     0,   247,   248,   249,
       0,   250,   251,   252,   253,     0,   255,   256,   257,   258,
     259,     0,   261,   262,     0,   263,   264,   265,   266,   267,
     268,   269,     0,     0,   270,   271,   272,   273,   274,     0,
     275,   276,   277,   278,   279,     0,     0,     0,   281,   282,
     283,   284,   285,   286,     0,   288,   289,   290,     0,   291,
     292,   293,   294,   295,   296,     0,     0,   298,   299,   300,
       0,     0,     0,     0,     0,     0,     0,   302,   303,   304,
     305,   306,   307,   308,   309,   310,     0,   311,     0,   312,
     313,   314,   315,   316,   317,   318,     0,   319,   320,   321,
     322,     0,     0,   323,   324,   325,   326,   327,     0,   328,
     329,   330,     0,   331,   332,   333,     0,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,     0,   344,     0,
     345,   346,   347,   348,   349,     0,   350,     0,   351,   352,
       0,     0,     0,   355,   356,   357,   358,     0,   359,   360,
       0,   361,   362,   363,     0,   364,   365,   366,   367,  1010,
       0,   370,   371,   372,   373,     0,   374,   375,   376,   377,
     378,   379,   380,   381,     0,   382,     0,   384,   385,   386,
     387,   388,   389,   390,     0,   391,     0,   392,     0,     0,
     395,     0,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,     0,     0,   410,   411,     0,
     413,     0,     0,   415,   416,   417,     0,     0,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,     0,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,     0,
     449,   450,     0,   452,     0,   453,   454,   455,   456,   457,
     458,     0,   459,   460,     0,     0,   461,   462,   463,     0,
       0,   464,   465,   466,     0,   468,     0,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,     0,   481,
     482,   483,   484,   485,   486,   487,   488,     0,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,     0,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,     0,   517,   518,
       0,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,   531,   532,   533,   534,   535,     0,   536,   537,
     538,   539,   540,     0,   541,   542,   543,   544,   545,     0,
     547,   548,   549,   550,     0,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   560,   561,   562,   563,   564,   565,
       0,   566,   567,     0,     0,   568,     0,   570,   571,   572,
     573,   574,     0,   575,   576,   577,     0,     0,   578,   579,
     580,   581,   582,     0,   583,   584,   585,   586,   587,   588,
     589,   590,     0,     0,   591,   592,   593,   594,   595,     0,
       0,   596,   597,   598,   599,   600,   601,   602,     0,   603,
       0,   605,   606,   607,   608,     0,     0,   609,     0,     0,
     610,   611,   612,   613,   614,   615,   616,   617,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
     637,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   235,   236,   237,
     238,   239,   240,   241,   242,   243,     0,   244,   245,   246,
       0,     0,     0,     0,     0,     0,     0,   247,   248,   249,
       0,   250,   251,   252,   253,     0,   255,   256,   257,   258,
     259,     0,   261,   262,     0,   263,   264,   265,   266,   267,
     268,   269,     0,     0,   270,   271,   272,   273,   274,     0,
     275,   276,   277,   278,   279,     0,     0,     0,   281,   282,
     283,   284,   285,   286,     0,   288,   289,   290,     0,   291,
     292,   293,   294,   295,   296,     0,     0,   298,   299,   300,
       0,     0,     0,     0,     0,     0,     0,   302,   303,   304,
     305,   306,   307,   308,   309,   310,     0,   311,     0,   312,
     313,   314,   315,   316,   317,   318,     0,   319,   320,   321,
     322,     0,     0,   323,   324,   325,   326,   327,     0,   328,
     329,   330,     0,   331,   332,   333,     0,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,     0,   344,     0,
     345,   346,   347,   348,   349,     0,   350,     0,   351,   352,
       0,     0,     0,   355,   356,   357,   358,     0,   359,   360,
       0,   361,   362,   363,     0,   364,   365,   366,   367,  1067,
       0,   370,   371,   372,   373,     0,   374,   375,   376,   377,
     378,   379,   380,   381,     0,   382,     0,   384,   385,   386,
     387,   388,   389,   390,     0,   391,     0,   392,     0,     0,
     395,     0,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,     0,     0,   410,   411,     0,
     413,     0,     0,   415,   416,   417,     0,     0,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,     0,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,     0,
     449,   450,     0,   452,     0,   453,   454,   455,   456,   457,
     458,     0,   459,   460,     0,     0,   461,   462,   463,     0,
       0,   464,   465,   466,     0,   468,     0,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,     0,   481,
     482,   483,   484,   485,   486,   487,   488,     0,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,     0,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,     0,   517,   518,
       0,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,   531,   532,   533,   534,   535,     0,   536,   537,
     538,   539,   540,     0,   541,   542,   543,   544,   545,     0,
     547,   548,   549,   550,     0,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   560,   561,   562,   563,   564,   565,
       0,   566,   567,     0,     0,   568,     0,   570,   571,   572,
     573,   574,     0,   575,   576,   577,     0,     0,   578,   579,
     580,   581,   582,     0,   583,   584,   585,   586,   587,   588,
     589,   590,     0,     0,   591,   592,   593,   594,   595,     0,
       0,   596,   597,   598,   599,   600,   601,   602,     0,   603,
       0,   605,   606,   607,   608,     0,     0,   609,     0,     0,
     610,   611,   612,   613,   614,   615,   616,   617,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
     637,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   235,   236,   237,
     238,   239,   240,   241,   242,   243,     0,   244,   245,   246,
       0,     0,     0,     0,     0,     0,     0,   247,   248,   249,
       0,   250,   251,   252,   253,     0,   255,   256,   257,   258,
     259,     0,   261,   262,     0,   263,   264,   265,   266,   267,
     268,   269,     0,     0,   270,   271,   272,   273,   274,     0,
     275,   276,   277,   278,   279,     0,     0,     0,   281,   282,
     283,   284,   285,   286,     0,   288,   289,   290,     0,   291,
     292,   293,   294,   295,   296,     0,     0,   298,   299,   300,
       0,     0,     0,     0,     0,     0,     0,   302,   303,   304,
     305,   306,   307,   308,   309,   310,     0,   311,     0,   312,
     313,   314,   315,   316,   317,   318,     0,   319,   320,   321,
     322,     0,     0,   323,   324,   325,   326,   327,     0,   328,
     329,   330,     0,   331,   332,   333,     0,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,     0,   344,     0,
     345,   346,   347,   348,   349,     0,   350,     0,   351,   352,
       0,     0,     0,   355,   356,   357,   358,     0,   359,   360,
       0,   361,   362,   363,     0,   364,   365,   366,   367,  1072,
       0,   370,   371,   372,   373,     0,   374,   375,   376,   377,
     378,   379,   380,   381,     0,   382,     0,   384,   385,   386,
     387,   388,   389,   390,     0,   391,     0,   392,     0,     0,
     395,     0,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,     0,     0,   410,   411,     0,
     413,     0,     0,   415,   416,   417,     0,     0,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,     0,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,     0,
     449,   450,     0,   452,     0,   453,   454,   455,   456,   457,
     458,     0,   459,   460,     0,     0,   461,   462,   463,     0,
       0,   464,   465,   466,     0,   468,     0,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,     0,   481,
     482,   483,   484,   485,   486,   487,   488,     0,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,     0,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,     0,   517,   518,
       0,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,   531,   532,   533,   534,   535,     0,   536,   537,
     538,   539,   540,     0,   541,   542,   543,   544,   545,     0,
     547,   548,   549,   550,     0,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   560,   561,   562,   563,   564,   565,
       0,   566,   567,     0,     0,   568,     0,   570,   571,   572,
     573,   574,     0,   575,   576,   577,     0,     0,   578,   579,
     580,   581,   582,     0,   583,   584,   585,   586,   587,   588,
     589,   590,     0,     0,   591,   592,   593,   594,   595,     0,
       0,   596,   597,   598,   599,   600,   601,   602,     0,   603,
       0,   605,   606,   607,   608,     0,     0,   609,     0,     0,
     610,   611,   612,   613,   614,   615,   616,   617,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
     637,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   235,   236,   237,
     238,   239,   240,   241,   242,   243,     0,   244,   245,   246,
       0,     0,     0,     0,     0,     0,     0,   247,   248,   249,
       0,   250,   251,   252,   253,     0,   255,   256,   257,   258,
     259,     0,   261,   262,     0,   263,   264,   265,   266,   267,
     268,   269,     0,     0,   270,   271,   272,   273,   274,     0,
     275,   276,   277,   278,   279,     0,     0,     0,   281,   282,
     283,   284,   285,   286,     0,   288,   289,   290,     0,   291,
     292,   293,   294,   295,   296,     0,     0,   298,   299,   300,
       0,     0,     0,     0,     0,     0,     0,   302,   303,   304,
     305,   306,   307,   308,   309,   310,     0,   311,     0,   312,
     313,   314,   315,   316,   317,   318,     0,   319,   320,   321,
     322,     0,     0,   323,   324,   325,   326,   327,     0,   328,
     329,   330,     0,   331,   332,   333,     0,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,     0,   344,     0,
     345,   346,   347,   348,   349,     0,   350,     0,   351,   352,
       0,     0,     0,   355,   356,   357,   358,     0,   359,   360,
       0,   361,   362,   363,     0,   364,   365,   366,   367,  1089,
       0,   370,   371,   372,   373,     0,   374,   375,   376,   377,
     378,   379,   380,   381,     0,   382,     0,   384,   385,   386,
     387,   388,   389,   390,     0,   391,     0,   392,     0,     0,
     395,     0,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,     0,     0,   410,   411,     0,
     413,     0,     0,   415,   416,   417,     0,     0,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,     0,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,     0,
     449,   450,     0,   452,     0,   453,   454,   455,   456,   457,
     458,     0,   459,   460,     0,     0,   461,   462,   463,     0,
       0,   464,   465,   466,     0,   468,     0,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,     0,   481,
     482,   483,   484,   485,   486,   487,   488,     0,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,     0,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,     0,   517,   518,
       0,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,   531,   532,   533,   534,   535,     0,   536,   537,
     538,   539,   540,     0,   541,   542,   543,   544,   545,     0,
     547,   548,   549,   550,     0,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   560,   561,   562,   563,   564,   565,
       0,   566,   567,     0,     0,   568,     0,   570,   571,   572,
     573,   574,     0,   575,   576,   577,     0,     0,   578,   579,
     580,   581,   582,     0,   583,   584,   585,   586,   587,   588,
     589,   590,     0,     0,   591,   592,   593,   594,   595,     0,
       0,   596,   597,   598,   599,   600,   601,   602,     0,   603,
       0,   605,   606,   607,   608,     0,     0,   609,     0,     0,
     610,   611,   612,   613,   614,   615,   616,   617,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
     637,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   235,   236,   237,
     238,   239,   240,   241,   242,   243,     0,   244,   245,   246,
       0,     0,     0,     0,     0,     0,     0,   247,   248,   249,
       0,   250,   251,   252,   253,     0,   255,   256,   257,   258,
     259,     0,   261,   262,     0,   263,   264,   265,   266,   267,
     268,   269,     0,     0,   270,   271,   272,   273,   274,     0,
     275,   276,   277,   278,   279,     0,     0,     0,   281,   282,
     283,   284,   285,   286,     0,   288,   289,   290,     0,   291,
     292,   293,   294,   295,   296,     0,     0,   298,   299,   300,
       0,     0,     0,     0,     0,     0,     0,   302,   303,   304,
     305,   306,   307,   308,   309,   310,     0,   311,     0,   312,
     313,   314,   315,   316,   317,   318,     0,   319,   320,   321,
     322,     0,     0,   323,   324,   325,   326,   327,     0,   328,
     329,   330,     0,   331,   332,   333,     0,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,     0,   344,     0,
     345,   346,   347,   348,   349,     0,   350,     0,   351,   352,
       0,     0,     0,   355,   356,   357,   358,     0,   359,   360,
       0,   361,   362,   363,     0,   364,   365,   366,   367,  1092,
       0,   370,   371,   372,   373,     0,   374,   375,   376,   377,
     378,   379,   380,   381,     0,   382,     0,   384,   385,   386,
     387,   388,   389,   390,     0,   391,     0,   392,     0,     0,
     395,     0,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,     0,     0,   410,   411,     0,
     413,     0,     0,   415,   416,   417,     0,     0,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,     0,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,     0,
     449,   450,     0,   452,     0,   453,   454,   455,   456,   457,
     458,     0,   459,   460,     0,     0,   461,   462,   463,     0,
       0,   464,   465,   466,     0,   468,     0,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,     0,   481,
     482,   483,   484,   485,   486,   487,   488,     0,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,     0,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,     0,   517,   518,
       0,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,   531,   532,   533,   534,   535,     0,   536,   537,
     538,   539,   540,     0,   541,   542,   543,   544,   545,     0,
     547,   548,   549,   550,     0,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   560,   561,   562,   563,   564,   565,
       0,   566,   567,     0,     0,   568,     0,   570,   571,   572,
     573,   574,     0,   575,   576,   577,     0,     0,   578,   579,
     580,   581,   582,     0,   583,   584,   585,   586,   587,   588,
     589,   590,     0,     0,   591,   592,   593,   594,   595,     0,
       0,   596,   597,   598,   599,   600,   601,   602,     0,   603,
       0,   605,   606,   607,   608,     0,     0,   609,     0,     0,
     610,   611,   612,   613,   614,   615,   616,   617,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
     637,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   235,   236,   237,
     238,   239,   240,   241,   242,   243,     0,   244,   245,   246,
       0,     0,     0,     0,     0,     0,     0,   247,   248,   249,
       0,   250,   251,   252,   253,     0,   255,   256,   257,   258,
     259,     0,   261,   262,     0,   263,   264,   265,   266,   267,
     268,   269,     0,     0,   270,   271,   272,   273,   274,     0,
     275,   276,   277,   278,   279,     0,     0,     0,   281,   282,
     283,   284,   285,   286,     0,   288,   289,   290,     0,   291,
     292,   293,   294,   295,   296,     0,     0,   298,   299,   300,
       0,     0,     0,     0,     0,     0,     0,   302,   303,   304,
     305,   306,   307,   308,   309,   310,     0,   311,     0,   312,
     313,   314,   315,   316,   317,   318,     0,   319,   320,   321,
     322,     0,     0,   323,   324,   325,   326,   327,     0,   328,
     329,   330,     0,   331,   332,   333,     0,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,     0,   344,     0,
     345,   346,   347,   348,   349,     0,   350,     0,   351,   352,
       0,     0,     0,   355,   356,   357,   358,     0,   359,   360,
       0,   361,   362,   363,     0,   364,   365,   366,   367,  1094,
       0,   370,   371,   372,   373,     0,   374,   375,   376,   377,
     378,   379,   380,   381,     0,   382,     0,   384,   385,   386,
     387,   388,   389,   390,     0,   391,     0,   392,     0,     0,
     395,     0,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,     0,     0,   410,   411,     0,
     413,     0,     0,   415,   416,   417,     0,     0,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,     0,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,     0,
     449,   450,     0,   452,     0,   453,   454,   455,   456,   457,
     458,     0,   459,   460,     0,     0,   461,   462,   463,     0,
       0,   464,   465,   466,     0,   468,     0,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,     0,   481,
     482,   483,   484,   485,   486,   487,   488,     0,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,     0,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,     0,   517,   518,
       0,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,   531,   532,   533,   534,   535,     0,   536,   537,
     538,   539,   540,     0,   541,   542,   543,   544,   545,     0,
     547,   548,   549,   550,     0,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   560,   561,   562,   563,   564,   565,
       0,   566,   567,     0,     0,   568,     0,   570,   571,   572,
     573,   574,     0,   575,   576,   577,     0,     0,   578,   579,
     580,   581,   582,     0,   583,   584,   585,   586,   587,   588,
     589,   590,     0,     0,   591,   592,   593,   594,   595,     0,
       0,   596,   597,   598,   599,   600,   601,   602,     0,   603,
       0,   605,   606,   607,   608,     0,     0,   609,     0,     0,
     610,   611,   612,   613,   614,   615,   616,   617,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
     637,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   235,   236,   237,
     238,   239,   240,   241,   242,   243,     0,   244,   245,   246,
       0,     0,     0,     0,     0,     0,     0,   247,   248,   249,
       0,   250,   251,   252,   253,     0,   255,   256,   257,   258,
     259,     0,   261,   262,     0,   263,   264,   265,   266,   267,
     268,   269,     0,     0,   270,   271,   272,   273,   274,     0,
     275,   276,   277,   278,   279,     0,     0,     0,   281,   282,
     283,   284,   285,   286,     0,   288,   289,   290,     0,   291,
     292,   293,   294,   295,   296,     0,     0,   298,   299,   300,
       0,     0,     0,     0,     0,     0,     0,   302,   303,   304,
     305,   306,   307,   308,   309,   310,     0,   311,     0,   312,
     313,   314,   315,   316,   317,   318,     0,   319,   320,   321,
     322,     0,     0,   323,   324,   325,   326,   327,     0,   328,
     329,   330,     0,   331,   332,   333,     0,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,     0,   344,     0,
     345,   346,   347,   348,   349,     0,   350,     0,   351,   352,
       0,     0,     0,   355,   356,   357,   358,     0,   359,   360,
       0,   361,   362,   363,     0,   364,   365,   366,   367,  1132,
       0,   370,   371,   372,   373,     0,   374,   375,   376,   377,
     378,   379,   380,   381,     0,   382,     0,   384,   385,   386,
     387,   388,   389,   390,     0,   391,     0,   392,     0,     0,
     395,     0,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,     0,     0,   410,   411,     0,
     413,     0,     0,   415,   416,   417,     0,     0,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,     0,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,     0,
     449,   450,     0,   452,     0,   453,   454,   455,   456,   457,
     458,     0,   459,   460,     0,     0,   461,   462,   463,     0,
       0,   464,   465,   466,     0,   468,     0,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,     0,   481,
     482,   483,   484,   485,   486,   487,   488,     0,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,     0,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,     0,   517,   518,
       0,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,   531,   532,   533,   534,   535,     0,   536,   537,
     538,   539,   540,     0,   541,   542,   543,   544,   545,     0,
     547,   548,   549,   550,     0,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   560,   561,   562,   563,   564,   565,
       0,   566,   567,     0,     0,   568,     0,   570,   571,   572,
     573,   574,     0,   575,   576,   577,     0,     0,   578,   579,
     580,   581,   582,     0,   583,   584,   585,   586,   587,   588,
     589,   590,     0,     0,   591,   592,   593,   594,   595,     0,
       0,   596,   597,   598,   599,   600,   601,   602,     0,   603,
       0,   605,   606,   607,   608,     0,     0,   609,     0,     0,
     610,   611,   612,   613,   614,   615,   616,   617,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
     637,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   235,   236,   237,
     238,   239,   240,   241,   242,   243,     0,   244,   245,   246,
       0,     0,     0,     0,     0,     0,     0,   247,   248,   249,
       0,   250,   251,   252,   253,     0,   255,   256,   257,   258,
     259,     0,   261,   262,     0,   263,   264,   265,   266,   267,
     268,   269,     0,     0,   270,   271,   272,   273,   274,     0,
     275,   276,   277,   278,   279,     0,     0,     0,   281,   282,
     283,   284,   285,   286,     0,   288,   289,   290,     0,   291,
     292,   293,   294,   295,   296,     0,     0,   298,   299,   300,
       0,     0,     0,     0,     0,     0,     0,   302,   303,   304,
     305,   306,   307,   308,   309,   310,     0,   311,     0,   312,
     313,   314,   315,   316,   317,   318,     0,   319,   320,   321,
     322,     0,     0,   323,   324,   325,   326,   327,     0,   328,
     329,   330,     0,   331,   332,   333,     0,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,     0,   344,     0,
     345,   346,   347,   348,   349,     0,   350,     0,   351,   352,
       0,     0,     0,   355,   356,   357,   358,     0,   359,   360,
       0,   361,   362,   363,     0,   364,   365,   366,   367,  1160,
       0,   370,   371,   372,   373,     0,   374,   375,   376,   377,
     378,   379,   380,   381,     0,   382,     0,   384,   385,   386,
     387,   388,   389,   390,     0,   391,     0,   392,     0,     0,
     395,     0,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,     0,     0,   410,   411,     0,
     413,     0,     0,   415,   416,   417,     0,     0,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,     0,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,     0,
     449,   450,     0,   452,     0,   453,   454,   455,   456,   457,
     458,     0,   459,   460,     0,     0,   461,   462,   463,     0,
       0,   464,   465,   466,     0,   468,     0,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,     0,   481,
     482,   483,   484,   485,   486,   487,   488,     0,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,     0,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,     0,   517,   518,
       0,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,   531,   532,   533,   534,   535,     0,   536,   537,
     538,   539,   540,     0,   541,   542,   543,   544,   545,     0,
     547,   548,   549,   550,     0,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   560,   561,   562,   563,   564,   565,
       0,   566,   567,     0,     0,   568,     0,   570,   571,   572,
     573,   574,     0,   575,   576,   577,     0,     0,   578,   579,
     580,   581,   582,     0,   583,   584,   585,   586,   587,   588,
     589,   590,     0,     0,   591,   592,   593,   594,   595,     0,
       0,   596,   597,   598,   599,   600,   601,   602,     0,   603,
       0,   605,   606,   607,   608,     0,     0,   609,     0,     0,
     610,   611,   612,   613,   614,   615,   616,   617,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
     637,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   235,   236,   237,
     238,   239,   240,   241,   242,   243,     0,   244,   245,   246,
       0,     0,     0,     0,     0,     0,     0,   247,   248,   249,
       0,   250,   251,   252,   253,     0,   255,   256,   257,   258,
     259,     0,   261,   262,     0,   263,   264,   265,   266,   267,
     268,   269,     0,     0,   270,   271,   272,   273,   274,     0,
     275,   276,   277,   278,   279,     0,     0,     0,   281,   282,
     283,   284,   285,   286,     0,   288,   289,   290,     0,   291,
     292,   293,   294,   295,   296,     0,     0,   298,   299,   300,
       0,     0,     0,     0,     0,     0,     0,   302,   303,   304,
     305,   306,   307,   308,   309,   310,     0,   311,     0,   312,
     313,   314,   315,   316,   317,   318,     0,   319,   320,   321,
     322,     0,     0,   323,   324,   325,   326,   327,     0,   328,
     329,   330,     0,   331,   332,   333,     0,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,     0,   344,     0,
     345,   346,   347,   348,   349,     0,   350,     0,   351,   352,
       0,     0,     0,   355,   356,   357,   358,     0,   359,   360,
       0,   361,   362,   363,     0,   364,   365,   366,   367,  1162,
       0,   370,   371,   372,   373,     0,   374,   375,   376,   377,
     378,   379,   380,   381,     0,   382,     0,   384,   385,   386,
     387,   388,   389,   390,     0,   391,     0,   392,     0,     0,
     395,     0,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,     0,     0,   410,   411,     0,
     413,     0,     0,   415,   416,   417,     0,     0,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,     0,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,     0,
     449,   450,     0,   452,     0,   453,   454,   455,   456,   457,
     458,     0,   459,   460,     0,     0,   461,   462,   463,     0,
       0,   464,   465,   466,     0,   468,     0,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,     0,   481,
     482,   483,   484,   485,   486,   487,   488,     0,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,     0,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,     0,   517,   518,
       0,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,   531,   532,   533,   534,   535,     0,   536,   537,
     538,   539,   540,     0,   541,   542,   543,   544,   545,     0,
     547,   548,   549,   550,     0,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   560,   561,   562,   563,   564,   565,
       0,   566,   567,     0,     0,   568,     0,   570,   571,   572,
     573,   574,     0,   575,   576,   577,     0,     0,   578,   579,
     580,   581,   582,     0,   583,   584,   585,   586,   587,   588,
     589,   590,     0,     0,   591,   592,   593,   594,   595,     0,
       0,   596,   597,   598,   599,   600,   601,   602,     0,   603,
       0,   605,   606,   607,   608,     0,     0,   609,     0,     0,
     610,   611,   612,   613,   614,   615,   616,   617,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
     637,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   235,   236,   237,
     238,   239,   240,   241,   242,   243,     0,   244,   245,   246,
       0,     0,     0,     0,     0,     0,     0,   247,   248,   249,
       0,   250,   251,   252,   253,     0,   255,   256,   257,   258,
     259,     0,   261,   262,     0,   263,   264,   265,   266,   267,
     268,   269,     0,     0,   270,   271,   272,   273,   274,     0,
     275,   276,   277,   278,   279,     0,     0,     0,   281,   282,
     283,   284,   285,   286,     0,   288,   289,   290,     0,   291,
     292,   293,   294,   295,   296,     0,     0,   298,   299,   300,
       0,     0,     0,     0,     0,     0,     0,   302,   303,   304,
     305,   306,   307,   308,   309,   310,     0,   311,     0,   312,
     313,   314,   315,   316,   317,   318,     0,   319,   320,   321,
     322,     0,     0,   323,   324,   325,   326,   327,     0,   328,
     329,   330,     0,   331,   332,   333,     0,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,     0,   344,     0,
     345,   346,   347,   348,   349,     0,   350,     0,   351,   352,
       0,     0,     0,   355,   356,   357,   358,     0,   359,   360,
       0,   361,   362,   363,     0,   364,   365,   366,   367,  1172,
       0,   370,   371,   372,   373,     0,   374,   375,   376,   377,
     378,   379,   380,   381,     0,   382,     0,   384,   385,   386,
     387,   388,   389,   390,     0,   391,     0,   392,     0,     0,
     395,     0,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,     0,     0,   410,   411,     0,
     413,     0,     0,   415,   416,   417,     0,     0,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,     0,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,     0,
     449,   450,     0,   452,     0,   453,   454,   455,   456,   457,
     458,     0,   459,   460,     0,     0,   461,   462,   463,     0,
       0,   464,   465,   466,     0,   468,     0,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,     0,   481,
     482,   483,   484,   485,   486,   487,   488,     0,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,     0,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,     0,   517,   518,
       0,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,   531,   532,   533,   534,   535,     0,   536,   537,
     538,   539,   540,     0,   541,   542,   543,   544,   545,     0,
     547,   548,   549,   550,     0,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   560,   561,   562,   563,   564,   565,
       0,   566,   567,     0,     0,   568,     0,   570,   571,   572,
     573,   574,     0,   575,   576,   577,     0,     0,   578,   579,
     580,   581,   582,     0,   583,   584,   585,   586,   587,   588,
     589,   590,     0,     0,   591,   592,   593,   594,   595,     0,
       0,   596,   597,   598,   599,   600,   601,   602,     0,   603,
       0,   605,   606,   607,   608,     0,     0,   609,     0,     0,
     610,   611,   612,   613,   614,   615,   616,   617,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
     637,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   235,   236,   237,
     238,   239,   240,   241,   242,   243,     0,   244,   245,   246,
       0,     0,     0,     0,     0,     0,     0,   247,   248,   249,
       0,   250,   251,   252,   253,     0,   255,   256,   257,   258,
     259,     0,   261,   262,     0,   263,   264,   265,   266,   267,
     268,   269,     0,     0,   270,   271,   272,   273,   274,     0,
     275,   276,   277,   278,   279,     0,     0,     0,   281,   282,
     283,   284,   285,   286,     0,   288,   289,   290,     0,   291,
     292,   293,   294,   295,   296,     0,     0,   298,   299,   300,
       0,     0,     0,     0,     0,     0,     0,   302,   303,   304,
     305,   306,   307,   308,   309,   310,     0,   311,     0,   312,
     313,   314,   315,   316,   317,   318,     0,   319,   320,   321,
     322,     0,     0,   323,   324,   325,   326,   327,     0,   328,
     329,   330,     0,   331,   332,   333,     0,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,     0,   344,     0,
     345,   346,   347,   348,   349,     0,   350,     0,   351,   352,
       0,     0,     0,   355,   356,   357,   358,     0,   359,   360,
       0,   361,   362,   363,     0,   364,   365,   366,   367,  1175,
       0,   370,   371,   372,   373,     0,   374,   375,   376,   377,
     378,   379,   380,   381,     0,   382,     0,   384,   385,   386,
     387,   388,   389,   390,     0,   391,     0,   392,     0,     0,
     395,     0,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,     0,     0,   410,   411,     0,
     413,     0,     0,   415,   416,   417,     0,     0,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,     0,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,     0,
     449,   450,     0,   452,     0,   453,   454,   455,   456,   457,
     458,     0,   459,   460,     0,     0,   461,   462,   463,     0,
       0,   464,   465,   466,     0,   468,     0,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,     0,   481,
     482,   483,   484,   485,   486,   487,   488,     0,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,     0,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,     0,   517,   518,
       0,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,   531,   532,   533,   534,   535,     0,   536,   537,
     538,   539,   540,     0,   541,   542,   543,   544,   545,     0,
     547,   548,   549,   550,     0,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   560,   561,   562,   563,   564,   565,
       0,   566,   567,     0,     0,   568,     0,   570,   571,   572,
     573,   574,     0,   575,   576,   577,     0,     0,   578,   579,
     580,   581,   582,     0,   583,   584,   585,   586,   587,   588,
     589,   590,     0,     0,   591,   592,   593,   594,   595,     0,
       0,   596,   597,   598,   599,   600,   601,   602,     0,   603,
       0,   605,   606,   607,   608,     0,     0,   609,     0,     0,
     610,   611,   612,   613,   614,   615,   616,   617,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
     637,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   235,   236,   237,
     238,   239,   240,   241,   242,   243,     0,   244,   245,   246,
       0,     0,     0,     0,     0,     0,     0,   247,   248,   249,
       0,   250,   251,   252,   253,     0,   255,   256,   257,   258,
     259,     0,   261,   262,     0,   263,   264,   265,   266,   267,
     268,   269,     0,     0,   270,   271,   272,   273,   274,     0,
     275,   276,   277,   278,   279,     0,     0,     0,   281,   282,
     283,   284,   285,   286,     0,   288,   289,   290,     0,   291,
     292,   293,   294,   295,   296,     0,     0,   298,   299,   300,
       0,     0,     0,     0,     0,     0,     0,   302,   303,   304,
     305,   306,   307,   308,   309,   310,     0,   311,     0,   312,
     313,   314,   315,   316,   317,   318,     0,   319,   320,   321,
     322,     0,     0,   323,   324,   325,   326,   327,     0,   328,
     329,   330,     0,   331,   332,   333,     0,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,     0,   344,     0,
     345,   346,   347,   348,   349,     0,   350,     0,   351,   352,
       0,     0,     0,   355,   356,   357,   358,     0,   359,   360,
       0,   361,   362,   363,     0,   364,   365,   366,   367,  1178,
       0,   370,   371,   372,   373,     0,   374,   375,   376,   377,
     378,   379,   380,   381,     0,   382,     0,   384,   385,   386,
     387,   388,   389,   390,     0,   391,     0,   392,     0,     0,
     395,     0,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,     0,     0,   410,   411,     0,
     413,     0,     0,   415,   416,   417,     0,     0,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,     0,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,     0,
     449,   450,     0,   452,     0,   453,   454,   455,   456,   457,
     458,     0,   459,   460,     0,     0,   461,   462,   463,     0,
       0,   464,   465,   466,     0,   468,     0,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,     0,   481,
     482,   483,   484,   485,   486,   487,   488,     0,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,     0,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,     0,   517,   518,
       0,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,   531,   532,   533,   534,   535,     0,   536,   537,
     538,   539,   540,     0,   541,   542,   543,   544,   545,     0,
     547,   548,   549,   550,     0,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   560,   561,   562,   563,   564,   565,
       0,   566,   567,     0,     0,   568,     0,   570,   571,   572,
     573,   574,     0,   575,   576,   577,     0,     0,   578,   579,
     580,   581,   582,     0,   583,   584,   585,   586,   587,   588,
     589,   590,     0,     0,   591,   592,   593,   594,   595,     0,
       0,   596,   597,   598,   599,   600,   601,   602,     0,   603,
       0,   605,   606,   607,   608,     0,     0,   609,     0,     0,
     610,   611,   612,   613,   614,   615,   616,   617,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
     637,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   235,   236,   237,
     238,   239,   240,   241,   242,   243,     0,   244,   245,   246,
       0,     0,     0,     0,     0,     0,     0,   247,   248,   249,
       0,   250,   251,   252,   253,     0,   255,   256,   257,   258,
     259,     0,   261,   262,     0,   263,   264,   265,   266,   267,
     268,   269,     0,     0,   821,   271,   272,   273,   274,     0,
     275,   276,   277,   278,   279,     0,     0,     0,   281,   282,
     283,   284,   285,   286,     0,   288,   289,   290,     0,   291,
     292,   293,   294,   295,   296,     0,     0,   298,   299,   300,
       0,     0,     0,     0,     0,     0,     0,   302,   303,   304,
     305,   306,   307,   308,   309,   310,     0,   311,     0,   312,
     313,   314,   315,   316,   317,   318,     0,   319,   320,   321,
     322,     0,     0,   323,   324,   325,   326,   327,     0,   328,
     329,   330,     0,   331,   332,   333,     0,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,     0,   344,     0,
     345,   346,   347,   348,   349,     0,   350,     0,   351,   352,
       0,     0,     0,   355,   356,   357,   358,     0,   359,   360,
       0,   361,   362,   363,     0,   364,   365,   366,   367,   368,
       0,   370,   371,   372,   373,     0,   374,   375,   376,   377,
     378,   379,   380,   381,     0,   382,     0,   384,   385,   386,
     387,   388,   389,   390,     0,   391,     0,   392,     0,     0,
     395,     0,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,     0,     0,   410,   411,     0,
     413,     0,     0,   415,   416,   417,     0,     0,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   824,   436,     0,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,     0,
     449,   450,     0,   452,     0,   453,   454,   455,   456,   457,
     458,     0,   459,   460,     0,     0,   461,   462,   463,     0,
       0,   464,   465,   466,     0,   468,     0,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,     0,   481,
     482,   483,   484,   485,   486,   487,   488,     0,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,     0,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,     0,   517,   518,
       0,   825,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   826,   531,   532,   533,   534,   535,     0,   536,   537,
     538,   539,  1369,     0,   541,   542,   543,   544,   545,     0,
     547,   548,   549,   550,     0,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   560,   561,   562,   563,   564,   565,
       0,   566,   567,     0,     0,   568,     0,   570,   571,   572,
     573,   574,     0,   575,   828,   577,     0,     0,   829,   579,
     580,   581,   582,     0,   583,   584,   585,   586,   587,   588,
     589,   590,     0,     0,   591,   592,   593,   594,   595,     0,
       0,   596,   597,   598,   599,   600,   601,   602,     0,   603,
       0,   605,   606,   607,   608,     0,     0,   609,     0,     0,
     610,   611,   612,   613,   614,   830,   616,   617,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
     637,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   235,   236,   237,
     238,   239,   240,   241,   242,   243,     0,   244,   245,   246,
       0,     0,     0,     0,     0,     0,     0,   247,   248,   249,
       0,   250,   251,   252,   253,     0,   255,   256,   257,   258,
     259,     0,   261,   262,     0,   263,   264,   265,   266,   267,
     268,   269,     0,     0,   270,   271,   272,   273,   274,     0,
     275,   276,   277,   278,   279,     0,     0,     0,   281,   282,
     283,   284,   285,   286,     0,   288,   289,   290,     0,   291,
     292,   293,   294,   295,   296,     0,     0,   298,   299,   300,
       0,     0,     0,     0,     0,     0,     0,   302,   303,   304,
     305,   306,   307,   308,   309,   310,     0,   311,     0,   312,
     313,   314,   315,   316,   317,   318,     0,   319,   320,   321,
     322,     0,     0,   323,   324,   325,   326,   327,     0,   328,
     329,   330,     0,   331,   332,   333,     0,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,     0,   344,     0,
     345,   346,   347,   348,   349,     0,   350,     0,   351,   352,
       0,     0,     0,   355,   356,   357,   358,     0,   359,   360,
       0,   361,   362,   363,     0,   364,   365,   366,   367,  1845,
       0,   370,   371,   372,   373,     0,   374,   375,   376,   377,
     378,   379,   380,   381,     0,   382,     0,   384,   385,   386,
     387,   388,   389,   390,     0,   391,     0,   392,     0,     0,
     395,     0,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,     0,     0,   410,   411,     0,
     413,     0,     0,   415,   416,   417,     0,     0,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,     0,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,     0,
     449,   450,     0,   452,     0,   453,   454,   455,   456,   457,
     458,     0,   459,   460,     0,     0,   461,   462,   463,     0,
       0,   464,   465,   466,     0,   468,     0,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,     0,   481,
     482,   483,   484,   485,   486,   487,   488,     0,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,     0,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,     0,   517,   518,
       0,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,   531,   532,   533,   534,   535,     0,   536,   537,
     538,   539,   540,     0,   541,   542,   543,   544,   545,     0,
     547,   548,   549,   550,     0,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   560,   561,   562,   563,   564,   565,
       0,   566,   567,     0,     0,   568,     0,   570,   571,   572,
     573,   574,     0,   575,   576,   577,     0,     0,   578,   579,
     580,   581,   582,     0,   583,   584,   585,   586,   587,   588,
     589,   590,     0,     0,   591,   592,   593,   594,   595,     0,
       0,   596,   597,   598,   599,   600,   601,   602,     0,   603,
       0,   605,   606,   607,   608,     0,     0,   609,     0,     0,
     610,   611,   612,   613,   614,   615,   616,   617,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
     637,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   235,   236,   237,
     238,   239,   240,   241,   242,   243,     0,   244,   245,   246,
       0,     0,     0,     0,     0,     0,     0,   247,   248,   249,
       0,   250,   251,   252,   253,     0,   255,   256,   257,   258,
     259,     0,   261,   262,     0,   263,   264,   265,   266,   267,
     268,   269,     0,     0,   270,   271,   272,   273,   274,     0,
     275,   276,   277,   278,   279,     0,     0,     0,   281,   282,
     283,   284,   285,   286,     0,   288,   289,   290,     0,   291,
     292,   293,   294,   295,   296,     0,     0,   298,   299,   300,
       0,     0,     0,     0,     0,     0,     0,   302,   303,   304,
     305,   306,   307,   308,   309,   310,     0,   311,     0,   312,
     313,   314,   315,   316,   317,   318,     0,   319,   320,   321,
     322,     0,     0,   323,   324,   325,   326,   327,     0,   328,
     329,   330,     0,   331,   332,   333,     0,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,     0,   344,     0,
     345,   346,   347,   348,   349,     0,   350,     0,   351,   352,
       0,     0,     0,   355,   356,   357,   358,     0,   359,   360,
       0,   361,   362,   363,     0,   364,   365,   366,   367,  1879,
       0,   370,   371,   372,   373,     0,   374,   375,   376,   377,
     378,   379,   380,   381,     0,   382,     0,   384,   385,   386,
     387,   388,   389,   390,     0,   391,     0,   392,     0,     0,
     395,     0,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,     0,     0,   410,   411,     0,
     413,     0,     0,   415,   416,   417,     0,     0,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,     0,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,     0,
     449,   450,     0,   452,     0,   453,   454,   455,   456,   457,
     458,     0,   459,   460,     0,     0,   461,   462,   463,     0,
       0,   464,   465,   466,     0,   468,     0,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,     0,   481,
     482,   483,   484,   485,   486,   487,   488,     0,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,     0,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,     0,   517,   518,
       0,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,   531,   532,   533,   534,   535,     0,   536,   537,
     538,   539,   540,     0,   541,   542,   543,   544,   545,     0,
     547,   548,   549,   550,     0,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   560,   561,   562,   563,   564,   565,
       0,   566,   567,     0,     0,   568,     0,   570,   571,   572,
     573,   574,     0,   575,   576,   577,     0,     0,   578,   579,
     580,   581,   582,     0,   583,   584,   585,   586,   587,   588,
     589,   590,     0,     0,   591,   592,   593,   594,   595,     0,
       0,   596,   597,   598,   599,   600,   601,   602,     0,   603,
       0,   605,   606,   607,   608,     0,     0,   609,     0,     0,
     610,   611,   612,   613,   614,   615,   616,   617,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
     637,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   235,   236,   237,
     238,   239,   240,   241,   242,   243,     0,   244,   245,   246,
       0,     0,     0,     0,     0,     0,     0,   247,   248,   249,
       0,   250,   251,   252,   253,     0,   255,   256,   257,   258,
     259,     0,   261,   262,     0,   263,   264,   265,   266,   267,
     268,   269,     0,     0,   270,   271,   272,   273,   274,     0,
     275,   276,   277,   278,   279,     0,     0,     0,   281,   282,
     283,   284,   285,   286,     0,   288,   289,   290,     0,   291,
     292,   293,   294,   295,   296,     0,     0,   298,   299,   300,
       0,     0,     0,     0,     0,     0,     0,   302,   303,   304,
     305,   306,   307,   308,   309,   310,     0,   311,     0,   312,
     313,   314,   315,   316,   317,   318,     0,   319,   320,   321,
     322,     0,     0,   323,   324,   325,   326,   327,     0,   328,
     329,   330,     0,   331,   332,   333,     0,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,     0,   344,     0,
     345,   346,   347,   348,   349,     0,   350,     0,   351,   352,
       0,     0,     0,   355,   356,   357,   358,     0,   359,   360,
       0,   361,   362,   363,     0,   364,   365,   366,   367,  1881,
       0,   370,   371,   372,   373,     0,   374,   375,   376,   377,
     378,   379,   380,   381,     0,   382,     0,   384,   385,   386,
     387,   388,   389,   390,     0,   391,     0,   392,     0,     0,
     395,     0,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,     0,     0,   410,   411,     0,
     413,     0,     0,   415,   416,   417,     0,     0,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,     0,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,     0,
     449,   450,     0,   452,     0,   453,   454,   455,   456,   457,
     458,     0,   459,   460,     0,     0,   461,   462,   463,     0,
       0,   464,   465,   466,     0,   468,     0,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,     0,   481,
     482,   483,   484,   485,   486,   487,   488,     0,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,     0,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,     0,   517,   518,
       0,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,   531,   532,   533,   534,   535,     0,   536,   537,
     538,   539,   540,     0,   541,   542,   543,   544,   545,     0,
     547,   548,   549,   550,     0,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   560,   561,   562,   563,   564,   565,
       0,   566,   567,     0,     0,   568,     0,   570,   571,   572,
     573,   574,     0,   575,   576,   577,     0,     0,   578,   579,
     580,   581,   582,     0,   583,   584,   585,   586,   587,   588,
     589,   590,     0,     0,   591,   592,   593,   594,   595,     0,
       0,   596,   597,   598,   599,   600,   601,   602,     0,   603,
       0,   605,   606,   607,   608,     0,     0,   609,     0,     0,
     610,   611,   612,   613,   614,   615,   616,   617,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
     637,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   235,   236,   237,
     238,   239,   240,   241,   242,   243,     0,   244,   245,   246,
       0,     0,     0,     0,     0,     0,     0,   247,   248,   249,
       0,   250,   251,   252,   253,     0,   255,   256,   257,   258,
     259,     0,   261,   262,     0,   263,   264,   265,   266,   267,
     268,   269,     0,     0,   270,   271,   272,   273,   274,     0,
     275,   276,   277,   278,   279,     0,     0,     0,   281,   282,
     283,   284,   285,   286,     0,   288,   289,   290,     0,   291,
     292,   293,   294,   295,   296,     0,     0,   298,   299,   300,
       0,     0,     0,     0,     0,     0,     0,   302,   303,   304,
     305,   306,   307,   308,   309,   310,     0,   311,     0,   312,
     313,   314,   315,   316,   317,   318,     0,   319,   320,   321,
     322,     0,     0,   323,   324,   325,   326,   327,     0,   328,
     329,   330,     0,   331,   332,   333,     0,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,     0,   344,     0,
     345,   346,   347,   348,   349,     0,   350,     0,   351,   352,
       0,     0,     0,   355,   356,   357,   358,     0,   359,   360,
       0,   361,   362,   363,     0,   364,   365,   366,   367,  1921,
       0,   370,   371,   372,   373,     0,   374,   375,   376,   377,
     378,   379,   380,   381,     0,   382,     0,   384,   385,   386,
     387,   388,   389,   390,     0,   391,     0,   392,     0,     0,
     395,     0,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,     0,     0,   410,   411,     0,
     413,     0,     0,   415,   416,   417,     0,     0,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,     0,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,     0,
     449,   450,     0,   452,     0,   453,   454,   455,   456,   457,
     458,     0,   459,   460,     0,     0,   461,   462,   463,     0,
       0,   464,   465,   466,     0,   468,     0,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,     0,   481,
     482,   483,   484,   485,   486,   487,   488,     0,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,     0,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,     0,   517,   518,
       0,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,   531,   532,   533,   534,   535,     0,   536,   537,
     538,   539,   540,     0,   541,   542,   543,   544,   545,     0,
     547,   548,   549,   550,     0,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   560,   561,   562,   563,   564,   565,
       0,   566,   567,     0,     0,   568,     0,   570,   571,   572,
     573,   574,     0,   575,   576,   577,     0,     0,   578,   579,
     580,   581,   582,     0,   583,   584,   585,   586,   587,   588,
     589,   590,     0,     0,   591,   592,   593,   594,   595,     0,
       0,   596,   597,   598,   599,   600,   601,   602,     0,   603,
       0,   605,   606,   607,   608,     0,     0,   609,     0,     0,
     610,   611,   612,   613,   614,   615,   616,   617,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
     637,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   235,   236,   237,
     238,   239,   240,   241,   242,   243,     0,   244,   245,   246,
       0,     0,     0,     0,     0,     0,     0,   247,   248,   249,
       0,   250,   251,   252,   253,     0,   255,   256,   257,   258,
     259,     0,   261,   262,     0,   263,   264,   265,   266,   267,
     268,   269,     0,     0,   270,   271,   272,   273,   274,     0,
     275,   276,   277,   278,   279,     0,     0,     0,   281,   282,
     283,   284,   285,   286,     0,   288,   289,   290,     0,   291,
     292,   293,   294,   295,   296,     0,     0,   298,   299,   300,
       0,     0,     0,     0,     0,     0,     0,   302,   303,   304,
     305,   306,   307,   308,   309,   310,     0,   311,     0,   312,
     313,   314,   315,   316,   317,   318,     0,   319,   320,   321,
     322,     0,     0,   323,   324,   325,   326,   327,     0,   328,
     329,   330,     0,   331,   332,   333,     0,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,     0,   344,     0,
     345,   346,   347,   348,   349,     0,   350,     0,   351,   352,
       0,     0,     0,   355,   356,   357,   358,     0,   359,   360,
       0,   361,   362,   363,     0,   364,   365,   366,   367,  1923,
       0,   370,   371,   372,   373,     0,   374,   375,   376,   377,
     378,   379,   380,   381,     0,   382,     0,   384,   385,   386,
     387,   388,   389,   390,     0,   391,     0,   392,     0,     0,
     395,     0,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,     0,     0,   410,   411,     0,
     413,     0,     0,   415,   416,   417,     0,     0,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,     0,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,     0,
     449,   450,     0,   452,     0,   453,   454,   455,   456,   457,
     458,     0,   459,   460,     0,     0,   461,   462,   463,     0,
       0,   464,   465,   466,     0,   468,     0,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,     0,   481,
     482,   483,   484,   485,   486,   487,   488,     0,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,     0,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,     0,   517,   518,
       0,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,   531,   532,   533,   534,   535,     0,   536,   537,
     538,   539,   540,     0,   541,   542,   543,   544,   545,     0,
     547,   548,   549,   550,     0,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   560,   561,   562,   563,   564,   565,
       0,   566,   567,     0,     0,   568,     0,   570,   571,   572,
     573,   574,     0,   575,   576,   577,     0,     0,   578,   579,
     580,   581,   582,     0,   583,   584,   585,   586,   587,   588,
     589,   590,     0,     0,   591,   592,   593,   594,   595,     0,
       0,   596,   597,   598,   599,   600,   601,   602,     0,   603,
       0,   605,   606,   607,   608,     0,     0,   609,     0,     0,
     610,   611,   612,   613,   614,   615,   616,   617,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
     637,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   235,   236,   237,
     238,   239,   240,   241,   242,   243,     0,   244,   245,   246,
       0,     0,     0,     0,     0,     0,     0,   247,   248,   249,
       0,   250,   251,   252,   253,     0,   255,   256,   257,   258,
     259,     0,   261,   262,     0,   263,   264,   265,   266,   267,
     268,   269,     0,     0,   270,   271,   272,   273,   274,     0,
     275,   276,   277,   278,   279,     0,     0,     0,   281,   282,
     283,   284,   285,   286,     0,   288,   289,   290,     0,   291,
     292,   293,   294,   295,   296,     0,     0,   298,   299,   300,
       0,     0,     0,     0,     0,     0,     0,   302,   303,   304,
     305,   306,   307,   308,   309,   310,     0,   311,     0,   312,
     313,   314,   315,   316,   317,   318,     0,   319,   320,   321,
     322,     0,     0,   323,   324,   325,   326,   327,     0,   328,
     329,   330,     0,   331,   332,   333,     0,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,     0,   344,     0,
     345,   346,   347,   348,   349,     0,   350,     0,   351,   352,
       0,     0,     0,   355,   356,   357,   358,     0,   359,   360,
       0,   361,   362,   363,     0,   364,   365,   366,   367,  1925,
       0,   370,   371,   372,   373,     0,   374,   375,   376,   377,
     378,   379,   380,   381,     0,   382,     0,   384,   385,   386,
     387,   388,   389,   390,     0,   391,     0,   392,     0,     0,
     395,     0,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,     0,     0,   410,   411,     0,
     413,     0,     0,   415,   416,   417,     0,     0,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,     0,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,     0,
     449,   450,     0,   452,     0,   453,   454,   455,   456,   457,
     458,     0,   459,   460,     0,     0,   461,   462,   463,     0,
       0,   464,   465,   466,     0,   468,     0,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,     0,   481,
     482,   483,   484,   485,   486,   487,   488,     0,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,     0,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,     0,   517,   518,
       0,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,   531,   532,   533,   534,   535,     0,   536,   537,
     538,   539,   540,     0,   541,   542,   543,   544,   545,     0,
     547,   548,   549,   550,     0,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   560,   561,   562,   563,   564,   565,
       0,   566,   567,     0,     0,   568,     0,   570,   571,   572,
     573,   574,     0,   575,   576,   577,     0,     0,   578,   579,
     580,   581,   582,     0,   583,   584,   585,   586,   587,   588,
     589,   590,     0,     0,   591,   592,   593,   594,   595,     0,
       0,   596,   597,   598,   599,   600,   601,   602,     0,   603,
       0,   605,   606,   607,   608,     0,     0,   609,     0,     0,
     610,   611,   612,   613,   614,   615,   616,   617,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
     637,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   235,   236,   237,
     238,   239,   240,   241,   242,   243,     0,   244,   245,   246,
       0,     0,     0,     0,     0,     0,     0,   247,   248,   249,
       0,   250,   251,   252,   253,     0,   255,   256,   257,   258,
     259,     0,   261,   262,     0,   263,   264,   265,   266,   267,
     268,   269,     0,     0,   270,   271,   272,   273,   274,     0,
     275,   276,   277,   278,   279,     0,     0,     0,   281,   282,
     283,   284,   285,   286,     0,   288,   289,   290,     0,   291,
     292,   293,   294,   295,   296,     0,     0,   298,   299,   300,
       0,     0,     0,     0,     0,     0,     0,   302,   303,   304,
     305,   306,   307,   308,   309,   310,     0,   311,     0,   312,
     313,   314,   315,   316,   317,   318,     0,   319,   320,   321,
     322,     0,     0,   323,   324,   325,   326,   327,     0,   328,
     329,   330,     0,   331,   332,   333,     0,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,     0,   344,     0,
     345,   346,   347,   348,   349,     0,   350,     0,   351,   352,
       0,     0,     0,   355,   356,   357,   358,     0,   359,   360,
       0,   361,   362,   363,     0,   364,   365,   366,   367,   368,
       0,   370,   371,   372,   373,     0,   374,   375,   376,   377,
     378,   379,   380,   381,     0,   382,     0,   384,   385,   386,
     387,   388,   389,   390,     0,   391,     0,   392,     0,     0,
     395,     0,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,     0,     0,   410,   411,     0,
     413,     0,     0,   415,   416,   417,     0,     0,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,     0,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,     0,
     449,   450,     0,   452,     0,   453,   454,   455,   456,   457,
     458,     0,   459,   460,     0,     0,   461,   462,   463,     0,
       0,   464,   465,   466,     0,   468,     0,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,     0,   481,
     482,   483,   484,   485,   486,   487,   488,     0,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,     0,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,     0,   517,   518,
       0,   520,   521,   522,   523,   524,   525,   526,   527,  2019,
     529,   530,   531,   532,   533,   534,   535,     0,   536,   537,
     538,   539,   540,     0,   541,   542,   543,   544,   545,     0,
     547,   548,   549,   550,     0,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   560,   561,   562,   563,   564,   565,
       0,   566,   567,     0,     0,   568,     0,   570,   571,   572,
     573,   574,     0,   575,   576,   577,     0,     0,   578,   579,
     580,   581,   582,     0,   583,   584,   585,   586,   587,   588,
     589,   590,     0,     0,   591,   592,   593,   594,   595,     0,
       0,   596,   597,   598,   599,   600,   601,   602,     0,   603,
       0,   605,   606,   607,   608,     0,     0,   609,     0,     0,
     610,   611,   612,   613,   614,   615,   616,   617,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
     637,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   235,   236,   237,
     238,   239,   240,   241,   242,   243,     0,   244,   245,   246,
       0,     0,     0,     0,     0,  2671,     0,   247,   248,   249,
       0,   250,   251,   252,   253,     0,   255,   256,   257,   258,
     259,     0,   261,   262,     0,   263,   264,   265,   266,   267,
     268,   269,     0,     0,   270,   271,   272,   273,   274,     0,
     275,   276,   277,   278,   279,     0,     0,     0,   281,   282,
     283,   284,   285,   286,     0,   288,   289,   290,     0,   291,
     292,   293,   294,   295,   296,     0,     0,   298,   299,   300,
       0,     0,     0,     0,     0,     0,     0,   302,   303,   304,
     305,   306,   307,   308,   309,   310,     0,   311,     0,   312,
     313,   314,   315,   316,   317,   318,     0,   319,   320,   321,
     322,     0,     0,   323,   324,   325,   326,   327,     0,   328,
     329,   330,     0,   331,   332,   333,     0,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,     0,   344,     0,
     345,   346,   347,   348,   349,     0,   350,     0,   351,   352,
       0,     0,     0,   355,   356,   357,   358,     0,   359,   360,
       0,   361,   362,   363,     0,   364,   365,   366,   367,   368,
       0,   370,   371,   372,   373,     0,   374,   375,   376,   377,
     378,   379,   380,   381,     0,   382,     0,   384,   385,   386,
     387,   388,   389,   390,     0,   391,     0,   392,     0,     0,
     395,     0,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,     0,     0,   410,   411,     0,
     413,     0,     0,   415,   416,   417,     0,     0,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,     0,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,     0,
     449,   450,     0,   452,     0,   453,   454,   455,   456,   457,
     458,     0,   459,   460,     0,     0,   461,   462,   463,     0,
       0,   464,   465,   466,     0,   468,     0,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,     0,   481,
     482,   483,   484,   485,   486,   487,   488,     0,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,     0,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,     0,   517,   518,
       0,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,   531,   532,   533,   534,   535,     0,   536,   537,
     538,   539,   540,     0,     0,   542,   543,   544,   545,     0,
     547,   548,   549,   550,     0,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   560,   561,   562,   563,   564,   565,
       0,   566,   567,     0,     0,   568,     0,   570,   571,   572,
     573,   574,     0,   575,   576,   577,     0,     0,   578,   579,
     580,   581,   582,     0,   583,   584,   585,   586,   587,   588,
     589,   590,     0,     0,   591,   592,   593,   594,   595,     0,
       0,   596,   597,   598,   599,   600,   601,   602,     0,   603,
       0,   605,   606,   607,   608,     0,     0,   609,     0,     0,
     610,   611,   612,   613,   614,   615,   616,   617,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
     637,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   235,   236,   237,
     238,   239,   240,   241,   242,   243,     0,   244,   245,   246,
       0,     0,     0,     0,     0,     0,     0,   247,   248,   249,
       0,   250,   251,   252,   253,     0,   255,   256,   257,   258,
     259,     0,   261,   262,     0,   263,   264,   265,   266,   267,
     268,   269,     0,     0,   821,   271,   272,   273,   274,     0,
     275,   276,   277,   278,   279,     0,     0,     0,   281,   282,
     283,   284,   285,   286,     0,   288,   289,   290,     0,   291,
     292,   293,   294,   295,   296,     0,     0,   298,   299,   300,
       0,     0,     0,     0,     0,     0,     0,   302,   303,   304,
     305,   306,   307,   308,   309,   310,     0,   311,     0,   312,
     313,   314,   315,   316,   317,   318,     0,   319,   320,   321,
     322,     0,     0,   323,   324,   325,   326,   327,     0,   328,
     329,   330,     0,   331,   332,   333,     0,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,     0,   344,     0,
     345,   346,   347,   348,   349,     0,   350,     0,   351,   352,
       0,     0,     0,   355,   356,   357,   358,     0,   359,   360,
       0,   361,   362,   363,     0,   364,   365,   366,   367,   368,
       0,   370,   371,   372,   373,     0,   374,   375,   376,   377,
     378,   379,   380,   381,     0,   382,     0,   384,   385,   386,
     387,   388,   389,   390,     0,   391,     0,   392,     0,     0,
     395,     0,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,     0,     0,   410,   411,     0,
     413,     0,     0,   415,   416,   417,     0,     0,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   824,   436,     0,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,     0,
     449,   450,     0,   452,     0,   453,   454,   455,   456,   457,
     458,     0,   459,   460,     0,     0,   461,   462,   463,     0,
       0,   464,   465,   466,     0,   468,     0,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,     0,   481,
     482,   483,   484,   485,   486,   487,   488,     0,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,     0,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,     0,   517,   518,
       0,   825,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   826,   531,   532,   533,   534,   535,     0,   536,   537,
     538,   539,  1369,     0,   541,   542,   543,   544,   545,     0,
     547,   548,   549,   550,     0,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   560,   561,   562,   563,   564,   565,
       0,   566,   567,     0,     0,   568,     0,  2705,   571,   572,
     573,   574,     0,   575,   828,   577,     0,     0,   829,   579,
     580,   581,   582,     0,   583,   584,   585,   586,   587,   588,
     589,   590,     0,     0,   591,   592,   593,   594,   595,     0,
       0,   596,   597,   598,   599,   600,   601,   602,     0,   603,
       0,   605,   606,   607,   608,     0,     0,   609,     0,     0,
     610,   611,   612,   613,   614,   830,   616,   617,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
     637,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   235,   236,   237,
     238,   239,   240,   241,   242,   243,     0,   244,   245,   246,
       0,     0,     0,     0,     0,     0,     0,   247,   248,   249,
       0,   250,   251,   252,   253,     0,   255,   256,   257,   258,
     259,     0,   261,   262,     0,   263,   264,   265,   266,   267,
     268,   269,     0,     0,   821,   271,   272,   273,   274,     0,
     275,   276,   277,   278,   279,     0,     0,     0,   281,   282,
     283,   284,   285,   286,     0,   288,   289,   290,     0,   291,
     292,   293,   294,   295,   296,     0,     0,   298,   299,   300,
       0,     0,     0,     0,     0,     0,     0,   302,   303,   304,
     305,   306,   307,   308,   309,   310,     0,   311,     0,   312,
     313,   314,   315,   316,   317,   318,     0,   319,   320,   321,
     322,     0,     0,   323,   324,   325,   326,   327,     0,   328,
     329,   330,     0,   331,   332,   333,     0,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,     0,   344,     0,
     345,   346,   347,   348,   349,     0,   350,     0,   351,   352,
       0,     0,     0,   355,   356,   357,   358,     0,   359,   360,
       0,   361,   362,   363,     0,   364,   365,   366,   367,   368,
       0,   370,   371,   372,   373,     0,   374,   375,   376,   377,
     378,   379,   380,   381,     0,   382,     0,   384,   385,   386,
     387,   388,   389,   390,     0,   391,     0,   392,     0,     0,
     395,     0,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,     0,     0,   410,   411,     0,
     413,     0,     0,   415,   416,   417,     0,     0,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   824,   436,     0,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,     0,
     449,   450,     0,   452,     0,   453,   454,   455,   456,   457,
     458,     0,   459,   460,     0,     0,   461,   462,   463,     0,
       0,   464,   465,   466,     0,   468,     0,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,     0,   481,
     482,   483,   484,   485,   486,   487,   488,     0,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,     0,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,     0,   517,   518,
       0,   825,   521,   522,   523,   524,   525,   526,   527,   528,
     529,  2771,   531,   532,   533,   534,   535,     0,   536,   537,
     538,   539,  2772,     0,   541,   542,   543,   544,   545,     0,
     547,   548,   549,   550,     0,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   560,   561,   562,   563,   564,   565,
       0,   566,   567,     0,     0,   568,     0,   570,   571,   572,
     573,   574,     0,   575,   828,   577,     0,     0,  2773,   579,
     580,   581,   582,     0,   583,   584,   585,   586,   587,   588,
     589,   590,     0,     0,   591,   592,   593,   594,   595,     0,
       0,   596,   597,   598,   599,   600,   601,   602,     0,   603,
       0,   605,   606,   607,   608,     0,     0,   609,     0,     0,
     610,   611,   612,   613,   614,   830,   616,   617,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
     637,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   235,   236,   237,
     238,   239,   240,   241,   242,   243,     0,   244,   245,   246,
       0,     0,     0,     0,     0,     0,     0,   247,   248,   249,
       0,   250,   251,   252,   253,     0,   255,   256,   257,   258,
     259,     0,   261,   262,     0,   263,   264,   265,   266,   267,
     268,   269,     0,     0,   821,   271,   272,   273,   274,     0,
     275,   276,   277,   278,   279,     0,     0,     0,   281,   282,
     283,   284,   285,   286,     0,   288,   289,   290,     0,   291,
     292,   293,   294,   295,   296,     0,     0,   298,   299,   300,
       0,     0,     0,     0,     0,     0,     0,   302,   303,   304,
     305,   306,   307,   308,   309,   310,     0,   311,     0,   312,
     313,   314,   315,   316,   317,   318,     0,   319,   320,   321,
     322,     0,     0,   323,   324,   325,   326,   327,     0,   328,
     329,   330,     0,   331,   332,   333,     0,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,     0,   344,     0,
     345,   346,   347,   348,   349,     0,   350,     0,   351,   352,
       0,     0,     0,   355,   356,   357,   358,     0,   359,   360,
       0,   361,   362,   363,     0,   364,   365,   366,   367,   368,
       0,   370,   371,   372,   373,     0,   374,   375,   376,   377,
     378,   379,   380,   381,     0,   382,     0,   384,   385,   386,
     387,   388,   389,   390,     0,   391,     0,   392,     0,     0,
     395,     0,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,     0,     0,   410,   411,     0,
     413,     0,     0,   415,   416,   417,     0,     0,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   824,   436,     0,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,     0,
     449,   450,     0,   452,     0,   453,   454,   455,   456,   457,
     458,     0,   459,   460,     0,     0,   461,   462,   463,     0,
       0,   464,   465,   466,     0,   468,     0,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,     0,   481,
     482,   483,   484,   485,   486,   487,   488,     0,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,     0,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,     0,   517,   518,
       0,   825,   521,   522,   523,   524,   525,   526,   527,   528,
     529,  2851,   531,   532,   533,   534,   535,     0,   536,   537,
     538,   539,  2772,     0,   541,   542,   543,   544,   545,     0,
     547,   548,   549,   550,     0,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   560,   561,   562,   563,   564,   565,
       0,   566,   567,     0,     0,   568,     0,   570,   571,   572,
     573,   574,     0,   575,   828,   577,     0,     0,  2773,   579,
     580,   581,   582,     0,   583,   584,   585,   586,   587,   588,
     589,   590,     0,     0,   591,   592,   593,   594,   595,     0,
       0,   596,   597,   598,   599,   600,   601,   602,     0,   603,
       0,   605,   606,   607,   608,     0,     0,   609,     0,     0,
     610,   611,   612,   613,   614,   830,   616,   617,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
     637,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   235,   236,   237,
     238,   239,   240,   241,   242,   243,     0,   244,   245,   246,
       0,     0,     0,     0,     0,     0,     0,   247,   248,   249,
       0,   250,   251,   252,   253,     0,   255,   256,   257,   258,
     259,     0,   261,   262,     0,   263,   264,   265,   266,   267,
     268,   269,     0,     0,   821,   271,   272,   273,   274,     0,
     275,   276,   277,   278,   279,     0,     0,     0,   281,   282,
     283,   284,   285,   286,     0,   288,   289,   290,     0,   291,
     292,   293,   294,   295,   296,     0,     0,   298,   299,   300,
       0,     0,     0,     0,     0,     0,     0,   302,   303,   304,
     305,   306,   307,   308,   309,   310,     0,   311,     0,   312,
     313,   314,   315,   316,   317,   318,     0,   319,   320,   321,
     322,     0,     0,   323,   324,   325,   326,   327,     0,   328,
     329,   330,     0,   331,   332,   333,     0,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,     0,   344,     0,
     345,   346,   347,   348,   349,     0,   350,     0,   351,   352,
       0,     0,     0,   355,   356,   357,   358,     0,   359,   360,
       0,   361,   362,   363,     0,   364,   365,   366,   367,   368,
       0,   370,   371,   372,   373,     0,   374,   375,   376,   377,
     378,   379,   380,   381,     0,   382,     0,   384,   385,   386,
     387,   388,   389,   390,     0,   391,     0,   392,     0,     0,
     395,     0,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,     0,     0,   410,   411,     0,
     413,     0,     0,   415,   416,   417,     0,     0,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   824,   436,     0,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,     0,
     449,   450,     0,   452,     0,   453,   454,   455,   456,   457,
     458,     0,   459,   460,     0,     0,   461,   462,   463,     0,
       0,   464,   465,   466,     0,   468,     0,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,     0,   481,
     482,   483,   484,   485,   486,   487,   488,     0,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,     0,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,     0,   517,   518,
       0,   825,   521,   522,   523,   524,   525,   526,   527,   528,
     529,  2875,   531,   532,   533,   534,   535,     0,   536,   537,
     538,   539,  2772,     0,   541,   542,   543,   544,   545,     0,
     547,   548,   549,   550,     0,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   560,   561,   562,   563,   564,   565,
       0,   566,   567,     0,     0,   568,     0,   570,   571,   572,
     573,   574,     0,   575,   828,   577,     0,     0,  2773,   579,
     580,   581,   582,     0,   583,   584,   585,   586,   587,   588,
     589,   590,     0,     0,   591,   592,   593,   594,   595,     0,
       0,   596,   597,   598,   599,   600,   601,   602,     0,   603,
       0,   605,   606,   607,   608,     0,     0,   609,     0,     0,
     610,   611,   612,   613,   614,   830,   616,   617,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
     637,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   235,   236,   237,
     238,   239,   240,   241,   242,   243,     0,   244,   245,   246,
       0,     0,     0,     0,     0,     0,     0,   247,   248,   249,
       0,   250,   251,   252,   253,     0,   255,   256,   257,   258,
     259,     0,   261,   262,     0,   263,   264,   265,   266,   267,
     268,   269,     0,     0,   270,   271,   272,   273,   274,     0,
     275,   276,   277,   278,   279,     0,     0,     0,   281,   282,
     283,   284,   285,   286,     0,   288,   289,   290,     0,   291,
     292,   293,   294,   295,   296,     0,     0,   298,   299,   300,
       0,     0,     0,     0,     0,     0,     0,   302,   303,   304,
     305,   306,   307,   308,   309,   310,     0,   311,     0,   312,
     313,   314,   315,   316,   317,   318,     0,   319,   320,   321,
     322,     0,     0,   323,   324,   325,   326,   327,     0,   328,
     329,   330,     0,   331,   332,   333,     0,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,     0,   344,     0,
     345,   346,   347,   348,   349,     0,   350,     0,   351,   352,
       0,     0,     0,   355,   356,   357,   358,     0,   359,   360,
       0,   361,   362,   363,     0,   364,   365,   366,   367,  3069,
       0,   370,   371,   372,   373,     0,   374,   375,   376,   377,
     378,   379,   380,   381,     0,   382,     0,   384,   385,   386,
     387,   388,   389,   390,     0,   391,     0,   392,     0,     0,
     395,     0,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,     0,     0,   410,   411,     0,
     413,     0,     0,   415,   416,   417,     0,     0,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,     0,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,     0,
     449,   450,     0,   452,     0,   453,   454,   455,   456,   457,
     458,     0,   459,   460,     0,     0,   461,   462,   463,     0,
       0,   464,   465,   466,     0,   468,     0,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,     0,   481,
     482,   483,   484,   485,   486,   487,   488,     0,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,     0,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,     0,   517,   518,
       0,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,   531,   532,   533,   534,   535,     0,   536,   537,
     538,   539,   540,     0,   541,   542,   543,   544,   545,     0,
     547,   548,   549,   550,     0,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   560,   561,   562,   563,   564,   565,
       0,   566,   567,     0,     0,   568,     0,   570,   571,   572,
     573,   574,     0,   575,   576,   577,     0,     0,   578,   579,
     580,   581,   582,     0,   583,   584,   585,   586,   587,   588,
     589,   590,     0,     0,   591,   592,   593,   594,   595,     0,
       0,   596,   597,   598,   599,   600,   601,   602,     0,   603,
       0,   605,   606,   607,   608,     0,     0,   609,     0,     0,
     610,   611,   612,   613,   614,   615,   616,   617,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
     637,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   235,   236,   237,
     238,   239,   240,   241,   242,   243,     0,   244,   245,   246,
       0,     0,     0,     0,     0,     0,     0,   247,   248,   249,
       0,   250,   251,   252,   253,     0,   255,   256,   257,   258,
     259,     0,   261,   262,     0,   263,   264,   265,   266,   267,
     268,   269,     0,     0,   270,   271,   272,   273,   274,     0,
     275,   276,   277,   278,   279,     0,     0,     0,   281,   282,
     283,   284,   285,   286,     0,   288,   289,   290,     0,   291,
     292,   293,   294,   295,   296,     0,     0,   298,   299,   300,
       0,     0,     0,     0,     0,     0,     0,   302,   303,   304,
     305,   306,   307,   308,   309,   310,     0,   311,     0,   312,
     313,   314,   315,   316,   317,   318,     0,   319,   320,   321,
     322,     0,     0,   323,   324,   325,   326,   327,     0,   328,
     329,   330,     0,   331,   332,   333,     0,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,     0,   344,     0,
     345,   346,   347,   348,   349,     0,   350,     0,   351,   352,
       0,     0,     0,   355,   356,   357,   358,     0,   359,   360,
       0,   361,   362,   363,     0,   364,   365,   366,   367,  3073,
       0,   370,   371,   372,   373,     0,   374,   375,   376,   377,
     378,   379,   380,   381,     0,   382,     0,   384,   385,   386,
     387,   388,   389,   390,     0,   391,     0,   392,     0,     0,
     395,     0,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,     0,     0,   410,   411,     0,
     413,     0,     0,   415,   416,   417,     0,     0,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,     0,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,     0,
     449,   450,     0,   452,     0,   453,   454,   455,   456,   457,
     458,     0,   459,   460,     0,     0,   461,   462,   463,     0,
       0,   464,   465,   466,     0,   468,     0,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,     0,   481,
     482,   483,   484,   485,   486,   487,   488,     0,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,     0,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,     0,   517,   518,
       0,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,   531,   532,   533,   534,   535,     0,   536,   537,
     538,   539,   540,     0,   541,   542,   543,   544,   545,     0,
     547,   548,   549,   550,     0,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   560,   561,   562,   563,   564,   565,
       0,   566,   567,     0,     0,   568,     0,   570,   571,   572,
     573,   574,     0,   575,   576,   577,     0,     0,   578,   579,
     580,   581,   582,     0,   583,   584,   585,   586,   587,   588,
     589,   590,     0,     0,   591,   592,   593,   594,   595,     0,
       0,   596,   597,   598,   599,   600,   601,   602,     0,   603,
       0,   605,   606,   607,   608,     0,     0,   609,     0,     0,
     610,   611,   612,   613,   614,   615,   616,   617,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
     637,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   235,   236,   237,
     238,   239,   240,   241,   242,   243,     0,   244,   245,   246,
       0,     0,     0,     0,     0,     0,     0,   247,   248,   249,
       0,   250,   251,   252,   253,     0,   255,   256,   257,   258,
     259,     0,   261,   262,     0,   263,   264,   265,   266,   267,
     268,   269,     0,     0,   270,   271,   272,   273,   274,     0,
     275,   276,   277,   278,   279,     0,     0,     0,   281,   282,
     283,   284,   285,   286,     0,   288,   289,   290,     0,   291,
     292,   293,   294,   295,   296,     0,     0,   298,   299,   300,
       0,     0,     0,     0,     0,     0,     0,   302,   303,   304,
     305,   306,   307,   308,   309,   310,     0,   311,     0,   312,
     313,   314,   315,   316,   317,   318,     0,   319,   320,   321,
     322,     0,     0,   323,   324,   325,   326,   327,     0,   328,
     329,   330,     0,   331,   332,   333,     0,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,     0,   344,     0,
     345,   346,   347,   348,   349,     0,   350,     0,   351,   352,
       0,     0,     0,   355,   356,   357,   358,     0,   359,   360,
       0,   361,   362,   363,     0,   364,   365,   366,   367,  3131,
       0,   370,   371,   372,   373,     0,   374,   375,   376,   377,
     378,   379,   380,   381,     0,   382,     0,   384,   385,   386,
     387,   388,   389,   390,     0,   391,     0,   392,     0,     0,
     395,     0,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,     0,     0,   410,   411,     0,
     413,     0,     0,   415,   416,   417,     0,     0,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,     0,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,     0,
     449,   450,     0,   452,     0,   453,   454,   455,   456,   457,
     458,     0,   459,   460,     0,     0,   461,   462,   463,     0,
       0,   464,   465,   466,     0,   468,     0,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,     0,   481,
     482,   483,   484,   485,   486,   487,   488,     0,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,     0,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,     0,   517,   518,
       0,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,   531,   532,   533,   534,   535,     0,   536,   537,
     538,   539,   540,     0,   541,   542,   543,   544,   545,     0,
     547,   548,   549,   550,     0,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   560,   561,   562,   563,   564,   565,
       0,   566,   567,     0,     0,   568,     0,   570,   571,   572,
     573,   574,     0,   575,   576,   577,     0,     0,   578,   579,
     580,   581,   582,     0,   583,   584,   585,   586,   587,   588,
     589,   590,     0,     0,   591,   592,   593,   594,   595,     0,
       0,   596,   597,   598,   599,   600,   601,   602,     0,   603,
       0,   605,   606,   607,   608,     0,     0,   609,     0,     0,
     610,   611,   612,   613,   614,   615,   616,   617,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
     637,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   235,   236,   237,
     238,   239,   240,   241,   242,   243,     0,   244,   245,   246,
       0,     0,     0,     0,     0,     0,     0,   247,   248,   249,
       0,   250,   251,   252,   253,     0,   255,   256,   257,   258,
     259,     0,   261,   262,     0,   263,   264,   265,   266,   267,
     268,   269,     0,     0,   270,   271,   272,   273,   274,     0,
     275,   276,   277,   278,   279,     0,     0,     0,   281,   282,
     283,   284,   285,   286,     0,   288,   289,   290,     0,   291,
     292,   293,   294,   295,   296,     0,     0,   298,   299,   300,
       0,     0,     0,     0,     0,     0,     0,   302,   303,   304,
     305,   306,   307,   308,   309,   310,     0,   311,     0,   312,
     313,   314,   315,   316,   317,   318,     0,   319,   320,   321,
     322,     0,     0,   323,   324,   325,   326,   327,     0,   328,
     329,   330,     0,   331,   332,   333,     0,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,     0,   344,     0,
     345,   346,   347,   348,   349,     0,   350,     0,   351,   352,
       0,     0,     0,   355,   356,   357,   358,     0,   359,   360,
       0,   361,   362,   363,     0,   364,   365,   366,   367,  3523,
       0,   370,   371,   372,   373,     0,   374,   375,   376,   377,
     378,   379,   380,   381,     0,   382,     0,   384,   385,   386,
     387,   388,   389,   390,     0,   391,     0,   392,     0,     0,
     395,     0,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,     0,     0,   410,   411,     0,
     413,     0,     0,   415,   416,   417,     0,     0,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,     0,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,     0,
     449,   450,     0,   452,     0,   453,   454,   455,   456,   457,
     458,     0,   459,   460,     0,     0,   461,   462,   463,     0,
       0,   464,   465,   466,     0,   468,     0,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,     0,   481,
     482,   483,   484,   485,   486,   487,   488,     0,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,     0,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,     0,   517,   518,
       0,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,   531,   532,   533,   534,   535,     0,   536,   537,
     538,   539,   540,     0,   541,   542,   543,   544,   545,     0,
     547,   548,   549,   550,     0,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   560,   561,   562,   563,   564,   565,
       0,   566,   567,     0,     0,   568,     0,   570,   571,   572,
     573,   574,     0,   575,   576,   577,     0,     0,   578,   579,
     580,   581,   582,     0,   583,   584,   585,   586,   587,   588,
     589,   590,     0,     0,   591,   592,   593,   594,   595,     0,
       0,   596,   597,   598,   599,   600,   601,   602,     0,   603,
       0,   605,   606,   607,   608,     0,     0,   609,     0,     0,
     610,   611,   612,   613,   614,   615,   616,   617,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
     637,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   235,   236,   237,
     238,   239,   240,   241,   242,   243,     0,   244,   245,   246,
       0,     0,     0,     0,     0,     0,     0,   247,   248,   249,
       0,   250,   251,   252,   253,     0,   255,   256,   257,   258,
     259,     0,   261,   262,     0,   263,   264,   265,   266,   267,
     268,   269,     0,     0,   821,   271,   272,   273,   274,     0,
     275,   276,   277,   278,   279,     0,     0,     0,   281,   282,
     283,   284,   285,   286,     0,   288,   289,   290,     0,   291,
     292,   293,   294,   295,   296,     0,     0,   298,   299,   300,
       0,     0,     0,     0,     0,     0,     0,   302,   303,   304,
     305,   306,   307,   308,   309,   310,     0,   311,     0,   312,
     313,   314,   315,   316,   317,   318,     0,   319,   320,   321,
     322,     0,     0,   323,   324,   325,   326,   327,     0,   328,
     329,   330,     0,   331,   332,   333,     0,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,     0,   344,     0,
     345,   346,   347,   348,   349,     0,   350,     0,   351,   352,
       0,     0,     0,   355,   356,   357,   358,     0,   359,   360,
       0,   361,   362,   363,     0,   364,   365,   366,   367,   368,
       0,   370,   371,   372,   373,     0,   374,   375,   376,   377,
     378,   379,   380,   381,     0,   382,     0,   384,   385,   386,
     387,   388,   389,   390,     0,   391,     0,   392,     0,     0,
     395,     0,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,     0,     0,   410,   411,     0,
     413,     0,     0,   415,   416,   417,     0,     0,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   824,   436,     0,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,     0,
     449,   450,     0,   452,     0,   453,   454,   455,   456,   457,
     458,     0,   459,   460,     0,     0,   461,   462,   463,     0,
       0,   464,   465,   466,     0,   468,     0,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,     0,   481,
     482,   483,   484,   485,   486,   487,   488,     0,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,     0,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,     0,   517,   518,
       0,   825,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   826,   531,   532,   533,   534,   535,     0,   536,   537,
     538,   539,  2772,     0,   541,   542,   543,   544,   545,     0,
     547,   548,   549,   550,     0,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   560,   561,   562,   563,   564,   565,
       0,   566,   567,     0,     0,   568,     0,   570,   571,   572,
     573,   574,     0,   575,   828,   577,     0,     0,  2773,   579,
     580,   581,   582,     0,   583,   584,   585,   586,   587,   588,
     589,   590,     0,     0,   591,   592,   593,   594,   595,     0,
       0,   596,   597,   598,   599,   600,   601,   602,     0,   603,
       0,   605,   606,   607,   608,     0,     0,   609,     0,     0,
     610,   611,   612,   613,   614,   830,   616,   617,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
     637,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   235,   236,   237,
     238,   239,   240,   241,   242,   243,     0,   244,   245,   246,
       0,     0,     0,     0,     0,     0,     0,   247,   248,   249,
       0,   250,   251,   252,   253,     0,   255,   256,   257,   258,
     259,     0,   261,   262,     0,   263,   264,   265,   266,   267,
     268,   269,     0,     0,   270,   271,   272,   273,   274,     0,
     275,   276,   277,   278,   279,     0,     0,     0,   281,   282,
     283,   284,   285,   286,     0,   288,   289,   290,     0,   291,
     292,   293,   294,   295,   296,     0,     0,   298,   299,   300,
       0,     0,     0,     0,     0,     0,     0,   302,   303,   304,
     305,   306,   307,   308,   309,   310,     0,   311,     0,   312,
     313,   314,   315,   316,   317,   318,     0,   319,   320,   321,
     322,     0,     0,   323,   324,   325,   326,   327,     0,   328,
     329,   330,     0,   331,   332,   333,     0,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,     0,   344,     0,
     345,   346,   347,   348,   349,     0,   350,     0,   351,   352,
       0,     0,     0,   355,   356,   357,   358,     0,   359,   360,
       0,   361,   362,   363,     0,   364,   365,   366,   367,  3580,
       0,   370,   371,   372,   373,     0,   374,   375,   376,   377,
     378,   379,   380,   381,     0,   382,     0,   384,   385,   386,
     387,   388,   389,   390,     0,   391,     0,   392,     0,     0,
     395,     0,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,     0,     0,   410,   411,     0,
     413,     0,     0,   415,   416,   417,     0,     0,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,     0,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,     0,
     449,   450,     0,   452,     0,   453,   454,   455,   456,   457,
     458,     0,   459,   460,     0,     0,   461,   462,   463,     0,
       0,   464,   465,   466,     0,   468,     0,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,     0,   481,
     482,   483,   484,   485,   486,   487,   488,     0,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,     0,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,     0,   517,   518,
       0,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,   531,   532,   533,   534,   535,     0,   536,   537,
     538,   539,   540,     0,   541,   542,   543,   544,   545,     0,
     547,   548,   549,   550,     0,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   560,   561,   562,   563,   564,   565,
       0,   566,   567,     0,     0,   568,     0,   570,   571,   572,
     573,   574,     0,   575,   576,   577,     0,     0,   578,   579,
     580,   581,   582,     0,   583,   584,   585,   586,   587,   588,
     589,   590,     0,     0,   591,   592,   593,   594,   595,     0,
       0,   596,   597,   598,   599,   600,   601,   602,     0,   603,
       0,   605,   606,   607,   608,     0,     0,   609,     0,     0,
     610,   611,   612,   613,   614,   615,   616,   617,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
     637,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   235,   236,   237,
     238,   239,   240,   241,   242,   243,     0,   244,   245,   246,
       0,     0,     0,     0,     0,     0,     0,   247,   248,   249,
       0,   250,   251,   252,   253,     0,   255,   256,   257,   258,
     259,     0,   261,   262,     0,   263,   264,   265,   266,   267,
     268,   269,     0,     0,   270,   271,   272,   273,   274,     0,
     275,   276,   277,   278,   279,     0,     0,     0,   281,   282,
     283,   284,   285,   286,     0,   288,   289,   290,     0,   291,
     292,   293,   294,   295,   296,     0,     0,   298,   299,   300,
       0,     0,     0,     0,     0,     0,     0,   302,   303,   304,
     305,   306,   307,   308,   309,   310,     0,   311,     0,   312,
     313,   314,   315,   316,   317,   318,     0,   319,   320,   321,
     322,     0,     0,   323,   324,   325,   326,   327,     0,   328,
     329,   330,     0,   331,   332,   333,     0,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,     0,   344,     0,
     345,   346,   347,   348,   349,     0,   350,     0,   351,   352,
       0,     0,     0,   355,   356,   357,   358,     0,   359,   360,
       0,   361,   362,   363,     0,   364,   365,   366,   367,  3594,
       0,   370,   371,   372,   373,     0,   374,   375,   376,   377,
     378,   379,   380,   381,     0,   382,     0,   384,   385,   386,
     387,   388,   389,   390,     0,   391,     0,   392,     0,     0,
     395,     0,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,     0,     0,   410,   411,     0,
     413,     0,     0,   415,   416,   417,     0,     0,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,     0,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,     0,
     449,   450,     0,   452,     0,   453,   454,   455,   456,   457,
     458,     0,   459,   460,     0,     0,   461,   462,   463,     0,
       0,   464,   465,   466,     0,   468,     0,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,     0,   481,
     482,   483,   484,   485,   486,   487,   488,     0,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,     0,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,     0,   517,   518,
       0,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,   531,   532,   533,   534,   535,     0,   536,   537,
     538,   539,   540,     0,   541,   542,   543,   544,   545,     0,
     547,   548,   549,   550,     0,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   560,   561,   562,   563,   564,   565,
       0,   566,   567,     0,     0,   568,     0,   570,   571,   572,
     573,   574,     0,   575,   576,   577,     0,     0,   578,   579,
     580,   581,   582,     0,   583,   584,   585,   586,   587,   588,
     589,   590,     0,     0,   591,   592,   593,   594,   595,     0,
       0,   596,   597,   598,   599,   600,   601,   602,     0,   603,
       0,   605,   606,   607,   608,     0,     0,   609,     0,     0,
     610,   611,   612,   613,   614,   615,   616,   617,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
     637,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   235,   236,   237,
     238,   239,   240,   241,   242,   243,     0,   244,   245,   246,
       0,     0,     0,     0,     0,     0,     0,   247,   248,   249,
       0,   250,   251,   252,   253,     0,   255,   256,   257,   258,
     259,     0,   261,   262,     0,   263,   264,   265,   266,   267,
     268,   269,     0,     0,   270,   271,   272,   273,   274,     0,
     275,   276,   277,   278,   279,     0,     0,     0,   281,   282,
     283,   284,   285,   286,     0,   288,   289,   290,     0,   291,
     292,   293,   294,   295,   296,     0,     0,   298,   299,   300,
       0,     0,     0,     0,     0,     0,     0,   302,   303,   304,
     305,   306,   307,   308,   309,   310,     0,   311,     0,   312,
     313,   314,   315,   316,   317,   318,     0,   319,   320,   321,
     322,     0,     0,   323,   324,   325,   326,   327,     0,   328,
     329,   330,     0,   331,   332,   333,     0,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,     0,   344,     0,
     345,   346,   347,   348,   349,     0,   350,     0,   351,   352,
       0,     0,     0,   355,   356,   357,   358,     0,   359,   360,
       0,   361,   362,   363,     0,   364,   365,   366,   367,  3596,
       0,   370,   371,   372,   373,     0,   374,   375,   376,   377,
     378,   379,   380,   381,     0,   382,     0,   384,   385,   386,
     387,   388,   389,   390,     0,   391,     0,   392,     0,     0,
     395,     0,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,     0,     0,   410,   411,     0,
     413,     0,     0,   415,   416,   417,     0,     0,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,     0,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,     0,
     449,   450,     0,   452,     0,   453,   454,   455,   456,   457,
     458,     0,   459,   460,     0,     0,   461,   462,   463,     0,
       0,   464,   465,   466,     0,   468,     0,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,     0,   481,
     482,   483,   484,   485,   486,   487,   488,     0,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,     0,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,     0,   517,   518,
       0,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,   531,   532,   533,   534,   535,     0,   536,   537,
     538,   539,   540,     0,   541,   542,   543,   544,   545,     0,
     547,   548,   549,   550,     0,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   560,   561,   562,   563,   564,   565,
       0,   566,   567,     0,     0,   568,     0,   570,   571,   572,
     573,   574,     0,   575,   576,   577,     0,     0,   578,   579,
     580,   581,   582,     0,   583,   584,   585,   586,   587,   588,
     589,   590,     0,     0,   591,   592,   593,   594,   595,     0,
       0,   596,   597,   598,   599,   600,   601,   602,     0,   603,
       0,   605,   606,   607,   608,     0,     0,   609,     0,     0,
     610,   611,   612,   613,   614,   615,   616,   617,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
     637,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   235,   236,   237,
     238,   239,   240,   241,   242,   243,     0,   244,   245,   246,
       0,     0,     0,     0,     0,     0,     0,   247,   248,   249,
       0,   250,   251,   252,   253,     0,   255,   256,   257,   258,
     259,     0,   261,   262,     0,   263,   264,   265,   266,   267,
     268,   269,     0,     0,   270,   271,   272,   273,   274,     0,
     275,   276,   277,   278,   279,     0,     0,     0,   281,   282,
     283,   284,   285,   286,     0,   288,   289,   290,     0,   291,
     292,   293,   294,   295,   296,     0,     0,   298,   299,   300,
       0,     0,     0,     0,     0,     0,     0,   302,   303,   304,
     305,   306,   307,   308,   309,   310,     0,   311,     0,   312,
     313,   314,   315,   316,   317,   318,     0,   319,   320,   321,
     322,     0,     0,   323,   324,   325,   326,   327,     0,   328,
     329,   330,     0,   331,   332,   333,     0,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,     0,   344,     0,
     345,   346,   347,   348,   349,     0,   350,     0,   351,   352,
       0,     0,     0,   355,   356,   357,   358,     0,   359,   360,
       0,   361,   362,   363,     0,   364,   365,   366,   367,  3744,
       0,   370,   371,   372,   373,     0,   374,   375,   376,   377,
     378,   379,   380,   381,     0,   382,     0,   384,   385,   386,
     387,   388,   389,   390,     0,   391,     0,   392,     0,     0,
     395,     0,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,     0,     0,   410,   411,     0,
     413,     0,     0,   415,   416,   417,     0,     0,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,     0,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,     0,
     449,   450,     0,   452,     0,   453,   454,   455,   456,   457,
     458,     0,   459,   460,     0,     0,   461,   462,   463,     0,
       0,   464,   465,   466,     0,   468,     0,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,     0,   481,
     482,   483,   484,   485,   486,   487,   488,     0,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,     0,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,     0,   517,   518,
       0,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,   531,   532,   533,   534,   535,     0,   536,   537,
     538,   539,   540,     0,   541,   542,   543,   544,   545,     0,
     547,   548,   549,   550,     0,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   560,   561,   562,   563,   564,   565,
       0,   566,   567,     0,     0,   568,     0,   570,   571,   572,
     573,   574,     0,   575,   576,   577,     0,     0,   578,   579,
     580,   581,   582,     0,   583,   584,   585,   586,   587,   588,
     589,   590,     0,     0,   591,   592,   593,   594,   595,     0,
       0,   596,   597,   598,   599,   600,   601,   602,     0,   603,
       0,   605,   606,   607,   608,     0,     0,   609,     0,     0,
     610,   611,   612,   613,   614,   615,   616,   617,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
     637,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   235,   236,   237,
     238,   239,   240,   241,   242,   243,     0,   244,   245,   246,
       0,     0,     0,     0,     0,     0,     0,   247,   248,   249,
       0,   250,   251,   252,   253,     0,   255,   256,   257,   258,
     259,     0,   261,   262,     0,   263,   264,   265,   266,   267,
     268,   269,     0,     0,   270,   271,   272,   273,   274,     0,
     275,   276,   277,   278,   279,     0,     0,     0,   281,   282,
     283,   284,   285,   286,     0,   288,   289,   290,     0,   291,
     292,   293,   294,   295,   296,     0,     0,   298,   299,   300,
       0,     0,     0,     0,     0,     0,     0,   302,   303,   304,
     305,   306,   307,   308,   309,   310,     0,   311,     0,   312,
     313,   314,   315,   316,   317,   318,     0,   319,   320,   321,
     322,     0,     0,   323,  3786,   325,   326,   327,     0,   328,
     329,   330,     0,   331,   332,   333,     0,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,     0,   344,     0,
     345,   346,   347,   348,   349,     0,   350,     0,   351,   352,
       0,     0,     0,   355,   356,   357,   358,     0,   359,   360,
       0,   361,   362,   363,     0,   364,   365,   366,   367,   368,
       0,   370,   371,   372,   373,     0,   374,   375,   376,   377,
     378,   379,   380,   381,     0,   382,     0,   384,   385,   386,
     387,   388,   389,   390,     0,   391,     0,   392,     0,     0,
     395,     0,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,     0,     0,   410,   411,     0,
     413,     0,     0,   415,   416,   417,     0,     0,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,     0,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,     0,
     449,   450,     0,   452,     0,   453,   454,   455,   456,   457,
     458,     0,   459,   460,     0,     0,   461,   462,   463,     0,
       0,   464,   465,   466,     0,   468,     0,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,     0,   481,
     482,   483,   484,   485,   486,   487,   488,     0,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,     0,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,     0,   517,   518,
       0,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,   531,   532,   533,   534,   535,     0,   536,   537,
     538,   539,   540,     0,   541,   542,   543,   544,   545,     0,
     547,   548,   549,   550,     0,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   560,   561,   562,   563,   564,   565,
       0,   566,   567,     0,     0,   568,     0,   570,   571,   572,
     573,   574,     0,   575,   576,   577,     0,     0,   578,   579,
     580,   581,   582,     0,   583,   584,   585,   586,   587,   588,
     589,   590,     0,     0,   591,   592,   593,   594,   595,     0,
       0,   596,   597,   598,   599,   600,   601,   602,     0,   603,
       0,   605,   606,   607,   608,     0,     0,   609,     0,     0,
     610,   611,   612,   613,   614,   615,   616,   617,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
     637,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   235,   236,   237,
     238,   239,   240,   241,   242,   243,     0,   244,   245,   246,
       0,     0,     0,     0,     0,     0,     0,   247,   248,   249,
       0,   250,   251,   252,   253,     0,   255,   256,   257,   258,
     259,     0,   261,   262,     0,   263,   264,   265,   266,   267,
     268,   269,     0,     0,   270,   271,   272,   273,   274,     0,
     275,   276,   277,   278,   279,     0,     0,     0,   281,   282,
     283,   284,   285,   286,     0,   288,   289,   290,     0,   291,
     292,   293,   294,   295,   296,     0,     0,   298,   299,   300,
       0,     0,     0,     0,     0,     0,     0,   302,   303,   304,
     305,   306,   307,   308,   309,   310,     0,   311,     0,   312,
     313,   314,   315,   316,   317,   318,     0,   319,   320,   321,
     322,     0,     0,   323,   324,   325,   326,   327,     0,   328,
     329,   330,     0,   331,   332,   333,     0,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,     0,   344,     0,
     345,   346,   347,   348,   349,     0,   350,     0,   351,   352,
       0,     0,     0,   355,   356,   357,   358,     0,   359,   360,
       0,   361,   362,   363,     0,   364,   365,   366,   367,  5035,
       0,   370,   371,   372,   373,     0,   374,   375,   376,   377,
     378,   379,   380,   381,     0,   382,     0,   384,   385,   386,
     387,   388,   389,   390,     0,   391,     0,   392,     0,     0,
     395,     0,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,     0,     0,   410,   411,     0,
     413,     0,     0,   415,   416,   417,     0,     0,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,     0,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,     0,
     449,   450,     0,   452,     0,   453,   454,   455,   456,   457,
     458,     0,   459,   460,     0,     0,   461,   462,   463,     0,
       0,   464,   465,   466,     0,   468,     0,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,     0,   481,
     482,   483,   484,   485,   486,   487,   488,     0,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,     0,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,     0,   517,   518,
       0,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,   531,   532,   533,   534,   535,     0,   536,   537,
     538,   539,   540,     0,   541,   542,   543,   544,   545,     0,
     547,   548,   549,   550,     0,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   560,   561,   562,   563,   564,   565,
       0,   566,   567,     0,     0,   568,     0,   570,   571,   572,
     573,   574,     0,   575,   576,   577,     0,     0,   578,   579,
     580,   581,   582,     0,   583,   584,   585,   586,   587,   588,
     589,   590,     0,     0,   591,   592,   593,   594,   595,     0,
       0,   596,   597,   598,   599,   600,   601,   602,     0,   603,
       0,   605,   606,   607,   608,     0,     0,   609,     0,     0,
     610,   611,   612,   613,   614,   615,   616,   617,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
     637,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   235,   236,   237,
     238,   239,   240,   241,   242,   243,     0,   244,   245,   246,
       0,     0,     0,     0,     0,     0,     0,   247,   248,   249,
       0,   250,   251,   252,   253,     0,   255,   256,   257,   258,
     259,     0,   261,   262,     0,   263,   264,   265,   266,   267,
     268,   269,     0,     0,   270,   271,   272,   273,   274,     0,
     275,   276,   277,   278,   279,     0,     0,     0,   281,   282,
     283,   284,   285,   286,     0,   288,   289,   290,     0,   291,
     292,   293,   294,   295,   296,     0,     0,   298,   299,   300,
       0,     0,     0,     0,     0,     0,     0,   302,   303,   304,
     305,   306,   307,   308,   309,   310,     0,   311,     0,   312,
     313,   314,   315,   316,   317,   318,     0,   319,   320,   321,
     322,     0,     0,   323,   324,   325,   326,   327,     0,   328,
     329,   330,     0,   331,   332,   333,     0,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,     0,   344,     0,
     345,   346,   347,   348,   349,     0,   350,     0,   351,   352,
       0,     0,     0,   355,   356,   357,   358,     0,   359,   360,
       0,   361,     0,   363,     0,   364,   365,   366,   367,   368,
       0,   370,   371,   372,   373,     0,   374,   375,   376,   377,
     378,   379,   380,   381,     0,   382,     0,   384,   385,   386,
     387,   388,   389,   390,     0,   391,     0,   392,     0,     0,
     395,     0,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,     0,     0,   410,   411,     0,
     413,     0,     0,   415,   416,   417,     0,     0,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,     0,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,     0,
     449,   450,     0,   452,     0,   453,   454,   455,   456,   457,
     458,     0,   459,   460,     0,     0,   461,   462,   463,     0,
       0,   464,   465,   466,     0,   468,     0,   470,   471,   472,
     473,   474,   475,   476,   477,     0,   479,   480,     0,   481,
     482,   483,   484,   485,   486,   487,   488,     0,   489,   490,
     491,   492,   493,   494,   495,   496,     0,   498,   499,   500,
     501,   502,   503,     0,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,     0,   517,   518,
       0,   520,   521,   522,   523,   524,   525,     0,   527,   528,
     529,   530,   531,   532,   533,   534,   535,     0,   536,   537,
     538,   539,   540,     0,   541,   542,   543,   544,   545,     0,
     547,   548,   549,   550,     0,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   560,   561,   562,   563,   564,   565,
       0,   566,   567,     0,     0,   568,     0,   570,   571,   572,
     573,   574,     0,   575,   576,   577,     0,     0,   578,   579,
     580,   581,   582,     0,   583,   584,   585,   586,   587,   588,
     589,   590,     0,     0,   591,   592,   593,   594,   595,     0,
       0,   596,   597,   598,   599,   600,   601,   602,     0,   603,
       0,   605,   606,   607,   608,     0,     0,   609,     0,     0,
     610,   611,   612,   613,   614,   615,   616,   617,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
     858,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   235,   236,   237,
     238,   239,   240,   241,   242,   243,     0,   244,   245,   246,
       0,     0,     0,     0,     0,     0,     0,   247,   248,   249,
       0,   250,   251,   252,   253,   254,   255,   256,   257,     0,
     859,   260,   860,   861,     0,   263,   264,   265,   266,   267,
     268,   269,     0,     0,   270,   271,   862,   863,   274,     0,
     275,   276,   277,   278,     0,     0,   280,     0,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,     0,   291,
     292,   293,   294,   295,   296,     0,   297,   298,   299,   300,
       0,     0,     0,   301,     0,     0,     0,   302,   303,   304,
     305,   306,   307,   864,   865,   310,     0,   311,     0,   312,
     313,   314,   315,   316,   317,   318,     0,   319,   320,   321,
     322,     0,     0,   323,   324,   866,   326,   327,     0,   328,
     329,   330,     0,   331,   332,   333,     0,   334,   335,   336,
     337,     0,   339,   340,   341,   342,     0,     0,   344,     0,
     345,   346,   347,   867,   349,     0,   350,     0,   351,   352,
     353,     0,   354,   355,   356,   357,   358,     0,   359,     0,
       0,     0,   362,   363,     0,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,  2679,   374,   375,   376,   377,
     378,   379,   380,   381,     0,   382,   383,  2680,   385,   386,
     387,   388,   868,   869,     0,   870,     0,   392,   393,   394,
     395,   396,   871,     0,     0,     0,     0,     0,     0,   404,
     405,   406,   407,   408,   409,     0,     0,   410,     0,   412,
     413,   414,     0,   415,   416,   417,     0,     0,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   872,   437,   873,   439,
     440,   441,   442,   443,   444,   445,     0,     0,   448,     0,
     449,   450,   451,   452,     0,     0,   454,   874,   456,   457,
     458,     0,   459,   460,     0,     0,   461,   462,   463,     0,
       0,   464,   465,  2682,   467,   468,   469,     0,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,     0,   481,
     482,     0,   484,     0,   486,   487,   488,     0,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   875,   500,
     501,   502,   503,     0,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,     0,   517,   518,
     519,   520,   521,   522,   523,   524,     0,   526,   527,   528,
     529,   530,   531,   532,   533,   534,   535,     0,   536,   537,
     538,   539,   540,     0,   541,   542,  2683,   544,   545,   546,
     547,   548,   877,   550,     0,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   560,   561,   562,   563,     0,   565,
       0,   566,   567,     0,     0,   568,   569,   570,   571,   572,
     573,   574,     0,   575,   878,   879,     0,     0,   578,   579,
       0,   581,     0,     0,   583,   584,   585,   586,   587,   588,
     589,   590,     0,     0,   591,   592,   593,   594,   595,     0,
       0,   596,   597,   598,   599,   600,     0,   880,  2684,   603,
     604,   605,   606,   607,   608,     0,     0,   609,     0,     0,
     610,   611,   612,   613,   614,   615,   858,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   627,   628,   629,
       0,     0,     0,   235,   236,   237,   238,   239,   240,   241,
     242,   243,     0,   244,   245,   246,     0,     0,     0,     0,
       0,     0,     0,   247,   248,   249,     0,   250,   251,   252,
     253,   254,   255,   256,   257,     0,   859,   260,   860,   861,
       0,   263,   264,   265,   266,   267,   268,   269,     0,     0,
     270,   271,   862,   863,   274,     0,   275,   276,   277,   278,
       0,     0,   280,     0,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,     0,   291,   292,   293,   294,   295,
     296,     0,   297,   298,   299,   300,     0,     0,     0,   301,
       0,     0,     0,   302,   303,   304,   305,   306,   307,   864,
     865,   310,     0,   311,     0,   312,   313,   314,   315,   316,
     317,   318,     0,   319,   320,   321,   322,     0,     0,   323,
     324,   866,   326,   327,     0,   328,   329,   330,     0,   331,
     332,   333,     0,   334,   335,   336,   337,     0,   339,   340,
     341,   342,     0,     0,   344,     0,   345,   346,   347,   867,
     349,     0,   350,     0,   351,   352,   353,     0,   354,   355,
     356,   357,   358,     0,   359,     0,     0,     0,   362,   363,
       0,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,     0,   374,   375,   376,   377,   378,   379,   380,   381,
       0,   382,   383,     0,   385,   386,   387,   388,   868,   869,
       0,   870,     0,   392,   393,   394,   395,   396,   871,     0,
       0,     0,     0,     0,     0,   404,   405,   406,   407,   408,
     409,     0,     0,   410,     0,   412,   413,   414,     0,   415,
     416,   417,     0,     0,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   872,   437,   873,   439,   440,   441,   442,   443,
     444,   445,     0,     0,   448,     0,   449,   450,   451,   452,
    2767,     0,   454,   874,   456,   457,   458,     0,   459,   460,
       0,     0,   461,   462,   463,     0,     0,   464,   465,     0,
     467,   468,   469,     0,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,     0,   481,   482,     0,   484,     0,
     486,   487,   488,     0,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   875,   500,   501,   502,   503,     0,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,     0,   517,   518,   519,   520,   521,   522,
     523,   524,     0,   526,   527,   528,   529,   530,   531,   532,
     533,   534,   535,     0,   536,   537,   538,   539,   540,     0,
     541,   542,  2683,   544,   545,   546,   547,   548,   877,   550,
       0,   551,   552,   553,   554,   555,   556,   557,   558,   559,
     560,   561,   562,   563,     0,   565,     0,   566,   567,     0,
    4557,   568,   569,   570,   571,   572,   573,   574,     0,   575,
     878,   879,     0,     0,   578,   579,     0,   581,     0,     0,
     583,   584,   585,   586,   587,   588,   589,   590,     0,     0,
     591,   592,   593,   594,   595,     0,     0,   596,   597,   598,
     599,   600,     0,   880,     0,   603,   604,   605,   606,   607,
     608,     0,     0,   609,     0,     0,   610,   611,   612,   613,
     614,   615,   858,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   627,   628,   629,     0,     0,     0,   235,
     236,   237,   238,   239,   240,   241,   242,   243,     0,   244,
     245,   246,     0,     0,     0,     0,     0,     0,     0,   247,
     248,   249,     0,   250,   251,   252,   253,   254,   255,   256,
     257,     0,   859,   260,   860,   861,     0,   263,   264,   265,
     266,   267,   268,   269,     0,     0,   270,   271,   862,   863,
     274,     0,   275,   276,   277,   278,     0,     0,   280,     0,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
       0,   291,   292,   293,   294,   295,   296,     0,   297,   298,
     299,   300,     0,     0,     0,   301,     0,     0,     0,   302,
     303,   304,   305,   306,   307,   864,   865,   310,     0,   311,
       0,   312,   313,   314,   315,   316,   317,   318,     0,   319,
     320,   321,   322,     0,     0,   323,   324,   866,   326,   327,
       0,   328,   329,   330,     0,   331,   332,   333,     0,   334,
     335,   336,   337,     0,   339,   340,   341,   342,     0,     0,
     344,     0,   345,   346,   347,   867,   349,     0,   350,     0,
     351,   352,   353,     0,   354,   355,   356,   357,   358,     0,
     359,     0,     0,     0,   362,   363,     0,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,     0,   374,   375,
     376,   377,   378,   379,   380,   381,     0,   382,   383,     0,
     385,   386,   387,   388,   868,   869,     0,   870,     0,   392,
     393,   394,   395,   396,   871,     0,     0,     0,     0,     0,
       0,   404,   405,   406,   407,   408,   409,     0,     0,   410,
       0,   412,   413,   414,     0,   415,   416,   417,     0,     0,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   872,   437,
     873,   439,   440,   441,   442,   443,   444,   445,  2841,     0,
     448,     0,   449,   450,   451,   452,     0,     0,   454,   874,
     456,   457,   458,     0,   459,   460,     0,     0,   461,   462,
     463,     0,     0,   464,   465,     0,   467,   468,   469,     0,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
       0,   481,   482,     0,   484,     0,   486,   487,   488,     0,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
     875,   500,   501,   502,   503,     0,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,     0,
     517,   518,   519,   520,   521,   522,   523,   524,     0,   526,
     527,   528,   529,   530,   531,   532,   533,   534,   535,     0,
     536,   537,   538,   539,   540,     0,   541,   542,   876,   544,
     545,   546,   547,   548,   877,   550,     0,   551,   552,   553,
     554,   555,   556,   557,   558,   559,   560,   561,   562,   563,
       0,   565,     0,   566,   567,     0,     0,   568,   569,   570,
     571,   572,   573,   574,     0,   575,   878,   879,     0,     0,
     578,   579,     0,   581,     0,     0,   583,   584,   585,   586,
     587,   588,   589,   590,     0,     0,   591,   592,   593,   594,
     595,     0,     0,   596,   597,   598,   599,   600,     0,   880,
       0,   603,   604,   605,   606,   607,   608,     0,     0,   609,
       0,     0,   610,   611,   612,   613,   614,   615,   858,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   627,
     628,   629,     0,     0,     0,   235,   236,   237,   238,   239,
     240,   241,   242,   243,     0,   244,   245,   246,     0,     0,
       0,     0,     0,     0,     0,   247,   248,   249,     0,   250,
     251,   252,   253,   254,   255,   256,   257,     0,   859,   260,
     860,   861,     0,   263,   264,   265,   266,   267,   268,   269,
       0,     0,   270,   271,   862,   863,   274,     0,   275,   276,
     277,   278,     0,     0,   280,     0,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,     0,   291,   292,   293,
     294,   295,   296,     0,   297,   298,   299,   300,     0,     0,
       0,   301,     0,     0,     0,   302,   303,   304,   305,   306,
     307,   864,   865,   310,     0,   311,     0,   312,   313,   314,
     315,   316,   317,   318,     0,   319,   320,   321,   322,     0,
       0,   323,   324,   866,   326,   327,     0,   328,   329,   330,
       0,   331,   332,   333,     0,   334,   335,   336,   337,     0,
     339,   340,   341,   342,     0,     0,   344,     0,   345,   346,
     347,   867,   349,     0,   350,     0,   351,   352,   353,     0,
     354,   355,   356,   357,   358,     0,   359,     0,     0,     0,
     362,   363,     0,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,     0,   374,   375,   376,   377,   378,   379,
     380,   381,     0,   382,   383,     0,   385,   386,   387,   388,
     868,   869,     0,   870,     0,   392,   393,   394,   395,   396,
     871,     0,     0,     0,     0,     0,     0,   404,   405,   406,
     407,   408,   409,     0,     0,   410,     0,   412,   413,   414,
       0,   415,   416,   417,     0,     0,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   872,   437,   873,   439,   440,   441,
     442,   443,   444,   445,  4353,     0,   448,     0,   449,   450,
     451,   452,     0,     0,   454,   874,   456,   457,   458,     0,
     459,   460,     0,     0,   461,   462,   463,     0,     0,   464,
     465,     0,   467,   468,   469,     0,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,     0,   481,   482,     0,
     484,     0,   486,   487,   488,     0,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   875,   500,   501,   502,
     503,     0,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,     0,   517,   518,   519,   520,
     521,   522,   523,   524,     0,   526,   527,   528,   529,   530,
     531,   532,   533,   534,   535,     0,   536,   537,   538,   539,
     540,     0,   541,   542,   876,   544,   545,   546,   547,   548,
     877,   550,     0,   551,   552,   553,   554,   555,   556,   557,
     558,   559,   560,   561,   562,   563,     0,   565,     0,   566,
     567,     0,     0,   568,   569,   570,   571,   572,   573,   574,
       0,   575,   878,   879,     0,     0,   578,   579,     0,   581,
       0,     0,   583,   584,   585,   586,   587,   588,   589,   590,
       0,     0,   591,   592,   593,   594,   595,     0,     0,   596,
     597,   598,   599,   600,     0,   880,     0,   603,   604,   605,
     606,   607,   608,     0,     0,   609,     0,     0,   610,   611,
     612,   613,   614,   615,   858,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   627,   628,   629,     0,     0,
       0,   235,   236,   237,   238,   239,   240,   241,   242,   243,
       0,   244,   245,   246,     0,     0,     0,     0,     0,     0,
       0,   247,   248,   249,     0,   250,   251,   252,   253,   254,
     255,   256,   257,     0,   859,   260,   860,   861,     0,   263,
     264,   265,   266,   267,   268,   269,     0,     0,   270,   271,
     862,   863,   274,     0,   275,   276,   277,   278,     0,     0,
     280,     0,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,     0,   291,   292,   293,   294,   295,   296,     0,
     297,   298,   299,   300,     0,     0,     0,   301,     0,     0,
       0,   302,   303,   304,   305,   306,   307,   864,   865,   310,
       0,   311,     0,   312,   313,   314,   315,   316,   317,   318,
       0,   319,   320,   321,   322,     0,     0,   323,   324,   866,
     326,   327,     0,   328,   329,   330,     0,   331,   332,   333,
       0,   334,   335,   336,   337,     0,   339,   340,   341,   342,
       0,     0,   344,     0,   345,   346,   347,   867,   349,  5890,
     350,     0,   351,   352,   353,     0,   354,   355,   356,   357,
     358,     0,   359,     0,     0,     0,   362,   363,     0,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,     0,
     374,   375,   376,   377,   378,   379,   380,   381,     0,   382,
     383,     0,   385,   386,   387,   388,   868,   869,     0,   870,
       0,   392,   393,   394,   395,   396,   871,     0,     0,     0,
       0,     0,     0,   404,   405,   406,   407,   408,   409,     0,
       0,   410,     0,   412,   413,   414,     0,   415,   416,   417,
       0,     0,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     872,   437,   873,   439,   440,   441,   442,   443,   444,   445,
       0,     0,   448,     0,   449,   450,   451,   452,     0,     0,
     454,   874,   456,   457,   458,     0,   459,   460,     0,     0,
     461,   462,   463,     0,     0,   464,   465,     0,   467,   468,
     469,     0,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,     0,   481,   482,     0,   484,     0,   486,   487,
     488,     0,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,   875,   500,   501,   502,   503,     0,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,     0,   517,   518,   519,   520,   521,   522,   523,   524,
       0,   526,   527,   528,   529,   530,   531,   532,   533,   534,
     535,     0,   536,   537,   538,   539,   540,     0,   541,   542,
     876,   544,   545,   546,   547,   548,   877,   550,     0,   551,
     552,   553,   554,   555,   556,   557,   558,   559,   560,   561,
     562,   563,     0,   565,     0,   566,   567,     0,     0,   568,
     569,   570,   571,   572,   573,   574,     0,   575,   878,   879,
       0,     0,   578,   579,     0,   581,     0,     0,   583,   584,
     585,   586,   587,   588,   589,   590,     0,     0,   591,   592,
     593,   594,   595,     0,     0,   596,   597,   598,   599,   600,
       0,   880,     0,   603,   604,   605,   606,   607,   608,     0,
       0,   609,     0,     0,   610,   611,   612,   613,   614,   615,
     858,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   627,   628,   629,     0,     0,     0,   235,   236,   237,
     238,   239,   240,   241,   242,   243,     0,   244,   245,   246,
       0,     0,     0,     0,     0,     0,     0,   247,   248,   249,
       0,   250,   251,   252,   253,   254,   255,   256,   257,     0,
     859,   260,   860,   861,     0,   263,   264,   265,   266,   267,
     268,   269,     0,     0,   270,   271,   862,   863,   274,     0,
     275,   276,   277,   278,     0,     0,   280,     0,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,     0,   291,
     292,   293,   294,   295,   296,     0,   297,   298,   299,   300,
       0,     0,     0,   301,     0,     0,     0,   302,   303,   304,
     305,   306,   307,   864,   865,   310,     0,   311,     0,   312,
     313,   314,   315,   316,   317,   318,     0,   319,   320,   321,
     322,     0,     0,   323,   324,   866,   326,   327,     0,   328,
     329,   330,     0,   331,   332,   333,     0,   334,   335,   336,
     337,     0,   339,   340,   341,   342,     0,     0,   344,     0,
     345,   346,   347,   867,   349,     0,   350,     0,   351,   352,
     353,     0,   354,   355,   356,   357,   358,     0,   359,     0,
       0,     0,   362,   363,     0,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,     0,   374,   375,   376,   377,
     378,   379,   380,   381,     0,   382,   383,     0,   385,   386,
     387,   388,   868,   869,     0,   870,     0,   392,   393,   394,
     395,   396,   871,     0,     0,     0,     0,     0,     0,   404,
     405,   406,   407,   408,   409,     0,     0,   410,     0,   412,
     413,   414,     0,   415,   416,   417,     0,     0,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   872,   437,   873,   439,
     440,   441,   442,   443,   444,   445,     0,     0,   448,     0,
     449,   450,   451,   452,     0,     0,   454,   874,   456,   457,
     458,     0,   459,   460,     0,     0,   461,   462,   463,     0,
       0,   464,   465,     0,   467,   468,   469,     0,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,     0,   481,
     482,     0,   484,     0,   486,   487,   488,     0,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   875,   500,
     501,   502,   503,     0,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,     0,   517,   518,
     519,   520,   521,   522,   523,   524,     0,   526,   527,   528,
     529,   530,   531,   532,   533,   534,   535,     0,   536,   537,
     538,   539,   540,     0,   541,   542,   876,   544,   545,   546,
     547,   548,   877,   550,     0,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   560,   561,   562,   563,     0,   565,
       0,   566,   567,     0,     0,   568,   569,   570,   571,   572,
     573,   574,     0,   575,   878,   879,     0,     0,   578,   579,
       0,   581,     0,     0,   583,   584,   585,   586,   587,   588,
     589,   590,     0,     0,   591,   592,   593,   594,   595,     0,
       0,   596,   597,   598,   599,   600,     0,   880,     0,   603,
     604,   605,   606,   607,   608,     0,     0,   609,     0,     0,
     610,   611,   612,   613,   614,   615,   858,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   627,   628,   629,
       0,     0,     0,   235,   236,   237,   238,   239,   240,   241,
     242,   243,     0,   244,   245,   246,     0,     0,     0,     0,
       0,     0,     0,   247,   248,   249,     0,   250,   251,   252,
     253,   254,   255,   256,   257,     0,   859,   260,   860,   861,
       0,   263,   264,   265,   266,   267,   268,   269,     0,     0,
     270,   271,   862,   863,   274,     0,   275,   276,   277,   278,
       0,     0,   280,     0,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,     0,   291,   292,   293,   294,   295,
     296,     0,   297,   298,   299,   300,     0,     0,     0,   301,
       0,     0,     0,   302,   303,   304,   305,   306,   307,   864,
     865,   310,     0,   311,     0,   312,   313,   314,   315,   316,
     317,   318,     0,   319,   320,   321,   322,     0,     0,   323,
     324,   866,   326,   327,     0,   328,   329,   330,     0,   331,
     332,   333,     0,   334,   335,   336,   337,     0,   339,   340,
     341,   342,     0,     0,   344,     0,   345,   346,   347,   867,
     349,     0,   350,     0,   351,   352,   353,     0,   354,   355,
     356,   357,   358,     0,   359,     0,     0,     0,   362,   363,
       0,   364,   365,   366,   367,  1134,   369,   370,   371,   372,
     373,     0,   374,   375,   376,   377,   378,   379,   380,   381,
       0,   382,   383,     0,   385,   386,   387,   388,   868,   869,
       0,   870,     0,   392,   393,   394,   395,   396,   871,     0,
       0,     0,     0,     0,     0,   404,   405,   406,   407,   408,
     409,     0,     0,   410,     0,   412,   413,   414,     0,   415,
     416,   417,     0,     0,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   872,   437,   873,   439,   440,   441,   442,   443,
     444,   445,     0,     0,   448,     0,   449,   450,   451,   452,
       0,     0,   454,   874,   456,   457,   458,     0,   459,   460,
       0,     0,   461,   462,   463,     0,     0,   464,   465,     0,
     467,   468,   469,     0,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,     0,   481,   482,     0,   484,     0,
     486,   487,   488,     0,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   875,   500,   501,   502,   503,     0,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,     0,   517,   518,   519,   520,   521,   522,
     523,   524,     0,   526,   527,   528,   529,   530,   531,   532,
     533,   534,   535,     0,   536,   537,   538,   539,   540,     0,
     541,   542,   876,   544,   545,   546,   547,   548,   877,   550,
       0,   551,   552,   553,   554,   555,   556,   557,   558,   559,
     560,   561,   562,   563,     0,   565,     0,   566,   567,     0,
       0,   568,   569,   570,   571,   572,   573,   574,     0,   575,
     878,   879,     0,     0,   578,   579,     0,   581,     0,     0,
     583,   584,   585,   586,   587,   588,   589,   590,     0,     0,
     591,   592,   593,   594,   595,     0,     0,   596,   597,   598,
     599,   600,     0,   880,     0,   603,   604,   605,   606,   607,
     608,     0,     0,   609,     0,     0,   610,   611,   612,   613,
     614,   615,   858,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   627,   628,   629,     0,     0,     0,   235,
     236,   237,   238,   239,   240,   241,   242,   243,     0,   244,
     245,   246,     0,     0,     0,     0,     0,     0,     0,   247,
     248,   249,     0,   250,   251,   252,   253,   254,   255,   256,
     257,     0,   859,   260,   860,   861,     0,   263,   264,   265,
     266,   267,   268,   269,     0,     0,   270,   271,   862,   863,
     274,     0,   275,   276,   277,   278,     0,     0,   280,     0,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
       0,   291,   292,   293,   294,   295,   296,     0,   297,   298,
     299,   300,     0,     0,     0,   301,     0,     0,     0,   302,
     303,   304,   305,   306,   307,   864,   865,   310,     0,   311,
       0,   312,   313,   314,   315,   316,   317,   318,     0,   319,
     320,   321,   322,     0,     0,   323,   324,   866,   326,   327,
       0,   328,   329,   330,     0,   331,   332,   333,     0,   334,
     335,   336,   337,     0,   339,   340,   341,   342,     0,     0,
     344,     0,   345,   346,   347,   867,   349,     0,   350,     0,
     351,   352,   353,     0,   354,   355,   356,   357,   358,     0,
     359,     0,     0,     0,   362,   363,     0,   364,   365,   366,
     367,  1166,   369,   370,   371,   372,   373,     0,   374,   375,
     376,   377,   378,   379,   380,   381,     0,   382,   383,     0,
     385,   386,   387,   388,   868,   869,     0,   870,     0,   392,
     393,   394,   395,   396,   871,     0,     0,     0,     0,     0,
       0,   404,   405,   406,   407,   408,   409,     0,     0,   410,
       0,   412,   413,   414,     0,   415,   416,   417,     0,     0,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   872,   437,
     873,   439,   440,   441,   442,   443,   444,   445,     0,     0,
     448,     0,   449,   450,   451,   452,     0,     0,   454,   874,
     456,   457,   458,     0,   459,   460,     0,     0,   461,   462,
     463,     0,     0,   464,   465,     0,   467,   468,   469,     0,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
       0,   481,   482,     0,   484,     0,   486,   487,   488,     0,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
     875,   500,   501,   502,   503,     0,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,     0,
     517,   518,   519,   520,   521,   522,   523,   524,     0,   526,
     527,   528,   529,   530,   531,   532,   533,   534,   535,     0,
     536,   537,   538,   539,   540,     0,   541,   542,   876,   544,
     545,   546,   547,   548,   877,   550,     0,   551,   552,   553,
     554,   555,   556,   557,   558,   559,   560,   561,   562,   563,
       0,   565,     0,   566,   567,     0,     0,   568,   569,   570,
     571,   572,   573,   574,     0,   575,   878,   879,     0,     0,
     578,   579,     0,   581,     0,     0,   583,   584,   585,   586,
     587,   588,   589,   590,     0,     0,   591,   592,   593,   594,
     595,     0,     0,   596,   597,   598,   599,   600,     0,   880,
       0,   603,   604,   605,   606,   607,   608,     0,     0,   609,
       0,     0,   610,   611,   612,   613,   614,   615,   858,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   627,
     628,   629,     0,     0,     0,   235,   236,   237,   238,   239,
     240,   241,   242,   243,     0,   244,   245,   246,     0,     0,
       0,     0,     0,     0,     0,   247,   248,   249,     0,   250,
     251,   252,   253,   254,   255,   256,   257,     0,   859,   260,
     860,   861,     0,   263,   264,   265,   266,   267,   268,   269,
       0,     0,   270,   271,   862,   863,   274,     0,   275,   276,
     277,   278,     0,     0,   280,     0,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,     0,   291,   292,   293,
     294,   295,   296,     0,   297,   298,   299,   300,     0,     0,
       0,   301,     0,     0,     0,   302,   303,   304,   305,   306,
     307,   864,   865,   310,     0,   311,     0,   312,   313,   314,
     315,   316,   317,   318,     0,   319,   320,   321,   322,     0,
       0,   323,   324,   866,   326,   327,     0,   328,   329,   330,
       0,   331,   332,   333,     0,   334,   335,   336,   337,     0,
     339,   340,   341,   342,     0,     0,   344,     0,   345,   346,
     347,   867,   349,     0,   350,     0,   351,   352,   353,     0,
     354,   355,   356,   357,   358,     0,   359,     0,     0,     0,
     362,   363,     0,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,     0,   374,   375,   376,   377,   378,   379,
     380,   381,     0,   382,   383,     0,   385,   386,   387,   388,
     868,   869,     0,   870,     0,   392,   393,   394,   395,   396,
     871,     0,     0,     0,     0,     0,     0,   404,   405,   406,
     407,   408,   409,     0,     0,   410,     0,   412,   413,   414,
       0,   415,   416,   417,     0,     0,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   872,   437,   873,   439,   440,   441,
     442,   443,   444,   445,     0,     0,   448,     0,   449,   450,
     451,   452,     0,     0,   454,   874,   456,   457,   458,     0,
     459,   460,     0,     0,   461,   462,   463,     0,     0,   464,
     465,     0,   467,   468,   469,     0,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,     0,   481,   482,     0,
     484,     0,   486,   487,   488,     0,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   875,   500,   501,   502,
     503,     0,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,     0,   517,   518,   519,   520,
     521,   522,   523,   524,     0,   526,   527,   528,   529,   530,
     531,   532,   533,   534,   535,     0,   536,   537,   538,   539,
     540,     0,   541,   542,  2683,   544,   545,   546,   547,   548,
     877,   550,     0,   551,   552,   553,   554,   555,   556,   557,
     558,   559,   560,   561,   562,   563,     0,   565,     0,   566,
     567,     0,     0,   568,   569,   570,   571,   572,   573,   574,
       0,   575,   878,   879,     0,     0,   578,   579,     0,   581,
       0,     0,   583,   584,   585,   586,   587,   588,   589,   590,
       0,     0,   591,   592,   593,   594,   595,     0,     0,   596,
     597,   598,   599,   600,     0,   880,     0,   603,   604,   605,
     606,   607,   608,     0,     0,   609,     0,     0,   610,   611,
     612,   613,   614,   615,   858,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   627,   628,   629,     0,     0,
       0,   235,   236,   237,   238,   239,   240,   241,   242,   243,
       0,   244,   245,   246,     0,     0,     0,     0,     0,     0,
       0,   247,   248,   249,     0,   250,   251,   252,   253,   254,
     255,   256,   257,     0,   859,   260,   860,   861,     0,   263,
     264,   265,   266,   267,   268,   269,     0,     0,   270,   271,
     862,   863,   274,     0,   275,   276,   277,   278,     0,     0,
     280,     0,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,     0,   291,   292,   293,   294,   295,   296,     0,
     297,   298,   299,   300,     0,     0,     0,   301,     0,     0,
       0,   302,   303,   304,   305,   306,   307,   864,   865,   310,
       0,   311,     0,   312,   313,   314,   315,   316,   317,   318,
       0,   319,   320,   321,   322,     0,     0,   323,   324,   866,
     326,   327,     0,   328,   329,   330,     0,   331,   332,   333,
       0,   334,   335,   336,   337,     0,   339,   340,   341,   342,
       0,     0,   344,     0,   345,   346,   347,   867,   349,     0,
     350,     0,   351,   352,   353,     0,   354,   355,   356,   357,
     358,     0,   359,     0,     0,     0,   362,   363,     0,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,     0,
     374,   375,   376,   377,   378,   379,   380,   381,     0,   382,
     383,     0,   385,   386,   387,   388,   868,   869,     0,   870,
       0,   392,   393,   394,   395,   396,   871,     0,     0,     0,
       0,     0,     0,   404,   405,   406,   407,   408,   409,     0,
       0,   410,     0,   412,   413,   414,     0,   415,   416,   417,
       0,     0,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     872,   437,   873,   439,   440,   441,   442,   443,   444,   445,
       0,     0,   448,     0,   449,   450,   451,   452,     0,     0,
     454,   874,   456,   457,   458,     0,   459,   460,     0,     0,
     461,   462,   463,     0,     0,   464,   465,     0,   467,   468,
     469,     0,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,     0,   481,   482,     0,   484,     0,   486,   487,
     488,     0,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,   875,   500,   501,   502,   503,     0,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,     0,   517,   518,   519,   520,   521,   522,   523,   524,
       0,   526,   527,   528,   529,   530,   531,   532,   533,   534,
     535,     0,   536,   537,   538,   539,   540,     0,   541,   542,
       0,   544,   545,   546,   547,   548,   877,   550,     0,   551,
     552,   553,   554,   555,   556,   557,   558,   559,   560,   561,
     562,   563,     0,   565,     0,   566,   567,     0,     0,   568,
     569,   570,   571,   572,   573,   574,     0,   575,   878,   879,
       0,     0,   578,   579,     0,   581,     0,     0,   583,   584,
     585,   586,   587,   588,   589,   590,     0,     0,   591,   592,
     593,   594,   595,     0,     0,   596,   597,   598,   599,   600,
       0,   880,     0,   603,   604,   605,   606,   607,   608,     0,
       0,   609,     0,     0,   610,   611,   612,   613,   614,   615,
     858,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   627,   628,   629,     0,     0,     0,   235,   236,   237,
     238,   239,   240,   241,   242,   243,     0,   244,   245,   246,
       0,     0,     0,     0,     0,     0,     0,   247,   248,   249,
       0,   250,   251,   252,   253,   254,   255,   256,   257,     0,
       0,   260,     0,     0,     0,   263,   264,   265,   266,   267,
     268,   269,     0,     0,   270,   271,     0,     0,   274,     0,
     275,   276,   277,   278,     0,     0,   280,     0,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,     0,   291,
     292,   293,   294,   295,   296,     0,   297,   298,   299,   300,
       0,     0,     0,   301,     0,     0,     0,   302,   303,   304,
     305,   306,   307,     0,     0,   310,     0,   311,     0,   312,
     313,   314,   315,   316,   317,   318,     0,   319,   320,   321,
     322,     0,     0,   323,   324,   325,   326,   327,     0,   328,
     329,   330,     0,   331,   332,   333,     0,   334,   335,   336,
     337,     0,   339,   340,   341,   342,     0,     0,   344,     0,
     345,   346,   347,     0,   349,     0,   350,     0,   351,   352,
     353,     0,   354,   355,   356,   357,   358,     0,   359,     0,
       0,     0,   362,   363,     0,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,     0,   374,   375,   376,   377,
     378,   379,   380,   381,     0,   382,   383,     0,   385,   386,
     387,   388,     0,     0,     0,     0,     0,   392,   393,   394,
     395,   396,     0,     0,     0,     0,     0,     0,     0,   404,
     405,   406,   407,   408,   409,     0,     0,   410,     0,   412,
     413,   414,     0,   415,   416,   417,     0,     0,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,     0,   437,     0,   439,
     440,   441,   442,   443,   444,   445,     0,     0,   448,     0,
     449,   450,   451,   452,     0,     0,   454,     0,   456,   457,
     458,     0,   459,   460,     0,     0,   461,   462,   463,     0,
       0,   464,   465,     0,   467,   468,   469,     0,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,     0,   481,
     482,     0,   484,     0,   486,   487,   488,     0,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,     0,   500,
     501,   502,   503,     0,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,     0,   517,   518,
     519,   520,   521,   522,   523,   524,     0,   526,   527,   528,
     529,   530,   531,   532,   533,   534,   535,     0,   536,   537,
     538,   539,   540,     0,   541,   542,     0,   544,   545,   546,
     547,   548,     0,   550,     0,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   560,   561,   562,   563,     0,   565,
       0,   566,   567,     0,     0,   568,   569,   570,   571,   572,
     573,   574,     0,   575,     0,     0,     0,     0,   578,   579,
       0,   581,     0,     0,   583,   584,   585,   586,   587,   588,
     589,   590,     0,     0,   591,   592,   593,   594,   595,     0,
       0,   596,   597,   598,   599,   600,     0,     0,     0,   603,
     604,   605,   606,   607,   608,     0,     0,   609,     0,     0,
     610,   611,   612,   613,   614,   615,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   627,   628,   629
};

static const yytype_int16 yycheck[] =
{
       6,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   206,  1029,     0,     0,     0,     0,     0,     0,   214,
     211,    56,   217,    21,   665,     0,  1020,    21,     0,     0,
     822,   992,  1635,   211,  1022,   778,   779,   780,   921,   819,
      44,   784,    22,    45,  1146,    51,  1508,   189,    28,   915,
    1009,   917,   876,  2724,  1024,   993,  1018,  1480,   895,  2665,
    1554,   197,   697,   644,   846,  2666,  1207,  1254,  1547,   812,
     198,   199,  3017,  1241,   202,  1570,  2017,    36,  1875,   829,
    3082,  2913,  3369,  1559,  3371,  3860,  1095,   864,   865,   879,
    2006,   738,  1554,  3664,   222,   216,   933,   874,  3462,   742,
    3557,   229,  3192,     6,  2687,  2688,  1703,  1600,  1601,   230,
    1069,  1604,  3029,  1226,  1073,  2043,   697,  1230,  3887,  1078,
    1233,  1234,  4203,  2025,  1547,  3610,    23,  3612,  2935,  1088,
     646,  3876,  3909,   207,  4250,  3472,  4522,   191,  3421,    36,
    4246,  2078,   216,  1102,   191,     8,  4752,  2042,   958,   175,
    1947,  4545,    15,   992,   845,  3812,   230,  1537,  1888,  2040,
    2041,   743,  1001,   744,  2045,   733,  1437,     2,  4528,  5231,
    3415,  4490,  1011,   983,  1133,  1670,  1671,  4533,   988,  5073,
    4329,  4768,  5253,  4770,  3044,  5065,    50,  3436,  1664,    35,
     825,   197,  2650,  3025,  2545,  5365,    42,   959,  2549,    41,
     206,   207,  5016,  3482,  2582,  2652,  3235,  5362,   214,   718,
     216,   217,   721,  4532,  3584,  1691,   797,  1597,  3420,  1084,
    3422,   225,  5401,  3323,   230,  3470,  5274,  4817,  5060,  5413,
    4225,  3874,   942,     6,  1614,  1100,   918,  3328,   918,     6,
    5650,     0,    38,     6,   825,     6,   720,     0,    15,    16,
    5064,  2629,  4694,   944,    11,    13,     0,     6,     0,    78,
     734,    63,    63,     0,   119,    94,    63,  1029,  2982,   850,
    2984,  2985,  5320,   983,    11,  2989,  2990,  2991,   988,  2993,
    2994,  2995,  2012,     6,   174,    21,    21,   862,   863,     6,
      85,     6,    29,    63,   121,  5634,     6,    29,   873,     6,
       0,   119,     6,     6,    36,    15,    16,    72,    15,    16,
      43,    11,     6,     6,     6,     6,    54,     6,  1520,     6,
    1063,   181,    35,  5327,  5328,    47,    91,   153,   198,    29,
     119,   912,  4623,  4624,  4625,    13,  4627,  4628,  4629,  4630,
    4631,    43,  1033,   174,   174,   181,    80,     6,   160,   149,
      80,    47,   168,    80,     3,   121,     5,     6,   119,  5904,
     146,  1854,    11,   168,    91,     5,   174,    45,  5872,  2054,
     152,    11,     3,     5,  5352,     6,   174,   174,    21,    11,
     119,  3559,     6,   176,   174,   150,   175,    63,    15,   174,
     174,    76,   292,   303,    63,   313,   223,  4546,    63,   124,
      78,    11,   297,   278,    11,   170,    27,    29,   248,   298,
     292,   298,   190,   174,   139,   174,   185,   217,   318,  1381,
     121,   174,   318,  1393,   176,   298,   167,    42,  5838,    50,
     174,   162,   174,   344,   352,    63,   318,   174,    63,   198,
    1449,   380,  1085,   387,   123,   198,  5278,    25,  1029,  1437,
     369,   388,    98,    25,   198,   282,   198,   223,   286,    29,
     135,   198,   313,   162,   312,   429,    36,  4853,    80,   387,
     119,  1441,   472,  5652,   174,    13,   369,    58,   417,    91,
      13,   429,   119,   114,   262,    29,   374,   665,   300,    93,
    5829,   352,    36,   311,   283,  1272,  1273,    80,   198,  2871,
    5548,   175,   124,   303,   170,  5550,   299,    45,    91,   119,
    5555,  5556,    45,   340,   245,   403,   282,   282,    91,   519,
     459,  1311,  5402,  1300,   417,   653,   387,   655,   357,    13,
     658,   168,   136,    91,   180,   174,   387,   715,   213,   387,
      78,   220,   663,   282,   672,    78,   245,   128,   669,    47,
     678,   287,   287,   339,   465,   519,   358,   358,     6,   190,
     681,   139,    80,   294,    32,   330,   394,   139,    13,   218,
     339,   519,  5982,   121,   340,   519,   515,   374,   515,  1549,
    2952,   196,   334,   472,   325,   472,   287,   427,   358,   663,
    5745,   213,    80,   214,    80,   669,   515,   515,  6102,   248,
     378,   370,   327,    80,   477,  1187,   516,   681,   390,   519,
     295,   235,  1247,   406,    37,   515,   491,  1379,  5596,   515,
     515,   429,  1384,  1385,   436,   181,   181,  6172,   287,   519,
     396,   262,  5219,   515,   265,   374,   472,   191,   644,   429,
    1331,   459,   468,  3821,   287,   445,  1500,   141,   443,   519,
     505,   650,   650,   650,   650,   650,   472,   663,  5837,   519,
     650,  1438,  6072,   669,   453,   397,  1247,   464,   429,    10,
    1361,  1630,  4329,   126,  1633,   681,    17,    18,    19,  1153,
     413,   446,   358,   519,  1523,   515,  1261,  1262,   519,   358,
     519,   697,   519,   358,   513,   429,   702,   515,   517,   429,
    4357,   707,   429,  1641,    23,   711,   712,  1701,  1702,   744,
     515,   413,   718,   462,   720,   721,   429,   519,   519,   515,
    1295,   519,   748,   496,   497,  5167,  4501,   733,   734,   515,
     358,  6070,  6142,   358,   519,   519,   458,  1699,   744,  1604,
    1214,  1376,   515,    29,   505,   743,  1585,   378,   515,   519,
     513,  1225,   515,   511,   517,  1402,   517,   514,   380,   518,
    5915,  5916,   458,  1525,  5644,   518,   515,  4542,  1242,   506,
     507,  5775,  6182,  1535,   518,  1585,   518,   515,   758,   921,
     760,   518,   762,   519,   519,  1467,   790,  1467,   768,  1654,
    1655,   797,   515,  4364,  5973,  1376,  4541,  1621,   515,  4370,
     515,  4796,  5986,  1384,  1385,   515,   506,   507,   515,   496,
     497,   515,   515,   819,   820,   387,  5648,   429,   518,   825,
    2022,   515,   515,   515,   515,  1708,   515,   397,   515,   451,
      25,  6001,   472,   511,  1975,  1545,  5127,   965,   966,  1414,
    1415,   515,   846,   519,   850,  1040,   852,  1949,  1836,  1044,
     519,  1046,  1043,   397,   519,   909,   496,   506,   507,   490,
    1622,   434,   909,  1625,  1626,  1043,   506,   507,   291,  5917,
     876,   429,  3704,  3705,   506,   507,   515,  3709,   505,   451,
    1982,    23,  4252,  5931,  4254,  4168,   513,   355,  1598,  4546,
     517,   519,  1994,   899,   519,  6074,   506,   507,  1034,   506,
     507,   369,  3485,   371,  3487,  1615,   912,   455,  1036,   772,
      23,   429,   911,   911,   911,   911,   911,   911,   911,   911,
     911,   911,   926,  1051,   911,   911,   911,   911,   911,   911,
    3847,   429,     3,  5523,  4179,   254,   911,   941,  4183,   911,
     911,   429,  5836,   429,   139,  4045,  4037,  4038,   935,  4592,
     373,  1592,   429,  5833,  1082,  1083,   404,   405,   299,  4238,
     458,   515,  6141,   519,   519,  4167,   434,  4169,   506,   507,
     508,   509,   510,   511,   468,   508,   509,   510,   511,  1459,
    1108,   823,   174,  3441,  1838,   827,   112,   112,    32,   853,
    1855,   114,  4021,  4450,   112,  3442,    25,  6045,    51,  5385,
     453,   186,  5816,    23,  1520,  3383,  1601,  6078,  6079,  1604,
     300,   112,  3844,    25,  1020,  1021,  1022,    63,  5832,    90,
    1148,  1149,     6,  1029,   508,   509,   510,   511,  1034,  4120,
     298,    21,   297,  1039,  1040,   458,   322,   852,  1044,   152,
    1046,    68,   124,   292,  1050,    23,  5993,  6217,  2042,  5530,
     114,    30,    88,   219,  2024,   374,  1818,   332,   112,   303,
    1066,   506,   507,   508,   509,   510,   511,   190,   124,   318,
     278,    10,   143,  5392,    13,   289,  3790,   186,    17,    18,
      19,  4451,     0,   134,   303,   136,     3,    52,    25,  5983,
     124,   124,   186,   278,  5974,   131,   382,   374,   387,   176,
      88,   420,   135,    21,  1110,  2075,  1112,  1113,  4357,   102,
     139,   352,   254,  6184,  2102,   369,   124,   149,   313,   113,
    4577,   318,  3473,     6,  5711,    39,   190,   139,    88,    87,
     449,   213,   174,  5249,    23,   421,   202,   423,    56,   262,
    6087,  1884,   265,   131,  6206,  5294,   122,  1153,   453,  4513,
     152,   997,   998,    23,   453,   474,   198,   352,     6,   292,
      23,   168,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   131,    25,    90,    10,  1181,   278,    13,    31,   213,
     251,    17,    18,    19,   278,   318,  6080,   298,   429,  1187,
     183,   513,   387,  6255,    63,   517,   515,   451,   262,  1991,
    1992,   265,   139,    64,   472,   213,   164,   301,  1214,   203,
     515,    72,   278,   245,   203,   129,   515,  1223,   194,  1225,
    1801,   297,   299,     3,   278,   515,   260,   144,   193,  3812,
     519,   282,   374,   198,   254,   214,  1242,   429,   515,   453,
     515,  1247,   313,     3,  6191,  5631,  6140,   515,   513,   457,
     352,   278,   517,  1259,  5640,   378,   369,  6151,   384,  1854,
    5616,   456,    10,   183,  2687,    13,   515,  5748,  5662,    17,
      18,    19,   457,   191,  5049,   519,   254,   390,   420,   244,
     316,  2757,  5642,  1118,   313,   278,   139,    35,   205,  6183,
    5646,  1297,   417,  5062,  2788,  1330,  5615,   287,  3028,   417,
     519,   313,    25,   287,  5690,  1952,   359,   449,    31,  5086,
    5055,   355,   358,   505,   378,    72,   417,  6211,   515,  3902,
    1326,  1327,  1328,   352,  1330,   517,  5645,  1190,   316,  1192,
      90,  1194,   474,  1196,  1981,  1198,  1199,  1200,  1985,   119,
     352,  6235,  1205,  1990,  1912,  1351,  1993,   354,   457,   420,
    2621,   422,   134,   519,  3249,   437,   316,   124,   387,  2835,
     299,   472,   198,   457,   301,   254,  1181,   490,    23,   451,
    1376,  1397,    23,   515,  2971,   387,  1944,  1959,  1384,  1385,
     374,  2072,   515,   143,   254,   221,   422,   248,   390,    23,
    4250,   254,   515,   150,    23,   451,   374,  2777,  1452,  1453,
     420,  1455,  1408,   320,   287,  1452,  1453,  1916,  1455,   278,
    6016,  2052,  1540,   170,  1592,  5521,   139,   451,   451,   356,
     357,   415,  1931,   417,   262,  1934,   490,   392,   417,   449,
     472,  1437,  5818,   426,   422,    98,   337,  1565,  3375,   287,
     283,  4811,   420,   451,   364,  1919,   213,   175,  1454,  5993,
     387,   165,  1458,  1459,   474,   118,    13,  4794,  3061,  1933,
     313,   311,   422,   299,   431,  1469,   648,  1471,  1474,   374,
    4753,   449,  1946,   221,  1480,  1984,     6,   165,    40,  1988,
    1989,   119,    35,   111,   387,   374,   232,  5979,  5980,   358,
     153,   251,    54,   345,   516,   515,   474,   519,   417,   352,
     282,   303,   282,  5585,   374,  5587,  2022,   287,   475,  5591,
    5592,   374,  4757,   186,  1642,  1330,    37,  4762,   387,   132,
    4765,    78,   179,   387,   168,   282,  6167,   444,  5013,   142,
     177,   420,   278,    91,   387,   452,   180,   515,   455,   119,
     378,  1547,   121,  6087,  1672,  1673,  1674,  1675,   110,   237,
     420,   299,  2546,   313,   198,   364,  4558,   420,   740,   273,
     449,   119,  2042,  2043,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   330,  2054,   377,  3261,  3262,  2548,   449,
     123,  3266,  1588,  2063,  5970,   474,   449,  6228,   348,   317,
     313,   248,   352,  1408,   340,   387,   356,  5291,   119,   254,
     153,  3080,   153,   254,   474,   278,   458,   179,   451,   459,
     515,   474,  1686,   380,   515,  1621,   519,   232,  5734,  1606,
     254,   387,  3307,  3308,  1611,   254,   515,   387,   207,   352,
     312,   259,   814,  2621,  5403,   263,   121,  5294,   312,   122,
     313,  5335,    29,   452,   390,   515,  5391,  6191,   122,   287,
     212,  6143,   515,  3076,  4514,   519,  1660,  3080,   198,  1474,
     420,   474,   422,   278,   387,   393,  5747,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   248,   220,   301,   352,
    1686,   329,  6068,  4515,   451,   348,   258,   344,   335,   446,
     313,  1819,  1820,   312,  2711,  1701,  1702,  1703,  1685,   278,
     313,    10,  1689,   282,    13,   451,   519,  1835,    17,    18,
      19,   194,   472,   387,  4521,   371,   278,   380,   362,   374,
     194,   368,  1917,   374,   282,  4439,    35,   519,    25,   352,
    4444,   311,   650,    29,    31,   382,   354,  1928,   223,   352,
     374,  1869,  1870,  1871,  1872,   374,  4329,   134,    28,  1927,
    1928,  6137,   469,   519,   417,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   421,   420,   423,   119,   387,   420,
    1906,   418,   371,  1598,  4357,   390,    48,  5859,   434,   258,
     415,   174,   303,   431,   457,  1859,   420,   329,   369,   515,
    1615,   420,   449,  1867,   449,  1801,   459,   282,   449,    71,
     380,  1875,   519,   744,   156,   198,  4477,  1813,   465,   472,
     463,    91,   352,    29,   376,   449,   356,   452,  1824,   474,
     449,   402,  1950,   474,   177,   743,   744,   475,  1956,   380,
    1836,  2819,  5913,   496,  1840,   434,   451,   417,   134,   191,
     474,   464,   139,   429,   313,   474,  1920,   387,   421,   421,
     423,   423,   515,  1859,   472,   340,   797,  2845,  5633,  2683,
     515,  1867,   515,  1606,   515,   463,   417,    83,  1611,  1875,
      86,  2663,     3,  1947,  2052,    99,    92,   449,   496,   459,
     151,   515,  5651,   352,   313,   344,   515,   356,  1894,   431,
    4750,    80,   472,    51,   282,    26,   176,  1903,   234,   287,
    1906,   519,    91,  1909,   120,   313,  1912,  1913,   459,   850,
    1916,  1917,   221,  1919,  1920,  5660,   496,   515,   387,   505,
    2881,   472,   381,   352,   369,  1931,   371,  1933,  1934,   200,
     282,   517,   472,   475,    13,   515,   169,  1943,  1944,   357,
    1946,  1947,  1685,   257,   352,   496,  1689,   176,  2787,  2711,
     338,   175,   472,   175,    99,   153,   496,  2945,   417,    90,
     431,  1959,   178,  4546,   515,   313,    45,  6083,   282,   387,
    5215,   912,   205,  5430,   472,   191,   496,   168,  1984,   387,
     162,   210,  1988,  1989,   505,   209,   168,   209,   204,   434,
     299,   909,   513,   911,   515,   516,   517,  2001,   519,    78,
     224,   192,   224,  3105,   352,  2040,   465,  2006,  2006,  2006,
    2006,  2006,  2140,   144,   515,   368,  2006,  2023,   242,  2025,
     242,   519,   375,  3011,  2030,  2031,  3967,     0,  5118,   382,
     175,  2037,  2038,  2039,  2040,  2041,  2042,  2043,  2044,  2045,
    2046,    72,  2881,  2049,  3985,  2051,   270,  2053,  2054,  2055,
    2056,  2057,  2058,   344,   334,  2061,  2015,  2063,  2064,  3482,
    4855,  2067,  5831,   245,   209,   418,  2931,   198,  4863,  3492,
    5015,  6187,  5849,   297,   205,  2081,  2082,  2083,  2084,   224,
    2919,   472,  2965,  2966,  2967,  5830,  3689,   440,   119,    38,
     381,   371,    32,   518,  2100,  3574,  2102,   242,  1961,  4001,
    1963,   472,  1965,   313,  1967,   496,  1969,  3294,  4036,  5054,
    1973,    60,   294,   356,     5,  2954,  2859,  5034,  2861,    59,
      11,  2018,   352,  2885,  2934,   270,   417,  4022,   519,  5614,
    2711,  2893,  4027,   111,  2896,   356,  1857,  5424,  3097,   363,
      25,   363,   352,   168,   387,  4026,  3943,   178,   519,  4030,
    4031,  3574,   432,  5243,   434,  5245,  1877,   387,   438,   162,
    2640,   519,   111,    99,   505,   168,   387,   192,   472,  3662,
    2861,  5003,  3769,  5005,   465,   313,   517,   387,  3775,  5039,
    3168,    27,   380,  3048,  3049,  3050,  3051,   403,  3053,   320,
     406,   169,   496,   258,   503,   504,   505,   506,   507,   508,
     509,   510,   511,     5,    50,    90,  5975,    35,  2023,    11,
    2025,   515,   168,  3078,   352,   340,  2031,   282,   363,   417,
     313,   472,  2037,  2038,   272,   332,   284,   205,   353,   453,
    5687,  2046,   514,   364,   434,  3711,   192,   519,  2244,   175,
    2055,   516,   245,  4159,   519,   496,  2061,   132,   296,   387,
     311,   282,   201,   291,   139,   348,   287,   142,   383,   352,
     465,   459,  2909,  4977,  2911,  4979,  4980,  4981,  2915,  1187,
       5,   987,   429,   209,   472,  5639,    11,   313,  2614,  2615,
    2616,   259,  3758,   414,    19,   263,    72,  2293,   224,  3476,
    1006,   294,    78,  1009,   387,  5665,   453,  3285,   496,   330,
     283,   284,    37,  3291,  6073,    91,   242,  5594,   235,  6084,
     259,  2785,   515,   444,   263,   346,   352,   515,   121,   380,
       5,   452,   380,   149,   455,  6243,    11,  6245,  3071,   278,
     377,   380,    22,   119,   270,   121,   162,  1255,    28,  5910,
    2346,   514,   168,   261,    33,    34,   519,  6265,   496,   497,
     297,   387,   421,   508,   423,   302,   417,  1275,   513,   417,
     515,   297,   517,   312,   297,   168,   515,   515,   417,   302,
     354,  4056,  4057,  4058,  4059,  5235,   377,  4062,  4063,  4064,
    4065,  4066,  4067,  4068,  4069,  4070,  4071,  3030,  3883,  5249,
     434,   217,   178,  3155,   496,   497,   516,   380,   459,   519,
     510,   459,   258,   516,   207,   515,   519,   517,   357,    98,
     459,   472,  1330,   515,   472,   446,   513,   983,   515,   245,
     517,   207,   988,   472,  1135,   203,   510,   363,   313,   118,
    1141,   515,   381,   517,   417,   496,    69,    70,   496,  6214,
    1151,  4126,  4127,   515,  1155,   517,  5733,   496,  1159,   513,
    1161,   515,   401,   515,   515,   517,  1167,   515,   516,  2587,
     518,   258,  1173,   348,   153,  1176,   515,   352,   294,   274,
     275,   276,   277,   508,   261,   278,   459,   303,   513,   282,
     515,  3274,   517,  3276,  3277,  2065,    95,  3370,  2068,   472,
     516,    10,    91,   519,    13,   472,   282,   474,    17,    18,
      19,   287,   387,   516,   516,  3152,   519,   519,   516,   394,
      87,   519,   516,   496,   192,   519,    35,  2523,  2524,  2525,
    2526,  2527,  2528,  2529,  2530,  2531,   516,  2533,   516,   519,
      10,   519,   515,    13,  1452,  1453,   516,  1455,  2544,   519,
    2546,   434,   516,  3234,   330,   519,    59,   516,   516,   707,
     519,   519,  2747,  5413,  2749,  2750,   516,  2748,   516,   519,
     346,   519,   472,   516,   474,    45,   519,   516,   516,   465,
    2748,   519,    52,   516,   516,   733,   519,   519,  2584,   377,
     179,   516,  2588,   235,   519,  2591,   515,  2593,   516,  2583,
    2596,   519,   516,   516,  2600,   519,   519,   516,    78,   472,
     519,   474,  2676,  3716,   203,  3395,  3396,   516,  2744,   516,
     519,   472,   519,   474,  3376,  2621,  5476,  2623,   516,   445,
    2694,   519,  3560,  3373,  2698,  2753,  5340,   516,  2702,   516,
     519,    11,   519,   516,  2640,   516,   519,   516,   519,   516,
     519,   415,   519,  2649,  2650,   463,  3483,   516,  3586,   248,
     519,   516,   516,   515,   519,   519,  2730,    38,    54,   348,
     446,    15,    16,  2784,  4605,  5667,   516,   147,  6038,   519,
    2676,  2668,  6042,  6043,   421,   516,   423,  2683,   519,    60,
    4621,  2687,  2688,   516,   516,   297,   519,   519,  2694,  3330,
    2764,   380,  2698,  5525,   516,  3665,  2702,   519,  4301,   421,
     519,   423,   221,   302,   100,  2711,   516,    33,    34,   519,
    2784,  5294,   516,   193,   374,   519,  3493,    59,   198,   134,
    2623,   136,  3561,   516,  2730,   518,  4523,  2733,   417,   125,
     111,  3872,   516,   465,   516,   519,  3427,   519,  2744,   515,
    2746,  2747,  2816,  2749,  2750,  6032,  2752,   143,    48,  2870,
     516,   147,  2756,   519,  2713,  4650,  2715,  6127,  2764,   369,
     370,  4656,  4657,  2891,   244,   516,  2894,   492,   519,  2843,
     459,   369,   370,   169,   463,  2849,   223,   173,  2784,  2785,
     299,  3261,  3262,   472,  4469,  2600,  3266,  2793,   516,  2863,
     516,   519,   188,   519,   517,  3376,  2870,  4291,  3637,  2873,
     516,  4277,   297,   519,  4299,  2879,  4301,   496,   516,  2815,
    2816,   519,   300,  2819,   516,  4238,  3984,   519,  5908,   299,
     201,   168,   421,  3811,   423,  2899,   515,  3307,  3308,   516,
    2951,  2905,   519,  5416,   516,   434,   518,  2843,  2912,  2845,
     496,   497,   516,  2849,  3853,   519,   516,   446,   297,   519,
     449,  2855,  2926,   369,   370,  2983,  3815,  2863,  4150,   516,
    4152,  4337,   519,  3510,  2870,   492,  2940,  2873,  2996,   516,
     369,   370,   519,  2879,  5734,   300,  3004,  2951,   259,    48,
     516,  1039,   263,   519,   516,   516,   516,   519,   519,   519,
     492,   287,  1050,  2899,  4741,   516,  4743,   278,   519,  2905,
     223,  6188,   516,  3538,   508,   519,  2912,  5508,  1066,  5534,
    5535,   134,   392,   136,  4184,  3043,  4186,  3660,  5750,  5751,
    2926,   516,  3665,   516,   519,   173,   519,   516,  2908,   516,
     519,   312,   519,   519,  2940,   516,  3064,   160,   519,  2945,
     516,   149,   338,   519,  3809,  2951,   760,   761,   762,   149,
     515,   765,   766,   767,   162,   516,   515,  3538,   519,  6246,
     168,   775,   162,  2969,  2970,  2971,   462,   516,   168,  2975,
     519,   516,  5702,  5703,   519,  5835,   357,   516,   326,  3107,
     519,  3109,   149,   515,   503,   504,   505,   506,   507,   508,
     509,   510,   511,  5878,  5879,   162,  3002,  3003,    54,    55,
     381,   168,   225,    37,  3199,  3011,  3201,  3202,   516,   217,
     516,   519,   516,   519,   494,   519,   516,   217,   516,   519,
     401,   519,   516,   515,  5969,   519,   506,   507,   508,   509,
     510,   511,   516,  3507,  3508,   519,  4223,   245,  3044,   516,
    4535,  1959,   519,   516,   516,   245,   519,   519,   516,   516,
     217,   274,   275,   276,   277,  1469,    59,  1471,   281,   282,
    3196,  5197,   174,  5199,   287,  1223,  3063,   219,  4530,  3197,
    3076,   219,  4551,   515,  3080,   515,  3204,   516,   245,   516,
     519,   516,   519,   517,   519,   476,   294,   516,  2006,   515,
     519,   515,  3166,   516,   294,   303,   519,   516,  3841,   516,
     519,   352,   519,   303,  4092,   198,   154,   515,   517,   154,
    4251,  3185,  4253,   297,   198,  4256,   352,   297,  3192,   154,
     198,   154,  2040,   154,  5730,   297,  5986,   294,  4551,  4099,
     168,   352,   154,   243,   121,   453,   303,   297,   515,   168,
     291,  3044,  2060,   516,    72,   282,    38,   282,   476,   515,
     297,   282,  3330,    48,    48,   282,   439,   134,   282,   136,
    3166,    90,  3168,   313,   465,    87,   465,   434,   168,   333,
     154,   154,   515,   154,   154,   154,   154,  3183,   476,  3185,
    3654,   519,  3817,   160,  3819,   154,  3192,   154,   154,  3971,
    3196,  4153,  3198,  3199,   154,  3201,  3202,  3203,   154,   154,
      10,   154,  3676,    13,   168,  3211,   154,    17,    18,    19,
    3216,  1922,  3859,   436,   154,   154,   154,  6077,   297,  1930,
     417,   515,    38,  6083,   447,    35,  4196,  3233,  3263,   243,
    3992,   168,    10,   168,   297,    13,  3817,   445,  3819,    17,
      18,    19,   515,     6,    10,   445,     6,    13,   225,   515,
     515,    17,    18,    19,   168,  3261,  3262,  3263,  3436,   515,
    3266,   515,   515,  4233,     6,   515,  3901,  4870,  3274,  3275,
    3276,  3277,    38,   515,   515,     6,  3311,   515,   445,  3285,
     515,   515,   515,    10,  3290,  3291,    13,  3293,   515,  3295,
     515,   515,     6,   515,     6,   515,   515,   274,   275,   276,
     277,  3307,  3308,   515,   281,  3311,   515,   289,   515,  3956,
     287,   515,   515,   515,   515,   473,   515,  5988,    45,   515,
    3901,   515,   515,   515,   515,    52,  3332,  6187,  3334,   515,
    3336,  2249,   515,   515,   309,   163,   219,    38,   519,   243,
    4328,  4300,  4330,   519,   102,    38,   513,   515,    37,  3355,
     517,    78,   427,  4847,   427,   429,   513,   513,  3832,   429,
    3834,  3363,  3364,  3365,    10,   429,   515,    13,  4356,   429,
    3376,    17,    18,    19,  1188,   174,   519,  1191,   168,  1193,
    3415,  1195,   294,  1197,   168,   292,   387,  1201,    68,   429,
     429,   517,   429,   464,   245,    79,   505,   429,   374,   429,
     374,   429,   374,   429,   429,   429,  3412,   154,    91,  3415,
     297,   221,   374,   240,   379,   287,  3544,  3545,   429,   429,
     147,   127,  3428,   429,   420,   452,   297,  3433,   318,   292,
    1588,  3466,  4269,  4574,   515,   369,   429,   429,   191,   515,
      91,   127,  3448,   221,   313,   154,   198,   519,  3263,   453,
     127,   453,   113,   127,    59,   221,  3462,    59,  4235,   436,
    3275,  3535,     0,   267,  3470,   301,   193,   337,  5153,   337,
     447,   198,   429,   337,   318,   429,  3482,   429,   149,  3485,
     429,  3487,   429,   429,   429,   429,  3492,  4425,  4447,   299,
      47,   162,   318,   429,   297,   516,  3311,   168,  5439,   429,
     420,  3507,  3508,   429,   429,   429,   429,  3513,   429,  3412,
     429,   429,  3415,  3987,  6185,   520,   429,   244,   429,   429,
     519,   299,   221,   429,   221,   221,   221,   221,   297,  3535,
     221,   221,  3538,   299,   221,  3541,   221,   439,   429,   221,
    3355,    38,   515,  3549,   154,   154,   217,   297,   282,   119,
     453,   154,  4435,   154,   154,   464,  4036,   297,   282,  3462,
      98,  3635,   282,   251,   282,    38,    38,  3470,  3574,   168,
     235,   376,   299,   515,   245,   221,  4056,  4057,  4058,  4059,
     154,   154,  4062,  4063,  4064,  4065,  4066,  4067,  4068,  4069,
    4070,  4071,   453,   154,   453,  4357,   154,   429,   515,   515,
     515,   468,   174,   267,  3610,  3611,  3612,   286,   267,    10,
    4090,   149,    13,   291,    13,   515,    17,    18,    19,  4607,
     519,   429,   515,   294,   162,   431,   515,   183,   191,  3635,
     168,   519,   303,   308,  3812,   516,   174,   191,  3644,   516,
    3646,   516,   180,   492,    45,   183,  4126,  4127,  3654,   187,
     492,    52,   378,   299,   516,  1813,   513,   265,  3786,   519,
     516,   516,  5085,   232,   217,   392,  1824,   469,   390,   298,
    3676,  2589,   519,   453,    38,   306,   453,    78,    59,   217,
     453,   516,  1840,   464,    38,   515,   232,   232,   429,   287,
    3764,  4171,   287,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   374,   287,   429,  2623,    60,   245,   429,   168,
     287,   297,    48,   243,   515,   396,   297,   282,   243,   243,
     369,   261,   297,   127,   429,   503,   504,   505,   506,   507,
     508,   509,   510,   511,  3740,   297,  1894,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   297,   420,   519,   198,
    2668,  1909,   519,   297,  1912,  1913,   294,   111,  3764,   297,
     352,   387,   472,  3769,  5449,   303,   192,   494,   384,  3775,
     303,   429,   429,   340,   445,    38,   221,   516,  3784,   506,
     507,   508,   509,   510,   511,  1943,  1944,   453,   235,   336,
     453,   154,   193,   292,  5479,   168,   465,   198,   505,    38,
     418,   170,   337,   154,   515,  3811,  3812,   515,   384,   154,
     154,  3817,   292,  3819,   453,   282,   472,    38,  3946,  4789,
     221,   222,   360,   297,   178,   282,  3832,    27,  3834,   297,
     235,   292,   189,   189,   168,    38,   169,  4599,   235,   168,
     282,   384,   513,   244,   297,   516,   517,   201,  3854,   198,
     198,   198,   198,   476,    59,   198,   174,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   519,   519,   264,  3943,
    2581,   519,   519,   517,  3880,   515,   472,   429,   297,   417,
     291,   519,  4706,  5024,   285,   174,  3890,   493,  3962,  3886,
     303,   516,  3966,   309,   516,  3901,  3902,   516,   299,   516,
     360,   516,   516,   458,   516,   259,  4772,   445,   519,   263,
     134,   319,   516,   174,   281,   429,   258,   174,  3924,   516,
     469,   514,   516,  2081,   278,  3922,   515,   183,   516,   516,
     515,   469,   492,   471,   472,  5397,   516,  3943,   516,   451,
     519,   253,   469,   459,   297,   516,  4593,  4594,  4595,  4596,
    4597,   515,    59,   519,   203,   493,  3962,   516,   312,   496,
    3966,   495,   297,   300,   154,   515,   514,  3971,   211,   505,
     297,   429,   287,   515,   515,   513,   515,   429,   516,   517,
     518,  3987,   157,   515,   515,   429,   515,   282,   429,  4469,
     154,   392,  4134,   387,   406,   379,   154,  4003,   154,   379,
    4006,   379,   243,   357,  4784,   203,  4012,   157,   429,   297,
     505,   157,   374,   453,   469,   245,   320,   320,   450,   157,
    4026,  4495,  4496,   429,  4030,  4031,  4985,   381,   403,   429,
    4036,   429,   255,   255,   429,   255,  5531,   429,   429,   429,
    4046,   429,  4048,   374,   374,  4051,   429,   401,   374,  4055,
    4056,  4057,  4058,  4059,   374,   429,  4062,  4063,  4064,  4065,
    4066,  4067,  4068,  4069,  4070,  4071,   127,   282,   429,  4075,
    4076,  4077,   154,   387,  4080,    47,    47,   429,  2623,  4085,
     516,   516,   516,   514,  4090,   221,  4092,   221,  4094,   429,
     429,   186,   516,   494,   301,     3,  4102,  4132,  4860,  4105,
     168,  4107,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   439,   519,   516,    48,   112,   168,  4123,    38,   154,
    4126,  4127,   429,   516,   154,  4131,  4132,   516,   515,   505,
    4136,   168,  4138,   519,  4775,   292,   186,   453,   515,   154,
    4142,  4143,  4144,  4145,   453,  3063,   374,   374,   374,   374,
     384,  4329,   152,   519,   152,   374,   221,   221,   221,   221,
    4159,  4159,  4159,  4159,  4159,  4171,   221,   221,   221,  4159,
     221,   145,   221,  4179,   446,   513,   446,  4183,   225,  4357,
     297,   297,    59,   297,  2623,   297,    13,   519,   309,   464,
     174,   516,   516,   516,   516,   516,   281,   516,  4272,   516,
     224,   307,   224,   419,   514,   516,   519,   304,   516,  4215,
     515,    59,   187,   426,   516,  4695,   515,   515,   515,   360,
     458,    89,   439,   168,    38,   235,  4232,   429,   211,    59,
     154,   420,  4238,    86,   403,   453,  4051,   178,   439,    10,
     379,   453,    13,   429,  4250,  5668,    17,    18,    19,   429,
     157,   429,   374,   429,   374,   429,   516,   516,   516,   352,
     515,  5004,   472,   515,    35,    59,  4272,   420,   459,   168,
    4085,   297,    78,   154,    45,   112,  4179,   439,   221,   516,
    4183,    52,   221,   221,   221,   232,   515,   206,   476,   429,
     297,    38,   295,   318,     3,   297,   439,  4944,  4945,    44,
    4947,   515,   429,   384,   515,   180,   221,    78,   516,  5192,
     519,   515,   181,   519,   112,   174,   233,  4323,   515,   143,
     519,  4136,  4328,  4329,  4330,  4453,   287,   233,  4402,   516,
     287,  4405,   516,   516,  6019,  6020,   287,   516,   287,  4467,
     174,    59,  5225,   516,   516,  3263,   470,  4250,  5951,   516,
    4356,  4357,   470,   519,   309,   516,   318,  5345,   224,   426,
     471,   516,   292,   515,   515,   439,   515,   174,  4546,   429,
    4844,   472,   505,    78,   205,   192,   192,   287,    38,   505,
      59,   420,   287,  3094,   519,   429,    72,   519,  3099,   429,
    3101,  4371,   154,  3311,   157,   429,  4402,   429,   221,  4405,
    3111,   516,  4382,  3114,   126,  3116,  3117,   515,   176,  3120,
      38,   119,   198,  3124,   278,  3126,   292,  3335,  3129,   515,
     384,    38,   193,    59,   453,   282,   170,   198,   384,   292,
     472,    84,  4506,  3351,   420,    38,   472,    10,   174,   297,
      13,   168,   515,   519,    17,    18,    19,   347,   208,  4523,
     221,   222,   219,   300,   174,    59,   400,   516,   516,   516,
     516,  4935,    35,  4469,   458,   377,    38,   515,    81,  5571,
     515,  5573,    45,   244,   515,    91,   135,   297,   516,    52,
     199,    10,  3193,   309,    13,   346,    38,   429,   516,  4495,
    4496,   154,   154,  4499,  3412,   516,   516,  3415,   515,  3044,
    4506,   429,   515,   515,   515,    78,   515,  4513,  4514,   515,
     515,   168,    38,   287,   285,   205,    45,  4523,   453,    38,
     515,   256,   515,    52,   516,   154,   112,    38,   299,   384,
    4604,   302,   301,   174,   516,   439,   398,   516,   398,   516,
    4546,   168,  4539,    62,  3462,  4551,  4552,  4553,  3466,    78,
     202,   111,  3470,   519,   519,   515,   515,  4563,  5032,    38,
     458,  5208,   515,   515,   420,  5582,  5707,   468,   191,   515,
     453,   168,  5219,   203,   420,   515,   297,     6,    97,   161,
     516,   476,  5374,   515,    72,   370,   370,   300,  2746,    72,
     135,   518,   472,   472,  2752,   468,   140,  4775,  4604,   165,
     516,  4607,   165,  5744,   458,  3044,   457,   387,   519,  5250,
    4513,  4514,   515,   515,    35,   257,   174,   420,   147,   343,
     193,   392,   287,   420,   297,   198,   297,  4633,   515,   384,
      38,    38,   300,   300,   199,  2793,   176,   515,   176,   158,
     153,   515,   150,  4649,   369,    59,    59,    38,   221,   222,
    5791,  5792,   353,   304,    59,   425,   429,   407,  4664,   124,
     451,     6,   140,   515,   193,  5306,   516,   516,   384,   198,
      35,   244,   287,  5153,   515,   515,   195,   425,    24,   305,
     369,   519,   369,   519,    81,   283,  4692,   387,   429,  4695,
     174,   283,   153,   515,   398,   398,     6,  4703,  4704,   119,
    4706,   519,   459,   515,  4710,  4711,   472,   472,   176,  4715,
     176,   453,   285,   459,  4720,   244,   235,  4723,  4724,   458,
     515,   240,  5423,   494,  4730,  5205,   299,  5715,   516,   302,
     458,   998,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   911,  1385,  3376,  4750,  1688,   997,  2919,  2828,   520,
    4303,  4757,  3586,  4328,  4865,   951,  4762,  5935,  2946,  4765,
    4766,  3000,  3803,   282,  5348,  5781,  5783,  4773,  6053,  4493,
     299,  5397,  4301,  4301,  4994,  5373,  3514,  5600,  4784,  4823,
    3142,  5914,  5249,  6041,  5810,  5809,  4792,  6077,  5955,  4786,
    4787,  5039,  3519,  5781,  4514,   314,  4525,  5754,  4323,  4483,
    4540,  3014,  3014,  5944,  3611,  5033,  4812,  5380,  3851,  3895,
    5680,   993,  4509,  3524,  4576,  4889,  6152,  6258,  4946,   392,
    5582,  5295,  6240,  5364,  3811,  4831,  5308,  4901,  5967,  4548,
    1848,  5553,  5764,  4961,  5311,    18,   646,   356,  4844,  5800,
    5487,    28,   361,  1215,  3960,  3003,  5520,  4750,  4604,  6148,
    4809,   370,  4607,  3030,  4757,  3492,  1892,  2688,  3906,  4762,
     379,  4551,  4765,   392,  5423,  5668,  4872,  3412,   387,  1889,
    3415,  6012,  6013,  1927,  4854,  3743,  4356,  4692,  2945,   698,
     399,  3662,  5993,  4889,  3595,  4865,  3597,  1903,  4894,   408,
    6191,  1504,   731,   412,  4580,  4901,  1801,  2630,  2976,  4582,
    6208,  4230,  4788,  5517,  5907,  1401,  1362,   840,    40,    40,
    3433,  4917,  3448,   432,  5895,  5727,  2640,  3462,  4924,  3415,
    4168,   494,  4185,  4649,  5052,  3470,  5216,  5476,  5575,  4935,
     503,   504,   505,   506,   507,   508,   509,   510,   511,  1462,
    1461,  5475,  1464,   516,  3412,  3412,   519,  4231,   467,  6169,
    5889,  6023,   471,  5714,  1418,  5453,  4094,  5728,  2538,  3353,
    4966,  5729,  2056,  3335,  2539,   494,  3212,  3333,  3886,  5449,
    2975,  3247,  3323,  3412,  4029,  2544,  3415,   506,   507,   508,
     509,   510,   511,  2628,    -1,   899,  4992,  5568,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    10,    -1,  5479,
      13,  5582,  5008,    -1,  3922,    -1,  5749,  5013,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3462,    -1,  3183,  5032,    -1,  3739,    -1,
      -1,  3470,    45,  5039,  3745,    -1,  6053,    -1,    -1,    52,
    3198,    -1,    -1,    -1,  5118,  3203,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5051,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    -1,    -1,    -1,    -1,
      -1,     6,  5250,    -1,    -1,  3233,    -1,    -1,    -1,  5085,
      -1,  5087,    -1,    -1,    -1,    -1,    -1,    -1,    23,    -1,
      25,    -1,    -1,    -1,    29,    -1,    -1,    -1,    -1,    34,
      35,    36,    -1,    38,    -1,  5746,    41,    42,    -1,    44,
    5305,    46,  5118,    -1,    -1,  5306,  5294,    -1,    53,    54,
      55,    -1,    -1,  5251,    -1,  5253,    -1,    -1,  5306,    -1,
      -1,    -1,    -1,    -1,   147,    -1,  5039,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5150,    -1,    -1,  5153,    -1,    -1,
    5156,  5157,  5158,    -1,    -1,  5350,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5243,
      -1,  5245,    -1,    -1,    -1,  5181,  5182,    -1,    -1,  5185,
     193,    -1,    -1,    -1,    -1,   198,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5205,
      -1,    -1,  5783,    -1,    -1,  5211,  6194,    -1,    -1,  5215,
      -1,    -1,    -1,    -1,  4132,  5221,  5222,    -1,    -1,    -1,
    3931,    -1,  3933,    -1,  3935,    -1,    -1,    -1,    -1,  5235,
      -1,   244,  5238,  6227,  5714,    -1,    -1,  5243,    -1,  5245,
      -1,  4159,    -1,  5249,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  6240,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4179,   197,   198,   199,  4183,    -1,   202,    -1,    -1,
    6258,   206,    -1,   208,    -1,    -1,   211,    -1,    -1,   214,
      -1,    -1,   217,  5411,    -1,   220,   299,   222,  5294,  5295,
     225,    -1,    -1,    -1,   229,    10,   231,    -1,    13,  5305,
      -1,    -1,    17,    18,    19,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5215,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      35,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      45,    -1,  5235,    -1,    -1,    -1,    -1,    52,    -1,  5345,
      -1,    -1,    -1,    -1,  5350,    -1,  5249,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5935,    -1,    -1,    -1,  6241,    -1,
      -1,    -1,    -1,    78,    -1,  5228,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   392,
      -1,  5378,    -1,  3541,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3549,  6135,  6136,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5885,    -1,  5413,  5412,    -1,
    5416,    -1,  5409,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5423,  5423,  5423,  5423,  5423,  5423,
    5423,  5423,  5423,  5423,    -1,    -1,  5423,  5423,  5423,  5423,
    5423,  5423,    -1,  5449,  5572,    -1,  5574,  5453,  5423,  5455,
      -1,  5423,  5423,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5497,  5469,    -1,    -1,    -1,    -1,     0,    -1,
    5476,    -1,  6053,  5479,    -1,    -1,    -1,    -1,   193,    -1,
      -1,   494,    -1,   198,  5490,    -1,  3644,    -1,  3646,    -1,
      -1,  5497,    -1,   506,   507,   508,   509,   510,   511,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   221,   222,    -1,    -1,
    5413,    43,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    10,    -1,    -1,    13,    -1,    -1,   244,
      17,    18,    19,    -1,    -1,    -1,    -1,    -1,  5544,  6019,
    6020,    -1,    -1,    -1,  5550,    -1,    -1,    -1,    -1,  5555,
    5556,    -1,    -1,    -1,  5560,    -1,    -1,    -1,    45,    -1,
    5566,  5567,  5568,    -1,    -1,    52,    98,    -1,  5746,    -1,
     285,    -1,    -1,  5476,    -1,    -1,  5582,    -1,    -1,    -1,
      -1,    -1,  3740,    -1,   299,    -1,    -1,   302,    -1,    -1,
      -1,    78,    -1,    -1,    -1,  4513,  5602,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5611,    -1,    -1,  5614,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   149,    -1,    -1,
      -1,  4539,    -1,    -1,    -1,    -1,  3784,    -1,    -1,    -1,
     162,    -1,    -1,  5639,  4179,    -1,   168,    -1,  4183,    -1,
    5455,    -1,   174,    -1,  5641,    -1,     6,    -1,   180,    -1,
      -1,   183,    -1,    -1,  5469,   187,    -1,    -1,    -1,    -1,
      -1,    -1,  5668,  5669,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5490,    -1,   392,    -1,    -1,
      -1,    -1,  5497,    -1,    -1,   217,  5692,   219,    -1,    -1,
      -1,    -1,    -1,  5821,    -1,  5701,  5702,  5703,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4250,   193,    -1,  5714,  5715,
     645,   198,  5718,   245,    -1,    -1,   651,  5723,   653,  5725,
     655,  5727,  3880,   658,    -1,    -1,    -1,  5922,  5734,    -1,
     665,    -1,    -1,    -1,  5731,   670,  5639,   672,    -1,    -1,
    4179,    -1,    -1,   678,  4183,    -1,    -1,    -1,    -1,    -1,
    5756,  5566,  5567,    -1,    -1,    -1,    -1,   244,    -1,    -1,
      -1,    -1,   294,    -1,    -1,   297,  3924,   702,    -1,    -1,
      -1,   303,    -1,    -1,    -1,  5781,   711,  5783,    -1,   494,
     715,    -1,    -1,   718,    -1,    -1,   721,    -1,   503,   504,
     505,   506,   507,   508,   509,   510,   511,    -1,    -1,  5994,
    5995,    -1,   737,    -1,   519,    -1,    -1,    -1,    -1,  5937,
      -1,  4250,   299,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   360,  5835,
      -1,  5734,    -1,    -1,  5908,    -1,    -1,   197,    -1,  4757,
      -1,    -1,    -1,    -1,  4762,    -1,   206,  4765,  4006,    -1,
      -1,    -1,    -1,    -1,   214,   790,    -1,   217,    -1,    -1,
      -1,    -1,    -1,    -1,   799,    -1,  5872,    -1,  4786,  4787,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4588,    -1,  5885,
    4591,   413,    -1,    -1,   819,   820,    -1,   822,   823,  5895,
      -1,    -1,   827,    -1,    -1,    -1,    -1,  4055,    -1,  5905,
      -1,    -1,  5908,    -1,    -1,   392,   841,    -1,  5723,  4620,
    5725,   846,    -1,   445,    -1,    -1,  5922,   852,    -1,  6047,
      -1,    -1,  4080,    -1,    -1,    -1,    -1,    -1,    -1,  5935,
      -1,    -1,  5835,    -1,    -1,    -1,    -1,   469,    -1,   471,
     472,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    6078,  6079,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   493,    -1,    -1,   899,    -1,    -1,    -1,  4513,  4514,
    5976,  5968,    -1,    -1,    -1,    -1,    -1,    -1,   913,    -1,
    5986,    -1,    -1,    -1,   516,    -1,   518,   519,  5994,  5995,
      -1,   926,    -1,    -1,  6000,  5993,  5993,  5993,  5993,    -1,
      -1,    10,    -1,  5993,    13,    -1,   941,   494,    -1,    -1,
      -1,    -1,    -1,  6019,  6020,    -1,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   960,    -1,    -1,    -1,    -1,
     965,   966,    -1,    -1,    -1,    -1,    45,    -1,    -1,    -1,
      -1,    -1,    -1,    52,    -1,    -1,    -1,  6053,    -1,    -1,
      -1,    -1,  6087,  6248,  6249,    -1,  6184,    -1,    -1,    -1,
      -1,    -1,   997,   998,    -1,    -1,    -1,    -1,    -1,    78,
      -1,  6077,    -1,    -1,  4513,  4514,    -1,  6083,    -1,    -1,
      -1,    -1,    -1,  5986,    -1,  1020,  1021,    -1,    -1,  6087,
    6087,  6087,  6087,    -1,    -1,  6101,  6102,  6087,    -1,  1034,
      -1,  1036,    -1,    -1,    -1,  1040,    -1,    62,  1043,  1044,
    6116,  1046,    -1,    -1,    -1,    -1,  1051,    -1,  4829,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  6132,    -1,    -1,    -1,
      -1,    -1,    -1,  5051,    -1,    -1,    -1,    -1,   147,    -1,
    1075,    -1,    97,    -1,    -1,    -1,    -1,  1082,  1083,    -1,
      10,    -1,    -1,    13,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  6167,  4873,  4874,    -1,    -1,    -1,    -1,    -1,  1104,
    1105,  1106,    -1,  1108,  6077,  1110,    -1,  1112,  1113,    -1,
    6083,  6187,    -1,    -1,   193,    45,    -1,    -1,  6194,   198,
      -1,    -1,    52,  6191,  6191,  6191,  6191,    -1,    -1,    -1,
      -1,  6191,    -1,   158,    -1,  4750,    -1,    -1,    -1,    -1,
      -1,  1146,  4757,  1148,  1149,    -1,    -1,  4762,    78,    -1,
    4765,  6227,  6228,    -1,    -1,    -1,  6232,    -1,    -1,    -1,
    6236,    -1,    -1,    -1,  6240,   244,    -1,    -1,    -1,    -1,
     195,    -1,  6248,  6249,    -1,    -1,  1181,    -1,    -1,    -1,
      -1,    -1,  6258,    -1,    -1,    -1,  4967,  4968,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1207,    -1,  1209,    -1,    -1,    -1,  1213,    -1,
    1215,    -1,    -1,    -1,  6187,   240,    -1,   147,    -1,    -1,
     299,    -1,    -1,    -1,    -1,    -1,    -1,  5215,    -1,    -1,
      -1,     0,    -1,    -1,  1239,    -1,  1241,    -1,    -1,    -1,
    1245,  4750,    -1,    -1,    -1,    -1,    -1,  6132,  4757,    -1,
      -1,    -1,    -1,  4762,  1259,    -1,  4765,   282,    -1,    -1,
      -1,    -1,    -1,   193,    -1,    -1,    -1,    10,   198,    -1,
      13,  4499,   702,    -1,    17,    18,    19,    -1,    -1,    -1,
      -1,   711,    -1,    -1,    -1,    -1,    -1,    -1,   718,   314,
      -1,   721,  1297,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    45,    -1,    -1,    -1,    -1,    -1,    -1,    52,
      -1,    -1,    -1,   392,   244,    -1,  5097,    -1,    -1,  5100,
    5101,  1326,  1327,  1328,    -1,  1330,    -1,    -1,     0,    98,
      -1,   356,    -1,   358,    -1,    78,   361,    -1,    -1,  5120,
      -1,    -1,    -1,    -1,    -1,   370,  1351,  6232,    -1,    -1,
      -1,    -1,    -1,    -1,   379,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   387,    -1,    -1,    -1,    -1,    -1,    -1,   299,
      -1,    -1,    -1,    -1,   399,    -1,    -1,    -1,    -1,    -1,
     149,    -1,    -1,   408,    -1,  1390,    -1,   412,    -1,    -1,
    5378,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,   168,
      -1,    -1,    -1,  1408,    -1,   174,    -1,    -1,    -1,    -1,
      -1,   180,    -1,    -1,   183,   494,    -1,    -1,   187,    -1,
      -1,  5409,    -1,    -1,  5039,    -1,    98,   506,   507,   508,
     509,   510,   511,    -1,    -1,  5423,    -1,    -1,    -1,    -1,
      -1,    -1,   467,    -1,    -1,    -1,    -1,    -1,   217,  1454,
     193,    -1,    -1,  1458,  1459,   198,    -1,    -1,    -1,    -1,
      -1,    -1,   392,    -1,  1469,  1470,  1471,  1472,    -1,  1474,
      -1,    -1,    -1,    -1,    -1,    -1,   245,   149,   221,   222,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     162,    -1,  1497,    -1,    -1,    -1,   168,    -1,    -1,    -1,
      -1,   244,   174,    -1,    -1,    -1,    -1,    -1,   180,  5497,
      -1,   183,    -1,    -1,    -1,   187,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   294,    -1,  1532,   297,    -1,
    5039,    -1,  1537,    -1,   303,  1540,    -1,    -1,    -1,    -1,
      -1,    -1,   285,    -1,    -1,   217,    -1,    -1,  1553,  1554,
      -1,    -1,    -1,    -1,    -1,    -1,   299,  1562,    -1,    -1,
    1565,    -1,    -1,    -1,   494,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   245,    -1,    -1,   506,   507,   508,   509,
     510,   511,    -1,    -1,    -1,    -1,    -1,  1592,    -1,  1594,
      -1,   360,  1597,    -1,    -1,  1600,  1601,    -1,    -1,  1604,
    5215,    -1,    -1,  4831,  1034,    -1,    -1,    -1,    -1,  1614,
    1040,    -1,  1617,    -1,  1044,  1620,  1046,    -1,    -1,    -1,
    5235,    -1,   294,    -1,    -1,   297,    -1,    -1,    -1,    -1,
      -1,   303,    -1,    -1,  5249,    -1,    -1,  1642,    -1,    -1,
      -1,    -1,    -1,    -1,  4872,    -1,    -1,    -1,   417,   392,
      -1,  5639,    -1,  5641,    -1,  1660,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4894,  1672,  1673,  1674,
    1675,  1676,    -1,    -1,    -1,    -1,   445,    -1,    -1,    -1,
    1110,    -1,  1112,  1113,    -1,  1690,    10,    -1,   360,    13,
      -1,    -1,    -1,    -1,    -1,    -1,  1701,  1702,  1703,    -1,
     469,    -1,   471,   472,    17,    -1,  5215,    -1,    -1,    -1,
      -1,    -1,    -1,    26,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    45,    -1,    -1,   493,    -1,  5235,    -1,    52,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4966,    -1,
    5249,  5522,    -1,  5731,   513,   417,    -1,   516,   517,   518,
      -1,   494,    -1,    -1,    78,    -1,    -1,    -1,    -1,    -1,
     503,   504,   505,   506,   507,   508,   509,   510,   511,    -1,
      -1,    -1,    -1,   445,    -1,    -1,    -1,    -1,    -1,    38,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1800,  5577,   469,  5413,   471,
     472,    -1,    -1,    62,    -1,    -1,  1811,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1819,  1820,    -1,    -1,    -1,    -1,
      -1,   493,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1835,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    97,    -1,
      -1,   513,    -1,    -1,   516,   517,   518,    -1,  1853,  1854,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5087,
      -1,  5476,    -1,    -1,  1869,  1870,  1871,  1872,    -1,   193,
      -1,    -1,    -1,  1878,   198,    -1,    -1,    -1,    -1,    -1,
    1885,    -1,    10,  1888,    -1,    13,    -1,    -1,    -1,    17,
      18,    19,    -1,    -1,    -1,    -1,    -1,    -1,  1903,   158,
      -1,  1906,    -1,    -1,  5413,    -1,    -1,    35,    -1,    -1,
    5691,  1916,  1917,    -1,    -1,    -1,    -1,    45,    -1,    -1,
     244,    -1,  1927,  1928,    52,    -1,  1931,    -1,    -1,  1934,
      10,    -1,    -1,    13,    -1,    -1,   195,    17,    18,    19,
      -1,    -1,    -1,    -1,  1949,  1950,    -1,    -1,    -1,    -1,
      78,  1956,    -1,  1958,    -1,    35,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    45,    -1,  5476,    -1,    -1,
    1975,    -1,    52,    -1,    -1,   299,   235,  1982,    -1,  1984,
    5968,   240,  1987,  1988,  1989,    -1,  1991,  1992,    -1,  1994,
      -1,    -1,    -1,  5221,    -1,    -1,  2001,    -1,    78,    -1,
      -1,    -1,    -1,  2008,    -1,  5993,  2011,  2012,    -1,    -1,
    2015,    -1,    -1,  2018,  2019,    -1,    -1,    -1,  2023,    -1,
    2025,    -1,    -1,   282,  5639,  2030,  2031,    -1,    -1,    -1,
      -1,    -1,  2037,  2038,  2039,  2040,  2041,  2042,  2043,  2044,
    2045,  2046,    -1,    -1,  2049,    -1,  2051,  2052,  2053,  2054,
    2055,  2056,  2057,  2058,    -1,   314,  2061,    -1,  2063,  2064,
      -1,    -1,  2067,    -1,    -1,   193,    -1,    -1,   392,    -1,
     198,    -1,    -1,    -1,    38,    -1,    -1,  2082,  2083,  2084,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   221,   222,  2100,    60,   356,    -1,  6087,
      -1,    -1,   361,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   370,    -1,   193,    -1,    -1,   244,    -1,   198,  5734,
     379,    -1,    86,    -1,    -1,    -1,    -1,    -1,   387,    -1,
    5639,    -1,    -1,    -1,    -1,  2140,    -1,    -1,    -1,    -1,
     399,   221,   222,    -1,    -1,    -1,    -1,   111,   112,   408,
      -1,    -1,    -1,   412,    -1,   119,    -1,   285,    -1,    -1,
      -1,    -1,    -1,    -1,   244,    -1,    -1,    -1,    -1,    -1,
     494,   299,    -1,   432,   302,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   506,   507,   508,   509,   510,   511,    -1,    -1,
      -1,    -1,   156,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  6191,    -1,   285,    -1,    -1,   467,    -1,
      -1,    -1,   471,    -1,   178,    -1,    -1,    -1,    -1,   299,
    5835,    -1,   302,    -1,    -1,  5734,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   201,    -1,  2244,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  6036,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   392,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2293,    -1,
      -1,    -1,    -1,    -1,    -1,   259,    -1,    -1,    -1,   263,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   392,    -1,   278,    -1,    -1,    -1,   282,    -1,
      -1,    -1,  5550,    -1,    -1,    -1,  5835,  5555,  5556,    -1,
      -1,    -1,    -1,    -1,   647,    -1,    -1,    -1,    -1,    -1,
      -1,  2346,    -1,    -1,    -1,    -1,    -1,    -1,   312,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   494,    -1,    -1,    -1,
      -1,  5986,    -1,    -1,    -1,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   697,   698,    -1,    -1,    -1,    -1,
      -1,   519,    -1,   357,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    22,    -1,    -1,    -1,    -1,
      -1,    28,    -1,    -1,   494,    -1,    -1,   381,    -1,    -1,
      -1,    -1,    -1,   503,   504,   505,   506,   507,   508,   509,
     510,   511,    -1,    -1,    -1,    -1,   516,   401,    -1,   403,
      -1,  5669,   406,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  6077,    -1,    -1,    -1,    -1,    -1,  6083,    -1,
      -1,    -1,    -1,  1903,    -1,    -1,  1906,  5986,    -1,    -1,
     793,    -1,    -1,    -1,    -1,    -1,  1916,  1917,    -1,    -1,
    5718,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     813,  1931,    -1,    -1,  1934,    -1,    -1,    -1,   821,    -1,
      -1,   824,   825,   826,    -1,    -1,    -1,    -1,  2523,  2524,
    2525,  2526,  2527,  2528,  2529,  2530,  2531,    -1,  2533,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2543,  2544,
      -1,  2546,    -1,    -1,    -1,    -1,    -1,    -1,  2553,    -1,
      -1,   515,    -1,    -1,  1984,    -1,    -1,    -1,  1988,  1989,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  6077,    -1,
      -1,    -1,  6187,    -1,  6083,    -1,    -1,  2582,    25,  2584,
      23,    -1,  2587,  2588,    31,    28,  2591,    -1,  2593,    -1,
      -1,  2596,    -1,    -1,    -1,  2600,    -1,    -1,    -1,    46,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    10,    -1,    -1,    13,    -1,    -1,  2623,    17,
      18,    19,    -1,    66,  2629,  2630,    -1,    -1,    -1,    76,
      -1,    -1,    -1,    -1,    -1,  2640,    79,    35,    -1,    -1,
      -1,    -1,    -1,    -1,  2649,  2650,    -1,    45,    -1,    -1,
      -1,    -1,    95,    -1,    52,    -1,    -1,    -1,  2663,    -1,
      -1,    -1,    -1,    -1,    10,    -1,  2671,    13,  2673,    -1,
     113,    17,    18,    19,    -1,    -1,    -1,    -1,  6187,    -1,
      78,    -1,    -1,   130,    -1,   132,    -1,    -1,    -1,    35,
      -1,    -1,   139,    -1,   137,   142,    -1,    -1,    -1,    45,
      -1,    -1,    -1,    -1,    -1,   148,    52,    -1,  2713,    -1,
    2715,    -1,    -1,    -1,   157,    -1,  1029,    -1,    -1,    -1,
      -1,    -1,   169,    -1,    -1,    -1,    -1,   170,  2733,    -1,
      -1,    -1,    78,   176,    -1,    -1,    -1,    -1,    -1,  2744,
      -1,    -1,  2747,  2748,  2749,  2750,    -1,    -1,  2753,    -1,
      -1,  2756,    -1,    -1,    -1,    -1,    -1,    -1,   205,    -1,
     203,    -1,    -1,    -1,    -1,    -1,    -1,    25,    -1,    -1,
      -1,    -1,  2777,    31,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2788,    -1,    -1,    -1,    -1,    46,    -1,
      -1,  2796,  2797,    -1,    -1,   193,    -1,    -1,  2803,    -1,
     198,    -1,    -1,    -1,    -1,    -1,    -1,  2812,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   258,    -1,    -1,    76,    -1,
      -1,    -1,    -1,   221,   222,    -1,    -1,    -1,    -1,  2834,
      -1,   278,    -1,    -1,    -1,   282,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   292,   244,   193,    -1,    -1,
    2855,    -1,   198,    -1,   301,    -1,   299,    -1,    -1,    -1,
      -1,    -1,    -1,  2868,    -1,    -1,   313,    -1,    -1,    -1,
      -1,    -1,   130,    -1,   132,   221,   222,    -1,    -1,    -1,
      -1,   139,    -1,    -1,   142,    -1,  2891,   285,    -1,  2894,
     333,   334,    -1,    -1,   337,    -1,    -1,    -1,   244,    -1,
      -1,   299,    -1,    -1,   302,   352,    -1,  1220,   355,   356,
      -1,   169,    -1,    -1,    -1,  2920,  2921,    -1,    -1,    -1,
      -1,   364,    -1,    -1,   367,    -1,    -1,    -1,    -1,    -1,
    2935,   374,  2937,  2938,  1247,    -1,    -1,    -1,   381,   285,
     387,   384,    -1,    -1,    -1,    -1,    -1,   205,    -1,    -1,
      -1,    -1,    -1,   299,    -1,    -1,   302,    -1,    -1,    -1,
     403,    -1,    -1,    -1,  2969,  2970,  2971,   410,    -1,    -1,
    2975,    -1,    -1,    -1,   417,    -1,    -1,   420,  2983,    -1,
      -1,   424,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   432,
      -1,  2996,    -1,    -1,   392,    -1,   439,  3002,    -1,  3004,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   456,
      -1,    -1,  3017,    -1,    -1,    -1,    -1,  3022,    -1,  1332,
     278,    -1,   465,  3028,   282,    -1,  3031,    -1,  1341,    -1,
      -1,    -1,    -1,    -1,   292,    -1,    -1,    -1,  3043,  3044,
      -1,    -1,    -1,   301,  1357,    -1,   392,    -1,    -1,  3054,
      -1,    -1,    -1,    -1,    -1,   313,    -1,    -1,    -1,  3064,
      -1,  3066,    -1,  1376,    -1,    -1,  1379,  1380,    -1,    -1,
      -1,  1384,  1385,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   352,    -1,   494,   355,   356,    -1,
    3105,    -1,  3107,    -1,  3109,   503,   504,   505,   506,   507,
     508,   509,   510,   511,    -1,    -1,    -1,    -1,   516,    -1,
      25,    -1,    -1,    -1,    -1,    -1,    31,    -1,    -1,   387,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3142,    -1,    -1,
      -1,   758,    -1,   760,    -1,   762,    -1,    -1,   494,    -1,
      -1,   768,   769,   770,    -1,    -1,    -1,   503,   504,   505,
     506,   507,   508,   509,   510,   511,    -1,    -1,    -1,    -1,
     516,    76,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    10,
      -1,    -1,    13,    -1,    -1,    -1,    17,    18,    19,    -1,
      -1,  3196,  3197,  2623,  3199,    -1,  3201,  3202,   456,  3204,
      -1,    -1,    -1,    -1,    35,    -1,  3211,    -1,    -1,    -1,
      10,  3216,    -1,    13,    45,    -1,    -1,    17,    18,    19,
      -1,    52,    -1,    -1,    -1,    -1,    -1,   132,    -1,    -1,
      -1,    -1,    -1,    -1,   139,    35,    -1,   142,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    45,    -1,    78,    -1,    -1,
      -1,    -1,    52,    -1,    -1,    -1,  3261,  3262,  3263,    -1,
      -1,  3266,    -1,    -1,   169,    -1,    -1,    -1,    -1,  3274,
    3275,  3276,  3277,    -1,    -1,    -1,    -1,    -1,    78,    -1,
      -1,    -1,    -1,    -1,    -1,  3290,    -1,    -1,  3293,    -1,
    3295,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     205,    -1,  3307,  3308,    -1,    -1,  3311,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2744,    -1,    -1,  2747,    -1,  2749,
    2750,    -1,    -1,    -1,    -1,  3330,  1639,  3332,    -1,  3334,
      -1,  3336,    -1,    -1,  1647,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   959,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3355,    -1,    -1,  3358,    -1,    -1,    -1,  3362,    -1,    -1,
      -1,    -1,   193,    -1,    -1,    -1,    -1,   198,    -1,    -1,
      -1,    -1,    -1,   278,    -1,    -1,    -1,   282,  3383,    -1,
      -1,    -1,    -1,    25,    -1,    -1,    -1,   292,    -1,    31,
     221,   222,    -1,   193,    10,    -1,   301,    13,   198,    -1,
      -1,    17,    18,    19,    -1,    -1,    -1,  3412,   313,    -1,
    3415,  3416,  1029,   244,    -1,  3420,  3421,  3422,    -1,    35,
      -1,   221,   222,  3428,    -1,    -1,    -1,    -1,  3433,    45,
      -1,    -1,    -1,    -1,    76,    -1,    52,    -1,    -1,    -1,
      -1,    -1,    -1,  3448,   244,    -1,    -1,   352,    -1,    -1,
     355,   356,    -1,    -1,   285,    -1,    -1,  3462,    -1,    -1,
      -1,  3466,    78,    -1,  3469,  3470,    -1,  3472,   299,    -1,
      -1,   302,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   387,    -1,    -1,   285,    -1,    -1,    -1,    -1,
     132,    -1,    -1,    -1,    -1,    -1,    -1,   139,    -1,   299,
     142,    -1,   302,    -1,    -1,    -1,    -1,    -1,  3513,    -1,
      -1,    -1,    -1,  3518,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   169,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3544,
    3545,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1862,
      -1,   456,    -1,  1866,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   392,    -1,   205,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   193,    -1,    -1,
      -1,    -1,   198,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   392,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   221,   222,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3044,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3628,    -1,    -1,    -1,    -1,   244,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   278,    -1,    -1,    -1,
     282,    -1,    -1,    -1,    -1,    -1,    -1,  3652,    -1,    -1,
     292,    -1,    -1,    -1,    -1,    -1,    -1,  3662,    51,   301,
      -1,    -1,    -1,   494,    -1,    -1,    -1,    -1,    -1,   285,
      -1,   313,   503,   504,   505,   506,   507,   508,   509,   510,
     511,    -1,    -1,   299,    -1,   516,   302,    -1,    -1,    -1,
      -1,    -1,    10,    -1,   494,    13,    -1,    -1,    -1,    17,
      18,    19,    -1,   503,   504,   505,   506,   507,   508,   509,
     510,   511,    -1,   355,   356,    -1,   516,    35,    -1,    -1,
      -1,    -1,    -1,  2036,    -1,    -1,    -1,    45,    -1,    -1,
      -1,    -1,    -1,    -1,    52,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   387,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      78,    -1,  1379,    -1,  3769,    -1,  3196,  1384,  1385,  3199,
    3775,  3201,  3202,    -1,    -1,    -1,   392,    -1,    -1,    -1,
      -1,  3786,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1412,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1421,    -1,  1423,    -1,    -1,    -1,
    1427,    -1,    -1,    -1,   456,    -1,    -1,  1434,  3823,  3824,
    3825,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3840,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3854,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3872,  3873,  3874,
      -1,    -1,    -1,  3878,    -1,   193,    -1,    -1,   494,    -1,
     198,    -1,    -1,    -1,    -1,  3890,    -1,   503,   504,   505,
     506,   507,   508,   509,   510,   511,    -1,    -1,    -1,    -1,
     516,    -1,    -1,   221,   222,    -1,    -1,    -1,  1525,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1535,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   244,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3946,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3960,  3961,    -1,    -1,    -1,
      -1,    -1,  1579,  1580,    -1,    -1,  3971,   285,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3984,
      -1,   299,  3412,    -1,   302,  3415,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4003,    -1,
      -1,    -1,    -1,    -1,    -1,  1622,    -1,  4012,  1625,  1626,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4026,    -1,    -1,    -1,  4030,  4031,    -1,    -1,    -1,
      -1,  4036,  3462,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3470,  4046,    -1,  4048,    -1,    -1,  4051,    -1,    -1,    -1,
      -1,  4056,  4057,  4058,  4059,    -1,    -1,  4062,  4063,  4064,
    4065,  4066,  4067,  4068,  4069,  4070,  4071,    -1,    -1,    -1,
    4075,  4076,  4077,    -1,   392,    -1,    -1,    -1,    -1,    -1,
    4085,    -1,    -1,    -1,    -1,  4090,    -1,    -1,    -1,  4094,
      -1,    -1,    -1,    -1,    -1,    25,    -1,  4102,    -1,    -1,
    4105,    31,  4107,    -1,    -1,    10,    -1,    -1,    13,    -1,
      -1,    -1,    17,    18,    19,    -1,    46,    -1,  4123,    -1,
      -1,  4126,  4127,    -1,    -1,    -1,  4131,  4132,    -1,    -1,
      35,  4136,    -1,  4138,  4139,    -1,    -1,    -1,    -1,    -1,
      45,    -1,  4147,  4148,  4149,    -1,    76,    52,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4167,  4168,  4169,    -1,  4171,  4172,    -1,    -1,
    4175,    -1,    -1,    78,  4179,    -1,   494,    -1,  4183,    -1,
      -1,    -1,    -1,    -1,  4189,   503,   504,   505,   506,   507,
     508,   509,   510,   511,    -1,    -1,    -1,    -1,   516,    -1,
      -1,  1818,   132,    -1,    -1,    -1,    -1,    -1,    -1,   139,
    4215,    -1,   142,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4230,    -1,  4232,    -1,    25,
      -1,    -1,    -1,    -1,    -1,    31,    -1,    -1,    -1,   169,
      -1,    -1,    -1,    -1,    -1,  4250,  4251,    -1,  4253,    -1,
    2563,  4256,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   205,    -1,    -1,    -1,    -1,
      76,    -1,    -1,    -1,    -1,    -1,  4291,  4292,   193,    -1,
      -1,    -1,    -1,   198,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4310,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   707,    -1,   221,   222,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   132,    -1,    -1,   244,
     733,    -1,    -1,   139,    -1,    -1,   142,    -1,   278,    -1,
      -1,    -1,   282,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4365,    10,   292,    -1,    13,    -1,    -1,    -1,    17,    18,
      19,   301,    -1,   169,    -1,    -1,    -1,    -1,    -1,    -1,
     285,    -1,    -1,   313,    -1,    -1,    35,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   299,    -1,    45,   302,  2711,    -1,
      -1,    -1,    -1,    52,    -1,    -1,    -1,    -1,    -1,   205,
      -1,    -1,    -1,    -1,    -1,  4420,  2033,  2034,    -1,    -1,
      -1,    -1,   352,    -1,    -1,   355,   356,    -1,    -1,    78,
    2047,  2048,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4453,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   387,  2771,    -1,
    2077,    -1,  4467,    -1,  4469,    -1,    -1,    -1,    -1,    -1,
      -1,  4476,    -1,    -1,    -1,    -1,    -1,  4482,    -1,    -1,
      -1,    -1,   278,   876,    -1,    -1,   282,   392,  4493,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   292,    -1,    -1,    -1,
      -1,    -1,    -1,  4508,    -1,   301,    -1,    -1,  4513,  4514,
      -1,    -1,    -1,    -1,    -1,    -1,  4521,   313,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4530,   456,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4540,    -1,    -1,  2851,    -1,
      -1,    -1,    -1,    -1,   193,    -1,    -1,  4552,  4553,   198,
      -1,    -1,    -1,    -1,    -1,    -1,   352,    -1,  4563,   355,
     356,    -1,  2875,    -1,    -1,    -1,    -1,    -1,    -1,  4574,
    4575,    -1,   221,   222,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4592,    -1,   494,
      -1,   387,    -1,    -1,    -1,   244,    -1,    -1,   503,   504,
     505,   506,   507,   508,   509,   510,   511,    10,    -1,    -1,
      13,   516,    -1,    -1,    17,    18,    19,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2939,  1020,  4633,    -1,
    2943,    -1,    35,    -1,    -1,    -1,   285,    25,    -1,    -1,
      -1,    -1,    45,    31,  4649,    -1,  1039,    -1,    -1,    52,
     299,    -1,    -1,   302,    -1,    -1,    -1,  1050,    -1,  4664,
     456,    -1,    -1,    -1,    -1,    -1,    -1,  2980,    -1,  2982,
      -1,  2984,  2985,  1066,    -1,    78,  2989,  2990,  2991,    -1,
    2993,  2994,  2995,    -1,    -1,    -1,    -1,  4692,    76,    -1,
    4695,    -1,    -1,    -1,    -1,    25,    -1,    -1,  4703,  4704,
      -1,    31,    -1,    -1,    -1,  4710,  4711,    -1,    -1,    -1,
    4715,    -1,    -1,    -1,    -1,  4720,    -1,    -1,  4723,  4724,
      -1,    -1,    -1,    -1,    -1,  4730,    -1,    -1,    -1,  4734,
    4735,  4736,  4737,    -1,  3047,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   392,   132,  4750,    76,    -1,  4753,  4179,
      -1,   139,  4757,  4183,   142,    -1,    -1,  4762,    -1,  3072,
    4765,  4766,    -1,  4768,    -1,  4770,    -1,    -1,  4773,    -1,
    4775,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4784,
      -1,   169,    -1,  4788,    -1,    -1,    -1,  4792,    -1,  4794,
     193,    -1,    -1,    25,    -1,   198,    -1,    -1,    -1,    31,
      -1,    -1,   132,    -1,  4809,    -1,    38,  4812,    -1,   139,
      -1,    -1,   142,    -1,    -1,    -1,    -1,   205,   221,   222,
    4250,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    60,    -1,
    1223,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   169,
      -1,   244,  4847,    -1,    76,   494,  4851,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   503,   504,   505,   506,   507,   508,
     509,   510,   511,    -1,    -1,    -1,    -1,   516,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   205,    -1,    -1,    -1,   111,
      -1,    -1,   285,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     278,    -1,    -1,    -1,   282,    -1,   299,    -1,    -1,   302,
     132,    -1,    -1,    -1,   292,    -1,    -1,   139,    -1,    -1,
     142,    -1,  4917,   301,    -1,    -1,    -1,    -1,    -1,  4924,
      -1,    -1,    -1,    -1,    -1,   313,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   169,    -1,    -1,
      -1,  4946,    -1,    -1,    -1,    -1,    -1,    -1,   278,    -1,
      -1,    -1,   282,    -1,    -1,    -1,  4961,    -1,    -1,    -1,
      -1,    -1,   292,    -1,   352,    -1,    -1,   355,   356,   201,
      -1,   301,    -1,   205,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   313,    -1,    -1,    -1,  4992,    -1,   392,
      -1,    -1,    -1,    -1,  2611,  2612,    -1,    -1,    -1,   387,
    2617,    -1,    -1,  5008,    -1,    -1,    -1,    -1,    -1,    -1,
    5015,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5024,
      -1,    -1,   352,    -1,    -1,   355,   356,   259,    -1,    -1,
      -1,   263,  2649,  2650,  5039,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   278,  5052,    -1,  5054,
     282,    -1,    -1,    -1,    -1,    -1,    -1,   387,    -1,    -1,
     292,    -1,    -1,  3376,    -1,    -1,    -1,    -1,   456,   301,
      -1,    -1,    -1,    -1,    -1,  5080,    -1,    -1,    -1,    -1,
     312,   313,    -1,  4513,  4514,    -1,  5091,  1480,    -1,    -1,
      -1,   494,    -1,    -1,  2711,    -1,    -1,    -1,    -1,    -1,
     503,   504,   505,   506,   507,   508,   509,   510,   511,    -1,
      -1,    -1,    -1,   516,    -1,    -1,    -1,    -1,    -1,    -1,
     352,    -1,    25,   355,   356,   357,   456,    -1,    31,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5150,    -1,    -1,  5153,   381,
      -1,  5156,  5157,  5158,  1547,   387,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   401,
      -1,    -1,    -1,    76,    -1,    -1,  5181,  5182,    -1,  2796,
    5185,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1588,    -1,    -1,    -1,    -1,
    5205,    -1,    -1,    -1,    -1,    -1,  5211,    -1,    -1,    -1,
    5215,    -1,    -1,    -1,  5219,    -1,    -1,  5222,    -1,  5224,
      -1,    -1,    -1,    -1,   456,  3538,    -1,    -1,  1621,   132,
    5235,    -1,    -1,  5238,    -1,    -1,   139,    -1,    -1,   142,
      -1,    -1,    -1,    -1,  5249,  5250,  5251,    -1,  5253,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   169,    -1,  2885,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2893,    -1,    -1,  2896,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2908,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5305,  5306,   205,  3616,    -1,    -1,    -1,    -1,  1701,  1702,
    1703,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4750,    -1,    -1,    25,    -1,    -1,    -1,  4757,    -1,    31,
      -1,    -1,  4762,    -1,    -1,  4765,  4766,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5350,    -1,    -1,    10,    -1,
      -1,    13,    -1,    -1,    -1,    17,    18,    19,    -1,  5364,
      -1,  3674,    -1,    -1,  5369,    -1,    -1,    -1,    -1,  5374,
      -1,    -1,    -1,    35,    76,   278,    -1,    -1,  5383,   282,
      -1,    -1,    -1,    45,    -1,    -1,    -1,    -1,  5393,   292,
      52,    -1,  5397,    -1,    -1,  5400,    -1,    -1,   301,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5411,  5412,  5413,    -1,
     313,    -1,    -1,    -1,    -1,    -1,    78,    -1,    -1,    -1,
    1813,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3742,
     132,  1824,    -1,    -1,    -1,    -1,    -1,   139,    -1,    -1,
     142,    -1,    -1,    -1,  5449,    -1,    -1,  1840,  5453,   352,
    5455,    -1,   355,   356,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5469,    -1,    -1,   169,    -1,    -1,
      -1,  5476,    -1,    -1,  5479,    -1,    -1,  3790,  5483,    -1,
      -1,    -1,    -1,    -1,   387,  5490,    -1,    -1,    -1,  3802,
    3803,    -1,  5497,    -1,    -1,    -1,    -1,    -1,    -1,  3812,
      -1,  1894,    -1,   205,  3817,    -1,  3819,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1909,    -1,    -1,  1912,
    1913,    -1,    -1,    -1,    -1,    -1,    -1,  5532,    -1,    -1,
      -1,   193,    -1,    -1,    -1,    -1,   198,    -1,  3155,  5544,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1943,  1944,  3865,   456,    -1,  5560,    -1,    -1,    -1,   221,
     222,  5566,  5567,    -1,    -1,    -1,  5571,  5572,  5573,  5574,
      -1,    -1,    -1,    -1,    -1,    -1,   278,    -1,  5008,    -1,
     282,    -1,   244,    -1,    -1,    -1,    -1,  3900,  3901,    -1,
     292,    -1,    -1,    -1,    -1,    -1,    -1,  5602,    -1,   301,
      -1,    -1,    -1,    -1,    -1,    -1,  5611,    -1,    -1,  5039,
      -1,   313,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   285,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5636,    -1,    -1,  5639,    25,    -1,   299,    -1,    10,
     302,    31,    13,    -1,    -1,    -1,    17,    18,    19,  2042,
     352,    -1,    -1,   355,   356,    -1,    -1,    -1,    -1,  5664,
    2053,    -1,    -1,  2056,    35,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    45,    -1,    -1,    -1,    -1,    -1,
      -1,    52,    -1,    -1,    -1,   387,    76,  5692,  2081,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5701,  5702,  5703,    -1,
      -1,    -1,  5707,    -1,    -1,    -1,  5711,    78,    -1,  5714,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5723,    -1,
    5725,    -1,  5727,  5728,    -1,    -1,    -1,    -1,    -1,  5734,
     392,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5744,
      -1,  5746,   132,    -1,    -1,    -1,    -1,    -1,    -1,   139,
      -1,  5756,   142,    -1,   456,    -1,    -1,  3374,    -1,  3376,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3392,    -1,    -1,    -1,   169,
      -1,    -1,    -1,    -1,    -1,  5215,  5791,  5792,  4101,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5235,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   205,  5821,    -1,    -1,  5249,
      -1,    -1,   193,  3440,  3441,    -1,    -1,   198,    -1,    -1,
    5835,    -1,   494,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     221,   222,    -1,    -1,   516,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5872,    -1,    -1,
      -1,    -1,    -1,   244,    -1,  5305,    -1,    -1,    -1,    -1,
    5885,    -1,    -1,    -1,  5889,    -1,    -1,    -1,   278,    -1,
    5895,    -1,   282,    -1,    -1,    -1,    -1,    -1,    -1,  5904,
    5905,    -1,   292,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   301,    -1,    -1,   285,    -1,    -1,  5922,    10,    -1,
    5350,    13,    -1,   313,    -1,    17,    18,    19,   299,    -1,
      -1,   302,  5937,    -1,    -1,    -1,    -1,    -1,    -1,  5944,
      -1,    -1,    -1,    35,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    45,    -1,    -1,    -1,    -1,    -1,    -1,
      52,    -1,   352,    -1,  5969,   355,   356,    -1,    -1,    -1,
      -1,  5976,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5986,    -1,  5413,    -1,    -1,    78,    -1,    -1,  5994,
    5995,  5996,    -1,    -1,    -1,  6000,    -1,   387,    -1,    -1,
      -1,   208,    -1,    10,    -1,    -1,    13,  6012,  6013,  6014,
      17,    18,    19,   220,  6019,  6020,  4329,    -1,    -1,    -1,
    6025,   392,    -1,    -1,   231,    -1,    -1,    -1,    35,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    45,    -1,
      -1,    -1,  6047,    -1,  4357,    52,  5476,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4372,
      -1,    -1,  4375,    -1,  4377,    -1,   456,    -1,    -1,    -1,
      -1,    78,  6077,  6078,  6079,    -1,    -1,    -1,  6083,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  6101,  6102,    -1,    -1,
      -1,   193,    -1,    -1,    -1,    -1,   198,    -1,    -1,    -1,
    4423,  6116,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   494,    -1,    -1,  4439,  6132,    -1,   221,
     222,  4444,   503,   504,   505,   506,   507,   508,   509,   510,
     511,    -1,    -1,    -1,    -1,   516,    -1,    -1,    -1,    -1,
      -1,    -1,   244,  2546,    -1,    -1,    -1,    -1,    -1,    -1,
    6165,  6166,  6167,  6168,  6169,    -1,    -1,  6172,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  6184,
      -1,  5611,  6187,    -1,    -1,    -1,   193,    -1,    -1,    -1,
      -1,   198,    -1,   285,    -1,  3812,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  6208,    -1,    -1,    -1,   299,    -1,  5639,
     302,    -1,    -1,    -1,   221,   222,    -1,    -1,  3835,    -1,
      -1,    -1,  6227,  6228,    -1,    -1,    -1,  6232,    -1,    -1,
    4543,  6236,    -1,  4546,    -1,    -1,    -1,   244,    -1,    -1,
      -1,    -1,    -1,  6248,  6249,    -1,    -1,  6252,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,     8,    -1,    -1,    -1,    -1,
      -1,    14,    15,    -1,    -1,    -1,    -1,    20,    -1,    22,
      -1,    -1,    -1,    -1,    -1,    28,    -1,    30,   285,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2683,    -1,   299,    -1,  2687,  2688,    49,    50,    -1,    -1,
     392,    -1,    -1,    -1,  5734,    -1,    -1,    -1,    -1,  4622,
    4623,  4624,  4625,    -1,  4627,  4628,  4629,  4630,  4631,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    10,    -1,    -1,
      13,    -1,    -1,    -1,    17,    18,    19,    -1,    62,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    35,  2746,    -1,    -1,    -1,    -1,    -1,  2752,
      -1,    -1,    45,    -1,    -1,    -1,    -1,    -1,    -1,    52,
      -1,    -1,    -1,    97,    -1,  3992,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   392,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    -1,    -1,    -1,    -1,
    2793,    -1,   494,    -1,    -1,  5835,    -1,    -1,    -1,    -1,
      -1,   503,   504,   505,   506,   507,   508,   509,   510,   511,
      -1,    -1,    -1,    -1,   516,    -1,    -1,    -1,    -1,  4742,
      -1,  4744,    -1,    -1,   158,    -1,    -1,    -1,   645,    -1,
      -1,    -1,    -1,    -1,   651,    -1,    -1,   200,    -1,    -1,
      -1,   204,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   212,
      -1,    -1,   215,    -1,    -1,   218,   219,    -1,   221,    -1,
     223,   195,    -1,   226,    -1,   228,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   494,    -1,    -1,
      -1,    -1,  5922,    -1,    -1,    -1,   503,   504,   505,   506,
     507,   508,   509,   510,   511,    -1,    -1,    -1,    -1,    -1,
     193,    -1,    -1,    -1,    -1,   198,   240,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   221,   222,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   278,    -1,  5986,    -1,   282,    -1,
      -1,   244,    -1,    10,  5994,  5995,    13,    -1,    -1,    -1,
      17,    18,    19,    -1,    -1,    -1,    -1,    -1,  2971,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    35,   313,
     314,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    45,    -1,
      -1,    -1,   285,    -1,    -1,    52,    -1,    -1,    -1,    -1,
    3003,    -1,    -1,    -1,    -1,   822,   299,    -1,    -1,   302,
      -1,    -1,    -1,    62,    -1,    -1,    -1,    -1,   352,    -1,
      -1,    78,   356,    -1,   841,    -1,    23,   361,    -1,    -1,
      -1,    28,    -1,    -1,    -1,    -1,   370,  6077,    -1,    -1,
      -1,  4964,  4965,  6083,    -1,   379,    -1,    -1,    97,    -1,
      -1,    -1,    -1,   387,  4977,    -1,  4979,  4980,  4981,    -1,
      -1,  6101,    -1,    -1,    -1,   399,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3076,   408,    -1,    -1,  3080,   412,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   913,    -1,    95,   392,
      -1,    -1,  4329,    -1,    -1,    -1,    -1,    -1,    -1,   158,
      -1,    -1,    -1,    -1,    -1,    -1,   113,    -1,    -1,    -1,
      -1,    -1,  5045,    -1,    -1,    -1,    -1,  6167,    -1,    -1,
    4357,    -1,    -1,   467,    -1,    -1,   193,    -1,    -1,    -1,
     137,   198,    -1,   960,  4371,    -1,   195,  6187,    -1,    -1,
      -1,   148,    -1,    -1,    -1,  4382,    -1,    -1,    -1,    -1,
     157,  5084,    -1,    -1,   221,   222,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   170,    -1,    -1,    -1,    -1,    -1,   176,
    3183,    -1,    -1,    -1,    62,    -1,    -1,   244,  6228,    -1,
      -1,   240,    -1,    -1,    -1,  3198,  6236,    -1,    -1,    -1,
    3203,   494,    -1,    -1,  5127,    -1,   203,    -1,  6248,  6249,
     503,   504,   505,   506,   507,   508,   509,   510,   511,    97,
      -1,    -1,    -1,   516,    -1,    -1,    -1,    -1,   285,   278,
    3233,  4458,  4459,   282,    -1,    -1,    -1,    -1,    -1,   236,
      -1,    -1,   299,    -1,    -1,   302,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1075,    -1,
      -1,   258,    -1,    -1,   313,   314,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     158,    -1,   645,    -1,    -1,    -1,    -1,  1104,  1105,  1106,
      -1,    -1,    -1,   656,    -1,    -1,    -1,   660,    -1,    -1,
      -1,    -1,    -1,   352,   667,   668,    -1,   356,   671,    -1,
     673,   674,   361,    -1,    -1,    -1,    -1,   195,    -1,  4546,
      -1,   370,    -1,    -1,    -1,   688,    -1,    -1,    -1,    -1,
     379,    -1,    -1,    -1,    -1,   392,   333,   334,   387,    -1,
     337,    -1,    -1,   706,    -1,    -1,    -1,    -1,    -1,    -1,
     399,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   408,
      -1,    -1,   240,   412,   727,    -1,   729,   364,    -1,    -1,
     367,  5294,  4599,    -1,    -1,    -1,   739,   374,    -1,    -1,
      -1,   206,   207,    -1,   381,    -1,    -1,   384,    -1,   214,
      -1,   216,   217,    -1,    -1,    -1,  1213,    -1,    -1,    -1,
     278,    -1,    -1,    -1,   282,   230,   403,    -1,    -1,   772,
      -1,    -1,    -1,   410,    -1,    -1,    -1,  5340,   467,    -1,
     417,    -1,    -1,   420,  1241,    -1,  5349,   424,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   313,   314,   494,    -1,    -1,
      -1,    -1,   439,    -1,    -1,    -1,   503,   504,   505,   506,
     507,   508,   509,   510,   511,    -1,    -1,    -1,    -1,   516,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   465,    -1,
      -1,    -1,    -1,    -1,   352,    -1,    -1,    -1,   356,  3482,
      -1,    -1,  3485,   361,  3487,    -1,    -1,    -1,    -1,  3492,
     853,    -1,   370,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   379,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   387,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    25,    -1,
      -1,   399,    -1,    -1,    31,    -1,    -1,    -1,    -1,    -1,
     408,    38,    -1,    -1,   412,    -1,    -1,    -1,  3541,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3549,    -1,    -1,    -1,
      -1,    -1,    -1,    60,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    76,
      -1,  3574,    -1,  1390,    -1,   938,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   467,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   111,    -1,    -1,    -1,    -1,    10,
      -1,    -1,    13,    -1,    -1,    -1,    17,    18,    19,    -1,
      -1,    -1,    -1,    -1,    -1,   132,    -1,  4854,    -1,    -1,
      -1,    -1,   139,  4860,    35,   142,    -1,    -1,  4865,    -1,
      -1,  3644,    -1,  3646,    45,    -1,    -1,    -1,    -1,  1012,
      -1,    52,    -1,  1470,    -1,    -1,    -1,    -1,    -1,  5582,
      -1,    -1,   169,  5586,    -1,  4892,  4893,    -1,    -1,    -1,
    4897,  4898,    -1,    -1,  1037,    -1,    -1,    78,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1052,
      -1,  1054,    -1,    -1,   201,    -1,    -1,    -1,   205,    -1,
      -1,  1064,    -1,    -1,    -1,    -1,    -1,    -1,  1071,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1553,  3740,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1562,    -1,    -1,    -1,    -1,
      -1,  1114,   259,  1116,    10,    -1,   263,    13,    -1,    -1,
      -1,    17,    18,    19,    -1,    -1,  3769,    -1,    -1,    -1,
      -1,   278,  3775,    -1,    -1,   282,    -1,  1594,    -1,    35,
      -1,  3784,    -1,  1600,  1601,   292,    -1,  1604,    -1,    45,
      -1,    -1,   193,    -1,   301,    -1,    52,   198,    -1,    -1,
    1617,    -1,    -1,  1620,    -1,   312,   313,    -1,    -1,  3812,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   644,
     221,   222,    78,    -1,    -1,    -1,    -1,  1190,    -1,  1192,
      -1,  1194,    -1,  1196,    -1,  1198,  1199,  1200,   663,    -1,
      -1,    -1,  1205,   244,   669,   352,    -1,    -1,   355,   356,
     357,    -1,    -1,    -1,  1217,    -1,   681,    -1,    -1,  1676,
    5783,    -1,    -1,    -1,  5787,    -1,  5789,    -1,    -1,    -1,
    5793,  5794,   697,  1690,   381,    -1,    -1,  3880,    -1,    -1,
     387,    -1,    -1,    -1,   285,    -1,   711,   712,    -1,    -1,
      -1,    -1,    -1,   718,   401,   720,   721,    -1,   299,  3902,
      -1,   302,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   734,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   744,
      -1,  3924,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,     0,   193,    -1,    -1,
      -1,    -1,   198,    -1,    -1,    -1,    -1,    -1,    -1,   456,
      -1,    -1,    -1,    -1,    -1,    -1,    20,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   221,   222,    31,    -1,    33,
      34,    -1,   797,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1800,    -1,    -1,    -1,    51,   244,    -1,
      -1,   392,    -1,    -1,  1811,    -1,    -1,    61,    -1,    -1,
     825,    -1,    -1,  4006,    -1,    -1,    -1,    -1,    -1,    73,
      -1,    75,    76,    -1,    -1,    -1,    -1,    -1,    82,    -1,
      84,    -1,    -1,    -1,    -1,   850,    -1,    -1,    -1,   285,
      -1,    -1,    96,    -1,    98,    -1,  1853,  1854,  1401,    -1,
      -1,    -1,    -1,   299,    -1,    -1,   302,    -1,    -1,    -1,
      -1,   115,  4055,    -1,   118,    -1,    -1,    -1,    -1,    -1,
      -1,  1878,    -1,    -1,    -1,    -1,    -1,  5294,  1885,   133,
      -1,   135,    -1,    -1,    -1,   139,    -1,  4080,    -1,    -1,
      -1,   145,    -1,    -1,    -1,    -1,    -1,   912,    -1,   153,
      -1,   155,    -1,   494,    -1,    -1,    -1,    -1,   162,    -1,
      -1,    -1,   503,   504,   505,   506,   507,   508,   509,   510,
     511,    -1,    -1,    -1,    -1,   516,   180,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    6053,    10,    -1,   197,    13,    -1,   392,    -1,    17,    18,
      19,  1958,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    35,    -1,  1521,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    45,    -1,    -1,    -1,
      -1,    -1,    -1,    52,  1991,  1992,    -1,    -1,    -1,    -1,
      -1,    -1,   246,   247,    -1,    -1,    -1,    -1,   252,    -1,
      -1,  2008,    -1,    -1,  2011,    -1,    -1,  1022,    -1,    78,
      -1,    -1,   266,    -1,  1029,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1040,    -1,    -1,    -1,  1044,
     284,  1046,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1593,    -1,    -1,    -1,    -1,  4238,    -1,    -1,   494,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   503,   504,   505,
     506,   507,   508,   509,   510,   511,    -1,    -1,    -1,    -1,
     516,    -1,    -1,    -1,   328,    -1,    -1,    -1,    -1,    -1,
      -1,  6194,    -1,    -1,    -1,  6198,    -1,    -1,   342,    -1,
      -1,    -1,    -1,    -1,   348,   349,    -1,   351,    -1,    -1,
      -1,    -1,   356,    -1,    -1,    -1,    -1,    -1,   362,    -1,
      -1,   365,    -1,    -1,    10,    -1,    -1,    13,   372,    -1,
      -1,    17,    18,    19,   193,   379,   380,  6240,    -1,   198,
      -1,    -1,    -1,   387,    -1,    -1,  4329,   391,  1153,    35,
      -1,    -1,    -1,    -1,    -1,  6258,    -1,   401,  6261,    45,
      -1,    -1,   221,   222,    -1,    -1,    52,    -1,    -1,    -1,
      -1,    -1,    -1,   417,  4357,  5582,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   244,    -1,    -1,    -1,    -1,
      -1,    -1,    78,   437,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   448,    -1,    -1,    -1,    -1,  1214,
     454,    -1,    -1,    -1,    -1,   459,    -1,    -1,    -1,    -1,
    1225,    -1,    -1,    -1,    -1,    -1,   285,    -1,   472,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1242,    -1,    -1,
     299,    -1,  1247,   302,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   496,    -1,   498,   499,   500,   501,   502,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1809,    -1,    -1,    -1,
      -1,   515,    -1,    -1,   518,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1844,    -1,    -1,    -1,    -1,    -1,   193,    -1,    -1,
      -1,    -1,   198,    -1,    -1,    -1,  4499,    -1,    -1,    -1,
      -1,     0,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   392,    -1,   221,   222,    -1,    -1,    -1,
      -1,    20,    -1,    -1,    -1,    -1,    -1,  1890,    -1,    -1,
      -1,    -1,    31,    -1,    33,    34,    -1,    -1,   244,    -1,
      -1,    -1,    -1,  4546,    -1,    -1,  5773,  1910,  4551,    -1,
      -1,  1376,    51,    -1,    -1,    -1,    -1,    -1,    -1,  1384,
    1385,    -1,    61,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1936,    73,  1938,    75,    76,    -1,   285,
      -1,    -1,    -1,    82,    -1,    84,    -1,    -1,    -1,    -1,
    1953,    -1,  1955,   299,    -1,    -1,   302,    96,  1961,    98,
    1963,    -1,  1965,    -1,  1967,    -1,  1969,    -1,    -1,    -1,
    1973,    -1,  1437,    -1,    -1,   494,   115,    -1,    51,   118,
      -1,    -1,    -1,    -1,   503,   504,   505,   506,   507,   508,
     509,   510,   511,    -1,   133,    -1,   135,   516,    -1,    -1,
     139,    -1,    10,    -1,    -1,    13,   145,  2010,    -1,    17,
      18,    19,    -1,    -1,   153,    -1,   155,    -1,    -1,    -1,
      -1,    -1,    -1,   162,    -1,    -1,    -1,    35,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    45,    -1,    -1,
      -1,   180,    10,    -1,    52,    13,   392,    -1,    -1,    17,
      18,    19,    -1,    -1,    -1,    -1,    -1,    -1,   197,    -1,
      -1,    -1,    -1,  4706,    -1,    -1,    -1,    35,    -1,    -1,
      78,    -1,    -1,    -1,    -1,    -1,    -1,    45,    -1,    -1,
      -1,    -1,    -1,    -1,    52,    -1,  2543,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2553,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   246,   247,    -1,
      78,    -1,    -1,   252,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2582,    -1,   266,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   284,    -1,    -1,   494,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   503,   504,   505,
     506,   507,   508,   509,   510,   511,    -1,    -1,    -1,    -1,
     516,    -1,  2629,  2630,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   193,    -1,    -1,  4831,   328,
     198,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   342,    -1,    -1,  2663,    -1,    -1,   348,
     349,    -1,   351,   221,   222,    -1,    -1,   356,    -1,    -1,
      -1,  1686,    -1,   362,    -1,   193,   365,    -1,    -1,  4872,
     198,    -1,    -1,   372,    -1,    -1,   244,    -1,    -1,    -1,
     379,   380,    -1,    -1,    -1,    -1,    -1,    -1,   387,    -1,
      -1,  4894,   391,   221,   222,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   401,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   244,   285,   417,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   299,    -1,    -1,   302,    -1,    -1,    -1,   437,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   448,
      -1,    -1,    -1,    -1,    -1,   454,    -1,   285,    -1,    -1,
     459,    -1,    -1,  4966,    -1,    -1,    -1,  6194,    -1,    -1,
      -1,   299,    -1,   472,   302,    -1,  1801,    -1,    -1,    -1,
    2797,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2812,    -1,   496,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1836,    -1,  6240,    -1,    -1,   515,  2834,    -1,   518,
      -1,    -1,    -1,    -1,   392,    -1,    -1,    -1,    -1,    -1,
      -1,  6258,    -1,    -1,  1859,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1867,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1875,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   392,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5085,    -1,  5087,    -1,    -1,    -1,    -1,    -1,
      -1,  1916,  1917,    -1,  1919,  1920,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2920,  2921,    -1,  1931,    -1,  1933,  1934,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1946,  1947,    -1,    -1,    -1,   494,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   503,   504,   505,   506,   507,
     508,   509,   510,   511,    -1,    -1,    -1,    -1,   516,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1984,
      -1,    -1,    -1,  1988,  1989,    -1,   494,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   503,   504,   505,   506,   507,
     508,   509,   510,   511,    -1,    -1,    -1,    -1,   516,    -1,
      -1,    -1,    -1,    -1,    10,    -1,    -1,    13,    -1,    -1,
      -1,    17,    18,    19,    -1,  3022,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5221,    35,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    45,
      -1,    -1,    -1,    -1,    -1,    -1,    52,    -1,    10,    -1,
      -1,    13,    -1,    -1,    -1,    17,    18,    19,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    78,    35,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    45,   707,    -1,    -1,  2102,    -1,    -1,
      52,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5294,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     733,    -1,    -1,    -1,    -1,    -1,    78,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2677,  2678,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2696,  2697,    -1,  2699,  2700,    -1,    -1,
      -1,  2704,  2705,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2719,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2727,    -1,    -1,    -1,  2731,  2732,
      -1,    -1,  2735,  2736,    -1,    -1,    -1,   193,    -1,  2742,
      -1,    -1,   198,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2754,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2766,    -1,   221,   222,    -1,  2771,    -1,
      -1,    -1,    -1,  5416,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   193,    -1,  2786,    -1,    -1,   198,    -1,   244,    -1,
      -1,    -1,  2795,    -1,    -1,  2798,    -1,  2800,  2801,  2802,
      -1,    -1,    -1,   876,  2807,  2808,    -1,    -1,    -1,   221,
     222,    -1,    -1,    -1,  2817,    -1,    -1,    -1,    -1,    -1,
    2823,    -1,    -1,    -1,  2827,    -1,    -1,    -1,    -1,   285,
      -1,    -1,   244,    -1,    -1,    -1,  2839,  2840,    -1,    -1,
      -1,  2844,    -1,   299,    -1,    -1,   302,  2850,  2851,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2864,    -1,    -1,  2867,    -1,    -1,    -1,    -1,    -1,
      -1,  2874,  2875,   285,    -1,    -1,    -1,  2880,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   299,    -1,  2892,
     302,    -1,  2895,    -1,    -1,    -1,    -1,  2900,    -1,    -1,
      -1,    -1,    -1,  2906,  2907,  3362,    -1,  5550,    -1,    -1,
      -1,  2914,  5555,  5556,    -1,  2918,    -1,    -1,    -1,  2922,
    2923,  2924,  2925,    -1,  2927,    -1,  3383,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   392,    -1,  2941,  2942,
      -1,  2944,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2955,  2956,  2957,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1039,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1050,    -1,    -1,
     392,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1066,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    10,    -1,    -1,    13,    -1,  3012,
      -1,    17,    18,    19,    -1,    -1,    -1,  3020,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5668,  5669,    -1,    -1,    35,
      -1,    -1,    -1,    -1,    -1,    -1,  3039,    -1,   494,    45,
      -1,    -1,    -1,    -1,    -1,    -1,    52,   503,   504,   505,
     506,   507,   508,   509,   510,   511,    -1,    -1,    -1,    -1,
     516,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    78,    -1,    -1,  5718,    -1,    -1,    -1,    -1,
      -1,    -1,   494,    -1,    -1,    -1,  3089,    -1,    -1,    -1,
      -1,   503,   504,   505,   506,   507,   508,   509,   510,   511,
      -1,    -1,    -1,    -1,   516,  3108,    -1,  3110,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1223,    -1,    -1,    -1,    -1,    -1,  2621,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   193,    -1,    -1,
      -1,    -1,   198,    -1,    -1,  3652,    -1,    -1,    -1,    -1,
      -1,    -1,  3205,    -1,    -1,  3662,    -1,    -1,    -1,    -1,
      -1,  2676,    -1,    -1,    -1,   221,   222,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2694,
      -1,    -1,    -1,  2698,    -1,    -1,    -1,  2702,   244,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2711,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2730,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   285,
      -1,    -1,  2747,    -1,  2749,  2750,   207,    -1,    -1,    -1,
      -1,    -1,    -1,   299,    -1,   216,   302,    -1,    -1,  2764,
      -1,    -1,    -1,    -1,    -1,    -1,  1379,    -1,    -1,   230,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2784,
    2785,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2815,  2816,    -1,    -1,  2819,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3823,  3824,  3825,    -1,
      -1,    -1,    -1,    -1,    51,    -1,    -1,    -1,  2843,    -1,
    2845,    -1,    -1,  3840,  2849,    -1,   392,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2863,    -1,
      -1,    -1,    -1,    -1,    -1,  2870,    -1,  1480,  2873,    -1,
      -1,    -1,    -1,    -1,  2879,    -1,  3873,  3874,    -1,    -1,
      -1,  3878,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2899,    -1,    -1,    -1,    -1,    -1,
    2905,    -1,    -1,    -1,    -1,    -1,    -1,  2912,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2926,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1547,  2940,    -1,    -1,    -1,    -1,
    2945,    -1,    -1,    -1,    -1,    -1,  2951,    -1,   494,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   503,   504,   505,
     506,   507,   508,   509,   510,   511,    -1,    -1,   514,    -1,
      -1,    -1,  3515,    -1,    -1,  1588,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3984,    -1,    -1,
      -1,    -1,    -1,  3536,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3011,    -1,  1621,    -1,
    3553,    -1,    -1,    -1,  3557,    -1,    -1,    -1,    -1,  3562,
    3563,  3564,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  6227,    -1,    -1,    51,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3598,  3599,  3600,  3601,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    10,    -1,  3636,    13,  3638,  3639,  3640,    17,    18,
      19,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    35,    -1,    -1,    -1,
      39,    -1,    -1,    -1,    -1,    -1,    45,    -1,    -1,    -1,
      -1,    -1,    -1,    52,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4147,  4148,  4149,    -1,    -1,    -1,    -1,    -1,    -1,    78,
      -1,  3166,    -1,  3168,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3185,    -1,    10,   644,    -1,    13,    -1,  3192,    -1,    17,
      18,    19,    -1,    -1,  3199,    -1,  3201,  3202,    -1,    -1,
    1813,    -1,   663,    -1,    -1,    -1,    -1,    35,   669,    -1,
     129,  1824,    -1,  3756,    -1,    -1,    -1,    45,    -1,    -1,
     681,    -1,  3765,    -1,    52,    -1,    -1,  1840,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   697,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3791,  3792,
      78,   712,    -1,  3796,    -1,    -1,    -1,    -1,    -1,   720,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   734,   193,  3818,    -1,    -1,    -1,   198,
    3285,  1894,    -1,   744,    -1,    -1,  3291,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1909,    -1,    -1,  1912,
    1913,    -1,   221,   222,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   244,    -1,  3870,    -1,    -1,
    1943,  1944,  3875,    -1,    -1,    -1,   797,    -1,  3881,    -1,
     168,    -1,    -1,    -1,    -1,    -1,   174,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   825,   193,   285,    -1,  3911,    -1,
     198,  3376,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     299,    -1,    -1,   302,    -1,    -1,    -1,    -1,    -1,   850,
      -1,    -1,    -1,   221,   222,    -1,    -1,  3940,    -1,  3942,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   244,    51,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   912,    10,    -1,    -1,    13,    -1,   285,    -1,    17,
      18,    19,    -1,    -1,    -1,    -1,    -1,    -1,  2081,    -1,
      -1,   299,    -1,   392,   302,    -1,    -1,    35,    -1,  4476,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    45,    -1,    -1,
     707,    -1,    -1,    -1,    52,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3507,  3508,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4508,    -1,    -1,    -1,    -1,   733,    -1,    -1,    -1,
      78,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3535,    -1,    -1,  3538,   453,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4540,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1022,    -1,    -1,   392,    -1,    -1,    -1,  1029,    -1,
      -1,    -1,    -1,    -1,    -1,   494,    -1,    -1,  4575,    -1,
      -1,    -1,    -1,    -1,   503,   504,   505,   506,   507,   508,
     509,   510,   511,    -1,    -1,  4592,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3610,  3611,  3612,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3635,    -1,    -1,    -1,    -1,   193,    -1,    -1,    -1,    -1,
     198,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3654,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   876,
      -1,    -1,    -1,   221,   222,    -1,   494,    -1,    -1,    -1,
      -1,  3676,    -1,    -1,    -1,   503,   504,   505,   506,   507,
     508,   509,   510,   511,    -1,    -1,   244,    -1,    -1,    -1,
      -1,    -1,  1153,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   707,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4255,    -1,    -1,  4258,    -1,  4260,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   285,    -1,   733,
    4273,    -1,    -1,    -1,    -1,    -1,    -1,  4734,  4735,  4736,
    4737,   299,  4285,    -1,   302,    -1,  4289,    -1,    -1,    -1,
      -1,    -1,    -1,  1214,    -1,    -1,    -1,    -1,    -1,  3764,
      -1,    -1,    -1,    -1,  1225,  4308,    -1,    -1,    -1,   327,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1242,    -1,  4326,    -1,    -1,  1247,    -1,    -1,    -1,
      -1,  4334,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3811,    -1,    -1,    -1,
      -1,    -1,  3817,    -1,  3819,    -1,  4359,    -1,    -1,    -1,
    4363,    -1,  1039,    -1,    -1,    -1,    -1,  3832,    -1,  3834,
      -1,    -1,    -1,  1050,   392,  4378,  4379,  4380,  4381,    -1,
      -1,    -1,    -1,    -1,    -1,  4388,  4389,  4390,  4391,  1066,
      -1,   409,    -1,    -1,  4397,  4398,    -1,    -1,    -1,    -1,
    4403,  4404,    -1,  4406,  4407,  4408,  4409,  4410,  4411,  4412,
      -1,    -1,   876,    -1,    -1,    -1,    -1,    -1,    -1,  4422,
      -1,    -1,    -1,  4426,  4427,  4428,  4429,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3901,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4450,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1376,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1384,  1385,  4468,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   494,    -1,  3943,    -1,
      -1,    -1,    -1,    -1,    -1,   503,   504,   505,   506,   507,
     508,   509,   510,   511,    -1,    10,    -1,  3962,    13,    -1,
      -1,  3966,    17,    18,    19,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1437,    -1,    -1,    -1,
      35,    -1,  3987,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      45,    -1,    -1,    -1,    -1,    -1,    -1,    52,    -1,    -1,
      -1,  4544,    -1,    -1,    -1,    -1,  1223,    -1,    -1,    -1,
      -1,    -1,    10,    -1,    -1,    13,    -1,    -1,    -1,    17,
      18,    19,    -1,    78,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4577,  1039,    -1,    35,    -1,    -1,
      38,  4584,    -1,  4586,    -1,    -1,  1050,    45,    -1,    -1,
      -1,    -1,    -1,    -1,    52,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1066,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2683,  4614,    -1,   707,  2687,  2688,    -1,    -1,    -1,    -1,
      78,    -1,    -1,  5080,    -1,    -1,    -1,  4092,    -1,    -1,
      -1,    -1,    -1,    -1,  5091,    -1,    -1,    -1,    -1,   733,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2746,    -1,    -1,    -1,    -1,   193,  2752,
      -1,    -1,    -1,   198,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   221,   222,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2793,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   244,
      -1,    -1,    -1,    -1,    -1,   193,    -1,    -1,    -1,    -1,
     198,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1223,
      -1,    -1,    -1,   221,   222,  1686,    -1,    -1,    -1,    -1,
     285,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   876,    -1,   299,    -1,   244,   302,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1480,    -1,    -1,    -1,  4272,    -1,    -1,
     325,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   285,    -1,  4832,
    4833,  4834,    -1,    -1,    -1,  4838,  4839,  4840,  4841,    -1,
      -1,   299,  4845,    -1,   302,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4323,    -1,
      -1,    -1,    -1,  4328,    -1,  4330,    -1,    -1,    -1,    -1,
    1547,    -1,    -1,    -1,    -1,    -1,    -1,   392,    -1,    -1,
    1801,  4884,  4885,  4886,  4887,  4888,    -1,  4890,  4891,    -1,
      -1,  4356,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4902,
    4903,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1588,  5369,    -1,    -1,  1836,    -1,  5374,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3003,    -1,    -1,  4936,   392,    -1,  5393,  4402,  1859,    -1,
    4405,    -1,    -1,    -1,  1621,  1039,  1867,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1875,    -1,  1050,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    51,    -1,
      -1,    -1,  1066,    -1,    -1,    -1,    -1,    -1,    -1,   494,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   503,   504,
     505,   506,   507,   508,   509,   510,   511,    -1,  1919,  1920,
      -1,    -1,    -1,  3076,    -1,    -1,    -1,  3080,    -1,    -1,
      -1,    -1,  1933,    -1,    -1,    -1,  1480,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1946,  1947,    -1,    -1,    -1,
    4495,  4496,    -1,    -1,    -1,  5038,   494,    -1,    -1,    -1,
      -1,  4506,    -1,    -1,    -1,   503,   504,   505,   506,   507,
     508,   509,   510,   511,    -1,    -1,    -1,    -1,  4523,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5532,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1547,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5103,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    10,
    3183,    -1,    13,    -1,    -1,    -1,    17,    18,    19,    -1,
      -1,    -1,    -1,    -1,  1588,  3198,    -1,    -1,    -1,  1223,
    3203,    -1,  5135,    -1,    35,    -1,  1813,    -1,    -1,  4604,
      -1,    -1,  4607,    -1,    45,    -1,    -1,  1824,    -1,    -1,
      -1,    52,    -1,    -1,    -1,    -1,    -1,  1621,    -1,    -1,
    3233,    -1,    -1,  1840,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    -1,  5636,
      -1,  2102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5664,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1894,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5228,    -1,    -1,    -1,    -1,
      -1,    -1,  1909,    -1,    -1,  1912,  1913,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1943,  1944,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   193,  5296,    -1,    -1,    -1,   198,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5315,    -1,    -1,    -1,    -1,    -1,  5321,  5322,
     221,   222,    -1,    -1,    -1,    -1,    -1,    -1,  5331,    -1,
      -1,    -1,    -1,    -1,    -1,  5338,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   244,    -1,    -1,    -1,    -1,    -1,  1813,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1824,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5375,  5376,    -1,    -1,  1840,    -1,    -1,  4844,
      -1,    -1,    -1,    -1,   285,  5388,  1480,  5390,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   299,    -1,
      -1,   302,  5405,    -1,  2081,    -1,    51,    -1,    -1,  3482,
      -1,    -1,  3485,    -1,  3487,    -1,    -1,    -1,    -1,  3492,
      -1,    -1,    -1,    -1,  4889,    -1,    -1,  5430,    -1,    -1,
    1894,    -1,    -1,    -1,    -1,  5438,  4901,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1909,    -1,    -1,  1912,  1913,
      -1,    -1,    -1,  1547,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3541,    -1,
    4935,    -1,    -1,    -1,    -1,    -1,  3549,    -1,    -1,  1943,
    1944,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   392,    -1,    -1,  1588,    -1,    -1,    -1,    -1,    -1,
      -1,  3574,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5512,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1621,    -1,    -1,
      -1,    -1,    -1,    -1,  5537,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5549,    -1,  5013,    -1,
      -1,    -1,    10,    -1,    -1,    13,    -1,    -1,    -1,    17,
      18,    19,    -1,    -1,    -1,    -1,    -1,  5032,    -1,    -1,
      -1,  3644,    -1,  3646,    -1,    -1,    -1,    35,    -1,    -1,
      38,    -1,    -1,    -1,    -1,    -1,    -1,    45,    -1,    -1,
      -1,    -1,   493,   494,    52,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   503,   504,   505,   506,   507,   508,   509,   510,
     511,    -1,    -1,    -1,  5617,    -1,    -1,  2081,    -1,    -1,
      78,    -1,    -1,    -1,   707,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    10,    51,    -1,    13,    -1,    -1,
      -1,    17,    18,    19,    -1,    -1,    -1,    -1,    -1,    -1,
     733,    -1,    -1,  5118,    -1,    -1,    -1,    -1,    -1,    35,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3740,    -1,    45,
      -1,    -1,    -1,    -1,    -1,    -1,    52,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5687,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2621,    10,    78,    -1,    13,    -1,    -1,    -1,    17,    18,
      19,  3784,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1813,
      -1,    -1,    -1,    -1,    -1,    -1,    35,    -1,    -1,    -1,
    1824,    -1,    -1,    -1,    -1,   193,    45,    -1,    -1,  3812,
     198,    -1,    -1,    52,    -1,    -1,  1840,    -1,    -1,    -1,
    5753,    -1,    -1,    -1,    -1,  2676,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   221,   222,  5768,    -1,    -1,    -1,    78,
      -1,    -1,    -1,  2694,    -1,    -1,    -1,  2698,  5243,    -1,
    5245,  2702,    -1,    -1,    -1,    -1,   244,    -1,    -1,    -1,
    2711,    -1,    -1,   876,    -1,    -1,    -1,    -1,    -1,    -1,
    1894,    -1,    -1,    -1,    -1,    -1,    -1,  3880,    -1,  2730,
      -1,    -1,    -1,    -1,    -1,  1909,    -1,   193,  1912,  1913,
      -1,    -1,   198,  5826,    -1,    -1,    -1,   285,    -1,  3902,
    5295,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5305,   299,    -1,  2764,   302,   221,   222,    -1,    -1,  1943,
    1944,  3924,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2784,  2785,   174,    -1,    -1,   244,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5345,    -1,    -1,    -1,   193,  5350,    -1,    -1,    -1,   198,
      -1,    -1,    -1,    -1,  2815,  2816,    -1,    -1,  2819,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   285,
      -1,    -1,   221,   222,    -1,    -1,    -1,    -1,  5921,    -1,
      -1,    -1,  2843,   299,  2845,    -1,   302,    -1,  2849,    -1,
      -1,    -1,    -1,  4006,   392,   244,    51,    -1,    -1,    -1,
      -1,    -1,  2863,    -1,    -1,   321,    -1,    -1,    -1,  2870,
    5953,    -1,  2873,    -1,    -1,    -1,  1039,    -1,  2879,    -1,
      -1,  5964,    -1,    -1,    -1,    -1,    -1,  1050,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   285,    -1,  2899,    -1,
      -1,    -1,  4055,  1066,  2905,    -1,    -1,  2081,    -1,    -1,
     299,  2912,    -1,   302,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2926,  2683,  4080,    -1,    -1,
    2687,  2688,    -1,    -1,    -1,    -1,   392,    -1,    -1,  2940,
      -1,    -1,    -1,    -1,  2945,    -1,    -1,    -1,    -1,    -1,
    2951,    -1,    -1,    -1,    -1,    28,   494,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   503,   504,   505,   506,   507,
     508,   509,   510,   511,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   707,    -1,  6067,    -1,    -1,    -1,    -1,  2746,
      -1,    -1,    -1,    -1,    -1,  2752,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   392,    -1,    -1,    79,    -1,   733,    -1,
    3011,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    95,  5568,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2793,  5582,   494,    -1,
     113,    -1,    -1,    -1,    -1,    -1,   119,   503,   504,   505,
     506,   507,   508,   509,   510,   511,    -1,    -1,    -1,    -1,
    1223,    -1,    -1,    -1,   137,    10,    -1,    -1,    13,  5614,
      -1,    -1,    17,    18,    19,   148,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   157,  4238,    -1,    -1,    -1,    -1,
      35,    -1,    -1,    38,    -1,    -1,    -1,   170,    -1,    -1,
      45,    -1,    -1,   176,    -1,   494,    -1,    52,    -1,    -1,
     183,    -1,    -1,    -1,   503,   504,   505,   506,   507,   508,
     509,   510,   511,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     203,    -1,    -1,    78,    -1,    -1,    -1,    -1,    -1,  2683,
      -1,    -1,    -1,  2687,  2688,    -1,    -1,    -1,    -1,    -1,
      -1,   876,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   236,    -1,  3166,    -1,  3168,    -1,    -1,
    5715,    -1,    -1,    -1,    -1,    -1,  4329,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3185,   258,    -1,    -1,    -1,    -1,
      -1,  3192,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2746,    -1,  4357,    -1,    -1,    -1,  2752,    -1,
      -1,   707,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   299,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5781,   733,  5783,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3003,    -1,   193,  2793,
     323,    -1,    -1,   198,    -1,    -1,    -1,    -1,    -1,    -1,
     333,   334,    -1,    -1,   337,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   221,   222,    -1,    -1,
      -1,    -1,    -1,    -1,  3285,    -1,    -1,    -1,    -1,    -1,
    3291,   364,    -1,    -1,   367,    -1,    -1,    -1,   371,   244,
      -1,   374,    -1,    -1,    -1,    -1,    -1,    -1,   381,    -1,
      -1,   384,    -1,    -1,  1039,    -1,    -1,  1480,    -1,  3076,
      -1,    -1,    -1,  3080,    -1,  1050,    -1,    -1,    -1,    -1,
     403,    -1,    -1,    -1,    -1,    -1,    -1,   410,    -1,    -1,
     285,  1066,   415,    -1,   417,    -1,  4499,   420,    -1,    -1,
      -1,   424,    -1,    -1,   299,    -1,    -1,   302,    -1,    -1,
      -1,   434,    -1,  5908,    -1,    -1,   439,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3376,    -1,  5922,    -1,   452,
     876,    -1,    -1,    -1,  1547,    -1,    -1,    -1,    -1,    -1,
    5935,    -1,   465,  4546,    -1,    -1,    -1,    -1,  4551,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1588,  3183,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3198,    -1,    -1,    -1,    -1,  3203,   392,    -1,  5994,
    5995,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1621,  3003,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3233,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1223,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3507,  3508,  6053,  2683,
      -1,    -1,   707,  2687,  2688,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3076,    -1,  3535,    -1,  3080,  3538,   733,    -1,
      -1,    -1,    -1,  1039,    -1,    -1,    -1,    -1,    -1,   494,
      -1,    -1,    -1,  4706,  1050,    -1,    -1,    -1,   503,   504,
     505,   506,   507,   508,   509,   510,   511,    -1,    -1,    -1,
    1066,    -1,  2746,    -1,    -1,    -1,    -1,    -1,  2752,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3610,
    3611,  3612,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2793,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3635,    -1,    -1,    -1,    10,  3183,
      -1,    13,    -1,    -1,    -1,    17,    18,    19,    -1,  6194,
    1813,    -1,    -1,  3654,  3198,    -1,    -1,    -1,    -1,  3203,
      -1,  1824,    -1,    35,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    45,    -1,  3676,    -1,  1840,  4831,    -1,
      52,   876,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3233,
      -1,    -1,    -1,    -1,    -1,  6240,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  6248,  6249,    -1,    78,    -1,    -1,    -1,
      -1,    -1,    -1,  6258,    -1,    -1,    -1,    -1,    -1,  4872,
      -1,    -1,    -1,    -1,    -1,  3482,    -1,  1223,  3485,    -1,
    3487,  1894,    -1,    -1,    -1,  3492,    -1,    -1,    -1,    -1,
      -1,  4894,    -1,    -1,    -1,    -1,  1909,    -1,    -1,  1912,
    1913,    -1,    -1,    -1,    -1,  1480,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3764,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1943,  1944,    -1,    -1,  3541,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3549,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3811,    -1,    -1,  4966,    -1,    -1,  3817,  3574,  3819,    -1,
      -1,   193,  1547,    -1,    -1,    -1,   198,    -1,    -1,  3003,
      -1,  3832,    -1,  3834,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1039,    -1,    -1,    -1,    -1,   221,
     222,    -1,    -1,    -1,    -1,  1050,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1588,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1066,   244,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3644,    -1,  3646,
      -1,    -1,    -1,    -1,    -1,    -1,  1621,    -1,    -1,    -1,
    3901,    -1,  3076,    -1,    -1,    -1,  3080,    -1,    -1,    -1,
      -1,    -1,    -1,   285,    -1,    -1,    -1,    -1,  2081,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   299,    -1,    -1,
     302,    -1,    -1,    -1,  5087,    -1,    -1,    -1,  3482,    -1,
      -1,  3485,  3943,  3487,    -1,    -1,    -1,    -1,  3492,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3962,    -1,    -1,    -1,  3966,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3740,  1480,    -1,  3987,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3541,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3549,    -1,    -1,    -1,  3183,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     392,    -1,    -1,    -1,  3198,    -1,    -1,  3784,  1223,  3203,
    3574,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1547,    -1,   425,    -1,  3812,    -1,    -1,    -1,  3233,
      -1,    -1,    10,    -1,    -1,    13,    -1,    -1,  5221,    17,
      18,    19,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    35,  1813,    -1,
      38,  4092,  1588,    -1,    -1,    -1,    -1,    45,    -1,  1824,
    3644,    -1,  3646,    -1,    52,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1840,    -1,    -1,    -1,    -1,
      -1,    -1,   494,  3880,    -1,  1621,    -1,    -1,    -1,    -1,
      78,   503,   504,   505,   506,   507,   508,   509,   510,   511,
      -1,  5294,    -1,    -1,    -1,  3902,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    10,    -1,    -1,
      13,    -1,    -1,    -1,    17,    18,    19,  3924,    -1,  1894,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    35,    -1,  1909,    -1,    -1,  1912,  1913,    -1,
      -1,    -1,    45,    -1,    -1,    -1,  3740,    -1,    -1,    52,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1943,  1944,
      -1,    -1,    -1,    -1,    -1,    78,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3784,    -1,    -1,    -1,    -1,   193,    -1,    -1,    -1,  4006,
     198,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5416,    -1,    -1,    -1,    -1,  3812,    -1,
      -1,  4272,    -1,   221,   222,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1480,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   244,    -1,  4055,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3482,    -1,
      -1,  3485,    -1,  3487,    -1,    -1,    -1,  1813,  3492,    -1,
      -1,   174,  4323,  4080,    -1,    -1,    -1,  4328,  1824,  4330,
      -1,    -1,    -1,    -1,    -1,    -1,  3880,   285,    -1,    -1,
     193,    -1,    -1,    -1,  1840,   198,    -1,    -1,    -1,    -1,
      -1,   299,  1547,    -1,   302,  4356,  2081,    10,  3902,    -1,
      13,    -1,    -1,    -1,    17,    18,    19,  3541,   221,   222,
      -1,    -1,    -1,    -1,    -1,  3549,    -1,    -1,    -1,    -1,
    3924,    -1,    35,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   244,    45,  1588,    -1,    -1,    -1,  5550,  1894,    52,
    3574,  4402,  5555,  5556,  4405,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1909,    -1,    -1,  1912,  1913,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,  1621,    -1,    -1,    -1,
      -1,    -1,   285,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   392,    -1,   299,  1943,  1944,   302,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4006,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3644,    -1,  3646,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4238,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4495,  4496,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4506,    -1,    -1,    -1,    -1,
      -1,  4055,    -1,    -1,    -1,    -1,  5669,    -1,    -1,    -1,
    2683,   174,  4523,    -1,  2687,  2688,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4080,    -1,    -1,   392,
     193,    -1,    -1,    -1,    -1,   198,   494,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   503,   504,   505,   506,   507,
     508,   509,   510,   511,    -1,  5718,  3740,    -1,   221,   222,
      -1,    -1,  4329,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2746,    -1,  2081,    -1,    -1,    -1,  2752,
      -1,   244,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4357,    -1,    -1,  4604,    -1,    -1,  4607,    -1,    -1,    -1,
    3784,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1813,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1824,
    2793,    -1,   285,    -1,    -1,    -1,    -1,    -1,  3812,    -1,
      -1,   494,    -1,    -1,    -1,  1840,   299,    -1,    -1,   302,
     503,   504,   505,   506,   507,   508,   509,   510,   511,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4238,    -1,    -1,    -1,    -1,  1894,
      -1,    -1,    -1,    -1,    -1,    -1,  3880,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1909,    -1,    -1,  1912,  1913,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3902,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   392,
      -1,    -1,  4499,    -1,    -1,    -1,    -1,    -1,  1943,  1944,
    3924,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4329,    -1,    -1,    -1,  4546,
      -1,    -1,    -1,    -1,  4551,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4357,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4006,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3003,   494,    -1,  4844,    -1,    -1,    -1,    -1,    -1,    -1,
     503,   504,   505,   506,   507,   508,   509,   510,   511,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4055,    -1,    -1,    -1,    -1,  2081,    -1,  4889,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4901,    10,    -1,    -1,    13,    -1,  4080,    -1,    17,    18,
      19,    -1,    -1,  3076,    -1,    -1,    -1,  3080,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    35,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4935,    -1,    45,    -1,    -1,    -1,
      -1,    -1,    -1,    52,    -1,    -1,    -1,    -1,    -1,  4706,
      -1,    -1,    -1,    -1,    -1,  4499,    -1,    -1,  2683,    -1,
      -1,    -1,  2687,  2688,    -1,    -1,    -1,    -1,    -1,    78,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   819,   820,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4546,    -1,    -1,    -1,    -1,  4551,    -1,    -1,
      -1,    -1,  5013,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3183,  2746,    -1,    -1,    -1,    -1,    -1,  2752,    -1,    -1,
      -1,  5032,    -1,    -1,    -1,  3198,    -1,    -1,    -1,    -1,
    3203,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   168,
      -1,    -1,    -1,    -1,  4238,    -1,    -1,   899,  2793,    -1,
    3233,    -1,    -1,    -1,  4831,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   193,    -1,    -1,    -1,    -1,   198,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   221,   222,    -1,  4872,    -1,  5118,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   244,    -1,  4894,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4329,    -1,    -1,    -1,    -1,
      -1,    -1,  4706,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      10,    -1,    -1,    13,    -1,    -1,   285,    17,    18,    19,
      -1,    -1,    -1,  4357,    -1,    -1,    -1,  2683,  1020,  1021,
     299,  2687,  2688,   302,    -1,    35,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    45,    -1,    -1,    -1,  4966,
      -1,    -1,    52,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    -1,
      -1,    -1,  5243,    -1,  5245,    -1,    -1,    -1,    -1,    -1,
    2746,    -1,    -1,    -1,    -1,    -1,  2752,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3003,    -1,
      -1,    -1,    -1,   392,    -1,    -1,    -1,  4831,    -1,    -1,
      -1,    -1,    -1,    -1,  5295,    -1,    -1,  2793,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   147,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3482,
      -1,    -1,  3485,    -1,  3487,  4499,    -1,    -1,  4872,  3492,
    5087,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5345,    -1,    -1,    -1,    -1,    -1,
    4894,  3076,    -1,   193,    -1,  3080,    -1,    -1,   198,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4546,    -1,    -1,    -1,    -1,  4551,  3541,    -1,
      -1,   221,   222,    -1,    -1,   494,  3549,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   503,   504,   505,   506,   507,   508,
     509,   510,   511,    -1,   244,    -1,    -1,    -1,    -1,    -1,
      -1,  3574,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4966,    -1,    -1,    -1,    -1,  1259,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   285,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3183,   299,
      -1,    -1,   302,    -1,  5221,  1297,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3198,    -1,    -1,    -1,    -1,  3203,    -1,
      -1,  3644,    -1,  3646,    -1,    -1,    -1,    -1,  2683,    -1,
      -1,    -1,  2687,  2688,  1326,  1327,  1328,    -1,  1330,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3003,  3233,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1351,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4706,    -1,    -1,    -1,    -1,  5294,    -1,    -1,
      -1,    -1,    -1,  5087,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2746,   392,    -1,    -1,    -1,    -1,  2752,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5568,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3740,    -1,    -1,
    3076,  5582,    -1,    -1,  3080,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2793,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    10,    -1,
      -1,    13,    -1,  5614,    -1,    17,    18,    19,    -1,    -1,
      -1,  3784,  1454,    -1,    -1,    -1,  1458,  1459,    -1,    -1,
      -1,    -1,    -1,    35,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    45,    -1,    -1,    -1,    -1,    -1,  3812,
      52,    -1,    -1,    -1,   494,    -1,    -1,  4831,    -1,  5416,
      -1,    -1,    -1,   503,   504,   505,   506,   507,   508,   509,
     510,   511,    -1,    -1,    -1,    -1,    78,  5221,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3183,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4872,    -1,
      -1,    -1,  3198,    -1,    -1,    -1,    -1,  3203,    -1,    -1,
      -1,    -1,    -1,    -1,  5715,    -1,    -1,  3880,    -1,    -1,
    4894,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3233,    -1,  3902,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5294,    -1,    -1,    -1,    -1,    -1,    -1,  3482,    -1,    -1,
    3485,  3924,  3487,    -1,    -1,    10,    -1,  3492,    13,    -1,
      -1,    -1,    17,    18,    19,    -1,    -1,    -1,    -1,    -1,
    5781,    -1,  5783,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      35,   193,  4966,  5550,    -1,    -1,   198,    -1,  5555,  5556,
      45,    -1,    -1,    -1,    -1,  1343,    -1,    52,  3003,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3541,    -1,    -1,   221,
     222,    -1,    -1,    -1,  3549,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   244,  4006,    -1,    -1,    -1,    -1,    -1,  3574,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1398,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1701,
    1702,  1703,  5416,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3076,    -1,   285,    -1,  3080,    -1,    -1,    -1,    -1,
      -1,    -1,  4055,    -1,    -1,    -1,    -1,   299,    -1,    -1,
     302,    -1,    -1,    -1,    -1,    -1,    -1,  5908,    -1,    -1,
      -1,    -1,  5669,  5087,    -1,    -1,    -1,  4080,    -1,  3644,
      -1,  3646,    -1,   168,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5935,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   193,    -1,
      -1,    -1,    -1,   198,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5718,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   221,   222,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3482,    -1,  3183,  3485,
     392,  3487,    -1,    -1,    -1,    -1,  3492,    -1,    -1,   244,
      -1,    -1,    -1,  3198,    -1,    -1,  5550,    -1,  3203,    -1,
      -1,  5555,  5556,    -1,    -1,  3740,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3233,    -1,
     285,    -1,    -1,    -1,    -1,  3541,    -1,  5221,    -1,    -1,
      -1,    -1,  6053,  3549,   299,    -1,    -1,   302,    -1,  3784,
      -1,    -1,    -1,    -1,    -1,    -1,   468,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4238,    -1,    -1,  3574,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3812,    -1,    -1,
      -1,    -1,   494,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   503,   504,   505,   506,   507,   508,   509,   510,   511,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5294,    -1,    -1,    -1,    -1,  5669,    -1,    -1,    -1,    10,
      -1,    -1,    13,    -1,    -1,    -1,    17,    18,    19,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   392,  3644,    -1,
    3646,    -1,    -1,    -1,    35,  3880,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    45,    -1,  4329,    -1,    -1,  1707,
      -1,    52,    -1,  1711,  5718,    -1,    -1,  3902,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  6194,  4357,    -1,    -1,    78,  2030,  3924,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2039,  2040,  2041,
    2042,  2043,  2044,  2045,    -1,    -1,    -1,  2049,    -1,  2051,
      -1,  2053,    -1,    -1,  2056,  2057,  2058,    -1,    -1,    -1,
      -1,    -1,  2064,    -1,    -1,  2067,    -1,    -1,    -1,  6240,
      -1,    -1,  5416,    -1,  3740,    -1,    -1,    -1,    -1,   494,
    2082,  2083,  2084,    -1,    -1,    -1,    -1,  6258,   503,   504,
     505,   506,   507,   508,   509,   510,   511,    -1,  2100,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4006,    -1,    -1,    -1,    -1,    -1,  3482,  3784,    -1,
    3485,    -1,  3487,    -1,    -1,    -1,    -1,  3492,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   193,    -1,    -1,    -1,  3812,   198,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4055,    -1,    -1,    -1,    -1,    -1,  4499,    -1,    -1,    -1,
     221,   222,    -1,    -1,    -1,    -1,  3541,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3549,  4080,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   244,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5550,    -1,    -1,  3574,
      -1,  5555,  5556,  4546,  3880,    -1,    -1,    -1,  4551,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   285,    -1,  3902,    -1,    -1,    -1,
      -1,    -1,  2244,    -1,    -1,    -1,    -1,    -1,   299,    -1,
      -1,   302,    -1,    -1,    -1,    -1,    -1,    -1,  3924,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3644,
      -1,  3646,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2293,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2028,    -1,    -1,    -1,    -1,  5669,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4006,   392,  2050,  4238,  2346,    -1,  2054,    -1,    -1,    -1,
      -1,    -1,    -1,    20,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2069,  2070,  2071,    31,  2073,    33,    34,    -1,    -1,
      -1,    -1,    -1,  4706,  5718,  3740,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4055,
      -1,    -1,    -1,    -1,    61,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    73,    -1,    75,    76,
      -1,    -1,    -1,    -1,  4080,    82,    -1,    84,    -1,  3784,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    96,
      -1,    98,    -1,    -1,  4329,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   494,    -1,    -1,    -1,  3812,   115,    -1,
      -1,   118,   503,   504,   505,   506,   507,   508,   509,   510,
     511,    -1,  4357,    -1,    -1,    -1,   133,    -1,   135,    -1,
      -1,    -1,   139,    -1,    -1,    -1,    -1,    -1,   145,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   153,    -1,   155,    -1,
      -1,    -1,    -1,    -1,    -1,   162,    -1,    -1,  4831,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   180,    -1,  3880,    -1,    -1,    -1,    -1,
      -1,  2523,  2524,  2525,  2526,  2527,  2528,  2529,  2530,  2531,
     197,  2533,    -1,    -1,    -1,    -1,    -1,  3902,    -1,  4872,
      -1,    -1,  2544,    -1,  2546,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3924,
      -1,  4894,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4238,    -1,    -1,    -1,    -1,    -1,    -1,   246,
     247,    -1,  2584,    -1,    -1,   252,  2588,    -1,    -1,  2591,
      -1,  2593,    -1,    -1,  2596,    -1,    -1,    -1,    -1,   266,
      -1,    -1,    -1,    -1,  4499,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   284,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4966,    -1,    -1,    -1,    23,    -1,    -1,
      -1,  4006,    -1,    -1,    -1,    -1,    -1,  2649,  2650,    -1,
      -1,  4546,    -1,    -1,    -1,    41,  4551,    -1,    -1,    -1,
      -1,   328,    -1,  4329,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   342,    -1,    -1,    -1,    -1,
      66,   348,   349,    -1,   351,    -1,    -1,    -1,    -1,   356,
    4055,  4357,   359,    79,    -1,   362,    -1,    -1,   365,    -1,
      -1,    -1,    -1,    -1,    -1,   372,    -1,    -1,    -1,    95,
      -1,    -1,   379,   380,    -1,  4080,    -1,    -1,    -1,    -1,
     387,    -1,    -1,    -1,   391,    -1,    -1,   113,    -1,    -1,
      -1,  2733,    -1,   119,   401,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     417,   137,    -1,    -1,  5087,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   148,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     437,   157,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   448,    -1,    -1,   170,    -1,    -1,   454,    -1,    -1,
      -1,    -1,   459,   179,    -1,    -1,    -1,   183,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   472,    -1,    -1,    -1,    -1,
      23,  4706,    -1,    -1,    -1,    28,    -1,   203,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   496,
      -1,    -1,  2540,  4499,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   515,    -1,
      -1,   518,    -1,    66,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   248,    -1,    -1,    -1,    79,    -1,    -1,    -1,
      -1,    -1,   258,  4238,    -1,    -1,    -1,    -1,    -1,    -1,
    4546,    -1,    95,    -1,    -1,  4551,    -1,    -1,  5221,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   299,    -1,    -1,   302,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   137,    -1,    -1,    -1,  2636,    -1,
      -1,    -1,    -1,    -1,    -1,   148,  4831,   323,    -1,    -1,
    2648,    -1,    -1,    -1,   157,  2653,    -1,    -1,    -1,    -1,
      -1,   337,    -1,    -1,    -1,    -1,    -1,   170,   344,    -1,
      -1,  5294,    -1,   176,  4329,    -1,    -1,  2969,  2970,  2971,
     183,    -1,    -1,  2975,    -1,    -1,    -1,  4872,   364,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   374,    -1,
     203,    -1,  4357,    -1,    -1,   381,    -1,    -1,   384,  4894,
    3002,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   403,    -1,    -1,
      -1,    -1,    -1,    -1,   410,    -1,    -1,    -1,    -1,    -1,
      -1,   417,    -1,    -1,   420,   421,    -1,   423,   424,    -1,
    4706,    -1,    -1,    -1,    -1,   258,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   439,    -1,    -1,    -1,    -1,    -1,    -1,
     446,    -1,    -1,   449,    -1,    -1,   452,    -1,    -1,    -1,
      -1,  4966,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   465,
      -1,    -1,    -1,  5416,    -1,    -1,   299,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   312,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     323,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     333,   334,    -1,    -1,   337,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4499,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   364,    -1,    -1,   367,    -1,    -1,    -1,   371,    -1,
      -1,   374,    -1,    -1,    -1,  4831,    -1,    -1,   381,    -1,
      -1,   384,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4546,    -1,    -1,    -1,    -1,  4551,    -1,    -1,    -1,
     403,    -1,  5087,    -1,    -1,    -1,    -1,   410,    -1,    -1,
      -1,    -1,    -1,    -1,   417,    -1,  4872,   420,    -1,  3211,
      -1,   424,    -1,    -1,  3216,    -1,    -1,  5550,    -1,   432,
      -1,   434,  5555,  5556,    -1,    -1,   439,    -1,  4894,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   452,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   465,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3263,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3274,    -1,  3276,  3277,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3290,    -1,
      -1,  3293,    -1,  3295,    -1,    -1,    -1,    -1,    -1,    -1,
    4966,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5221,    -1,    -1,    -1,
    3332,    -1,  3334,    -1,  3336,    -1,  5669,    -1,    -1,    -1,
      -1,  4706,    -1,    -1,    -1,    -1,    -1,    -1,    23,    -1,
      -1,    -1,    -1,    28,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5718,    -1,    -1,    -1,    -1,
      -1,    66,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5294,
      -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    91,    -1,    -1,    -1,
      95,  5087,    -1,    -1,    -1,    -1,  3428,    -1,    -1,    -1,
      -1,  3433,    -1,    -1,    -1,    -1,    -1,    -1,   113,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3448,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   137,    -1,    -1,    -1,  4831,    -1,    -1,    -1,
      -1,    -1,    -1,   148,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   157,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   170,    -1,    -1,    -1,    -1,
      -1,   176,    -1,    -1,    -1,    -1,  3214,  4872,    -1,    -1,
      -1,  3513,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5416,    -1,  3231,    -1,    -1,    -1,    -1,   203,  4894,
      -1,    -1,  3240,    -1,    -1,    -1,    -1,    -1,  3246,    -1,
    3248,    -1,    -1,    -1,    -1,  3253,  3254,    -1,  3256,    -1,
      -1,    -1,    -1,  3261,  3262,  5221,  3264,    -1,  3266,    -1,
      -1,   236,  3270,    -1,    -1,  3273,    -1,    -1,    -1,    -1,
    3278,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3287,
      -1,    -1,    -1,   258,  3292,    -1,    -1,    -1,    -1,    -1,
      -1,  3299,  3300,  3301,  3302,    -1,    -1,    -1,    -1,  3307,
    3308,  4966,  3310,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3329,    -1,  3331,   299,    -1,    -1,    -1,  5294,    -1,
    3338,  3339,  3340,  3341,  3342,  3343,  3344,  3345,  3346,  3347,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   323,    -1,
      -1,    -1,    -1,    -1,    -1,  5550,    -1,    -1,   333,   334,
    5555,  5556,   337,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3384,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   364,
      -1,    -1,   367,    -1,    -1,    -1,   371,    -1,    -1,   374,
      -1,    -1,    -1,    -1,    -1,    -1,   381,    -1,    -1,   384,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5087,    -1,    -1,    -1,    -1,    -1,   403,    -1,
      -1,    -1,    -1,    -1,    -1,   410,    -1,    -1,    -1,    -1,
      -1,    -1,   417,    -1,    -1,   420,    -1,    -1,    -1,   424,
    5416,    -1,    -1,    -1,    -1,    -1,    -1,   432,    -1,   434,
      -1,    -1,    -1,    -1,   439,    -1,    -1,  3769,    -1,    -1,
      -1,    -1,    -1,  3775,  5669,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     465,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3529,    -1,  5718,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3854,    -1,    -1,    -1,  5221,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5550,    -1,    -1,    -1,    -1,  5555,
    5556,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5294,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4003,    -1,  5669,    -1,    -1,    -1,    -1,    -1,    -1,
    4012,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4026,    -1,    -1,    -1,  4030,  4031,
      -1,    -1,    -1,    -1,  4036,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4046,    -1,  4048,    -1,    -1,    -1,
      -1,  5416,  5718,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3773,  3774,    -1,    -1,    -1,
    3778,    -1,    -1,  4075,  4076,  4077,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4094,    -1,    -1,    -1,    -1,    -1,    -1,  3807,
    4102,    -1,    -1,  4105,    -1,  4107,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4123,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4131,
    4132,    -1,    -1,    -1,    -1,    -1,  4138,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5550,    -1,    -1,    -1,    -1,
    5555,  5556,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4215,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4232,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4002,    -1,    -1,    -1,    -1,    -1,
    4008,    -1,    -1,    -1,  5669,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4052,  4053,    -1,    -1,  4056,  4057,
    4058,  4059,    -1,  5718,  4062,  4063,  4064,  4065,  4066,  4067,
    4068,  4069,  4070,  4071,  4072,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4095,    -1,    -1,
    4098,    -1,  4100,    -1,    -1,  4103,  4104,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4125,  4126,  4127,
    4128,    -1,  4130,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4197,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4247,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4552,  4553,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4563,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4633,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4649,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4664,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4703,  4704,    -1,    -1,    -1,    -1,    -1,  4710,  4711,
      -1,    -1,    -1,  4715,    -1,    -1,    -1,    -1,  4720,    -1,
      -1,  4723,  4724,    -1,    -1,    -1,    -1,    -1,  4730,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4469,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4773,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4784,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4792,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4512,    -1,    -1,    -1,    -1,    -1,
    4812,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4917,    -1,    -1,    -1,    -1,
      -1,    -1,  4924,    -1,    -1,    -1,  4634,    -1,    -1,    -1,
    4638,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4660,  4661,    -1,    -1,    -1,    -1,  4666,  4667,
    4668,  4669,    -1,    -1,    -1,  4673,  4674,  4675,  4676,  4677,
    4678,  4679,  4680,  4681,  4682,  4683,  4684,  4685,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4992,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4709,    -1,    -1,  4712,    -1,  4714,    -1,    -1,    -1,
    4718,    -1,    -1,  4721,  4722,    -1,    -1,  4725,  4726,    -1,
      -1,    -1,    -1,  4731,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4783,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4797,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5150,    -1,
      -1,    -1,    -1,    -1,  5156,  5157,  5158,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5181,
    5182,    -1,    -1,  5185,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5211,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5222,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5238,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4995,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5082,  5083,    -1,    -1,    -1,    -1,
      -1,    -1,  5090,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5133,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5152,  5153,    -1,    -1,    -1,    -1,
      -1,  5453,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5171,    -1,  5173,    -1,    -1,    -1,  5177,
    5178,  5179,  5180,    -1,    -1,  5183,  5184,    -1,    -1,    -1,
      -1,  5189,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5497,    -1,  5205,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5223,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5237,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5247,
      -1,    -1,  5544,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5560,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5602,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5316,    -1,
    5318,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5353,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5692,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5701,
    5702,  5703,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5727,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5446,    -1,
    5448,  5449,  5450,  5451,  5452,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5756,    -1,    -1,  5465,  5466,  5467,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5479,    -1,    -1,  5482,    -1,    -1,    -1,  5486,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5504,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5519,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5872,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5895,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5905,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5976,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5693,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  6000,    -1,
      -1,    -1,    -1,    -1,  5712,    -1,  5714,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5755,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5767,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5802,    -1,    -1,    -1,    -1,    -1,
    6102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  6116,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5868,    -1,    -1,    -1,    -1,    -1,    -1,  5875,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5920,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  6227,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  6019,  6020,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  6033,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  6075,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  6100,     3,    -1,     5,     6,    -1,     8,     9,
      10,    11,    12,  6111,  6112,    -1,    -1,    -1,    -1,    -1,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      30,    31,    32,    -1,    -1,    -1,    -1,    37,    -1,    -1,
      40,    41,    42,    -1,    44,    45,    46,    47,    48,    49,
      50,    51,    52,    53,    54,    55,    56,    -1,    58,    59,
      60,    61,    62,    63,    64,    65,    66,    67,    68,    69,
      70,    71,  6170,    73,    74,    75,    76,    77,    -1,    79,
      -1,    81,    82,    83,    84,    85,    86,    87,    88,    89,
      90,    -1,    92,    93,    94,    95,    96,    97,    -1,    99,
     100,   101,   102,   103,   104,   105,   106,   107,   108,   109,
     110,   111,   112,   113,   114,   115,   116,   117,   118,   119,
     120,    -1,   122,   123,   124,   125,   126,   127,   128,    -1,
     130,   131,   132,   133,   134,    -1,   136,   137,   138,   139,
     140,    -1,   142,   143,   144,    -1,   146,   147,   148,    -1,
     150,   151,   152,   153,   154,   155,   156,   157,   158,   159,
     160,   161,    -1,   163,   164,   165,   166,   167,    -1,   169,
      -1,   171,   172,   173,    -1,   175,   176,   177,   178,   179,
      -1,   181,   182,    -1,   184,   185,   186,    -1,   188,   189,
     190,   191,   192,   193,   194,   195,   196,   197,    -1,   199,
     200,   201,   202,   203,   204,   205,   206,    -1,   208,   209,
     210,   211,   212,   213,   214,   215,   216,    -1,   218,    -1,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,    -1,    -1,
     240,   241,   242,   243,   244,    -1,   246,   247,   248,   249,
     250,   251,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,   292,   293,    -1,   295,   296,    -1,    -1,   299,
     300,   301,    -1,    -1,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,    -1,   322,   323,   324,   325,   326,   327,   328,   329,
      -1,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,    -1,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
      -1,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
      -1,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   396,    -1,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,    -1,   414,   415,   416,    -1,   418,   419,
     420,   421,   422,   423,   424,    -1,   426,   427,   428,    -1,
      -1,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,    -1,   446,   447,   448,   449,
     450,   451,   452,    -1,   454,   455,   456,   457,   458,   459,
     460,   461,   462,   463,   464,   465,   466,   467,    -1,    -1,
     470,    -1,    -1,   473,   474,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,    -1,   494,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   506,   507,   508,    -1,
      -1,    -1,    -1,    -1,    -1,   515,   516,     3,    -1,     5,
       6,    -1,     8,     9,    10,    11,    12,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,
      -1,    37,    -1,    -1,    40,    41,    42,    -1,    44,    45,
      46,    47,    48,    49,    50,    51,    52,    53,    54,    55,
      56,    -1,    58,    59,    60,    61,    62,    63,    64,    65,
      66,    67,    68,    69,    70,    71,    -1,    73,    74,    75,
      76,    77,    -1,    79,    -1,    81,    82,    83,    84,    85,
      86,    87,    88,    89,    90,    -1,    92,    93,    94,    95,
      96,    97,    -1,    99,   100,   101,   102,   103,   104,   105,
     106,   107,   108,   109,   110,   111,   112,   113,   114,   115,
     116,   117,   118,   119,   120,    -1,   122,   123,   124,   125,
     126,   127,   128,    -1,   130,   131,   132,   133,    -1,    -1,
     136,   137,   138,   139,   140,    -1,   142,   143,   144,    -1,
     146,   147,   148,    -1,   150,   151,   152,   153,   154,   155,
     156,   157,   158,   159,   160,   161,    -1,   163,   164,   165,
     166,   167,    -1,   169,    -1,   171,   172,   173,    -1,   175,
     176,   177,   178,   179,    -1,   181,   182,    -1,   184,   185,
     186,    -1,   188,   189,   190,   191,   192,   193,   194,   195,
     196,   197,    -1,   199,   200,   201,   202,   203,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,    -1,    -1,   240,   241,   242,   243,   244,    -1,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,   292,   293,    -1,   295,
     296,    -1,    -1,   299,   300,   301,    -1,    -1,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,    -1,   322,   323,   324,   325,
     326,   327,   328,   329,    -1,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
      -1,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,    -1,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,    -1,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,    -1,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,    -1,
     426,   427,   428,    -1,    -1,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,    -1,
     446,   447,   448,   449,   450,   451,   452,    -1,   454,   455,
     456,   457,   458,   459,   460,    -1,   462,   463,   464,   465,
     466,   467,    -1,    -1,   470,    -1,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,    -1,   494,    -1,
     496,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     506,   507,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   515,
     516,     3,    -1,     5,     6,    -1,     8,     9,    10,    11,
      12,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    -1,    -1,    -1,    -1,    37,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    48,    49,    50,    51,
      52,    53,    54,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    65,    66,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    77,    -1,    79,    -1,    81,
      82,    83,    84,    85,    86,    87,    88,    89,    90,    -1,
      92,    93,    94,    95,    96,    97,    -1,    99,   100,   101,
     102,   103,   104,   105,   106,   107,   108,   109,   110,   111,
     112,   113,   114,   115,   116,   117,   118,   119,   120,    -1,
     122,   123,   124,   125,   126,   127,   128,    -1,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,    -1,   146,   147,   148,    -1,   150,   151,
     152,   153,   154,   155,   156,   157,   158,   159,   160,   161,
      -1,   163,   164,   165,   166,   167,    -1,   169,    -1,   171,
     172,   173,    -1,   175,   176,   177,   178,   179,    -1,   181,
     182,    -1,   184,   185,   186,    -1,   188,   189,   190,   191,
     192,   193,   194,   195,   196,   197,    -1,   199,   200,   201,
     202,   203,   204,   205,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,    -1,    -1,   240,   241,
     242,   243,   244,    -1,   246,   247,   248,   249,   250,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
     292,   293,    -1,   295,   296,    -1,    -1,   299,   300,   301,
      -1,    -1,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,    -1,
     322,   323,   324,   325,   326,   327,   328,   329,    -1,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,    -1,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,    -1,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,    -1,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,    -1,   414,   415,   416,    -1,   418,   419,   420,   421,
     422,   423,   424,    -1,   426,   427,   428,    -1,    -1,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,    -1,   446,   447,   448,   449,   450,   451,
     452,    -1,   454,   455,   456,   457,   458,   459,   460,    -1,
     462,   463,   464,   465,   466,   467,    -1,    -1,   470,    -1,
      -1,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,    -1,   494,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   506,   507,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   515,   516,     3,    -1,     5,     6,    -1,
       8,     9,    10,    11,    12,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,    37,
      -1,    -1,    40,    41,    42,    -1,    44,    45,    46,    47,
      48,    49,    50,    51,    52,    53,    54,    55,    56,    -1,
      58,    59,    60,    61,    62,    63,    64,    65,    66,    67,
      68,    69,    70,    71,    -1,    73,    74,    75,    76,    77,
      -1,    79,    -1,    81,    82,    83,    84,    85,    86,    87,
      88,    89,    90,    -1,    92,    93,    94,    95,    96,    97,
      -1,    99,   100,   101,   102,   103,   104,   105,   106,   107,
     108,   109,   110,   111,   112,   113,   114,   115,   116,   117,
     118,   119,   120,    -1,   122,   123,   124,   125,   126,   127,
     128,    -1,   130,   131,   132,   133,    -1,    -1,   136,   137,
     138,   139,   140,    -1,   142,   143,   144,    -1,   146,   147,
     148,    -1,   150,   151,   152,   153,   154,   155,   156,   157,
     158,   159,   160,   161,    -1,   163,   164,   165,   166,   167,
      -1,   169,    -1,   171,   172,   173,    -1,   175,   176,   177,
     178,   179,    -1,   181,   182,    -1,   184,   185,   186,    -1,
     188,   189,   190,   191,   192,   193,   194,   195,   196,   197,
      -1,   199,   200,   201,   202,   203,   204,   205,   206,    -1,
     208,   209,   210,   211,   212,   213,   214,   215,   216,    -1,
     218,    -1,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
      -1,    -1,   240,   241,   242,   243,   244,    -1,   246,   247,
     248,   249,   250,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,   292,   293,    -1,   295,   296,    -1,
      -1,   299,   300,   301,    -1,    -1,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,    -1,   322,   323,   324,   325,   326,   327,
     328,   329,    -1,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,    -1,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,    -1,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,    -1,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   396,    -1,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,    -1,   414,   415,   416,    -1,
     418,   419,   420,   421,   422,   423,   424,    -1,   426,   427,
     428,    -1,    -1,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,    -1,   446,   447,
     448,   449,   450,   451,   452,    -1,   454,   455,   456,   457,
     458,   459,   460,    -1,   462,   463,   464,   465,   466,   467,
      -1,    -1,   470,    -1,    -1,   473,   474,   475,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,    -1,   494,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   506,   507,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   515,   516,     3,
      -1,     5,     6,    -1,     8,     9,    10,    11,    12,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    -1,    30,    31,    32,    -1,
      -1,    -1,    -1,    37,    -1,    -1,    40,    41,    42,    -1,
      44,    45,    46,    47,    48,    49,    50,    51,    52,    53,
      54,    55,    56,    -1,    58,    59,    60,    61,    62,    63,
      64,    65,    66,    67,    68,    69,    70,    71,    -1,    73,
      74,    75,    76,    77,    -1,    79,    -1,    81,    82,    83,
      84,    85,    86,    87,    88,    89,    90,    -1,    92,    93,
      94,    95,    96,    97,    -1,    99,   100,   101,   102,   103,
     104,   105,   106,   107,   108,   109,   110,   111,   112,   113,
     114,   115,   116,   117,   118,   119,   120,    -1,   122,   123,
     124,   125,   126,   127,   128,    -1,   130,   131,   132,   133,
      -1,    -1,   136,   137,   138,   139,   140,    -1,   142,   143,
     144,    -1,   146,   147,   148,    -1,   150,   151,   152,   153,
     154,   155,   156,   157,   158,   159,   160,   161,    -1,   163,
     164,   165,   166,   167,    -1,   169,    -1,   171,   172,   173,
      -1,   175,   176,   177,   178,   179,    -1,   181,   182,    -1,
     184,   185,   186,    -1,   188,   189,   190,   191,   192,   193,
     194,   195,   196,   197,    -1,   199,   200,   201,   202,   203,
     204,   205,   206,    -1,   208,   209,   210,   211,   212,   213,
     214,   215,   216,    -1,   218,    -1,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,    -1,    -1,   240,   241,   242,   243,
     244,    -1,   246,   247,   248,   249,   250,   251,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,   292,   293,
      -1,   295,   296,    -1,    -1,   299,   300,   301,    -1,    -1,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,    -1,   322,   323,
     324,   325,   326,   327,   328,   329,    -1,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,    -1,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,    -1,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,    -1,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   396,    -1,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,    -1,
     414,   415,   416,    -1,   418,   419,   420,   421,   422,   423,
     424,    -1,   426,   427,   428,    -1,    -1,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,    -1,   446,   447,   448,   449,   450,   451,   452,    -1,
     454,   455,   456,   457,   458,   459,   460,    -1,   462,   463,
     464,   465,   466,   467,    -1,    -1,   470,    -1,    -1,   473,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,    -1,
     494,    -1,    -1,    -1,    -1,    -1,     3,    -1,    -1,    -1,
      -1,    -1,   506,   507,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   515,   516,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,
      -1,    38,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    -1,    49,    50,    51,    52,    53,    -1,    55,    56,
      -1,    58,    59,    60,    61,    62,    63,    64,    -1,    -1,
      67,    68,    69,    70,    71,    -1,    73,    74,    75,    76,
      77,    -1,    -1,    -1,    81,    82,    83,    84,    85,    86,
      -1,    88,    89,    90,    -1,    92,    93,    94,    95,    96,
      97,    -1,    99,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,   112,   113,   114,   115,   116,
     117,   118,    -1,   120,    -1,   122,   123,   124,   125,   126,
     127,   128,    -1,   130,   131,   132,   133,    -1,    -1,   136,
     137,   138,   139,   140,    -1,   142,   143,   144,    -1,   146,
     147,   148,    -1,   150,   151,   152,   153,   154,   155,   156,
     157,   158,   159,    -1,   161,    -1,   163,   164,   165,   166,
     167,    -1,   169,    -1,   171,   172,    -1,    -1,   175,   176,
     177,   178,   179,    -1,   181,   182,    -1,   184,   185,   186,
      -1,   188,   189,   190,   191,   192,    -1,   194,   195,   196,
     197,    -1,   199,   200,   201,   202,   203,   204,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
      -1,   218,    -1,   220,    -1,    -1,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,    -1,    -1,   240,   241,   242,   243,    -1,    -1,   246,
     247,   248,    -1,    -1,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,   279,   280,   281,    -1,   283,   284,    -1,   286,
      -1,   288,   289,   290,   291,   292,   293,    -1,   295,   296,
      -1,    -1,   299,   300,   301,    -1,    -1,   304,   305,   306,
      -1,   308,    -1,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,    -1,   322,   323,   324,   325,   326,
     327,   328,   329,    -1,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,    -1,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,    -1,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,    -1,   381,   382,   383,   384,   385,    -1,
     387,   388,   389,   390,   391,    -1,   393,   394,   395,   396,
      -1,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,    -1,   414,   415,    -1,
      -1,   418,    -1,   420,   421,   422,   423,   424,    -1,   426,
     427,   428,    -1,    -1,   431,   432,   433,   434,   435,    -1,
     437,   438,   439,   440,   441,   442,   443,   444,    -1,    -1,
     447,   448,   449,   450,   451,    -1,    -1,   454,   455,   456,
     457,   458,   459,   460,    -1,   462,    -1,   464,   465,   466,
     467,    -1,    -1,   470,    -1,    -1,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   516,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    -1,
      30,    31,    32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      40,    41,    42,    -1,    44,    45,    46,    47,    48,    49,
      50,    51,    -1,    53,    54,    55,    56,    -1,    58,    59,
      60,    61,    62,    63,    64,    -1,    -1,    67,    68,    69,
      70,    71,    -1,    73,    74,    75,    76,    -1,    -1,    79,
      -1,    81,    82,    83,    84,    85,    86,    87,    88,    89,
      90,    -1,    92,    93,    94,    95,    96,    97,    -1,    99,
     100,   101,   102,    -1,    -1,    -1,   106,    -1,    -1,    -1,
     110,   111,   112,   113,   114,   115,   116,   117,   118,    -1,
     120,    -1,   122,   123,   124,   125,   126,   127,   128,    -1,
     130,   131,   132,   133,    -1,    -1,   136,   137,   138,   139,
     140,    -1,   142,   143,   144,    -1,   146,   147,   148,    -1,
     150,   151,   152,   153,    -1,   155,   156,   157,   158,    -1,
      -1,   161,    -1,   163,   164,   165,   166,   167,    -1,   169,
      -1,   171,   172,   173,    -1,   175,   176,   177,   178,   179,
      -1,   181,    -1,    -1,    -1,   185,   186,    -1,   188,   189,
     190,   191,   192,   193,   194,   195,   196,   197,   198,   199,
     200,   201,   202,   203,   204,   205,   206,    -1,   208,   209,
     210,   211,   212,   213,   214,   215,   216,    -1,   218,    -1,
     220,   221,   222,   223,   224,   225,    -1,    -1,    -1,    -1,
      -1,    -1,   232,   233,   234,   235,   236,   237,    -1,    -1,
     240,    -1,   242,   243,   244,    -1,   246,   247,   248,    -1,
      -1,   251,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,    -1,
      -1,   281,    -1,   283,   284,   285,   286,    -1,    -1,   289,
     290,   291,   292,   293,    -1,   295,   296,    -1,    -1,   299,
     300,   301,    -1,    -1,   304,   305,   306,   307,   308,   309,
      -1,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,    -1,   322,   323,    -1,   325,    -1,   327,   328,   329,
      -1,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,    -1,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
      -1,   361,   362,   363,   364,   365,   366,   367,   368,    -1,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
      -1,   381,   382,   383,   384,   385,    -1,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   396,    -1,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,    -1,   412,    -1,   414,   415,    -1,    -1,   418,   419,
     420,   421,   422,   423,   424,    -1,   426,   427,   428,    -1,
      -1,   431,   432,    -1,   434,    -1,    -1,   437,   438,   439,
     440,   441,   442,   443,   444,    -1,    -1,   447,   448,   449,
     450,   451,    -1,    -1,   454,   455,   456,   457,   458,    -1,
     460,   461,   462,   463,   464,   465,   466,   467,    -1,    -1,
     470,    -1,    -1,   473,   474,   475,   476,   477,   478,    -1,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     490,   491,   492,    -1,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      -1,    -1,    -1,    -1,    -1,    -1,   516,    40,    41,    42,
      -1,    44,    45,    46,    47,    48,    49,    50,    51,    -1,
      53,    54,    55,    56,    -1,    58,    59,    60,    61,    62,
      63,    64,    -1,    -1,    67,    68,    69,    70,    71,    -1,
      73,    74,    75,    76,    -1,    -1,    79,    -1,    81,    82,
      83,    84,    85,    86,    87,    88,    89,    90,    -1,    92,
      93,    94,    95,    96,    97,    -1,    99,   100,   101,   102,
      -1,    -1,    -1,   106,    -1,    -1,    -1,   110,   111,   112,
     113,   114,   115,   116,   117,   118,    -1,   120,    -1,   122,
     123,   124,   125,   126,   127,   128,    -1,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,    -1,   146,   147,   148,    -1,   150,   151,   152,
     153,    -1,   155,   156,   157,   158,    -1,    -1,   161,    -1,
     163,   164,   165,   166,   167,    -1,   169,    -1,   171,   172,
     173,    -1,   175,   176,   177,   178,   179,    -1,   181,    -1,
      -1,    -1,   185,   186,    -1,   188,   189,   190,   191,   192,
     193,   194,   195,   196,   197,   198,   199,   200,   201,   202,
     203,   204,   205,   206,    -1,   208,   209,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,   221,   222,
     223,   224,   225,    -1,    -1,    -1,    -1,    -1,    -1,   232,
     233,   234,   235,   236,   237,    -1,    -1,   240,    -1,   242,
     243,   244,    -1,   246,   247,   248,    -1,    -1,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,    -1,    -1,   281,    -1,
     283,   284,   285,   286,    -1,    -1,   289,   290,   291,   292,
     293,    -1,   295,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,   307,   308,   309,    -1,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,    -1,   325,    -1,   327,   328,   329,    -1,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,    -1,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,    -1,   361,   362,
     363,   364,   365,   366,   367,   368,    -1,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,    -1,   381,   382,
     383,   384,   385,    -1,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   396,    -1,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,    -1,   412,
      -1,   414,   415,    -1,    -1,   418,   419,   420,   421,   422,
     423,   424,    -1,   426,   427,   428,    -1,    -1,   431,   432,
      -1,   434,    -1,    -1,   437,   438,   439,   440,   441,   442,
     443,   444,    -1,    -1,   447,   448,   449,   450,   451,    -1,
      -1,   454,   455,   456,   457,   458,    -1,   460,   461,   462,
     463,   464,   465,   466,   467,    -1,    -1,   470,    -1,    -1,
     473,   474,   475,   476,   477,   478,    -1,     3,    -1,     5,
       6,    -1,     8,     9,    10,    11,    12,   490,   491,   492,
      -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,
      -1,    37,    -1,   516,    40,    41,    42,    -1,    44,    45,
      46,    47,    48,    49,    50,    51,    52,    53,    54,    55,
      56,    -1,    58,    59,    60,    61,    62,    63,    64,    65,
      66,    67,    68,    69,    70,    71,    -1,    73,    74,    75,
      76,    77,    -1,    79,    -1,    81,    82,    83,    84,    85,
      86,    87,    88,    89,    90,    -1,    92,    93,    94,    95,
      96,    97,    -1,    99,   100,   101,   102,   103,   104,   105,
     106,   107,   108,   109,   110,   111,   112,   113,   114,   115,
     116,   117,   118,   119,   120,    -1,   122,   123,   124,   125,
     126,   127,   128,    -1,   130,   131,   132,   133,    -1,    -1,
     136,   137,   138,   139,   140,    -1,   142,   143,   144,    -1,
     146,   147,   148,    -1,   150,   151,   152,   153,   154,   155,
     156,   157,   158,   159,   160,   161,    -1,   163,   164,   165,
     166,   167,    -1,   169,    -1,   171,   172,   173,    -1,   175,
     176,   177,   178,   179,    -1,   181,   182,    -1,   184,   185,
     186,    -1,   188,   189,   190,   191,   192,   193,   194,   195,
     196,   197,    -1,   199,   200,   201,   202,   203,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,    -1,    -1,   240,   241,   242,   243,   244,    -1,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,   292,   293,    -1,   295,
     296,    -1,    -1,   299,   300,   301,    -1,    -1,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,    -1,   322,   323,   324,   325,
     326,   327,   328,   329,    -1,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
      -1,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,    -1,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,    -1,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,    -1,
     426,   427,   428,    -1,    -1,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,    -1,
     446,   447,   448,   449,   450,   451,   452,    -1,   454,   455,
     456,   457,   458,   459,   460,    -1,   462,   463,   464,   465,
     466,   467,    -1,    -1,   470,    -1,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,    -1,   494,    -1,
     496,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     506,   507,    -1,    -1,    -1,     3,    -1,     5,     6,   515,
       8,     9,    10,    11,    12,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,    37,
      -1,    -1,    40,    41,    42,    -1,    44,    45,    46,    47,
      48,    49,    50,    51,    52,    53,    54,    55,    56,    -1,
      58,    59,    60,    61,    62,    63,    64,    65,    66,    67,
      68,    69,    70,    71,    -1,    73,    74,    75,    76,    77,
      -1,    79,    -1,    81,    82,    83,    84,    85,    86,    87,
      88,    89,    90,    -1,    92,    93,    94,    95,    96,    97,
      -1,    99,   100,   101,   102,   103,   104,   105,   106,   107,
     108,   109,   110,   111,   112,   113,   114,   115,   116,   117,
     118,   119,   120,    -1,   122,   123,   124,   125,   126,   127,
     128,    -1,   130,   131,   132,   133,    -1,    -1,   136,   137,
     138,   139,   140,    -1,   142,   143,   144,    -1,   146,   147,
     148,    -1,   150,   151,   152,   153,   154,   155,   156,   157,
     158,   159,   160,   161,    -1,   163,   164,   165,   166,   167,
      -1,   169,    -1,   171,   172,   173,    -1,   175,   176,   177,
     178,   179,    -1,   181,   182,    -1,   184,   185,   186,    -1,
     188,   189,   190,   191,   192,   193,   194,   195,   196,   197,
      -1,   199,   200,   201,   202,   203,   204,   205,   206,    -1,
     208,   209,   210,   211,   212,   213,   214,   215,   216,    -1,
     218,    -1,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
      -1,    -1,   240,   241,   242,   243,   244,    -1,   246,   247,
     248,   249,   250,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,   292,   293,    -1,   295,   296,    -1,
      -1,   299,   300,   301,    -1,    -1,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,    -1,   322,   323,   324,   325,   326,   327,
     328,   329,    -1,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,    -1,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,    -1,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   396,    -1,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,    -1,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,    -1,   426,   427,
     428,    -1,    -1,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,    -1,   446,   447,
     448,   449,   450,   451,   452,    -1,   454,   455,   456,   457,
     458,   459,   460,    -1,   462,   463,   464,   465,   466,   467,
      -1,    -1,   470,    -1,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,    -1,   494,    -1,   496,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   506,   507,
      -1,    -1,    -1,     3,    -1,     5,     6,   515,     8,     9,
      10,    11,    12,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    -1,
      30,    31,    32,    -1,    -1,    -1,    -1,    37,    -1,    -1,
      40,    41,    42,    -1,    44,    45,    46,    47,    48,    49,
      50,    51,    52,    53,    54,    55,    56,    57,    58,    59,
      60,    61,    62,    63,    64,    65,    66,    67,    68,    69,
      70,    71,    -1,    73,    74,    75,    76,    77,    -1,    79,
      -1,    81,    82,    83,    84,    85,    86,    87,    88,    89,
      90,    -1,    92,    93,    94,    95,    96,    97,    -1,    99,
     100,   101,   102,   103,   104,   105,   106,   107,   108,   109,
     110,   111,   112,   113,   114,   115,   116,   117,   118,   119,
     120,    -1,   122,   123,   124,   125,   126,   127,   128,    -1,
     130,   131,   132,   133,    -1,    -1,   136,   137,   138,   139,
     140,    -1,   142,   143,   144,    -1,   146,   147,   148,    -1,
     150,   151,   152,   153,   154,   155,   156,   157,   158,   159,
     160,   161,    -1,   163,   164,   165,   166,   167,    -1,   169,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,   182,    -1,   184,   185,   186,    -1,   188,   189,
     190,   191,   192,   193,   194,   195,   196,   197,    -1,   199,
     200,   201,   202,   203,   204,   205,   206,    -1,   208,   209,
     210,   211,   212,   213,   214,   215,   216,    -1,   218,    -1,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,    -1,   239,
     240,   241,   242,   243,   244,    -1,   246,   247,   248,   249,
     250,   251,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,   292,   293,    -1,   295,   296,    -1,    -1,   299,
     300,   301,    -1,    -1,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,    -1,   322,   323,   324,   325,   326,   327,   328,   329,
      -1,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,    -1,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
      -1,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
      -1,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   396,    -1,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,    -1,   414,   415,   416,    -1,   418,   419,
     420,   421,   422,   423,   424,    -1,   426,   427,   428,    -1,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,    -1,   446,   447,   448,   449,
     450,   451,   452,    -1,   454,   455,   456,   457,   458,   459,
     460,    -1,   462,   463,   464,   465,   466,   467,    -1,    -1,
     470,    -1,    -1,   473,   474,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,    -1,   494,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   506,   507,    -1,    -1,
      -1,     3,    -1,     5,     6,   515,     8,     9,    10,    11,
      12,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    30,    31,
      32,    -1,    -1,    -1,    36,    37,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    48,    49,    50,    51,
      52,    53,    54,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    65,    66,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    77,    -1,    79,    -1,    81,
      82,    83,    84,    85,    86,    87,    88,    89,    90,    -1,
      92,    93,    94,    95,    96,    97,    -1,    99,   100,   101,
     102,   103,   104,   105,   106,   107,   108,   109,   110,   111,
     112,   113,   114,   115,   116,   117,   118,   119,   120,    -1,
     122,   123,   124,   125,   126,   127,   128,    -1,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,    -1,   146,   147,   148,    -1,   150,   151,
     152,   153,   154,   155,   156,   157,   158,   159,   160,   161,
      -1,   163,   164,   165,   166,   167,    -1,   169,    -1,   171,
     172,   173,    -1,   175,   176,   177,   178,   179,    -1,   181,
     182,    -1,   184,   185,   186,    -1,   188,   189,   190,   191,
     192,   193,   194,   195,   196,   197,    -1,   199,   200,   201,
     202,   203,   204,   205,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,    -1,    -1,   240,   241,
     242,   243,   244,    -1,   246,   247,   248,   249,   250,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
     292,   293,    -1,   295,   296,    -1,    -1,   299,   300,   301,
      -1,    -1,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,    -1,
     322,   323,   324,   325,   326,   327,   328,   329,    -1,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,    -1,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,    -1,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,    -1,   414,   415,   416,    -1,   418,   419,   420,   421,
     422,   423,   424,    -1,   426,   427,   428,    -1,    -1,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,    -1,   446,   447,   448,   449,   450,   451,
     452,    -1,   454,   455,   456,   457,   458,   459,   460,    -1,
     462,   463,   464,   465,   466,   467,    -1,    -1,   470,    -1,
      -1,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,    -1,   494,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   506,   507,    -1,    -1,    -1,     3,
      -1,     5,     6,   515,     8,     9,    10,    11,    12,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    30,    31,    32,    -1,
      -1,    -1,    36,    37,    -1,    -1,    40,    41,    42,    -1,
      44,    45,    46,    47,    48,    49,    50,    51,    52,    53,
      54,    55,    56,    -1,    58,    59,    60,    61,    62,    63,
      64,    65,    66,    67,    68,    69,    70,    71,    -1,    73,
      74,    75,    76,    77,    -1,    79,    -1,    81,    82,    83,
      84,    85,    86,    87,    88,    89,    90,    -1,    92,    93,
      94,    95,    96,    97,    -1,    99,   100,   101,   102,   103,
     104,   105,   106,   107,   108,   109,   110,   111,   112,   113,
     114,   115,   116,   117,   118,   119,   120,    -1,   122,   123,
     124,   125,   126,   127,   128,    -1,   130,   131,   132,   133,
      -1,    -1,   136,   137,   138,   139,   140,    -1,   142,   143,
     144,    -1,   146,   147,   148,    -1,   150,   151,   152,   153,
     154,   155,   156,   157,   158,   159,   160,   161,    -1,   163,
     164,   165,   166,   167,    -1,   169,    -1,   171,   172,   173,
      -1,   175,   176,   177,   178,   179,    -1,   181,   182,    -1,
     184,   185,   186,    -1,   188,   189,   190,   191,   192,   193,
     194,   195,   196,   197,    -1,   199,   200,   201,   202,   203,
     204,   205,   206,    -1,   208,   209,   210,   211,   212,   213,
     214,   215,   216,    -1,   218,    -1,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,    -1,    -1,   240,   241,   242,   243,
     244,    -1,   246,   247,   248,   249,   250,   251,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,   292,   293,
      -1,   295,   296,    -1,    -1,   299,   300,   301,    -1,    -1,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,    -1,   322,   323,
     324,   325,   326,   327,   328,   329,    -1,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,    -1,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,    -1,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,    -1,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,    -1,
     414,   415,   416,    -1,   418,   419,   420,   421,   422,   423,
     424,    -1,   426,   427,   428,    -1,    -1,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,    -1,   446,   447,   448,   449,   450,   451,   452,    -1,
     454,   455,   456,   457,   458,   459,   460,    -1,   462,   463,
     464,   465,   466,   467,    -1,    -1,   470,    -1,    -1,   473,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,    -1,
     494,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   506,   507,    -1,    -1,    -1,     3,    -1,     5,
       6,   515,     8,     9,    10,    11,    12,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,
      -1,    37,    -1,    -1,    40,    41,    42,    -1,    44,    45,
      46,    47,    48,    49,    50,    51,    52,    53,    54,    55,
      56,    -1,    58,    59,    60,    61,    62,    63,    64,    65,
      66,    67,    68,    69,    70,    71,    -1,    73,    74,    75,
      76,    77,    -1,    79,    -1,    81,    82,    83,    84,    85,
      86,    87,    88,    89,    90,    -1,    92,    93,    94,    95,
      96,    97,    -1,    99,   100,   101,   102,   103,   104,   105,
     106,   107,   108,   109,   110,   111,   112,   113,   114,   115,
     116,   117,   118,   119,   120,    -1,   122,   123,   124,   125,
     126,   127,   128,    -1,   130,   131,   132,   133,    -1,    -1,
     136,   137,   138,   139,   140,    -1,   142,   143,   144,    -1,
     146,   147,   148,    -1,   150,   151,   152,   153,   154,   155,
     156,   157,   158,   159,   160,   161,    -1,   163,   164,   165,
     166,   167,    -1,   169,    -1,   171,   172,   173,    -1,   175,
     176,   177,   178,   179,    -1,   181,   182,    -1,   184,   185,
     186,    -1,   188,   189,   190,   191,   192,   193,   194,   195,
     196,   197,    -1,   199,   200,   201,   202,   203,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,    -1,    -1,   240,   241,   242,   243,   244,    -1,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,   292,   293,    -1,   295,
     296,    -1,    -1,   299,   300,   301,    -1,    -1,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,    -1,   322,   323,   324,   325,
     326,   327,   328,   329,    -1,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
      -1,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,    -1,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,    -1,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,    -1,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,    -1,   414,   415,
     416,    -1,   418,   419,   420,   421,   422,   423,   424,    -1,
     426,   427,   428,    -1,    -1,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,    -1,
     446,   447,   448,   449,   450,   451,   452,    -1,   454,   455,
     456,   457,   458,   459,   460,    -1,   462,   463,   464,   465,
     466,   467,    -1,    -1,   470,    -1,    -1,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,    -1,   494,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     506,   507,    -1,    -1,    -1,    -1,    -1,   513,   514,   515,
       3,    -1,     5,     6,    -1,     8,     9,    10,    11,    12,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      -1,    -1,    -1,    -1,    37,    -1,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    48,    49,    50,    51,    52,
      53,    54,    55,    56,    -1,    58,    59,    60,    61,    62,
      63,    64,    65,    66,    67,    68,    69,    70,    71,    -1,
      73,    74,    75,    76,    77,    -1,    79,    -1,    81,    82,
      83,    84,    85,    86,    87,    88,    89,    90,    -1,    92,
      93,    94,    95,    96,    97,    -1,    99,   100,   101,   102,
     103,   104,   105,   106,   107,   108,   109,   110,   111,   112,
     113,   114,   115,   116,   117,   118,   119,   120,    -1,   122,
     123,   124,   125,   126,   127,   128,    -1,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,    -1,   146,   147,   148,    -1,   150,   151,   152,
     153,   154,   155,   156,   157,   158,   159,   160,   161,    -1,
     163,   164,   165,   166,   167,    -1,   169,    -1,   171,   172,
     173,    -1,   175,   176,   177,   178,   179,    -1,   181,   182,
      -1,   184,   185,   186,    -1,   188,   189,   190,   191,   192,
     193,   194,   195,   196,   197,    -1,   199,   200,   201,   202,
     203,   204,   205,   206,    -1,   208,   209,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,    -1,    -1,   240,   241,   242,
     243,   244,    -1,   246,   247,   248,   249,   250,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,   292,
     293,    -1,   295,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,   327,   328,   329,    -1,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,    -1,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,    -1,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,    -1,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   396,    -1,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
      -1,   414,   415,   416,    -1,   418,   419,   420,   421,   422,
     423,   424,    -1,   426,   427,   428,    -1,    -1,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,    -1,   446,   447,   448,   449,   450,   451,   452,
      -1,   454,   455,   456,   457,   458,   459,   460,    -1,   462,
     463,   464,   465,   466,   467,    -1,    -1,   470,    -1,    -1,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
      -1,   494,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   506,   507,   508,    -1,    -1,     3,    -1,
       5,     6,   515,     8,     9,    10,    11,    12,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    32,    -1,    -1,
      -1,    -1,    37,    -1,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    -1,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    71,    -1,    73,    74,
      75,    76,    77,    -1,    79,    -1,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    -1,    92,    93,    94,
      95,    96,    97,    -1,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,    -1,   122,   123,   124,
     125,   126,   127,   128,    -1,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
      -1,   146,   147,   148,    -1,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,   161,    -1,   163,   164,
     165,   166,   167,    -1,   169,    -1,   171,   172,   173,    -1,
     175,   176,   177,   178,   179,    -1,   181,   182,    -1,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,    -1,   199,   200,   201,   202,   203,   204,
     205,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,    -1,    -1,   240,   241,   242,   243,   244,
      -1,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,    -1,
     295,   296,    -1,    -1,   299,   300,   301,    -1,    -1,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,    -1,   322,   323,   324,
     325,   326,   327,   328,   329,    -1,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,    -1,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,    -1,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,    -1,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,    -1,   414,
     415,   416,    -1,   418,   419,   420,   421,   422,   423,   424,
      -1,   426,   427,   428,    -1,    -1,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
      -1,   446,   447,   448,   449,   450,   451,   452,    -1,   454,
     455,   456,   457,   458,   459,   460,    -1,   462,   463,   464,
     465,   466,   467,    -1,    -1,   470,    -1,    -1,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,    -1,   494,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   506,   507,    -1,    -1,    -1,     3,    -1,     5,     6,
     515,     8,     9,    10,    11,    12,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,
      37,    -1,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    48,    49,    50,    51,    52,    53,    54,    55,    56,
      -1,    58,    59,    60,    61,    62,    63,    64,    65,    66,
      67,    68,    69,    70,    71,    -1,    73,    74,    75,    76,
      77,    -1,    79,    -1,    81,    82,    83,    84,    85,    86,
      87,    88,    89,    90,    -1,    92,    93,    94,    95,    96,
      97,    -1,    99,   100,   101,   102,   103,   104,   105,   106,
     107,   108,   109,   110,   111,   112,   113,   114,   115,   116,
     117,   118,   119,   120,    -1,   122,   123,   124,   125,   126,
     127,   128,    -1,   130,   131,   132,   133,    -1,    -1,   136,
     137,   138,   139,   140,    -1,   142,   143,   144,    -1,   146,
     147,   148,    -1,   150,   151,   152,   153,   154,   155,   156,
     157,   158,   159,   160,   161,    -1,   163,   164,   165,   166,
     167,    -1,   169,    -1,   171,   172,   173,    -1,   175,   176,
     177,   178,   179,    -1,   181,   182,    -1,   184,   185,   186,
      -1,   188,   189,   190,   191,   192,   193,   194,   195,   196,
     197,    -1,   199,   200,   201,   202,   203,   204,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
      -1,   218,    -1,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,    -1,    -1,   240,   241,   242,   243,   244,    -1,   246,
     247,   248,   249,   250,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,   292,   293,    -1,   295,   296,
      -1,    -1,   299,   300,   301,    -1,    -1,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,    -1,   322,   323,   324,   325,   326,
     327,   328,   329,    -1,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,    -1,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,    -1,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,   396,
      -1,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,    -1,   414,   415,   416,
      -1,   418,   419,   420,   421,   422,   423,   424,    -1,   426,
     427,   428,    -1,    -1,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,    -1,   446,
     447,   448,   449,   450,   451,   452,    -1,   454,   455,   456,
     457,   458,   459,   460,    -1,   462,   463,   464,   465,   466,
     467,    -1,    -1,   470,    -1,    -1,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,    -1,   494,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   506,
     507,    -1,    -1,    -1,     3,    -1,     5,     6,   515,     8,
       9,    10,    11,    12,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      -1,    30,    31,    32,    -1,    -1,    -1,    -1,    37,    -1,
      -1,    40,    41,    42,    -1,    44,    45,    46,    47,    48,
      49,    50,    51,    52,    53,    54,    55,    56,    -1,    58,
      59,    60,    61,    62,    63,    64,    65,    66,    67,    68,
      69,    70,    71,    -1,    73,    74,    75,    76,    77,    -1,
      79,    -1,    81,    82,    83,    84,    85,    86,    87,    88,
      89,    90,    -1,    92,    93,    94,    95,    96,    97,    -1,
      99,   100,   101,   102,   103,   104,   105,   106,   107,   108,
     109,   110,   111,   112,   113,   114,   115,   116,   117,   118,
     119,   120,    -1,   122,   123,   124,   125,   126,   127,   128,
      -1,   130,   131,   132,   133,    -1,    -1,   136,   137,   138,
     139,   140,    -1,   142,   143,   144,    -1,   146,   147,   148,
      -1,   150,   151,   152,   153,   154,   155,   156,   157,   158,
     159,   160,   161,    -1,   163,   164,   165,   166,   167,    -1,
     169,    -1,   171,   172,   173,    -1,   175,   176,   177,   178,
     179,    -1,   181,   182,    -1,   184,   185,   186,    -1,   188,
     189,   190,   191,   192,   193,   194,   195,   196,   197,    -1,
     199,   200,   201,   202,   203,   204,   205,   206,    -1,   208,
     209,   210,   211,   212,   213,   214,   215,   216,    -1,   218,
      -1,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,    -1,
      -1,   240,   241,   242,   243,   244,    -1,   246,   247,   248,
     249,   250,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,   263,   264,   265,   266,   267,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,   292,   293,    -1,   295,   296,    -1,    -1,
     299,   300,   301,    -1,    -1,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,    -1,   322,   323,   324,   325,   326,   327,   328,
     329,    -1,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,    -1,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,    -1,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,    -1,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,   396,    -1,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,    -1,   414,   415,   416,    -1,   418,
     419,   420,   421,   422,   423,   424,    -1,   426,   427,   428,
      -1,    -1,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,    -1,   446,   447,   448,
     449,   450,   451,   452,    -1,   454,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,   465,   466,   467,    -1,
      -1,   470,    -1,    -1,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,    -1,   494,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   506,   507,    -1,
      -1,    -1,     3,    -1,     5,     6,   515,     8,     9,    10,
      11,    12,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    -1,    30,
      31,    32,    -1,    -1,    -1,    -1,    37,    -1,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    48,    49,    50,
      51,    52,    53,    54,    55,    56,    -1,    58,    59,    60,
      61,    62,    63,    64,    65,    66,    67,    68,    69,    70,
      71,    -1,    73,    74,    75,    76,    77,    -1,    79,    -1,
      81,    82,    83,    84,    85,    86,    87,    88,    89,    90,
      -1,    92,    93,    94,    95,    96,    97,    -1,    99,   100,
     101,   102,   103,   104,   105,   106,   107,   108,   109,   110,
     111,   112,   113,   114,   115,   116,   117,   118,   119,   120,
      -1,   122,   123,   124,   125,   126,   127,   128,    -1,   130,
     131,   132,   133,    -1,    -1,   136,   137,   138,   139,   140,
      -1,   142,   143,   144,    -1,   146,   147,   148,    -1,   150,
     151,   152,   153,   154,   155,   156,   157,   158,   159,   160,
     161,    -1,   163,   164,   165,   166,   167,    -1,   169,    -1,
     171,   172,   173,   174,   175,   176,   177,   178,   179,    -1,
     181,   182,    -1,   184,   185,   186,    -1,   188,   189,   190,
     191,   192,   193,   194,   195,   196,   197,    -1,   199,   200,
     201,   202,   203,   204,   205,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,   216,    -1,   218,    -1,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,    -1,    -1,   240,
     241,   242,   243,   244,    -1,   246,   247,   248,   249,   250,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,   263,   264,   265,   266,   267,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,   292,   293,    -1,   295,   296,    -1,    -1,   299,   300,
     301,    -1,    -1,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
      -1,   322,   323,   324,   325,   326,   327,   328,   329,    -1,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,    -1,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,    -1,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,    -1,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,   396,    -1,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,    -1,   414,   415,   416,    -1,   418,   419,   420,
     421,   422,   423,   424,    -1,   426,   427,   428,    -1,    -1,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,    -1,   446,   447,   448,   449,   450,
     451,   452,    -1,   454,   455,   456,   457,   458,   459,   460,
      -1,   462,   463,   464,   465,   466,   467,    -1,    -1,   470,
      -1,    -1,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,    -1,   494,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   506,   507,    -1,    -1,    -1,
       3,    -1,     5,     6,   515,     8,     9,    10,    11,    12,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      -1,    -1,    -1,    -1,    37,    -1,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    48,    49,    50,    51,    52,
      53,    54,    55,    56,    -1,    58,    59,    60,    61,    62,
      63,    64,    65,    66,    67,    68,    69,    70,    71,    -1,
      73,    74,    75,    76,    77,    -1,    79,    -1,    81,    82,
      83,    84,    85,    86,    87,    88,    89,    90,    -1,    92,
      93,    94,    95,    96,    97,    -1,    99,   100,   101,   102,
     103,   104,   105,   106,   107,   108,   109,   110,   111,   112,
     113,   114,   115,   116,   117,   118,   119,   120,    -1,   122,
     123,   124,   125,   126,   127,   128,    -1,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,    -1,   146,   147,   148,    -1,   150,   151,   152,
     153,   154,   155,   156,   157,   158,   159,   160,   161,    -1,
     163,   164,   165,   166,   167,    -1,   169,    -1,   171,   172,
     173,    -1,   175,   176,   177,   178,   179,    -1,   181,   182,
      -1,   184,   185,   186,    -1,   188,   189,   190,   191,   192,
     193,   194,   195,   196,   197,    -1,   199,   200,   201,   202,
     203,   204,   205,   206,    -1,   208,   209,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,    -1,    -1,   240,   241,   242,
     243,   244,    -1,   246,   247,   248,   249,   250,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,   292,
     293,    -1,   295,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,   327,   328,   329,    -1,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,    -1,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,    -1,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,    -1,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   396,    -1,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
      -1,   414,   415,   416,    -1,   418,   419,   420,   421,   422,
     423,   424,    -1,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,    -1,   446,   447,   448,   449,   450,   451,   452,
      -1,   454,   455,   456,   457,   458,   459,   460,    -1,   462,
     463,   464,   465,   466,   467,    -1,    -1,   470,    -1,    -1,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
      -1,   494,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   506,   507,    -1,    -1,    -1,     3,    -1,
       5,     6,   515,     8,     9,    10,    11,    12,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    -1,    -1,
      -1,    -1,    37,    -1,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    -1,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    71,    -1,    73,    74,
      75,    76,    77,    -1,    79,    -1,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    -1,    92,    93,    94,
      95,    96,    97,    -1,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,    -1,   122,   123,   124,
     125,   126,   127,   128,    -1,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
      -1,   146,   147,   148,    -1,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,   161,    -1,   163,   164,
     165,   166,   167,    -1,   169,    -1,   171,   172,   173,    -1,
     175,   176,   177,   178,   179,    -1,   181,   182,    -1,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,    -1,   199,   200,   201,   202,   203,   204,
     205,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,    -1,    -1,   240,   241,   242,   243,   244,
      -1,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,    -1,
     295,   296,    -1,    -1,   299,   300,   301,    -1,    -1,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,    -1,   322,   323,   324,
     325,   326,   327,   328,   329,    -1,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,    -1,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,    -1,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,    -1,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,    -1,   414,
     415,   416,    -1,   418,   419,   420,   421,   422,   423,   424,
      -1,   426,   427,   428,    -1,    -1,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
      -1,   446,   447,   448,   449,   450,   451,   452,    -1,   454,
     455,   456,   457,   458,   459,   460,    -1,   462,   463,   464,
     465,   466,   467,    -1,    -1,   470,    -1,    -1,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,    -1,   494,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   506,   507,    -1,    -1,    -1,     3,    -1,     5,     6,
     515,     8,     9,    10,    11,    12,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,
      37,    -1,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    48,    49,    50,    51,    52,    53,    54,    55,    56,
      -1,    58,    59,    60,    61,    62,    63,    64,    65,    66,
      67,    68,    69,    70,    71,    -1,    73,    74,    75,    76,
      77,    -1,    79,    -1,    81,    82,    83,    84,    85,    86,
      87,    88,    89,    90,    -1,    92,    93,    94,    95,    96,
      97,    -1,    99,   100,   101,   102,   103,   104,   105,   106,
     107,   108,   109,   110,   111,   112,   113,   114,   115,   116,
     117,   118,   119,   120,    -1,   122,   123,   124,   125,   126,
     127,   128,    -1,   130,   131,   132,   133,    -1,    -1,   136,
     137,   138,   139,   140,    -1,   142,   143,   144,    -1,   146,
     147,   148,    -1,   150,   151,   152,   153,   154,   155,   156,
     157,   158,   159,   160,   161,    -1,   163,   164,   165,   166,
     167,    -1,   169,    -1,   171,   172,   173,    -1,   175,   176,
     177,   178,   179,    -1,   181,   182,    -1,   184,   185,   186,
      -1,   188,   189,   190,   191,   192,   193,   194,   195,   196,
     197,    -1,   199,   200,   201,   202,   203,   204,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
      -1,   218,    -1,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,    -1,    -1,   240,   241,   242,   243,   244,    -1,   246,
     247,   248,   249,   250,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,   292,   293,    -1,   295,   296,
      -1,    -1,   299,   300,   301,    -1,    -1,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,    -1,   322,   323,   324,   325,   326,
     327,   328,   329,    -1,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,    -1,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,    -1,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,    -1,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,   396,
      -1,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,    -1,   414,   415,   416,
      -1,   418,   419,   420,   421,   422,   423,   424,    -1,   426,
     427,   428,    -1,    -1,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,    -1,   446,
     447,   448,   449,   450,   451,   452,    -1,   454,   455,   456,
     457,   458,   459,   460,    -1,   462,   463,   464,   465,   466,
     467,    -1,    -1,   470,    -1,    -1,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,    -1,   494,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   506,
     507,    -1,    -1,    -1,     3,    -1,     5,     6,   515,     8,
       9,    10,    11,    12,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      -1,    30,    31,    32,    -1,    -1,    -1,    -1,    37,    -1,
      -1,    40,    41,    42,    -1,    44,    45,    46,    47,    48,
      49,    50,    51,    52,    53,    54,    55,    56,    -1,    58,
      59,    60,    61,    62,    63,    64,    65,    66,    67,    68,
      69,    70,    71,    -1,    73,    74,    75,    76,    77,    -1,
      79,    -1,    81,    82,    83,    84,    85,    86,    87,    88,
      89,    90,    -1,    92,    93,    94,    95,    96,    97,    -1,
      99,   100,   101,   102,   103,   104,   105,   106,   107,   108,
     109,   110,   111,   112,   113,   114,   115,   116,   117,   118,
     119,   120,    -1,   122,   123,   124,   125,   126,   127,   128,
      -1,   130,   131,   132,   133,    -1,    -1,   136,   137,   138,
     139,   140,    -1,   142,   143,   144,    -1,   146,   147,   148,
      -1,   150,   151,   152,   153,   154,   155,   156,   157,   158,
     159,   160,   161,    -1,   163,   164,   165,   166,   167,    -1,
     169,    -1,   171,   172,   173,    -1,   175,   176,   177,   178,
     179,    -1,   181,   182,    -1,   184,   185,   186,    -1,   188,
     189,   190,   191,   192,   193,   194,   195,   196,   197,    -1,
     199,   200,   201,   202,   203,   204,   205,   206,    -1,   208,
     209,   210,   211,   212,   213,   214,   215,   216,    -1,   218,
      -1,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,    -1,
      -1,   240,   241,   242,   243,   244,    -1,   246,   247,   248,
     249,   250,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,   263,   264,   265,   266,   267,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,   292,   293,    -1,   295,   296,    -1,    -1,
     299,   300,   301,    -1,    -1,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,    -1,   322,   323,   324,   325,   326,   327,   328,
     329,    -1,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,    -1,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,    -1,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,    -1,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,   396,    -1,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,    -1,   414,   415,   416,    -1,   418,
     419,   420,   421,   422,   423,   424,    -1,   426,   427,   428,
      -1,    -1,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,    -1,   446,   447,   448,
     449,   450,   451,   452,    -1,   454,   455,   456,   457,   458,
     459,   460,    -1,   462,   463,   464,   465,   466,   467,    -1,
      -1,   470,    -1,    -1,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,    -1,   494,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   506,   507,    -1,
      -1,    -1,     3,    -1,     5,     6,   515,     8,     9,    10,
      11,    12,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    -1,    30,
      31,    32,    -1,    -1,    -1,    -1,    37,    -1,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    48,    49,    50,
      51,    52,    53,    54,    55,    56,    -1,    58,    59,    60,
      61,    62,    63,    64,    65,    66,    67,    68,    69,    70,
      71,    -1,    73,    74,    75,    76,    77,    -1,    79,    -1,
      81,    82,    83,    84,    85,    86,    87,    88,    89,    90,
      -1,    92,    93,    94,    95,    96,    97,    -1,    99,   100,
     101,   102,   103,   104,   105,   106,   107,   108,   109,   110,
     111,   112,   113,   114,   115,   116,   117,   118,   119,   120,
      -1,   122,   123,   124,   125,   126,   127,   128,    -1,   130,
     131,   132,   133,    -1,    -1,   136,   137,   138,   139,   140,
      -1,   142,   143,   144,    -1,   146,   147,   148,    -1,   150,
     151,   152,   153,   154,   155,   156,   157,   158,   159,   160,
     161,    -1,   163,   164,   165,   166,   167,    -1,   169,    -1,
     171,   172,   173,    -1,   175,   176,   177,   178,   179,    -1,
     181,   182,    -1,   184,   185,   186,    -1,   188,   189,   190,
     191,   192,   193,   194,   195,   196,   197,    -1,   199,   200,
     201,   202,   203,   204,   205,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,   216,    -1,   218,    -1,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,    -1,    -1,   240,
     241,   242,   243,   244,    -1,   246,   247,   248,   249,   250,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,   263,   264,   265,   266,   267,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,   292,   293,    -1,   295,   296,    -1,    -1,   299,   300,
     301,    -1,    -1,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
      -1,   322,   323,   324,   325,   326,   327,   328,   329,    -1,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,    -1,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,    -1,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,    -1,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,   396,    -1,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,    -1,   414,   415,   416,    -1,   418,   419,   420,
     421,   422,   423,   424,    -1,   426,   427,   428,    -1,    -1,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,    -1,   446,   447,   448,   449,   450,
     451,   452,    -1,   454,   455,   456,   457,   458,   459,   460,
      -1,   462,   463,   464,   465,   466,   467,    -1,    -1,   470,
      -1,    -1,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,    -1,   494,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   506,   507,    -1,    -1,    -1,
       3,    -1,     5,     6,   515,     8,     9,    10,    11,    12,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      -1,    -1,    -1,    -1,    37,    -1,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    48,    49,    50,    51,    52,
      53,    54,    55,    56,    -1,    58,    59,    60,    61,    62,
      63,    64,    65,    66,    67,    68,    69,    70,    71,    -1,
      73,    74,    75,    76,    77,    -1,    79,    -1,    81,    82,
      83,    84,    85,    86,    87,    88,    89,    90,    -1,    92,
      93,    94,    95,    96,    97,    -1,    99,   100,   101,   102,
     103,   104,   105,   106,   107,   108,   109,   110,   111,   112,
     113,   114,   115,   116,   117,   118,   119,   120,    -1,   122,
     123,   124,   125,   126,   127,   128,    -1,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,    -1,   146,   147,   148,    -1,   150,   151,   152,
     153,   154,   155,   156,   157,   158,   159,   160,   161,    -1,
     163,   164,   165,   166,   167,    -1,   169,    -1,   171,   172,
     173,    -1,   175,   176,   177,   178,   179,    -1,   181,   182,
      -1,   184,   185,   186,    -1,   188,   189,   190,   191,   192,
     193,   194,   195,   196,   197,    -1,   199,   200,   201,   202,
     203,   204,   205,   206,    -1,   208,   209,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,    -1,    -1,   240,   241,   242,
     243,   244,    -1,   246,   247,   248,   249,   250,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,   292,
     293,    -1,   295,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,   327,   328,   329,    -1,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,    -1,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,    -1,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,    -1,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   396,    -1,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
      -1,   414,   415,   416,    -1,   418,   419,   420,   421,   422,
     423,   424,    -1,   426,   427,   428,    -1,    -1,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,    -1,   446,   447,   448,   449,   450,   451,   452,
      -1,   454,   455,   456,   457,   458,   459,   460,    -1,   462,
     463,   464,   465,   466,   467,    -1,    -1,   470,    -1,    -1,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
      -1,   494,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   506,   507,    -1,    -1,    -1,     3,    -1,
       5,     6,   515,     8,     9,    10,    11,    12,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    -1,    -1,
      -1,    -1,    37,    -1,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    -1,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    71,    -1,    73,    74,
      75,    76,    77,    -1,    79,    -1,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    -1,    92,    93,    94,
      95,    96,    97,    -1,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,    -1,   122,   123,   124,
     125,   126,   127,   128,    -1,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
      -1,   146,   147,   148,    -1,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,   161,    -1,   163,   164,
     165,   166,   167,    -1,   169,    -1,   171,   172,   173,    -1,
     175,   176,   177,   178,   179,    -1,   181,   182,    -1,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,    -1,   199,   200,   201,   202,   203,   204,
     205,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,    -1,    -1,   240,   241,   242,   243,   244,
      -1,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,    -1,
     295,   296,    -1,    -1,   299,   300,   301,    -1,    -1,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,    -1,   322,   323,   324,
     325,   326,   327,   328,   329,    -1,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,    -1,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,    -1,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,    -1,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,    -1,   414,
     415,   416,    -1,   418,   419,   420,   421,   422,   423,   424,
      -1,   426,   427,   428,    -1,    -1,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
      -1,   446,   447,   448,   449,   450,   451,   452,    -1,   454,
     455,   456,   457,   458,   459,   460,    -1,   462,   463,   464,
     465,   466,   467,    -1,    -1,   470,    -1,    -1,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,    -1,   494,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   506,   507,    -1,    -1,    -1,     3,    -1,     5,     6,
     515,     8,     9,    10,    11,    12,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,
      37,    -1,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    48,    49,    50,    51,    52,    53,    54,    55,    56,
      -1,    58,    59,    60,    61,    62,    63,    64,    65,    66,
      67,    68,    69,    70,    71,    -1,    73,    74,    75,    76,
      77,    -1,    79,    -1,    81,    82,    83,    84,    85,    86,
      87,    88,    89,    90,    -1,    92,    93,    94,    95,    96,
      97,    -1,    99,   100,   101,   102,   103,   104,   105,   106,
     107,   108,   109,   110,   111,   112,   113,   114,   115,   116,
     117,   118,   119,   120,    -1,   122,   123,   124,   125,   126,
     127,   128,    -1,   130,   131,   132,   133,    -1,    -1,   136,
     137,   138,   139,   140,    -1,   142,   143,   144,    -1,   146,
     147,   148,    -1,   150,   151,   152,   153,   154,   155,   156,
     157,   158,   159,   160,   161,    -1,   163,   164,   165,   166,
     167,    -1,   169,    -1,   171,   172,   173,    -1,   175,   176,
     177,   178,   179,    -1,   181,   182,    -1,   184,   185,   186,
      -1,   188,   189,   190,   191,   192,   193,   194,   195,   196,
     197,    -1,   199,   200,   201,   202,   203,   204,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
      -1,   218,    -1,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,    -1,    -1,   240,   241,   242,   243,   244,    -1,   246,
     247,   248,   249,   250,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,   292,   293,    -1,   295,   296,
      -1,    -1,   299,   300,   301,    -1,    -1,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,    -1,   322,   323,   324,   325,   326,
     327,   328,   329,    -1,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,    -1,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,    -1,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,    -1,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,   396,
      -1,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,    -1,   414,   415,   416,
      -1,   418,   419,   420,   421,   422,   423,   424,    -1,   426,
     427,   428,    -1,    -1,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,    -1,   446,
     447,   448,   449,   450,   451,   452,    -1,   454,   455,   456,
     457,   458,   459,   460,    -1,   462,   463,   464,   465,   466,
     467,    -1,    -1,   470,    -1,    -1,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,    -1,   494,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   506,
     507,    -1,    -1,    -1,     3,    -1,     5,     6,   515,     8,
       9,    10,    11,    12,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      -1,    30,    31,    32,    -1,    -1,    -1,    -1,    37,    -1,
      -1,    40,    41,    42,    -1,    44,    45,    46,    47,    48,
      49,    50,    51,    52,    53,    54,    55,    56,    -1,    58,
      59,    60,    61,    62,    63,    64,    65,    66,    67,    68,
      69,    70,    71,    -1,    73,    74,    75,    76,    77,    -1,
      79,    -1,    81,    82,    83,    84,    85,    86,    87,    88,
      89,    90,    -1,    92,    93,    94,    95,    96,    97,    -1,
      99,   100,   101,   102,   103,   104,   105,   106,   107,   108,
     109,   110,   111,   112,   113,   114,   115,   116,   117,   118,
     119,   120,    -1,   122,   123,   124,   125,   126,   127,   128,
      -1,   130,   131,   132,   133,    -1,    -1,   136,   137,   138,
     139,   140,    -1,   142,   143,   144,    -1,   146,   147,   148,
      -1,   150,   151,   152,   153,   154,   155,   156,   157,   158,
     159,   160,   161,    -1,   163,   164,   165,   166,   167,    -1,
     169,    -1,   171,   172,   173,    -1,   175,   176,   177,   178,
     179,    -1,   181,   182,    -1,   184,   185,   186,    -1,   188,
     189,   190,   191,   192,   193,   194,   195,   196,   197,    -1,
     199,   200,   201,   202,   203,   204,   205,   206,    -1,   208,
     209,   210,   211,   212,   213,   214,   215,   216,    -1,   218,
      -1,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,    -1,
      -1,   240,   241,   242,   243,   244,    -1,   246,   247,   248,
     249,   250,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,   263,   264,   265,   266,   267,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,   292,   293,    -1,   295,   296,    -1,    -1,
     299,   300,   301,    -1,    -1,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,    -1,   322,   323,   324,   325,   326,   327,   328,
     329,    -1,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,    -1,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,    -1,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,    -1,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,   396,    -1,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,    -1,   414,   415,   416,    -1,   418,
     419,   420,   421,   422,   423,   424,    -1,   426,   427,   428,
      -1,    -1,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,    -1,   446,   447,   448,
     449,   450,   451,   452,    -1,   454,   455,   456,   457,   458,
     459,   460,    -1,   462,   463,   464,   465,   466,   467,    -1,
      -1,   470,    -1,    -1,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,    -1,   494,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   506,   507,    -1,
      -1,    -1,     3,    -1,     5,     6,   515,     8,     9,    10,
      11,    12,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    -1,    30,
      31,    32,    -1,    -1,    -1,    -1,    37,    -1,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    48,    49,    50,
      51,    52,    53,    54,    55,    56,    -1,    58,    59,    60,
      61,    62,    63,    64,    65,    66,    67,    68,    69,    70,
      71,    -1,    73,    74,    75,    76,    77,    -1,    79,    -1,
      81,    82,    83,    84,    85,    86,    87,    88,    89,    90,
      -1,    92,    93,    94,    95,    96,    97,    -1,    99,   100,
     101,   102,   103,   104,   105,   106,   107,   108,   109,   110,
     111,   112,   113,   114,   115,   116,   117,   118,   119,   120,
      -1,   122,   123,   124,   125,   126,   127,   128,    -1,   130,
     131,   132,   133,    -1,    -1,   136,   137,   138,   139,   140,
      -1,   142,   143,   144,    -1,   146,   147,   148,    -1,   150,
     151,   152,   153,   154,   155,   156,   157,   158,   159,   160,
     161,    -1,   163,   164,   165,   166,   167,    -1,   169,    -1,
     171,   172,   173,    -1,   175,   176,   177,   178,   179,    -1,
     181,   182,    -1,   184,   185,   186,    -1,   188,   189,   190,
     191,   192,   193,   194,   195,   196,   197,    -1,   199,   200,
     201,   202,   203,   204,   205,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,   216,    -1,   218,    -1,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,    -1,    -1,   240,
     241,   242,   243,   244,    -1,   246,   247,   248,   249,   250,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,   263,   264,   265,   266,   267,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,   292,   293,    -1,   295,   296,    -1,    -1,   299,   300,
     301,    -1,    -1,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
      -1,   322,   323,   324,   325,   326,   327,   328,   329,    -1,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,    -1,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,    -1,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,    -1,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,   396,    -1,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,    -1,   414,   415,   416,    -1,   418,   419,   420,
     421,   422,   423,   424,    -1,   426,   427,   428,    -1,    -1,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,    -1,   446,   447,   448,   449,   450,
     451,   452,    -1,   454,   455,   456,   457,   458,   459,   460,
      -1,   462,   463,   464,   465,   466,   467,    -1,    -1,   470,
      -1,    -1,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,    -1,   494,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   506,   507,    -1,    -1,    -1,
       3,    -1,     5,     6,   515,     8,     9,    10,    11,    12,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      -1,    -1,    -1,    -1,    37,    -1,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    48,    49,    50,    51,    52,
      53,    54,    55,    56,    -1,    58,    59,    60,    61,    62,
      63,    64,    65,    66,    67,    68,    69,    70,    71,    -1,
      73,    74,    75,    76,    77,    -1,    79,    -1,    81,    82,
      83,    84,    85,    86,    87,    88,    89,    90,    -1,    92,
      93,    94,    95,    96,    97,    -1,    99,   100,   101,   102,
     103,   104,   105,   106,   107,   108,   109,   110,   111,   112,
     113,   114,   115,   116,   117,   118,   119,   120,    -1,   122,
     123,   124,   125,   126,   127,   128,    -1,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,    -1,   146,   147,   148,    -1,   150,   151,   152,
     153,   154,   155,   156,   157,   158,   159,   160,   161,    -1,
     163,   164,   165,   166,   167,    -1,   169,    -1,   171,   172,
     173,    -1,   175,   176,   177,   178,   179,    -1,   181,   182,
      -1,   184,   185,   186,    -1,   188,   189,   190,   191,   192,
     193,   194,   195,   196,   197,    -1,   199,   200,   201,   202,
     203,   204,   205,   206,    -1,   208,   209,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,    -1,    -1,   240,   241,   242,
     243,   244,    -1,   246,   247,   248,   249,   250,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,    -1,
     283,   284,   285,   286,   287,   288,   289,   290,   291,   292,
     293,    -1,   295,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,   327,   328,   329,    -1,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,    -1,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,    -1,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,    -1,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   396,    -1,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
      -1,   414,   415,   416,    -1,   418,   419,   420,   421,   422,
     423,   424,    -1,   426,   427,   428,    -1,    -1,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,    -1,    -1,   447,   448,   449,   450,   451,   452,
      -1,   454,   455,   456,   457,   458,   459,   460,    -1,   462,
     463,   464,   465,   466,   467,    -1,    -1,   470,    -1,    -1,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   506,   507,    -1,    -1,    -1,     3,    -1,
       5,     6,   515,     8,     9,    10,    11,    12,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    -1,    -1,
      -1,    -1,    37,    -1,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    -1,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    71,    -1,    73,    74,
      75,    76,    77,    -1,    79,    -1,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    -1,    92,    93,    94,
      95,    96,    97,    -1,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,    -1,   122,   123,   124,
     125,   126,   127,   128,    -1,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
      -1,   146,   147,   148,    -1,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,   161,    -1,   163,   164,
     165,   166,   167,    -1,   169,    -1,   171,   172,   173,    -1,
     175,   176,   177,   178,   179,    -1,   181,   182,    -1,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,    -1,   199,   200,   201,   202,   203,   204,
     205,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,    -1,    -1,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,    -1,    -1,   240,   241,   242,   243,   244,
      -1,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
      -1,   286,   287,   288,   289,   290,   291,   292,   293,    -1,
     295,   296,    -1,    -1,   299,   300,   301,    -1,    -1,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,    -1,   322,   323,   324,
     325,   326,   327,   328,   329,    -1,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,    -1,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,    -1,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,    -1,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,    -1,   414,
     415,   416,    -1,   418,   419,   420,   421,   422,   423,   424,
      -1,   426,   427,   428,    -1,    -1,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
      -1,   446,   447,   448,   449,   450,   451,   452,    -1,   454,
     455,   456,   457,   458,   459,   460,    -1,   462,   463,   464,
     465,   466,   467,    -1,    -1,   470,    -1,    -1,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,    -1,   494,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   506,   507,    -1,    -1,    -1,     3,    -1,     5,     6,
     515,     8,     9,    10,    11,    12,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,
      37,    -1,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    48,    49,    50,    51,    52,    53,    54,    55,    56,
      -1,    58,    59,    60,    61,    62,    63,    64,    65,    66,
      67,    68,    69,    70,    71,    -1,    73,    74,    75,    76,
      77,    -1,    79,    -1,    81,    82,    83,    84,    85,    86,
      87,    88,    89,    90,    -1,    92,    93,    94,    95,    96,
      97,    -1,    99,   100,   101,   102,   103,   104,   105,   106,
     107,   108,   109,   110,   111,   112,   113,   114,   115,   116,
     117,   118,    -1,   120,    -1,   122,   123,   124,   125,   126,
     127,   128,    -1,   130,   131,   132,   133,    -1,    -1,   136,
     137,   138,   139,   140,    -1,   142,   143,   144,    -1,   146,
     147,   148,    -1,   150,   151,   152,   153,   154,   155,   156,
     157,   158,   159,   160,   161,    -1,   163,   164,   165,   166,
     167,    -1,   169,    -1,   171,   172,   173,    -1,   175,   176,
     177,   178,   179,    -1,   181,   182,    -1,   184,   185,   186,
      -1,   188,   189,   190,   191,   192,   193,   194,   195,   196,
     197,    -1,   199,   200,   201,   202,   203,   204,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
      -1,   218,    -1,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,    -1,    -1,   240,   241,   242,   243,   244,    -1,   246,
     247,   248,   249,   250,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,   279,   280,   281,    -1,   283,   284,   285,   286,
     287,   288,   289,   290,   291,   292,   293,    -1,   295,   296,
      -1,    -1,   299,   300,   301,    -1,    -1,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,    -1,   322,   323,   324,   325,   326,
     327,   328,   329,    -1,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,    -1,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,    -1,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,    -1,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,   396,
      -1,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,    -1,   414,   415,   416,
      -1,   418,   419,   420,   421,   422,   423,   424,    -1,   426,
     427,   428,    -1,    -1,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,    -1,    -1,
     447,   448,   449,   450,   451,   452,    -1,   454,   455,   456,
     457,   458,   459,   460,    -1,   462,   463,   464,   465,   466,
     467,    -1,    -1,   470,    -1,    -1,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   506,
     507,     3,    -1,     5,     6,    -1,     8,     9,   515,    11,
      12,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    -1,    -1,    -1,    -1,    37,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    48,    49,    50,    51,
      52,    53,    54,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    65,    66,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    77,    -1,    79,    -1,    81,
      82,    83,    84,    85,    86,    87,    88,    89,    90,    -1,
      92,    93,    94,    95,    96,    97,    -1,    99,   100,   101,
     102,   103,   104,   105,   106,   107,   108,   109,   110,   111,
     112,   113,   114,   115,   116,   117,   118,    -1,   120,    -1,
     122,   123,   124,   125,   126,   127,   128,    -1,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,    -1,   146,   147,   148,    -1,   150,   151,
     152,   153,   154,   155,   156,   157,   158,   159,   160,   161,
      -1,   163,   164,   165,   166,   167,    -1,   169,    -1,   171,
     172,   173,    -1,   175,   176,   177,   178,   179,    -1,   181,
     182,    -1,   184,   185,   186,    -1,   188,   189,   190,   191,
     192,   193,   194,   195,   196,   197,    -1,   199,   200,   201,
     202,   203,   204,   205,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,    -1,    -1,   240,   241,
     242,   243,   244,    -1,   246,   247,   248,   249,   250,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
      -1,   283,   284,   285,   286,   287,   288,   289,   290,   291,
     292,   293,    -1,   295,   296,    -1,    -1,   299,   300,   301,
      -1,    -1,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,    -1,
     322,   323,   324,   325,   326,   327,   328,   329,    -1,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,    -1,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,    -1,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,    -1,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,    -1,   414,   415,   416,    -1,   418,   419,   420,   421,
     422,   423,   424,    -1,   426,   427,   428,    -1,    -1,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,    -1,    -1,   447,   448,   449,   450,   451,
     452,    -1,   454,   455,   456,   457,   458,   459,   460,    -1,
     462,   463,   464,   465,   466,   467,    -1,    -1,   470,    -1,
      -1,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   506,   507,     3,    -1,     5,     6,
      -1,     8,     9,   515,    11,    12,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,
      37,    -1,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    48,    49,    50,    51,    52,    53,    54,    55,    56,
      -1,    58,    59,    60,    61,    62,    63,    64,    65,    66,
      67,    68,    69,    70,    71,    -1,    73,    74,    75,    76,
      77,    -1,    79,    -1,    81,    82,    83,    84,    85,    86,
      87,    88,    89,    90,    -1,    92,    93,    94,    95,    96,
      97,    -1,    99,   100,   101,   102,   103,   104,   105,   106,
     107,   108,   109,   110,   111,   112,   113,   114,   115,   116,
     117,   118,    -1,   120,    -1,   122,   123,   124,   125,   126,
     127,   128,    -1,   130,   131,   132,   133,    -1,    -1,   136,
     137,   138,   139,   140,    -1,   142,   143,   144,    -1,   146,
     147,   148,    -1,   150,   151,   152,   153,   154,   155,   156,
     157,   158,   159,   160,   161,    -1,   163,   164,   165,   166,
     167,    -1,   169,    -1,   171,   172,   173,    -1,   175,   176,
     177,   178,   179,    -1,   181,   182,    -1,   184,   185,   186,
      -1,   188,   189,   190,   191,   192,   193,   194,   195,   196,
     197,    -1,   199,   200,   201,   202,   203,   204,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
      -1,   218,    -1,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,    -1,    -1,   240,   241,   242,   243,   244,    -1,   246,
     247,   248,   249,   250,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,   279,   280,   281,    -1,   283,   284,   285,   286,
     287,   288,   289,   290,   291,   292,   293,    -1,   295,   296,
      -1,    -1,   299,   300,   301,    -1,    -1,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,    -1,   322,   323,   324,   325,   326,
     327,   328,   329,    -1,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,    -1,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,    -1,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,    -1,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,   396,
      -1,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,    -1,   414,   415,   416,
      -1,   418,   419,   420,   421,   422,   423,   424,    -1,   426,
     427,   428,    -1,    -1,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,    -1,    -1,
     447,   448,   449,   450,   451,   452,    -1,   454,   455,   456,
     457,   458,   459,   460,    -1,   462,   463,   464,   465,   466,
     467,    -1,    -1,   470,    -1,    -1,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,    -1,    -1,    -1,    -1,
      -1,    -1,     3,    -1,     5,     6,    -1,     8,     9,    -1,
      11,    12,    -1,    -1,    -1,    -1,    -1,    -1,   515,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    -1,    30,
      31,    32,    -1,    -1,    -1,    -1,    37,    -1,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    48,    49,    50,
      51,    52,    53,    54,    55,    56,    -1,    58,    59,    60,
      61,    62,    63,    64,    65,    66,    67,    68,    69,    70,
      71,    -1,    73,    74,    75,    76,    77,    -1,    79,    -1,
      81,    82,    83,    84,    85,    86,    87,    88,    89,    90,
      -1,    92,    93,    94,    95,    96,    97,    -1,    99,   100,
     101,   102,   103,   104,   105,   106,   107,   108,   109,   110,
     111,   112,   113,   114,   115,   116,   117,   118,    -1,   120,
      -1,   122,   123,   124,   125,   126,   127,   128,    -1,   130,
     131,   132,   133,    -1,    -1,   136,   137,   138,   139,   140,
      -1,   142,   143,   144,    -1,   146,   147,   148,    -1,   150,
     151,   152,   153,   154,   155,   156,   157,   158,   159,   160,
     161,    -1,   163,   164,   165,   166,   167,    -1,   169,    -1,
     171,   172,   173,    -1,   175,   176,   177,   178,   179,    -1,
     181,   182,    -1,   184,   185,   186,    -1,   188,   189,   190,
     191,   192,   193,   194,   195,   196,   197,    -1,   199,   200,
     201,   202,   203,   204,   205,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,   216,    -1,   218,    -1,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,    -1,    -1,   240,
     241,   242,   243,   244,    -1,   246,   247,   248,   249,   250,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,   263,   264,   265,   266,   267,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,   278,   279,   280,
     281,    -1,   283,   284,   285,   286,   287,   288,   289,   290,
     291,   292,   293,    -1,   295,   296,    -1,    -1,   299,   300,
     301,    -1,    -1,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
      -1,   322,   323,   324,   325,   326,   327,   328,   329,    -1,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,    -1,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,    -1,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,    -1,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,   396,    -1,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,    -1,   414,   415,   416,    -1,   418,   419,   420,
     421,   422,   423,   424,    -1,   426,   427,   428,    -1,    -1,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,    -1,    -1,   447,   448,   449,   450,
     451,   452,    -1,   454,   455,   456,   457,   458,   459,   460,
      -1,   462,   463,   464,   465,   466,   467,    -1,    -1,   470,
      -1,    -1,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,    -1,    -1,    -1,    -1,    -1,    -1,     3,    -1,
       5,     6,    -1,     8,     9,    -1,    11,    12,    -1,    -1,
      -1,    -1,    -1,    -1,   515,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    -1,    -1,
      -1,    -1,    37,    -1,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    -1,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    71,    -1,    73,    74,
      75,    76,    77,    -1,    79,    -1,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    -1,    92,    93,    94,
      95,    96,    97,    -1,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,    -1,   120,    -1,   122,   123,   124,
     125,   126,   127,   128,    -1,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
      -1,   146,   147,   148,    -1,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,   161,    -1,   163,   164,
     165,   166,   167,    -1,   169,    -1,   171,   172,   173,    -1,
     175,   176,   177,   178,   179,    -1,   181,   182,    -1,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,    -1,   199,   200,   201,   202,   203,   204,
     205,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,    -1,    -1,   240,   241,   242,   243,   244,
      -1,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,    -1,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,    -1,
     295,   296,    -1,    -1,   299,   300,   301,    -1,    -1,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,    -1,   322,   323,   324,
     325,   326,   327,   328,   329,    -1,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,    -1,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,    -1,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,    -1,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,    -1,   414,
     415,   416,    -1,   418,   419,   420,   421,   422,   423,   424,
      -1,   426,   427,   428,    -1,    -1,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
      -1,    -1,   447,   448,   449,   450,   451,   452,    -1,   454,
     455,   456,   457,   458,   459,   460,    -1,   462,   463,   464,
     465,   466,   467,    -1,    -1,   470,    -1,    -1,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,    -1,    -1,
      -1,    -1,    -1,    -1,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     515,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      -1,    30,    31,    32,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    40,    41,    42,    -1,    44,    45,    46,    47,    48,
      49,    50,    51,    52,    53,    54,    55,    56,    -1,    58,
      59,    60,    61,    62,    63,    64,    -1,    66,    67,    68,
      69,    70,    71,    -1,    73,    74,    75,    76,    77,    -1,
      79,    -1,    81,    82,    83,    84,    85,    86,    87,    88,
      89,    90,    -1,    92,    93,    94,    95,    96,    97,    -1,
      99,   100,   101,   102,   103,   104,   105,   106,   107,   108,
     109,   110,   111,   112,   113,   114,   115,   116,   117,   118,
      -1,   120,    -1,   122,   123,   124,   125,   126,   127,   128,
      -1,   130,   131,   132,   133,    -1,    -1,   136,   137,   138,
     139,   140,    -1,   142,   143,   144,    -1,   146,   147,   148,
      -1,   150,   151,   152,   153,   154,   155,   156,   157,   158,
     159,    -1,   161,    -1,   163,   164,   165,   166,   167,    -1,
     169,    -1,   171,   172,   173,    -1,   175,   176,   177,   178,
     179,    -1,   181,   182,    -1,   184,   185,   186,    -1,   188,
     189,   190,   191,   192,   193,   194,   195,   196,   197,    -1,
     199,   200,   201,   202,   203,   204,   205,   206,    -1,   208,
     209,   210,   211,   212,   213,   214,   215,   216,    -1,   218,
      -1,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
      -1,   240,   241,   242,   243,   244,    -1,   246,   247,   248,
     249,   250,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,   263,   264,   265,   266,   267,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,   278,
     279,   280,   281,    -1,   283,   284,   285,   286,    -1,   288,
     289,   290,   291,   292,   293,    -1,   295,   296,    -1,   298,
     299,   300,   301,    -1,    -1,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,    -1,   322,   323,   324,   325,   326,   327,   328,
     329,    -1,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,    -1,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,    -1,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,   396,    -1,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,    -1,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,    -1,   426,   427,   428,
      -1,    -1,   431,   432,   433,   434,   435,    -1,   437,   438,
     439,   440,   441,   442,   443,   444,    -1,    -1,   447,   448,
     449,   450,   451,   452,    -1,   454,   455,   456,   457,   458,
     459,   460,    -1,   462,   463,   464,   465,   466,   467,    -1,
      -1,   470,    -1,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,    -1,    -1,    -1,   496,    -1,    -1,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   515,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    48,    49,    50,    51,    52,
      53,    54,    55,    56,    -1,    58,    59,    60,    61,    62,
      63,    64,    -1,    66,    67,    68,    69,    70,    71,    -1,
      73,    74,    75,    76,    77,    -1,    79,    -1,    81,    82,
      83,    84,    85,    86,    87,    88,    89,    90,    -1,    92,
      93,    94,    95,    96,    97,    -1,    99,   100,   101,   102,
     103,   104,   105,   106,   107,   108,   109,   110,   111,   112,
     113,   114,   115,   116,   117,   118,    -1,   120,    -1,   122,
     123,   124,   125,   126,   127,   128,    -1,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,    -1,   146,   147,   148,    -1,   150,   151,   152,
     153,   154,   155,   156,   157,   158,   159,    -1,   161,    -1,
     163,   164,   165,   166,   167,    -1,   169,    -1,   171,   172,
     173,    -1,   175,   176,   177,   178,   179,    -1,   181,   182,
      -1,   184,   185,   186,    -1,   188,   189,   190,   191,   192,
     193,   194,   195,   196,   197,    -1,   199,   200,   201,   202,
     203,   204,   205,   206,    -1,   208,   209,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,    -1,   240,   241,   242,
     243,   244,    -1,   246,   247,   248,   249,   250,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,    -1,
     283,   284,   285,   286,    -1,   288,   289,   290,   291,   292,
     293,    -1,   295,   296,    -1,   298,   299,   300,   301,    -1,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,   327,   328,   329,    -1,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,    -1,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,    -1,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,    -1,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   396,    -1,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
      -1,   414,   415,   416,    -1,   418,   419,   420,   421,   422,
     423,   424,    -1,   426,   427,   428,    -1,    -1,   431,   432,
     433,   434,   435,    -1,   437,   438,   439,   440,   441,   442,
     443,   444,    -1,    -1,   447,   448,   449,   450,   451,   452,
      -1,   454,   455,   456,   457,   458,   459,   460,    -1,   462,
     463,   464,   465,   466,   467,    -1,    -1,   470,    -1,    -1,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
      -1,    -1,    -1,    -1,    -1,    -1,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   515,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    48,    49,    50,    51,    52,    53,    54,    55,    56,
      -1,    58,    59,    60,    61,    62,    63,    64,    -1,    66,
      67,    68,    69,    70,    71,    -1,    73,    74,    75,    76,
      77,    -1,    79,    -1,    81,    82,    83,    84,    85,    86,
      87,    88,    89,    90,    -1,    92,    93,    94,    95,    96,
      97,    -1,    99,   100,   101,   102,   103,   104,   105,   106,
     107,   108,   109,   110,   111,   112,   113,   114,   115,   116,
     117,   118,    -1,   120,    -1,   122,   123,   124,   125,   126,
     127,   128,    -1,   130,   131,   132,   133,    -1,    -1,   136,
     137,   138,   139,   140,    -1,   142,   143,   144,    -1,   146,
     147,   148,    -1,   150,   151,   152,   153,   154,   155,   156,
     157,   158,   159,    -1,   161,    -1,   163,   164,   165,   166,
     167,    -1,   169,    -1,   171,   172,   173,    -1,   175,   176,
     177,   178,   179,    -1,   181,   182,    -1,   184,   185,   186,
      -1,   188,   189,   190,   191,   192,   193,   194,   195,   196,
     197,    -1,   199,   200,   201,   202,   203,   204,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
      -1,   218,    -1,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,    -1,    -1,   240,   241,   242,   243,   244,    -1,   246,
     247,   248,   249,   250,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,   279,   280,   281,    -1,   283,   284,   285,   286,
      -1,   288,   289,   290,   291,   292,   293,    -1,   295,   296,
      -1,    -1,   299,   300,   301,    -1,    -1,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,    -1,   322,   323,   324,   325,   326,
     327,   328,   329,    -1,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,    -1,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,    -1,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,    -1,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,   396,
      -1,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,    -1,   414,   415,   416,
      -1,   418,   419,   420,   421,   422,   423,   424,    -1,   426,
     427,   428,    -1,    -1,   431,   432,   433,   434,   435,    -1,
     437,   438,   439,   440,   441,   442,   443,   444,    -1,    -1,
     447,   448,   449,   450,   451,   452,    -1,   454,   455,   456,
     457,   458,   459,   460,    -1,   462,   463,   464,   465,   466,
     467,    -1,    -1,   470,    -1,    -1,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,    -1,    -1,    -1,    -1,
      -1,    -1,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   515,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    -1,    30,
      31,    32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    48,    49,    50,
      51,    52,    53,    54,    55,    56,    -1,    58,    59,    60,
      61,    62,    63,    64,    -1,    66,    67,    68,    69,    70,
      71,    -1,    73,    74,    75,    76,    77,    -1,    79,    -1,
      81,    82,    83,    84,    85,    86,    87,    88,    89,    90,
      -1,    92,    93,    94,    95,    96,    97,    -1,    99,   100,
     101,   102,   103,   104,   105,   106,   107,   108,   109,   110,
     111,   112,   113,   114,   115,   116,   117,   118,    -1,   120,
      -1,   122,   123,   124,   125,   126,   127,   128,    -1,   130,
     131,   132,   133,    -1,    -1,   136,   137,   138,   139,   140,
      -1,   142,   143,   144,    -1,   146,   147,   148,    -1,   150,
     151,   152,   153,   154,   155,   156,   157,   158,   159,    -1,
     161,    -1,   163,   164,   165,   166,   167,    -1,   169,    -1,
     171,   172,   173,    -1,   175,   176,   177,   178,   179,    -1,
     181,   182,    -1,   184,   185,   186,    -1,   188,   189,   190,
     191,   192,   193,   194,   195,   196,   197,    -1,   199,   200,
     201,   202,   203,   204,   205,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,   216,    -1,   218,    -1,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,    -1,    -1,   240,
     241,   242,   243,   244,    -1,   246,   247,   248,   249,   250,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,   263,   264,   265,   266,   267,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,   278,   279,   280,
     281,    -1,   283,   284,   285,   286,    -1,   288,   289,   290,
     291,   292,   293,    -1,   295,   296,    -1,    -1,   299,   300,
     301,    -1,    -1,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
      -1,   322,   323,   324,   325,   326,   327,   328,   329,    -1,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,    -1,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,    -1,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,    -1,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,   396,    -1,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,    -1,   414,   415,   416,    -1,   418,   419,   420,
     421,   422,   423,   424,    -1,   426,   427,   428,    -1,    -1,
     431,   432,   433,   434,   435,    -1,   437,   438,   439,   440,
     441,   442,   443,   444,    -1,    -1,   447,   448,   449,   450,
     451,   452,    -1,   454,   455,   456,   457,   458,   459,   460,
      -1,   462,   463,   464,   465,   466,   467,    -1,    -1,   470,
      -1,    -1,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,    -1,    -1,    -1,    -1,    -1,    -1,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   515,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    -1,    58,    59,    60,    61,    62,    63,    64,
      -1,    66,    67,    68,    69,    70,    71,    -1,    73,    74,
      75,    76,    77,    -1,    79,    -1,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    -1,    92,    93,    94,
      95,    96,    97,    -1,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,    -1,   120,    -1,   122,   123,   124,
     125,   126,   127,   128,    -1,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
      -1,   146,   147,   148,    -1,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,    -1,   161,    -1,   163,   164,
     165,   166,   167,    -1,   169,    -1,   171,   172,   173,    -1,
     175,   176,   177,   178,   179,    -1,   181,   182,    -1,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,    -1,   199,   200,   201,   202,   203,   204,
     205,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,    -1,    -1,   240,   241,   242,   243,   244,
      -1,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,    -1,   283,   284,
     285,   286,    -1,   288,   289,   290,   291,   292,   293,    -1,
     295,   296,    -1,    -1,   299,   300,   301,    -1,    -1,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,    -1,   322,   323,   324,
     325,   326,   327,   328,   329,    -1,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,    -1,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,    -1,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,    -1,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,    -1,   414,
     415,   416,    -1,   418,   419,   420,   421,   422,   423,   424,
      -1,   426,   427,   428,    -1,    -1,   431,   432,   433,   434,
     435,    -1,   437,   438,   439,   440,   441,   442,   443,   444,
      -1,    -1,   447,   448,   449,   450,   451,   452,    -1,   454,
     455,   456,   457,   458,   459,   460,    -1,   462,   463,   464,
     465,   466,   467,    -1,    -1,   470,    -1,    -1,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,    -1,    -1,
      -1,    -1,    -1,    -1,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     515,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      -1,    30,    31,    32,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    40,    41,    42,    -1,    44,    45,    46,    47,    48,
      49,    50,    51,    52,    53,    54,    55,    56,    -1,    58,
      59,    60,    61,    62,    63,    64,    -1,    66,    67,    68,
      69,    70,    71,    -1,    73,    74,    75,    76,    77,    -1,
      79,    -1,    81,    82,    83,    84,    85,    86,    87,    88,
      89,    90,    -1,    92,    93,    94,    95,    96,    97,    -1,
      99,   100,   101,   102,   103,   104,   105,   106,   107,   108,
     109,   110,   111,   112,   113,   114,   115,   116,   117,   118,
      -1,   120,    -1,   122,   123,   124,   125,   126,   127,   128,
      -1,   130,   131,   132,   133,    -1,    -1,   136,   137,   138,
     139,   140,    -1,   142,   143,   144,    -1,   146,   147,   148,
      -1,   150,   151,   152,   153,   154,   155,   156,   157,   158,
     159,    -1,   161,    -1,   163,   164,   165,   166,   167,    -1,
     169,    -1,   171,   172,   173,    -1,   175,   176,   177,   178,
     179,    -1,   181,   182,    -1,   184,   185,   186,    -1,   188,
     189,   190,   191,   192,   193,   194,   195,   196,   197,    -1,
     199,   200,   201,   202,   203,   204,   205,   206,    -1,   208,
     209,   210,   211,   212,   213,   214,   215,   216,    -1,   218,
      -1,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,    -1,
      -1,   240,   241,   242,   243,   244,    -1,   246,   247,   248,
     249,   250,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,   263,   264,   265,   266,   267,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,   278,
     279,   280,   281,    -1,   283,   284,   285,   286,    -1,   288,
     289,   290,   291,   292,   293,    -1,   295,   296,    -1,    -1,
     299,   300,   301,    -1,    -1,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,    -1,   322,   323,   324,   325,   326,   327,   328,
     329,    -1,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,    -1,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,    -1,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,    -1,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,   396,    -1,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,    -1,   414,   415,   416,    -1,   418,
     419,   420,   421,   422,   423,   424,    -1,   426,   427,   428,
      -1,    -1,   431,   432,   433,   434,   435,    -1,   437,   438,
     439,   440,   441,   442,   443,   444,    -1,    -1,   447,   448,
     449,   450,   451,   452,    -1,   454,   455,   456,   457,   458,
     459,   460,    -1,   462,   463,   464,   465,   466,   467,    -1,
      -1,   470,    -1,    -1,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,    -1,    -1,    -1,    -1,    -1,    -1,
       3,    -1,     5,     6,    -1,    -1,    -1,    -1,    11,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   515,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    48,    49,    50,    51,    52,
      53,    54,    55,    56,    -1,    58,    59,    60,    61,    62,
      63,    64,    -1,    -1,    67,    68,    69,    70,    71,    -1,
      73,    74,    75,    76,    77,    -1,    79,    -1,    81,    82,
      83,    84,    85,    86,    87,    88,    89,    90,    -1,    92,
      93,    94,    95,    96,    97,    -1,    99,   100,   101,   102,
      -1,    -1,    -1,   106,    -1,    -1,    -1,   110,   111,   112,
     113,   114,   115,   116,   117,   118,    -1,   120,    -1,   122,
     123,   124,   125,   126,   127,   128,    -1,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,    -1,   146,   147,   148,    -1,   150,   151,   152,
     153,   154,   155,   156,   157,   158,   159,   160,   161,    -1,
     163,   164,   165,   166,   167,    -1,   169,    -1,   171,   172,
     173,    -1,   175,   176,   177,   178,   179,    -1,   181,   182,
      -1,   184,   185,   186,    -1,   188,   189,   190,   191,   192,
     193,   194,   195,   196,   197,    -1,   199,   200,   201,   202,
     203,   204,   205,   206,    -1,   208,   209,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,    -1,    -1,   240,   241,   242,
     243,   244,    -1,   246,   247,   248,    -1,    -1,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,    -1,
     283,   284,   285,   286,    -1,   288,   289,   290,   291,   292,
     293,    -1,   295,   296,   297,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,   327,   328,   329,    -1,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,    -1,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,    -1,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,    -1,   381,   382,
     383,   384,   385,    -1,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   396,    -1,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
      -1,   414,   415,    -1,    -1,   418,   419,   420,   421,   422,
     423,   424,    -1,   426,   427,   428,    -1,    -1,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,    -1,    -1,   447,   448,   449,   450,   451,    -1,
      -1,   454,   455,   456,   457,   458,   459,   460,    -1,   462,
     463,   464,   465,   466,   467,    -1,    -1,   470,    -1,    -1,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
      -1,    -1,    -1,    -1,    -1,    -1,     3,    -1,    -1,    -1,
      -1,    -1,    -1,   506,   507,   508,    -1,    -1,    -1,    -1,
      -1,    -1,   515,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    -1,    30,    31,    32,    33,    34,    -1,    -1,
      -1,    -1,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    48,    49,    50,    51,    52,    53,    54,    55,    56,
      -1,    58,    59,    60,    61,    62,    63,    64,    -1,    -1,
      67,    68,    69,    70,    71,    -1,    73,    74,    75,    76,
      77,    -1,    79,    -1,    81,    82,    83,    84,    85,    86,
      87,    88,    89,    90,    -1,    92,    93,    94,    95,    96,
      97,    -1,    99,   100,   101,   102,    -1,    -1,    -1,   106,
      -1,    -1,    -1,   110,   111,   112,   113,   114,   115,   116,
     117,   118,    -1,   120,    -1,   122,   123,   124,   125,   126,
     127,   128,    -1,   130,   131,   132,   133,    -1,    -1,   136,
     137,   138,   139,   140,    -1,   142,   143,   144,    -1,   146,
     147,   148,    -1,   150,   151,   152,   153,   154,   155,   156,
     157,   158,   159,    -1,   161,    -1,   163,   164,   165,   166,
     167,    -1,   169,    -1,   171,   172,   173,    -1,   175,   176,
     177,   178,   179,    -1,   181,   182,    -1,   184,   185,   186,
      -1,   188,   189,   190,   191,   192,   193,   194,   195,   196,
     197,    -1,   199,   200,   201,   202,   203,   204,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
      -1,   218,    -1,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,    -1,    -1,   240,   241,   242,   243,   244,    -1,   246,
     247,   248,    -1,    -1,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,   279,   280,   281,    -1,   283,   284,   285,   286,
      -1,   288,   289,   290,   291,   292,   293,    -1,   295,   296,
      -1,    -1,   299,   300,   301,    -1,    -1,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,    -1,   322,   323,   324,   325,   326,
     327,   328,   329,    -1,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,    -1,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,    -1,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,    -1,
     387,   388,   389,   390,   391,   392,   393,   394,   395,   396,
      -1,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,    -1,   414,   415,    -1,
     417,   418,   419,   420,   421,   422,   423,   424,    -1,   426,
     427,   428,    -1,    -1,   431,   432,   433,   434,   435,    -1,
     437,   438,   439,   440,   441,   442,   443,   444,    -1,    -1,
     447,   448,   449,   450,   451,    -1,    -1,   454,   455,   456,
     457,   458,   459,   460,    -1,   462,   463,   464,   465,   466,
     467,    -1,    -1,   470,    -1,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,    -1,    -1,   496,
      -1,    -1,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   515,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    -1,    30,
      31,    32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    48,    49,    50,
      51,    52,    53,    54,    55,    56,    -1,    58,    59,    60,
      61,    62,    63,    64,    -1,    -1,    67,    68,    69,    70,
      71,    -1,    73,    74,    75,    76,    77,    -1,    79,    -1,
      81,    82,    83,    84,    85,    86,    87,    88,    89,    90,
      -1,    92,    93,    94,    95,    96,    97,    -1,    99,   100,
     101,   102,    -1,    -1,    -1,   106,    -1,    -1,    -1,   110,
     111,   112,   113,   114,   115,   116,   117,   118,    -1,   120,
      -1,   122,   123,   124,   125,   126,   127,   128,    -1,   130,
     131,   132,   133,    -1,    -1,   136,   137,   138,   139,   140,
      -1,   142,   143,   144,    -1,   146,   147,   148,    -1,   150,
     151,   152,   153,   154,   155,   156,   157,   158,   159,    -1,
     161,    -1,   163,   164,   165,   166,   167,    -1,   169,    -1,
     171,   172,   173,    -1,   175,   176,   177,   178,   179,    -1,
     181,   182,    -1,   184,   185,   186,    -1,   188,   189,   190,
     191,   192,   193,   194,   195,   196,   197,    -1,   199,   200,
     201,   202,   203,   204,   205,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,   216,    -1,   218,    -1,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,    -1,    -1,   240,
     241,   242,   243,   244,    -1,   246,   247,   248,    -1,    -1,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,   263,   264,   265,   266,   267,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,   278,   279,   280,
     281,    -1,   283,   284,   285,   286,    -1,   288,   289,   290,
     291,   292,   293,    -1,   295,   296,    -1,    -1,   299,   300,
     301,    -1,    -1,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
      -1,   322,   323,   324,   325,   326,   327,   328,   329,    -1,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,    -1,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,    -1,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,    -1,
     381,   382,   383,   384,   385,    -1,   387,   388,   389,   390,
     391,   392,   393,   394,   395,   396,    -1,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,    -1,   414,   415,    -1,    -1,   418,   419,   420,
     421,   422,   423,   424,    -1,   426,   427,   428,    -1,    -1,
     431,   432,   433,   434,   435,    -1,   437,   438,   439,   440,
     441,   442,   443,   444,    -1,    -1,   447,   448,   449,   450,
     451,    -1,    -1,   454,   455,   456,   457,   458,   459,   460,
      -1,   462,   463,   464,   465,   466,   467,    -1,    -1,   470,
      -1,    -1,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,    -1,    -1,    -1,    -1,    -1,    -1,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   515,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    -1,    49,    50,    51,    52,    53,    -1,
      55,    56,    -1,    58,    59,    60,    61,    62,    63,    64,
      -1,    -1,    67,    68,    69,    70,    71,    -1,    73,    74,
      75,    76,    77,    -1,    -1,    -1,    81,    82,    83,    84,
      85,    86,    -1,    88,    89,    90,    -1,    92,    93,    94,
      95,    96,    97,    -1,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,   112,   113,   114,
     115,   116,   117,   118,    -1,   120,    -1,   122,   123,   124,
     125,   126,   127,   128,    -1,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
      -1,   146,   147,   148,    -1,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,    -1,   161,    -1,   163,   164,
     165,   166,   167,    -1,   169,    -1,   171,   172,    -1,    -1,
      -1,   176,   177,   178,   179,    -1,   181,   182,    -1,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,    -1,   194,
     195,   196,   197,    -1,   199,   200,   201,   202,   203,   204,
     205,   206,    -1,   208,    -1,   210,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,    -1,    -1,   223,    -1,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,    -1,    -1,   240,   241,    -1,   243,    -1,
      -1,   246,   247,   248,    -1,    -1,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,    -1,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,    -1,   283,   284,
      -1,   286,    -1,   288,   289,   290,   291,   292,   293,    -1,
     295,   296,    -1,    -1,   299,   300,   301,    -1,    -1,   304,
     305,   306,    -1,   308,    -1,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,    -1,   322,   323,   324,
     325,   326,   327,   328,   329,    -1,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,    -1,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,    -1,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,    -1,   387,   388,   389,   390,   391,    -1,   393,   394,
     395,   396,    -1,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,    -1,   414,
     415,    -1,   417,   418,    -1,   420,   421,   422,   423,   424,
      -1,   426,   427,   428,    -1,    -1,   431,   432,   433,   434,
     435,    -1,   437,   438,   439,   440,   441,   442,   443,   444,
      -1,    -1,   447,   448,   449,   450,   451,    -1,    -1,   454,
     455,   456,   457,   458,   459,   460,    -1,   462,    -1,   464,
     465,   466,   467,    -1,    -1,   470,    -1,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,    -1,    -1,
      -1,   496,    -1,    -1,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     515,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      -1,    30,    31,    32,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    40,    41,    42,    -1,    44,    45,    46,    47,    -1,
      49,    50,    51,    52,    53,    -1,    55,    56,    -1,    58,
      59,    60,    61,    62,    63,    64,    -1,    -1,    67,    68,
      69,    70,    71,    -1,    73,    74,    75,    76,    77,    -1,
      -1,    -1,    81,    82,    83,    84,    85,    86,    -1,    88,
      89,    90,    -1,    92,    93,    94,    95,    96,    97,    -1,
      -1,   100,   101,   102,    -1,    -1,    -1,   106,    -1,    -1,
      -1,   110,   111,   112,   113,   114,   115,   116,   117,   118,
      -1,   120,    -1,   122,   123,   124,   125,   126,   127,   128,
      -1,   130,   131,   132,   133,    -1,    -1,   136,   137,   138,
     139,   140,    -1,   142,   143,   144,    -1,   146,   147,   148,
      -1,   150,   151,   152,   153,   154,   155,   156,   157,   158,
     159,    -1,   161,    -1,   163,   164,   165,   166,   167,    -1,
     169,    -1,   171,   172,    -1,    -1,    -1,   176,   177,   178,
     179,    -1,   181,   182,    -1,   184,   185,   186,    -1,   188,
     189,   190,   191,   192,    -1,   194,   195,   196,   197,    -1,
     199,   200,   201,   202,   203,   204,   205,   206,    -1,   208,
      -1,   210,   211,   212,   213,   214,   215,   216,    -1,   218,
      -1,   220,    -1,    -1,   223,    -1,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,    -1,
      -1,   240,   241,    -1,   243,    -1,    -1,   246,   247,   248,
      -1,    -1,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,   263,   264,   265,   266,   267,   268,
     269,    -1,   271,   272,   273,   274,   275,   276,   277,   278,
     279,   280,   281,    -1,   283,   284,    -1,   286,    -1,   288,
     289,   290,   291,   292,   293,    -1,   295,   296,    -1,   298,
     299,   300,   301,    -1,    -1,   304,   305,   306,    -1,   308,
      -1,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,    -1,   322,   323,   324,   325,   326,   327,   328,
     329,    -1,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,    -1,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,    -1,   361,   362,    -1,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,    -1,   381,   382,   383,   384,   385,    -1,   387,   388,
     389,   390,   391,    -1,   393,   394,   395,   396,    -1,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,    -1,   414,   415,    -1,   417,   418,
      -1,   420,   421,   422,   423,   424,    -1,   426,   427,   428,
      -1,    -1,   431,   432,   433,   434,   435,    -1,   437,   438,
     439,   440,   441,   442,   443,   444,    -1,    -1,   447,   448,
     449,   450,   451,    -1,    -1,   454,   455,   456,   457,   458,
     459,   460,    -1,   462,    -1,   464,   465,   466,   467,    -1,
      -1,   470,    -1,    -1,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,    -1,    -1,    -1,    -1,    -1,    -1,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   515,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    -1,    49,    50,    51,    52,
      53,    -1,    55,    56,    -1,    58,    59,    60,    61,    62,
      63,    64,    -1,    -1,    67,    68,    69,    70,    71,    -1,
      73,    74,    75,    76,    77,    -1,    -1,    -1,    81,    82,
      83,    84,    85,    86,    -1,    88,    89,    90,    -1,    92,
      93,    94,    95,    96,    97,    -1,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,
     113,   114,   115,   116,   117,   118,    -1,   120,    -1,   122,
     123,   124,   125,   126,   127,   128,    -1,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,    -1,   146,   147,   148,    -1,   150,   151,   152,
     153,   154,   155,   156,   157,   158,   159,    -1,   161,    -1,
     163,   164,   165,   166,   167,    -1,   169,    -1,   171,   172,
      -1,    -1,    -1,   176,   177,   178,   179,    -1,   181,   182,
      -1,   184,   185,   186,    -1,   188,   189,   190,   191,   192,
      -1,   194,   195,   196,   197,    -1,   199,   200,   201,   202,
     203,   204,   205,   206,    -1,   208,    -1,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,    -1,    -1,
     223,    -1,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,    -1,    -1,   240,   241,    -1,
     243,    -1,    -1,   246,   247,   248,    -1,    -1,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,    -1,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,    -1,
     283,   284,    -1,   286,    -1,   288,   289,   290,   291,   292,
     293,    -1,   295,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,    -1,   308,    -1,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,   327,   328,   329,    -1,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,    -1,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,    -1,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,    -1,   381,   382,
     383,   384,   385,    -1,   387,   388,   389,   390,   391,    -1,
     393,   394,   395,   396,    -1,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
      -1,   414,   415,    -1,    -1,   418,    -1,   420,   421,   422,
     423,   424,    -1,   426,   427,   428,    -1,    -1,   431,   432,
     433,   434,   435,    -1,   437,   438,   439,   440,   441,   442,
     443,   444,    -1,    -1,   447,   448,   449,   450,   451,    -1,
      -1,   454,   455,   456,   457,   458,   459,   460,    -1,   462,
      -1,   464,   465,   466,   467,    -1,    -1,   470,    -1,    -1,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
      -1,    -1,    -1,    -1,    -1,    -1,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   515,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    -1,    49,    50,    51,    52,    53,    -1,    55,    56,
      -1,    58,    59,    60,    61,    62,    63,    64,    -1,    -1,
      67,    68,    69,    70,    71,    -1,    73,    74,    75,    76,
      77,    -1,    -1,    -1,    81,    82,    83,    84,    85,    86,
      -1,    88,    89,    90,    -1,    92,    93,    94,    95,    96,
      97,    -1,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,   112,   113,   114,   115,   116,
     117,   118,    -1,   120,    -1,   122,   123,   124,   125,   126,
     127,   128,    -1,   130,   131,   132,   133,    -1,    -1,   136,
     137,   138,   139,   140,    -1,   142,   143,   144,    -1,   146,
     147,   148,    -1,   150,   151,   152,   153,   154,   155,   156,
     157,   158,   159,    -1,   161,    -1,   163,   164,   165,   166,
     167,    -1,   169,    -1,   171,   172,    -1,    -1,    -1,   176,
     177,   178,   179,    -1,   181,   182,    -1,   184,   185,   186,
      -1,   188,   189,   190,   191,   192,    -1,   194,   195,   196,
     197,    -1,   199,   200,   201,   202,   203,   204,   205,   206,
      -1,   208,    -1,   210,   211,   212,   213,   214,   215,   216,
      -1,   218,    -1,   220,    -1,    -1,   223,    -1,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,    -1,    -1,   240,   241,    -1,   243,    -1,    -1,   246,
     247,   248,    -1,    -1,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,    -1,   271,   272,   273,   274,   275,   276,
     277,   278,   279,   280,   281,    -1,   283,   284,    -1,   286,
      -1,   288,   289,   290,   291,   292,   293,    -1,   295,   296,
      -1,    -1,   299,   300,   301,    -1,    -1,   304,   305,   306,
      -1,   308,    -1,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,    -1,   322,   323,   324,   325,   326,
     327,   328,   329,    -1,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,    -1,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,    -1,   361,   362,    -1,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,    -1,   381,   382,   383,   384,   385,    -1,
     387,   388,   389,   390,   391,    -1,   393,   394,   395,   396,
      -1,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,    -1,   414,   415,    -1,
      -1,   418,    -1,   420,   421,   422,   423,   424,    -1,   426,
     427,   428,    -1,    -1,   431,   432,   433,   434,   435,    -1,
     437,   438,   439,   440,   441,   442,   443,   444,    -1,    -1,
     447,   448,   449,   450,   451,    -1,    -1,   454,   455,   456,
     457,   458,   459,   460,    -1,   462,    -1,   464,   465,   466,
     467,    -1,    -1,   470,    -1,    -1,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,    -1,    -1,    -1,    -1,
      -1,    -1,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   515,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    -1,    30,
      31,    32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    -1,    49,    50,
      51,    52,    53,    -1,    55,    56,    -1,    58,    59,    60,
      61,    62,    63,    64,    -1,    -1,    67,    68,    69,    70,
      71,    -1,    73,    74,    75,    76,    77,    -1,    -1,    -1,
      81,    82,    83,    84,    85,    86,    -1,    88,    89,    90,
      -1,    92,    93,    94,    95,    96,    97,    -1,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,   112,   113,   114,   115,   116,   117,   118,    -1,   120,
      -1,   122,   123,   124,   125,   126,   127,   128,    -1,   130,
     131,   132,   133,    -1,    -1,   136,   137,   138,   139,   140,
      -1,   142,   143,   144,    -1,   146,   147,   148,    -1,   150,
     151,   152,   153,   154,   155,   156,   157,   158,   159,    -1,
     161,    -1,   163,   164,   165,   166,   167,    -1,   169,    -1,
     171,   172,    -1,    -1,    -1,   176,   177,   178,   179,    -1,
     181,   182,    -1,   184,   185,   186,    -1,   188,   189,   190,
     191,   192,    -1,   194,   195,   196,   197,    -1,   199,   200,
     201,   202,   203,   204,   205,   206,    -1,   208,    -1,   210,
     211,   212,   213,   214,   215,   216,    -1,   218,    -1,   220,
      -1,    -1,   223,    -1,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,    -1,    -1,   240,
     241,    -1,   243,    -1,    -1,   246,   247,   248,    -1,    -1,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,   263,   264,   265,   266,   267,   268,   269,    -1,
     271,   272,   273,   274,   275,   276,   277,   278,   279,   280,
     281,    -1,   283,   284,    -1,   286,    -1,   288,   289,   290,
     291,   292,   293,    -1,   295,   296,    -1,    -1,   299,   300,
     301,    -1,    -1,   304,   305,   306,    -1,   308,    -1,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
      -1,   322,   323,   324,   325,   326,   327,   328,   329,    -1,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,    -1,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,    -1,
     361,   362,    -1,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,    -1,
     381,   382,   383,   384,   385,    -1,   387,   388,   389,   390,
     391,    -1,   393,   394,   395,   396,    -1,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,    -1,   414,   415,    -1,    -1,   418,    -1,   420,
     421,   422,   423,   424,    -1,   426,   427,   428,    -1,    -1,
     431,   432,   433,   434,   435,    -1,   437,   438,   439,   440,
     441,   442,   443,   444,    -1,    -1,   447,   448,   449,   450,
     451,    -1,    -1,   454,   455,   456,   457,   458,   459,   460,
      -1,   462,    -1,   464,   465,   466,   467,    -1,    -1,   470,
      -1,    -1,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,    -1,    -1,    -1,    -1,    -1,    -1,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   515,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    -1,    49,    50,    51,    52,    53,    -1,
      55,    56,    -1,    58,    59,    60,    61,    62,    63,    64,
      -1,    -1,    67,    68,    69,    70,    71,    -1,    73,    74,
      75,    76,    77,    -1,    -1,    -1,    81,    82,    83,    84,
      85,    86,    -1,    88,    89,    90,    -1,    92,    93,    94,
      95,    96,    97,    -1,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,   112,   113,   114,
     115,   116,   117,   118,    -1,   120,    -1,   122,   123,   124,
     125,   126,   127,   128,    -1,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
      -1,   146,   147,   148,    -1,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,    -1,   161,    -1,   163,   164,
     165,   166,   167,    -1,   169,    -1,   171,   172,    -1,    -1,
      -1,   176,   177,   178,   179,    -1,   181,   182,    -1,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,    -1,   194,
     195,   196,   197,    -1,   199,   200,   201,   202,   203,   204,
     205,   206,    -1,   208,    -1,   210,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,    -1,    -1,   223,    -1,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,    -1,    -1,   240,   241,    -1,   243,    -1,
      -1,   246,   247,   248,    -1,    -1,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,    -1,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,    -1,   283,   284,
      -1,   286,    -1,   288,   289,   290,   291,   292,   293,    -1,
     295,   296,    -1,    -1,   299,   300,   301,    -1,    -1,   304,
     305,   306,    -1,   308,    -1,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,    -1,   322,   323,   324,
     325,   326,   327,   328,   329,    -1,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,    -1,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,    -1,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,   383,   384,
     385,    -1,   387,   388,   389,   390,   391,    -1,   393,   394,
     395,   396,    -1,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,    -1,   414,
     415,    -1,    -1,   418,    -1,   420,   421,   422,   423,   424,
      -1,   426,   427,   428,    -1,    -1,   431,   432,   433,   434,
     435,    -1,   437,   438,   439,   440,   441,   442,   443,   444,
      -1,    -1,   447,   448,   449,   450,   451,    -1,    -1,   454,
     455,   456,   457,   458,   459,   460,    -1,   462,    -1,   464,
     465,   466,   467,    -1,    -1,   470,    -1,    -1,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,     3,    -1,     5,
       6,    -1,    -1,    -1,    10,    11,    -1,    -1,    -1,    -1,
     515,    17,    18,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    30,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    40,    41,    42,    43,    44,    45,
      46,    47,    48,    49,    50,    51,    -1,    53,    54,    55,
      56,    57,    58,    59,    60,    61,    62,    63,    64,    65,
      66,    67,    68,    69,    70,    71,    72,    73,    74,    75,
      76,    -1,    78,    79,    80,    81,    82,    83,    84,    85,
      86,    87,    88,    89,    90,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,   103,   104,   105,
     106,   107,   108,   109,   110,   111,   112,   113,   114,   115,
     116,   117,   118,   119,   120,   121,   122,   123,   124,   125,
     126,   127,   128,   129,   130,   131,   132,   133,   134,   135,
     136,   137,   138,   139,   140,   141,   142,   143,   144,   145,
     146,   147,   148,   149,   150,   151,   152,   153,    -1,   155,
     156,   157,   158,    -1,   160,   161,   162,   163,   164,   165,
     166,   167,   168,   169,   170,   171,   172,   173,   174,   175,
     176,   177,   178,   179,   180,   181,    -1,   183,    -1,   185,
     186,   187,   188,   189,   190,   191,   192,   193,   194,   195,
     196,   197,   198,   199,   200,   201,   202,   203,   204,   205,
     206,   207,   208,   209,    -1,   211,   212,   213,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
      -1,    -1,    -1,    -1,    -1,    -1,   232,   233,   234,   235,
     236,   237,   238,   239,   240,    -1,   242,   243,   244,   245,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,   279,    -1,   281,   282,   283,   284,   285,
     286,   287,    -1,   289,   290,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
      -1,   307,   308,   309,    -1,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,    -1,   325,
      -1,   327,   328,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,    -1,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,    -1,   434,    -1,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,   458,    -1,   460,   461,   462,   463,   464,   465,
     466,   467,   468,   469,   470,   471,   472,   473,   474,   475,
     476,   477,   478,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   490,   491,   492,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   503,   504,   505,
     506,   507,   508,   509,   510,   511,     3,    -1,     5,     6,
      -1,    -1,    -1,    10,    11,    -1,    -1,    -1,    -1,    -1,
      17,    18,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    30,    31,    32,    33,    34,    35,    36,
      37,    38,    39,    40,    41,    42,    43,    44,    45,    46,
      47,    48,    49,    50,    51,    -1,    53,    54,    55,    56,
      57,    58,    59,    60,    61,    62,    63,    64,    65,    66,
      67,    68,    69,    70,    71,    72,    73,    74,    75,    76,
      -1,    78,    79,    80,    81,    82,    83,    84,    85,    86,
      87,    88,    89,    90,    91,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,   103,   104,   105,   106,
     107,   108,   109,   110,   111,   112,   113,   114,   115,   116,
     117,   118,   119,   120,   121,   122,   123,   124,   125,   126,
     127,   128,   129,   130,   131,   132,   133,   134,   135,   136,
     137,   138,   139,   140,   141,   142,   143,   144,   145,   146,
     147,   148,   149,   150,   151,   152,   153,    -1,   155,   156,
     157,   158,    -1,   160,   161,   162,   163,   164,   165,   166,
     167,   168,   169,   170,   171,   172,   173,   174,   175,   176,
     177,   178,   179,   180,   181,    -1,   183,    -1,   185,   186,
     187,   188,   189,   190,   191,   192,   193,   194,   195,   196,
     197,   198,   199,   200,   201,   202,   203,   204,   205,   206,
     207,   208,   209,    -1,   211,   212,   213,   214,   215,   216,
     217,   218,   219,   220,   221,   222,   223,   224,   225,    -1,
      -1,    -1,    -1,    -1,    -1,   232,   233,   234,   235,   236,
     237,   238,   239,   240,    -1,   242,   243,   244,   245,   246,
     247,   248,   249,   250,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,   279,    -1,   281,   282,   283,   284,   285,   286,
     287,    -1,   289,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,    -1,
     307,   308,   309,    -1,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,    -1,   325,    -1,
     327,   328,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,    -1,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,    -1,   434,    -1,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,    -1,   460,   461,   462,   463,   464,   465,   466,
     467,   468,   469,   470,   471,   472,   473,   474,   475,   476,
     477,   478,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   490,   491,   492,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   503,   504,   505,   506,
     507,   508,   509,   510,   511,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    10,    -1,    -1,    13,    -1,    -1,    -1,    17,
      18,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    30,    31,    32,    33,    34,    35,    36,    -1,
      38,    39,    40,    41,    42,    43,    44,    45,    46,    47,
      48,    49,    50,    51,    52,    53,    54,    55,    56,    57,
      58,    59,    60,    61,    62,    63,    64,    65,    66,    67,
      68,    -1,    -1,    71,    72,    73,    74,    75,    76,    77,
      78,    79,    80,    81,    82,    83,    84,    85,    86,    87,
      88,    89,    90,    91,    92,    93,    94,    95,    96,    97,
      -1,    99,   100,   101,   102,   103,   104,   105,   106,   107,
     108,   109,   110,   111,   112,   113,    -1,   115,   116,   117,
     118,   119,   120,   121,   122,   123,   124,   125,   126,   127,
     128,   129,   130,   131,   132,   133,   134,   135,   136,   137,
     138,   139,   140,   141,   142,   143,   144,   145,   146,   147,
     148,    -1,   150,   151,   152,   153,   154,   155,   156,   157,
     158,   159,   160,   161,    -1,    -1,   164,   165,   166,   167,
      -1,   169,   170,   171,   172,   173,    -1,   175,   176,   177,
     178,   179,    -1,   181,   182,    -1,   184,   185,   186,    -1,
     188,   189,    -1,   191,   192,   193,   194,   195,   196,   197,
     198,   199,   200,   201,   202,   203,   204,   205,   206,   207,
     208,   209,   210,   211,   212,   213,   214,   215,   216,    -1,
     218,    -1,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,    -1,   246,   247,
     248,   249,   250,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,    -1,   263,   264,    -1,   266,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,   292,   293,    -1,   295,   296,    -1,
     298,   299,   300,   301,   302,    -1,   304,   305,   306,   307,
      -1,    -1,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,   325,    -1,   327,
     328,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,    -1,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
      -1,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,    -1,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,    -1,   446,   447,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,   461,    -1,   463,   464,   465,   466,   467,
     468,    -1,   470,    -1,    -1,    -1,    -1,   475,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,    -1,   491,   492,    -1,   494,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   503,   504,   505,   506,   507,
     508,   509,   510,   511,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    10,    -1,    -1,    -1,    -1,    -1,    -1,    17,    18,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      -1,    30,    31,    32,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    40,    41,    42,    -1,    44,    45,    46,    47,    -1,
      49,    50,    51,    52,    53,    -1,    55,    56,    -1,    58,
      59,    60,    61,    62,    63,    64,    -1,    -1,    67,    68,
      69,    70,    71,    -1,    73,    74,    75,    76,    77,    -1,
      -1,    -1,    81,    82,    83,    84,    85,    86,    -1,    88,
      89,    90,    -1,    92,    93,    94,    95,    96,    97,    -1,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,   112,   113,   114,   115,   116,   117,   118,
      -1,   120,    -1,   122,   123,   124,   125,   126,   127,   128,
      -1,   130,   131,   132,   133,    -1,    -1,   136,   137,   138,
     139,   140,    -1,   142,   143,   144,    -1,   146,   147,   148,
      -1,   150,   151,   152,   153,   154,   155,   156,   157,   158,
     159,    -1,   161,    -1,   163,   164,   165,   166,   167,    -1,
     169,    -1,   171,   172,    -1,    -1,    -1,   176,   177,   178,
     179,    -1,   181,   182,    -1,   184,   185,   186,    -1,   188,
     189,   190,   191,   192,    -1,   194,   195,   196,   197,    -1,
     199,   200,   201,   202,   203,   204,   205,   206,    -1,   208,
      -1,   210,   211,   212,   213,   214,   215,   216,    -1,   218,
      -1,   220,    -1,    -1,   223,    -1,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,    -1,
      -1,   240,   241,    -1,   243,    -1,    -1,   246,   247,   248,
      -1,    -1,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,   263,   264,   265,   266,   267,   268,
     269,    -1,   271,   272,   273,   274,   275,   276,   277,   278,
     279,   280,   281,    -1,   283,   284,    -1,   286,    -1,   288,
     289,   290,   291,   292,   293,    -1,   295,   296,    -1,    -1,
     299,   300,   301,    -1,    -1,   304,   305,   306,    -1,   308,
      -1,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,    -1,   322,   323,   324,   325,   326,   327,   328,
     329,    -1,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,    -1,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,    -1,   361,   362,    -1,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,    -1,   381,   382,   383,   384,   385,    -1,   387,   388,
     389,   390,   391,    -1,   393,   394,   395,   396,    -1,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,    -1,   414,   415,    -1,    -1,   418,
      -1,   420,   421,   422,   423,   424,    -1,   426,   427,   428,
      -1,    -1,   431,   432,   433,   434,   435,    -1,   437,   438,
     439,   440,   441,   442,   443,   444,    -1,    -1,   447,   448,
     449,   450,   451,    -1,    -1,   454,   455,   456,   457,   458,
     459,   460,    -1,   462,    -1,   464,   465,   466,   467,    -1,
      -1,   470,    -1,    -1,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   503,   504,   505,   506,   507,   508,
     509,   510,   511,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      10,    -1,    -1,    -1,    -1,    -1,    -1,    17,    18,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    -1,
      30,    31,    32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      40,    41,    42,    -1,    44,    45,    46,    47,    -1,    49,
      50,    51,    52,    53,    -1,    55,    56,    -1,    58,    59,
      60,    61,    62,    63,    64,    -1,    -1,    67,    68,    69,
      70,    71,    -1,    73,    74,    75,    76,    77,    -1,    -1,
      -1,    81,    82,    83,    84,    85,    86,    -1,    88,    89,
      90,    -1,    92,    93,    94,    95,    96,    97,    -1,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,   112,   113,   114,   115,   116,   117,   118,    -1,
     120,    -1,   122,   123,   124,   125,   126,   127,   128,    -1,
     130,   131,   132,   133,    -1,    -1,   136,   137,   138,   139,
     140,    -1,   142,   143,   144,    -1,   146,   147,   148,    -1,
     150,   151,   152,   153,   154,   155,   156,   157,   158,   159,
      -1,   161,    -1,   163,   164,   165,   166,   167,    -1,   169,
      -1,   171,   172,    -1,    -1,    -1,   176,   177,   178,   179,
      -1,   181,   182,    -1,   184,   185,   186,    -1,   188,   189,
     190,   191,   192,    -1,   194,   195,   196,   197,    -1,   199,
     200,   201,   202,   203,   204,   205,   206,    -1,   208,    -1,
     210,   211,   212,   213,   214,   215,   216,    -1,   218,    -1,
     220,    -1,    -1,   223,    -1,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,    -1,    -1,
     240,   241,    -1,   243,    -1,    -1,   246,   247,   248,    -1,
      -1,   251,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
      -1,   271,   272,   273,   274,   275,   276,   277,   278,   279,
     280,   281,    -1,   283,   284,    -1,   286,    -1,   288,   289,
     290,   291,   292,   293,    -1,   295,   296,    -1,    -1,   299,
     300,   301,    -1,    -1,   304,   305,   306,    -1,   308,    -1,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,    -1,   322,   323,   324,   325,   326,   327,   328,   329,
      -1,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,    -1,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
      -1,   361,   362,    -1,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
      -1,   381,   382,   383,   384,   385,    -1,   387,   388,   389,
     390,   391,    -1,   393,   394,   395,   396,    -1,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,    -1,   414,   415,    -1,    -1,   418,    -1,
     420,   421,   422,   423,   424,    -1,   426,   427,   428,    -1,
      -1,   431,   432,   433,   434,   435,    -1,   437,   438,   439,
     440,   441,   442,   443,   444,    -1,    -1,   447,   448,   449,
     450,   451,    -1,    -1,   454,   455,   456,   457,   458,   459,
     460,    -1,   462,    -1,   464,   465,   466,   467,    -1,    -1,
     470,    -1,    -1,   473,   474,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   503,   504,   505,   506,   507,   508,   509,
     510,   511,     3,    -1,    -1,    -1,    -1,    -1,    -1,    10,
      -1,    -1,    -1,    -1,    -1,    -1,    17,    18,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    -1,    30,
      31,    32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    -1,    49,    50,
      51,    52,    53,    -1,    55,    56,    -1,    58,    59,    60,
      61,    62,    63,    64,    -1,    -1,    67,    68,    69,    70,
      71,    -1,    73,    74,    75,    76,    77,    -1,    -1,    -1,
      81,    82,    83,    84,    85,    86,    -1,    88,    89,    90,
      -1,    92,    93,    94,    95,    96,    97,    -1,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,   112,   113,   114,   115,   116,   117,   118,    -1,   120,
      -1,   122,   123,   124,   125,   126,   127,   128,    -1,   130,
     131,   132,   133,    -1,    -1,   136,   137,   138,   139,   140,
      -1,   142,   143,   144,    -1,   146,   147,   148,    -1,   150,
     151,   152,   153,   154,   155,   156,   157,   158,   159,    -1,
     161,    -1,   163,   164,   165,   166,   167,    -1,   169,    -1,
     171,   172,    -1,    -1,    -1,   176,   177,   178,   179,    -1,
     181,   182,    -1,   184,   185,   186,    -1,   188,   189,   190,
     191,   192,    -1,   194,   195,   196,   197,    -1,   199,   200,
     201,   202,   203,   204,   205,   206,    -1,   208,    -1,   210,
     211,   212,   213,   214,   215,   216,    -1,   218,    -1,   220,
      -1,    -1,   223,    -1,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,    -1,    -1,   240,
     241,    -1,   243,    -1,    -1,   246,   247,   248,    -1,    -1,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,   263,   264,   265,   266,   267,   268,   269,    -1,
     271,   272,   273,   274,   275,   276,   277,   278,   279,   280,
     281,    -1,   283,   284,    -1,   286,    -1,   288,   289,   290,
     291,   292,   293,    -1,   295,   296,    -1,    -1,   299,   300,
     301,    -1,    -1,   304,   305,   306,    -1,   308,    -1,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
      -1,   322,   323,   324,   325,   326,   327,   328,   329,    -1,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,    -1,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,    -1,
     361,   362,    -1,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,    -1,
     381,   382,   383,   384,   385,    -1,   387,   388,   389,   390,
     391,    -1,   393,   394,   395,   396,    -1,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,    -1,   414,   415,    -1,    -1,   418,    -1,   420,
     421,   422,   423,   424,    -1,   426,   427,   428,    -1,    -1,
     431,   432,   433,   434,   435,    -1,   437,   438,   439,   440,
     441,   442,   443,   444,    -1,    -1,   447,   448,   449,   450,
     451,    -1,    -1,   454,   455,   456,   457,   458,   459,   460,
      -1,   462,    -1,   464,   465,   466,   467,    -1,    -1,   470,
      -1,    -1,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   503,   504,   505,   506,   507,   508,   509,   510,
     511,     3,    -1,    -1,    -1,    -1,    -1,    -1,    10,    -1,
      -1,    -1,    -1,    -1,    -1,    17,    18,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    -1,    49,    50,    51,
      52,    53,    -1,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    -1,    -1,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    77,    -1,    -1,    -1,    81,
      82,    83,    84,    85,    86,    -1,    88,    89,    90,    -1,
      92,    93,    94,    95,    96,    97,    -1,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
     112,   113,   114,   115,   116,   117,   118,    -1,   120,    -1,
     122,   123,   124,   125,   126,   127,   128,    -1,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,    -1,   146,   147,   148,    -1,   150,   151,
     152,   153,   154,   155,   156,   157,   158,   159,    -1,   161,
      -1,   163,   164,   165,   166,   167,    -1,   169,    -1,   171,
     172,    -1,    -1,    -1,   176,   177,   178,   179,    -1,   181,
     182,    -1,   184,   185,   186,    -1,   188,   189,   190,   191,
     192,    -1,   194,   195,   196,   197,    -1,   199,   200,   201,
     202,   203,   204,   205,   206,    -1,   208,    -1,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,    -1,
      -1,   223,    -1,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,    -1,    -1,   240,   241,
      -1,   243,    -1,    -1,   246,   247,   248,    -1,    -1,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,    -1,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
      -1,   283,   284,    -1,   286,    -1,   288,   289,   290,   291,
     292,   293,    -1,   295,   296,    -1,    -1,   299,   300,   301,
      -1,    -1,   304,   305,   306,    -1,   308,    -1,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,    -1,
     322,   323,   324,   325,   326,   327,   328,   329,    -1,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,    -1,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,    -1,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,   383,   384,   385,    -1,   387,   388,   389,   390,   391,
      -1,   393,   394,   395,   396,    -1,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,    -1,   414,   415,    -1,    -1,   418,    -1,   420,   421,
     422,   423,   424,    -1,   426,   427,   428,    -1,    -1,   431,
     432,   433,   434,   435,    -1,   437,   438,   439,   440,   441,
     442,   443,   444,    -1,    -1,   447,   448,   449,   450,   451,
      -1,    -1,   454,   455,   456,   457,   458,   459,   460,    -1,
     462,    -1,   464,   465,   466,   467,    -1,    -1,   470,    -1,
      -1,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   503,   504,   505,   506,   507,   508,   509,   510,   511,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    10,    -1,    -1,
      -1,    -1,    -1,    -1,    17,    18,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    -1,    49,    50,    51,    52,
      53,    -1,    55,    56,    -1,    58,    59,    60,    61,    62,
      63,    64,    -1,    -1,    67,    68,    69,    70,    71,    -1,
      73,    74,    75,    76,    77,    -1,    -1,    -1,    81,    82,
      83,    84,    85,    86,    -1,    88,    89,    90,    -1,    92,
      93,    94,    95,    96,    97,    -1,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,
     113,   114,   115,   116,   117,   118,    -1,   120,    -1,   122,
     123,   124,   125,   126,   127,   128,    -1,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,    -1,   146,   147,   148,    -1,   150,   151,   152,
     153,   154,   155,   156,   157,   158,   159,    -1,   161,    -1,
     163,   164,   165,   166,   167,    -1,   169,    -1,   171,   172,
      -1,    -1,    -1,   176,   177,   178,   179,    -1,   181,   182,
      -1,   184,   185,   186,    -1,   188,   189,   190,   191,   192,
      -1,   194,   195,   196,   197,    -1,   199,   200,   201,   202,
     203,   204,   205,   206,    -1,   208,    -1,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,    -1,    -1,
     223,    -1,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,    -1,    -1,   240,   241,    -1,
     243,    -1,    -1,   246,   247,   248,    -1,    -1,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,    -1,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,    -1,
     283,   284,    -1,   286,    -1,   288,   289,   290,   291,   292,
     293,    -1,   295,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,    -1,   308,    -1,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,   327,   328,   329,    -1,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,    -1,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,    -1,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,    -1,   381,   382,
     383,   384,   385,    -1,   387,   388,   389,   390,   391,    -1,
     393,   394,   395,   396,    -1,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
      -1,   414,   415,    -1,    -1,   418,    -1,   420,   421,   422,
     423,   424,    -1,   426,   427,   428,    -1,    -1,   431,   432,
     433,   434,   435,    -1,   437,   438,   439,   440,   441,   442,
     443,   444,    -1,    -1,   447,   448,   449,   450,   451,    -1,
      -1,   454,   455,   456,   457,   458,   459,   460,    -1,   462,
      -1,   464,   465,   466,   467,    -1,    -1,   470,    -1,    -1,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     503,   504,   505,   506,   507,   508,   509,   510,   511,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    10,    -1,    -1,    -1,
      -1,    -1,    -1,    17,    18,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    -1,    30,    31,    32,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,
      44,    45,    46,    47,    -1,    49,    50,    51,    52,    53,
      -1,    55,    56,    -1,    58,    59,    60,    61,    62,    63,
      64,    -1,    -1,    67,    68,    69,    70,    71,    -1,    73,
      74,    75,    76,    77,    -1,    -1,    -1,    81,    82,    83,
      84,    85,    86,    -1,    88,    89,    90,    -1,    92,    93,
      94,    95,    96,    97,    -1,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,   113,
     114,   115,   116,   117,   118,    -1,   120,    -1,   122,   123,
     124,   125,   126,   127,   128,    -1,   130,   131,   132,   133,
      -1,    -1,   136,   137,   138,   139,   140,    -1,   142,   143,
     144,    -1,   146,   147,   148,    -1,   150,   151,   152,   153,
     154,   155,   156,   157,   158,   159,    -1,   161,    -1,   163,
     164,   165,   166,   167,    -1,   169,    -1,   171,   172,    -1,
      -1,    -1,   176,   177,   178,   179,    -1,   181,   182,    -1,
     184,   185,   186,    -1,   188,   189,   190,   191,   192,    -1,
     194,   195,   196,   197,    -1,   199,   200,   201,   202,   203,
     204,   205,   206,    -1,   208,    -1,   210,   211,   212,   213,
     214,   215,   216,    -1,   218,    -1,   220,    -1,    -1,   223,
      -1,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,    -1,    -1,   240,   241,    -1,   243,
      -1,    -1,   246,   247,   248,    -1,    -1,   251,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,    -1,   271,   272,   273,
     274,   275,   276,   277,   278,   279,   280,   281,    -1,   283,
     284,    -1,   286,    -1,   288,   289,   290,   291,   292,   293,
      -1,   295,   296,    -1,    -1,   299,   300,   301,    -1,    -1,
     304,   305,   306,    -1,   308,    -1,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,    -1,   322,   323,
     324,   325,   326,   327,   328,   329,    -1,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,    -1,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,    -1,   361,   362,    -1,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,    -1,   381,   382,   383,
     384,   385,    -1,   387,   388,   389,   390,   391,    -1,   393,
     394,   395,   396,    -1,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,    -1,
     414,   415,    -1,    -1,   418,    -1,   420,   421,   422,   423,
     424,    -1,   426,   427,   428,    -1,    -1,   431,   432,   433,
     434,   435,    -1,   437,   438,   439,   440,   441,   442,   443,
     444,    -1,    -1,   447,   448,   449,   450,   451,    -1,    -1,
     454,   455,   456,   457,   458,   459,   460,    -1,   462,    -1,
     464,   465,   466,   467,    -1,    -1,   470,    -1,    -1,   473,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   503,
     504,   505,   506,   507,   508,   509,   510,   511,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    10,    -1,    -1,    -1,    -1,
      -1,    -1,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    -1,    49,    50,    51,    52,    53,    -1,
      55,    56,    -1,    58,    59,    60,    61,    62,    63,    64,
      -1,    -1,    67,    68,    69,    70,    71,    -1,    73,    74,
      75,    76,    77,    -1,    -1,    -1,    81,    82,    83,    84,
      85,    86,    -1,    88,    89,    90,    -1,    92,    93,    94,
      95,    96,    97,    -1,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,   112,   113,   114,
     115,   116,   117,   118,    -1,   120,    -1,   122,   123,   124,
     125,   126,   127,   128,    -1,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
      -1,   146,   147,   148,    -1,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,    -1,   161,    -1,   163,   164,
     165,   166,   167,    -1,   169,    -1,   171,   172,    -1,    -1,
      -1,   176,   177,   178,   179,    -1,   181,   182,    -1,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,    -1,   194,
     195,   196,   197,    -1,   199,   200,   201,   202,   203,   204,
     205,   206,    -1,   208,    -1,   210,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,    -1,    -1,   223,    -1,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,    -1,    -1,   240,   241,    -1,   243,    -1,
      -1,   246,   247,   248,    -1,    -1,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,    -1,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,    -1,   283,   284,
      -1,   286,    -1,   288,   289,   290,   291,   292,   293,    -1,
     295,   296,    -1,    -1,   299,   300,   301,    -1,    -1,   304,
     305,   306,    -1,   308,    -1,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,    -1,   322,   323,   324,
     325,   326,   327,   328,   329,    -1,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,    -1,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,    -1,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,   383,   384,
     385,    -1,   387,   388,   389,   390,   391,    -1,   393,   394,
     395,   396,    -1,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,    -1,   414,
     415,    -1,    -1,   418,    -1,   420,   421,   422,   423,   424,
      -1,   426,   427,   428,    -1,    -1,   431,   432,   433,   434,
     435,    -1,   437,   438,   439,   440,   441,   442,   443,   444,
      -1,    -1,   447,   448,   449,   450,   451,    -1,    -1,   454,
     455,   456,   457,   458,   459,   460,    -1,   462,    -1,   464,
     465,   466,   467,    -1,    -1,   470,    -1,    -1,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,    -1,    -1,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   503,   504,
     505,   506,   507,   508,   509,   510,   511,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    30,    31,    32,
      33,    34,    35,    36,    37,    38,    39,    40,    41,    42,
      43,    44,    45,    46,    47,    48,    49,    50,    51,    52,
      53,    54,    55,    56,    57,    58,    59,    60,    61,    62,
      63,    64,    65,    66,    67,    68,    69,    70,    71,    72,
      73,    74,    75,    76,    77,    78,    79,    80,    81,    82,
      83,    84,    85,    86,    87,    88,    89,    90,    91,    92,
      93,    94,    95,    96,    97,    98,    99,   100,   101,   102,
     103,   104,   105,   106,   107,   108,   109,   110,   111,   112,
     113,   114,   115,   116,   117,   118,   119,   120,   121,   122,
     123,   124,   125,   126,   127,   128,   129,   130,   131,   132,
     133,   134,   135,   136,   137,   138,   139,   140,   141,   142,
     143,   144,   145,   146,   147,   148,   149,   150,   151,   152,
     153,   154,   155,   156,   157,   158,   159,   160,   161,   162,
     163,   164,   165,   166,   167,   168,   169,   170,   171,   172,
     173,   174,   175,   176,   177,   178,   179,   180,   181,   182,
     183,   184,   185,   186,   187,   188,   189,   190,   191,   192,
     193,   194,   195,   196,   197,   198,   199,   200,   201,   202,
     203,   204,   205,   206,   207,   208,   209,   210,   211,   212,
     213,   214,   215,   216,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   250,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   508,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    -1,    49,    50,    51,    52,
      53,    -1,    55,    56,    -1,    58,    59,    60,    61,    62,
      63,    64,    -1,    -1,    67,    68,    69,    70,    71,    -1,
      73,    74,    75,    76,    77,    -1,    -1,    -1,    81,    82,
      83,    84,    85,    86,    -1,    88,    89,    90,    -1,    92,
      93,    94,    95,    96,    97,    -1,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,
     113,   114,   115,   116,   117,   118,    -1,   120,    -1,   122,
     123,   124,   125,   126,   127,   128,    -1,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,    -1,   146,   147,   148,    -1,   150,   151,   152,
     153,   154,   155,   156,   157,   158,   159,    -1,   161,    -1,
     163,   164,   165,   166,   167,    -1,   169,    -1,   171,   172,
      -1,    -1,    -1,   176,   177,   178,   179,    -1,   181,   182,
      -1,   184,   185,   186,    -1,   188,   189,   190,   191,   192,
      -1,   194,   195,   196,   197,    -1,   199,   200,   201,   202,
     203,   204,   205,   206,    -1,   208,    -1,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,    -1,    -1,
     223,    -1,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,    -1,    -1,   240,   241,    -1,
     243,    -1,    -1,   246,   247,   248,    -1,    -1,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,    -1,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,    -1,
     283,   284,    -1,   286,    -1,   288,   289,   290,   291,   292,
     293,    -1,   295,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,    -1,   308,    -1,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,   327,   328,   329,    -1,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,    -1,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,    -1,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,    -1,   381,   382,
     383,   384,   385,    -1,   387,   388,   389,   390,   391,    -1,
     393,   394,   395,   396,    -1,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
      -1,   414,   415,    -1,    -1,   418,    -1,   420,   421,   422,
     423,   424,    -1,   426,   427,   428,    -1,    -1,   431,   432,
     433,   434,   435,    -1,   437,   438,   439,   440,   441,   442,
     443,   444,    -1,    -1,   447,   448,   449,   450,   451,    -1,
      -1,   454,   455,   456,   457,   458,   459,   460,    -1,   462,
      -1,   464,   465,   466,   467,    -1,    -1,   470,    -1,    -1,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   508,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    -1,    49,    50,    51,    52,
      53,    -1,    55,    56,    -1,    58,    59,    60,    61,    62,
      63,    64,    -1,    -1,    67,    68,    69,    70,    71,    -1,
      73,    74,    75,    76,    77,    -1,    -1,    -1,    81,    82,
      83,    84,    85,    86,    -1,    88,    89,    90,    -1,    92,
      93,    94,    95,    96,    97,    -1,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,
     113,   114,   115,   116,   117,   118,    -1,   120,    -1,   122,
     123,   124,   125,   126,   127,   128,    -1,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,    -1,   146,   147,   148,    -1,   150,   151,   152,
     153,   154,   155,   156,   157,   158,   159,    -1,   161,    -1,
     163,   164,   165,   166,   167,    -1,   169,    -1,   171,   172,
      -1,    -1,    -1,   176,   177,   178,   179,    -1,   181,   182,
      -1,   184,   185,   186,    -1,   188,   189,   190,   191,   192,
      -1,   194,   195,   196,   197,    -1,   199,   200,   201,   202,
     203,   204,   205,   206,    -1,   208,    -1,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,    -1,    -1,
     223,    -1,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,    -1,    -1,   240,   241,    -1,
     243,    -1,    -1,   246,   247,   248,    -1,    -1,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,    -1,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,    -1,
     283,   284,    -1,   286,    -1,   288,   289,   290,   291,   292,
     293,    -1,   295,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,    -1,   308,    -1,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,   327,   328,   329,    -1,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,    -1,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,    -1,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,    -1,   381,   382,
     383,   384,   385,    -1,   387,   388,   389,   390,   391,    -1,
     393,   394,   395,   396,    -1,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
      -1,   414,   415,    -1,    -1,   418,    -1,   420,   421,   422,
     423,   424,    -1,   426,   427,   428,    -1,    -1,   431,   432,
     433,   434,   435,    -1,   437,   438,   439,   440,   441,   442,
     443,   444,    -1,    -1,   447,   448,   449,   450,   451,    -1,
      -1,   454,   455,   456,   457,   458,   459,   460,    -1,   462,
      -1,   464,   465,   466,   467,    -1,    -1,   470,    -1,    -1,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   508,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    -1,    49,    50,    51,    52,
      53,    -1,    55,    56,    -1,    58,    59,    60,    61,    62,
      63,    64,    -1,    -1,    67,    68,    69,    70,    71,    -1,
      73,    74,    75,    76,    77,    -1,    -1,    -1,    81,    82,
      83,    84,    85,    86,    -1,    88,    89,    90,    -1,    92,
      93,    94,    95,    96,    97,    -1,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,
     113,   114,   115,   116,   117,   118,    -1,   120,    -1,   122,
     123,   124,   125,   126,   127,   128,    -1,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,    -1,   146,   147,   148,    -1,   150,   151,   152,
     153,   154,   155,   156,   157,   158,   159,    -1,   161,    -1,
     163,   164,   165,   166,   167,    -1,   169,    -1,   171,   172,
      -1,    -1,    -1,   176,   177,   178,   179,    -1,   181,   182,
      -1,   184,   185,   186,    -1,   188,   189,   190,   191,   192,
      -1,   194,   195,   196,   197,    -1,   199,   200,   201,   202,
     203,   204,   205,   206,    -1,   208,    -1,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,    -1,    -1,
     223,    -1,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,    -1,    -1,   240,   241,    -1,
     243,    -1,    -1,   246,   247,   248,    -1,    -1,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,    -1,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,    -1,
     283,   284,    -1,   286,    -1,   288,   289,   290,   291,   292,
     293,    -1,   295,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,    -1,   308,    -1,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,   327,   328,   329,    -1,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,    -1,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,    -1,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,    -1,   381,   382,
     383,   384,   385,    -1,   387,   388,   389,   390,   391,    -1,
     393,   394,   395,   396,    -1,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
      -1,   414,   415,    -1,    -1,   418,    -1,   420,   421,   422,
     423,   424,    -1,   426,   427,   428,    -1,    -1,   431,   432,
     433,   434,   435,    -1,   437,   438,   439,   440,   441,   442,
     443,   444,    -1,    -1,   447,   448,   449,   450,   451,    -1,
      -1,   454,   455,   456,   457,   458,   459,   460,    -1,   462,
      -1,   464,   465,   466,   467,    -1,    -1,   470,    -1,    -1,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   508,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    -1,    49,    50,    51,    52,
      53,    -1,    55,    56,    -1,    58,    59,    60,    61,    62,
      63,    64,    -1,    -1,    67,    68,    69,    70,    71,    -1,
      73,    74,    75,    76,    77,    -1,    -1,    -1,    81,    82,
      83,    84,    85,    86,    -1,    88,    89,    90,    -1,    92,
      93,    94,    95,    96,    97,    -1,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,
     113,   114,   115,   116,   117,   118,    -1,   120,    -1,   122,
     123,   124,   125,   126,   127,   128,    -1,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,    -1,   146,   147,   148,    -1,   150,   151,   152,
     153,   154,   155,   156,   157,   158,   159,    -1,   161,    -1,
     163,   164,   165,   166,   167,    -1,   169,    -1,   171,   172,
      -1,    -1,    -1,   176,   177,   178,   179,    -1,   181,   182,
      -1,   184,   185,   186,    -1,   188,   189,   190,   191,   192,
      -1,   194,   195,   196,   197,    -1,   199,   200,   201,   202,
     203,   204,   205,   206,    -1,   208,    -1,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,    -1,    -1,
     223,    -1,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,    -1,    -1,   240,   241,    -1,
     243,    -1,    -1,   246,   247,   248,    -1,    -1,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,    -1,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,    -1,
     283,   284,    -1,   286,    -1,   288,   289,   290,   291,   292,
     293,    -1,   295,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,    -1,   308,    -1,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,   327,   328,   329,    -1,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,    -1,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,    -1,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,    -1,   381,   382,
     383,   384,   385,    -1,   387,   388,   389,   390,   391,    -1,
     393,   394,   395,   396,    -1,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
      -1,   414,   415,    -1,    -1,   418,    -1,   420,   421,   422,
     423,   424,    -1,   426,   427,   428,    -1,    -1,   431,   432,
     433,   434,   435,    -1,   437,   438,   439,   440,   441,   442,
     443,   444,    -1,    -1,   447,   448,   449,   450,   451,    -1,
      -1,   454,   455,   456,   457,   458,   459,   460,    -1,   462,
      -1,   464,   465,   466,   467,    -1,    -1,   470,    -1,    -1,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   508,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    48,    49,    50,    51,    -1,
      53,    54,    55,    56,    -1,    58,    59,    60,    61,    62,
      63,    64,    -1,    -1,    67,    68,    69,    70,    71,    -1,
      73,    74,    75,    76,    -1,    -1,    79,    -1,    81,    82,
      83,    84,    85,    86,    87,    88,    89,    90,    -1,    92,
      93,    94,    95,    96,    97,    -1,    99,   100,   101,   102,
      -1,    -1,    -1,   106,    -1,    -1,    -1,   110,   111,   112,
     113,   114,   115,   116,   117,   118,    -1,   120,    -1,   122,
     123,   124,   125,   126,   127,   128,    -1,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,    -1,   146,   147,   148,    -1,   150,   151,   152,
     153,    -1,   155,   156,   157,   158,    -1,    -1,   161,    -1,
     163,   164,   165,   166,   167,    -1,   169,    -1,   171,   172,
     173,    -1,   175,   176,   177,   178,   179,    -1,   181,    -1,
      -1,    -1,   185,   186,    -1,   188,   189,   190,   191,   192,
     193,   194,   195,   196,   197,   198,   199,   200,   201,   202,
     203,   204,   205,   206,    -1,   208,   209,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,   221,   222,
     223,   224,   225,    -1,    -1,    -1,    -1,    -1,    -1,   232,
     233,   234,   235,   236,   237,    -1,    -1,   240,    -1,   242,
     243,   244,    -1,   246,   247,   248,    -1,    -1,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,    -1,    -1,   281,    -1,
     283,   284,   285,   286,    -1,    -1,   289,   290,   291,   292,
     293,    -1,   295,   296,    -1,    -1,   299,   300,   301,    -1,
     303,   304,   305,   306,   307,   308,   309,    -1,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,    -1,   325,    -1,   327,   328,   329,    -1,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,    -1,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,    -1,   361,   362,
     363,   364,   365,   366,   367,   368,    -1,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,    -1,   381,   382,
     383,   384,   385,    -1,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   396,    -1,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,    -1,   412,
      -1,   414,   415,    -1,    -1,   418,   419,   420,   421,   422,
     423,   424,    -1,   426,   427,   428,    -1,    -1,   431,   432,
      -1,   434,    -1,    -1,   437,   438,   439,   440,   441,   442,
     443,   444,    -1,    -1,   447,   448,   449,   450,   451,    -1,
      -1,   454,   455,   456,   457,   458,    -1,   460,   461,   462,
     463,   464,   465,   466,   467,    -1,    -1,   470,    -1,    -1,
     473,   474,   475,   476,   477,   478,    -1,    -1,    -1,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   490,   491,   492,
      -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,
      24,    25,    26,    27,    28,   508,    30,    31,    32,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,
      44,    45,    46,    47,    48,    49,    50,    51,    -1,    53,
      54,    55,    56,    -1,    58,    59,    60,    61,    62,    63,
      64,    -1,    -1,    67,    68,    69,    70,    71,    -1,    73,
      74,    75,    76,    -1,    -1,    79,    -1,    81,    82,    83,
      84,    85,    86,    87,    88,    89,    90,    -1,    92,    93,
      94,    95,    96,    97,    -1,    99,   100,   101,   102,    -1,
      -1,    -1,   106,    -1,    -1,    -1,   110,   111,   112,   113,
     114,   115,   116,   117,   118,    -1,   120,    -1,   122,   123,
     124,   125,   126,   127,   128,    -1,   130,   131,   132,   133,
      -1,    -1,   136,   137,   138,   139,   140,    -1,   142,   143,
     144,    -1,   146,   147,   148,    -1,   150,   151,   152,   153,
      -1,   155,   156,   157,   158,    -1,    -1,   161,    -1,   163,
     164,   165,   166,   167,    -1,   169,    -1,   171,   172,   173,
      -1,   175,   176,   177,   178,   179,    -1,   181,    -1,    -1,
      -1,   185,   186,    -1,   188,   189,   190,   191,   192,   193,
     194,   195,   196,   197,   198,   199,   200,   201,   202,   203,
     204,   205,   206,    -1,   208,   209,   210,   211,   212,   213,
     214,   215,   216,    -1,   218,    -1,   220,   221,   222,   223,
     224,   225,    -1,    -1,    -1,    -1,    -1,    -1,   232,   233,
     234,   235,   236,   237,    -1,    -1,   240,    -1,   242,   243,
     244,    -1,   246,   247,   248,    -1,    -1,   251,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,    -1,    -1,   281,    -1,   283,
     284,   285,   286,    -1,    -1,   289,   290,   291,   292,   293,
      -1,   295,   296,    -1,    -1,   299,   300,   301,    -1,   303,
     304,   305,   306,   307,   308,   309,    -1,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,    -1,   322,   323,
      -1,   325,    -1,   327,   328,   329,    -1,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,    -1,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,    -1,   361,   362,   363,
     364,   365,   366,   367,   368,    -1,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,    -1,   381,   382,   383,
     384,   385,    -1,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   396,    -1,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,    -1,   412,    -1,
     414,   415,    -1,    -1,   418,   419,   420,   421,   422,   423,
     424,    -1,   426,   427,   428,    -1,    -1,   431,   432,    -1,
     434,    -1,    -1,   437,   438,   439,   440,   441,   442,   443,
     444,    -1,    -1,   447,   448,   449,   450,   451,    -1,    -1,
     454,   455,   456,   457,   458,    -1,   460,   461,   462,   463,
     464,   465,   466,   467,    -1,    -1,   470,    -1,    -1,   473,
     474,   475,   476,   477,   478,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   490,   491,   492,     3,
      -1,     5,     6,    -1,    -1,    -1,    -1,    11,    -1,    -1,
      -1,    -1,    -1,    -1,   508,    -1,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    -1,    30,    31,    32,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,
      44,    45,    46,    47,    48,    49,    50,    51,    52,    53,
      54,    55,    56,    -1,    58,    59,    60,    61,    62,    63,
      64,    -1,    -1,    67,    68,    69,    70,    71,    -1,    73,
      74,    75,    76,    77,    -1,    79,    -1,    81,    82,    83,
      84,    85,    86,    87,    88,    89,    90,    -1,    92,    93,
      94,    95,    96,    97,    -1,    99,   100,   101,   102,    -1,
      -1,    -1,   106,    -1,    -1,    -1,   110,   111,   112,   113,
     114,   115,   116,   117,   118,   119,   120,    -1,   122,   123,
     124,   125,   126,   127,   128,    -1,   130,   131,   132,   133,
      -1,    -1,   136,   137,   138,   139,   140,    -1,   142,   143,
     144,    -1,   146,   147,   148,    -1,   150,   151,   152,   153,
     154,   155,   156,   157,   158,   159,   160,   161,    -1,   163,
     164,   165,   166,   167,    -1,   169,    -1,   171,   172,   173,
      -1,   175,   176,   177,   178,   179,    -1,   181,   182,    -1,
     184,   185,   186,    -1,   188,   189,   190,   191,   192,   193,
     194,   195,   196,   197,    -1,   199,   200,   201,   202,   203,
     204,   205,   206,    -1,   208,   209,   210,   211,   212,   213,
     214,   215,   216,    -1,   218,    -1,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,    -1,    -1,   240,   241,   242,   243,
     244,    -1,   246,   247,   248,    -1,    -1,   251,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,   279,   280,   281,    -1,   283,
     284,   285,   286,    -1,   288,   289,   290,   291,   292,   293,
      -1,   295,   296,   297,    -1,   299,   300,   301,    -1,    -1,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,    -1,   322,   323,
     324,   325,   326,   327,   328,   329,    -1,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,    -1,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,    -1,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,    -1,   381,   382,   383,
     384,   385,    -1,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   396,    -1,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,    -1,
     414,   415,    -1,    -1,   418,   419,   420,   421,   422,   423,
     424,    -1,   426,   427,   428,    -1,    -1,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,    -1,    -1,   447,   448,   449,   450,   451,    -1,    -1,
     454,   455,   456,   457,   458,   459,   460,    -1,   462,   463,
     464,   465,   466,   467,    -1,    -1,   470,    -1,    -1,   473,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,     3,
      -1,     5,     6,    -1,    -1,    -1,    -1,    11,    -1,    -1,
      -1,    -1,   506,   507,    -1,    -1,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    -1,    30,    31,    32,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,
      44,    45,    46,    47,    48,    49,    50,    51,    52,    53,
      54,    55,    56,    -1,    58,    59,    60,    61,    62,    63,
      64,    -1,    -1,    67,    68,    69,    70,    71,    -1,    73,
      74,    75,    76,    77,    -1,    79,    -1,    81,    82,    83,
      84,    85,    86,    87,    88,    89,    90,    -1,    92,    93,
      94,    95,    96,    97,    -1,    99,   100,   101,   102,    -1,
      -1,    -1,   106,    -1,    -1,    -1,   110,   111,   112,   113,
     114,   115,   116,   117,   118,   119,   120,    -1,   122,   123,
     124,   125,   126,   127,   128,    -1,   130,   131,   132,   133,
      -1,    -1,   136,   137,   138,   139,   140,    -1,   142,   143,
     144,    -1,   146,   147,   148,    -1,   150,   151,   152,   153,
     154,   155,   156,   157,   158,   159,   160,   161,    -1,   163,
     164,   165,   166,   167,    -1,   169,    -1,   171,   172,   173,
      -1,   175,   176,   177,   178,   179,    -1,   181,   182,    -1,
     184,   185,   186,    -1,   188,   189,   190,   191,   192,   193,
     194,   195,   196,   197,    -1,   199,   200,   201,   202,   203,
     204,   205,   206,    -1,   208,   209,   210,   211,   212,   213,
     214,   215,   216,    -1,   218,    -1,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,    -1,    -1,   240,   241,   242,   243,
     244,    -1,   246,   247,   248,    -1,    -1,   251,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,   279,   280,   281,    -1,   283,
     284,   285,   286,    -1,   288,   289,   290,   291,   292,   293,
      -1,   295,   296,   297,    -1,   299,   300,   301,    -1,    -1,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,    -1,   322,   323,
     324,   325,   326,   327,   328,   329,    -1,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,    -1,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,    -1,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,    -1,   381,   382,   383,
     384,   385,    -1,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   396,    -1,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,    -1,
     414,   415,    -1,    -1,   418,   419,   420,   421,   422,   423,
     424,    -1,   426,   427,   428,    -1,    -1,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,    -1,    -1,   447,   448,   449,   450,   451,    -1,    -1,
     454,   455,   456,   457,   458,   459,   460,    -1,   462,   463,
     464,   465,   466,   467,    -1,    -1,   470,    -1,    -1,   473,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,     3,
      -1,     5,     6,    -1,    -1,    -1,    -1,    11,    -1,    -1,
      -1,    -1,   506,   507,    -1,    -1,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    -1,    30,    31,    32,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,
      44,    45,    46,    47,    48,    49,    50,    51,    52,    53,
      54,    55,    56,    -1,    58,    59,    60,    61,    62,    63,
      64,    -1,    -1,    67,    68,    69,    70,    71,    -1,    73,
      74,    75,    76,    77,    -1,    79,    -1,    81,    82,    83,
      84,    85,    86,    87,    88,    89,    90,    -1,    92,    93,
      94,    95,    96,    97,    -1,    99,   100,   101,   102,    -1,
      -1,    -1,   106,    -1,    -1,    -1,   110,   111,   112,   113,
     114,   115,   116,   117,   118,   119,   120,    -1,   122,   123,
     124,   125,   126,   127,   128,    -1,   130,   131,   132,   133,
      -1,    -1,   136,   137,   138,   139,   140,    -1,   142,   143,
     144,    -1,   146,   147,   148,    -1,   150,   151,   152,   153,
     154,   155,   156,   157,   158,   159,   160,   161,    -1,   163,
     164,   165,   166,   167,    -1,   169,    -1,   171,   172,   173,
      -1,   175,   176,   177,   178,   179,    -1,   181,   182,    -1,
     184,   185,   186,    -1,   188,   189,   190,   191,   192,   193,
     194,   195,   196,   197,    -1,   199,   200,   201,   202,   203,
     204,   205,   206,    -1,   208,   209,   210,   211,   212,   213,
     214,   215,   216,    -1,   218,    -1,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,    -1,    -1,   240,   241,   242,   243,
     244,    -1,   246,   247,   248,    -1,    -1,   251,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,   279,   280,   281,    -1,   283,
     284,   285,   286,    -1,   288,   289,   290,   291,   292,   293,
      -1,   295,   296,   297,    -1,   299,   300,   301,    -1,    -1,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,    -1,   322,   323,
     324,   325,   326,   327,   328,   329,    -1,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,    -1,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,    -1,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,    -1,   381,   382,   383,
     384,   385,    -1,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   396,    -1,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,    -1,
     414,   415,    -1,    -1,   418,   419,   420,   421,   422,   423,
     424,    -1,   426,   427,   428,    -1,    -1,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,    -1,    -1,   447,   448,   449,   450,   451,    -1,    -1,
     454,   455,   456,   457,   458,   459,   460,    -1,   462,   463,
     464,   465,   466,   467,    -1,    -1,   470,    -1,    -1,   473,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,     3,
      -1,     5,     6,    -1,    -1,    -1,    -1,    11,    -1,    -1,
      -1,    -1,   506,   507,    -1,    -1,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    -1,    30,    31,    32,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,
      44,    45,    46,    47,    48,    49,    50,    51,    52,    53,
      54,    55,    56,    -1,    58,    59,    60,    61,    62,    63,
      64,    -1,    -1,    67,    68,    69,    70,    71,    -1,    73,
      74,    75,    76,    77,    -1,    79,    -1,    81,    82,    83,
      84,    85,    86,    87,    88,    89,    90,    -1,    92,    93,
      94,    95,    96,    97,    -1,    99,   100,   101,   102,    -1,
      -1,    -1,   106,    -1,    -1,    -1,   110,   111,   112,   113,
     114,   115,   116,   117,   118,    -1,   120,    -1,   122,   123,
     124,   125,   126,   127,   128,    -1,   130,   131,   132,   133,
      -1,    -1,   136,   137,   138,   139,   140,    -1,   142,   143,
     144,    -1,   146,   147,   148,    -1,   150,   151,   152,   153,
     154,   155,   156,   157,   158,   159,   160,   161,    -1,   163,
     164,   165,   166,   167,    -1,   169,    -1,   171,   172,   173,
      -1,   175,   176,   177,   178,   179,    -1,   181,   182,    -1,
     184,   185,   186,    -1,   188,   189,   190,   191,   192,   193,
     194,   195,   196,   197,    -1,   199,   200,   201,   202,   203,
     204,   205,   206,    -1,   208,   209,   210,   211,   212,   213,
     214,   215,   216,    -1,   218,    -1,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,    -1,    -1,   240,   241,   242,   243,
     244,    -1,   246,   247,   248,    -1,    -1,   251,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,   279,   280,   281,    -1,   283,
     284,   285,   286,    -1,   288,   289,   290,   291,   292,   293,
      -1,   295,   296,   297,    -1,   299,   300,   301,    -1,    -1,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,    -1,   322,   323,
     324,   325,   326,   327,   328,   329,    -1,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,    -1,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,    -1,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,    -1,   381,   382,   383,
     384,   385,    -1,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   396,    -1,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,    -1,
     414,   415,    -1,    -1,   418,   419,   420,   421,   422,   423,
     424,    -1,   426,   427,   428,    -1,    -1,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,    -1,    -1,   447,   448,   449,   450,   451,    -1,    -1,
     454,   455,   456,   457,   458,   459,   460,    -1,   462,   463,
     464,   465,   466,   467,    -1,    -1,   470,    -1,    -1,   473,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    11,    -1,    -1,
      -1,    -1,   506,   507,    -1,    -1,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    30,    31,    32,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,
      44,    45,    46,    47,    -1,    49,    50,    51,    52,    53,
      -1,    55,    56,    -1,    58,    59,    60,    61,    62,    63,
      64,    -1,    -1,    67,    68,    69,    70,    71,    -1,    73,
      74,    75,    76,    77,    -1,    -1,    -1,    81,    82,    83,
      84,    85,    86,    -1,    88,    89,    90,    -1,    92,    93,
      94,    95,    96,    97,    -1,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,   113,
     114,   115,   116,   117,   118,    -1,   120,    -1,   122,   123,
     124,   125,   126,   127,   128,    -1,   130,   131,   132,   133,
      -1,    -1,   136,   137,   138,   139,   140,    -1,   142,   143,
     144,    -1,   146,   147,   148,    -1,   150,   151,   152,   153,
     154,   155,   156,   157,   158,   159,    -1,   161,    -1,   163,
     164,   165,   166,   167,    -1,   169,    -1,   171,   172,    -1,
     174,    -1,   176,   177,   178,   179,    -1,   181,   182,    -1,
     184,   185,   186,    -1,   188,   189,   190,   191,   192,    -1,
     194,   195,   196,   197,   198,   199,   200,   201,   202,   203,
     204,   205,   206,    -1,   208,    -1,   210,   211,   212,   213,
     214,   215,   216,    -1,   218,    -1,   220,    -1,    -1,   223,
      -1,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,    -1,    -1,   240,   241,    -1,   243,
      -1,    -1,   246,   247,   248,    -1,    -1,   251,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,    -1,   271,   272,   273,
     274,   275,   276,   277,   278,   279,   280,   281,    -1,   283,
     284,    -1,   286,    -1,   288,   289,   290,   291,   292,   293,
      -1,   295,   296,    -1,    -1,   299,   300,   301,    -1,    -1,
     304,   305,   306,    -1,   308,    -1,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,    -1,   322,   323,
     324,   325,   326,   327,   328,   329,    -1,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,    -1,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,    -1,   361,   362,    -1,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,    -1,   381,   382,   383,
     384,   385,    -1,   387,   388,   389,   390,   391,    -1,   393,
     394,   395,   396,    -1,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,    -1,
     414,   415,    -1,    -1,   418,    -1,   420,   421,   422,   423,
     424,    -1,   426,   427,   428,    -1,    -1,   431,   432,   433,
     434,   435,    -1,   437,   438,   439,   440,   441,   442,   443,
     444,    -1,    -1,   447,   448,   449,   450,   451,    -1,    -1,
     454,   455,   456,   457,   458,   459,   460,    -1,   462,    -1,
     464,   465,   466,   467,    -1,    -1,   470,    -1,    -1,   473,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   506,   507,    -1,    -1,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    -1,    30,    31,    32,    33,
      34,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,
      44,    45,    46,    47,    48,    49,    50,    51,    52,    53,
      54,    55,    56,    -1,    58,    59,    60,    61,    62,    63,
      64,    -1,    -1,    67,    68,    69,    70,    71,    -1,    73,
      74,    75,    76,    77,    -1,    79,    -1,    81,    82,    83,
      84,    85,    86,    87,    88,    89,    90,    -1,    92,    93,
      94,    95,    96,    97,    -1,    99,   100,   101,   102,    -1,
      -1,    -1,   106,    -1,    -1,    -1,   110,   111,   112,   113,
     114,   115,   116,   117,   118,    -1,   120,    -1,   122,   123,
     124,   125,   126,   127,   128,    -1,   130,   131,   132,   133,
      -1,    -1,   136,   137,   138,   139,   140,    -1,   142,   143,
     144,    -1,   146,   147,   148,    -1,   150,   151,   152,   153,
     154,   155,   156,   157,   158,   159,    -1,   161,    -1,   163,
     164,   165,   166,   167,    -1,   169,    -1,   171,   172,   173,
      -1,   175,   176,   177,   178,   179,    -1,   181,   182,    -1,
     184,   185,   186,    -1,   188,   189,   190,   191,   192,   193,
     194,   195,   196,   197,    -1,   199,   200,   201,   202,   203,
     204,   205,   206,    -1,   208,   209,   210,   211,   212,   213,
     214,   215,   216,    -1,   218,    -1,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,    -1,    -1,   240,   241,   242,   243,
     244,    -1,   246,   247,   248,    -1,    -1,   251,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,   279,   280,   281,    -1,   283,
     284,   285,   286,    -1,   288,   289,   290,   291,   292,   293,
      -1,   295,   296,    -1,    -1,   299,   300,   301,    -1,    -1,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,    -1,   322,   323,
     324,   325,   326,   327,   328,   329,    -1,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,    -1,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,    -1,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,    -1,   381,   382,   383,
     384,   385,    -1,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   396,    -1,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,    -1,
     414,   415,    -1,    -1,   418,   419,   420,   421,   422,   423,
     424,    -1,   426,   427,   428,    -1,    -1,   431,   432,   433,
     434,   435,    -1,   437,   438,   439,   440,   441,   442,   443,
     444,    -1,    -1,   447,   448,   449,   450,   451,    -1,    -1,
     454,   455,   456,   457,   458,   459,   460,    -1,   462,   463,
     464,   465,   466,   467,    -1,    -1,   470,    -1,    -1,   473,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
       3,    -1,     5,     6,    -1,    -1,    -1,    -1,    11,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    30,    31,    32,
      33,    34,    35,    36,    37,    38,    39,    40,    41,    42,
      43,    44,    45,    46,    47,    48,    49,    50,    51,    52,
      53,    54,    55,    56,    57,    58,    59,    60,    61,    62,
      63,    64,    65,    66,    67,    68,    69,    70,    71,    72,
      73,    74,    75,    76,    77,    78,    79,    80,    81,    82,
      83,    84,    85,    86,    87,    88,    89,    90,    91,    92,
      93,    94,    95,    96,    97,    98,    99,   100,   101,   102,
     103,   104,   105,   106,   107,   108,   109,   110,   111,   112,
     113,   114,   115,   116,   117,   118,   119,   120,   121,   122,
     123,   124,   125,   126,   127,   128,   129,   130,   131,   132,
     133,   134,   135,   136,   137,   138,   139,   140,   141,   142,
     143,   144,   145,   146,   147,   148,   149,   150,   151,   152,
     153,   154,   155,   156,   157,   158,   159,   160,   161,   162,
     163,   164,   165,   166,   167,   168,   169,   170,   171,   172,
     173,   174,   175,   176,   177,   178,   179,   180,   181,   182,
     183,   184,   185,   186,   187,   188,   189,   190,   191,   192,
     193,   194,   195,   196,   197,   198,   199,   200,   201,   202,
     203,   204,   205,   206,   207,   208,   209,   210,   211,   212,
     213,   214,   215,   216,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   250,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    30,    31,    32,
      33,    34,    35,    36,    37,    38,    39,    40,    41,    42,
      43,    44,    45,    46,    47,    48,    49,    50,    51,    52,
      53,    54,    55,    56,    57,    58,    59,    60,    61,    62,
      63,    64,    65,    66,    67,    68,    69,    70,    71,    72,
      73,    74,    75,    76,    77,    78,    79,    80,    81,    82,
      83,    84,    85,    86,    87,    88,    89,    90,    91,    92,
      93,    94,    95,    96,    97,    98,    99,   100,   101,   102,
     103,   104,   105,   106,   107,   108,   109,   110,   111,   112,
     113,   114,   115,   116,   117,   118,   119,   120,   121,   122,
     123,   124,   125,   126,   127,   128,   129,   130,   131,   132,
     133,   134,   135,   136,   137,   138,   139,   140,   141,   142,
     143,   144,   145,   146,   147,   148,   149,   150,   151,   152,
     153,   154,   155,   156,   157,   158,   159,   160,   161,   162,
     163,   164,   165,   166,   167,   168,   169,   170,   171,   172,
     173,   174,   175,   176,   177,   178,   179,   180,   181,   182,
     183,   184,   185,   186,   187,   188,   189,   190,   191,   192,
     193,   194,   195,   196,   197,   198,   199,   200,   201,   202,
     203,   204,   205,   206,   207,   208,   209,   210,   211,   212,
     213,   214,   215,   216,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   250,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    30,    31,    32,
      33,    34,    35,    36,    37,    38,    39,    40,    41,    42,
      43,    44,    45,    46,    47,    48,    49,    50,    51,    52,
      53,    54,    55,    56,    57,    58,    59,    60,    61,    62,
      63,    64,    65,    66,    67,    68,    69,    70,    71,    72,
      73,    74,    75,    76,    77,    78,    79,    80,    81,    82,
      83,    84,    85,    86,    87,    88,    89,    90,    91,    92,
      93,    94,    95,    96,    97,    98,    99,   100,   101,   102,
     103,   104,   105,   106,   107,   108,   109,   110,   111,   112,
     113,   114,   115,   116,   117,   118,   119,   120,   121,   122,
     123,   124,   125,   126,   127,   128,   129,   130,   131,   132,
     133,   134,   135,   136,   137,   138,   139,   140,   141,   142,
     143,   144,   145,   146,   147,   148,   149,   150,   151,   152,
     153,   154,   155,   156,   157,   158,   159,   160,   161,   162,
     163,   164,   165,   166,   167,   168,   169,   170,   171,   172,
     173,   174,   175,   176,   177,   178,   179,   180,   181,   182,
     183,   184,   185,   186,   187,   188,   189,   190,   191,   192,
     193,   194,   195,   196,   197,   198,   199,   200,   201,   202,
     203,   204,   205,   206,   207,   208,   209,   210,   211,   212,
     213,   214,   215,   216,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   250,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    48,    49,    50,    51,    52,
      53,    54,    55,    56,    -1,    58,    59,    60,    61,    62,
      63,    64,    -1,    66,    67,    68,    69,    70,    71,    -1,
      73,    74,    75,    76,    77,    -1,    79,    -1,    81,    82,
      83,    84,    85,    86,    87,    88,    89,    90,    -1,    92,
      93,    94,    95,    96,    97,    -1,    99,   100,   101,   102,
     103,   104,   105,   106,   107,   108,   109,   110,   111,   112,
     113,   114,   115,   116,   117,   118,    -1,   120,    -1,   122,
     123,   124,   125,   126,   127,   128,    -1,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,    -1,   146,   147,   148,    -1,   150,   151,   152,
     153,   154,   155,   156,   157,   158,   159,    -1,   161,    -1,
     163,   164,   165,   166,   167,    -1,   169,    -1,   171,   172,
     173,    -1,   175,   176,   177,   178,   179,    -1,   181,   182,
      -1,   184,   185,   186,    -1,   188,   189,   190,   191,   192,
     193,   194,   195,   196,   197,    -1,   199,   200,   201,   202,
     203,   204,   205,   206,    -1,   208,   209,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,    -1,    -1,   240,   241,   242,
     243,   244,    -1,   246,   247,   248,   249,   250,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,    -1,
     283,   284,   285,   286,    -1,   288,   289,   290,   291,   292,
     293,    -1,   295,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,   327,   328,   329,    -1,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,    -1,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,    -1,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,    -1,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   396,    -1,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
      -1,   414,   415,   416,    -1,   418,   419,   420,   421,   422,
     423,   424,    -1,   426,   427,   428,    -1,    -1,   431,   432,
     433,   434,   435,    -1,   437,   438,   439,   440,   441,   442,
     443,   444,    -1,    -1,   447,   448,   449,   450,   451,   452,
      -1,   454,   455,   456,   457,   458,   459,   460,    -1,   462,
     463,   464,   465,   466,   467,    -1,    -1,   470,    -1,    -1,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
       3,    -1,     5,     6,    -1,     8,     9,    -1,    11,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    48,    49,    50,    51,    52,
      53,    54,    55,    56,    -1,    58,    59,    60,    61,    62,
      63,    64,    -1,    -1,    67,    68,    69,    70,    71,    -1,
      73,    74,    75,    76,    77,    -1,    79,    -1,    81,    82,
      83,    84,    85,    86,    87,    88,    89,    90,    -1,    92,
      93,    94,    95,    96,    97,    -1,    99,   100,   101,   102,
      -1,    -1,    -1,   106,    -1,    -1,    -1,   110,   111,   112,
     113,   114,   115,   116,   117,   118,    -1,   120,    -1,   122,
     123,   124,   125,   126,   127,   128,    -1,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,    -1,   146,   147,   148,    -1,   150,   151,   152,
     153,   154,   155,   156,   157,   158,   159,   160,   161,    -1,
     163,   164,   165,   166,   167,    -1,   169,    -1,   171,   172,
     173,    -1,   175,   176,   177,   178,   179,    -1,   181,   182,
      -1,   184,   185,   186,    -1,   188,   189,   190,   191,   192,
     193,   194,   195,   196,   197,    -1,   199,   200,   201,   202,
     203,   204,   205,   206,    -1,   208,   209,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,    -1,    -1,   240,   241,   242,
     243,   244,    -1,   246,   247,   248,    -1,    -1,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,    -1,
     283,   284,   285,   286,   287,   288,   289,   290,   291,   292,
     293,    -1,   295,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,   327,   328,   329,    -1,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,    -1,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,    -1,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,    -1,   381,   382,
     383,   384,   385,    -1,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   396,    -1,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
      -1,   414,   415,    -1,    -1,   418,   419,   420,   421,   422,
     423,   424,    -1,   426,   427,   428,    -1,    -1,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,    -1,    -1,   447,   448,   449,   450,   451,    -1,
      -1,   454,   455,   456,   457,   458,   459,   460,    -1,   462,
     463,   464,   465,   466,   467,    -1,    -1,   470,    -1,    -1,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    30,    31,    32,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    48,    49,    50,    51,    52,
      53,    54,    55,    56,    -1,    58,    59,    60,    61,    62,
      63,    64,    -1,    -1,    67,    68,    69,    70,    71,    -1,
      73,    74,    75,    76,    77,    -1,    79,    -1,    81,    82,
      83,    84,    85,    86,    87,    88,    89,    90,    -1,    92,
      93,    94,    95,    96,    97,    -1,    99,   100,   101,   102,
      -1,    -1,   105,   106,    -1,    -1,   109,   110,   111,   112,
     113,   114,   115,   116,   117,   118,    -1,   120,    -1,   122,
     123,   124,   125,   126,   127,   128,    -1,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,    -1,   146,   147,   148,    -1,   150,   151,   152,
     153,   154,   155,   156,   157,   158,   159,    -1,   161,    -1,
     163,   164,   165,   166,   167,    -1,   169,    -1,   171,   172,
     173,    -1,   175,   176,   177,   178,   179,    -1,   181,   182,
      -1,   184,   185,   186,    -1,   188,   189,   190,   191,   192,
     193,   194,   195,   196,   197,    -1,   199,   200,   201,   202,
     203,   204,   205,   206,    -1,   208,   209,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,    -1,    -1,   240,   241,   242,
     243,   244,    -1,   246,   247,   248,    -1,    -1,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,    -1,
     283,   284,   285,   286,    -1,   288,   289,   290,   291,   292,
     293,    -1,   295,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,   327,   328,   329,    -1,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,    -1,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,    -1,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,    -1,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   396,    -1,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
      -1,   414,   415,    -1,    -1,   418,   419,   420,   421,   422,
     423,   424,    -1,   426,   427,   428,    -1,    -1,   431,   432,
     433,   434,   435,    -1,   437,   438,   439,   440,   441,   442,
     443,   444,    -1,    -1,   447,   448,   449,   450,   451,    -1,
      -1,   454,   455,   456,   457,   458,   459,   460,    -1,   462,
     463,   464,   465,   466,   467,    -1,    -1,   470,    -1,    -1,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    30,    31,    32,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    48,    49,    50,    51,    52,
      53,    54,    55,    56,    -1,    58,    59,    60,    61,    62,
      63,    64,    -1,    -1,    67,    68,    69,    70,    71,    -1,
      73,    74,    75,    76,    77,    -1,    79,    -1,    81,    82,
      83,    84,    85,    86,    87,    88,    89,    90,    -1,    92,
      93,    94,    95,    96,    97,    -1,    99,   100,   101,   102,
      -1,    -1,   105,   106,    -1,    -1,   109,   110,   111,   112,
     113,   114,   115,   116,   117,   118,    -1,   120,    -1,   122,
     123,   124,   125,   126,   127,   128,    -1,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,    -1,   146,   147,   148,    -1,   150,   151,   152,
     153,   154,   155,   156,   157,   158,   159,    -1,   161,    -1,
     163,   164,   165,   166,   167,    -1,   169,    -1,   171,   172,
     173,    -1,   175,   176,   177,   178,   179,    -1,   181,   182,
      -1,   184,   185,   186,    -1,   188,   189,   190,   191,   192,
     193,   194,   195,   196,   197,    -1,   199,   200,   201,   202,
     203,   204,   205,   206,    -1,   208,   209,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,    -1,    -1,   240,   241,   242,
     243,   244,    -1,   246,   247,   248,    -1,    -1,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,    -1,
     283,   284,   285,   286,    -1,   288,   289,   290,   291,   292,
     293,    -1,   295,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,   327,   328,   329,    -1,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,    -1,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,    -1,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,    -1,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   396,    -1,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
      -1,   414,   415,    -1,    -1,   418,   419,   420,   421,   422,
     423,   424,    -1,   426,   427,   428,    -1,    -1,   431,   432,
     433,   434,   435,    -1,   437,   438,   439,   440,   441,   442,
     443,   444,    -1,    -1,   447,   448,   449,   450,   451,    -1,
      -1,   454,   455,   456,   457,   458,   459,   460,    -1,   462,
     463,   464,   465,   466,   467,    -1,    -1,   470,    -1,    -1,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    48,    49,    50,    51,    52,
      53,    54,    55,    56,    -1,    58,    59,    60,    61,    62,
      63,    64,    -1,    -1,    67,    68,    69,    70,    71,    -1,
      73,    74,    75,    76,    77,    -1,    79,    -1,    81,    82,
      83,    84,    85,    86,    87,    88,    89,    90,    -1,    92,
      93,    94,    95,    96,    97,    -1,    99,   100,   101,   102,
      -1,    -1,   105,   106,    -1,    -1,   109,   110,   111,   112,
     113,   114,   115,   116,   117,   118,    -1,   120,    -1,   122,
     123,   124,   125,   126,   127,   128,    -1,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,    -1,   146,   147,   148,    -1,   150,   151,   152,
     153,   154,   155,   156,   157,   158,   159,    -1,   161,    -1,
     163,   164,   165,   166,   167,    -1,   169,    -1,   171,   172,
     173,    -1,   175,   176,   177,   178,   179,    -1,   181,   182,
      -1,   184,   185,   186,    -1,   188,   189,   190,   191,   192,
     193,   194,   195,   196,   197,    -1,   199,   200,   201,   202,
     203,   204,   205,   206,    -1,   208,   209,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,    -1,    -1,   240,   241,   242,
     243,   244,    -1,   246,   247,   248,    -1,    -1,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,    -1,
     283,   284,   285,   286,    -1,   288,   289,   290,   291,   292,
     293,    -1,   295,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,   327,   328,   329,    -1,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,    -1,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,    -1,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,    -1,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   396,    -1,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
      -1,   414,   415,    -1,    -1,   418,   419,   420,   421,   422,
     423,   424,    -1,   426,   427,   428,    -1,    -1,   431,   432,
     433,   434,   435,    -1,   437,   438,   439,   440,   441,   442,
     443,   444,    -1,    -1,   447,   448,   449,   450,   451,   452,
      -1,   454,   455,   456,   457,   458,   459,   460,    -1,   462,
     463,   464,   465,   466,   467,    -1,    -1,   470,    -1,    -1,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    48,    49,    50,    51,    52,
      53,    54,    55,    56,    -1,    58,    59,    60,    61,    62,
      63,    64,    -1,    -1,    67,    68,    69,    70,    71,    -1,
      73,    74,    75,    76,    77,    -1,    79,    -1,    81,    82,
      83,    84,    85,    86,    87,    88,    89,    90,    -1,    92,
      93,    94,    95,    96,    97,    -1,    99,   100,   101,   102,
      -1,    -1,   105,   106,    -1,    -1,   109,   110,   111,   112,
     113,   114,   115,   116,   117,   118,    -1,   120,    -1,   122,
     123,   124,   125,   126,   127,   128,    -1,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,    -1,   146,   147,   148,    -1,   150,   151,   152,
     153,   154,   155,   156,   157,   158,   159,    -1,   161,    -1,
     163,   164,   165,   166,   167,    -1,   169,    -1,   171,   172,
     173,    -1,   175,   176,   177,   178,   179,    -1,   181,   182,
     183,   184,   185,   186,    -1,   188,   189,   190,   191,   192,
     193,   194,   195,   196,   197,    -1,   199,   200,   201,   202,
     203,   204,   205,   206,    -1,   208,   209,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,    -1,    -1,   240,   241,   242,
     243,   244,    -1,   246,   247,   248,    -1,    -1,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,    -1,
     283,   284,   285,   286,    -1,   288,   289,   290,   291,   292,
     293,    -1,   295,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,   327,   328,   329,    -1,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,    -1,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,    -1,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,    -1,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   396,    -1,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
      -1,   414,   415,    -1,    -1,   418,   419,   420,   421,   422,
     423,   424,    -1,   426,   427,   428,    -1,    -1,   431,   432,
     433,   434,   435,    -1,   437,   438,   439,   440,   441,   442,
     443,   444,    -1,    -1,   447,   448,   449,   450,   451,    -1,
      -1,   454,   455,   456,   457,   458,   459,   460,    -1,   462,
     463,   464,   465,   466,   467,    -1,    -1,   470,    -1,    -1,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
       3,    -1,    -1,     6,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    48,    49,    50,    51,    52,
      53,    54,    55,    56,    -1,    58,    59,    60,    61,    62,
      63,    64,    -1,    -1,    67,    68,    69,    70,    71,    -1,
      73,    74,    75,    76,    77,    -1,    79,    -1,    81,    82,
      83,    84,    85,    86,    87,    88,    89,    90,    -1,    92,
      93,    94,    95,    96,    97,    -1,    99,   100,   101,   102,
      -1,    -1,    -1,   106,    -1,    -1,    -1,   110,   111,   112,
     113,   114,   115,   116,   117,   118,    -1,   120,    -1,   122,
     123,   124,   125,   126,   127,   128,    -1,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,    -1,   146,   147,   148,    -1,   150,   151,   152,
     153,   154,   155,   156,   157,   158,   159,   160,   161,    -1,
     163,   164,   165,   166,   167,    -1,   169,    -1,   171,   172,
     173,    -1,   175,   176,   177,   178,   179,    -1,   181,   182,
      -1,   184,   185,   186,    -1,   188,   189,   190,   191,   192,
     193,   194,   195,   196,   197,    -1,   199,   200,   201,   202,
     203,   204,   205,   206,    -1,   208,   209,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,    -1,    -1,   240,   241,   242,
     243,   244,    -1,   246,   247,   248,    -1,    -1,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,    -1,
     283,   284,   285,   286,    -1,   288,   289,   290,   291,   292,
     293,    -1,   295,   296,   297,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,   327,   328,   329,    -1,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,    -1,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,    -1,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,    -1,   381,   382,
     383,   384,   385,    -1,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   396,    -1,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
      -1,   414,   415,    -1,    -1,   418,   419,   420,   421,   422,
     423,   424,    -1,   426,   427,   428,    -1,    -1,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,    -1,    -1,   447,   448,   449,   450,   451,    -1,
      -1,   454,   455,   456,   457,   458,   459,   460,    -1,   462,
     463,   464,   465,   466,   467,    -1,    -1,   470,    -1,    -1,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    48,    49,    50,    51,    52,
      53,    54,    55,    56,    -1,    58,    59,    60,    61,    62,
      63,    64,    -1,    -1,    67,    68,    69,    70,    71,    -1,
      73,    74,    75,    76,    77,    -1,    79,    -1,    81,    82,
      83,    84,    85,    86,    87,    88,    89,    90,    -1,    92,
      93,    94,    95,    96,    97,    -1,    99,   100,   101,   102,
      -1,    -1,   105,   106,    -1,    -1,   109,   110,   111,   112,
     113,   114,   115,   116,   117,   118,    -1,   120,    -1,   122,
     123,   124,   125,   126,   127,   128,    -1,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,    -1,   146,   147,   148,    -1,   150,   151,   152,
     153,   154,   155,   156,   157,   158,   159,    -1,   161,    -1,
     163,   164,   165,   166,   167,    -1,   169,    -1,   171,   172,
     173,    -1,   175,   176,   177,   178,   179,    -1,   181,   182,
      -1,   184,   185,   186,    -1,   188,   189,   190,   191,   192,
     193,   194,   195,   196,   197,    -1,   199,   200,   201,   202,
     203,   204,   205,   206,    -1,   208,   209,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,    -1,    -1,   240,   241,   242,
     243,   244,    -1,   246,   247,   248,    -1,    -1,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,    -1,
     283,   284,   285,   286,    -1,   288,   289,   290,   291,   292,
     293,    -1,   295,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,   327,   328,   329,    -1,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,    -1,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,    -1,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,    -1,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   396,    -1,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
      -1,   414,   415,    -1,    -1,   418,   419,   420,   421,   422,
     423,   424,    -1,   426,   427,   428,    -1,    -1,   431,   432,
     433,   434,   435,    -1,   437,   438,   439,   440,   441,   442,
     443,   444,    -1,    -1,   447,   448,   449,   450,   451,    -1,
      -1,   454,   455,   456,   457,   458,   459,   460,    -1,   462,
     463,   464,   465,   466,   467,    -1,    -1,   470,    -1,    -1,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    48,    49,    50,    51,    52,
      53,    54,    55,    56,    -1,    58,    59,    60,    61,    62,
      63,    64,    -1,    -1,    67,    68,    69,    70,    71,    -1,
      73,    74,    75,    76,    77,    -1,    79,    -1,    81,    82,
      83,    84,    85,    86,    87,    88,    89,    90,    -1,    92,
      93,    94,    95,    96,    97,    -1,    99,   100,   101,   102,
      -1,    -1,   105,   106,    -1,    -1,   109,   110,   111,   112,
     113,   114,   115,   116,   117,   118,    -1,   120,    -1,   122,
     123,   124,   125,   126,   127,   128,    -1,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,    -1,   146,   147,   148,    -1,   150,   151,   152,
     153,   154,   155,   156,   157,   158,   159,    -1,   161,    -1,
     163,   164,   165,   166,   167,    -1,   169,    -1,   171,   172,
     173,    -1,   175,   176,   177,   178,   179,    -1,   181,   182,
      -1,   184,   185,   186,    -1,   188,   189,   190,   191,   192,
     193,   194,   195,   196,   197,    -1,   199,   200,   201,   202,
     203,   204,   205,   206,    -1,   208,   209,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,    -1,    -1,   240,   241,   242,
     243,   244,    -1,   246,   247,   248,    -1,    -1,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,    -1,
     283,   284,   285,   286,    -1,   288,   289,   290,   291,   292,
     293,    -1,   295,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,   327,   328,   329,    -1,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,    -1,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,    -1,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,    -1,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   396,    -1,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
      -1,   414,   415,    -1,    -1,   418,   419,   420,   421,   422,
     423,   424,    -1,   426,   427,   428,    -1,    -1,   431,   432,
     433,   434,   435,    -1,   437,   438,   439,   440,   441,   442,
     443,   444,    -1,    -1,   447,   448,   449,   450,   451,    -1,
      -1,   454,   455,   456,   457,   458,   459,   460,    -1,   462,
     463,   464,   465,   466,   467,    -1,    -1,   470,    -1,    -1,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    48,    49,    50,    51,    52,
      53,    54,    55,    56,    -1,    58,    59,    60,    61,    62,
      63,    64,    -1,    -1,    67,    68,    69,    70,    71,    -1,
      73,    74,    75,    76,    77,    -1,    79,    -1,    81,    82,
      83,    84,    85,    86,    87,    88,    89,    90,    -1,    92,
      93,    94,    95,    96,    97,    -1,    99,   100,   101,   102,
      -1,    -1,   105,   106,    -1,    -1,   109,   110,   111,   112,
     113,   114,   115,   116,   117,   118,    -1,   120,    -1,   122,
     123,   124,   125,   126,   127,   128,    -1,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,    -1,   146,   147,   148,    -1,   150,   151,   152,
     153,   154,   155,   156,   157,   158,   159,    -1,   161,    -1,
     163,   164,   165,   166,   167,    -1,   169,    -1,   171,   172,
     173,    -1,   175,   176,   177,   178,   179,    -1,   181,   182,
      -1,   184,   185,   186,    -1,   188,   189,   190,   191,   192,
     193,   194,   195,   196,   197,    -1,   199,   200,   201,   202,
     203,   204,   205,   206,    -1,   208,   209,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,    -1,    -1,   240,   241,   242,
     243,   244,    -1,   246,   247,   248,    -1,    -1,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,    -1,
     283,   284,   285,   286,    -1,   288,   289,   290,   291,   292,
     293,    -1,   295,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,   327,   328,   329,    -1,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,    -1,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,    -1,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,    -1,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   396,    -1,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
      -1,   414,   415,    -1,    -1,   418,   419,   420,   421,   422,
     423,   424,    -1,   426,   427,   428,    -1,    -1,   431,   432,
     433,   434,   435,    -1,   437,   438,   439,   440,   441,   442,
     443,   444,    -1,    -1,   447,   448,   449,   450,   451,    -1,
      -1,   454,   455,   456,   457,   458,   459,   460,    -1,   462,
     463,   464,   465,   466,   467,    -1,    -1,   470,    -1,    -1,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    48,    49,    50,    51,    52,
      53,    54,    55,    56,    -1,    58,    59,    60,    61,    62,
      63,    64,    -1,    -1,    67,    68,    69,    70,    71,    -1,
      73,    74,    75,    76,    77,    -1,    79,    -1,    81,    82,
      83,    84,    85,    86,    87,    88,    89,    90,    -1,    92,
      93,    94,    95,    96,    97,    -1,    99,   100,   101,   102,
      -1,    -1,   105,   106,    -1,    -1,   109,   110,   111,   112,
     113,   114,   115,   116,   117,   118,    -1,   120,    -1,   122,
     123,   124,   125,   126,   127,   128,    -1,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,    -1,   146,   147,   148,    -1,   150,   151,   152,
     153,   154,   155,   156,   157,   158,   159,    -1,   161,    -1,
     163,   164,   165,   166,   167,    -1,   169,    -1,   171,   172,
     173,    -1,   175,   176,   177,   178,   179,    -1,   181,   182,
      -1,   184,   185,   186,    -1,   188,   189,   190,   191,   192,
     193,   194,   195,   196,   197,    -1,   199,   200,   201,   202,
     203,   204,   205,   206,    -1,   208,   209,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,    -1,    -1,   240,   241,   242,
     243,   244,    -1,   246,   247,   248,    -1,    -1,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,    -1,
     283,   284,   285,   286,    -1,   288,   289,   290,   291,   292,
     293,    -1,   295,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,   327,   328,   329,    -1,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,    -1,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,    -1,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,    -1,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   396,    -1,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
      -1,   414,   415,    -1,    -1,   418,   419,   420,   421,   422,
     423,   424,    -1,   426,   427,   428,    -1,    -1,   431,   432,
     433,   434,   435,    -1,   437,   438,   439,   440,   441,   442,
     443,   444,    -1,    -1,   447,   448,   449,   450,   451,    -1,
      -1,   454,   455,   456,   457,   458,   459,   460,    -1,   462,
     463,   464,   465,   466,   467,    -1,    -1,   470,    -1,    -1,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    48,    49,    50,    51,    52,
      53,    54,    55,    56,    -1,    58,    59,    60,    61,    62,
      63,    64,    -1,    -1,    67,    68,    69,    70,    71,    -1,
      73,    74,    75,    76,    77,    -1,    79,    -1,    81,    82,
      83,    84,    85,    86,    87,    88,    89,    90,    -1,    92,
      93,    94,    95,    96,    97,    -1,    99,   100,   101,   102,
      -1,    -1,   105,   106,    -1,    -1,   109,   110,   111,   112,
     113,   114,   115,   116,   117,   118,    -1,   120,    -1,   122,
     123,   124,   125,   126,   127,   128,    -1,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,    -1,   146,   147,   148,    -1,   150,   151,   152,
     153,   154,   155,   156,   157,   158,   159,    -1,   161,    -1,
     163,   164,   165,   166,   167,    -1,   169,    -1,   171,   172,
     173,    -1,   175,   176,   177,   178,   179,    -1,   181,   182,
      -1,   184,   185,   186,    -1,   188,   189,   190,   191,   192,
     193,   194,   195,   196,   197,    -1,   199,   200,   201,   202,
     203,   204,   205,   206,    -1,   208,   209,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,    -1,    -1,   240,   241,   242,
     243,   244,    -1,   246,   247,   248,    -1,    -1,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,    -1,
     283,   284,   285,   286,    -1,   288,   289,   290,   291,   292,
     293,    -1,   295,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,   327,   328,   329,    -1,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,    -1,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,    -1,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,    -1,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   396,    -1,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
      -1,   414,   415,    -1,    -1,   418,   419,   420,   421,   422,
     423,   424,    -1,   426,   427,   428,    -1,    -1,   431,   432,
     433,   434,   435,    -1,   437,   438,   439,   440,   441,   442,
     443,   444,    -1,    -1,   447,   448,   449,   450,   451,    -1,
      -1,   454,   455,   456,   457,   458,   459,   460,    -1,   462,
     463,   464,   465,   466,   467,    -1,    -1,   470,    -1,    -1,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
       3,    -1,    -1,     6,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    48,    49,    50,    51,    52,
      53,    54,    55,    56,    -1,    58,    59,    60,    61,    62,
      63,    64,    -1,    -1,    67,    68,    69,    70,    71,    -1,
      73,    74,    75,    76,    77,    -1,    79,    -1,    81,    82,
      83,    84,    85,    86,    87,    88,    89,    90,    -1,    92,
      93,    94,    95,    96,    97,    -1,    99,   100,   101,   102,
      -1,    -1,    -1,   106,    -1,    -1,    -1,   110,   111,   112,
     113,   114,   115,   116,   117,   118,   119,   120,    -1,   122,
     123,   124,   125,   126,   127,   128,    -1,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,    -1,   146,   147,   148,    -1,   150,   151,   152,
     153,   154,   155,   156,   157,   158,   159,    -1,   161,    -1,
     163,   164,   165,   166,   167,    -1,   169,    -1,   171,   172,
     173,    -1,   175,   176,   177,   178,   179,    -1,   181,   182,
      -1,   184,   185,   186,    -1,   188,   189,   190,   191,   192,
     193,   194,   195,   196,   197,    -1,   199,   200,   201,   202,
     203,   204,   205,   206,    -1,   208,   209,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,    -1,    -1,   240,   241,   242,
     243,   244,    -1,   246,   247,   248,    -1,    -1,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,    -1,
     283,   284,   285,   286,    -1,   288,   289,   290,   291,   292,
     293,    -1,   295,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,   327,   328,   329,    -1,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,    -1,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,    -1,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,    -1,   381,   382,
     383,   384,   385,    -1,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   396,    -1,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
      -1,   414,   415,    -1,    -1,   418,   419,   420,   421,   422,
     423,   424,    -1,   426,   427,   428,    -1,    -1,   431,   432,
     433,   434,   435,    -1,   437,   438,   439,   440,   441,   442,
     443,   444,    -1,    -1,   447,   448,   449,   450,   451,    -1,
      -1,   454,   455,   456,   457,   458,   459,   460,    -1,   462,
     463,   464,   465,   466,   467,    -1,    -1,   470,    -1,    -1,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
       3,    -1,    -1,     6,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    48,    49,    50,    51,    52,
      53,    54,    55,    56,    -1,    58,    59,    60,    61,    62,
      63,    64,    -1,    -1,    67,    68,    69,    70,    71,    -1,
      73,    74,    75,    76,    77,    -1,    79,    -1,    81,    82,
      83,    84,    85,    86,    87,    88,    89,    90,    -1,    92,
      93,    94,    95,    96,    97,    -1,    99,   100,   101,   102,
      -1,    -1,    -1,   106,    -1,    -1,    -1,   110,   111,   112,
     113,   114,   115,   116,   117,   118,    -1,   120,    -1,   122,
     123,   124,   125,   126,   127,   128,    -1,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,    -1,   146,   147,   148,    -1,   150,   151,   152,
     153,   154,   155,   156,   157,   158,   159,    -1,   161,    -1,
     163,   164,   165,   166,   167,    -1,   169,    -1,   171,   172,
     173,    -1,   175,   176,   177,   178,   179,    -1,   181,   182,
      -1,   184,   185,   186,    -1,   188,   189,   190,   191,   192,
     193,   194,   195,   196,   197,    -1,   199,   200,   201,   202,
     203,   204,   205,   206,    -1,   208,   209,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,    -1,    -1,   240,   241,   242,
     243,   244,    -1,   246,   247,   248,    -1,    -1,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,    -1,
     283,   284,   285,   286,    -1,   288,   289,   290,   291,   292,
     293,    -1,   295,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,   327,   328,   329,    -1,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,    -1,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,    -1,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,    -1,   381,   382,
     383,   384,   385,    -1,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   396,    -1,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
      -1,   414,   415,    -1,    -1,   418,   419,   420,   421,   422,
     423,   424,    -1,   426,   427,   428,    -1,    -1,   431,   432,
     433,   434,   435,    -1,   437,   438,   439,   440,   441,   442,
     443,   444,    -1,    -1,   447,   448,   449,   450,   451,    -1,
      -1,   454,   455,   456,   457,   458,   459,   460,    -1,   462,
     463,   464,   465,   466,   467,    -1,    -1,   470,    -1,    -1,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    48,    49,    50,    51,    52,
      53,    54,    55,    56,    -1,    58,    59,    60,    61,    62,
      63,    64,    -1,    -1,    67,    68,    69,    70,    71,    -1,
      73,    74,    75,    76,    77,    -1,    79,    -1,    81,    82,
      83,    84,    85,    86,    87,    88,    89,    90,    -1,    92,
      93,    94,    95,    96,    97,    -1,    99,   100,   101,   102,
      -1,    -1,    -1,   106,    -1,    -1,    -1,   110,   111,   112,
     113,   114,   115,   116,   117,   118,    -1,   120,    -1,   122,
     123,   124,   125,   126,   127,   128,    -1,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,    -1,   146,   147,   148,    -1,   150,   151,   152,
     153,   154,   155,   156,   157,   158,   159,    -1,   161,    -1,
     163,   164,   165,   166,   167,    -1,   169,    -1,   171,   172,
     173,    -1,   175,   176,   177,   178,   179,    -1,   181,   182,
      -1,   184,   185,   186,    -1,   188,   189,   190,   191,   192,
     193,   194,   195,   196,   197,    -1,   199,   200,   201,   202,
     203,   204,   205,   206,    -1,   208,   209,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,    -1,    -1,   240,   241,   242,
     243,   244,    -1,   246,   247,   248,    -1,    -1,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,    -1,
     283,   284,   285,   286,    -1,   288,   289,   290,   291,   292,
     293,    -1,   295,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,   327,   328,   329,    -1,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,    -1,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,    -1,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,    -1,   381,   382,
     383,   384,   385,    -1,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   396,    -1,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
      -1,   414,   415,    -1,    -1,   418,   419,   420,   421,   422,
     423,   424,    -1,   426,   427,   428,    -1,    -1,   431,   432,
     433,   434,   435,    -1,   437,   438,   439,   440,   441,   442,
     443,   444,    -1,    -1,   447,   448,   449,   450,   451,    -1,
      -1,   454,   455,   456,   457,   458,   459,   460,    -1,   462,
     463,   464,   465,   466,   467,    -1,    -1,   470,    -1,    -1,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    48,    49,    50,    51,    52,
      53,    54,    55,    56,    -1,    58,    59,    60,    61,    62,
      63,    64,    -1,    -1,    67,    68,    69,    70,    71,    -1,
      73,    74,    75,    76,    77,    -1,    79,    -1,    81,    82,
      83,    84,    85,    86,    87,    88,    89,    90,    -1,    92,
      93,    94,    95,    96,    97,    -1,    99,   100,   101,   102,
      -1,    -1,    -1,   106,    -1,    -1,    -1,   110,   111,   112,
     113,   114,   115,   116,   117,   118,    -1,   120,    -1,   122,
     123,   124,   125,   126,   127,   128,    -1,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,    -1,   146,   147,   148,    -1,   150,   151,   152,
     153,   154,   155,   156,   157,   158,   159,    -1,   161,    -1,
     163,   164,   165,   166,   167,    -1,   169,    -1,   171,   172,
     173,    -1,   175,   176,   177,   178,   179,    -1,   181,   182,
      -1,   184,   185,   186,    -1,   188,   189,   190,   191,   192,
     193,   194,   195,   196,   197,    -1,   199,   200,   201,   202,
     203,   204,   205,   206,    -1,   208,   209,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,    -1,    -1,   240,   241,   242,
     243,   244,    -1,   246,   247,   248,    -1,    -1,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,    -1,
     283,   284,   285,   286,    -1,   288,   289,   290,   291,   292,
     293,    -1,   295,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,   327,   328,   329,    -1,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,    -1,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,    -1,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,    -1,   381,   382,
     383,   384,   385,    -1,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   396,    -1,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
      -1,   414,   415,    -1,    -1,   418,   419,   420,   421,   422,
     423,   424,    -1,   426,   427,   428,    -1,    -1,   431,   432,
     433,   434,   435,    -1,   437,   438,   439,   440,   441,   442,
     443,   444,    -1,    -1,   447,   448,   449,   450,   451,    -1,
      -1,   454,   455,   456,   457,   458,   459,   460,    -1,   462,
     463,   464,   465,   466,   467,    -1,    -1,   470,    -1,    -1,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    48,    49,    50,    51,    52,
      53,    54,    55,    56,    -1,    58,    59,    60,    61,    62,
      63,    64,    -1,    -1,    67,    68,    69,    70,    71,    -1,
      73,    74,    75,    76,    77,    -1,    79,    -1,    81,    82,
      83,    84,    85,    86,    87,    88,    89,    90,    -1,    92,
      93,    94,    95,    96,    97,    -1,    99,   100,   101,   102,
      -1,    -1,    -1,   106,    -1,    -1,    -1,   110,   111,   112,
     113,   114,   115,   116,   117,   118,    -1,   120,    -1,   122,
     123,   124,   125,   126,   127,   128,    -1,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,    -1,   146,   147,   148,    -1,   150,   151,   152,
     153,   154,   155,   156,   157,   158,   159,    -1,   161,    -1,
     163,   164,   165,   166,   167,    -1,   169,    -1,   171,   172,
     173,    -1,   175,   176,   177,   178,   179,    -1,   181,   182,
      -1,   184,   185,   186,    -1,   188,   189,   190,   191,   192,
     193,   194,   195,   196,   197,    -1,   199,   200,   201,   202,
     203,   204,   205,   206,    -1,   208,   209,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,    -1,    -1,   240,   241,   242,
     243,   244,    -1,   246,   247,   248,    -1,    -1,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,    -1,
     283,   284,   285,   286,    -1,   288,   289,   290,   291,   292,
     293,    -1,   295,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,   327,   328,   329,    -1,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,    -1,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,    -1,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,    -1,   381,   382,
     383,   384,   385,    -1,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   396,    -1,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
      -1,   414,   415,    -1,    -1,   418,   419,   420,   421,   422,
     423,   424,    -1,   426,   427,   428,    -1,    -1,   431,   432,
     433,   434,   435,    -1,   437,   438,   439,   440,   441,   442,
     443,   444,    -1,    -1,   447,   448,   449,   450,   451,    -1,
      -1,   454,   455,   456,   457,   458,   459,   460,    -1,   462,
     463,   464,   465,   466,   467,    -1,    -1,   470,    -1,    -1,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    48,    49,    50,    51,    52,
      53,    54,    55,    56,    -1,    58,    59,    60,    61,    62,
      63,    64,    -1,    -1,    67,    68,    69,    70,    71,    -1,
      73,    74,    75,    76,    77,    -1,    79,    -1,    81,    82,
      83,    84,    85,    86,    87,    88,    89,    90,    -1,    92,
      93,    94,    95,    96,    97,    -1,    99,   100,   101,   102,
      -1,    -1,    -1,   106,    -1,    -1,    -1,   110,   111,   112,
     113,   114,   115,   116,   117,   118,    -1,   120,    -1,   122,
     123,   124,   125,   126,   127,   128,    -1,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,    -1,   146,   147,   148,    -1,   150,   151,   152,
     153,   154,   155,   156,   157,   158,   159,    -1,   161,    -1,
     163,   164,   165,   166,   167,    -1,   169,    -1,   171,   172,
     173,    -1,   175,   176,   177,   178,   179,    -1,   181,   182,
      -1,   184,   185,   186,    -1,   188,   189,   190,   191,   192,
     193,   194,   195,   196,   197,    -1,   199,   200,   201,   202,
     203,   204,   205,   206,    -1,   208,   209,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,    -1,    -1,   240,   241,   242,
     243,   244,    -1,   246,   247,   248,    -1,    -1,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,    -1,
     283,   284,   285,   286,    -1,   288,   289,   290,   291,   292,
     293,    -1,   295,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,   327,   328,   329,    -1,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,    -1,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,    -1,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,    -1,   381,   382,
     383,   384,   385,    -1,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   396,    -1,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
      -1,   414,   415,    -1,    -1,   418,   419,   420,   421,   422,
     423,   424,    -1,   426,   427,   428,    -1,    -1,   431,   432,
     433,   434,   435,    -1,   437,   438,   439,   440,   441,   442,
     443,   444,    -1,    -1,   447,   448,   449,   450,   451,    -1,
      -1,   454,   455,   456,   457,   458,   459,   460,    -1,   462,
     463,   464,   465,   466,   467,    -1,    -1,   470,    -1,    -1,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    48,    49,    50,    51,    52,
      53,    54,    55,    56,    -1,    58,    59,    60,    61,    62,
      63,    64,    -1,    -1,    67,    68,    69,    70,    71,    -1,
      73,    74,    75,    76,    77,    -1,    79,    -1,    81,    82,
      83,    84,    85,    86,    87,    88,    89,    90,    -1,    92,
      93,    94,    95,    96,    97,    -1,    99,   100,   101,   102,
      -1,    -1,    -1,   106,    -1,    -1,    -1,   110,   111,   112,
     113,   114,   115,   116,   117,   118,    -1,   120,    -1,   122,
     123,   124,   125,   126,   127,   128,    -1,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,    -1,   146,   147,   148,    -1,   150,   151,   152,
     153,   154,   155,   156,   157,   158,   159,    -1,   161,    -1,
     163,   164,   165,   166,   167,    -1,   169,    -1,   171,   172,
     173,    -1,   175,   176,   177,   178,   179,    -1,   181,   182,
      -1,   184,   185,   186,    -1,   188,   189,   190,   191,   192,
     193,   194,   195,   196,   197,    -1,   199,   200,   201,   202,
     203,   204,   205,   206,    -1,   208,   209,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,    -1,    -1,   240,   241,   242,
     243,   244,    -1,   246,   247,   248,    -1,    -1,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,    -1,
     283,   284,   285,   286,    -1,   288,   289,   290,   291,   292,
     293,    -1,   295,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,   327,   328,   329,    -1,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,    -1,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,    -1,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,    -1,   381,   382,
     383,   384,   385,    -1,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   396,    -1,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
      -1,   414,   415,    -1,    -1,   418,   419,   420,   421,   422,
     423,   424,    -1,   426,   427,   428,    -1,    -1,   431,   432,
     433,   434,   435,    -1,   437,   438,   439,   440,   441,   442,
     443,   444,    -1,    -1,   447,   448,   449,   450,   451,    -1,
      -1,   454,   455,   456,   457,   458,   459,   460,    -1,   462,
     463,   464,   465,   466,   467,    -1,    -1,   470,    -1,    -1,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    48,    49,    50,    51,    52,
      53,    54,    55,    56,    -1,    58,    59,    60,    61,    62,
      63,    64,    -1,    -1,    67,    68,    69,    70,    71,    -1,
      73,    74,    75,    76,    77,    -1,    79,    -1,    81,    82,
      83,    84,    85,    86,    87,    88,    89,    90,    -1,    92,
      93,    94,    95,    96,    97,    -1,    99,   100,   101,   102,
      -1,    -1,    -1,   106,    -1,    -1,    -1,   110,   111,   112,
     113,   114,   115,   116,   117,   118,    -1,   120,    -1,   122,
     123,   124,   125,   126,   127,   128,    -1,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,    -1,   146,   147,   148,    -1,   150,   151,   152,
     153,   154,   155,   156,   157,   158,   159,    -1,   161,    -1,
     163,   164,   165,   166,   167,    -1,   169,    -1,   171,   172,
     173,    -1,   175,   176,   177,   178,   179,    -1,   181,   182,
      -1,   184,   185,   186,    -1,   188,   189,   190,   191,   192,
     193,   194,   195,   196,   197,    -1,   199,   200,   201,   202,
     203,   204,   205,   206,    -1,   208,   209,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,    -1,    -1,   240,   241,   242,
     243,   244,    -1,   246,   247,   248,    -1,    -1,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,    -1,
     283,   284,   285,   286,    -1,   288,   289,   290,   291,   292,
     293,    -1,   295,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,   327,   328,   329,    -1,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,    -1,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,    -1,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,    -1,   381,   382,
     383,   384,   385,    -1,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   396,    -1,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
      -1,   414,   415,    -1,    -1,   418,   419,   420,   421,   422,
     423,   424,    -1,   426,   427,   428,    -1,    -1,   431,   432,
     433,   434,   435,    -1,   437,   438,   439,   440,   441,   442,
     443,   444,    -1,    -1,   447,   448,   449,   450,   451,    -1,
      -1,   454,   455,   456,   457,   458,   459,   460,    -1,   462,
     463,   464,   465,   466,   467,    -1,    -1,   470,    -1,    -1,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    -1,    49,    50,    51,    52,
      53,    -1,    55,    56,    -1,    58,    59,    60,    61,    62,
      63,    64,    -1,    -1,    67,    68,    69,    70,    71,    72,
      73,    74,    75,    76,    77,    -1,    -1,    80,    81,    82,
      83,    84,    85,    86,    -1,    88,    89,    90,    91,    92,
      93,    94,    95,    96,    97,    -1,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,
     113,   114,   115,   116,   117,   118,    -1,   120,    -1,   122,
     123,   124,   125,   126,   127,   128,    -1,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,    -1,   146,   147,   148,    -1,   150,   151,   152,
     153,   154,   155,   156,   157,   158,   159,    -1,   161,    -1,
     163,   164,   165,   166,   167,    -1,   169,   170,   171,   172,
      -1,    -1,    -1,   176,   177,   178,   179,    -1,   181,   182,
      -1,   184,   185,   186,    -1,   188,   189,   190,   191,   192,
      -1,   194,   195,   196,   197,    -1,   199,   200,   201,   202,
     203,   204,   205,   206,    -1,   208,    -1,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,    -1,    -1,
     223,    -1,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,    -1,    -1,   240,   241,    -1,
     243,    -1,    -1,   246,   247,   248,    -1,    -1,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,    -1,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,   282,
     283,   284,    -1,   286,    -1,   288,   289,   290,   291,   292,
     293,    -1,   295,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,    -1,   308,    -1,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,   327,   328,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,    -1,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,    -1,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,    -1,   381,   382,
     383,   384,   385,    -1,   387,   388,   389,   390,   391,    -1,
     393,   394,   395,   396,    -1,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
      -1,   414,   415,    -1,    -1,   418,    -1,   420,   421,   422,
     423,   424,    -1,   426,   427,   428,    -1,    -1,   431,   432,
     433,   434,   435,    -1,   437,   438,   439,   440,   441,   442,
     443,   444,    -1,   446,   447,   448,   449,   450,   451,    -1,
      -1,   454,   455,   456,   457,   458,   459,   460,    -1,   462,
      -1,   464,   465,   466,   467,    -1,    -1,   470,    -1,    -1,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    -1,    49,    50,    51,    52,
      53,    -1,    55,    56,    -1,    58,    59,    60,    61,    62,
      63,    64,    -1,    -1,    67,    68,    69,    70,    71,    72,
      73,    74,    75,    76,    77,    -1,    -1,    -1,    81,    82,
      83,    84,    85,    86,    -1,    88,    89,    90,    91,    92,
      93,    94,    95,    96,    97,    -1,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,
     113,   114,   115,   116,   117,   118,    -1,   120,    -1,   122,
     123,   124,   125,   126,   127,   128,    -1,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,    -1,   146,   147,   148,    -1,   150,   151,   152,
     153,   154,   155,   156,   157,   158,   159,    -1,   161,    -1,
     163,   164,   165,   166,   167,    -1,   169,   170,   171,   172,
      -1,    -1,    -1,   176,   177,   178,   179,    -1,   181,   182,
      -1,   184,   185,   186,    -1,   188,   189,   190,   191,   192,
      -1,   194,   195,   196,   197,    -1,   199,   200,   201,   202,
     203,   204,   205,   206,    -1,   208,    -1,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,    -1,    -1,
     223,    -1,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,    -1,    -1,   240,   241,    -1,
     243,   244,    -1,   246,   247,   248,    -1,    -1,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,    -1,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,   282,
     283,   284,    -1,   286,    -1,   288,   289,   290,   291,   292,
     293,    -1,   295,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,    -1,   308,    -1,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,   327,   328,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,    -1,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,    -1,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,    -1,   381,   382,
     383,   384,   385,    -1,   387,   388,   389,   390,   391,    -1,
     393,   394,   395,   396,    -1,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
      -1,   414,   415,    -1,    -1,   418,    -1,   420,   421,   422,
     423,   424,    -1,   426,   427,   428,    -1,    -1,   431,   432,
     433,   434,   435,    -1,   437,   438,   439,   440,   441,   442,
     443,   444,    -1,   446,   447,   448,   449,   450,   451,    -1,
      -1,   454,   455,   456,   457,   458,   459,   460,    -1,   462,
      -1,   464,   465,   466,   467,    -1,    -1,   470,    -1,    -1,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    -1,    49,    50,    51,    52,
      53,    -1,    55,    56,    -1,    58,    59,    60,    61,    62,
      63,    64,    -1,    -1,    67,    68,    69,    70,    71,    72,
      73,    74,    75,    76,    77,    -1,    -1,    -1,    81,    82,
      83,    84,    85,    86,    -1,    88,    89,    90,    91,    92,
      93,    94,    95,    96,    97,    -1,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,
     113,   114,   115,   116,   117,   118,    -1,   120,    -1,   122,
     123,   124,   125,   126,   127,   128,    -1,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,    -1,   146,   147,   148,    -1,   150,   151,   152,
     153,   154,   155,   156,   157,   158,   159,    -1,   161,    -1,
     163,   164,   165,   166,   167,    -1,   169,   170,   171,   172,
      -1,    -1,    -1,   176,   177,   178,   179,    -1,   181,   182,
      -1,   184,   185,   186,    -1,   188,   189,   190,   191,   192,
      -1,   194,   195,   196,   197,    -1,   199,   200,   201,   202,
     203,   204,   205,   206,    -1,   208,    -1,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,    -1,    -1,
     223,    -1,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,    -1,    -1,   240,   241,    -1,
     243,    -1,    -1,   246,   247,   248,    -1,    -1,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,    -1,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,   282,
     283,   284,    -1,   286,    -1,   288,   289,   290,   291,   292,
     293,    -1,   295,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,    -1,   308,    -1,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,   327,   328,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,    -1,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,    -1,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,    -1,   381,   382,
     383,   384,   385,    -1,   387,   388,   389,   390,   391,    -1,
     393,   394,   395,   396,    -1,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
      -1,   414,   415,    -1,    -1,   418,    -1,   420,   421,   422,
     423,   424,    -1,   426,   427,   428,    -1,    -1,   431,   432,
     433,   434,   435,    -1,   437,   438,   439,   440,   441,   442,
     443,   444,    -1,   446,   447,   448,   449,   450,   451,    -1,
      -1,   454,   455,   456,   457,   458,   459,   460,    -1,   462,
      -1,   464,   465,   466,   467,    -1,    -1,   470,    -1,    -1,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    30,    31,    32,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    -1,    49,    50,    51,    52,
      53,    -1,    55,    56,    -1,    58,    59,    60,    61,    62,
      63,    64,    -1,    -1,    67,    68,    69,    70,    71,    -1,
      73,    74,    75,    76,    77,    -1,    -1,    -1,    81,    82,
      83,    84,    85,    86,    -1,    88,    89,    90,    -1,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,
     113,   114,   115,   116,   117,   118,    -1,   120,    -1,   122,
     123,   124,   125,   126,   127,   128,    -1,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,    -1,   146,   147,   148,    -1,   150,   151,   152,
     153,   154,   155,   156,   157,   158,   159,    -1,   161,    -1,
     163,   164,   165,   166,   167,    -1,   169,    -1,   171,   172,
      -1,    -1,    -1,   176,   177,   178,   179,   180,   181,   182,
      -1,   184,   185,   186,    -1,   188,   189,   190,   191,   192,
      -1,   194,   195,   196,   197,    -1,   199,   200,   201,   202,
     203,   204,   205,   206,    -1,   208,    -1,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,    -1,    -1,
     223,    -1,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,    -1,    -1,   240,   241,    -1,
     243,    -1,    -1,   246,   247,   248,    -1,    -1,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,    -1,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,    -1,
     283,   284,    -1,   286,    -1,   288,   289,   290,   291,   292,
     293,    -1,   295,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,    -1,   308,    -1,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,   327,   328,   329,    -1,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,    -1,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,    -1,   387,   388,   389,   390,   391,    -1,
     393,   394,   395,   396,    -1,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
      -1,   414,   415,    -1,    -1,   418,    -1,   420,   421,   422,
     423,   424,    -1,   426,   427,   428,    -1,    -1,   431,   432,
     433,   434,   435,    -1,   437,   438,   439,   440,   441,   442,
     443,   444,    -1,    -1,   447,   448,   449,   450,   451,    -1,
      -1,   454,   455,   456,   457,   458,   459,   460,    -1,   462,
      -1,   464,   465,   466,   467,    -1,    -1,   470,    -1,    -1,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    30,    31,    32,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    -1,    49,    50,    51,    52,
      53,    -1,    55,    56,    -1,    58,    59,    60,    61,    62,
      63,    64,    -1,    -1,    67,    68,    69,    70,    71,    -1,
      73,    74,    75,    76,    77,    -1,    -1,    -1,    81,    82,
      83,    84,    85,    86,    -1,    88,    89,    90,    -1,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,
     113,   114,   115,   116,   117,   118,    -1,   120,    -1,   122,
     123,   124,   125,   126,   127,   128,    -1,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,    -1,   146,   147,   148,    -1,   150,   151,   152,
     153,   154,   155,   156,   157,   158,   159,    -1,   161,    -1,
     163,   164,   165,   166,   167,    -1,   169,    -1,   171,   172,
      -1,    -1,    -1,   176,   177,   178,   179,   180,   181,   182,
      -1,   184,   185,   186,    -1,   188,   189,   190,   191,   192,
      -1,   194,   195,   196,   197,    -1,   199,   200,   201,   202,
     203,   204,   205,   206,    -1,   208,    -1,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,    -1,    -1,
     223,    -1,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,    -1,    -1,   240,   241,    -1,
     243,    -1,    -1,   246,   247,   248,    -1,    -1,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,    -1,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,    -1,
     283,   284,    -1,   286,    -1,   288,   289,   290,   291,   292,
     293,    -1,   295,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,    -1,   308,    -1,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,   327,   328,   329,    -1,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,    -1,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,    -1,   387,   388,   389,   390,   391,    -1,
     393,   394,   395,   396,    -1,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
      -1,   414,   415,    -1,    -1,   418,    -1,   420,   421,   422,
     423,   424,    -1,   426,   427,   428,    -1,    -1,   431,   432,
     433,   434,   435,    -1,   437,   438,   439,   440,   441,   442,
     443,   444,    -1,    -1,   447,   448,   449,   450,   451,    -1,
      -1,   454,   455,   456,   457,   458,   459,   460,    -1,   462,
      -1,   464,   465,   466,   467,    -1,    -1,   470,    -1,    -1,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    30,    31,    32,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    -1,    49,    50,    51,    52,
      53,    -1,    55,    56,    -1,    58,    59,    60,    61,    62,
      63,    64,    -1,    -1,    67,    68,    69,    70,    71,    -1,
      73,    74,    75,    76,    77,    -1,    -1,    -1,    81,    82,
      83,    84,    85,    86,    -1,    88,    89,    90,    -1,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,
     113,   114,   115,   116,   117,   118,    -1,   120,    -1,   122,
     123,   124,   125,   126,   127,   128,    -1,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,    -1,   146,   147,   148,    -1,   150,   151,   152,
     153,   154,   155,   156,   157,   158,   159,    -1,   161,    -1,
     163,   164,   165,   166,   167,    -1,   169,    -1,   171,   172,
      -1,    -1,    -1,   176,   177,   178,   179,    -1,   181,   182,
      -1,   184,   185,   186,    -1,   188,   189,   190,   191,   192,
      -1,   194,   195,   196,   197,    -1,   199,   200,   201,   202,
     203,   204,   205,   206,    -1,   208,    -1,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,    -1,    -1,
     223,    -1,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,    -1,    -1,   240,   241,    -1,
     243,    -1,    -1,   246,   247,   248,    -1,    -1,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,    -1,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,    -1,
     283,   284,    -1,   286,    -1,   288,   289,   290,   291,   292,
     293,    -1,   295,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,    -1,   308,    -1,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,   327,   328,   329,    -1,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,    -1,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,    -1,   387,   388,   389,   390,   391,    -1,
     393,   394,   395,   396,    -1,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
      -1,   414,   415,    -1,    -1,   418,    -1,   420,   421,   422,
     423,   424,    -1,   426,   427,   428,    -1,    -1,   431,   432,
     433,   434,   435,    -1,   437,   438,   439,   440,   441,   442,
     443,   444,    -1,    -1,   447,   448,   449,   450,   451,    -1,
      -1,   454,   455,   456,   457,   458,   459,   460,    -1,   462,
      -1,   464,   465,   466,   467,    -1,    -1,   470,    -1,    -1,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    30,    31,    32,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    -1,    49,    50,    51,    52,
      53,    -1,    55,    56,    -1,    58,    59,    60,    61,    62,
      63,    64,    -1,    -1,    67,    68,    69,    70,    71,    -1,
      73,    74,    75,    76,    77,    -1,    -1,    -1,    81,    82,
      83,    84,    85,    86,    -1,    88,    89,    90,    -1,    92,
      93,    94,    95,    96,    97,    -1,    -1,   100,   101,   102,
      -1,    -1,    -1,   106,    -1,    -1,    -1,   110,   111,   112,
     113,   114,   115,   116,   117,   118,    -1,   120,    -1,   122,
     123,   124,   125,   126,   127,   128,    -1,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,    -1,   146,   147,   148,    -1,   150,   151,   152,
     153,   154,   155,   156,   157,   158,   159,    -1,   161,    -1,
     163,   164,   165,   166,   167,    -1,   169,    -1,   171,   172,
      -1,    -1,    -1,   176,   177,   178,   179,    -1,   181,   182,
      -1,   184,   185,   186,    -1,   188,   189,   190,   191,   192,
      -1,   194,   195,   196,   197,    -1,   199,   200,   201,   202,
     203,   204,   205,   206,    -1,   208,    -1,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,    -1,    -1,
     223,    -1,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,    -1,    -1,   240,   241,    -1,
     243,    -1,    -1,   246,   247,   248,    -1,    -1,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,    -1,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,    -1,
     283,   284,    -1,   286,    -1,   288,   289,   290,   291,   292,
     293,    -1,   295,   296,    -1,   298,   299,   300,   301,    -1,
      -1,   304,   305,   306,    -1,   308,    -1,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,   327,   328,   329,    -1,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,    -1,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,    -1,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,    -1,   381,   382,
     383,   384,   385,    -1,   387,   388,   389,   390,   391,    -1,
     393,   394,   395,   396,    -1,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
      -1,   414,   415,    -1,   417,   418,    -1,   420,   421,   422,
     423,   424,    -1,   426,   427,   428,    -1,    -1,   431,   432,
     433,   434,   435,    -1,   437,   438,   439,   440,   441,   442,
     443,   444,    -1,    -1,   447,   448,   449,   450,   451,    -1,
      -1,   454,   455,   456,   457,   458,   459,   460,    -1,   462,
      -1,   464,   465,   466,   467,    -1,    -1,   470,    -1,    -1,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    30,    31,    32,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    -1,    49,    50,    51,    52,
      53,    -1,    55,    56,    -1,    58,    59,    60,    61,    62,
      63,    64,    -1,    -1,    67,    68,    69,    70,    71,    -1,
      73,    74,    75,    76,    77,    -1,    -1,    -1,    81,    82,
      83,    84,    85,    86,    -1,    88,    89,    90,    -1,    92,
      93,    94,    95,    96,    97,    -1,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,
     113,   114,   115,   116,   117,   118,    -1,   120,    -1,   122,
     123,   124,   125,   126,   127,   128,    -1,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,    -1,   146,   147,   148,    -1,   150,   151,   152,
     153,   154,   155,   156,   157,   158,   159,    -1,   161,    -1,
     163,   164,   165,   166,   167,    -1,   169,   170,   171,   172,
      -1,    -1,    -1,   176,   177,   178,   179,    -1,   181,   182,
      -1,   184,   185,   186,    -1,   188,   189,   190,   191,   192,
      -1,   194,   195,   196,   197,    -1,   199,   200,   201,   202,
     203,   204,   205,   206,    -1,   208,    -1,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,    -1,    -1,
     223,    -1,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,    -1,    -1,   240,   241,    -1,
     243,    -1,    -1,   246,   247,   248,    -1,    -1,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,    -1,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,    -1,
     283,   284,    -1,   286,    -1,   288,   289,   290,   291,   292,
     293,    -1,   295,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,    -1,   308,    -1,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,   327,   328,   329,    -1,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,    -1,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,    -1,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,    -1,   381,   382,
     383,   384,   385,    -1,   387,   388,   389,   390,   391,    -1,
     393,   394,   395,   396,    -1,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
      -1,   414,   415,    -1,   417,   418,    -1,   420,   421,   422,
     423,   424,    -1,   426,   427,   428,    -1,    -1,   431,   432,
     433,   434,   435,    -1,   437,   438,   439,   440,   441,   442,
     443,   444,    -1,    -1,   447,   448,   449,   450,   451,    -1,
      -1,   454,   455,   456,   457,   458,   459,   460,    -1,   462,
      -1,   464,   465,   466,   467,    -1,    -1,   470,    -1,    -1,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    -1,    49,    50,    51,    52,
      53,    -1,    55,    56,    -1,    58,    59,    60,    61,    62,
      63,    64,    -1,    -1,    67,    68,    69,    70,    71,    -1,
      73,    74,    75,    76,    77,    -1,    -1,    -1,    81,    82,
      83,    84,    85,    86,    -1,    88,    89,    90,    -1,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,
     113,   114,   115,   116,   117,   118,    -1,   120,    -1,   122,
     123,   124,   125,   126,   127,   128,    -1,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,    -1,   146,   147,   148,    -1,   150,   151,   152,
     153,   154,   155,   156,   157,   158,   159,    -1,   161,    -1,
     163,   164,   165,   166,   167,    -1,   169,    -1,   171,   172,
      -1,    -1,    -1,   176,   177,   178,   179,    -1,   181,   182,
      -1,   184,   185,   186,    -1,   188,   189,   190,   191,   192,
      -1,   194,   195,   196,   197,    -1,   199,   200,   201,   202,
     203,   204,   205,   206,    -1,   208,    -1,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,    -1,    -1,
     223,    -1,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,    -1,    -1,   240,   241,    -1,
     243,    -1,    -1,   246,   247,   248,    -1,    -1,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,    -1,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,    -1,
     283,   284,    -1,   286,    -1,   288,   289,   290,   291,   292,
     293,    -1,   295,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,    -1,   308,    -1,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,   327,   328,   329,    -1,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,    -1,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,    -1,   387,   388,   389,   390,   391,    -1,
     393,   394,   395,   396,    -1,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
      -1,   414,   415,    -1,    -1,   418,    -1,   420,   421,   422,
     423,   424,    -1,   426,   427,   428,    -1,    -1,   431,   432,
     433,   434,   435,    -1,   437,   438,   439,   440,   441,   442,
     443,   444,    -1,    -1,   447,   448,   449,   450,   451,    -1,
      -1,   454,   455,   456,   457,   458,   459,   460,    -1,   462,
      -1,   464,   465,   466,   467,    -1,    -1,   470,    -1,    -1,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    -1,    49,    50,    51,    52,
      53,    -1,    55,    56,    -1,    58,    59,    60,    61,    62,
      63,    64,    -1,    -1,    67,    68,    69,    70,    71,    -1,
      73,    74,    75,    76,    77,    -1,    -1,    -1,    81,    82,
      83,    84,    85,    86,    -1,    88,    89,    90,    -1,    92,
      93,    94,    95,    96,    97,    -1,    -1,   100,   101,   102,
      -1,    -1,    -1,   106,    -1,    -1,    -1,   110,   111,   112,
     113,   114,   115,   116,   117,   118,    -1,   120,    -1,   122,
     123,   124,   125,   126,   127,   128,    -1,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,    -1,   146,   147,   148,    -1,   150,   151,   152,
     153,   154,   155,   156,   157,   158,   159,    -1,   161,    -1,
     163,   164,   165,   166,   167,    -1,   169,    -1,   171,   172,
      -1,    -1,    -1,   176,   177,   178,   179,    -1,   181,   182,
      -1,   184,   185,   186,    -1,   188,   189,   190,   191,   192,
      -1,   194,   195,   196,   197,    -1,   199,   200,   201,   202,
     203,   204,   205,   206,    -1,   208,    -1,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,    -1,    -1,
     223,    -1,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,    -1,    -1,   240,   241,    -1,
     243,    -1,    -1,   246,   247,   248,    -1,    -1,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,    -1,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,    -1,
     283,   284,    -1,   286,    -1,   288,   289,   290,   291,   292,
     293,    -1,   295,   296,    -1,   298,   299,   300,   301,    -1,
      -1,   304,   305,   306,    -1,   308,    -1,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,   327,   328,   329,    -1,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,    -1,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,    -1,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,    -1,   381,   382,
     383,   384,   385,    -1,   387,   388,   389,   390,   391,    -1,
     393,   394,   395,   396,    -1,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
      -1,   414,   415,    -1,   417,   418,    -1,   420,   421,   422,
     423,   424,    -1,   426,   427,   428,    -1,    -1,   431,   432,
     433,   434,   435,    -1,   437,   438,   439,   440,   441,   442,
     443,   444,    -1,    -1,   447,   448,   449,   450,   451,    -1,
      -1,   454,   455,   456,   457,   458,   459,   460,    -1,   462,
      -1,   464,   465,   466,   467,    -1,    -1,   470,    -1,    -1,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    30,    31,    32,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    -1,    49,    50,    51,    52,
      53,    -1,    55,    56,    -1,    58,    59,    60,    61,    62,
      63,    64,    -1,    -1,    67,    68,    69,    70,    71,    -1,
      73,    74,    75,    76,    77,    -1,    -1,    -1,    81,    82,
      83,    84,    85,    86,    -1,    88,    89,    90,    -1,    92,
      93,    94,    95,    96,    97,    -1,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,
     113,   114,   115,   116,   117,   118,    -1,   120,    -1,   122,
     123,   124,   125,   126,   127,   128,    -1,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,    -1,   146,   147,   148,    -1,   150,   151,   152,
     153,   154,   155,   156,   157,   158,   159,    -1,   161,    -1,
     163,   164,   165,   166,   167,    -1,   169,    -1,   171,   172,
      -1,    -1,    -1,   176,   177,   178,   179,    -1,   181,   182,
      -1,   184,   185,   186,    -1,   188,   189,   190,   191,   192,
      -1,   194,   195,   196,   197,    -1,   199,   200,   201,   202,
     203,   204,   205,   206,    -1,   208,    -1,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,    -1,    -1,
     223,    -1,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,    -1,    -1,   240,   241,    -1,
     243,    -1,    -1,   246,   247,   248,    -1,    -1,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,    -1,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,    -1,
     283,   284,    -1,   286,    -1,   288,   289,   290,   291,   292,
     293,    -1,   295,   296,    -1,   298,   299,   300,   301,    -1,
      -1,   304,   305,   306,    -1,   308,    -1,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,   327,   328,   329,    -1,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,    -1,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,    -1,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,    -1,   381,   382,
     383,   384,   385,    -1,   387,   388,   389,   390,   391,    -1,
     393,   394,   395,   396,    -1,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
      -1,   414,   415,    -1,    -1,   418,    -1,   420,   421,   422,
     423,   424,    -1,   426,   427,   428,    -1,    -1,   431,   432,
     433,   434,   435,    -1,   437,   438,   439,   440,   441,   442,
     443,   444,    -1,    -1,   447,   448,   449,   450,   451,    -1,
      -1,   454,   455,   456,   457,   458,   459,   460,    -1,   462,
      -1,   464,   465,   466,   467,    -1,    -1,   470,    -1,    -1,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    30,    31,    32,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    -1,    49,    50,    51,    52,
      53,    -1,    55,    56,    -1,    58,    59,    60,    61,    62,
      63,    64,    -1,    -1,    67,    68,    69,    70,    71,    -1,
      73,    74,    75,    76,    77,    -1,    -1,    -1,    81,    82,
      83,    84,    85,    86,    -1,    88,    89,    90,    -1,    92,
      93,    94,    95,    96,    97,    -1,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,
     113,   114,   115,   116,   117,   118,    -1,   120,    -1,   122,
     123,   124,   125,   126,   127,   128,    -1,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,    -1,   146,   147,   148,    -1,   150,   151,   152,
     153,   154,   155,   156,   157,   158,   159,    -1,   161,    -1,
     163,   164,   165,   166,   167,    -1,   169,    -1,   171,   172,
      -1,    -1,    -1,   176,   177,   178,   179,    -1,   181,   182,
      -1,   184,   185,   186,    -1,   188,   189,   190,   191,   192,
      -1,   194,   195,   196,   197,    -1,   199,   200,   201,   202,
     203,   204,   205,   206,    -1,   208,    -1,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,    -1,    -1,
     223,    -1,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,    -1,    -1,   240,   241,    -1,
     243,    -1,    -1,   246,   247,   248,    -1,    -1,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,    -1,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,    -1,
     283,   284,    -1,   286,    -1,   288,   289,   290,   291,   292,
     293,    -1,   295,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,    -1,   308,    -1,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,   327,   328,   329,    -1,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,    -1,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,    -1,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,    -1,   381,   382,
     383,   384,   385,    -1,   387,   388,   389,   390,   391,    -1,
     393,   394,   395,   396,    -1,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
      -1,   414,   415,    -1,    -1,   418,    -1,   420,   421,   422,
     423,   424,    -1,   426,   427,   428,    -1,    -1,   431,   432,
     433,   434,   435,    -1,   437,   438,   439,   440,   441,   442,
     443,   444,    -1,    -1,   447,   448,   449,   450,   451,   452,
      -1,   454,   455,   456,   457,   458,   459,   460,    -1,   462,
      -1,   464,   465,   466,   467,    -1,    -1,   470,    -1,    -1,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    30,    31,    32,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    -1,    49,    50,    51,    52,
      53,    -1,    55,    56,    -1,    58,    59,    60,    61,    62,
      63,    64,    -1,    -1,    67,    68,    69,    70,    71,    -1,
      73,    74,    75,    76,    77,    -1,    -1,    -1,    81,    82,
      83,    84,    85,    86,    -1,    88,    89,    90,    -1,    92,
      93,    94,    95,    96,    97,    -1,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,
     113,   114,   115,   116,   117,   118,    -1,   120,    -1,   122,
     123,   124,   125,   126,   127,   128,    -1,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,    -1,   146,   147,   148,    -1,   150,   151,   152,
     153,   154,   155,   156,   157,   158,   159,    -1,   161,    -1,
     163,   164,   165,   166,   167,    -1,   169,    -1,   171,   172,
      -1,    -1,    -1,   176,   177,   178,   179,    -1,   181,   182,
      -1,   184,   185,   186,    -1,   188,   189,   190,   191,   192,
      -1,   194,   195,   196,   197,    -1,   199,   200,   201,   202,
     203,   204,   205,   206,    -1,   208,    -1,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,    -1,    -1,
     223,    -1,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,    -1,    -1,   240,   241,    -1,
     243,    -1,    -1,   246,   247,   248,    -1,    -1,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,    -1,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,    -1,
     283,   284,    -1,   286,    -1,   288,   289,   290,   291,   292,
     293,    -1,   295,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,    -1,   308,    -1,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,   327,   328,   329,    -1,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,    -1,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,    -1,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,    -1,   381,   382,
     383,   384,   385,    -1,   387,   388,   389,   390,   391,    -1,
     393,   394,   395,   396,    -1,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
      -1,   414,   415,    -1,    -1,   418,    -1,   420,   421,   422,
     423,   424,    -1,   426,   427,   428,    -1,    -1,   431,   432,
     433,   434,   435,    -1,   437,   438,   439,   440,   441,   442,
     443,   444,    -1,    -1,   447,   448,   449,   450,   451,   452,
      -1,   454,   455,   456,   457,   458,   459,   460,    -1,   462,
      -1,   464,   465,   466,   467,    -1,    -1,   470,    -1,    -1,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    30,    31,    32,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    -1,    49,    50,    51,    52,
      53,    -1,    55,    56,    -1,    58,    59,    60,    61,    62,
      63,    64,    -1,    -1,    67,    68,    69,    70,    71,    -1,
      73,    74,    75,    76,    77,    -1,    -1,    -1,    81,    82,
      83,    84,    85,    86,    -1,    88,    89,    90,    -1,    92,
      93,    94,    95,    96,    97,    -1,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,
     113,   114,   115,   116,   117,   118,    -1,   120,    -1,   122,
     123,   124,   125,   126,   127,   128,    -1,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,    -1,   146,   147,   148,    -1,   150,   151,   152,
     153,   154,   155,   156,   157,   158,   159,    -1,   161,    -1,
     163,   164,   165,   166,   167,    -1,   169,    -1,   171,   172,
      -1,    -1,    -1,   176,   177,   178,   179,    -1,   181,   182,
      -1,   184,   185,   186,    -1,   188,   189,   190,   191,   192,
      -1,   194,   195,   196,   197,    -1,   199,   200,   201,   202,
     203,   204,   205,   206,    -1,   208,    -1,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,    -1,    -1,
     223,    -1,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,    -1,    -1,   240,   241,    -1,
     243,    -1,    -1,   246,   247,   248,    -1,    -1,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,    -1,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,    -1,
     283,   284,    -1,   286,    -1,   288,   289,   290,   291,   292,
     293,    -1,   295,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,    -1,   308,    -1,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,   327,   328,   329,    -1,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,    -1,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,    -1,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,    -1,   381,   382,
     383,   384,   385,    -1,   387,   388,   389,   390,   391,    -1,
     393,   394,   395,   396,    -1,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
      -1,   414,   415,    -1,    -1,   418,    -1,   420,   421,   422,
     423,   424,    -1,   426,   427,   428,    -1,    -1,   431,   432,
     433,   434,   435,    -1,   437,   438,   439,   440,   441,   442,
     443,   444,    -1,    -1,   447,   448,   449,   450,   451,    -1,
      -1,   454,   455,   456,   457,   458,   459,   460,    -1,   462,
      -1,   464,   465,   466,   467,    -1,    -1,   470,    -1,    -1,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    30,    31,    32,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    -1,    49,    50,    51,    52,
      53,    -1,    55,    56,    -1,    58,    59,    60,    61,    62,
      63,    64,    -1,    -1,    67,    68,    69,    70,    71,    -1,
      73,    74,    75,    76,    77,    -1,    -1,    -1,    81,    82,
      83,    84,    85,    86,    -1,    88,    89,    90,    -1,    92,
      93,    94,    95,    96,    97,    -1,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,
     113,   114,   115,   116,   117,   118,    -1,   120,    -1,   122,
     123,   124,   125,   126,   127,   128,    -1,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,    -1,   146,   147,   148,    -1,   150,   151,   152,
     153,   154,   155,   156,   157,   158,   159,    -1,   161,    -1,
     163,   164,   165,   166,   167,    -1,   169,    -1,   171,   172,
      -1,    -1,    -1,   176,   177,   178,   179,    -1,   181,   182,
      -1,   184,   185,   186,    -1,   188,   189,   190,   191,   192,
      -1,   194,   195,   196,   197,    -1,   199,   200,   201,   202,
     203,   204,   205,   206,    -1,   208,    -1,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,    -1,    -1,
     223,    -1,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,    -1,    -1,   240,   241,    -1,
     243,    -1,    -1,   246,   247,   248,    -1,    -1,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,    -1,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,    -1,
     283,   284,    -1,   286,    -1,   288,   289,   290,   291,   292,
     293,    -1,   295,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,    -1,   308,    -1,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,   327,   328,   329,    -1,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,    -1,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,    -1,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,    -1,   381,   382,
     383,   384,   385,    -1,   387,   388,   389,   390,   391,    -1,
     393,   394,   395,   396,    -1,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
      -1,   414,   415,    -1,    -1,   418,    -1,   420,   421,   422,
     423,   424,    -1,   426,   427,   428,    -1,    -1,   431,   432,
     433,   434,   435,    -1,   437,   438,   439,   440,   441,   442,
     443,   444,    -1,    -1,   447,   448,   449,   450,   451,    -1,
      -1,   454,   455,   456,   457,   458,   459,   460,    -1,   462,
      -1,   464,   465,   466,   467,    -1,    -1,   470,    -1,    -1,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    30,    31,    32,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    -1,    49,    50,    51,    52,
      53,    -1,    55,    56,    -1,    58,    59,    60,    61,    62,
      63,    64,    -1,    -1,    67,    68,    69,    70,    71,    -1,
      73,    74,    75,    76,    77,    -1,    -1,    -1,    81,    82,
      83,    84,    85,    86,    -1,    88,    89,    90,    -1,    92,
      93,    94,    95,    96,    97,    -1,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,
     113,   114,   115,   116,   117,   118,    -1,   120,    -1,   122,
     123,   124,   125,   126,   127,   128,    -1,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,    -1,   146,   147,   148,    -1,   150,   151,   152,
     153,   154,   155,   156,   157,   158,   159,    -1,   161,    -1,
     163,   164,   165,   166,   167,    -1,   169,    -1,   171,   172,
      -1,    -1,    -1,   176,   177,   178,   179,    -1,   181,   182,
      -1,   184,   185,   186,    -1,   188,   189,   190,   191,   192,
      -1,   194,   195,   196,   197,    -1,   199,   200,   201,   202,
     203,   204,   205,   206,    -1,   208,    -1,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,    -1,    -1,
     223,    -1,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,    -1,    -1,   240,   241,    -1,
     243,    -1,    -1,   246,   247,   248,    -1,    -1,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,    -1,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,    -1,
     283,   284,    -1,   286,    -1,   288,   289,   290,   291,   292,
     293,    -1,   295,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,    -1,   308,    -1,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,   327,   328,   329,    -1,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,    -1,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,    -1,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,    -1,   381,   382,
     383,   384,   385,    -1,   387,   388,   389,   390,   391,    -1,
     393,   394,   395,   396,    -1,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
      -1,   414,   415,    -1,    -1,   418,    -1,   420,   421,   422,
     423,   424,    -1,   426,   427,   428,    -1,    -1,   431,   432,
     433,   434,   435,    -1,   437,   438,   439,   440,   441,   442,
     443,   444,    -1,    -1,   447,   448,   449,   450,   451,    -1,
      -1,   454,   455,   456,   457,   458,   459,   460,    -1,   462,
      -1,   464,   465,   466,   467,    -1,    -1,   470,    -1,    -1,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    30,    31,    32,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    -1,    49,    50,    51,    52,
      53,    -1,    55,    56,    -1,    58,    59,    60,    61,    62,
      63,    64,    -1,    -1,    67,    68,    69,    70,    71,    -1,
      73,    74,    75,    76,    77,    -1,    -1,    -1,    81,    82,
      83,    84,    85,    86,    -1,    88,    89,    90,    -1,    92,
      93,    94,    95,    96,    97,    -1,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,
     113,   114,   115,   116,   117,   118,    -1,   120,    -1,   122,
     123,   124,   125,   126,   127,   128,    -1,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,    -1,   146,   147,   148,    -1,   150,   151,   152,
     153,   154,   155,   156,   157,   158,   159,    -1,   161,    -1,
     163,   164,   165,   166,   167,    -1,   169,    -1,   171,   172,
      -1,    -1,    -1,   176,   177,   178,   179,    -1,   181,   182,
      -1,   184,   185,   186,    -1,   188,   189,   190,   191,   192,
      -1,   194,   195,   196,   197,    -1,   199,   200,   201,   202,
     203,   204,   205,   206,    -1,   208,    -1,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,    -1,    -1,
     223,    -1,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,    -1,    -1,   240,   241,    -1,
     243,    -1,    -1,   246,   247,   248,    -1,    -1,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,    -1,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,    -1,
     283,   284,    -1,   286,    -1,   288,   289,   290,   291,   292,
     293,    -1,   295,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,    -1,   308,    -1,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,   327,   328,   329,    -1,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,    -1,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,    -1,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,    -1,   381,   382,
     383,   384,   385,    -1,   387,   388,   389,   390,   391,    -1,
     393,   394,   395,   396,    -1,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
      -1,   414,   415,    -1,    -1,   418,    -1,   420,   421,   422,
     423,   424,    -1,   426,   427,   428,    -1,    -1,   431,   432,
     433,   434,   435,    -1,   437,   438,   439,   440,   441,   442,
     443,   444,    -1,    -1,   447,   448,   449,   450,   451,    -1,
      -1,   454,   455,   456,   457,   458,   459,   460,    -1,   462,
      -1,   464,   465,   466,   467,    -1,    -1,   470,    -1,    -1,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    -1,    49,    50,    51,    52,
      53,    -1,    55,    56,    -1,    58,    59,    60,    61,    62,
      63,    64,    -1,    -1,    67,    68,    69,    70,    71,    -1,
      73,    74,    75,    76,    77,    -1,    -1,    -1,    81,    82,
      83,    84,    85,    86,    -1,    88,    89,    90,    -1,    92,
      93,    94,    95,    96,    97,    -1,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,
     113,   114,   115,   116,   117,   118,    -1,   120,    -1,   122,
     123,   124,   125,   126,   127,   128,    -1,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,    -1,   146,   147,   148,    -1,   150,   151,   152,
     153,   154,   155,   156,   157,   158,   159,    -1,   161,    -1,
     163,   164,   165,   166,   167,    -1,   169,    -1,   171,   172,
      -1,    -1,    -1,   176,   177,   178,   179,    -1,   181,   182,
      -1,   184,   185,   186,    -1,   188,   189,   190,   191,   192,
      -1,   194,   195,   196,   197,    -1,   199,   200,   201,   202,
     203,   204,   205,   206,    -1,   208,    -1,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,    -1,    -1,
     223,    -1,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,    -1,    -1,   240,   241,    -1,
     243,    -1,    -1,   246,   247,   248,    -1,    -1,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,    -1,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,    -1,
     283,   284,    -1,   286,    -1,   288,   289,   290,   291,   292,
     293,    -1,   295,   296,    -1,   298,   299,   300,   301,    -1,
      -1,   304,   305,   306,    -1,   308,    -1,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,   327,   328,   329,    -1,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,    -1,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,    -1,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,    -1,   381,   382,
     383,   384,   385,    -1,   387,   388,   389,   390,   391,    -1,
     393,   394,   395,   396,    -1,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
      -1,   414,   415,    -1,    -1,   418,    -1,   420,   421,   422,
     423,   424,    -1,   426,   427,   428,    -1,    -1,   431,   432,
     433,   434,   435,    -1,   437,   438,   439,   440,   441,   442,
     443,   444,    -1,    -1,   447,   448,   449,   450,   451,    -1,
      -1,   454,   455,   456,   457,   458,   459,   460,    -1,   462,
      -1,   464,   465,   466,   467,    -1,    -1,   470,    -1,    -1,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    12,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    -1,    49,    50,    51,    52,
      53,    -1,    55,    56,    -1,    58,    59,    60,    61,    62,
      63,    64,    -1,    -1,    67,    68,    69,    70,    71,    -1,
      73,    74,    75,    76,    77,    -1,    -1,    -1,    81,    82,
      83,    84,    85,    86,    -1,    88,    89,    90,    -1,    92,
      93,    94,    95,    96,    97,    -1,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,
     113,   114,   115,   116,   117,   118,    -1,   120,    -1,   122,
     123,   124,   125,   126,   127,   128,    -1,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,    -1,   146,   147,   148,    -1,   150,   151,   152,
     153,   154,   155,   156,   157,   158,   159,    -1,   161,    -1,
     163,   164,   165,   166,   167,    -1,   169,    -1,   171,   172,
      -1,    -1,    -1,   176,   177,   178,   179,    -1,   181,   182,
      -1,   184,   185,   186,    -1,   188,   189,   190,   191,   192,
      -1,   194,   195,   196,   197,    -1,   199,   200,   201,   202,
     203,   204,   205,   206,    -1,   208,    -1,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,    -1,    -1,
     223,    -1,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,    -1,    -1,   240,   241,    -1,
     243,    -1,    -1,   246,   247,   248,    -1,    -1,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,    -1,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,    -1,
     283,   284,    -1,   286,    -1,   288,   289,   290,   291,   292,
     293,    -1,   295,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,    -1,   308,    -1,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,   327,   328,   329,    -1,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,    -1,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,    -1,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,    -1,   381,   382,
     383,   384,   385,    -1,   387,   388,   389,   390,   391,    -1,
     393,   394,   395,   396,    -1,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
      -1,   414,   415,    -1,    -1,   418,    -1,   420,   421,   422,
     423,   424,    -1,   426,   427,   428,    -1,    -1,   431,   432,
     433,   434,   435,    -1,   437,   438,   439,   440,   441,   442,
     443,   444,    -1,    -1,   447,   448,   449,   450,   451,    -1,
      -1,   454,   455,   456,   457,   458,   459,   460,    -1,   462,
      -1,   464,   465,   466,   467,    -1,    -1,   470,    -1,    -1,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    30,    31,    32,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    -1,    49,    50,    51,    52,
      53,    -1,    55,    56,    -1,    58,    59,    60,    61,    62,
      63,    64,    -1,    -1,    67,    68,    69,    70,    71,    -1,
      73,    74,    75,    76,    77,    -1,    -1,    -1,    81,    82,
      83,    84,    85,    86,    -1,    88,    89,    90,    -1,    92,
      93,    94,    95,    96,    97,    -1,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,
     113,   114,   115,   116,   117,   118,    -1,   120,    -1,   122,
     123,   124,   125,   126,   127,   128,    -1,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,    -1,   146,   147,   148,    -1,   150,   151,   152,
     153,   154,   155,   156,   157,   158,   159,    -1,   161,    -1,
     163,   164,   165,   166,   167,    -1,   169,    -1,   171,   172,
      -1,    -1,    -1,   176,   177,   178,   179,    -1,   181,   182,
      -1,   184,   185,   186,    -1,   188,   189,   190,   191,   192,
      -1,   194,   195,   196,   197,    -1,   199,   200,   201,   202,
     203,   204,   205,   206,    -1,   208,    -1,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,    -1,    -1,
     223,    -1,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,    -1,    -1,   240,   241,    -1,
     243,    -1,    -1,   246,   247,   248,    -1,    -1,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,    -1,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,    -1,
     283,   284,    -1,   286,    -1,   288,   289,   290,   291,   292,
     293,    -1,   295,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,    -1,   308,    -1,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,   327,   328,   329,    -1,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,    -1,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,    -1,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,    -1,   381,   382,
     383,   384,   385,    -1,   387,   388,   389,   390,   391,    -1,
     393,   394,   395,   396,    -1,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
      -1,   414,   415,    -1,    -1,   418,    -1,   420,   421,   422,
     423,   424,    -1,   426,   427,   428,    -1,    -1,   431,   432,
     433,   434,   435,    -1,   437,   438,   439,   440,   441,   442,
     443,   444,    -1,    -1,   447,   448,   449,   450,   451,    -1,
      -1,   454,   455,   456,   457,   458,   459,   460,    -1,   462,
      -1,   464,   465,   466,   467,    -1,    -1,   470,    -1,    -1,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    30,    31,    32,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    -1,    49,    50,    51,    52,
      53,    -1,    55,    56,    -1,    58,    59,    60,    61,    62,
      63,    64,    -1,    -1,    67,    68,    69,    70,    71,    -1,
      73,    74,    75,    76,    77,    -1,    -1,    -1,    81,    82,
      83,    84,    85,    86,    -1,    88,    89,    90,    -1,    92,
      93,    94,    95,    96,    97,    -1,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,
     113,   114,   115,   116,   117,   118,    -1,   120,    -1,   122,
     123,   124,   125,   126,   127,   128,    -1,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,    -1,   146,   147,   148,    -1,   150,   151,   152,
     153,   154,   155,   156,   157,   158,   159,    -1,   161,    -1,
     163,   164,   165,   166,   167,    -1,   169,    -1,   171,   172,
      -1,    -1,    -1,   176,   177,   178,   179,    -1,   181,   182,
      -1,   184,   185,   186,    -1,   188,   189,   190,   191,   192,
      -1,   194,   195,   196,   197,    -1,   199,   200,   201,   202,
     203,   204,   205,   206,    -1,   208,    -1,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,    -1,    -1,
     223,    -1,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,    -1,    -1,   240,   241,    -1,
     243,    -1,    -1,   246,   247,   248,    -1,    -1,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,    -1,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,    -1,
     283,   284,    -1,   286,    -1,   288,   289,   290,   291,   292,
     293,    -1,   295,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,    -1,   308,    -1,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,   327,   328,   329,    -1,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,    -1,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,    -1,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,    -1,   381,   382,
     383,   384,   385,    -1,   387,   388,   389,   390,   391,    -1,
     393,   394,   395,   396,    -1,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
      -1,   414,   415,    -1,    -1,   418,    -1,   420,   421,   422,
     423,   424,    -1,   426,   427,   428,    -1,    -1,   431,   432,
     433,   434,   435,    -1,   437,   438,   439,   440,   441,   442,
     443,   444,    -1,    -1,   447,   448,   449,   450,   451,    -1,
      -1,   454,   455,   456,   457,   458,   459,   460,    -1,   462,
      -1,   464,   465,   466,   467,    -1,    -1,   470,    -1,    -1,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    30,    31,    32,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    -1,    49,    50,    51,    52,
      53,    -1,    55,    56,    -1,    58,    59,    60,    61,    62,
      63,    64,    -1,    -1,    67,    68,    69,    70,    71,    -1,
      73,    74,    75,    76,    77,    -1,    -1,    -1,    81,    82,
      83,    84,    85,    86,    -1,    88,    89,    90,    -1,    92,
      93,    94,    95,    96,    97,    -1,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,
     113,   114,   115,   116,   117,   118,    -1,   120,    -1,   122,
     123,   124,   125,   126,   127,   128,    -1,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,    -1,   146,   147,   148,    -1,   150,   151,   152,
     153,   154,   155,   156,   157,   158,   159,    -1,   161,    -1,
     163,   164,   165,   166,   167,    -1,   169,    -1,   171,   172,
      -1,    -1,    -1,   176,   177,   178,   179,    -1,   181,   182,
      -1,   184,   185,   186,    -1,   188,   189,   190,   191,   192,
      -1,   194,   195,   196,   197,    -1,   199,   200,   201,   202,
     203,   204,   205,   206,    -1,   208,    -1,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,    -1,    -1,
     223,    -1,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,    -1,    -1,   240,   241,    -1,
     243,    -1,    -1,   246,   247,   248,    -1,    -1,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,    -1,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,    -1,
     283,   284,    -1,   286,    -1,   288,   289,   290,   291,   292,
     293,    -1,   295,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,    -1,   308,    -1,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,   327,   328,   329,    -1,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,    -1,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,    -1,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,    -1,   381,   382,
     383,   384,   385,    -1,   387,   388,   389,   390,   391,    -1,
     393,   394,   395,   396,    -1,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
      -1,   414,   415,    -1,    -1,   418,    -1,   420,   421,   422,
     423,   424,    -1,   426,   427,   428,    -1,    -1,   431,   432,
     433,   434,   435,    -1,   437,   438,   439,   440,   441,   442,
     443,   444,    -1,    -1,   447,   448,   449,   450,   451,    -1,
      -1,   454,   455,   456,   457,   458,   459,   460,    -1,   462,
      -1,   464,   465,   466,   467,    -1,    -1,   470,    -1,    -1,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    48,    49,    50,    51,    52,
      53,    -1,    55,    56,    -1,    58,    59,    60,    61,    62,
      63,    64,    -1,    -1,    67,    68,    69,    70,    71,    -1,
      73,    74,    75,    76,    77,    -1,    -1,    -1,    81,    82,
      83,    84,    85,    86,    -1,    88,    89,    90,    -1,    92,
      93,    94,    95,    96,    97,    -1,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,
     113,   114,   115,   116,   117,   118,    -1,   120,    -1,   122,
     123,   124,   125,   126,   127,   128,    -1,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,    -1,   146,   147,   148,    -1,   150,   151,   152,
     153,   154,   155,   156,   157,   158,   159,    -1,   161,    -1,
     163,   164,   165,   166,   167,    -1,   169,    -1,   171,   172,
      -1,    -1,    -1,   176,   177,   178,   179,    -1,   181,   182,
      -1,   184,   185,   186,    -1,   188,   189,   190,   191,   192,
      -1,   194,   195,   196,   197,    -1,   199,   200,   201,   202,
     203,   204,   205,   206,    -1,   208,    -1,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,    -1,    -1,
     223,    -1,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,    -1,    -1,   240,   241,    -1,
     243,    -1,    -1,   246,   247,   248,    -1,    -1,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,    -1,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,    -1,
     283,   284,    -1,   286,    -1,   288,   289,   290,   291,   292,
     293,    -1,   295,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,    -1,   308,    -1,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,   327,   328,   329,    -1,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,    -1,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,    -1,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,    -1,   381,   382,
     383,   384,   385,    -1,   387,   388,   389,   390,   391,    -1,
     393,   394,   395,   396,    -1,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
      -1,   414,   415,    -1,    -1,   418,    -1,   420,   421,   422,
     423,   424,    -1,   426,   427,   428,    -1,    -1,   431,   432,
     433,   434,   435,    -1,   437,   438,   439,   440,   441,   442,
     443,   444,    -1,    -1,   447,   448,   449,   450,   451,    -1,
      -1,   454,   455,   456,   457,   458,   459,   460,    -1,   462,
      -1,   464,   465,   466,   467,    -1,    -1,   470,    -1,    -1,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    -1,    49,    50,    51,    52,
      53,    -1,    55,    56,    -1,    58,    59,    60,    61,    62,
      63,    64,    -1,    -1,    67,    68,    69,    70,    71,    -1,
      73,    74,    75,    76,    77,    -1,    -1,    -1,    81,    82,
      83,    84,    85,    86,    -1,    88,    89,    90,    -1,    92,
      93,    94,    95,    96,    97,    -1,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,
     113,   114,   115,   116,   117,   118,    -1,   120,    -1,   122,
     123,   124,   125,   126,   127,   128,    -1,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,    -1,   146,   147,   148,    -1,   150,   151,   152,
     153,   154,   155,   156,   157,   158,   159,    -1,   161,    -1,
     163,   164,   165,   166,   167,    -1,   169,    -1,   171,   172,
      -1,    -1,    -1,   176,   177,   178,   179,    -1,   181,   182,
      -1,   184,   185,   186,    -1,   188,   189,   190,   191,   192,
      -1,   194,   195,   196,   197,    -1,   199,   200,   201,   202,
     203,   204,   205,   206,    -1,   208,    -1,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,    -1,    -1,
     223,    -1,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,    -1,    -1,   240,   241,    -1,
     243,    -1,    -1,   246,   247,   248,    -1,    -1,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,    -1,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,    -1,
     283,   284,    -1,   286,    -1,   288,   289,   290,   291,   292,
     293,    -1,   295,   296,    -1,   298,   299,   300,   301,    -1,
      -1,   304,   305,   306,    -1,   308,    -1,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,   327,   328,   329,    -1,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,    -1,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,    -1,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,    -1,   381,   382,
     383,   384,   385,    -1,   387,   388,   389,   390,   391,    -1,
     393,   394,   395,   396,    -1,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
      -1,   414,   415,    -1,    -1,   418,    -1,   420,   421,   422,
     423,   424,    -1,   426,   427,   428,    -1,    -1,   431,   432,
     433,   434,   435,    -1,   437,   438,   439,   440,   441,   442,
     443,   444,    -1,    -1,   447,   448,   449,   450,   451,    -1,
      -1,   454,   455,   456,   457,   458,   459,   460,    -1,   462,
      -1,   464,   465,   466,   467,    -1,    -1,   470,    -1,    -1,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    30,    31,    32,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    -1,    49,    50,    51,    52,
      53,    -1,    55,    56,    -1,    58,    59,    60,    61,    62,
      63,    64,    -1,    -1,    67,    68,    69,    70,    71,    -1,
      73,    74,    75,    76,    77,    -1,    -1,    -1,    81,    82,
      83,    84,    85,    86,    -1,    88,    89,    90,    -1,    92,
      93,    94,    95,    96,    97,    -1,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,
     113,   114,   115,   116,   117,   118,    -1,   120,    -1,   122,
     123,   124,   125,   126,   127,   128,    -1,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,    -1,   146,   147,   148,    -1,   150,   151,   152,
     153,   154,   155,   156,   157,   158,   159,    -1,   161,    -1,
     163,   164,   165,   166,   167,    -1,   169,    -1,   171,   172,
      -1,    -1,    -1,   176,   177,   178,   179,    -1,   181,   182,
      -1,   184,   185,   186,    -1,   188,   189,   190,   191,   192,
      -1,   194,   195,   196,   197,    -1,   199,   200,   201,   202,
     203,   204,   205,   206,    -1,   208,    -1,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,    -1,    -1,
     223,    -1,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,    -1,    -1,   240,   241,    -1,
     243,    -1,    -1,   246,   247,   248,    -1,    -1,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,    -1,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,    -1,
     283,   284,    -1,   286,    -1,   288,   289,   290,   291,   292,
     293,    -1,   295,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,    -1,   308,    -1,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,   327,   328,   329,    -1,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,    -1,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,    -1,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,    -1,   381,   382,
     383,   384,   385,    -1,   387,   388,   389,   390,   391,    -1,
     393,   394,   395,   396,    -1,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
      -1,   414,   415,    -1,    -1,   418,    -1,   420,   421,   422,
     423,   424,    -1,   426,   427,   428,    -1,    -1,   431,   432,
     433,   434,   435,    -1,   437,   438,   439,   440,   441,   442,
     443,   444,    -1,    -1,   447,   448,   449,   450,   451,    -1,
      -1,   454,   455,   456,   457,   458,   459,   460,    -1,   462,
      -1,   464,   465,   466,   467,    -1,    -1,   470,    -1,    -1,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    30,    31,    32,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    -1,    49,    50,    51,    52,
      53,    -1,    55,    56,    -1,    58,    59,    60,    61,    62,
      63,    64,    -1,    -1,    67,    68,    69,    70,    71,    -1,
      73,    74,    75,    76,    77,    -1,    -1,    -1,    81,    82,
      83,    84,    85,    86,    -1,    88,    89,    90,    -1,    92,
      93,    94,    95,    96,    97,    -1,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,
     113,   114,   115,   116,   117,   118,    -1,   120,    -1,   122,
     123,   124,   125,   126,   127,   128,    -1,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,    -1,   146,   147,   148,    -1,   150,   151,   152,
     153,   154,   155,   156,   157,   158,   159,    -1,   161,    -1,
     163,   164,   165,   166,   167,    -1,   169,    -1,   171,   172,
      -1,    -1,    -1,   176,   177,   178,   179,    -1,   181,   182,
      -1,   184,   185,   186,    -1,   188,   189,   190,   191,   192,
      -1,   194,   195,   196,   197,    -1,   199,   200,   201,   202,
     203,   204,   205,   206,    -1,   208,    -1,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,    -1,    -1,
     223,    -1,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,    -1,    -1,   240,   241,    -1,
     243,    -1,    -1,   246,   247,   248,    -1,    -1,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,    -1,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,    -1,
     283,   284,    -1,   286,    -1,   288,   289,   290,   291,   292,
     293,    -1,   295,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,    -1,   308,    -1,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,   327,   328,   329,    -1,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,    -1,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,    -1,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,    -1,   381,   382,
     383,   384,   385,    -1,   387,   388,   389,   390,   391,    -1,
     393,   394,   395,   396,    -1,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
      -1,   414,   415,    -1,    -1,   418,    -1,   420,   421,   422,
     423,   424,    -1,   426,   427,   428,    -1,    -1,   431,   432,
     433,   434,   435,    -1,   437,   438,   439,   440,   441,   442,
     443,   444,    -1,    -1,   447,   448,   449,   450,   451,    -1,
      -1,   454,   455,   456,   457,   458,   459,   460,    -1,   462,
      -1,   464,   465,   466,   467,    -1,    -1,   470,    -1,    -1,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    -1,    49,    50,    51,    52,
      53,    -1,    55,    56,    -1,    58,    59,    60,    61,    62,
      63,    64,    -1,    -1,    67,    68,    69,    70,    71,    -1,
      73,    74,    75,    76,    77,    -1,    -1,    -1,    81,    82,
      83,    84,    85,    86,    -1,    88,    89,    90,    -1,    92,
      93,    94,    95,    96,    97,    -1,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,
     113,   114,   115,   116,   117,   118,    -1,   120,    -1,   122,
     123,   124,   125,   126,   127,   128,    -1,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,    -1,   146,   147,   148,    -1,   150,   151,   152,
     153,   154,   155,   156,   157,   158,   159,    -1,   161,    -1,
     163,   164,   165,   166,   167,    -1,   169,    -1,   171,   172,
      -1,    -1,    -1,   176,   177,   178,   179,    -1,   181,   182,
      -1,   184,   185,   186,    -1,   188,   189,   190,   191,   192,
      -1,   194,   195,   196,   197,    -1,   199,   200,   201,   202,
     203,   204,   205,   206,    -1,   208,    -1,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,    -1,    -1,
     223,    -1,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,    -1,    -1,   240,   241,    -1,
     243,    -1,    -1,   246,   247,   248,    -1,    -1,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,    -1,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,    -1,
     283,   284,    -1,   286,    -1,   288,   289,   290,   291,   292,
     293,    -1,   295,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,    -1,   308,    -1,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,   327,   328,   329,    -1,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,    -1,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,    -1,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,    -1,   381,   382,
     383,   384,   385,    -1,   387,   388,   389,   390,   391,    -1,
     393,   394,   395,   396,    -1,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
      -1,   414,   415,    -1,   417,   418,    -1,   420,   421,   422,
     423,   424,    -1,   426,   427,   428,    -1,    -1,   431,   432,
     433,   434,   435,    -1,   437,   438,   439,   440,   441,   442,
     443,   444,    -1,    -1,   447,   448,   449,   450,   451,    -1,
      -1,   454,   455,   456,   457,   458,   459,   460,    -1,   462,
      -1,   464,   465,   466,   467,    -1,    -1,   470,    -1,    -1,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
       3,    -1,    -1,     6,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    -1,    49,    50,    51,    52,
      53,    -1,    55,    56,    -1,    58,    59,    60,    61,    62,
      63,    64,    -1,    -1,    67,    68,    69,    70,    71,    -1,
      73,    74,    75,    76,    77,    -1,    -1,    -1,    81,    82,
      83,    84,    85,    86,    -1,    88,    89,    90,    -1,    92,
      93,    94,    95,    96,    97,    -1,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,
     113,   114,   115,   116,   117,   118,    -1,   120,    -1,   122,
     123,   124,   125,   126,   127,   128,    -1,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,    -1,   146,   147,   148,    -1,   150,   151,   152,
     153,   154,   155,   156,   157,   158,   159,    -1,   161,    -1,
     163,   164,   165,   166,   167,    -1,   169,    -1,   171,   172,
      -1,    -1,    -1,   176,   177,   178,   179,    -1,   181,   182,
      -1,   184,   185,   186,    -1,   188,   189,   190,   191,   192,
      -1,   194,   195,   196,   197,    -1,   199,   200,   201,   202,
     203,   204,   205,   206,    -1,   208,    -1,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,    -1,    -1,
     223,    -1,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,    -1,    -1,   240,   241,    -1,
     243,    -1,    -1,   246,   247,   248,    -1,    -1,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,    -1,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,    -1,
     283,   284,    -1,   286,    -1,   288,   289,   290,   291,   292,
     293,    -1,   295,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,    -1,   308,    -1,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,   327,   328,   329,    -1,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,    -1,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,    -1,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,    -1,   381,   382,
     383,   384,   385,    -1,   387,   388,   389,   390,   391,    -1,
     393,   394,   395,   396,    -1,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
      -1,   414,   415,    -1,    -1,   418,    -1,   420,   421,   422,
     423,   424,    -1,   426,   427,   428,    -1,    -1,   431,   432,
     433,   434,   435,    -1,   437,   438,   439,   440,   441,   442,
     443,   444,    -1,    -1,   447,   448,   449,   450,   451,    -1,
      -1,   454,   455,   456,   457,   458,   459,   460,    -1,   462,
      -1,   464,   465,   466,   467,    -1,    -1,   470,    -1,    -1,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    11,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    -1,    49,    50,    51,    52,
      53,    -1,    55,    56,    -1,    58,    59,    60,    61,    62,
      63,    64,    -1,    -1,    67,    68,    69,    70,    71,    -1,
      73,    74,    75,    76,    77,    -1,    -1,    -1,    81,    82,
      83,    84,    85,    86,    -1,    88,    89,    90,    -1,    92,
      93,    94,    95,    96,    97,    -1,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,
     113,   114,   115,   116,   117,   118,    -1,   120,    -1,   122,
     123,   124,   125,   126,   127,   128,    -1,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,    -1,   146,   147,   148,    -1,   150,   151,   152,
     153,   154,   155,   156,   157,   158,   159,    -1,   161,    -1,
     163,   164,   165,   166,   167,    -1,   169,    -1,   171,   172,
      -1,    -1,    -1,   176,   177,   178,   179,    -1,   181,   182,
      -1,   184,   185,   186,    -1,   188,   189,   190,   191,   192,
      -1,   194,   195,   196,   197,    -1,   199,   200,   201,   202,
     203,   204,   205,   206,    -1,   208,    -1,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,    -1,    -1,
     223,    -1,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,    -1,    -1,   240,   241,    -1,
     243,    -1,    -1,   246,   247,   248,    -1,    -1,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,    -1,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,    -1,
     283,   284,    -1,   286,    -1,   288,   289,   290,   291,   292,
     293,    -1,   295,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,    -1,   308,    -1,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,   327,   328,   329,    -1,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,    -1,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,    -1,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,    -1,   381,   382,
     383,   384,   385,    -1,   387,   388,   389,   390,   391,    -1,
     393,   394,   395,   396,    -1,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
      -1,   414,   415,    -1,    -1,   418,    -1,   420,   421,   422,
     423,   424,    -1,   426,   427,   428,    -1,    -1,   431,   432,
     433,   434,   435,    -1,   437,   438,   439,   440,   441,   442,
     443,   444,    -1,    -1,   447,   448,   449,   450,   451,    -1,
      -1,   454,   455,   456,   457,   458,   459,   460,    -1,   462,
      -1,   464,   465,   466,   467,    -1,    -1,   470,    -1,    -1,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      -1,    -1,    -1,    -1,    -1,    38,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    -1,    49,    50,    51,    52,
      53,    -1,    55,    56,    -1,    58,    59,    60,    61,    62,
      63,    64,    -1,    -1,    67,    68,    69,    70,    71,    -1,
      73,    74,    75,    76,    77,    -1,    -1,    -1,    81,    82,
      83,    84,    85,    86,    -1,    88,    89,    90,    -1,    92,
      93,    94,    95,    96,    97,    -1,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,
     113,   114,   115,   116,   117,   118,    -1,   120,    -1,   122,
     123,   124,   125,   126,   127,   128,    -1,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,    -1,   146,   147,   148,    -1,   150,   151,   152,
     153,   154,   155,   156,   157,   158,   159,    -1,   161,    -1,
     163,   164,   165,   166,   167,    -1,   169,    -1,   171,   172,
      -1,    -1,    -1,   176,   177,   178,   179,    -1,   181,   182,
      -1,   184,   185,   186,    -1,   188,   189,   190,   191,   192,
      -1,   194,   195,   196,   197,    -1,   199,   200,   201,   202,
     203,   204,   205,   206,    -1,   208,    -1,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,    -1,    -1,
     223,    -1,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,    -1,    -1,   240,   241,    -1,
     243,    -1,    -1,   246,   247,   248,    -1,    -1,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,    -1,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,    -1,
     283,   284,    -1,   286,    -1,   288,   289,   290,   291,   292,
     293,    -1,   295,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,    -1,   308,    -1,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,   327,   328,   329,    -1,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,    -1,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,    -1,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,    -1,   381,   382,
     383,   384,   385,    -1,   387,   388,   389,   390,   391,    -1,
     393,   394,   395,   396,    -1,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
      -1,   414,   415,    -1,    -1,   418,    -1,   420,   421,   422,
     423,   424,    -1,   426,   427,   428,    -1,    -1,   431,   432,
     433,   434,   435,    -1,   437,   438,   439,   440,   441,   442,
     443,   444,    -1,    -1,   447,   448,   449,   450,   451,    -1,
      -1,   454,   455,   456,   457,   458,   459,   460,    -1,   462,
      -1,   464,   465,   466,   467,    -1,    -1,   470,    -1,    -1,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      -1,    -1,    -1,    -1,    -1,    38,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    -1,    49,    50,    51,    52,
      53,    -1,    55,    56,    -1,    58,    59,    60,    61,    62,
      63,    64,    -1,    -1,    67,    68,    69,    70,    71,    -1,
      73,    74,    75,    76,    77,    -1,    -1,    -1,    81,    82,
      83,    84,    85,    86,    -1,    88,    89,    90,    -1,    92,
      93,    94,    95,    96,    97,    -1,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,
     113,   114,   115,   116,   117,   118,    -1,   120,    -1,   122,
     123,   124,   125,   126,   127,   128,    -1,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,    -1,   146,   147,   148,    -1,   150,   151,   152,
     153,   154,   155,   156,   157,   158,   159,    -1,   161,    -1,
     163,   164,   165,   166,   167,    -1,   169,    -1,   171,   172,
      -1,    -1,    -1,   176,   177,   178,   179,    -1,   181,   182,
      -1,   184,   185,   186,    -1,   188,   189,   190,   191,   192,
      -1,   194,   195,   196,   197,    -1,   199,   200,   201,   202,
     203,   204,   205,   206,    -1,   208,    -1,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,    -1,    -1,
     223,    -1,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,    -1,    -1,   240,   241,    -1,
     243,    -1,    -1,   246,   247,   248,    -1,    -1,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,    -1,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,    -1,
     283,   284,    -1,   286,    -1,   288,   289,   290,   291,   292,
     293,    -1,   295,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,    -1,   308,    -1,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,   327,   328,   329,    -1,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,    -1,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,    -1,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,    -1,   381,   382,
     383,   384,   385,    -1,   387,   388,   389,   390,   391,    -1,
     393,   394,   395,   396,    -1,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
      -1,   414,   415,    -1,    -1,   418,    -1,   420,   421,   422,
     423,   424,    -1,   426,   427,   428,    -1,    -1,   431,   432,
     433,   434,   435,    -1,   437,   438,   439,   440,   441,   442,
     443,   444,    -1,    -1,   447,   448,   449,   450,   451,    -1,
      -1,   454,   455,   456,   457,   458,   459,   460,    -1,   462,
      -1,   464,   465,   466,   467,    -1,    -1,   470,    -1,    -1,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    -1,    49,    50,    51,    52,
      53,    -1,    55,    56,    -1,    58,    59,    60,    61,    62,
      63,    64,    -1,    -1,    67,    68,    69,    70,    71,    -1,
      73,    74,    75,    76,    77,    -1,    -1,    -1,    81,    82,
      83,    84,    85,    86,    -1,    88,    89,    90,    -1,    92,
      93,    94,    95,    96,    97,    -1,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,
     113,   114,   115,   116,   117,   118,   119,   120,    -1,   122,
     123,   124,   125,   126,   127,   128,    -1,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,    -1,   146,   147,   148,    -1,   150,   151,   152,
     153,   154,   155,   156,   157,   158,   159,    -1,   161,    -1,
     163,   164,   165,   166,   167,    -1,   169,    -1,   171,   172,
      -1,    -1,    -1,   176,   177,   178,   179,    -1,   181,   182,
      -1,   184,   185,   186,    -1,   188,   189,   190,   191,   192,
      -1,   194,   195,   196,   197,    -1,   199,   200,   201,   202,
     203,   204,   205,   206,    -1,   208,    -1,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,    -1,    -1,
     223,    -1,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,    -1,    -1,   240,   241,    -1,
     243,    -1,    -1,   246,   247,   248,    -1,    -1,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,    -1,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,    -1,
     283,   284,    -1,   286,    -1,   288,   289,   290,   291,   292,
     293,    -1,   295,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,    -1,   308,    -1,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,   327,   328,   329,    -1,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,    -1,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,    -1,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,    -1,   381,   382,
     383,   384,   385,    -1,   387,   388,   389,   390,   391,    -1,
     393,   394,   395,   396,    -1,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
      -1,   414,   415,    -1,    -1,   418,    -1,   420,   421,   422,
     423,   424,    -1,   426,   427,   428,    -1,    -1,   431,   432,
     433,   434,   435,    -1,   437,   438,   439,   440,   441,   442,
     443,   444,    -1,    -1,   447,   448,   449,   450,   451,    -1,
      -1,   454,   455,   456,   457,   458,   459,   460,    -1,   462,
      -1,   464,   465,   466,   467,    -1,    -1,   470,    -1,    -1,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    -1,    49,    50,    51,    52,
      53,    -1,    55,    56,    -1,    58,    59,    60,    61,    62,
      63,    64,    -1,    -1,    67,    68,    69,    70,    71,    -1,
      73,    74,    75,    76,    77,    -1,    -1,    -1,    81,    82,
      83,    84,    85,    86,    -1,    88,    89,    90,    -1,    92,
      93,    94,    95,    96,    97,    -1,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,
     113,   114,   115,   116,   117,   118,   119,   120,    -1,   122,
     123,   124,   125,   126,   127,   128,    -1,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,    -1,   146,   147,   148,    -1,   150,   151,   152,
     153,   154,   155,   156,   157,   158,   159,    -1,   161,    -1,
     163,   164,   165,   166,   167,    -1,   169,    -1,   171,   172,
      -1,    -1,    -1,   176,   177,   178,   179,    -1,   181,   182,
      -1,   184,   185,   186,    -1,   188,   189,   190,   191,   192,
      -1,   194,   195,   196,   197,    -1,   199,   200,   201,   202,
     203,   204,   205,   206,    -1,   208,    -1,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,    -1,    -1,
     223,    -1,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,    -1,    -1,   240,   241,    -1,
     243,    -1,    -1,   246,   247,   248,    -1,    -1,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,    -1,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,    -1,
     283,   284,    -1,   286,    -1,   288,   289,   290,   291,   292,
     293,    -1,   295,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,    -1,   308,    -1,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,   327,   328,   329,    -1,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,    -1,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,    -1,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,    -1,   381,   382,
     383,   384,   385,    -1,   387,   388,   389,   390,   391,    -1,
     393,   394,   395,   396,    -1,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
      -1,   414,   415,    -1,    -1,   418,    -1,   420,   421,   422,
     423,   424,    -1,   426,   427,   428,    -1,    -1,   431,   432,
     433,   434,   435,    -1,   437,   438,   439,   440,   441,   442,
     443,   444,    -1,    -1,   447,   448,   449,   450,   451,    -1,
      -1,   454,   455,   456,   457,   458,   459,   460,    -1,   462,
      -1,   464,   465,   466,   467,    -1,    -1,   470,    -1,    -1,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    -1,    49,    50,    51,    52,
      53,    -1,    55,    56,    -1,    58,    59,    60,    61,    62,
      63,    64,    -1,    -1,    67,    68,    69,    70,    71,    -1,
      73,    74,    75,    76,    77,    -1,    -1,    -1,    81,    82,
      83,    84,    85,    86,    -1,    88,    89,    90,    -1,    92,
      93,    94,    95,    96,    97,    -1,    -1,   100,   101,   102,
      -1,    -1,    -1,   106,    -1,    -1,    -1,   110,   111,   112,
     113,   114,   115,   116,   117,   118,    -1,   120,    -1,   122,
     123,   124,   125,   126,   127,   128,    -1,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,    -1,   146,   147,   148,    -1,   150,   151,   152,
     153,   154,   155,   156,   157,   158,   159,    -1,   161,    -1,
     163,   164,   165,   166,   167,    -1,   169,    -1,   171,   172,
      -1,    -1,    -1,   176,   177,   178,   179,    -1,   181,   182,
      -1,   184,   185,   186,    -1,   188,   189,   190,   191,   192,
      -1,   194,   195,   196,   197,    -1,   199,   200,   201,   202,
     203,   204,   205,   206,    -1,   208,    -1,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,    -1,    -1,
     223,    -1,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,    -1,    -1,   240,   241,    -1,
     243,    -1,    -1,   246,   247,   248,    -1,    -1,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,    -1,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,    -1,
     283,   284,    -1,   286,    -1,   288,   289,   290,   291,   292,
     293,    -1,   295,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,    -1,   308,    -1,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,   327,   328,   329,    -1,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,    -1,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,    -1,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,    -1,   381,   382,
     383,   384,   385,    -1,   387,   388,   389,   390,   391,    -1,
     393,   394,   395,   396,    -1,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
      -1,   414,   415,    -1,    -1,   418,    -1,   420,   421,   422,
     423,   424,    -1,   426,   427,   428,    -1,    -1,   431,   432,
     433,   434,   435,    -1,   437,   438,   439,   440,   441,   442,
     443,   444,    -1,    -1,   447,   448,   449,   450,   451,    -1,
      -1,   454,   455,   456,   457,   458,   459,   460,    -1,   462,
      -1,   464,   465,   466,   467,    -1,    -1,   470,    -1,    -1,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    -1,    49,    50,    51,    52,
      53,    -1,    55,    56,    -1,    58,    59,    60,    61,    62,
      63,    64,    -1,    -1,    67,    68,    69,    70,    71,    -1,
      73,    74,    75,    76,    77,    -1,    -1,    -1,    81,    82,
      83,    84,    85,    86,    -1,    88,    89,    90,    -1,    92,
      93,    94,    95,    96,    97,    -1,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,
     113,   114,   115,   116,   117,   118,   119,   120,    -1,   122,
     123,   124,   125,   126,   127,   128,    -1,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,    -1,   146,   147,   148,    -1,   150,   151,   152,
     153,   154,   155,   156,   157,   158,   159,    -1,   161,    -1,
     163,   164,   165,   166,   167,    -1,   169,    -1,   171,   172,
      -1,    -1,    -1,   176,   177,   178,   179,    -1,   181,   182,
      -1,   184,   185,   186,    -1,   188,   189,   190,   191,   192,
      -1,   194,   195,   196,   197,    -1,   199,   200,   201,   202,
     203,   204,   205,   206,    -1,   208,    -1,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,    -1,    -1,
     223,    -1,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,    -1,    -1,   240,   241,    -1,
     243,    -1,    -1,   246,   247,   248,    -1,    -1,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,    -1,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,    -1,
     283,   284,    -1,   286,    -1,   288,   289,   290,   291,   292,
     293,    -1,   295,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,    -1,   308,    -1,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,   327,   328,   329,    -1,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,    -1,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,    -1,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,    -1,   381,   382,
     383,   384,   385,    -1,   387,   388,   389,   390,   391,    -1,
     393,   394,   395,   396,    -1,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
      -1,   414,   415,    -1,    -1,   418,    -1,   420,   421,   422,
     423,   424,    -1,   426,   427,   428,    -1,    -1,   431,   432,
     433,   434,   435,    -1,   437,   438,   439,   440,   441,   442,
     443,   444,    -1,    -1,   447,   448,   449,   450,   451,    -1,
      -1,   454,   455,   456,   457,   458,   459,   460,    -1,   462,
      -1,   464,   465,   466,   467,    -1,    -1,   470,    -1,    -1,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    -1,    49,    50,    51,    52,
      53,    -1,    55,    56,    -1,    58,    59,    60,    61,    62,
      63,    64,    -1,    -1,    67,    68,    69,    70,    71,    -1,
      73,    74,    75,    76,    77,    -1,    -1,    -1,    81,    82,
      83,    84,    85,    86,    -1,    88,    89,    90,    -1,    92,
      93,    94,    95,    96,    97,    -1,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,
     113,   114,   115,   116,   117,   118,    -1,   120,    -1,   122,
     123,   124,   125,   126,   127,   128,    -1,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,    -1,   146,   147,   148,    -1,   150,   151,   152,
     153,   154,   155,   156,   157,   158,   159,    -1,   161,    -1,
     163,   164,   165,   166,   167,    -1,   169,    -1,   171,   172,
      -1,    -1,    -1,   176,   177,   178,   179,    -1,   181,   182,
      -1,   184,   185,   186,    -1,   188,   189,   190,   191,   192,
      -1,   194,   195,   196,   197,    -1,   199,   200,   201,   202,
     203,   204,   205,   206,    -1,   208,    -1,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,    -1,    -1,
     223,    -1,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,    -1,    -1,   240,   241,    -1,
     243,    -1,    -1,   246,   247,   248,    -1,    -1,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,    -1,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,    -1,
     283,   284,    -1,   286,    -1,   288,   289,   290,   291,   292,
     293,    -1,   295,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,    -1,   308,    -1,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,   327,   328,   329,    -1,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,    -1,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,    -1,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,    -1,   381,   382,
     383,   384,   385,    -1,   387,   388,   389,   390,   391,    -1,
     393,   394,   395,   396,    -1,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
      -1,   414,   415,    -1,    -1,   418,    -1,   420,   421,   422,
     423,   424,    -1,   426,   427,   428,    -1,    -1,   431,   432,
     433,   434,   435,    -1,   437,   438,   439,   440,   441,   442,
     443,   444,    -1,    -1,   447,   448,   449,   450,   451,    -1,
      -1,   454,   455,   456,   457,   458,   459,   460,    -1,   462,
      -1,   464,   465,   466,   467,    -1,    -1,   470,    -1,    -1,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    -1,    49,    50,    51,    52,
      53,    -1,    55,    56,    -1,    58,    59,    60,    61,    62,
      63,    64,    -1,    -1,    67,    68,    69,    70,    71,    -1,
      73,    74,    75,    76,    77,    -1,    -1,    -1,    81,    82,
      83,    84,    85,    86,    -1,    88,    89,    90,    -1,    92,
      93,    94,    95,    96,    97,    -1,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,
     113,   114,   115,   116,   117,   118,    -1,   120,    -1,   122,
     123,   124,   125,   126,   127,   128,    -1,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,    -1,   146,   147,   148,    -1,   150,   151,   152,
     153,   154,   155,   156,   157,   158,   159,    -1,   161,    -1,
     163,   164,   165,   166,   167,    -1,   169,    -1,   171,   172,
      -1,    -1,    -1,   176,   177,   178,   179,    -1,   181,   182,
      -1,   184,   185,   186,    -1,   188,   189,   190,   191,   192,
      -1,   194,   195,   196,   197,    -1,   199,   200,   201,   202,
     203,   204,   205,   206,    -1,   208,    -1,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,    -1,    -1,
     223,    -1,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,    -1,    -1,   240,   241,    -1,
     243,    -1,    -1,   246,   247,   248,    -1,    -1,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,    -1,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,    -1,
     283,   284,    -1,   286,    -1,   288,   289,   290,   291,   292,
     293,    -1,   295,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,    -1,   308,    -1,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,   327,   328,   329,    -1,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,    -1,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,    -1,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,    -1,   381,   382,
     383,   384,   385,    -1,   387,   388,   389,   390,   391,    -1,
     393,   394,   395,   396,    -1,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
      -1,   414,   415,    -1,    -1,   418,    -1,   420,   421,   422,
     423,   424,    -1,   426,   427,   428,    -1,    -1,   431,   432,
     433,   434,   435,    -1,   437,   438,   439,   440,   441,   442,
     443,   444,    -1,    -1,   447,   448,   449,   450,   451,    -1,
      -1,   454,   455,   456,   457,   458,   459,   460,    -1,   462,
      -1,   464,   465,   466,   467,    -1,    -1,   470,    -1,    -1,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    -1,    49,    50,    51,    52,
      53,    -1,    55,    56,    -1,    58,    59,    60,    61,    62,
      63,    64,    -1,    -1,    67,    68,    69,    70,    71,    -1,
      73,    74,    75,    76,    77,    -1,    -1,    -1,    81,    82,
      83,    84,    85,    86,    -1,    88,    89,    90,    -1,    92,
      93,    94,    95,    96,    97,    -1,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,
     113,   114,   115,   116,   117,   118,    -1,   120,    -1,   122,
     123,   124,   125,   126,   127,   128,    -1,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,    -1,   146,   147,   148,    -1,   150,   151,   152,
     153,   154,   155,   156,   157,   158,   159,    -1,   161,    -1,
     163,   164,   165,   166,   167,    -1,   169,    -1,   171,   172,
      -1,    -1,    -1,   176,   177,   178,   179,    -1,   181,   182,
      -1,   184,   185,   186,    -1,   188,   189,   190,   191,   192,
      -1,   194,   195,   196,   197,    -1,   199,   200,   201,   202,
     203,   204,   205,   206,    -1,   208,    -1,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,    -1,    -1,
     223,    -1,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,    -1,    -1,   240,   241,    -1,
     243,    -1,    -1,   246,   247,   248,    -1,    -1,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,    -1,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,    -1,
     283,   284,    -1,   286,    -1,   288,   289,   290,   291,   292,
     293,    -1,   295,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,    -1,   308,    -1,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,   327,   328,   329,    -1,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,    -1,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,    -1,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,    -1,   381,   382,
     383,   384,   385,    -1,   387,   388,   389,   390,   391,    -1,
     393,   394,   395,   396,    -1,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
      -1,   414,   415,    -1,    -1,   418,    -1,   420,   421,   422,
     423,   424,    -1,   426,   427,   428,    -1,    -1,   431,   432,
     433,   434,   435,    -1,   437,   438,   439,   440,   441,   442,
     443,   444,    -1,    -1,   447,   448,   449,   450,   451,    -1,
      -1,   454,   455,   456,   457,   458,   459,   460,    -1,   462,
      -1,   464,   465,   466,   467,    -1,    -1,   470,    -1,    -1,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    -1,    49,    50,    51,    52,
      53,    -1,    55,    56,    -1,    58,    59,    60,    61,    62,
      63,    64,    -1,    -1,    67,    68,    69,    70,    71,    -1,
      73,    74,    75,    76,    77,    -1,    -1,    -1,    81,    82,
      83,    84,    85,    86,    -1,    88,    89,    90,    -1,    92,
      93,    94,    95,    96,    97,    -1,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,
     113,   114,   115,   116,   117,   118,    -1,   120,    -1,   122,
     123,   124,   125,   126,   127,   128,    -1,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,    -1,   146,   147,   148,    -1,   150,   151,   152,
     153,   154,   155,   156,   157,   158,   159,    -1,   161,    -1,
     163,   164,   165,   166,   167,    -1,   169,    -1,   171,   172,
      -1,    -1,    -1,   176,   177,   178,   179,    -1,   181,   182,
      -1,   184,   185,   186,    -1,   188,   189,   190,   191,   192,
      -1,   194,   195,   196,   197,    -1,   199,   200,   201,   202,
     203,   204,   205,   206,    -1,   208,    -1,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,    -1,    -1,
     223,    -1,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,    -1,    -1,   240,   241,    -1,
     243,    -1,    -1,   246,   247,   248,    -1,    -1,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,    -1,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,    -1,
     283,   284,    -1,   286,    -1,   288,   289,   290,   291,   292,
     293,    -1,   295,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,    -1,   308,    -1,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,   327,   328,   329,    -1,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,    -1,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,    -1,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,    -1,   381,   382,
     383,   384,   385,    -1,   387,   388,   389,   390,   391,    -1,
     393,   394,   395,   396,    -1,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
      -1,   414,   415,    -1,    -1,   418,    -1,   420,   421,   422,
     423,   424,    -1,   426,   427,   428,    -1,    -1,   431,   432,
     433,   434,   435,    -1,   437,   438,   439,   440,   441,   442,
     443,   444,    -1,    -1,   447,   448,   449,   450,   451,    -1,
      -1,   454,   455,   456,   457,   458,   459,   460,    -1,   462,
      -1,   464,   465,   466,   467,    -1,    -1,   470,    -1,    -1,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    -1,    49,    50,    51,    52,
      53,    -1,    55,    56,    -1,    58,    59,    60,    61,    62,
      63,    64,    -1,    -1,    67,    68,    69,    70,    71,    -1,
      73,    74,    75,    76,    77,    -1,    -1,    -1,    81,    82,
      83,    84,    85,    86,    -1,    88,    89,    90,    -1,    92,
      93,    94,    95,    96,    97,    -1,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,
     113,   114,   115,   116,   117,   118,    -1,   120,    -1,   122,
     123,   124,   125,   126,   127,   128,    -1,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,    -1,   146,   147,   148,    -1,   150,   151,   152,
     153,   154,   155,   156,   157,   158,   159,    -1,   161,    -1,
     163,   164,   165,   166,   167,    -1,   169,    -1,   171,   172,
      -1,    -1,    -1,   176,   177,   178,   179,    -1,   181,   182,
      -1,   184,   185,   186,    -1,   188,   189,   190,   191,   192,
      -1,   194,   195,   196,   197,    -1,   199,   200,   201,   202,
     203,   204,   205,   206,    -1,   208,    -1,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,    -1,    -1,
     223,    -1,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,    -1,    -1,   240,   241,    -1,
     243,    -1,    -1,   246,   247,   248,    -1,    -1,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,    -1,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,    -1,
     283,   284,    -1,   286,    -1,   288,   289,   290,   291,   292,
     293,    -1,   295,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,    -1,   308,    -1,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,   327,   328,   329,    -1,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,    -1,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,    -1,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,    -1,   381,   382,
     383,   384,   385,    -1,   387,   388,   389,   390,   391,    -1,
     393,   394,   395,   396,    -1,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
      -1,   414,   415,    -1,    -1,   418,    -1,   420,   421,   422,
     423,   424,    -1,   426,   427,   428,    -1,    -1,   431,   432,
     433,   434,   435,    -1,   437,   438,   439,   440,   441,   442,
     443,   444,    -1,    -1,   447,   448,   449,   450,   451,    -1,
      -1,   454,   455,   456,   457,   458,   459,   460,    -1,   462,
      -1,   464,   465,   466,   467,    -1,    -1,   470,    -1,    -1,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    -1,    49,    50,    51,    52,
      53,    -1,    55,    56,    -1,    58,    59,    60,    61,    62,
      63,    64,    -1,    -1,    67,    68,    69,    70,    71,    -1,
      73,    74,    75,    76,    77,    -1,    -1,    -1,    81,    82,
      83,    84,    85,    86,    -1,    88,    89,    90,    -1,    92,
      93,    94,    95,    96,    97,    -1,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,
     113,   114,   115,   116,   117,   118,    -1,   120,    -1,   122,
     123,   124,   125,   126,   127,   128,    -1,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,    -1,   146,   147,   148,    -1,   150,   151,   152,
     153,   154,   155,   156,   157,   158,   159,    -1,   161,    -1,
     163,   164,   165,   166,   167,    -1,   169,    -1,   171,   172,
      -1,    -1,    -1,   176,   177,   178,   179,    -1,   181,   182,
      -1,   184,   185,   186,    -1,   188,   189,   190,   191,   192,
      -1,   194,   195,   196,   197,    -1,   199,   200,   201,   202,
     203,   204,   205,   206,    -1,   208,    -1,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,    -1,    -1,
     223,    -1,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,    -1,    -1,   240,   241,    -1,
     243,    -1,    -1,   246,   247,   248,    -1,    -1,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,    -1,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,    -1,
     283,   284,    -1,   286,    -1,   288,   289,   290,   291,   292,
     293,    -1,   295,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,    -1,   308,    -1,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,   327,   328,   329,    -1,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,    -1,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,    -1,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,    -1,   381,   382,
     383,   384,   385,    -1,   387,   388,   389,   390,   391,    -1,
     393,   394,   395,   396,    -1,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
      -1,   414,   415,    -1,    -1,   418,    -1,   420,   421,   422,
     423,   424,    -1,   426,   427,   428,    -1,    -1,   431,   432,
     433,   434,   435,    -1,   437,   438,   439,   440,   441,   442,
     443,   444,    -1,    -1,   447,   448,   449,   450,   451,    -1,
      -1,   454,   455,   456,   457,   458,   459,   460,    -1,   462,
      -1,   464,   465,   466,   467,    -1,    -1,   470,    -1,    -1,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    -1,    49,    50,    51,    52,
      53,    -1,    55,    56,    -1,    58,    59,    60,    61,    62,
      63,    64,    -1,    -1,    67,    68,    69,    70,    71,    -1,
      73,    74,    75,    76,    77,    -1,    -1,    -1,    81,    82,
      83,    84,    85,    86,    -1,    88,    89,    90,    -1,    92,
      93,    94,    95,    96,    97,    -1,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,
     113,   114,   115,   116,   117,   118,    -1,   120,    -1,   122,
     123,   124,   125,   126,   127,   128,    -1,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,    -1,   146,   147,   148,    -1,   150,   151,   152,
     153,   154,   155,   156,   157,   158,   159,    -1,   161,    -1,
     163,   164,   165,   166,   167,    -1,   169,    -1,   171,   172,
      -1,    -1,    -1,   176,   177,   178,   179,    -1,   181,   182,
      -1,   184,   185,   186,    -1,   188,   189,   190,   191,   192,
      -1,   194,   195,   196,   197,    -1,   199,   200,   201,   202,
     203,   204,   205,   206,    -1,   208,    -1,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,    -1,    -1,
     223,    -1,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,    -1,    -1,   240,   241,    -1,
     243,    -1,    -1,   246,   247,   248,    -1,    -1,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,    -1,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,    -1,
     283,   284,    -1,   286,    -1,   288,   289,   290,   291,   292,
     293,    -1,   295,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,    -1,   308,    -1,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,   327,   328,   329,    -1,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,    -1,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,    -1,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,    -1,   381,   382,
     383,   384,   385,    -1,   387,   388,   389,   390,   391,    -1,
     393,   394,   395,   396,    -1,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
      -1,   414,   415,    -1,    -1,   418,    -1,   420,   421,   422,
     423,   424,    -1,   426,   427,   428,    -1,    -1,   431,   432,
     433,   434,   435,    -1,   437,   438,   439,   440,   441,   442,
     443,   444,    -1,    -1,   447,   448,   449,   450,   451,    -1,
      -1,   454,   455,   456,   457,   458,   459,   460,    -1,   462,
      -1,   464,   465,   466,   467,    -1,    -1,   470,    -1,    -1,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    -1,    49,    50,    51,    52,
      53,    -1,    55,    56,    -1,    58,    59,    60,    61,    62,
      63,    64,    -1,    -1,    67,    68,    69,    70,    71,    -1,
      73,    74,    75,    76,    77,    -1,    -1,    -1,    81,    82,
      83,    84,    85,    86,    -1,    88,    89,    90,    -1,    92,
      93,    94,    95,    96,    97,    -1,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,
     113,   114,   115,   116,   117,   118,    -1,   120,    -1,   122,
     123,   124,   125,   126,   127,   128,    -1,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,    -1,   146,   147,   148,    -1,   150,   151,   152,
     153,   154,   155,   156,   157,   158,   159,    -1,   161,    -1,
     163,   164,   165,   166,   167,    -1,   169,    -1,   171,   172,
      -1,    -1,    -1,   176,   177,   178,   179,    -1,   181,   182,
      -1,   184,   185,   186,    -1,   188,   189,   190,   191,   192,
      -1,   194,   195,   196,   197,    -1,   199,   200,   201,   202,
     203,   204,   205,   206,    -1,   208,    -1,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,    -1,    -1,
     223,    -1,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,    -1,    -1,   240,   241,    -1,
     243,    -1,    -1,   246,   247,   248,    -1,    -1,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,    -1,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,    -1,
     283,   284,    -1,   286,    -1,   288,   289,   290,   291,   292,
     293,    -1,   295,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,    -1,   308,    -1,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,   327,   328,   329,    -1,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,    -1,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,    -1,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,    -1,   381,   382,
     383,   384,   385,    -1,   387,   388,   389,   390,   391,    -1,
     393,   394,   395,   396,    -1,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
      -1,   414,   415,    -1,    -1,   418,    -1,   420,   421,   422,
     423,   424,    -1,   426,   427,   428,    -1,    -1,   431,   432,
     433,   434,   435,    -1,   437,   438,   439,   440,   441,   442,
     443,   444,    -1,    -1,   447,   448,   449,   450,   451,    -1,
      -1,   454,   455,   456,   457,   458,   459,   460,    -1,   462,
      -1,   464,   465,   466,   467,    -1,    -1,   470,    -1,    -1,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    -1,    49,    50,    51,    52,
      53,    -1,    55,    56,    -1,    58,    59,    60,    61,    62,
      63,    64,    -1,    -1,    67,    68,    69,    70,    71,    -1,
      73,    74,    75,    76,    77,    -1,    -1,    -1,    81,    82,
      83,    84,    85,    86,    -1,    88,    89,    90,    -1,    92,
      93,    94,    95,    96,    97,    -1,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,
     113,   114,   115,   116,   117,   118,    -1,   120,    -1,   122,
     123,   124,   125,   126,   127,   128,    -1,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,    -1,   146,   147,   148,    -1,   150,   151,   152,
     153,   154,   155,   156,   157,   158,   159,    -1,   161,    -1,
     163,   164,   165,   166,   167,    -1,   169,    -1,   171,   172,
      -1,    -1,    -1,   176,   177,   178,   179,    -1,   181,   182,
      -1,   184,   185,   186,    -1,   188,   189,   190,   191,   192,
      -1,   194,   195,   196,   197,    -1,   199,   200,   201,   202,
     203,   204,   205,   206,    -1,   208,    -1,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,    -1,    -1,
     223,    -1,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,    -1,    -1,   240,   241,    -1,
     243,    -1,    -1,   246,   247,   248,    -1,    -1,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,    -1,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,    -1,
     283,   284,    -1,   286,    -1,   288,   289,   290,   291,   292,
     293,    -1,   295,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,    -1,   308,    -1,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,   327,   328,   329,    -1,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,    -1,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,    -1,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,    -1,   381,   382,
     383,   384,   385,    -1,   387,   388,   389,   390,   391,    -1,
     393,   394,   395,   396,    -1,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
      -1,   414,   415,    -1,    -1,   418,    -1,   420,   421,   422,
     423,   424,    -1,   426,   427,   428,    -1,    -1,   431,   432,
     433,   434,   435,    -1,   437,   438,   439,   440,   441,   442,
     443,   444,    -1,    -1,   447,   448,   449,   450,   451,    -1,
      -1,   454,   455,   456,   457,   458,   459,   460,    -1,   462,
      -1,   464,   465,   466,   467,    -1,    -1,   470,    -1,    -1,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    -1,    49,    50,    51,    52,
      53,    -1,    55,    56,    -1,    58,    59,    60,    61,    62,
      63,    64,    -1,    -1,    67,    68,    69,    70,    71,    -1,
      73,    74,    75,    76,    77,    -1,    -1,    -1,    81,    82,
      83,    84,    85,    86,    -1,    88,    89,    90,    -1,    92,
      93,    94,    95,    96,    97,    -1,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,
     113,   114,   115,   116,   117,   118,    -1,   120,    -1,   122,
     123,   124,   125,   126,   127,   128,    -1,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,    -1,   146,   147,   148,    -1,   150,   151,   152,
     153,   154,   155,   156,   157,   158,   159,    -1,   161,    -1,
     163,   164,   165,   166,   167,    -1,   169,    -1,   171,   172,
      -1,    -1,    -1,   176,   177,   178,   179,    -1,   181,   182,
      -1,   184,   185,   186,    -1,   188,   189,   190,   191,   192,
      -1,   194,   195,   196,   197,    -1,   199,   200,   201,   202,
     203,   204,   205,   206,    -1,   208,    -1,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,    -1,    -1,
     223,    -1,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,    -1,    -1,   240,   241,    -1,
     243,    -1,    -1,   246,   247,   248,    -1,    -1,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,    -1,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,    -1,
     283,   284,    -1,   286,    -1,   288,   289,   290,   291,   292,
     293,    -1,   295,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,    -1,   308,    -1,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,   327,   328,   329,    -1,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,    -1,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,    -1,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,    -1,   381,   382,
     383,   384,   385,    -1,   387,   388,   389,   390,   391,    -1,
     393,   394,   395,   396,    -1,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
      -1,   414,   415,    -1,    -1,   418,    -1,   420,   421,   422,
     423,   424,    -1,   426,   427,   428,    -1,    -1,   431,   432,
     433,   434,   435,    -1,   437,   438,   439,   440,   441,   442,
     443,   444,    -1,    -1,   447,   448,   449,   450,   451,    -1,
      -1,   454,   455,   456,   457,   458,   459,   460,    -1,   462,
      -1,   464,   465,   466,   467,    -1,    -1,   470,    -1,    -1,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    -1,    49,    50,    51,    52,
      53,    -1,    55,    56,    -1,    58,    59,    60,    61,    62,
      63,    64,    -1,    -1,    67,    68,    69,    70,    71,    -1,
      73,    74,    75,    76,    77,    -1,    -1,    -1,    81,    82,
      83,    84,    85,    86,    -1,    88,    89,    90,    -1,    92,
      93,    94,    95,    96,    97,    -1,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,
     113,   114,   115,   116,   117,   118,    -1,   120,    -1,   122,
     123,   124,   125,   126,   127,   128,    -1,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,    -1,   146,   147,   148,    -1,   150,   151,   152,
     153,   154,   155,   156,   157,   158,   159,    -1,   161,    -1,
     163,   164,   165,   166,   167,    -1,   169,    -1,   171,   172,
      -1,    -1,    -1,   176,   177,   178,   179,    -1,   181,   182,
      -1,   184,   185,   186,    -1,   188,   189,   190,   191,   192,
      -1,   194,   195,   196,   197,    -1,   199,   200,   201,   202,
     203,   204,   205,   206,    -1,   208,    -1,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,    -1,    -1,
     223,    -1,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,    -1,    -1,   240,   241,    -1,
     243,    -1,    -1,   246,   247,   248,    -1,    -1,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,    -1,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,    -1,
     283,   284,    -1,   286,    -1,   288,   289,   290,   291,   292,
     293,    -1,   295,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,    -1,   308,    -1,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,   327,   328,   329,    -1,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,    -1,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,    -1,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,    -1,   381,   382,
     383,   384,   385,    -1,   387,   388,   389,   390,   391,    -1,
     393,   394,   395,   396,    -1,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
      -1,   414,   415,    -1,    -1,   418,    -1,   420,   421,   422,
     423,   424,    -1,   426,   427,   428,    -1,    -1,   431,   432,
     433,   434,   435,    -1,   437,   438,   439,   440,   441,   442,
     443,   444,    -1,    -1,   447,   448,   449,   450,   451,    -1,
      -1,   454,   455,   456,   457,   458,   459,   460,    -1,   462,
      -1,   464,   465,   466,   467,    -1,    -1,   470,    -1,    -1,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    -1,    49,    50,    51,    52,
      53,    -1,    55,    56,    -1,    58,    59,    60,    61,    62,
      63,    64,    -1,    -1,    67,    68,    69,    70,    71,    -1,
      73,    74,    75,    76,    77,    -1,    -1,    -1,    81,    82,
      83,    84,    85,    86,    -1,    88,    89,    90,    -1,    92,
      93,    94,    95,    96,    97,    -1,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,
     113,   114,   115,   116,   117,   118,    -1,   120,    -1,   122,
     123,   124,   125,   126,   127,   128,    -1,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,    -1,   146,   147,   148,    -1,   150,   151,   152,
     153,   154,   155,   156,   157,   158,   159,    -1,   161,    -1,
     163,   164,   165,   166,   167,    -1,   169,    -1,   171,   172,
      -1,    -1,    -1,   176,   177,   178,   179,    -1,   181,   182,
      -1,   184,   185,   186,    -1,   188,   189,   190,   191,   192,
      -1,   194,   195,   196,   197,    -1,   199,   200,   201,   202,
     203,   204,   205,   206,    -1,   208,    -1,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,    -1,    -1,
     223,    -1,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,    -1,    -1,   240,   241,    -1,
     243,    -1,    -1,   246,   247,   248,    -1,    -1,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,    -1,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,    -1,
     283,   284,    -1,   286,    -1,   288,   289,   290,   291,   292,
     293,    -1,   295,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,    -1,   308,    -1,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,   327,   328,   329,    -1,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,    -1,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,    -1,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,    -1,   381,   382,
     383,   384,   385,    -1,   387,   388,   389,   390,   391,    -1,
     393,   394,   395,   396,    -1,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
      -1,   414,   415,    -1,    -1,   418,    -1,   420,   421,   422,
     423,   424,    -1,   426,   427,   428,    -1,    -1,   431,   432,
     433,   434,   435,    -1,   437,   438,   439,   440,   441,   442,
     443,   444,    -1,    -1,   447,   448,   449,   450,   451,    -1,
      -1,   454,   455,   456,   457,   458,   459,   460,    -1,   462,
      -1,   464,   465,   466,   467,    -1,    -1,   470,    -1,    -1,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    -1,    49,    50,    51,    52,
      53,    -1,    55,    56,    -1,    58,    59,    60,    61,    62,
      63,    64,    -1,    -1,    67,    68,    69,    70,    71,    -1,
      73,    74,    75,    76,    77,    -1,    -1,    -1,    81,    82,
      83,    84,    85,    86,    -1,    88,    89,    90,    -1,    92,
      93,    94,    95,    96,    97,    -1,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,
     113,   114,   115,   116,   117,   118,    -1,   120,    -1,   122,
     123,   124,   125,   126,   127,   128,    -1,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,    -1,   146,   147,   148,    -1,   150,   151,   152,
     153,   154,   155,   156,   157,   158,   159,    -1,   161,    -1,
     163,   164,   165,   166,   167,    -1,   169,    -1,   171,   172,
      -1,    -1,    -1,   176,   177,   178,   179,    -1,   181,   182,
      -1,   184,   185,   186,    -1,   188,   189,   190,   191,   192,
      -1,   194,   195,   196,   197,    -1,   199,   200,   201,   202,
     203,   204,   205,   206,    -1,   208,    -1,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,    -1,    -1,
     223,    -1,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,    -1,    -1,   240,   241,    -1,
     243,    -1,    -1,   246,   247,   248,    -1,    -1,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,    -1,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,    -1,
     283,   284,    -1,   286,    -1,   288,   289,   290,   291,   292,
     293,    -1,   295,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,    -1,   308,    -1,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,   327,   328,   329,    -1,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,    -1,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,    -1,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,    -1,   381,   382,
     383,   384,   385,    -1,   387,   388,   389,   390,   391,    -1,
     393,   394,   395,   396,    -1,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
      -1,   414,   415,    -1,    -1,   418,    -1,   420,   421,   422,
     423,   424,    -1,   426,   427,   428,    -1,    -1,   431,   432,
     433,   434,   435,    -1,   437,   438,   439,   440,   441,   442,
     443,   444,    -1,    -1,   447,   448,   449,   450,   451,    -1,
      -1,   454,   455,   456,   457,   458,   459,   460,    -1,   462,
      -1,   464,   465,   466,   467,    -1,    -1,   470,    -1,    -1,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    -1,    49,    50,    51,    52,
      53,    -1,    55,    56,    -1,    58,    59,    60,    61,    62,
      63,    64,    -1,    -1,    67,    68,    69,    70,    71,    -1,
      73,    74,    75,    76,    77,    -1,    -1,    -1,    81,    82,
      83,    84,    85,    86,    -1,    88,    89,    90,    -1,    92,
      93,    94,    95,    96,    97,    -1,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,
     113,   114,   115,   116,   117,   118,    -1,   120,    -1,   122,
     123,   124,   125,   126,   127,   128,    -1,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,    -1,   146,   147,   148,    -1,   150,   151,   152,
     153,   154,   155,   156,   157,   158,   159,    -1,   161,    -1,
     163,   164,   165,   166,   167,    -1,   169,    -1,   171,   172,
      -1,    -1,    -1,   176,   177,   178,   179,    -1,   181,   182,
      -1,   184,   185,   186,    -1,   188,   189,   190,   191,   192,
      -1,   194,   195,   196,   197,    -1,   199,   200,   201,   202,
     203,   204,   205,   206,    -1,   208,    -1,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,    -1,    -1,
     223,    -1,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,    -1,    -1,   240,   241,    -1,
     243,    -1,    -1,   246,   247,   248,    -1,    -1,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,    -1,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,    -1,
     283,   284,    -1,   286,    -1,   288,   289,   290,   291,   292,
     293,    -1,   295,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,    -1,   308,    -1,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,   327,   328,   329,    -1,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,    -1,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,    -1,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,    -1,   381,   382,
     383,   384,   385,    -1,   387,   388,   389,   390,   391,    -1,
     393,   394,   395,   396,    -1,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
      -1,   414,   415,    -1,    -1,   418,    -1,   420,   421,   422,
     423,   424,    -1,   426,   427,   428,    -1,    -1,   431,   432,
     433,   434,   435,    -1,   437,   438,   439,   440,   441,   442,
     443,   444,    -1,    -1,   447,   448,   449,   450,   451,    -1,
      -1,   454,   455,   456,   457,   458,   459,   460,    -1,   462,
      -1,   464,   465,   466,   467,    -1,    -1,   470,    -1,    -1,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    -1,    49,    50,    51,    52,
      53,    -1,    55,    56,    -1,    58,    59,    60,    61,    62,
      63,    64,    -1,    -1,    67,    68,    69,    70,    71,    -1,
      73,    74,    75,    76,    77,    -1,    -1,    -1,    81,    82,
      83,    84,    85,    86,    -1,    88,    89,    90,    -1,    92,
      93,    94,    95,    96,    97,    -1,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,
     113,   114,   115,   116,   117,   118,    -1,   120,    -1,   122,
     123,   124,   125,   126,   127,   128,    -1,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,    -1,   146,   147,   148,    -1,   150,   151,   152,
     153,   154,   155,   156,   157,   158,   159,    -1,   161,    -1,
     163,   164,   165,   166,   167,    -1,   169,    -1,   171,   172,
      -1,    -1,    -1,   176,   177,   178,   179,    -1,   181,   182,
      -1,   184,   185,   186,    -1,   188,   189,   190,   191,   192,
      -1,   194,   195,   196,   197,    -1,   199,   200,   201,   202,
     203,   204,   205,   206,    -1,   208,    -1,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,    -1,    -1,
     223,    -1,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,    -1,    -1,   240,   241,    -1,
     243,    -1,    -1,   246,   247,   248,    -1,    -1,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,    -1,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,    -1,
     283,   284,    -1,   286,    -1,   288,   289,   290,   291,   292,
     293,    -1,   295,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,    -1,   308,    -1,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,   327,   328,   329,    -1,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,    -1,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,    -1,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,    -1,   381,   382,
     383,   384,   385,    -1,   387,   388,   389,   390,   391,    -1,
     393,   394,   395,   396,    -1,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
      -1,   414,   415,    -1,    -1,   418,    -1,   420,   421,   422,
     423,   424,    -1,   426,   427,   428,    -1,    -1,   431,   432,
     433,   434,   435,    -1,   437,   438,   439,   440,   441,   442,
     443,   444,    -1,    -1,   447,   448,   449,   450,   451,    -1,
      -1,   454,   455,   456,   457,   458,   459,   460,    -1,   462,
      -1,   464,   465,   466,   467,    -1,    -1,   470,    -1,    -1,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    -1,    49,    50,    51,    52,
      53,    -1,    55,    56,    -1,    58,    59,    60,    61,    62,
      63,    64,    -1,    -1,    67,    68,    69,    70,    71,    -1,
      73,    74,    75,    76,    77,    -1,    -1,    -1,    81,    82,
      83,    84,    85,    86,    -1,    88,    89,    90,    -1,    92,
      93,    94,    95,    96,    97,    -1,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,
     113,   114,   115,   116,   117,   118,    -1,   120,    -1,   122,
     123,   124,   125,   126,   127,   128,    -1,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,    -1,   146,   147,   148,    -1,   150,   151,   152,
     153,   154,   155,   156,   157,   158,   159,    -1,   161,    -1,
     163,   164,   165,   166,   167,    -1,   169,    -1,   171,   172,
      -1,    -1,    -1,   176,   177,   178,   179,    -1,   181,   182,
      -1,   184,   185,   186,    -1,   188,   189,   190,   191,   192,
      -1,   194,   195,   196,   197,    -1,   199,   200,   201,   202,
     203,   204,   205,   206,    -1,   208,    -1,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,    -1,    -1,
     223,    -1,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,    -1,    -1,   240,   241,    -1,
     243,    -1,    -1,   246,   247,   248,    -1,    -1,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,    -1,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,    -1,
     283,   284,    -1,   286,    -1,   288,   289,   290,   291,   292,
     293,    -1,   295,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,    -1,   308,    -1,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,   327,   328,   329,    -1,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,    -1,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,    -1,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,    -1,   381,   382,
     383,   384,   385,    -1,   387,   388,   389,   390,   391,    -1,
     393,   394,   395,   396,    -1,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
      -1,   414,   415,    -1,    -1,   418,    -1,   420,   421,   422,
     423,   424,    -1,   426,   427,   428,    -1,    -1,   431,   432,
     433,   434,   435,    -1,   437,   438,   439,   440,   441,   442,
     443,   444,    -1,    -1,   447,   448,   449,   450,   451,    -1,
      -1,   454,   455,   456,   457,   458,   459,   460,    -1,   462,
      -1,   464,   465,   466,   467,    -1,    -1,   470,    -1,    -1,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    -1,    49,    50,    51,    52,
      53,    -1,    55,    56,    -1,    58,    59,    60,    61,    62,
      63,    64,    -1,    -1,    67,    68,    69,    70,    71,    -1,
      73,    74,    75,    76,    77,    -1,    -1,    -1,    81,    82,
      83,    84,    85,    86,    -1,    88,    89,    90,    -1,    92,
      93,    94,    95,    96,    97,    -1,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,
     113,   114,   115,   116,   117,   118,    -1,   120,    -1,   122,
     123,   124,   125,   126,   127,   128,    -1,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,    -1,   146,   147,   148,    -1,   150,   151,   152,
     153,   154,   155,   156,   157,   158,   159,    -1,   161,    -1,
     163,   164,   165,   166,   167,    -1,   169,    -1,   171,   172,
      -1,    -1,    -1,   176,   177,   178,   179,    -1,   181,   182,
      -1,   184,   185,   186,    -1,   188,   189,   190,   191,   192,
      -1,   194,   195,   196,   197,    -1,   199,   200,   201,   202,
     203,   204,   205,   206,    -1,   208,    -1,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,    -1,    -1,
     223,    -1,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,    -1,    -1,   240,   241,    -1,
     243,    -1,    -1,   246,   247,   248,    -1,    -1,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,    -1,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,    -1,
     283,   284,    -1,   286,    -1,   288,   289,   290,   291,   292,
     293,    -1,   295,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,    -1,   308,    -1,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,   327,   328,   329,    -1,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,    -1,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,    -1,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,    -1,   381,   382,
     383,   384,   385,    -1,   387,   388,   389,   390,   391,    -1,
     393,   394,   395,   396,    -1,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
      -1,   414,   415,    -1,    -1,   418,    -1,   420,   421,   422,
     423,   424,    -1,   426,   427,   428,    -1,    -1,   431,   432,
     433,   434,   435,    -1,   437,   438,   439,   440,   441,   442,
     443,   444,    -1,    -1,   447,   448,   449,   450,   451,    -1,
      -1,   454,   455,   456,   457,   458,   459,   460,    -1,   462,
      -1,   464,   465,   466,   467,    -1,    -1,   470,    -1,    -1,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    -1,    49,    50,    51,    52,
      53,    -1,    55,    56,    -1,    58,    59,    60,    61,    62,
      63,    64,    -1,    -1,    67,    68,    69,    70,    71,    -1,
      73,    74,    75,    76,    77,    -1,    -1,    -1,    81,    82,
      83,    84,    85,    86,    -1,    88,    89,    90,    -1,    92,
      93,    94,    95,    96,    97,    -1,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,
     113,   114,   115,   116,   117,   118,    -1,   120,    -1,   122,
     123,   124,   125,   126,   127,   128,    -1,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,    -1,   146,   147,   148,    -1,   150,   151,   152,
     153,   154,   155,   156,   157,   158,   159,    -1,   161,    -1,
     163,   164,   165,   166,   167,    -1,   169,    -1,   171,   172,
      -1,    -1,    -1,   176,   177,   178,   179,    -1,   181,   182,
      -1,   184,   185,   186,    -1,   188,   189,   190,   191,   192,
      -1,   194,   195,   196,   197,    -1,   199,   200,   201,   202,
     203,   204,   205,   206,    -1,   208,    -1,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,    -1,    -1,
     223,    -1,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,    -1,    -1,   240,   241,    -1,
     243,    -1,    -1,   246,   247,   248,    -1,    -1,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,    -1,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,    -1,
     283,   284,    -1,   286,    -1,   288,   289,   290,   291,   292,
     293,    -1,   295,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,    -1,   308,    -1,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,   327,   328,   329,    -1,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,    -1,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,    -1,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,    -1,   381,   382,
     383,   384,   385,    -1,   387,   388,   389,   390,   391,    -1,
     393,   394,   395,   396,    -1,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
      -1,   414,   415,    -1,    -1,   418,    -1,   420,   421,   422,
     423,   424,    -1,   426,   427,   428,    -1,    -1,   431,   432,
     433,   434,   435,    -1,   437,   438,   439,   440,   441,   442,
     443,   444,    -1,    -1,   447,   448,   449,   450,   451,    -1,
      -1,   454,   455,   456,   457,   458,   459,   460,    -1,   462,
      -1,   464,   465,   466,   467,    -1,    -1,   470,    -1,    -1,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    -1,    49,    50,    51,    52,
      53,    -1,    55,    56,    -1,    58,    59,    60,    61,    62,
      63,    64,    -1,    -1,    67,    68,    69,    70,    71,    -1,
      73,    74,    75,    76,    77,    -1,    -1,    -1,    81,    82,
      83,    84,    85,    86,    -1,    88,    89,    90,    -1,    92,
      93,    94,    95,    96,    97,    -1,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,
     113,   114,   115,   116,   117,   118,    -1,   120,    -1,   122,
     123,   124,   125,   126,   127,   128,    -1,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,    -1,   146,   147,   148,    -1,   150,   151,   152,
     153,   154,   155,   156,   157,   158,   159,    -1,   161,    -1,
     163,   164,   165,   166,   167,    -1,   169,    -1,   171,   172,
      -1,    -1,    -1,   176,   177,   178,   179,    -1,   181,   182,
      -1,   184,   185,   186,    -1,   188,   189,   190,   191,   192,
      -1,   194,   195,   196,   197,    -1,   199,   200,   201,   202,
     203,   204,   205,   206,    -1,   208,    -1,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,    -1,    -1,
     223,    -1,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,    -1,    -1,   240,   241,    -1,
     243,    -1,    -1,   246,   247,   248,    -1,    -1,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,    -1,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,    -1,
     283,   284,    -1,   286,    -1,   288,   289,   290,   291,   292,
     293,    -1,   295,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,    -1,   308,    -1,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,   327,   328,   329,    -1,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,    -1,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,    -1,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,    -1,   381,   382,
     383,   384,   385,    -1,   387,   388,   389,   390,   391,    -1,
     393,   394,   395,   396,    -1,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
      -1,   414,   415,    -1,    -1,   418,    -1,   420,   421,   422,
     423,   424,    -1,   426,   427,   428,    -1,    -1,   431,   432,
     433,   434,   435,    -1,   437,   438,   439,   440,   441,   442,
     443,   444,    -1,    -1,   447,   448,   449,   450,   451,    -1,
      -1,   454,   455,   456,   457,   458,   459,   460,    -1,   462,
      -1,   464,   465,   466,   467,    -1,    -1,   470,    -1,    -1,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    -1,    49,    50,    51,    52,
      53,    -1,    55,    56,    -1,    58,    59,    60,    61,    62,
      63,    64,    -1,    -1,    67,    68,    69,    70,    71,    -1,
      73,    74,    75,    76,    77,    -1,    -1,    -1,    81,    82,
      83,    84,    85,    86,    -1,    88,    89,    90,    -1,    92,
      93,    94,    95,    96,    97,    -1,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,
     113,   114,   115,   116,   117,   118,    -1,   120,    -1,   122,
     123,   124,   125,   126,   127,   128,    -1,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,    -1,   146,   147,   148,    -1,   150,   151,   152,
     153,   154,   155,   156,   157,   158,   159,    -1,   161,    -1,
     163,   164,   165,   166,   167,    -1,   169,    -1,   171,   172,
      -1,    -1,    -1,   176,   177,   178,   179,    -1,   181,   182,
      -1,   184,   185,   186,    -1,   188,   189,   190,   191,   192,
      -1,   194,   195,   196,   197,    -1,   199,   200,   201,   202,
     203,   204,   205,   206,    -1,   208,    -1,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,    -1,    -1,
     223,    -1,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,    -1,    -1,   240,   241,    -1,
     243,    -1,    -1,   246,   247,   248,    -1,    -1,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,    -1,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,    -1,
     283,   284,    -1,   286,    -1,   288,   289,   290,   291,   292,
     293,    -1,   295,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,    -1,   308,    -1,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,   327,   328,   329,    -1,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,    -1,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,    -1,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,    -1,   381,   382,
     383,   384,   385,    -1,   387,   388,   389,   390,   391,    -1,
     393,   394,   395,   396,    -1,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
      -1,   414,   415,    -1,    -1,   418,    -1,   420,   421,   422,
     423,   424,    -1,   426,   427,   428,    -1,    -1,   431,   432,
     433,   434,   435,    -1,   437,   438,   439,   440,   441,   442,
     443,   444,    -1,    -1,   447,   448,   449,   450,   451,    -1,
      -1,   454,   455,   456,   457,   458,   459,   460,    -1,   462,
      -1,   464,   465,   466,   467,    -1,    -1,   470,    -1,    -1,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    -1,    49,    50,    51,    52,
      53,    -1,    55,    56,    -1,    58,    59,    60,    61,    62,
      63,    64,    -1,    -1,    67,    68,    69,    70,    71,    -1,
      73,    74,    75,    76,    77,    -1,    -1,    -1,    81,    82,
      83,    84,    85,    86,    -1,    88,    89,    90,    -1,    92,
      93,    94,    95,    96,    97,    -1,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,
     113,   114,   115,   116,   117,   118,    -1,   120,    -1,   122,
     123,   124,   125,   126,   127,   128,    -1,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,    -1,   146,   147,   148,    -1,   150,   151,   152,
     153,   154,   155,   156,   157,   158,   159,    -1,   161,    -1,
     163,   164,   165,   166,   167,    -1,   169,    -1,   171,   172,
      -1,    -1,    -1,   176,   177,   178,   179,    -1,   181,   182,
      -1,   184,   185,   186,    -1,   188,   189,   190,   191,   192,
      -1,   194,   195,   196,   197,    -1,   199,   200,   201,   202,
     203,   204,   205,   206,    -1,   208,    -1,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,    -1,    -1,
     223,    -1,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,    -1,    -1,   240,   241,    -1,
     243,    -1,    -1,   246,   247,   248,    -1,    -1,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,    -1,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,    -1,
     283,   284,    -1,   286,    -1,   288,   289,   290,   291,   292,
     293,    -1,   295,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,    -1,   308,    -1,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,   327,   328,   329,    -1,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,    -1,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,    -1,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,    -1,   381,   382,
     383,   384,   385,    -1,   387,   388,   389,   390,   391,    -1,
     393,   394,   395,   396,    -1,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
      -1,   414,   415,    -1,    -1,   418,    -1,   420,   421,   422,
     423,   424,    -1,   426,   427,   428,    -1,    -1,   431,   432,
     433,   434,   435,    -1,   437,   438,   439,   440,   441,   442,
     443,   444,    -1,    -1,   447,   448,   449,   450,   451,    -1,
      -1,   454,   455,   456,   457,   458,   459,   460,    -1,   462,
      -1,   464,   465,   466,   467,    -1,    -1,   470,    -1,    -1,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    -1,    49,    50,    51,    52,
      53,    -1,    55,    56,    -1,    58,    59,    60,    61,    62,
      63,    64,    -1,    -1,    67,    68,    69,    70,    71,    -1,
      73,    74,    75,    76,    77,    -1,    -1,    -1,    81,    82,
      83,    84,    85,    86,    -1,    88,    89,    90,    -1,    92,
      93,    94,    95,    96,    97,    -1,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,
     113,   114,   115,   116,   117,   118,    -1,   120,    -1,   122,
     123,   124,   125,   126,   127,   128,    -1,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,    -1,   146,   147,   148,    -1,   150,   151,   152,
     153,   154,   155,   156,   157,   158,   159,    -1,   161,    -1,
     163,   164,   165,   166,   167,    -1,   169,    -1,   171,   172,
      -1,    -1,    -1,   176,   177,   178,   179,    -1,   181,   182,
      -1,   184,   185,   186,    -1,   188,   189,   190,   191,   192,
      -1,   194,   195,   196,   197,    -1,   199,   200,   201,   202,
     203,   204,   205,   206,    -1,   208,    -1,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,    -1,    -1,
     223,    -1,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,    -1,    -1,   240,   241,    -1,
     243,    -1,    -1,   246,   247,   248,    -1,    -1,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,    -1,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,    -1,
     283,   284,    -1,   286,    -1,   288,   289,   290,   291,   292,
     293,    -1,   295,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,    -1,   308,    -1,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,   327,   328,   329,    -1,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,    -1,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,    -1,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,    -1,   381,   382,
     383,   384,   385,    -1,   387,   388,   389,   390,   391,    -1,
     393,   394,   395,   396,    -1,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
      -1,   414,   415,    -1,    -1,   418,    -1,   420,   421,   422,
     423,   424,    -1,   426,   427,   428,    -1,    -1,   431,   432,
     433,   434,   435,    -1,   437,   438,   439,   440,   441,   442,
     443,   444,    -1,    -1,   447,   448,   449,   450,   451,    -1,
      -1,   454,   455,   456,   457,   458,   459,   460,    -1,   462,
      -1,   464,   465,   466,   467,    -1,    -1,   470,    -1,    -1,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    -1,    49,    50,    51,    52,
      53,    -1,    55,    56,    -1,    58,    59,    60,    61,    62,
      63,    64,    -1,    -1,    67,    68,    69,    70,    71,    -1,
      73,    74,    75,    76,    77,    -1,    -1,    -1,    81,    82,
      83,    84,    85,    86,    -1,    88,    89,    90,    -1,    92,
      93,    94,    95,    96,    97,    -1,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,
     113,   114,   115,   116,   117,   118,    -1,   120,    -1,   122,
     123,   124,   125,   126,   127,   128,    -1,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,    -1,   146,   147,   148,    -1,   150,   151,   152,
     153,   154,   155,   156,   157,   158,   159,    -1,   161,    -1,
     163,   164,   165,   166,   167,    -1,   169,    -1,   171,   172,
      -1,    -1,    -1,   176,   177,   178,   179,    -1,   181,   182,
      -1,   184,   185,   186,    -1,   188,   189,   190,   191,   192,
      -1,   194,   195,   196,   197,    -1,   199,   200,   201,   202,
     203,   204,   205,   206,    -1,   208,    -1,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,    -1,    -1,
     223,    -1,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,    -1,    -1,   240,   241,    -1,
     243,    -1,    -1,   246,   247,   248,    -1,    -1,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,    -1,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,    -1,
     283,   284,    -1,   286,    -1,   288,   289,   290,   291,   292,
     293,    -1,   295,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,    -1,   308,    -1,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,   327,   328,   329,    -1,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,    -1,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,    -1,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,    -1,   381,   382,
     383,   384,   385,    -1,   387,   388,   389,   390,   391,    -1,
     393,   394,   395,   396,    -1,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
      -1,   414,   415,    -1,    -1,   418,    -1,   420,   421,   422,
     423,   424,    -1,   426,   427,   428,    -1,    -1,   431,   432,
     433,   434,   435,    -1,   437,   438,   439,   440,   441,   442,
     443,   444,    -1,    -1,   447,   448,   449,   450,   451,    -1,
      -1,   454,   455,   456,   457,   458,   459,   460,    -1,   462,
      -1,   464,   465,   466,   467,    -1,    -1,   470,    -1,    -1,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    -1,    49,    50,    51,    52,
      53,    -1,    55,    56,    -1,    58,    59,    60,    61,    62,
      63,    64,    -1,    -1,    67,    68,    69,    70,    71,    -1,
      73,    74,    75,    76,    77,    -1,    -1,    -1,    81,    82,
      83,    84,    85,    86,    -1,    88,    89,    90,    -1,    92,
      93,    94,    95,    96,    97,    -1,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,
     113,   114,   115,   116,   117,   118,    -1,   120,    -1,   122,
     123,   124,   125,   126,   127,   128,    -1,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,    -1,   146,   147,   148,    -1,   150,   151,   152,
     153,   154,   155,   156,   157,   158,   159,    -1,   161,    -1,
     163,   164,   165,   166,   167,    -1,   169,    -1,   171,   172,
      -1,    -1,    -1,   176,   177,   178,   179,    -1,   181,   182,
      -1,   184,   185,   186,    -1,   188,   189,   190,   191,   192,
      -1,   194,   195,   196,   197,    -1,   199,   200,   201,   202,
     203,   204,   205,   206,    -1,   208,    -1,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,    -1,    -1,
     223,    -1,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,    -1,    -1,   240,   241,    -1,
     243,    -1,    -1,   246,   247,   248,    -1,    -1,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,    -1,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,    -1,
     283,   284,    -1,   286,    -1,   288,   289,   290,   291,   292,
     293,    -1,   295,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,    -1,   308,    -1,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,   327,   328,   329,    -1,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,    -1,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,    -1,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,    -1,   381,   382,
     383,   384,   385,    -1,   387,   388,   389,   390,   391,    -1,
     393,   394,   395,   396,    -1,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
      -1,   414,   415,    -1,    -1,   418,    -1,   420,   421,   422,
     423,   424,    -1,   426,   427,   428,    -1,    -1,   431,   432,
     433,   434,   435,    -1,   437,   438,   439,   440,   441,   442,
     443,   444,    -1,    -1,   447,   448,   449,   450,   451,    -1,
      -1,   454,   455,   456,   457,   458,   459,   460,    -1,   462,
      -1,   464,   465,   466,   467,    -1,    -1,   470,    -1,    -1,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    -1,    49,    50,    51,    52,
      53,    -1,    55,    56,    -1,    58,    59,    60,    61,    62,
      63,    64,    -1,    -1,    67,    68,    69,    70,    71,    -1,
      73,    74,    75,    76,    77,    -1,    -1,    -1,    81,    82,
      83,    84,    85,    86,    -1,    88,    89,    90,    -1,    92,
      93,    94,    95,    96,    97,    -1,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,
     113,   114,   115,   116,   117,   118,    -1,   120,    -1,   122,
     123,   124,   125,   126,   127,   128,    -1,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,    -1,   146,   147,   148,    -1,   150,   151,   152,
     153,   154,   155,   156,   157,   158,   159,    -1,   161,    -1,
     163,   164,   165,   166,   167,    -1,   169,    -1,   171,   172,
      -1,    -1,    -1,   176,   177,   178,   179,    -1,   181,   182,
      -1,   184,   185,   186,    -1,   188,   189,   190,   191,   192,
      -1,   194,   195,   196,   197,    -1,   199,   200,   201,   202,
     203,   204,   205,   206,    -1,   208,    -1,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,    -1,    -1,
     223,    -1,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,    -1,    -1,   240,   241,    -1,
     243,    -1,    -1,   246,   247,   248,    -1,    -1,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,    -1,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,    -1,
     283,   284,    -1,   286,    -1,   288,   289,   290,   291,   292,
     293,    -1,   295,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,    -1,   308,    -1,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,   327,   328,   329,    -1,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,    -1,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,    -1,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,    -1,   381,   382,
     383,   384,   385,    -1,   387,   388,   389,   390,   391,    -1,
     393,   394,   395,   396,    -1,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
      -1,   414,   415,    -1,    -1,   418,    -1,   420,   421,   422,
     423,   424,    -1,   426,   427,   428,    -1,    -1,   431,   432,
     433,   434,   435,    -1,   437,   438,   439,   440,   441,   442,
     443,   444,    -1,    -1,   447,   448,   449,   450,   451,    -1,
      -1,   454,   455,   456,   457,   458,   459,   460,    -1,   462,
      -1,   464,   465,   466,   467,    -1,    -1,   470,    -1,    -1,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    -1,    49,    50,    51,    52,
      53,    -1,    55,    56,    -1,    58,    59,    60,    61,    62,
      63,    64,    -1,    -1,    67,    68,    69,    70,    71,    -1,
      73,    74,    75,    76,    77,    -1,    -1,    -1,    81,    82,
      83,    84,    85,    86,    -1,    88,    89,    90,    -1,    92,
      93,    94,    95,    96,    97,    -1,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,
     113,   114,   115,   116,   117,   118,    -1,   120,    -1,   122,
     123,   124,   125,   126,   127,   128,    -1,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,    -1,   146,   147,   148,    -1,   150,   151,   152,
     153,   154,   155,   156,   157,   158,   159,    -1,   161,    -1,
     163,   164,   165,   166,   167,    -1,   169,    -1,   171,   172,
      -1,    -1,    -1,   176,   177,   178,   179,    -1,   181,   182,
      -1,   184,   185,   186,    -1,   188,   189,   190,   191,   192,
      -1,   194,   195,   196,   197,    -1,   199,   200,   201,   202,
     203,   204,   205,   206,    -1,   208,    -1,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,    -1,    -1,
     223,    -1,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,    -1,    -1,   240,   241,    -1,
     243,    -1,    -1,   246,   247,   248,    -1,    -1,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,    -1,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,    -1,
     283,   284,    -1,   286,    -1,   288,   289,   290,   291,   292,
     293,    -1,   295,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,    -1,   308,    -1,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,   327,   328,   329,    -1,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,    -1,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,    -1,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,    -1,   381,   382,
     383,   384,   385,    -1,   387,   388,   389,   390,   391,    -1,
     393,   394,   395,   396,    -1,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
      -1,   414,   415,    -1,    -1,   418,    -1,   420,   421,   422,
     423,   424,    -1,   426,   427,   428,    -1,    -1,   431,   432,
     433,   434,   435,    -1,   437,   438,   439,   440,   441,   442,
     443,   444,    -1,    -1,   447,   448,   449,   450,   451,    -1,
      -1,   454,   455,   456,   457,   458,   459,   460,    -1,   462,
      -1,   464,   465,   466,   467,    -1,    -1,   470,    -1,    -1,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    -1,    49,    50,    51,    52,
      53,    -1,    55,    56,    -1,    58,    59,    60,    61,    62,
      63,    64,    -1,    -1,    67,    68,    69,    70,    71,    -1,
      73,    74,    75,    76,    77,    -1,    -1,    -1,    81,    82,
      83,    84,    85,    86,    -1,    88,    89,    90,    -1,    92,
      93,    94,    95,    96,    97,    -1,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,
     113,   114,   115,   116,   117,   118,    -1,   120,    -1,   122,
     123,   124,   125,   126,   127,   128,    -1,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,    -1,   146,   147,   148,    -1,   150,   151,   152,
     153,   154,   155,   156,   157,   158,   159,    -1,   161,    -1,
     163,   164,   165,   166,   167,    -1,   169,    -1,   171,   172,
      -1,    -1,    -1,   176,   177,   178,   179,    -1,   181,   182,
      -1,   184,   185,   186,    -1,   188,   189,   190,   191,   192,
      -1,   194,   195,   196,   197,    -1,   199,   200,   201,   202,
     203,   204,   205,   206,    -1,   208,    -1,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,    -1,    -1,
     223,    -1,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,    -1,    -1,   240,   241,    -1,
     243,    -1,    -1,   246,   247,   248,    -1,    -1,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,    -1,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,    -1,
     283,   284,    -1,   286,    -1,   288,   289,   290,   291,   292,
     293,    -1,   295,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,    -1,   308,    -1,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,   327,   328,   329,    -1,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,    -1,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,    -1,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,    -1,   381,   382,
     383,   384,   385,    -1,   387,   388,   389,   390,   391,    -1,
     393,   394,   395,   396,    -1,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
      -1,   414,   415,    -1,    -1,   418,    -1,   420,   421,   422,
     423,   424,    -1,   426,   427,   428,    -1,    -1,   431,   432,
     433,   434,   435,    -1,   437,   438,   439,   440,   441,   442,
     443,   444,    -1,    -1,   447,   448,   449,   450,   451,    -1,
      -1,   454,   455,   456,   457,   458,   459,   460,    -1,   462,
      -1,   464,   465,   466,   467,    -1,    -1,   470,    -1,    -1,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    -1,    49,    50,    51,    52,
      53,    -1,    55,    56,    -1,    58,    59,    60,    61,    62,
      63,    64,    -1,    -1,    67,    68,    69,    70,    71,    -1,
      73,    74,    75,    76,    77,    -1,    -1,    -1,    81,    82,
      83,    84,    85,    86,    -1,    88,    89,    90,    -1,    92,
      93,    94,    95,    96,    97,    -1,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,
     113,   114,   115,   116,   117,   118,    -1,   120,    -1,   122,
     123,   124,   125,   126,   127,   128,    -1,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,    -1,   146,   147,   148,    -1,   150,   151,   152,
     153,   154,   155,   156,   157,   158,   159,    -1,   161,    -1,
     163,   164,   165,   166,   167,    -1,   169,    -1,   171,   172,
      -1,    -1,    -1,   176,   177,   178,   179,    -1,   181,   182,
      -1,   184,   185,   186,    -1,   188,   189,   190,   191,   192,
      -1,   194,   195,   196,   197,    -1,   199,   200,   201,   202,
     203,   204,   205,   206,    -1,   208,    -1,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,    -1,    -1,
     223,    -1,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,    -1,    -1,   240,   241,    -1,
     243,    -1,    -1,   246,   247,   248,    -1,    -1,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,    -1,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,    -1,
     283,   284,    -1,   286,    -1,   288,   289,   290,   291,   292,
     293,    -1,   295,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,    -1,   308,    -1,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,   327,   328,   329,    -1,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,    -1,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,    -1,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,    -1,   381,   382,
     383,   384,   385,    -1,   387,   388,   389,   390,   391,    -1,
     393,   394,   395,   396,    -1,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
      -1,   414,   415,    -1,    -1,   418,    -1,   420,   421,   422,
     423,   424,    -1,   426,   427,   428,    -1,    -1,   431,   432,
     433,   434,   435,    -1,   437,   438,   439,   440,   441,   442,
     443,   444,    -1,    -1,   447,   448,   449,   450,   451,    -1,
      -1,   454,   455,   456,   457,   458,   459,   460,    -1,   462,
      -1,   464,   465,   466,   467,    -1,    -1,   470,    -1,    -1,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      -1,    -1,    -1,    -1,    -1,    38,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    -1,    49,    50,    51,    52,
      53,    -1,    55,    56,    -1,    58,    59,    60,    61,    62,
      63,    64,    -1,    -1,    67,    68,    69,    70,    71,    -1,
      73,    74,    75,    76,    77,    -1,    -1,    -1,    81,    82,
      83,    84,    85,    86,    -1,    88,    89,    90,    -1,    92,
      93,    94,    95,    96,    97,    -1,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,
     113,   114,   115,   116,   117,   118,    -1,   120,    -1,   122,
     123,   124,   125,   126,   127,   128,    -1,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,    -1,   146,   147,   148,    -1,   150,   151,   152,
     153,   154,   155,   156,   157,   158,   159,    -1,   161,    -1,
     163,   164,   165,   166,   167,    -1,   169,    -1,   171,   172,
      -1,    -1,    -1,   176,   177,   178,   179,    -1,   181,   182,
      -1,   184,   185,   186,    -1,   188,   189,   190,   191,   192,
      -1,   194,   195,   196,   197,    -1,   199,   200,   201,   202,
     203,   204,   205,   206,    -1,   208,    -1,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,    -1,    -1,
     223,    -1,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,    -1,    -1,   240,   241,    -1,
     243,    -1,    -1,   246,   247,   248,    -1,    -1,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,    -1,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,    -1,
     283,   284,    -1,   286,    -1,   288,   289,   290,   291,   292,
     293,    -1,   295,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,    -1,   308,    -1,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,   327,   328,   329,    -1,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,    -1,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,    -1,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,    -1,   381,   382,
     383,   384,   385,    -1,    -1,   388,   389,   390,   391,    -1,
     393,   394,   395,   396,    -1,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
      -1,   414,   415,    -1,    -1,   418,    -1,   420,   421,   422,
     423,   424,    -1,   426,   427,   428,    -1,    -1,   431,   432,
     433,   434,   435,    -1,   437,   438,   439,   440,   441,   442,
     443,   444,    -1,    -1,   447,   448,   449,   450,   451,    -1,
      -1,   454,   455,   456,   457,   458,   459,   460,    -1,   462,
      -1,   464,   465,   466,   467,    -1,    -1,   470,    -1,    -1,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    -1,    49,    50,    51,    52,
      53,    -1,    55,    56,    -1,    58,    59,    60,    61,    62,
      63,    64,    -1,    -1,    67,    68,    69,    70,    71,    -1,
      73,    74,    75,    76,    77,    -1,    -1,    -1,    81,    82,
      83,    84,    85,    86,    -1,    88,    89,    90,    -1,    92,
      93,    94,    95,    96,    97,    -1,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,
     113,   114,   115,   116,   117,   118,    -1,   120,    -1,   122,
     123,   124,   125,   126,   127,   128,    -1,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,    -1,   146,   147,   148,    -1,   150,   151,   152,
     153,   154,   155,   156,   157,   158,   159,    -1,   161,    -1,
     163,   164,   165,   166,   167,    -1,   169,    -1,   171,   172,
      -1,    -1,    -1,   176,   177,   178,   179,    -1,   181,   182,
      -1,   184,   185,   186,    -1,   188,   189,   190,   191,   192,
      -1,   194,   195,   196,   197,    -1,   199,   200,   201,   202,
     203,   204,   205,   206,    -1,   208,    -1,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,    -1,    -1,
     223,    -1,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,    -1,    -1,   240,   241,    -1,
     243,    -1,    -1,   246,   247,   248,    -1,    -1,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,    -1,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,    -1,
     283,   284,    -1,   286,    -1,   288,   289,   290,   291,   292,
     293,    -1,   295,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,    -1,   308,    -1,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,   327,   328,   329,    -1,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,    -1,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,    -1,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,    -1,   381,   382,
     383,   384,   385,    -1,   387,   388,   389,   390,   391,    -1,
     393,   394,   395,   396,    -1,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
      -1,   414,   415,    -1,    -1,   418,    -1,   420,   421,   422,
     423,   424,    -1,   426,   427,   428,    -1,    -1,   431,   432,
     433,   434,   435,    -1,   437,   438,   439,   440,   441,   442,
     443,   444,    -1,    -1,   447,   448,   449,   450,   451,    -1,
      -1,   454,   455,   456,   457,   458,   459,   460,    -1,   462,
      -1,   464,   465,   466,   467,    -1,    -1,   470,    -1,    -1,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    -1,    49,    50,    51,    52,
      53,    -1,    55,    56,    -1,    58,    59,    60,    61,    62,
      63,    64,    -1,    -1,    67,    68,    69,    70,    71,    -1,
      73,    74,    75,    76,    77,    -1,    -1,    -1,    81,    82,
      83,    84,    85,    86,    -1,    88,    89,    90,    -1,    92,
      93,    94,    95,    96,    97,    -1,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,
     113,   114,   115,   116,   117,   118,    -1,   120,    -1,   122,
     123,   124,   125,   126,   127,   128,    -1,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,    -1,   146,   147,   148,    -1,   150,   151,   152,
     153,   154,   155,   156,   157,   158,   159,    -1,   161,    -1,
     163,   164,   165,   166,   167,    -1,   169,    -1,   171,   172,
      -1,    -1,    -1,   176,   177,   178,   179,    -1,   181,   182,
      -1,   184,   185,   186,    -1,   188,   189,   190,   191,   192,
      -1,   194,   195,   196,   197,    -1,   199,   200,   201,   202,
     203,   204,   205,   206,    -1,   208,    -1,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,    -1,    -1,
     223,    -1,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,    -1,    -1,   240,   241,    -1,
     243,    -1,    -1,   246,   247,   248,    -1,    -1,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,    -1,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,    -1,
     283,   284,    -1,   286,    -1,   288,   289,   290,   291,   292,
     293,    -1,   295,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,    -1,   308,    -1,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,   327,   328,   329,    -1,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,    -1,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,    -1,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,    -1,   381,   382,
     383,   384,   385,    -1,   387,   388,   389,   390,   391,    -1,
     393,   394,   395,   396,    -1,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
      -1,   414,   415,    -1,    -1,   418,    -1,   420,   421,   422,
     423,   424,    -1,   426,   427,   428,    -1,    -1,   431,   432,
     433,   434,   435,    -1,   437,   438,   439,   440,   441,   442,
     443,   444,    -1,    -1,   447,   448,   449,   450,   451,    -1,
      -1,   454,   455,   456,   457,   458,   459,   460,    -1,   462,
      -1,   464,   465,   466,   467,    -1,    -1,   470,    -1,    -1,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    -1,    49,    50,    51,    52,
      53,    -1,    55,    56,    -1,    58,    59,    60,    61,    62,
      63,    64,    -1,    -1,    67,    68,    69,    70,    71,    -1,
      73,    74,    75,    76,    77,    -1,    -1,    -1,    81,    82,
      83,    84,    85,    86,    -1,    88,    89,    90,    -1,    92,
      93,    94,    95,    96,    97,    -1,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,
     113,   114,   115,   116,   117,   118,    -1,   120,    -1,   122,
     123,   124,   125,   126,   127,   128,    -1,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,    -1,   146,   147,   148,    -1,   150,   151,   152,
     153,   154,   155,   156,   157,   158,   159,    -1,   161,    -1,
     163,   164,   165,   166,   167,    -1,   169,    -1,   171,   172,
      -1,    -1,    -1,   176,   177,   178,   179,    -1,   181,   182,
      -1,   184,   185,   186,    -1,   188,   189,   190,   191,   192,
      -1,   194,   195,   196,   197,    -1,   199,   200,   201,   202,
     203,   204,   205,   206,    -1,   208,    -1,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,    -1,    -1,
     223,    -1,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,    -1,    -1,   240,   241,    -1,
     243,    -1,    -1,   246,   247,   248,    -1,    -1,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,    -1,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,    -1,
     283,   284,    -1,   286,    -1,   288,   289,   290,   291,   292,
     293,    -1,   295,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,    -1,   308,    -1,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,   327,   328,   329,    -1,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,    -1,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,    -1,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,    -1,   381,   382,
     383,   384,   385,    -1,   387,   388,   389,   390,   391,    -1,
     393,   394,   395,   396,    -1,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
      -1,   414,   415,    -1,    -1,   418,    -1,   420,   421,   422,
     423,   424,    -1,   426,   427,   428,    -1,    -1,   431,   432,
     433,   434,   435,    -1,   437,   438,   439,   440,   441,   442,
     443,   444,    -1,    -1,   447,   448,   449,   450,   451,    -1,
      -1,   454,   455,   456,   457,   458,   459,   460,    -1,   462,
      -1,   464,   465,   466,   467,    -1,    -1,   470,    -1,    -1,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    -1,    49,    50,    51,    52,
      53,    -1,    55,    56,    -1,    58,    59,    60,    61,    62,
      63,    64,    -1,    -1,    67,    68,    69,    70,    71,    -1,
      73,    74,    75,    76,    77,    -1,    -1,    -1,    81,    82,
      83,    84,    85,    86,    -1,    88,    89,    90,    -1,    92,
      93,    94,    95,    96,    97,    -1,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,
     113,   114,   115,   116,   117,   118,    -1,   120,    -1,   122,
     123,   124,   125,   126,   127,   128,    -1,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,    -1,   146,   147,   148,    -1,   150,   151,   152,
     153,   154,   155,   156,   157,   158,   159,    -1,   161,    -1,
     163,   164,   165,   166,   167,    -1,   169,    -1,   171,   172,
      -1,    -1,    -1,   176,   177,   178,   179,    -1,   181,   182,
      -1,   184,   185,   186,    -1,   188,   189,   190,   191,   192,
      -1,   194,   195,   196,   197,    -1,   199,   200,   201,   202,
     203,   204,   205,   206,    -1,   208,    -1,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,    -1,    -1,
     223,    -1,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,    -1,    -1,   240,   241,    -1,
     243,    -1,    -1,   246,   247,   248,    -1,    -1,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,    -1,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,    -1,
     283,   284,    -1,   286,    -1,   288,   289,   290,   291,   292,
     293,    -1,   295,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,    -1,   308,    -1,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,   327,   328,   329,    -1,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,    -1,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,    -1,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,    -1,   381,   382,
     383,   384,   385,    -1,   387,   388,   389,   390,   391,    -1,
     393,   394,   395,   396,    -1,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
      -1,   414,   415,    -1,    -1,   418,    -1,   420,   421,   422,
     423,   424,    -1,   426,   427,   428,    -1,    -1,   431,   432,
     433,   434,   435,    -1,   437,   438,   439,   440,   441,   442,
     443,   444,    -1,    -1,   447,   448,   449,   450,   451,    -1,
      -1,   454,   455,   456,   457,   458,   459,   460,    -1,   462,
      -1,   464,   465,   466,   467,    -1,    -1,   470,    -1,    -1,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    -1,    49,    50,    51,    52,
      53,    -1,    55,    56,    -1,    58,    59,    60,    61,    62,
      63,    64,    -1,    -1,    67,    68,    69,    70,    71,    -1,
      73,    74,    75,    76,    77,    -1,    -1,    -1,    81,    82,
      83,    84,    85,    86,    -1,    88,    89,    90,    -1,    92,
      93,    94,    95,    96,    97,    -1,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,
     113,   114,   115,   116,   117,   118,    -1,   120,    -1,   122,
     123,   124,   125,   126,   127,   128,    -1,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,    -1,   146,   147,   148,    -1,   150,   151,   152,
     153,   154,   155,   156,   157,   158,   159,    -1,   161,    -1,
     163,   164,   165,   166,   167,    -1,   169,    -1,   171,   172,
      -1,    -1,    -1,   176,   177,   178,   179,    -1,   181,   182,
      -1,   184,   185,   186,    -1,   188,   189,   190,   191,   192,
      -1,   194,   195,   196,   197,    -1,   199,   200,   201,   202,
     203,   204,   205,   206,    -1,   208,    -1,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,    -1,    -1,
     223,    -1,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,    -1,    -1,   240,   241,    -1,
     243,    -1,    -1,   246,   247,   248,    -1,    -1,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,    -1,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,    -1,
     283,   284,    -1,   286,    -1,   288,   289,   290,   291,   292,
     293,    -1,   295,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,    -1,   308,    -1,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,   327,   328,   329,    -1,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,    -1,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,    -1,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,    -1,   381,   382,
     383,   384,   385,    -1,   387,   388,   389,   390,   391,    -1,
     393,   394,   395,   396,    -1,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
      -1,   414,   415,    -1,    -1,   418,    -1,   420,   421,   422,
     423,   424,    -1,   426,   427,   428,    -1,    -1,   431,   432,
     433,   434,   435,    -1,   437,   438,   439,   440,   441,   442,
     443,   444,    -1,    -1,   447,   448,   449,   450,   451,    -1,
      -1,   454,   455,   456,   457,   458,   459,   460,    -1,   462,
      -1,   464,   465,   466,   467,    -1,    -1,   470,    -1,    -1,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    -1,    49,    50,    51,    52,
      53,    -1,    55,    56,    -1,    58,    59,    60,    61,    62,
      63,    64,    -1,    -1,    67,    68,    69,    70,    71,    -1,
      73,    74,    75,    76,    77,    -1,    -1,    -1,    81,    82,
      83,    84,    85,    86,    -1,    88,    89,    90,    -1,    92,
      93,    94,    95,    96,    97,    -1,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,
     113,   114,   115,   116,   117,   118,    -1,   120,    -1,   122,
     123,   124,   125,   126,   127,   128,    -1,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,    -1,   146,   147,   148,    -1,   150,   151,   152,
     153,   154,   155,   156,   157,   158,   159,    -1,   161,    -1,
     163,   164,   165,   166,   167,    -1,   169,    -1,   171,   172,
      -1,    -1,    -1,   176,   177,   178,   179,    -1,   181,   182,
      -1,   184,   185,   186,    -1,   188,   189,   190,   191,   192,
      -1,   194,   195,   196,   197,    -1,   199,   200,   201,   202,
     203,   204,   205,   206,    -1,   208,    -1,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,    -1,    -1,
     223,    -1,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,    -1,    -1,   240,   241,    -1,
     243,    -1,    -1,   246,   247,   248,    -1,    -1,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,    -1,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,    -1,
     283,   284,    -1,   286,    -1,   288,   289,   290,   291,   292,
     293,    -1,   295,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,    -1,   308,    -1,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,   327,   328,   329,    -1,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,    -1,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,    -1,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,    -1,   381,   382,
     383,   384,   385,    -1,   387,   388,   389,   390,   391,    -1,
     393,   394,   395,   396,    -1,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
      -1,   414,   415,    -1,    -1,   418,    -1,   420,   421,   422,
     423,   424,    -1,   426,   427,   428,    -1,    -1,   431,   432,
     433,   434,   435,    -1,   437,   438,   439,   440,   441,   442,
     443,   444,    -1,    -1,   447,   448,   449,   450,   451,    -1,
      -1,   454,   455,   456,   457,   458,   459,   460,    -1,   462,
      -1,   464,   465,   466,   467,    -1,    -1,   470,    -1,    -1,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    -1,    49,    50,    51,    52,
      53,    -1,    55,    56,    -1,    58,    59,    60,    61,    62,
      63,    64,    -1,    -1,    67,    68,    69,    70,    71,    -1,
      73,    74,    75,    76,    77,    -1,    -1,    -1,    81,    82,
      83,    84,    85,    86,    -1,    88,    89,    90,    -1,    92,
      93,    94,    95,    96,    97,    -1,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,
     113,   114,   115,   116,   117,   118,    -1,   120,    -1,   122,
     123,   124,   125,   126,   127,   128,    -1,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,    -1,   146,   147,   148,    -1,   150,   151,   152,
     153,   154,   155,   156,   157,   158,   159,    -1,   161,    -1,
     163,   164,   165,   166,   167,    -1,   169,    -1,   171,   172,
      -1,    -1,    -1,   176,   177,   178,   179,    -1,   181,   182,
      -1,   184,   185,   186,    -1,   188,   189,   190,   191,   192,
      -1,   194,   195,   196,   197,    -1,   199,   200,   201,   202,
     203,   204,   205,   206,    -1,   208,    -1,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,    -1,    -1,
     223,    -1,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,    -1,    -1,   240,   241,    -1,
     243,    -1,    -1,   246,   247,   248,    -1,    -1,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,    -1,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,    -1,
     283,   284,    -1,   286,    -1,   288,   289,   290,   291,   292,
     293,    -1,   295,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,    -1,   308,    -1,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,   327,   328,   329,    -1,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,    -1,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,    -1,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,    -1,   381,   382,
     383,   384,   385,    -1,   387,   388,   389,   390,   391,    -1,
     393,   394,   395,   396,    -1,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
      -1,   414,   415,    -1,    -1,   418,    -1,   420,   421,   422,
     423,   424,    -1,   426,   427,   428,    -1,    -1,   431,   432,
     433,   434,   435,    -1,   437,   438,   439,   440,   441,   442,
     443,   444,    -1,    -1,   447,   448,   449,   450,   451,    -1,
      -1,   454,   455,   456,   457,   458,   459,   460,    -1,   462,
      -1,   464,   465,   466,   467,    -1,    -1,   470,    -1,    -1,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    -1,    49,    50,    51,    52,
      53,    -1,    55,    56,    -1,    58,    59,    60,    61,    62,
      63,    64,    -1,    -1,    67,    68,    69,    70,    71,    -1,
      73,    74,    75,    76,    77,    -1,    -1,    -1,    81,    82,
      83,    84,    85,    86,    -1,    88,    89,    90,    -1,    92,
      93,    94,    95,    96,    97,    -1,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,
     113,   114,   115,   116,   117,   118,    -1,   120,    -1,   122,
     123,   124,   125,   126,   127,   128,    -1,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,    -1,   146,   147,   148,    -1,   150,   151,   152,
     153,   154,   155,   156,   157,   158,   159,    -1,   161,    -1,
     163,   164,   165,   166,   167,    -1,   169,    -1,   171,   172,
      -1,    -1,    -1,   176,   177,   178,   179,    -1,   181,   182,
      -1,   184,   185,   186,    -1,   188,   189,   190,   191,   192,
      -1,   194,   195,   196,   197,    -1,   199,   200,   201,   202,
     203,   204,   205,   206,    -1,   208,    -1,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,    -1,    -1,
     223,    -1,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,    -1,    -1,   240,   241,    -1,
     243,    -1,    -1,   246,   247,   248,    -1,    -1,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,    -1,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,    -1,
     283,   284,    -1,   286,    -1,   288,   289,   290,   291,   292,
     293,    -1,   295,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,    -1,   308,    -1,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,   327,   328,   329,    -1,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,    -1,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,    -1,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,    -1,   381,   382,
     383,   384,   385,    -1,   387,   388,   389,   390,   391,    -1,
     393,   394,   395,   396,    -1,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
      -1,   414,   415,    -1,    -1,   418,    -1,   420,   421,   422,
     423,   424,    -1,   426,   427,   428,    -1,    -1,   431,   432,
     433,   434,   435,    -1,   437,   438,   439,   440,   441,   442,
     443,   444,    -1,    -1,   447,   448,   449,   450,   451,    -1,
      -1,   454,   455,   456,   457,   458,   459,   460,    -1,   462,
      -1,   464,   465,   466,   467,    -1,    -1,   470,    -1,    -1,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    -1,    49,    50,    51,    52,
      53,    -1,    55,    56,    -1,    58,    59,    60,    61,    62,
      63,    64,    -1,    -1,    67,    68,    69,    70,    71,    -1,
      73,    74,    75,    76,    77,    -1,    -1,    -1,    81,    82,
      83,    84,    85,    86,    -1,    88,    89,    90,    -1,    92,
      93,    94,    95,    96,    97,    -1,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,
     113,   114,   115,   116,   117,   118,    -1,   120,    -1,   122,
     123,   124,   125,   126,   127,   128,    -1,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,    -1,   146,   147,   148,    -1,   150,   151,   152,
     153,   154,   155,   156,   157,   158,   159,    -1,   161,    -1,
     163,   164,   165,   166,   167,    -1,   169,    -1,   171,   172,
      -1,    -1,    -1,   176,   177,   178,   179,    -1,   181,   182,
      -1,   184,   185,   186,    -1,   188,   189,   190,   191,   192,
      -1,   194,   195,   196,   197,    -1,   199,   200,   201,   202,
     203,   204,   205,   206,    -1,   208,    -1,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,    -1,    -1,
     223,    -1,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,    -1,    -1,   240,   241,    -1,
     243,    -1,    -1,   246,   247,   248,    -1,    -1,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,    -1,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,    -1,
     283,   284,    -1,   286,    -1,   288,   289,   290,   291,   292,
     293,    -1,   295,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,    -1,   308,    -1,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,   327,   328,   329,    -1,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,    -1,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,    -1,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,    -1,   381,   382,
     383,   384,   385,    -1,   387,   388,   389,   390,   391,    -1,
     393,   394,   395,   396,    -1,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
      -1,   414,   415,    -1,    -1,   418,    -1,   420,   421,   422,
     423,   424,    -1,   426,   427,   428,    -1,    -1,   431,   432,
     433,   434,   435,    -1,   437,   438,   439,   440,   441,   442,
     443,   444,    -1,    -1,   447,   448,   449,   450,   451,    -1,
      -1,   454,   455,   456,   457,   458,   459,   460,    -1,   462,
      -1,   464,   465,   466,   467,    -1,    -1,   470,    -1,    -1,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    -1,    49,    50,    51,    52,
      53,    -1,    55,    56,    -1,    58,    59,    60,    61,    62,
      63,    64,    -1,    -1,    67,    68,    69,    70,    71,    -1,
      73,    74,    75,    76,    77,    -1,    -1,    -1,    81,    82,
      83,    84,    85,    86,    -1,    88,    89,    90,    -1,    92,
      93,    94,    95,    96,    97,    -1,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,
     113,   114,   115,   116,   117,   118,    -1,   120,    -1,   122,
     123,   124,   125,   126,   127,   128,    -1,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,    -1,   146,   147,   148,    -1,   150,   151,   152,
     153,   154,   155,   156,   157,   158,   159,    -1,   161,    -1,
     163,   164,   165,   166,   167,    -1,   169,    -1,   171,   172,
      -1,    -1,    -1,   176,   177,   178,   179,    -1,   181,   182,
      -1,   184,   185,   186,    -1,   188,   189,   190,   191,   192,
      -1,   194,   195,   196,   197,    -1,   199,   200,   201,   202,
     203,   204,   205,   206,    -1,   208,    -1,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,    -1,    -1,
     223,    -1,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,    -1,    -1,   240,   241,    -1,
     243,    -1,    -1,   246,   247,   248,    -1,    -1,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,    -1,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,    -1,
     283,   284,    -1,   286,    -1,   288,   289,   290,   291,   292,
     293,    -1,   295,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,    -1,   308,    -1,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,   327,   328,   329,    -1,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,    -1,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,    -1,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,    -1,   381,   382,
     383,   384,   385,    -1,   387,   388,   389,   390,   391,    -1,
     393,   394,   395,   396,    -1,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
      -1,   414,   415,    -1,    -1,   418,    -1,   420,   421,   422,
     423,   424,    -1,   426,   427,   428,    -1,    -1,   431,   432,
     433,   434,   435,    -1,   437,   438,   439,   440,   441,   442,
     443,   444,    -1,    -1,   447,   448,   449,   450,   451,    -1,
      -1,   454,   455,   456,   457,   458,   459,   460,    -1,   462,
      -1,   464,   465,   466,   467,    -1,    -1,   470,    -1,    -1,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    -1,    49,    50,    51,    52,
      53,    -1,    55,    56,    -1,    58,    59,    60,    61,    62,
      63,    64,    -1,    -1,    67,    68,    69,    70,    71,    -1,
      73,    74,    75,    76,    77,    -1,    -1,    -1,    81,    82,
      83,    84,    85,    86,    -1,    88,    89,    90,    -1,    92,
      93,    94,    95,    96,    97,    -1,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,
     113,   114,   115,   116,   117,   118,    -1,   120,    -1,   122,
     123,   124,   125,   126,   127,   128,    -1,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,    -1,   146,   147,   148,    -1,   150,   151,   152,
     153,   154,   155,   156,   157,   158,   159,    -1,   161,    -1,
     163,   164,   165,   166,   167,    -1,   169,    -1,   171,   172,
      -1,    -1,    -1,   176,   177,   178,   179,    -1,   181,   182,
      -1,   184,   185,   186,    -1,   188,   189,   190,   191,   192,
      -1,   194,   195,   196,   197,    -1,   199,   200,   201,   202,
     203,   204,   205,   206,    -1,   208,    -1,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,    -1,    -1,
     223,    -1,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,    -1,    -1,   240,   241,    -1,
     243,    -1,    -1,   246,   247,   248,    -1,    -1,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,    -1,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,    -1,
     283,   284,    -1,   286,    -1,   288,   289,   290,   291,   292,
     293,    -1,   295,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,    -1,   308,    -1,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,   327,   328,   329,    -1,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,    -1,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,    -1,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,    -1,   381,   382,
     383,   384,   385,    -1,   387,   388,   389,   390,   391,    -1,
     393,   394,   395,   396,    -1,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
      -1,   414,   415,    -1,    -1,   418,    -1,   420,   421,   422,
     423,   424,    -1,   426,   427,   428,    -1,    -1,   431,   432,
     433,   434,   435,    -1,   437,   438,   439,   440,   441,   442,
     443,   444,    -1,    -1,   447,   448,   449,   450,   451,    -1,
      -1,   454,   455,   456,   457,   458,   459,   460,    -1,   462,
      -1,   464,   465,   466,   467,    -1,    -1,   470,    -1,    -1,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    -1,    49,    50,    51,    52,
      53,    -1,    55,    56,    -1,    58,    59,    60,    61,    62,
      63,    64,    -1,    -1,    67,    68,    69,    70,    71,    -1,
      73,    74,    75,    76,    77,    -1,    -1,    -1,    81,    82,
      83,    84,    85,    86,    -1,    88,    89,    90,    -1,    92,
      93,    94,    95,    96,    97,    -1,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,
     113,   114,   115,   116,   117,   118,    -1,   120,    -1,   122,
     123,   124,   125,   126,   127,   128,    -1,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,    -1,   146,   147,   148,    -1,   150,   151,   152,
     153,   154,   155,   156,   157,   158,   159,    -1,   161,    -1,
     163,   164,   165,   166,   167,    -1,   169,    -1,   171,   172,
      -1,    -1,    -1,   176,   177,   178,   179,    -1,   181,   182,
      -1,   184,   185,   186,    -1,   188,   189,   190,   191,   192,
      -1,   194,   195,   196,   197,    -1,   199,   200,   201,   202,
     203,   204,   205,   206,    -1,   208,    -1,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,    -1,    -1,
     223,    -1,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,    -1,    -1,   240,   241,    -1,
     243,    -1,    -1,   246,   247,   248,    -1,    -1,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,    -1,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,    -1,
     283,   284,    -1,   286,    -1,   288,   289,   290,   291,   292,
     293,    -1,   295,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,    -1,   308,    -1,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,   327,   328,   329,    -1,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,    -1,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,    -1,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,    -1,   381,   382,
     383,   384,   385,    -1,   387,   388,   389,   390,   391,    -1,
     393,   394,   395,   396,    -1,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
      -1,   414,   415,    -1,    -1,   418,    -1,   420,   421,   422,
     423,   424,    -1,   426,   427,   428,    -1,    -1,   431,   432,
     433,   434,   435,    -1,   437,   438,   439,   440,   441,   442,
     443,   444,    -1,    -1,   447,   448,   449,   450,   451,    -1,
      -1,   454,   455,   456,   457,   458,   459,   460,    -1,   462,
      -1,   464,   465,   466,   467,    -1,    -1,   470,    -1,    -1,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    -1,    49,    50,    51,    52,
      53,    -1,    55,    56,    -1,    58,    59,    60,    61,    62,
      63,    64,    -1,    -1,    67,    68,    69,    70,    71,    -1,
      73,    74,    75,    76,    77,    -1,    -1,    -1,    81,    82,
      83,    84,    85,    86,    -1,    88,    89,    90,    -1,    92,
      93,    94,    95,    96,    97,    -1,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,
     113,   114,   115,   116,   117,   118,    -1,   120,    -1,   122,
     123,   124,   125,   126,   127,   128,    -1,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,    -1,   146,   147,   148,    -1,   150,   151,   152,
     153,   154,   155,   156,   157,   158,   159,    -1,   161,    -1,
     163,   164,   165,   166,   167,    -1,   169,    -1,   171,   172,
      -1,    -1,    -1,   176,   177,   178,   179,    -1,   181,   182,
      -1,   184,   185,   186,    -1,   188,   189,   190,   191,   192,
      -1,   194,   195,   196,   197,    -1,   199,   200,   201,   202,
     203,   204,   205,   206,    -1,   208,    -1,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,    -1,    -1,
     223,    -1,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,    -1,    -1,   240,   241,    -1,
     243,    -1,    -1,   246,   247,   248,    -1,    -1,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,    -1,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,    -1,
     283,   284,    -1,   286,    -1,   288,   289,   290,   291,   292,
     293,    -1,   295,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,    -1,   308,    -1,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,   327,   328,   329,    -1,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,    -1,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,    -1,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,    -1,   381,   382,
     383,   384,   385,    -1,   387,   388,   389,   390,   391,    -1,
     393,   394,   395,   396,    -1,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
      -1,   414,   415,    -1,    -1,   418,    -1,   420,   421,   422,
     423,   424,    -1,   426,   427,   428,    -1,    -1,   431,   432,
     433,   434,   435,    -1,   437,   438,   439,   440,   441,   442,
     443,   444,    -1,    -1,   447,   448,   449,   450,   451,    -1,
      -1,   454,   455,   456,   457,   458,   459,   460,    -1,   462,
      -1,   464,   465,   466,   467,    -1,    -1,   470,    -1,    -1,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    -1,    49,    50,    51,    52,
      53,    -1,    55,    56,    -1,    58,    59,    60,    61,    62,
      63,    64,    -1,    -1,    67,    68,    69,    70,    71,    -1,
      73,    74,    75,    76,    77,    -1,    -1,    -1,    81,    82,
      83,    84,    85,    86,    -1,    88,    89,    90,    -1,    92,
      93,    94,    95,    96,    97,    -1,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,
     113,   114,   115,   116,   117,   118,    -1,   120,    -1,   122,
     123,   124,   125,   126,   127,   128,    -1,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,    -1,   146,   147,   148,    -1,   150,   151,   152,
     153,   154,   155,   156,   157,   158,   159,    -1,   161,    -1,
     163,   164,   165,   166,   167,    -1,   169,    -1,   171,   172,
      -1,    -1,    -1,   176,   177,   178,   179,    -1,   181,   182,
      -1,   184,   185,   186,    -1,   188,   189,   190,   191,   192,
      -1,   194,   195,   196,   197,    -1,   199,   200,   201,   202,
     203,   204,   205,   206,    -1,   208,    -1,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,    -1,    -1,
     223,    -1,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,    -1,    -1,   240,   241,    -1,
     243,    -1,    -1,   246,   247,   248,    -1,    -1,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,    -1,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,    -1,
     283,   284,    -1,   286,    -1,   288,   289,   290,   291,   292,
     293,    -1,   295,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,    -1,   308,    -1,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,   327,   328,   329,    -1,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,    -1,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,    -1,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,    -1,   381,   382,
     383,   384,   385,    -1,   387,   388,   389,   390,   391,    -1,
     393,   394,   395,   396,    -1,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
      -1,   414,   415,    -1,    -1,   418,    -1,   420,   421,   422,
     423,   424,    -1,   426,   427,   428,    -1,    -1,   431,   432,
     433,   434,   435,    -1,   437,   438,   439,   440,   441,   442,
     443,   444,    -1,    -1,   447,   448,   449,   450,   451,    -1,
      -1,   454,   455,   456,   457,   458,   459,   460,    -1,   462,
      -1,   464,   465,   466,   467,    -1,    -1,   470,    -1,    -1,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    -1,    49,    50,    51,    52,
      53,    -1,    55,    56,    -1,    58,    59,    60,    61,    62,
      63,    64,    -1,    -1,    67,    68,    69,    70,    71,    -1,
      73,    74,    75,    76,    77,    -1,    -1,    -1,    81,    82,
      83,    84,    85,    86,    -1,    88,    89,    90,    -1,    92,
      93,    94,    95,    96,    97,    -1,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,
     113,   114,   115,   116,   117,   118,    -1,   120,    -1,   122,
     123,   124,   125,   126,   127,   128,    -1,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,    -1,   146,   147,   148,    -1,   150,   151,   152,
     153,   154,   155,   156,   157,   158,   159,    -1,   161,    -1,
     163,   164,   165,   166,   167,    -1,   169,    -1,   171,   172,
      -1,    -1,    -1,   176,   177,   178,   179,    -1,   181,   182,
      -1,   184,   185,   186,    -1,   188,   189,   190,   191,   192,
      -1,   194,   195,   196,   197,    -1,   199,   200,   201,   202,
     203,   204,   205,   206,    -1,   208,    -1,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,    -1,    -1,
     223,    -1,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,    -1,    -1,   240,   241,    -1,
     243,    -1,    -1,   246,   247,   248,    -1,    -1,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,    -1,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,    -1,
     283,   284,    -1,   286,    -1,   288,   289,   290,   291,   292,
     293,    -1,   295,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,    -1,   308,    -1,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,   327,   328,   329,    -1,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,    -1,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,    -1,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,    -1,   381,   382,
     383,   384,   385,    -1,   387,   388,   389,   390,   391,    -1,
     393,   394,   395,   396,    -1,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
      -1,   414,   415,    -1,    -1,   418,    -1,   420,   421,   422,
     423,   424,    -1,   426,   427,   428,    -1,    -1,   431,   432,
     433,   434,   435,    -1,   437,   438,   439,   440,   441,   442,
     443,   444,    -1,    -1,   447,   448,   449,   450,   451,    -1,
      -1,   454,   455,   456,   457,   458,   459,   460,    -1,   462,
      -1,   464,   465,   466,   467,    -1,    -1,   470,    -1,    -1,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    -1,    49,    50,    51,    52,
      53,    -1,    55,    56,    -1,    58,    59,    60,    61,    62,
      63,    64,    -1,    -1,    67,    68,    69,    70,    71,    -1,
      73,    74,    75,    76,    77,    -1,    -1,    -1,    81,    82,
      83,    84,    85,    86,    -1,    88,    89,    90,    -1,    92,
      93,    94,    95,    96,    97,    -1,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,
     113,   114,   115,   116,   117,   118,    -1,   120,    -1,   122,
     123,   124,   125,   126,   127,   128,    -1,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,    -1,   146,   147,   148,    -1,   150,   151,   152,
     153,   154,   155,   156,   157,   158,   159,    -1,   161,    -1,
     163,   164,   165,   166,   167,    -1,   169,    -1,   171,   172,
      -1,    -1,    -1,   176,   177,   178,   179,    -1,   181,   182,
      -1,   184,    -1,   186,    -1,   188,   189,   190,   191,   192,
      -1,   194,   195,   196,   197,    -1,   199,   200,   201,   202,
     203,   204,   205,   206,    -1,   208,    -1,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,    -1,    -1,
     223,    -1,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,    -1,    -1,   240,   241,    -1,
     243,    -1,    -1,   246,   247,   248,    -1,    -1,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,    -1,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,    -1,
     283,   284,    -1,   286,    -1,   288,   289,   290,   291,   292,
     293,    -1,   295,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,    -1,   308,    -1,   310,   311,   312,
     313,   314,   315,   316,   317,    -1,   319,   320,    -1,   322,
     323,   324,   325,   326,   327,   328,   329,    -1,   331,   332,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,   342,
     343,   344,   345,    -1,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,    -1,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,    -1,   371,   372,
     373,   374,   375,   376,   377,   378,   379,    -1,   381,   382,
     383,   384,   385,    -1,   387,   388,   389,   390,   391,    -1,
     393,   394,   395,   396,    -1,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
      -1,   414,   415,    -1,    -1,   418,    -1,   420,   421,   422,
     423,   424,    -1,   426,   427,   428,    -1,    -1,   431,   432,
     433,   434,   435,    -1,   437,   438,   439,   440,   441,   442,
     443,   444,    -1,    -1,   447,   448,   449,   450,   451,    -1,
      -1,   454,   455,   456,   457,   458,   459,   460,    -1,   462,
      -1,   464,   465,   466,   467,    -1,    -1,   470,    -1,    -1,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    48,    49,    50,    51,    -1,
      53,    54,    55,    56,    -1,    58,    59,    60,    61,    62,
      63,    64,    -1,    -1,    67,    68,    69,    70,    71,    -1,
      73,    74,    75,    76,    -1,    -1,    79,    -1,    81,    82,
      83,    84,    85,    86,    87,    88,    89,    90,    -1,    92,
      93,    94,    95,    96,    97,    -1,    99,   100,   101,   102,
      -1,    -1,    -1,   106,    -1,    -1,    -1,   110,   111,   112,
     113,   114,   115,   116,   117,   118,    -1,   120,    -1,   122,
     123,   124,   125,   126,   127,   128,    -1,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,    -1,   146,   147,   148,    -1,   150,   151,   152,
     153,    -1,   155,   156,   157,   158,    -1,    -1,   161,    -1,
     163,   164,   165,   166,   167,    -1,   169,    -1,   171,   172,
     173,    -1,   175,   176,   177,   178,   179,    -1,   181,    -1,
      -1,    -1,   185,   186,    -1,   188,   189,   190,   191,   192,
     193,   194,   195,   196,   197,   198,   199,   200,   201,   202,
     203,   204,   205,   206,    -1,   208,   209,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,   221,   222,
     223,   224,   225,    -1,    -1,    -1,    -1,    -1,    -1,   232,
     233,   234,   235,   236,   237,    -1,    -1,   240,    -1,   242,
     243,   244,    -1,   246,   247,   248,    -1,    -1,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,    -1,    -1,   281,    -1,
     283,   284,   285,   286,    -1,    -1,   289,   290,   291,   292,
     293,    -1,   295,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,   307,   308,   309,    -1,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,    -1,   325,    -1,   327,   328,   329,    -1,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,    -1,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,    -1,   361,   362,
     363,   364,   365,   366,   367,   368,    -1,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,    -1,   381,   382,
     383,   384,   385,    -1,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   396,    -1,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,    -1,   412,
      -1,   414,   415,    -1,    -1,   418,   419,   420,   421,   422,
     423,   424,    -1,   426,   427,   428,    -1,    -1,   431,   432,
      -1,   434,    -1,    -1,   437,   438,   439,   440,   441,   442,
     443,   444,    -1,    -1,   447,   448,   449,   450,   451,    -1,
      -1,   454,   455,   456,   457,   458,    -1,   460,   461,   462,
     463,   464,   465,   466,   467,    -1,    -1,   470,    -1,    -1,
     473,   474,   475,   476,   477,   478,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   490,   491,   492,
      -1,    -1,    -1,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    48,    49,    50,    51,    -1,    53,    54,    55,    56,
      -1,    58,    59,    60,    61,    62,    63,    64,    -1,    -1,
      67,    68,    69,    70,    71,    -1,    73,    74,    75,    76,
      -1,    -1,    79,    -1,    81,    82,    83,    84,    85,    86,
      87,    88,    89,    90,    -1,    92,    93,    94,    95,    96,
      97,    -1,    99,   100,   101,   102,    -1,    -1,    -1,   106,
      -1,    -1,    -1,   110,   111,   112,   113,   114,   115,   116,
     117,   118,    -1,   120,    -1,   122,   123,   124,   125,   126,
     127,   128,    -1,   130,   131,   132,   133,    -1,    -1,   136,
     137,   138,   139,   140,    -1,   142,   143,   144,    -1,   146,
     147,   148,    -1,   150,   151,   152,   153,    -1,   155,   156,
     157,   158,    -1,    -1,   161,    -1,   163,   164,   165,   166,
     167,    -1,   169,    -1,   171,   172,   173,    -1,   175,   176,
     177,   178,   179,    -1,   181,    -1,    -1,    -1,   185,   186,
      -1,   188,   189,   190,   191,   192,   193,   194,   195,   196,
     197,    -1,   199,   200,   201,   202,   203,   204,   205,   206,
      -1,   208,   209,    -1,   211,   212,   213,   214,   215,   216,
      -1,   218,    -1,   220,   221,   222,   223,   224,   225,    -1,
      -1,    -1,    -1,    -1,    -1,   232,   233,   234,   235,   236,
     237,    -1,    -1,   240,    -1,   242,   243,   244,    -1,   246,
     247,   248,    -1,    -1,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,    -1,    -1,   281,    -1,   283,   284,   285,   286,
     287,    -1,   289,   290,   291,   292,   293,    -1,   295,   296,
      -1,    -1,   299,   300,   301,    -1,    -1,   304,   305,    -1,
     307,   308,   309,    -1,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,    -1,   322,   323,    -1,   325,    -1,
     327,   328,   329,    -1,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,    -1,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,    -1,   361,   362,   363,   364,   365,   366,
     367,   368,    -1,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,    -1,   381,   382,   383,   384,   385,    -1,
     387,   388,   389,   390,   391,   392,   393,   394,   395,   396,
      -1,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,    -1,   412,    -1,   414,   415,    -1,
     417,   418,   419,   420,   421,   422,   423,   424,    -1,   426,
     427,   428,    -1,    -1,   431,   432,    -1,   434,    -1,    -1,
     437,   438,   439,   440,   441,   442,   443,   444,    -1,    -1,
     447,   448,   449,   450,   451,    -1,    -1,   454,   455,   456,
     457,   458,    -1,   460,    -1,   462,   463,   464,   465,   466,
     467,    -1,    -1,   470,    -1,    -1,   473,   474,   475,   476,
     477,   478,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   490,   491,   492,    -1,    -1,    -1,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    -1,    30,
      31,    32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    48,    49,    50,
      51,    -1,    53,    54,    55,    56,    -1,    58,    59,    60,
      61,    62,    63,    64,    -1,    -1,    67,    68,    69,    70,
      71,    -1,    73,    74,    75,    76,    -1,    -1,    79,    -1,
      81,    82,    83,    84,    85,    86,    87,    88,    89,    90,
      -1,    92,    93,    94,    95,    96,    97,    -1,    99,   100,
     101,   102,    -1,    -1,    -1,   106,    -1,    -1,    -1,   110,
     111,   112,   113,   114,   115,   116,   117,   118,    -1,   120,
      -1,   122,   123,   124,   125,   126,   127,   128,    -1,   130,
     131,   132,   133,    -1,    -1,   136,   137,   138,   139,   140,
      -1,   142,   143,   144,    -1,   146,   147,   148,    -1,   150,
     151,   152,   153,    -1,   155,   156,   157,   158,    -1,    -1,
     161,    -1,   163,   164,   165,   166,   167,    -1,   169,    -1,
     171,   172,   173,    -1,   175,   176,   177,   178,   179,    -1,
     181,    -1,    -1,    -1,   185,   186,    -1,   188,   189,   190,
     191,   192,   193,   194,   195,   196,   197,    -1,   199,   200,
     201,   202,   203,   204,   205,   206,    -1,   208,   209,    -1,
     211,   212,   213,   214,   215,   216,    -1,   218,    -1,   220,
     221,   222,   223,   224,   225,    -1,    -1,    -1,    -1,    -1,
      -1,   232,   233,   234,   235,   236,   237,    -1,    -1,   240,
      -1,   242,   243,   244,    -1,   246,   247,   248,    -1,    -1,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,   263,   264,   265,   266,   267,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,   278,   279,    -1,
     281,    -1,   283,   284,   285,   286,    -1,    -1,   289,   290,
     291,   292,   293,    -1,   295,   296,    -1,    -1,   299,   300,
     301,    -1,    -1,   304,   305,    -1,   307,   308,   309,    -1,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
      -1,   322,   323,    -1,   325,    -1,   327,   328,   329,    -1,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,    -1,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,    -1,
     361,   362,   363,   364,   365,   366,   367,   368,    -1,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,    -1,
     381,   382,   383,   384,   385,    -1,   387,   388,   389,   390,
     391,   392,   393,   394,   395,   396,    -1,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
      -1,   412,    -1,   414,   415,    -1,    -1,   418,   419,   420,
     421,   422,   423,   424,    -1,   426,   427,   428,    -1,    -1,
     431,   432,    -1,   434,    -1,    -1,   437,   438,   439,   440,
     441,   442,   443,   444,    -1,    -1,   447,   448,   449,   450,
     451,    -1,    -1,   454,   455,   456,   457,   458,    -1,   460,
      -1,   462,   463,   464,   465,   466,   467,    -1,    -1,   470,
      -1,    -1,   473,   474,   475,   476,   477,   478,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   490,
     491,   492,    -1,    -1,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    48,    49,    50,    51,    -1,    53,    54,
      55,    56,    -1,    58,    59,    60,    61,    62,    63,    64,
      -1,    -1,    67,    68,    69,    70,    71,    -1,    73,    74,
      75,    76,    -1,    -1,    79,    -1,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    -1,    92,    93,    94,
      95,    96,    97,    -1,    99,   100,   101,   102,    -1,    -1,
      -1,   106,    -1,    -1,    -1,   110,   111,   112,   113,   114,
     115,   116,   117,   118,    -1,   120,    -1,   122,   123,   124,
     125,   126,   127,   128,    -1,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
      -1,   146,   147,   148,    -1,   150,   151,   152,   153,    -1,
     155,   156,   157,   158,    -1,    -1,   161,    -1,   163,   164,
     165,   166,   167,    -1,   169,    -1,   171,   172,   173,    -1,
     175,   176,   177,   178,   179,    -1,   181,    -1,    -1,    -1,
     185,   186,    -1,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,    -1,   199,   200,   201,   202,   203,   204,
     205,   206,    -1,   208,   209,    -1,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,   221,   222,   223,   224,
     225,    -1,    -1,    -1,    -1,    -1,    -1,   232,   233,   234,
     235,   236,   237,    -1,    -1,   240,    -1,   242,   243,   244,
      -1,   246,   247,   248,    -1,    -1,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,    -1,   281,    -1,   283,   284,
     285,   286,    -1,    -1,   289,   290,   291,   292,   293,    -1,
     295,   296,    -1,    -1,   299,   300,   301,    -1,    -1,   304,
     305,    -1,   307,   308,   309,    -1,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,    -1,   322,   323,    -1,
     325,    -1,   327,   328,   329,    -1,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,    -1,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,    -1,   361,   362,   363,   364,
     365,   366,   367,   368,    -1,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,   383,   384,
     385,    -1,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,    -1,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,    -1,   412,    -1,   414,
     415,    -1,    -1,   418,   419,   420,   421,   422,   423,   424,
      -1,   426,   427,   428,    -1,    -1,   431,   432,    -1,   434,
      -1,    -1,   437,   438,   439,   440,   441,   442,   443,   444,
      -1,    -1,   447,   448,   449,   450,   451,    -1,    -1,   454,
     455,   456,   457,   458,    -1,   460,    -1,   462,   463,   464,
     465,   466,   467,    -1,    -1,   470,    -1,    -1,   473,   474,
     475,   476,   477,   478,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   490,   491,   492,    -1,    -1,
      -1,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      -1,    30,    31,    32,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    40,    41,    42,    -1,    44,    45,    46,    47,    48,
      49,    50,    51,    -1,    53,    54,    55,    56,    -1,    58,
      59,    60,    61,    62,    63,    64,    -1,    -1,    67,    68,
      69,    70,    71,    -1,    73,    74,    75,    76,    -1,    -1,
      79,    -1,    81,    82,    83,    84,    85,    86,    87,    88,
      89,    90,    -1,    92,    93,    94,    95,    96,    97,    -1,
      99,   100,   101,   102,    -1,    -1,    -1,   106,    -1,    -1,
      -1,   110,   111,   112,   113,   114,   115,   116,   117,   118,
      -1,   120,    -1,   122,   123,   124,   125,   126,   127,   128,
      -1,   130,   131,   132,   133,    -1,    -1,   136,   137,   138,
     139,   140,    -1,   142,   143,   144,    -1,   146,   147,   148,
      -1,   150,   151,   152,   153,    -1,   155,   156,   157,   158,
      -1,    -1,   161,    -1,   163,   164,   165,   166,   167,   168,
     169,    -1,   171,   172,   173,    -1,   175,   176,   177,   178,
     179,    -1,   181,    -1,    -1,    -1,   185,   186,    -1,   188,
     189,   190,   191,   192,   193,   194,   195,   196,   197,    -1,
     199,   200,   201,   202,   203,   204,   205,   206,    -1,   208,
     209,    -1,   211,   212,   213,   214,   215,   216,    -1,   218,
      -1,   220,   221,   222,   223,   224,   225,    -1,    -1,    -1,
      -1,    -1,    -1,   232,   233,   234,   235,   236,   237,    -1,
      -1,   240,    -1,   242,   243,   244,    -1,   246,   247,   248,
      -1,    -1,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,   263,   264,   265,   266,   267,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,   278,
      -1,    -1,   281,    -1,   283,   284,   285,   286,    -1,    -1,
     289,   290,   291,   292,   293,    -1,   295,   296,    -1,    -1,
     299,   300,   301,    -1,    -1,   304,   305,    -1,   307,   308,
     309,    -1,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,    -1,   322,   323,    -1,   325,    -1,   327,   328,
     329,    -1,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,    -1,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,    -1,   361,   362,   363,   364,   365,   366,   367,   368,
      -1,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,    -1,   381,   382,   383,   384,   385,    -1,   387,   388,
     389,   390,   391,   392,   393,   394,   395,   396,    -1,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,    -1,   412,    -1,   414,   415,    -1,    -1,   418,
     419,   420,   421,   422,   423,   424,    -1,   426,   427,   428,
      -1,    -1,   431,   432,    -1,   434,    -1,    -1,   437,   438,
     439,   440,   441,   442,   443,   444,    -1,    -1,   447,   448,
     449,   450,   451,    -1,    -1,   454,   455,   456,   457,   458,
      -1,   460,    -1,   462,   463,   464,   465,   466,   467,    -1,
      -1,   470,    -1,    -1,   473,   474,   475,   476,   477,   478,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   490,   491,   492,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    48,    49,    50,    51,    -1,
      53,    54,    55,    56,    -1,    58,    59,    60,    61,    62,
      63,    64,    -1,    -1,    67,    68,    69,    70,    71,    -1,
      73,    74,    75,    76,    -1,    -1,    79,    -1,    81,    82,
      83,    84,    85,    86,    87,    88,    89,    90,    -1,    92,
      93,    94,    95,    96,    97,    -1,    99,   100,   101,   102,
      -1,    -1,    -1,   106,    -1,    -1,    -1,   110,   111,   112,
     113,   114,   115,   116,   117,   118,    -1,   120,    -1,   122,
     123,   124,   125,   126,   127,   128,    -1,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,    -1,   146,   147,   148,    -1,   150,   151,   152,
     153,    -1,   155,   156,   157,   158,    -1,    -1,   161,    -1,
     163,   164,   165,   166,   167,    -1,   169,    -1,   171,   172,
     173,    -1,   175,   176,   177,   178,   179,    -1,   181,    -1,
      -1,    -1,   185,   186,    -1,   188,   189,   190,   191,   192,
     193,   194,   195,   196,   197,    -1,   199,   200,   201,   202,
     203,   204,   205,   206,    -1,   208,   209,    -1,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,   221,   222,
     223,   224,   225,    -1,    -1,    -1,    -1,    -1,    -1,   232,
     233,   234,   235,   236,   237,    -1,    -1,   240,    -1,   242,
     243,   244,    -1,   246,   247,   248,    -1,    -1,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,    -1,    -1,   281,    -1,
     283,   284,   285,   286,    -1,    -1,   289,   290,   291,   292,
     293,    -1,   295,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,    -1,   307,   308,   309,    -1,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,    -1,   325,    -1,   327,   328,   329,    -1,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,    -1,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,    -1,   361,   362,
     363,   364,   365,   366,   367,   368,    -1,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,    -1,   381,   382,
     383,   384,   385,    -1,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   396,    -1,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,    -1,   412,
      -1,   414,   415,    -1,    -1,   418,   419,   420,   421,   422,
     423,   424,    -1,   426,   427,   428,    -1,    -1,   431,   432,
      -1,   434,    -1,    -1,   437,   438,   439,   440,   441,   442,
     443,   444,    -1,    -1,   447,   448,   449,   450,   451,    -1,
      -1,   454,   455,   456,   457,   458,    -1,   460,    -1,   462,
     463,   464,   465,   466,   467,    -1,    -1,   470,    -1,    -1,
     473,   474,   475,   476,   477,   478,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   490,   491,   492,
      -1,    -1,    -1,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    48,    49,    50,    51,    -1,    53,    54,    55,    56,
      -1,    58,    59,    60,    61,    62,    63,    64,    -1,    -1,
      67,    68,    69,    70,    71,    -1,    73,    74,    75,    76,
      -1,    -1,    79,    -1,    81,    82,    83,    84,    85,    86,
      87,    88,    89,    90,    -1,    92,    93,    94,    95,    96,
      97,    -1,    99,   100,   101,   102,    -1,    -1,    -1,   106,
      -1,    -1,    -1,   110,   111,   112,   113,   114,   115,   116,
     117,   118,    -1,   120,    -1,   122,   123,   124,   125,   126,
     127,   128,    -1,   130,   131,   132,   133,    -1,    -1,   136,
     137,   138,   139,   140,    -1,   142,   143,   144,    -1,   146,
     147,   148,    -1,   150,   151,   152,   153,    -1,   155,   156,
     157,   158,    -1,    -1,   161,    -1,   163,   164,   165,   166,
     167,    -1,   169,    -1,   171,   172,   173,    -1,   175,   176,
     177,   178,   179,    -1,   181,    -1,    -1,    -1,   185,   186,
      -1,   188,   189,   190,   191,   192,   193,   194,   195,   196,
     197,    -1,   199,   200,   201,   202,   203,   204,   205,   206,
      -1,   208,   209,    -1,   211,   212,   213,   214,   215,   216,
      -1,   218,    -1,   220,   221,   222,   223,   224,   225,    -1,
      -1,    -1,    -1,    -1,    -1,   232,   233,   234,   235,   236,
     237,    -1,    -1,   240,    -1,   242,   243,   244,    -1,   246,
     247,   248,    -1,    -1,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,    -1,    -1,   281,    -1,   283,   284,   285,   286,
      -1,    -1,   289,   290,   291,   292,   293,    -1,   295,   296,
      -1,    -1,   299,   300,   301,    -1,    -1,   304,   305,    -1,
     307,   308,   309,    -1,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,    -1,   322,   323,    -1,   325,    -1,
     327,   328,   329,    -1,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,    -1,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,    -1,   361,   362,   363,   364,   365,   366,
     367,   368,    -1,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,    -1,   381,   382,   383,   384,   385,    -1,
     387,   388,   389,   390,   391,   392,   393,   394,   395,   396,
      -1,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,    -1,   412,    -1,   414,   415,    -1,
      -1,   418,   419,   420,   421,   422,   423,   424,    -1,   426,
     427,   428,    -1,    -1,   431,   432,    -1,   434,    -1,    -1,
     437,   438,   439,   440,   441,   442,   443,   444,    -1,    -1,
     447,   448,   449,   450,   451,    -1,    -1,   454,   455,   456,
     457,   458,    -1,   460,    -1,   462,   463,   464,   465,   466,
     467,    -1,    -1,   470,    -1,    -1,   473,   474,   475,   476,
     477,   478,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   490,   491,   492,    -1,    -1,    -1,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    -1,    30,
      31,    32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    48,    49,    50,
      51,    -1,    53,    54,    55,    56,    -1,    58,    59,    60,
      61,    62,    63,    64,    -1,    -1,    67,    68,    69,    70,
      71,    -1,    73,    74,    75,    76,    -1,    -1,    79,    -1,
      81,    82,    83,    84,    85,    86,    87,    88,    89,    90,
      -1,    92,    93,    94,    95,    96,    97,    -1,    99,   100,
     101,   102,    -1,    -1,    -1,   106,    -1,    -1,    -1,   110,
     111,   112,   113,   114,   115,   116,   117,   118,    -1,   120,
      -1,   122,   123,   124,   125,   126,   127,   128,    -1,   130,
     131,   132,   133,    -1,    -1,   136,   137,   138,   139,   140,
      -1,   142,   143,   144,    -1,   146,   147,   148,    -1,   150,
     151,   152,   153,    -1,   155,   156,   157,   158,    -1,    -1,
     161,    -1,   163,   164,   165,   166,   167,    -1,   169,    -1,
     171,   172,   173,    -1,   175,   176,   177,   178,   179,    -1,
     181,    -1,    -1,    -1,   185,   186,    -1,   188,   189,   190,
     191,   192,   193,   194,   195,   196,   197,    -1,   199,   200,
     201,   202,   203,   204,   205,   206,    -1,   208,   209,    -1,
     211,   212,   213,   214,   215,   216,    -1,   218,    -1,   220,
     221,   222,   223,   224,   225,    -1,    -1,    -1,    -1,    -1,
      -1,   232,   233,   234,   235,   236,   237,    -1,    -1,   240,
      -1,   242,   243,   244,    -1,   246,   247,   248,    -1,    -1,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,   263,   264,   265,   266,   267,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,   278,    -1,    -1,
     281,    -1,   283,   284,   285,   286,    -1,    -1,   289,   290,
     291,   292,   293,    -1,   295,   296,    -1,    -1,   299,   300,
     301,    -1,    -1,   304,   305,    -1,   307,   308,   309,    -1,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
      -1,   322,   323,    -1,   325,    -1,   327,   328,   329,    -1,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,    -1,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,    -1,
     361,   362,   363,   364,   365,   366,   367,   368,    -1,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,    -1,
     381,   382,   383,   384,   385,    -1,   387,   388,   389,   390,
     391,   392,   393,   394,   395,   396,    -1,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
      -1,   412,    -1,   414,   415,    -1,    -1,   418,   419,   420,
     421,   422,   423,   424,    -1,   426,   427,   428,    -1,    -1,
     431,   432,    -1,   434,    -1,    -1,   437,   438,   439,   440,
     441,   442,   443,   444,    -1,    -1,   447,   448,   449,   450,
     451,    -1,    -1,   454,   455,   456,   457,   458,    -1,   460,
      -1,   462,   463,   464,   465,   466,   467,    -1,    -1,   470,
      -1,    -1,   473,   474,   475,   476,   477,   478,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   490,
     491,   492,    -1,    -1,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    48,    49,    50,    51,    -1,    53,    54,
      55,    56,    -1,    58,    59,    60,    61,    62,    63,    64,
      -1,    -1,    67,    68,    69,    70,    71,    -1,    73,    74,
      75,    76,    -1,    -1,    79,    -1,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    -1,    92,    93,    94,
      95,    96,    97,    -1,    99,   100,   101,   102,    -1,    -1,
      -1,   106,    -1,    -1,    -1,   110,   111,   112,   113,   114,
     115,   116,   117,   118,    -1,   120,    -1,   122,   123,   124,
     125,   126,   127,   128,    -1,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
      -1,   146,   147,   148,    -1,   150,   151,   152,   153,    -1,
     155,   156,   157,   158,    -1,    -1,   161,    -1,   163,   164,
     165,   166,   167,    -1,   169,    -1,   171,   172,   173,    -1,
     175,   176,   177,   178,   179,    -1,   181,    -1,    -1,    -1,
     185,   186,    -1,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,    -1,   199,   200,   201,   202,   203,   204,
     205,   206,    -1,   208,   209,    -1,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,   221,   222,   223,   224,
     225,    -1,    -1,    -1,    -1,    -1,    -1,   232,   233,   234,
     235,   236,   237,    -1,    -1,   240,    -1,   242,   243,   244,
      -1,   246,   247,   248,    -1,    -1,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,    -1,    -1,   281,    -1,   283,   284,
     285,   286,    -1,    -1,   289,   290,   291,   292,   293,    -1,
     295,   296,    -1,    -1,   299,   300,   301,    -1,    -1,   304,
     305,    -1,   307,   308,   309,    -1,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,    -1,   322,   323,    -1,
     325,    -1,   327,   328,   329,    -1,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,    -1,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,    -1,   361,   362,   363,   364,
     365,   366,   367,   368,    -1,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,   383,   384,
     385,    -1,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,    -1,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,    -1,   412,    -1,   414,
     415,    -1,    -1,   418,   419,   420,   421,   422,   423,   424,
      -1,   426,   427,   428,    -1,    -1,   431,   432,    -1,   434,
      -1,    -1,   437,   438,   439,   440,   441,   442,   443,   444,
      -1,    -1,   447,   448,   449,   450,   451,    -1,    -1,   454,
     455,   456,   457,   458,    -1,   460,    -1,   462,   463,   464,
     465,   466,   467,    -1,    -1,   470,    -1,    -1,   473,   474,
     475,   476,   477,   478,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   490,   491,   492,    -1,    -1,
      -1,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      -1,    30,    31,    32,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    40,    41,    42,    -1,    44,    45,    46,    47,    48,
      49,    50,    51,    -1,    53,    54,    55,    56,    -1,    58,
      59,    60,    61,    62,    63,    64,    -1,    -1,    67,    68,
      69,    70,    71,    -1,    73,    74,    75,    76,    -1,    -1,
      79,    -1,    81,    82,    83,    84,    85,    86,    87,    88,
      89,    90,    -1,    92,    93,    94,    95,    96,    97,    -1,
      99,   100,   101,   102,    -1,    -1,    -1,   106,    -1,    -1,
      -1,   110,   111,   112,   113,   114,   115,   116,   117,   118,
      -1,   120,    -1,   122,   123,   124,   125,   126,   127,   128,
      -1,   130,   131,   132,   133,    -1,    -1,   136,   137,   138,
     139,   140,    -1,   142,   143,   144,    -1,   146,   147,   148,
      -1,   150,   151,   152,   153,    -1,   155,   156,   157,   158,
      -1,    -1,   161,    -1,   163,   164,   165,   166,   167,    -1,
     169,    -1,   171,   172,   173,    -1,   175,   176,   177,   178,
     179,    -1,   181,    -1,    -1,    -1,   185,   186,    -1,   188,
     189,   190,   191,   192,   193,   194,   195,   196,   197,    -1,
     199,   200,   201,   202,   203,   204,   205,   206,    -1,   208,
     209,    -1,   211,   212,   213,   214,   215,   216,    -1,   218,
      -1,   220,   221,   222,   223,   224,   225,    -1,    -1,    -1,
      -1,    -1,    -1,   232,   233,   234,   235,   236,   237,    -1,
      -1,   240,    -1,   242,   243,   244,    -1,   246,   247,   248,
      -1,    -1,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,   263,   264,   265,   266,   267,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,   278,
      -1,    -1,   281,    -1,   283,   284,   285,   286,    -1,    -1,
     289,   290,   291,   292,   293,    -1,   295,   296,    -1,    -1,
     299,   300,   301,    -1,    -1,   304,   305,    -1,   307,   308,
     309,    -1,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,    -1,   322,   323,    -1,   325,    -1,   327,   328,
     329,    -1,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,    -1,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,    -1,   361,   362,   363,   364,   365,   366,   367,   368,
      -1,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,    -1,   381,   382,   383,   384,   385,    -1,   387,   388,
      -1,   390,   391,   392,   393,   394,   395,   396,    -1,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,    -1,   412,    -1,   414,   415,    -1,    -1,   418,
     419,   420,   421,   422,   423,   424,    -1,   426,   427,   428,
      -1,    -1,   431,   432,    -1,   434,    -1,    -1,   437,   438,
     439,   440,   441,   442,   443,   444,    -1,    -1,   447,   448,
     449,   450,   451,    -1,    -1,   454,   455,   456,   457,   458,
      -1,   460,    -1,   462,   463,   464,   465,   466,   467,    -1,
      -1,   470,    -1,    -1,   473,   474,   475,   476,   477,   478,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   490,   491,   492,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    48,    49,    50,    51,    -1,
      -1,    54,    -1,    -1,    -1,    58,    59,    60,    61,    62,
      63,    64,    -1,    -1,    67,    68,    -1,    -1,    71,    -1,
      73,    74,    75,    76,    -1,    -1,    79,    -1,    81,    82,
      83,    84,    85,    86,    87,    88,    89,    90,    -1,    92,
      93,    94,    95,    96,    97,    -1,    99,   100,   101,   102,
      -1,    -1,    -1,   106,    -1,    -1,    -1,   110,   111,   112,
     113,   114,   115,    -1,    -1,   118,    -1,   120,    -1,   122,
     123,   124,   125,   126,   127,   128,    -1,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,    -1,   146,   147,   148,    -1,   150,   151,   152,
     153,    -1,   155,   156,   157,   158,    -1,    -1,   161,    -1,
     163,   164,   165,    -1,   167,    -1,   169,    -1,   171,   172,
     173,    -1,   175,   176,   177,   178,   179,    -1,   181,    -1,
      -1,    -1,   185,   186,    -1,   188,   189,   190,   191,   192,
     193,   194,   195,   196,   197,    -1,   199,   200,   201,   202,
     203,   204,   205,   206,    -1,   208,   209,    -1,   211,   212,
     213,   214,    -1,    -1,    -1,    -1,    -1,   220,   221,   222,
     223,   224,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   232,
     233,   234,   235,   236,   237,    -1,    -1,   240,    -1,   242,
     243,   244,    -1,   246,   247,   248,    -1,    -1,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,    -1,   270,    -1,   272,
     273,   274,   275,   276,   277,   278,    -1,    -1,   281,    -1,
     283,   284,   285,   286,    -1,    -1,   289,    -1,   291,   292,
     293,    -1,   295,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,    -1,   307,   308,   309,    -1,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,    -1,   325,    -1,   327,   328,   329,    -1,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,    -1,   342,
     343,   344,   345,    -1,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,    -1,   361,   362,
     363,   364,   365,   366,   367,   368,    -1,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,    -1,   381,   382,
     383,   384,   385,    -1,   387,   388,    -1,   390,   391,   392,
     393,   394,    -1,   396,    -1,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,    -1,   412,
      -1,   414,   415,    -1,    -1,   418,   419,   420,   421,   422,
     423,   424,    -1,   426,    -1,    -1,    -1,    -1,   431,   432,
      -1,   434,    -1,    -1,   437,   438,   439,   440,   441,   442,
     443,   444,    -1,    -1,   447,   448,   449,   450,   451,    -1,
      -1,   454,   455,   456,   457,   458,    -1,    -1,    -1,   462,
     463,   464,   465,   466,   467,    -1,    -1,   470,    -1,    -1,
     473,   474,   475,   476,   477,   478,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   490,   491,   492
};

/* YYSTOS[STATE-NUM] -- The symbol kind of the accessing symbol of
   state STATE-NUM.  */
static const yytype_int16 yystos[] =
{
       0,    20,    31,    33,    34,    51,    61,    73,    75,    76,
      82,    84,    96,    98,   115,   118,   133,   135,   139,   145,
     153,   155,   162,   180,   197,   246,   247,   252,   266,   284,
     328,   342,   348,   349,   351,   356,   362,   365,   372,   379,
     380,   387,   391,   401,   417,   437,   448,   454,   459,   472,
     496,   498,   499,   500,   501,   502,   515,   522,   523,   524,
     525,   530,   531,   537,   538,   540,   541,   542,   543,   545,
     548,   560,   565,   566,   569,   570,   571,   591,   594,   595,
     610,   660,   663,   664,   667,   670,   671,   672,   680,   687,
     689,   690,   693,   696,   697,   701,   710,   714,   715,   716,
     719,   721,   722,   723,   724,   732,   734,   754,   758,   760,
     761,   771,   773,   780,   781,   784,   785,   786,   787,   788,
     797,   799,   801,   804,   808,   809,   819,   820,   825,   830,
     841,   873,   876,   877,   878,   883,   886,   888,   890,   892,
     893,   897,   898,   901,   903,   904,   908,   909,   910,   913,
     914,   915,   916,   917,   924,   926,   927,   928,   929,   935,
     937,   938,   944,   945,   946,   949,   950,   951,   952,   954,
     955,   957,   958,   960,   961,   963,   975,   977,   980,   982,
     983,   992,   994,   999,  1004,  1012,  1016,  1017,  1018,  1019,
    1020,  1021,  1027,  1063,   431,   475,   930,    28,    79,    95,
     113,   119,   137,   148,   157,   170,   176,   183,   203,   236,
     258,   299,   323,   333,   334,   337,   364,   367,   371,   374,
     381,   384,   403,   410,   415,   417,   420,   424,   434,   439,
     452,   465,   686,   930,     3,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    30,    31,    32,    40,    41,    42,
      44,    45,    46,    47,    48,    49,    50,    51,    52,    53,
      54,    55,    56,    58,    59,    60,    61,    62,    63,    64,
      67,    68,    69,    70,    71,    73,    74,    75,    76,    77,
      79,    81,    82,    83,    84,    85,    86,    87,    88,    89,
      90,    92,    93,    94,    95,    96,    97,    99,   100,   101,
     102,   106,   110,   111,   112,   113,   114,   115,   116,   117,
     118,   120,   122,   123,   124,   125,   126,   127,   128,   130,
     131,   132,   133,   136,   137,   138,   139,   140,   142,   143,
     144,   146,   147,   148,   150,   151,   152,   153,   154,   155,
     156,   157,   158,   159,   161,   163,   164,   165,   166,   167,
     169,   171,   172,   173,   175,   176,   177,   178,   179,   181,
     182,   184,   185,   186,   188,   189,   190,   191,   192,   193,
     194,   195,   196,   197,   199,   200,   201,   202,   203,   204,
     205,   206,   208,   209,   210,   211,   212,   213,   214,   215,
     216,   218,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     240,   241,   242,   243,   244,   246,   247,   248,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,   283,
     284,   285,   286,   288,   289,   290,   291,   292,   293,   295,
     296,   299,   300,   301,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   322,   323,   324,   325,   326,   327,   328,   329,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   381,   382,   383,   384,
     385,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   414,   415,   418,   419,
     420,   421,   422,   423,   424,   426,   427,   428,   431,   432,
     433,   434,   435,   437,   438,   439,   440,   441,   442,   443,
     444,   447,   448,   449,   450,   451,   454,   455,   456,   457,
     458,   459,   460,   462,   463,   464,   465,   466,   467,   470,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
    1125,  1209,  1221,  1222,  1226,  1227,  1228,     3,    29,  1013,
    1206,  1221,  1226,   463,   515,   968,   297,   329,   930,    54,
     515,   602,    23,    41,    66,    79,   113,   119,   137,   148,
     157,   170,   179,   183,   248,   299,   302,   323,   337,   364,
     374,   384,   403,   410,   420,   421,   423,   424,   439,   446,
     449,   452,   611,   669,   776,   831,   842,    29,   328,  1206,
    1013,    29,   322,   382,   421,   423,     6,   235,   884,   885,
    1212,    23,    28,    66,    79,    95,   113,   137,   148,   157,
     170,   176,   183,   203,   258,   299,   312,   323,   334,   337,
     364,   367,   371,   374,   381,   384,   403,   410,   417,   420,
     424,   432,   434,   439,   452,   465,   686,   789,   791,   792,
     930,  1206,    98,   463,   515,   664,   667,   670,   963,   976,
     980,   983,   992,   999,  1004,  1012,  1016,    11,    22,    29,
      49,   165,   172,   174,   198,   237,   273,   331,   350,   506,
     507,   805,   806,  1013,  1211,  1213,    29,    31,    98,   346,
     380,   810,   811,   812,  1221,   170,  1221,  1208,  1212,   417,
    1030,   805,  1221,   431,  1206,   312,   258,   515,   896,   372,
    1221,    29,   385,   427,   431,   552,   561,   562,  1221,   180,
     810,   811,  1221,   329,   930,  1221,   234,    29,   134,  1032,
    1033,    67,    92,   248,   268,   364,   374,   385,   427,   431,
     478,   549,   550,   551,   552,    29,   385,   427,   431,   552,
     431,   298,  1075,  1076,  1204,  1221,  1030,   508,  1221,   175,
     515,   969,   515,   344,  1022,  1023,  1206,  1022,     3,    53,
      55,    56,    69,    70,   116,   117,   138,   166,   215,   216,
     218,   225,   269,   271,   290,   341,   389,   395,   427,   428,
     460,  1098,  1100,  1102,  1104,  1106,  1108,  1109,  1110,  1112,
    1113,  1114,  1116,  1117,  1121,  1222,  1226,  1032,  1033,  1034,
    1217,    12,  1218,  1219,  1221,  1218,  1218,  1017,  1018,  1021,
       0,   518,   515,   968,   149,   217,   303,   445,  1035,  1036,
    1017,  1019,  1020,   124,   213,   260,   451,   519,    35,   934,
     858,  1209,   794,  1221,   794,  1206,   332,   794,   434,  1206,
     112,   417,   846,  1209,  1221,  1228,     3,   105,   109,   386,
    1214,  1215,  1223,  1226,  1227,  1228,    29,   192,  1204,   291,
     465,    10,    17,    18,    19,    74,   161,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   880,   882,  1156,  1157,
    1221,   192,  1206,   846,  1206,    29,  1214,  1215,   846,  1206,
    1206,   192,  1204,  1206,   192,   794,  1206,   356,   387,    29,
     192,  1075,  1206,   377,  1206,   794,    29,   255,  1214,  1215,
     192,  1204,   235,   121,   223,   282,   340,   931,   932,   933,
     515,   513,   517,  1182,  1184,   493,   962,   963,   964,   965,
    1223,  1204,  1206,  1221,    28,    66,    80,    91,   113,   137,
     176,   203,   236,   299,   334,   364,   367,   410,   420,   432,
     439,   789,   790,   791,   792,  1212,   934,   979,   983,   992,
     999,  1004,  1016,  1204,   261,   794,   515,   192,   794,  1206,
     794,   434,   192,  1206,   112,   417,   421,   423,  1214,  1215,
     421,   423,    74,   161,   880,   354,  1206,  1206,  1214,   192,
     526,  1221,   192,  1206,   192,   527,   794,  1206,  1206,   377,
     794,   255,  1214,   344,   381,   417,   465,   258,    95,   203,
      28,    91,   176,   334,   371,   432,   434,   438,   681,    29,
    1206,  1014,   559,  1212,  1223,   885,   261,   192,   858,   859,
     192,   889,   192,  1206,   192,   796,  1098,   434,   112,   417,
     192,   845,   846,   192,  1215,  1216,    87,   465,    74,   161,
     192,   881,   882,    59,   192,   845,   192,  1216,   192,   845,
     192,  1206,   192,  1206,   377,   889,   192,   796,   192,   255,
    1216,   235,   192,   793,   794,   192,  1205,  1206,   192,  1206,
     934,   515,   981,   611,   976,   459,   962,   968,  1213,   806,
     807,    29,   807,  1213,   807,    29,   807,  1213,   807,   807,
     807,  1213,  1211,  1211,  1013,   807,   332,   515,   415,   515,
     637,   637,   637,   297,   429,   519,   637,   374,  1075,  1077,
     519,   925,  1212,   515,   978,    59,   465,   962,   113,   203,
     374,   415,   417,   894,   895,  1221,    48,   492,   223,   517,
     300,   297,   174,   300,  1212,   429,   934,   168,   802,   297,
       5,     8,     9,    10,    12,    37,    53,    55,    56,    65,
      66,    69,    70,    77,    79,   103,   104,   105,   106,   107,
     108,   109,   116,   117,   119,   154,   159,   160,   166,   182,
     184,   215,   216,   218,   225,   226,   227,   228,   229,   230,
     231,   241,   249,   250,   269,   271,   280,   282,   287,   288,
     290,   299,   310,   324,   341,   369,   386,   395,   411,   416,
     427,   428,   433,   435,   436,   446,   452,   460,   480,   481,
     482,   483,   485,   486,   487,   488,   494,   506,   507,   508,
     515,  1017,  1101,  1104,  1107,  1108,  1109,  1111,  1112,  1113,
    1116,  1117,  1121,  1122,  1124,  1125,  1126,  1128,  1152,  1153,
    1154,  1158,  1176,  1181,  1198,  1201,  1202,  1209,  1210,  1211,
    1212,  1221,  1200,  1201,  1212,    29,   567,  1203,  1204,   385,
     549,   119,   558,  1212,   559,  1212,    48,    71,   549,   492,
     396,   932,   300,   174,   429,   505,    48,   492,   223,   933,
     515,  1204,   508,  1184,  1077,   962,   173,   970,  1122,  1161,
    1022,   519,   515,   971,   462,  1115,  1115,  1115,   515,  1103,
    1103,   326,   515,  1105,    69,    70,  1115,  1103,  1100,   496,
     497,   515,  1118,   515,  1118,    37,  1099,   515,   114,   190,
     262,   265,   378,   490,   515,  1119,  1120,   517,   795,  1103,
    1200,  1185,   516,   516,   524,   962,   972,   973,   974,  1204,
      29,   134,  1031,  1031,    59,  1031,   162,   168,   245,   294,
    1039,  1041,  1042,  1057,  1059,  1060,  1061,  1035,  1036,   174,
     219,   219,  1075,  1078,   515,    68,   278,   313,   352,   387,
     515,   856,   313,   348,   352,   387,   795,   313,   352,   387,
       3,    90,   143,   251,   313,   348,   352,   387,   420,   422,
     472,   560,   563,   939,   940,   941,   942,   826,    25,   139,
     313,   352,   387,   456,   576,  1206,    25,   139,   387,   451,
     544,   476,   192,  1075,    62,    97,   158,   195,   240,   278,
     282,   313,   314,   352,   361,   370,   379,   387,   399,   408,
     412,   467,   560,   564,   862,   874,   902,   515,   843,  1184,
     352,   544,   198,   154,    25,    31,    46,    76,   132,   139,
     142,   169,   205,   278,   282,   292,   301,   313,   352,   355,
     356,   387,   456,   572,   574,   575,   704,   902,     5,   506,
     507,   678,  1213,    29,   192,  1204,   794,   794,   515,   879,
     313,   387,   517,   154,   297,   313,   352,   387,   874,   902,
      25,   139,   313,   352,   387,   198,   539,   352,   472,   496,
     532,   539,   313,   352,   387,   874,   902,   297,   313,   352,
     154,    38,    60,   111,   201,   259,   263,   278,   312,   352,
     357,   381,   387,   401,   572,   675,   676,   313,   352,   464,
     704,   712,   154,   313,   352,   387,    25,    90,   132,   139,
     142,   313,   348,   352,   387,   394,   562,   550,   552,   198,
     154,    46,   130,   278,   352,   387,   572,   573,   313,   352,
     356,   387,    88,   131,   316,   422,   297,    25,    31,   139,
     313,   352,   387,   592,   593,   539,   168,   352,   532,   539,
     154,   352,   387,   572,  1206,   243,   121,   298,   477,   519,
     931,    29,   134,   461,   508,   516,   851,  1122,  1162,  1163,
    1222,  1122,  1183,     3,    29,    33,    34,    35,    36,    37,
      38,    39,    43,    57,    65,    66,    72,    78,    80,    91,
      98,   103,   104,   105,   107,   108,   109,   119,   121,   129,
     134,   135,   141,   145,   149,   160,   162,   168,   170,   174,
     180,   183,   187,   198,   207,   217,   219,   238,   239,   245,
     249,   250,   282,   287,   294,   297,   298,   302,   303,   321,
     330,   346,   360,   380,   386,   397,   413,   416,   417,   425,
     429,   430,   436,   445,   446,   452,   453,   461,   468,   469,
     471,   472,   508,  1207,  1224,  1226,  1227,  1228,  1229,  1182,
     516,   519,   160,   297,   436,   556,   559,   678,   966,   453,
     959,   297,   858,   515,   794,  1206,  1098,   846,   291,    74,
     161,   882,   846,   846,   168,  1098,   794,  1206,  1206,   516,
     637,  1206,    72,  1098,   282,   174,   515,   762,   532,    38,
     953,  1206,   282,   532,   476,   192,  1204,   532,   794,   794,
     762,   449,   611,   297,   168,   472,   870,   532,   282,    48,
     546,   282,   439,   711,   282,   971,    90,   313,   688,    88,
     131,   316,   422,    38,   762,   168,   192,   532,   465,   192,
    1204,   192,   665,  1204,  1204,   465,   794,    87,   528,  1209,
     434,  1209,  1209,  1206,   168,  1206,   686,    40,    54,   110,
     212,   278,   376,   154,    63,   358,   519,   529,   154,   515,
     154,   532,   154,   519,   529,   476,   154,   519,   529,   154,
     519,   192,   793,   192,   794,   192,   794,   154,   519,   529,
    1216,   154,   529,   154,   154,   529,   154,   529,   154,    88,
     131,   316,   422,   168,   154,   529,   154,   168,   192,   154,
     519,   529,   154,   519,   529,   154,   297,  1161,   417,   516,
     976,   807,  1013,   807,  1013,   807,  1013,   807,  1013,   807,
    1013,  1013,  1013,   807,  1013,   515,   638,   639,  1221,   638,
      29,   113,   137,   170,   176,   235,   236,   315,   334,   367,
     374,   381,   417,   420,   439,   815,  1203,  1216,   812,  1206,
     198,   519,   995,  1212,  1098,  1165,    38,  1216,   528,   516,
     528,   528,   528,   243,  1221,   168,   815,  1216,   168,   372,
    1221,   559,   297,   515,  1185,   513,  1017,  1166,  1122,  1180,
     515,   515,   168,   515,   515,  1017,   515,   515,   515,   515,
     515,   515,   515,   515,   515,   515,   515,   515,   515,   515,
    1122,   515,   515,   515,   515,   515,   515,   515,   515,   289,
     627,   515,   515,   515,   515,   515,   515,   515,   515,  1122,
    1122,  1122,  1017,  1122,  1161,  1184,  1212,   515,  1212,     3,
      10,    13,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    32,    33,    34,
      35,    36,    38,    39,    40,    41,    42,    43,    44,    45,
      46,    47,    48,    49,    50,    51,    52,    53,    54,    55,
      56,    57,    58,    59,    60,    61,    62,    63,    64,    65,
      66,    67,    68,    71,    72,    73,    74,    75,    76,    77,
      78,    79,    80,    81,    82,    83,    84,    85,    86,    87,
      88,    89,    90,    91,    92,    93,    94,    95,    96,    97,
      99,   100,   101,   102,   103,   104,   105,   106,   107,   108,
     109,   110,   111,   112,   113,   115,   116,   117,   118,   119,
     120,   121,   122,   123,   124,   125,   126,   127,   128,   129,
     130,   131,   132,   133,   134,   135,   136,   137,   138,   139,
     140,   141,   142,   143,   144,   145,   146,   147,   148,   150,
     151,   152,   153,   154,   155,   156,   157,   158,   159,   160,
     161,   164,   165,   166,   167,   169,   170,   171,   172,   173,
     175,   176,   177,   178,   179,   181,   182,   184,   185,   186,
     188,   189,   191,   192,   193,   194,   195,   196,   197,   198,
     199,   200,   201,   202,   203,   204,   205,   206,   207,   208,
     209,   210,   211,   212,   213,   214,   215,   216,   218,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   246,   247,   248,   249,   250,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     263,   264,   266,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,   292,   293,
     295,   296,   298,   299,   300,   301,   302,   304,   305,   306,
     307,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,   327,   328,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   446,   447,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,   461,   463,   464,
     465,   466,   467,   468,   470,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     491,   492,   494,   503,   504,   505,   506,   507,   508,   509,
     510,   511,  1156,  1158,  1160,  1225,  1230,   473,  1139,   309,
    1122,   163,  1140,   219,   519,  1028,   515,  1212,  1184,  1028,
     122,   194,   568,   519,    71,   119,   559,    38,     3,   119,
     248,   557,   678,  1117,  1212,  1212,    93,   136,  1134,   102,
     119,   553,   554,   556,   678,   119,   553,   243,  1204,    94,
     357,   798,   516,   968,    35,    45,    52,    78,   193,   198,
     221,   244,   299,   302,   392,   516,   519,  1023,  1205,    38,
     515,  1161,  1211,  1115,  1115,    37,  1099,   427,   427,  1211,
    1211,   513,   513,  1211,   429,   429,   429,   515,   429,  1211,
    1207,   517,  1103,   174,  1064,    15,   505,  1182,  1220,   516,
     519,   971,  1019,  1019,  1037,  1038,  1122,  1019,   165,   273,
    1048,   232,   278,   340,   390,   451,    29,  1043,  1122,   506,
     507,  1044,  1045,  1122,  1124,  1057,  1058,  1042,  1041,  1039,
    1040,   168,  1060,   292,  1062,  1039,  1057,  1078,   984,  1204,
    1078,    38,  1221,   387,  1161,    68,   429,   429,   374,   198,
     210,   303,   306,   389,   461,   508,   849,   850,   851,   853,
     855,   857,  1098,  1222,   429,   464,   429,   374,   429,   429,
     374,   245,   429,    79,   429,   420,   549,   313,   939,   941,
     505,   943,   168,   180,   198,   362,   827,   828,    72,    91,
     150,   170,   282,   330,   446,   633,   634,    91,   119,   282,
     429,    91,   429,   119,   282,   374,    91,   132,   142,   313,
     352,   759,   374,   694,    28,    66,   137,   176,   299,   334,
     367,   432,   439,   789,   790,  1206,   154,   352,   387,   572,
     297,   678,   379,   240,   429,  1221,   429,   287,   678,   123,
     220,   374,   385,   431,   551,   794,   358,   387,   862,   875,
     127,   516,   844,   849,   429,   452,   420,  1204,    80,   150,
     192,   618,   633,  1221,    80,    91,   899,   318,   297,   369,
     371,   434,    91,   899,    32,   355,   369,   371,   434,   369,
    1204,   169,   205,   292,   794,   515,   429,   429,   191,   515,
     580,    23,   254,   420,   449,   474,   580,    91,   519,   127,
       5,     5,   313,   198,   154,   352,   387,   572,   902,   453,
     453,   279,  1098,   429,   374,   515,   880,  1206,  1204,   429,
     429,   374,   875,   127,   106,   417,   418,   911,   912,  1076,
    1204,  1221,   912,   429,   429,   762,   912,   113,   387,   563,
     429,   534,   563,   429,   429,   374,   875,   127,  1204,   429,
     429,  1204,  1100,   678,    59,   677,   678,   678,   111,   259,
     263,    59,   429,   532,   267,   374,   532,   278,   676,   429,
     429,   287,  1212,   704,   794,   429,   429,   374,   403,   337,
    1212,   337,   429,   337,   429,   337,   762,   762,   420,  1075,
     318,   318,    91,   429,   899,   374,   429,   429,   580,   580,
     794,   794,   794,   794,  1204,    47,   458,    47,    47,   458,
     429,    47,   429,   458,   374,   515,   519,   563,   452,   720,
    1215,   429,   534,   563,  1204,   429,   899,   374,   313,   352,
     340,   353,   383,   555,   931,  1162,  1162,  1163,   516,    15,
      16,   519,  1035,  1036,   514,   520,  1204,   964,  1206,  1204,
     221,  1098,   221,   297,   221,   221,   678,   794,   794,   221,
     221,   221,  1098,   221,   221,   221,   297,   429,   174,   429,
     596,   439,   515,    38,   154,   794,   763,   764,  1224,   939,
    1098,   297,   154,   691,  1206,   282,   318,   515,   533,   776,
     453,   344,   465,  1204,    29,   912,   762,   533,   154,  1215,
      98,   180,   547,   610,   671,   734,   808,   830,   935,   154,
    1212,   712,   713,   154,   297,  1212,  1215,   251,   794,   794,
     794,   794,   146,   339,   515,   720,   282,   533,  1204,   282,
     673,   675,   282,    38,   292,   318,   515,   637,   637,   192,
     668,  1204,   168,   192,   526,  1221,   515,   766,   856,  1206,
     515,   847,   847,    38,  1098,    27,    50,   214,   735,   235,
     472,   474,  1015,   376,   859,   858,  1098,  1206,   515,   796,
    1098,   845,   846,  1216,  1215,   154,   529,   154,   453,   154,
     453,   881,   882,   529,   845,  1216,   845,  1206,  1206,  1098,
     796,  1216,   720,   154,   793,   794,  1205,  1206,  1206,   794,
     516,   192,  1204,   976,  1013,  1013,  1013,  1013,  1013,  1013,
     638,   516,   519,   516,   177,   335,   368,   382,   418,  1205,
     793,   112,   384,   845,  1205,   291,   813,   814,  1221,   845,
     845,  1205,  1203,  1203,  1205,   793,   429,   181,   472,   824,
     149,   245,   717,   718,    23,   152,   369,   390,   996,  1075,
     286,   997,   516,   519,   979,   429,  1204,  1206,  1204,   526,
     810,   811,   174,   824,   811,  1221,    28,    80,   137,   176,
     236,   334,   367,   439,   789,   790,  1161,   514,  1161,  1166,
    1167,   468,  1177,  1178,  1122,  1161,   515,  1211,  1211,     3,
     114,   190,   262,   265,   378,   490,  1168,  1169,  1212,  1161,
    1161,  1122,  1187,   360,  1017,  1018,  1187,  1190,  1197,  1187,
    1122,  1124,  1162,  1190,  1193,  1194,  1122,  1194,  1122,  1187,
    1161,  1211,  1211,  1122,  1122,   880,  1122,  1162,  1164,  1171,
     369,   506,   507,   515,  1123,  1124,  1158,  1172,   516,  1161,
    1122,  1164,  1173,  1122,    57,   174,   239,   430,  1122,  1161,
    1174,   134,   282,  1017,  1161,   267,  1124,  1122,  1132,  1133,
    1134,   267,  1122,  1134,   516,   519,  1211,  1119,  1098,  1122,
    1122,  1122,  1122,  1224,   248,   427,    43,   413,  1186,   794,
    1122,   515,  1017,  1175,   134,   136,   160,   225,   274,   275,
     276,   277,   281,   282,   287,   436,   447,  1170,  1191,  1122,
     515,  1122,   429,    52,   193,   198,   244,   392,  1122,  1122,
    1122,  1122,  1122,  1122,  1122,  1122,  1122,  1122,    29,    36,
     397,  1155,   183,  1140,   369,   515,  1152,   515,   308,  1144,
     179,   248,   417,   421,   423,   449,  1029,  1204,  1202,  1064,
    1162,  1064,  1204,   431,   515,  1212,   519,   516,   191,   191,
     529,   974,   963,   967,  1122,   516,   258,   282,  1024,  1161,
     516,   516,   513,   492,   492,   516,   516,  1211,   514,  1211,
     516,   190,   262,  1120,   262,  1120,  1120,  1211,   265,   516,
    1207,   225,   238,   370,   489,   515,  1017,  1065,  1066,  1067,
    1075,  1081,  1091,  1125,  1127,  1128,  1198,  1221,   469,  1086,
    1217,   974,   972,   519,    39,   129,   453,   839,   369,   370,
     506,   507,  1045,  1047,  1124,   390,   232,   298,   519,     5,
    1046,  1211,  1046,   369,   370,  1047,  1203,   286,   394,   998,
    1058,  1040,   453,   993,   119,   311,   515,   985,  1016,    38,
     453,  1221,   515,  1000,  1001,  1002,  1221,   516,  1215,  1206,
    1206,   306,    59,  1222,   516,   851,   853,   850,   853,  1222,
     303,   516,   519,   795,  1215,  1206,  1206,  1215,  1206,  1206,
    1215,   464,  1206,  1206,   119,   556,   678,   364,   452,   810,
     374,   180,   810,   515,  1206,   453,   832,   232,   287,   232,
     453,   627,   659,   192,  1206,   287,  1215,  1206,  1206,  1122,
     287,  1206,  1206,    32,   355,   429,   429,  1206,   429,   695,
     858,   515,  1098,   846,    74,   161,   882,   846,   846,   168,
    1098,   794,  1206,   186,   278,   313,   352,   457,   698,   699,
     700,  1075,   429,   899,   374,   287,   123,   220,  1215,  1206,
     297,  1206,   297,   516,   519,  1214,  1216,  1206,   352,   572,
     192,   618,   282,  1098,  1206,  1211,  1221,  1204,  1206,   243,
    1206,    29,   452,  1206,   192,  1206,   192,  1221,   371,   434,
     371,   434,   243,  1206,    29,   452,  1206,   243,   369,  1204,
      25,   139,   387,   705,   706,   707,   708,  1224,  1215,  1206,
     119,   175,   283,   453,   579,   582,   583,  1224,   261,  1206,
      76,   295,  1206,   575,   297,   429,   420,  1204,   429,   899,
     374,   127,  1206,  1206,   519,   516,   519,  1215,  1206,   905,
     906,  1224,   297,   352,   429,   728,  1215,  1206,  1206,   297,
    1075,   198,   519,   637,   637,  1184,  1215,  1206,  1206,  1214,
       3,    90,   144,   205,   320,   444,   452,   455,   535,  1215,
    1206,  1206,   297,   352,  1215,  1206,   352,   387,   572,   675,
     678,   794,  1206,   678,   794,  1206,   678,  1215,  1206,   387,
    1215,  1206,  1206,  1213,  1205,  1205,  1215,   870,  1206,  1205,
    1206,   352,   387,   572,   573,  1204,  1204,  1206,  1206,  1206,
    1206,  1215,  1206,    25,    31,   139,   313,   352,   387,   313,
     352,   387,   762,   352,   387,   352,   387,   352,   902,  1090,
    1221,   192,   772,  1221,   192,  1221,  1212,  1215,  1206,  1206,
    1212,  1206,   905,    25,   139,   593,   384,  1214,   352,   387,
     572,  1206,  1206,  1206,   429,   429,    85,   443,   340,   519,
    1035,  1035,  1035,  1122,  1122,   461,  1163,   516,  1122,  1183,
     959,   287,   800,  1212,    38,   800,   137,   794,   800,   800,
     221,   453,   453,   800,   800,   800,   235,   800,   800,   800,
     794,   336,   597,   597,   203,   417,   733,  1122,  1098,   794,
     516,   519,   505,   624,  1224,  1206,    63,   174,   374,   464,
     692,   699,   700,   154,   292,   244,   612,   614,   616,   618,
     630,   633,    26,   198,   364,   414,   535,   536,   168,  1206,
     465,  1204,    38,   729,   418,   870,   526,  1221,   546,   611,
     842,  1206,   170,   794,   515,   661,   662,  1127,  1221,   337,
    1212,   762,   762,   762,   762,   515,   762,  1088,  1089,  1090,
     384,   154,   515,   154,   154,   153,  1016,   794,   292,   612,
    1221,   453,   654,   472,   581,   282,    38,   637,  1212,   282,
     297,     3,   767,   768,   762,    27,   516,   848,   849,   854,
      38,   235,   361,   432,   471,   860,   861,   862,   863,   860,
     297,   235,   292,   124,   213,   437,   451,   736,   737,  1206,
     189,   189,   168,   529,    38,   532,   169,   947,   948,   529,
     529,   793,   794,  1206,   794,  1206,   529,   529,   529,   529,
     235,   529,   384,   168,   529,   529,   297,   529,   282,   516,
     639,   198,   198,   198,   198,   198,   476,  1205,   678,   679,
     519,   517,   183,   816,   817,  1215,    59,   821,   822,  1224,
     429,   515,   174,   152,   390,   152,   390,   369,   451,   264,
    1098,  1215,   472,   666,   297,   816,   529,   174,   858,   794,
    1098,   846,   291,   846,   846,  1098,   794,  1206,   516,   514,
     514,   519,  1122,   141,  1178,  1179,    38,   516,  1122,   516,
     516,   516,   174,   516,   516,   493,  1188,  1189,   472,   474,
    1192,  1098,  1189,   516,    21,   287,   519,  1196,   303,  1199,
     520,   458,   516,   516,    21,   287,   519,  1195,  1195,   516,
    1190,   516,   516,   516,   516,   519,   519,   516,   321,   516,
     516,   515,  1123,  1123,  1161,    13,    17,    18,    19,   198,
     221,   299,   503,   504,   505,   506,   507,   508,   509,   510,
     511,  1158,  1123,   516,   516,   168,   174,   392,   516,   516,
      38,  1174,  1161,  1174,  1174,   174,   516,   134,   516,  1224,
     319,  1137,    38,   516,   519,  1122,  1224,   519,  1122,  1185,
    1122,   516,   492,  1123,  1123,   147,  1161,   174,    37,   291,
     373,   458,   134,   136,   160,   281,   287,   436,   447,  1170,
    1191,   281,  1192,   147,   880,  1122,   413,  1186,  1122,  1175,
    1122,   429,   515,  1017,   515,  1144,   515,  1161,   469,   515,
    1145,  1221,   421,   423,   421,   423,  1204,  1030,  1030,  1030,
    1086,  1035,  1086,   932,  1211,  1119,   554,   974,   258,   515,
     516,  1211,  1118,  1118,   514,   514,   516,  1017,  1081,  1091,
     174,   515,  1017,  1066,  1067,    38,  1068,  1069,  1221,   519,
      99,   175,   209,   224,   242,   270,   363,  1072,  1069,    38,
    1068,  1071,  1221,  1069,   496,  1085,  1184,  1122,   183,  1049,
    1038,   299,  1156,  1159,   495,   840,     5,  1211,  1047,   298,
     472,   451,  1044,   253,  1065,   469,  1087,   459,   415,   452,
     986,   987,   988,  1221,   297,   989,  1221,  1066,  1002,  1003,
     519,  1064,   505,  1185,   857,   795,   853,   853,    59,   855,
     510,  1216,  1216,   297,  1205,   300,   297,  1122,   634,  1206,
     515,   515,  1221,   515,   659,   203,   515,   752,   154,   529,
     429,  1215,  1206,   559,  1098,   794,   794,  1098,   682,  1206,
     186,   457,   429,   429,   682,   698,   704,   352,   387,   572,
    1206,  1206,  1206,   211,   287,   157,   849,   312,   387,   429,
     282,   154,   406,   622,   623,   752,   387,    25,   139,   356,
     357,   387,   576,   584,   585,   704,   900,   379,   154,   529,
     154,   529,  1206,  1206,  1206,  1206,   379,   379,   243,   707,
     708,   707,   516,   519,   709,  1212,   203,   516,   519,   505,
     517,   119,   587,  1221,   157,  1215,  1206,   352,   387,   572,
    1206,  1206,  1206,   297,   313,   352,   387,    25,   139,   313,
     352,   387,  1098,   279,  1098,   516,   519,   505,  1204,   429,
    1216,   453,   725,   157,   637,   374,   911,   469,   644,   644,
     637,   245,   320,   287,  1212,   320,  1216,   450,   157,   429,
     429,   374,   403,   870,   870,   870,   312,   387,    91,   429,
     899,   374,   119,   168,   588,   164,   528,   429,   429,   255,
     255,   255,   429,   429,   374,   429,   429,   374,   429,   374,
     429,   374,   429,   127,   529,  1098,   282,  1212,   387,   900,
     154,   529,   429,   429,   516,  1206,   429,   899,   374,   429,
    1215,  1206,   516,   516,   516,  1163,   514,  1098,   794,   221,
     800,  1206,  1206,  1206,   221,   404,   405,   598,  1212,   598,
     186,   516,   516,   174,   762,   764,   279,   299,   506,   507,
     678,   765,   853,  1159,  1212,  1229,    72,    78,    91,   119,
     121,   178,   207,   282,   287,   330,   346,   446,   625,   626,
     629,   153,   468,   532,   559,  1206,   559,   301,   702,  1204,
    1204,  1204,   516,   519,  1216,   183,   364,  1216,  1211,   439,
    1204,   637,     3,   168,   730,   870,    48,   546,   417,   711,
     112,   971,  1122,   174,   519,  1205,   581,   769,   770,  1212,
     516,   519,  1206,   168,   638,  1204,   665,  1204,  1206,   666,
     515,   613,  1204,   516,  1206,   472,   474,   655,   580,    38,
     154,  1016,   654,   429,   154,  1075,   505,   516,   519,   736,
     516,   519,   119,   505,   864,  1212,   559,   417,   852,   853,
     168,   869,    51,   359,   865,   866,   863,   866,   124,   213,
     380,   451,   922,  1206,   292,   297,   302,   186,  1016,  1098,
     515,   516,   519,   529,   453,   529,   453,   529,  1206,  1206,
     720,   794,   154,   374,   374,   374,   374,   374,  1205,   519,
     814,  1221,  1215,   472,   519,   818,  1215,   519,   824,   160,
     300,   436,   823,  1077,   384,   152,   152,   112,   278,   815,
     824,  1216,   221,   221,   221,   221,   678,   221,   221,   221,
     221,   221,  1166,   425,  1122,   145,  1098,   516,  1122,   225,
     446,   446,   516,  1189,  1190,   297,   297,  1187,  1190,    59,
    1196,  1187,  1187,   297,   297,  1194,  1192,  1192,   516,  1170,
    1122,  1122,   516,  1161,   519,  1098,  1123,  1123,  1123,  1123,
     134,   136,   282,  1123,  1123,  1123,  1123,  1123,  1123,  1123,
    1123,  1123,  1123,  1122,  1122,  1122,  1098,   516,   516,   516,
    1161,   516,   519,    59,  1124,  1138,   516,  1224,  1133,   327,
     409,  1136,   516,   519,   464,  1129,    38,   516,  1212,  1122,
      35,    35,  1122,   516,  1122,   174,   281,  1192,  1122,   516,
     147,  1123,  1123,   147,   147,  1122,  1122,  1036,   516,  1161,
     519,  1122,  1146,  1221,  1030,  1030,  1030,  1030,  1204,  1204,
    1204,  1049,   516,  1049,   516,   979,   514,  1069,  1071,  1069,
     515,   484,  1124,   516,  1221,   515,  1066,   224,   307,  1073,
    1066,  1073,   224,  1072,  1073,   224,   419,  1079,   515,  1221,
     515,   304,    59,   187,  1056,   515,   840,   165,   237,   298,
     472,   426,   102,  1122,   360,   991,   458,   516,   519,  1185,
      89,   991,   297,   516,   519,  1001,  1087,  1122,   516,   510,
     857,   439,   177,   368,   375,   382,   418,   440,   829,   168,
     829,   516,   515,   642,   643,   835,  1127,  1221,   638,   752,
     638,   752,  1206,   638,   121,   207,   278,   282,   753,  1206,
    1206,    38,   453,   453,   235,   795,  1215,  1206,   429,   899,
     374,   429,   211,  1206,    59,   420,  1206,   154,   618,   119,
    1221,    86,   620,   621,   403,   178,   156,   191,   282,   580,
     532,   112,   156,   178,   282,   403,   580,   620,   622,   676,
     387,   585,   439,  1206,  1221,   379,   706,  1206,   583,   765,
    1224,  1206,   312,   387,   429,   899,   374,   429,   157,   429,
     429,   374,   176,   299,   406,   774,   775,   176,   299,   782,
     783,   429,   429,   374,   516,   516,   516,   906,   279,   678,
     853,   907,  1159,  1212,  1229,   352,  1206,   515,   472,   726,
    1206,   644,   106,  1221,   515,   644,  1213,  1212,  1212,  1212,
    1206,  1206,  1206,  1206,  1213,    59,   420,  1206,  1206,  1206,
    1206,   459,  1206,  1206,   168,   168,   354,   168,   192,  1215,
    1206,  1206,  1215,  1206,  1206,  1206,  1206,  1206,  1206,  1206,
     297,    78,   577,   154,    27,    50,   439,  1221,  1206,  1212,
     704,  1206,  1206,  1206,  1206,  1035,   516,   221,   800,   221,
     221,   221,   800,   532,   453,   603,   604,   682,   752,   472,
     474,   794,   515,   794,  1206,  1123,    32,    59,   628,   122,
     194,   121,   287,   232,  1204,   627,   176,   334,   748,   755,
     756,  1221,   691,   515,   318,   515,   613,   631,   206,   649,
     616,  1216,  1216,  1098,   515,   581,    29,   124,   213,   380,
     451,   731,   429,   727,  1215,   192,  1204,   713,   476,   297,
     516,  1065,   662,   870,   516,   519,  1090,   702,   720,   516,
     673,    38,   292,   318,   515,   981,   615,   617,   619,   633,
    1221,   318,   650,   651,   613,   649,   580,   295,   297,   656,
    1016,   668,   666,   581,  1212,  1206,   832,   765,     3,   768,
     297,   854,  1122,  1122,   519,   515,   860,   439,   519,    44,
    1122,   429,   515,   638,  1204,   737,   682,   516,   947,   948,
    1206,  1206,   529,   384,   529,  1205,  1205,  1205,  1205,  1205,
     678,   180,   817,   824,   822,   516,  1206,   112,   174,   529,
     824,   287,   803,  1212,   803,   803,   803,   221,   803,   803,
     803,   803,   803,  1122,   516,   143,   233,   233,   516,   287,
     287,   516,  1037,  1190,   287,   287,  1190,  1190,   516,   516,
     174,   516,  1122,   174,   134,   136,   174,   168,   147,   516,
     479,  1131,  1161,   345,   458,    59,  1138,  1124,   470,   470,
     516,  1122,   278,  1122,   519,  1130,  1100,  1122,  1122,  1122,
    1122,    35,    35,  1122,  1122,   147,   516,   516,   516,  1122,
     516,   318,  1147,  1204,  1204,  1204,  1204,  1056,  1212,  1056,
    1212,   516,  1082,  1083,  1127,   515,  1137,  1068,   515,  1205,
    1066,   297,   453,  1074,  1066,   224,  1066,  1209,  1089,   515,
    1089,  1221,  1031,  1122,   471,  1141,   880,   426,   292,  1201,
    1016,   311,  1016,   988,   297,   515,   990,  1122,   505,  1002,
     991,   439,   516,   429,   810,   174,   752,  1122,   516,   519,
     472,    78,   834,   838,   834,   516,   474,   636,   636,   122,
     194,   205,   121,   455,   529,  1098,  1206,  1206,  1206,  1206,
    1206,  1206,  1206,  1216,  1206,   618,   119,  1221,   702,   119,
     586,  1213,   628,   192,   192,   287,   678,    38,   628,   287,
     586,  1098,   529,   529,   505,    59,   420,  1206,  1206,  1206,
    1206,  1206,  1215,  1206,  1206,  1211,  1211,  1098,   519,  1211,
    1211,   519,  1215,  1206,  1206,   429,  1122,    72,  1122,  1216,
    1206,   429,   429,   174,   198,   472,  1205,  1205,   794,  1205,
     154,   157,   794,  1212,  1212,  1098,   529,   529,   429,   516,
     221,   800,   800,   800,   800,   515,   599,   600,   532,   126,
     176,   210,   176,  1122,   282,   626,   119,    38,   278,   635,
     870,   637,   870,  1209,    35,   153,   198,   703,   707,   292,
     612,   588,   151,   200,   515,   384,   453,   638,    38,  1216,
     725,   546,   282,   515,   170,  1206,   661,  1212,   384,   581,
     153,  1016,   794,   292,   612,   666,   516,   519,   472,   624,
      59,   654,   588,   650,    84,   420,   657,   472,   936,    38,
     657,   174,   297,   515,  1204,  1212,   851,   871,   872,  1222,
     866,  1098,   168,   867,  1204,   174,   429,   891,   347,   738,
     208,   683,   529,   516,   529,   529,  1206,   300,   219,   816,
     529,   803,  1206,   516,   516,   516,  1122,   516,  1123,   174,
    1122,  1122,  1122,   515,   516,   519,   516,  1138,   516,   458,
     400,   516,   202,   278,  1135,  1122,  1122,  1122,   516,    59,
    1035,  1141,  1141,   377,  1025,   516,   519,    38,  1084,   119,
    1096,  1097,  1123,    81,  1205,   516,  1122,   515,  1066,  1074,
     515,   516,  1089,   516,   101,   184,   366,   515,  1050,  1051,
    1052,  1053,  1054,  1055,  1122,  1142,  1143,  1221,  1035,   516,
    1013,   986,    91,   833,   835,   135,   468,  1005,  1006,  1122,
     816,   297,   816,   516,   199,   640,   643,   299,   880,   794,
     527,   794,   346,   309,   516,   516,   516,   429,   387,   997,
     624,    38,   154,   154,   515,   577,   765,  1216,  1206,   429,
     515,   846,   880,   882,   775,   515,   515,   783,  1206,   516,
     515,   516,   387,   997,  1206,  1206,   515,   515,   515,   472,
     496,   956,   354,   956,   956,   168,  1206,   577,  1206,   800,
     605,   606,  1224,    54,   100,   125,   143,   147,   169,   173,
     188,   287,   338,   601,   599,  1212,   846,    38,   887,   887,
     516,   191,   515,   205,   453,   658,   256,   641,   658,   515,
     756,   748,   515,   516,   519,  1204,   516,   384,    29,    83,
      86,    92,   120,   178,   191,   204,   403,   406,   632,   632,
    1203,  1206,  1206,   516,  1016,   726,   154,   112,   702,   174,
    1206,    38,  1206,   666,   613,  1204,   516,   617,   301,  1221,
     655,   650,   654,   124,   139,   327,  1206,    64,    72,   248,
    1016,   794,  1075,   833,   174,   751,   853,   516,   519,   439,
     145,   525,   865,   868,  1086,   398,   398,   516,   272,   296,
     739,   740,   741,   168,   744,   682,   278,   457,   684,   685,
    1206,   824,   168,  1123,  1132,  1161,   278,   491,   202,   516,
    1161,   185,   339,   370,  1148,    58,   128,   111,  1026,  1085,
    1082,   515,  1123,   516,   519,    38,  1092,  1093,  1221,   516,
    1205,  1161,   516,   515,   388,   515,   516,   519,   519,    38,
    1040,   458,  1206,   516,   519,   283,   451,   257,   282,  1006,
     818,   829,   529,   834,   515,   870,   515,   839,   580,  1204,
     640,   640,  1206,   420,   191,  1122,   453,   578,   387,   997,
    1206,  1165,   168,   778,   778,  1165,  1165,  1122,   420,  1161,
    1161,   589,   590,  1223,   793,   794,   793,   794,  1205,   529,
     516,   519,   508,   515,   556,   607,   678,   953,  1212,   953,
     282,   287,   338,   953,   953,  1086,   887,    42,   196,   635,
     515,   674,  1122,   203,   175,   317,   393,   297,   645,   646,
     647,   516,  1209,     6,   757,   707,   613,   649,  1206,   516,
     702,   161,   777,   581,   936,  1204,   476,  1065,   702,  1016,
     981,   650,   613,   649,   624,   515,   656,   654,   655,   370,
     370,    72,   300,    72,   666,   832,   516,  1204,   752,   860,
     871,  1098,   518,   135,   472,   472,   740,   369,   417,   742,
     140,   745,   468,   747,   457,   682,   702,   529,  1122,   516,
     516,   458,    52,   102,   442,  1122,  1149,  1150,  1149,  1149,
     516,   165,   165,   638,  1089,   519,  1097,  1224,   516,   519,
     168,  1098,   516,   516,  1161,   515,  1161,  1051,  1143,  1145,
    1058,  1016,  1086,   835,   387,    35,  1007,   257,   174,   638,
     658,   880,   840,   839,   637,   870,   870,  1206,   674,   516,
    1122,   420,   516,   303,   377,   343,   779,   779,   516,   516,
     516,  1206,   516,   516,   516,   519,  1211,   956,   606,   556,
     608,   609,  1212,  1212,   287,   508,   638,   508,   638,  1212,
    1212,   675,   516,   420,   124,   451,   297,   647,   297,   646,
     515,   516,   519,   588,   384,   702,   794,    38,    38,   515,
    1206,   936,   666,   654,   588,   650,   515,   652,   653,  1127,
    1221,   657,   655,   656,   300,   300,   515,   199,   836,   168,
     866,    30,   214,   923,   176,   176,   953,   369,   402,   746,
     515,   153,  1150,   369,   167,   325,   167,   325,   150,  1151,
    1151,  1151,    59,    59,   387,   516,  1124,  1093,   304,     3,
     119,   282,   287,  1094,  1095,    38,  1070,   353,  1080,   516,
    1050,   516,  1000,  1122,   425,  1007,   816,   516,   644,   516,
     840,   641,   658,   658,   997,  1206,   846,    59,   997,   429,
     589,   794,   516,   519,   508,   638,   516,   407,  1206,    63,
     278,   358,   387,   648,   648,   516,     6,   384,  1206,   774,
    1016,   702,   655,   650,   654,  1122,   516,   519,   838,   838,
     656,   657,   833,   515,   627,   140,   283,   515,   918,   920,
     924,   983,   992,   999,  1016,  1027,   846,   846,   743,  1221,
    1122,   748,    35,   102,   183,   278,   426,   638,   638,  1221,
    1137,  1123,  1123,   287,  1095,  1221,   515,   516,  1086,   124,
     135,   451,  1008,  1009,   425,   529,   752,   645,   752,   752,
     997,   794,   515,   609,    24,   119,   287,  1206,   702,   936,
     656,   654,   655,   516,   653,   527,   527,   657,   516,   835,
     837,   581,   369,   919,   920,   921,  1017,  1018,   519,   519,
     516,  1209,  1150,   369,   305,   387,   387,   429,   453,    81,
    1122,   283,   387,   135,   213,  1010,   752,  1161,   637,   637,
     702,   657,   655,   656,   838,   836,   516,   519,   657,   747,
     516,   518,   429,   174,   515,  1221,  1221,   225,  1209,  1210,
    1221,  1092,   516,  1000,   283,   119,   311,   459,   515,  1011,
     516,   656,   657,   527,   627,   835,  1086,   153,   921,   398,
     398,     5,   749,   750,  1211,  1212,  1224,   515,   119,   516,
     459,   986,   515,   987,   657,   581,   748,   472,   472,   516,
     519,  1162,  1210,   458,  1161,   516,   657,  1209,   176,   176,
     750,  1035,   453,  1011,   516,   311,  1011,  1086,   515,   846,
     846,   516,  1221,   986,   749,   458,   516,  1011
};

/* YYR1[RULE-NUM] -- Symbol kind of the left-hand side of rule RULE-NUM.  */
static const yytype_int16 yyr1[] =
{
       0,   521,   522,   522,   522,   522,   522,   522,   523,   523,
     524,   524,   525,   525,   525,   525,   525,   525,   525,   525,
     525,   525,   525,   525,   525,   525,   525,   525,   525,   525,
     525,   525,   525,   525,   525,   525,   525,   525,   525,   525,
     525,   525,   525,   525,   525,   525,   525,   525,   525,   525,
     525,   525,   525,   525,   525,   525,   525,   525,   525,   525,
     525,   525,   525,   525,   525,   525,   525,   525,   525,   525,
     525,   525,   525,   525,   525,   525,   525,   525,   525,   525,
     525,   525,   525,   525,   525,   525,   525,   525,   525,   525,
     525,   525,   525,   525,   525,   525,   525,   525,   525,   525,
     525,   525,   525,   525,   525,   525,   525,   525,   525,   525,
     525,   525,   525,   525,   525,   525,   525,   525,   525,   525,
     525,   525,   525,   525,   525,   525,   525,   525,   525,   525,
     525,   525,   525,   525,   525,   525,   525,   526,   526,   527,
     527,   528,   528,   529,   529,   529,   530,   531,   532,   532,
     532,   533,   533,   534,   534,   535,   535,   535,   535,   535,
     535,   535,   535,   535,   536,   536,   536,   536,   536,   536,
     537,   538,   538,   539,   539,   540,   540,   540,   540,   541,
     541,   541,   541,   541,   541,   542,   543,   544,   544,   545,
     545,   545,   545,   546,   546,   547,   547,   547,   547,   547,
     547,   548,   548,   548,   549,   549,   549,   550,   550,   550,
     550,   551,   551,   551,   551,   551,   551,   551,   551,   551,
     551,   551,   552,   552,   553,   553,   554,   554,   555,   555,
     555,   555,   556,   556,   556,   556,   557,   557,   557,   557,
     557,   557,   557,   558,   558,   558,   559,   559,   560,   561,
     561,   561,   561,   562,   562,   563,   563,   564,   564,   565,
     565,   565,   565,   565,   566,   567,   567,   568,   568,   569,
     570,   570,   570,   570,   570,   571,   571,   571,   571,   571,
     571,   571,   571,   571,   571,   571,   571,   571,   571,   571,
     571,   571,   571,   571,   571,   571,   572,   572,   573,   573,
     573,   574,   575,   575,   575,   575,   575,   575,   575,   575,
     575,   575,   575,   575,   575,   575,   575,   575,   575,   575,
     575,   575,   575,   575,   575,   575,   575,   575,   575,   575,
     575,   575,   575,   575,   575,   575,   575,   575,   575,   575,
     575,   575,   575,   575,   575,   575,   575,   575,   575,   575,
     575,   575,   575,   575,   575,   575,   575,   575,   575,   575,
     575,   575,   575,   576,   576,   577,   577,   578,   578,   579,
     579,   579,   579,   580,   581,   581,   582,   582,   583,   583,
     583,   583,   584,   584,   585,   585,   585,   585,   586,   586,
     587,   587,   588,   588,   588,   588,   589,   590,   590,   591,
     592,   592,   593,   593,   593,   593,   594,   594,   595,   595,
     596,   596,   597,   597,   598,   598,   598,   599,   599,   600,
     600,   601,   601,   601,   601,   601,   601,   601,   601,   601,
     601,   601,   601,   601,   601,   601,   602,   602,   603,   603,
     604,   604,   605,   605,   606,   607,   607,   607,   607,   607,
     608,   608,   609,   610,   610,   610,   610,   610,   610,   611,
     611,   611,   611,   611,   611,   611,   611,   612,   612,   613,
     613,   614,   614,   615,   615,   616,   616,   616,   617,   617,
     618,   619,   619,   620,   620,   621,   621,   622,   622,   623,
     623,   624,   624,   625,   625,   625,   625,   626,   626,   626,
     626,   626,   626,   626,   626,   626,   627,   627,   627,   628,
     628,   629,   629,   629,   629,   630,   631,   631,   631,   632,
     632,   632,   632,   632,   632,   632,   632,   632,   632,   633,
     633,   634,   634,   634,   634,   634,   634,   634,   634,   635,
     635,   636,   636,   637,   637,   638,   638,   639,   640,   640,
     641,   641,   641,   641,   642,   642,   643,   643,   644,   644,
     645,   645,   645,   645,   645,   646,   647,   648,   648,   648,
     648,   648,   649,   649,   650,   650,   651,   652,   652,   653,
     653,   653,   654,   654,   655,   655,   655,   656,   656,   656,
     656,   657,   657,   658,   658,   659,   660,   660,   661,   661,
     662,   662,   662,   663,   663,   664,   664,   665,   666,   666,
     666,   667,   667,   668,   669,   669,   670,   671,   671,   672,
     672,   673,   673,   674,   674,   675,   675,   676,   676,   676,
     676,   676,   676,   676,   676,   676,   676,   676,   676,   676,
     676,   677,   677,   678,   678,   678,   678,   679,   679,   680,
     680,   681,   681,   682,   682,   683,   683,   684,   684,   685,
     685,   686,   686,   687,   688,   688,   689,   689,   690,   690,
     691,   691,   692,   692,   692,   692,   693,   694,   694,   695,
     696,   696,   696,   696,   696,   696,   696,   696,   696,   696,
     696,   696,   696,   697,   698,   698,   698,   698,   699,   699,
     700,   700,   701,   701,   702,   702,   703,   703,   704,   705,
     705,   706,   706,   706,   706,   707,   708,   709,   710,   710,
     711,   711,   712,   712,   713,   713,   714,   714,   714,   715,
     715,   715,   715,   716,   717,   717,   718,   718,   719,   719,
     720,   720,   721,   721,   722,   723,   724,   725,   725,   726,
     726,   727,   727,   728,   728,   729,   729,   730,   730,   731,
     731,   731,   731,   731,   732,   733,   733,   734,   734,   735,
     735,   735,   736,   736,   737,   737,   737,   737,   737,   738,
     738,   739,   739,   740,   741,   741,   742,   742,   743,   744,
     744,   745,   745,   746,   746,   747,   747,   748,   748,   749,
     749,   749,   750,   750,   750,   750,   751,   751,   752,   752,
     753,   753,   753,   753,   753,   753,   754,   754,   755,   755,
     756,   757,   757,   758,   759,   759,   759,   759,   760,   761,
     761,   761,   761,   761,   761,   761,   761,   761,   761,   761,
     761,   761,   761,   761,   761,   762,   763,   763,   764,   764,
     765,   765,   765,   765,   765,   765,   766,   767,   767,   768,
     769,   769,   770,   770,   771,   771,   771,   771,   771,   772,
     772,   773,   774,   774,   775,   775,   775,   775,   775,   776,
     776,   777,   777,   778,   778,   778,   779,   779,   780,   781,
     781,   782,   782,   783,   783,   784,   784,   785,   785,   786,
     787,   788,   788,   788,   788,   788,   788,   788,   788,   788,
     788,   788,   788,   789,   789,   789,   789,   789,   789,   789,
     789,   789,   789,   789,   789,   789,   790,   790,   790,   790,
     790,   791,   791,   791,   791,   791,   791,   791,   791,   792,
     792,   792,   793,   793,   794,   794,   795,   795,   796,   796,
     797,   798,   798,   798,   799,   799,   799,   799,   799,   799,
     799,   799,   799,   799,   799,   799,   799,   799,   799,   799,
     799,   799,   800,   800,   801,   801,   801,   801,   801,   801,
     801,   801,   801,   801,   802,   802,   803,   803,   804,   804,
     805,   805,   805,   805,   805,   805,   805,   805,   805,   805,
     805,   805,   805,   805,   805,   805,   806,   806,   807,   807,
     808,   809,   809,   810,   810,   810,   810,   810,   811,   811,
     812,   812,   812,   812,   812,   813,   813,   814,   814,   815,
     815,   815,   815,   815,   815,   815,   815,   815,   815,   815,
     815,   815,   815,   815,   815,   815,   815,   815,   815,   815,
     816,   816,   817,   817,   818,   818,   819,   819,   820,   820,
     821,   821,   822,   823,   823,   823,   824,   824,   825,   826,
     826,   827,   827,   827,   828,   828,   828,   829,   829,   829,
     829,   829,   829,   830,   830,   831,   831,   832,   832,   833,
     833,   834,   834,   835,   835,   835,   836,   836,   837,   837,
     838,   838,   839,   839,   839,   840,   840,   840,   841,   841,
     841,   841,   842,   842,   843,   843,   844,   844,   845,   845,
     846,   846,   846,   846,   847,   847,   848,   848,   849,   849,
     849,   849,   849,   850,   850,   850,   850,   850,   851,   852,
     853,   853,   853,   854,   854,   854,   855,   856,   856,   856,
     856,   857,   857,   858,   859,   859,   860,   860,   861,   861,
     862,   862,   862,   862,   862,   862,   862,   862,   862,   862,
     862,   862,   862,   862,   862,   862,   862,   863,   863,   863,
     863,   863,   864,   864,   865,   866,   866,   866,   867,   867,
     868,   868,   869,   869,   870,   870,   871,   872,   872,   873,
     873,   873,   874,   874,   875,   875,   876,   876,   876,   876,
     876,   876,   877,   877,   878,   878,   879,   879,   879,   879,
     880,   880,   881,   881,   882,   883,   884,   884,   885,   885,
     886,   886,   886,   887,   887,   887,   888,   889,   889,   890,
     891,   891,   891,   891,   892,   893,   893,   893,   894,   894,
     895,   895,   896,   896,   897,   897,   898,   898,   898,   898,
     898,   898,   898,   898,   898,   898,   898,   898,   898,   898,
     898,   898,   898,   898,   898,   898,   898,   898,   898,   898,
     898,   898,   898,   898,   898,   898,   898,   898,   898,   898,
     898,   898,   898,   898,   898,   898,   898,   898,   898,   898,
     898,   898,   898,   898,   898,   898,   898,   898,   898,   898,
     898,   899,   899,   900,   900,   901,   901,   901,   901,   901,
     901,   902,   902,   903,   903,   903,   903,   903,   903,   903,
     903,   903,   903,   903,   903,   903,   903,   903,   903,   903,
     903,   903,   903,   903,   903,   903,   903,   903,   903,   903,
     904,   905,   905,   906,   906,   906,   907,   907,   907,   907,
     907,   908,   909,   909,   909,   909,   909,   909,   909,   909,
     909,   909,   909,   909,   909,   909,   909,   909,   909,   909,
     909,   909,   909,   909,   909,   909,   910,   910,   910,   911,
     911,   911,   911,   911,   911,   911,   912,   912,   913,   913,
     913,   913,   914,   915,   915,   915,   915,   915,   915,   915,
     915,   915,   916,   916,   917,   918,   918,   918,   919,   919,
     920,   920,   920,   920,   920,   921,   921,   922,   922,   922,
     922,   923,   923,   923,   924,   925,   925,   926,   927,   927,
     928,   928,   928,   928,   928,   928,   928,   928,   928,   928,
     928,   928,   929,   929,   930,   930,   930,   931,   931,   931,
     931,   931,   932,   932,   932,   933,   933,   934,   934,   934,
     935,   935,   935,   935,   936,   936,   936,   936,   937,   938,
     939,   939,   940,   940,   941,   941,   941,   942,   942,   942,
     942,   942,   942,   942,   943,   943,   944,   944,   944,   944,
     945,   946,   946,   946,   946,   947,   947,   948,   949,   950,
     950,   951,   952,   952,   952,   952,   952,   952,   952,   953,
     953,   954,   955,   955,   955,   955,   955,   955,   956,   956,
     957,   958,   958,   958,   958,   958,   959,   959,   960,   960,
     961,   961,   962,   962,   963,   963,   964,   965,   965,   965,
     966,   966,   966,   967,   967,   968,   968,   969,   969,   970,
     970,   971,   971,   972,   973,   973,   974,   974,   975,   975,
     975,   975,   976,   976,   976,   976,   976,   976,   976,   976,
     976,   976,   977,   978,   978,   979,   979,   979,   979,   979,
     980,   980,   980,   981,   981,   982,   982,   982,   982,   983,
     984,   984,   985,   985,   985,   985,   985,   986,   986,   987,
     987,   988,   989,   989,   989,   990,   990,   990,   991,   991,
     992,   993,   993,   994,   995,   995,   996,   996,   996,   996,
     996,   996,   996,   996,   997,   997,   998,   998,   998,   999,
    1000,  1000,  1001,  1001,  1002,  1003,  1003,  1004,  1005,  1005,
    1006,  1006,  1006,  1006,  1006,  1007,  1007,  1008,  1009,  1010,
    1010,  1010,  1010,  1010,  1011,  1012,  1013,  1014,  1014,  1014,
    1014,  1014,  1014,  1015,  1015,  1015,  1016,  1016,  1017,  1017,
    1018,  1018,  1018,  1018,  1018,  1018,  1018,  1018,  1019,  1019,
    1020,  1020,  1020,  1020,  1020,  1020,  1020,  1021,  1021,  1021,
    1022,  1022,  1023,  1024,  1024,  1024,  1025,  1025,  1025,  1026,
    1026,  1026,  1027,  1027,  1028,  1028,  1029,  1029,  1029,  1029,
    1029,  1029,  1029,  1029,  1029,  1030,  1030,  1031,  1031,  1031,
    1032,  1032,  1033,  1033,  1034,  1034,  1035,  1035,  1036,  1037,
    1037,  1038,  1038,  1039,  1039,  1039,  1039,  1040,  1040,  1041,
    1041,  1041,  1041,  1041,  1041,  1042,  1042,  1043,  1043,  1044,
    1045,  1045,  1045,  1046,  1046,  1047,  1047,  1048,  1048,  1049,
    1049,  1050,  1050,  1051,  1051,  1051,  1051,  1051,  1052,  1053,
    1054,  1055,  1056,  1056,  1057,  1057,  1058,  1058,  1059,  1059,
    1060,  1061,  1061,  1061,  1061,  1062,  1062,  1063,  1063,  1064,
    1064,  1065,  1065,  1066,  1066,  1066,  1066,  1066,  1066,  1066,
    1066,  1066,  1066,  1067,  1067,  1067,  1067,  1067,  1067,  1068,
    1068,  1068,  1068,  1069,  1069,  1070,  1070,  1071,  1071,  1071,
    1071,  1071,  1072,  1072,  1072,  1072,  1073,  1073,  1074,  1074,
    1075,  1075,  1076,  1076,  1076,  1077,  1077,  1078,  1078,  1078,
    1079,  1080,  1080,  1081,  1081,  1082,  1083,  1083,  1084,  1084,
    1085,  1085,  1086,  1086,  1087,  1087,  1087,  1088,  1088,  1089,
    1089,  1090,  1091,  1091,  1092,  1092,  1093,  1093,  1093,  1094,
    1094,  1095,  1095,  1095,  1095,  1096,  1096,  1097,  1097,  1098,
    1098,  1098,  1098,  1098,  1098,  1099,  1099,  1099,  1100,  1100,
    1100,  1100,  1100,  1100,  1100,  1100,  1101,  1101,  1101,  1101,
    1101,  1102,  1102,  1103,  1103,  1104,  1104,  1104,  1104,  1104,
    1104,  1104,  1104,  1104,  1104,  1104,  1105,  1105,  1106,  1106,
    1107,  1107,  1108,  1109,  1110,  1110,  1111,  1111,  1112,  1113,
    1114,  1114,  1114,  1114,  1114,  1114,  1115,  1115,  1116,  1116,
    1116,  1116,  1117,  1118,  1118,  1118,  1119,  1119,  1119,  1119,
    1119,  1119,  1119,  1119,  1119,  1119,  1119,  1119,  1119,  1119,
    1120,  1120,  1121,  1122,  1122,  1122,  1122,  1122,  1122,  1122,
    1122,  1122,  1122,  1122,  1122,  1122,  1122,  1122,  1122,  1122,
    1122,  1122,  1122,  1122,  1122,  1122,  1122,  1122,  1122,  1122,
    1122,  1122,  1122,  1122,  1122,  1122,  1122,  1122,  1122,  1122,
    1122,  1122,  1122,  1122,  1122,  1122,  1122,  1122,  1122,  1122,
    1122,  1122,  1122,  1122,  1122,  1122,  1122,  1122,  1122,  1122,
    1122,  1122,  1122,  1122,  1122,  1122,  1122,  1122,  1122,  1122,
    1122,  1123,  1123,  1123,  1123,  1123,  1123,  1123,  1123,  1123,
    1123,  1123,  1123,  1123,  1123,  1123,  1123,  1123,  1123,  1123,
    1123,  1123,  1123,  1124,  1124,  1124,  1124,  1124,  1124,  1124,
    1124,  1124,  1124,  1124,  1124,  1124,  1124,  1125,  1125,  1125,
    1125,  1125,  1125,  1125,  1126,  1126,  1126,  1127,  1127,  1127,
    1128,  1128,  1128,  1128,  1128,  1128,  1128,  1128,  1128,  1128,
    1128,  1128,  1128,  1128,  1128,  1128,  1128,  1128,  1128,  1128,
    1128,  1128,  1128,  1128,  1128,  1128,  1128,  1128,  1128,  1128,
    1128,  1128,  1128,  1128,  1128,  1128,  1128,  1128,  1128,  1128,
    1128,  1128,  1128,  1128,  1128,  1128,  1128,  1128,  1128,  1128,
    1128,  1128,  1128,  1128,  1128,  1128,  1129,  1129,  1130,  1130,
    1130,  1130,  1131,  1132,  1132,  1133,  1133,  1134,  1134,  1135,
    1135,  1135,  1136,  1136,  1136,  1137,  1137,  1137,  1137,  1138,
    1138,  1139,  1139,  1140,  1140,  1141,  1141,  1142,  1142,  1143,
    1144,  1144,  1144,  1145,  1146,  1146,  1147,  1147,  1148,  1148,
    1148,  1148,  1149,  1149,  1150,  1150,  1150,  1150,  1150,  1151,
    1151,  1151,  1151,  1151,  1152,  1152,  1152,  1153,  1153,  1154,
    1155,  1155,  1155,  1156,  1156,  1157,  1157,  1157,  1157,  1157,
    1157,  1157,  1157,  1157,  1157,  1157,  1157,  1158,  1158,  1159,
    1159,  1160,  1160,  1160,  1160,  1160,  1160,  1161,  1161,  1162,
    1162,  1163,  1163,  1163,  1164,  1164,  1165,  1165,  1166,  1166,
    1166,  1167,  1167,  1168,  1169,  1169,  1169,  1169,  1169,  1169,
    1169,  1169,  1170,  1170,  1170,  1170,  1171,  1171,  1172,  1173,
    1173,  1173,  1173,  1173,  1174,  1174,  1174,  1175,  1175,  1176,
    1177,  1177,  1178,  1179,  1179,  1180,  1180,  1181,  1181,  1182,
    1182,  1182,  1182,  1183,  1183,  1184,  1184,  1185,  1185,  1186,
    1186,  1187,  1188,  1188,  1189,  1189,  1190,  1190,  1191,  1191,
    1191,  1191,  1191,  1192,  1192,  1192,  1192,  1192,  1193,  1193,
    1194,  1194,  1195,  1195,  1195,  1196,  1196,  1196,  1197,  1197,
    1198,  1198,  1199,  1199,  1200,  1200,  1201,  1201,  1202,  1202,
    1202,  1202,  1203,  1203,  1204,  1204,  1205,  1205,  1206,  1207,
    1208,  1209,  1209,  1210,  1210,  1210,  1210,  1210,  1210,  1210,
    1210,  1210,  1210,  1210,  1210,  1210,  1211,  1212,  1213,  1213,
    1213,  1214,  1215,  1215,  1215,  1215,  1216,  1216,  1217,  1218,
    1219,  1219,  1220,  1220,  1221,  1221,  1221,  1222,  1222,  1222,
    1223,  1223,  1223,  1223,  1224,  1224,  1224,  1224,  1224,  1225,
    1225,  1226,  1226,  1226,  1226,  1226,  1226,  1226,  1226,  1226,
    1226,  1226,  1226,  1226,  1226,  1226,  1226,  1226,  1226,  1226,
    1226,  1226,  1226,  1226,  1226,  1226,  1226,  1226,  1226,  1226,
    1226,  1226,  1226,  1226,  1226,  1226,  1226,  1226,  1226,  1226,
    1226,  1226,  1226,  1226,  1226,  1226,  1226,  1226,  1226,  1226,
    1226,  1226,  1226,  1226,  1226,  1226,  1226,  1226,  1226,  1226,
    1226,  1226,  1226,  1226,  1226,  1226,  1226,  1226,  1226,  1226,
    1226,  1226,  1226,  1226,  1226,  1226,  1226,  1226,  1226,  1226,
    1226,  1226,  1226,  1226,  1226,  1226,  1226,  1226,  1226,  1226,
    1226,  1226,  1226,  1226,  1226,  1226,  1226,  1226,  1226,  1226,
    1226,  1226,  1226,  1226,  1226,  1226,  1226,  1226,  1226,  1226,
    1226,  1226,  1226,  1226,  1226,  1226,  1226,  1226,  1226,  1226,
    1226,  1226,  1226,  1226,  1226,  1226,  1226,  1226,  1226,  1226,
    1226,  1226,  1226,  1226,  1226,  1226,  1226,  1226,  1226,  1226,
    1226,  1226,  1226,  1226,  1226,  1226,  1226,  1226,  1226,  1226,
    1226,  1226,  1226,  1226,  1226,  1226,  1226,  1226,  1226,  1226,
    1226,  1226,  1226,  1226,  1226,  1226,  1226,  1226,  1226,  1226,
    1226,  1226,  1226,  1226,  1226,  1226,  1226,  1226,  1226,  1226,
    1226,  1226,  1226,  1226,  1226,  1226,  1226,  1226,  1226,  1226,
    1226,  1226,  1226,  1226,  1226,  1226,  1226,  1226,  1226,  1226,
    1226,  1226,  1226,  1226,  1226,  1226,  1226,  1226,  1226,  1226,
    1226,  1226,  1226,  1226,  1226,  1226,  1226,  1226,  1226,  1226,
    1226,  1226,  1226,  1226,  1226,  1226,  1226,  1226,  1226,  1226,
    1226,  1226,  1226,  1226,  1226,  1226,  1226,  1226,  1226,  1226,
    1226,  1226,  1226,  1226,  1226,  1226,  1226,  1226,  1226,  1226,
    1226,  1226,  1226,  1226,  1226,  1226,  1226,  1226,  1226,  1226,
    1226,  1226,  1226,  1226,  1226,  1226,  1226,  1226,  1226,  1226,
    1226,  1226,  1226,  1226,  1226,  1226,  1226,  1226,  1226,  1226,
    1226,  1226,  1226,  1226,  1226,  1226,  1226,  1226,  1226,  1226,
    1226,  1226,  1226,  1226,  1226,  1226,  1226,  1226,  1226,  1226,
    1226,  1226,  1226,  1226,  1226,  1226,  1226,  1226,  1226,  1226,
    1226,  1226,  1226,  1226,  1226,  1227,  1227,  1227,  1227,  1227,
    1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,
    1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,
    1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,
    1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,
    1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,
    1227,  1227,  1227,  1228,  1228,  1228,  1228,  1228,  1228,  1228,
    1228,  1228,  1228,  1228,  1228,  1228,  1228,  1228,  1228,  1228,
    1228,  1228,  1228,  1228,  1228,  1228,  1229,  1229,  1229,  1229,
    1229,  1229,  1229,  1229,  1229,  1229,  1229,  1229,  1229,  1229,
    1229,  1229,  1229,  1229,  1229,  1229,  1229,  1229,  1229,  1229,
    1229,  1229,  1229,  1229,  1229,  1229,  1229,  1229,  1229,  1229,
    1229,  1229,  1229,  1229,  1229,  1229,  1229,  1229,  1229,  1229,
    1229,  1229,  1229,  1229,  1229,  1229,  1229,  1229,  1229,  1229,
    1229,  1229,  1229,  1229,  1229,  1229,  1229,  1229,  1229,  1229,
    1229,  1229,  1229,  1229,  1229,  1229,  1229,  1229,  1229,  1229,
    1229,  1229,  1229,  1229,  1230,  1230,  1230,  1230,  1230,  1230,
    1230,  1230,  1230,  1230,  1230,  1230,  1230,  1230,  1230,  1230,
    1230,  1230,  1230,  1230,  1230,  1230,  1230,  1230,  1230,  1230,
    1230,  1230,  1230,  1230,  1230,  1230,  1230,  1230,  1230,  1230,
    1230,  1230,  1230,  1230,  1230,  1230,  1230,  1230,  1230,  1230,
    1230,  1230,  1230,  1230,  1230,  1230,  1230,  1230,  1230,  1230,
    1230,  1230,  1230,  1230,  1230,  1230,  1230,  1230,  1230,  1230,
    1230,  1230,  1230,  1230,  1230,  1230,  1230,  1230,  1230,  1230,
    1230,  1230,  1230,  1230,  1230,  1230,  1230,  1230,  1230,  1230,
    1230,  1230,  1230,  1230,  1230,  1230,  1230,  1230,  1230,  1230,
    1230,  1230,  1230,  1230,  1230,  1230,  1230,  1230,  1230,  1230,
    1230,  1230,  1230,  1230,  1230,  1230,  1230,  1230,  1230,  1230,
    1230,  1230,  1230,  1230,  1230,  1230,  1230,  1230,  1230,  1230,
    1230,  1230,  1230,  1230,  1230,  1230,  1230,  1230,  1230,  1230,
    1230,  1230,  1230,  1230,  1230,  1230,  1230,  1230,  1230,  1230,
    1230,  1230,  1230,  1230,  1230,  1230,  1230,  1230,  1230,  1230,
    1230,  1230,  1230,  1230,  1230,  1230,  1230,  1230,  1230,  1230,
    1230,  1230,  1230,  1230,  1230,  1230,  1230,  1230,  1230,  1230,
    1230,  1230,  1230,  1230,  1230,  1230,  1230,  1230,  1230,  1230,
    1230,  1230,  1230,  1230,  1230,  1230,  1230,  1230,  1230,  1230,
    1230,  1230,  1230,  1230,  1230,  1230,  1230,  1230,  1230,  1230,
    1230,  1230,  1230,  1230,  1230,  1230,  1230,  1230,  1230,  1230,
    1230,  1230,  1230,  1230,  1230,  1230,  1230,  1230,  1230,  1230,
    1230,  1230,  1230,  1230,  1230,  1230,  1230,  1230,  1230,  1230,
    1230,  1230,  1230,  1230,  1230,  1230,  1230,  1230,  1230,  1230,
    1230,  1230,  1230,  1230,  1230,  1230,  1230,  1230,  1230,  1230,
    1230,  1230,  1230,  1230,  1230,  1230,  1230,  1230,  1230,  1230,
    1230,  1230,  1230,  1230,  1230,  1230,  1230,  1230,  1230,  1230,
    1230,  1230,  1230,  1230,  1230,  1230,  1230,  1230,  1230,  1230,
    1230,  1230,  1230,  1230,  1230,  1230,  1230,  1230,  1230,  1230,
    1230,  1230,  1230,  1230,  1230,  1230,  1230,  1230,  1230,  1230,
    1230,  1230,  1230,  1230,  1230,  1230,  1230,  1230,  1230,  1230,
    1230,  1230,  1230,  1230,  1230,  1230,  1230,  1230,  1230,  1230,
    1230,  1230,  1230,  1230,  1230,  1230,  1230,  1230,  1230,  1230,
    1230,  1230,  1230,  1230,  1230,  1230,  1230,  1230,  1230,  1230,
    1230,  1230,  1230,  1230,  1230,  1230,  1230,  1230,  1230,  1230,
    1230,  1230,  1230,  1230,  1230,  1230,  1230,  1230,  1230,  1230,
    1230,  1230,  1230,  1230,  1230,  1230,  1230,  1230,  1230,  1230,
    1230,  1230,  1230,  1230,  1230,  1230,  1230,  1230,  1230,  1230,
    1230,  1230,  1230,  1230,  1230,  1230,  1230,  1230,  1230,  1230,
    1230,  1230,  1230,  1230,  1230,  1230,  1230,  1230,  1230,  1230,
    1230,  1230,  1230,  1230,  1230,  1230,  1230,  1230,  1230,  1230,
    1230,  1230,  1230,  1230,  1230,  1230,  1230,  1230,  1230,  1230,
    1230,  1230,  1230,  1230,  1230,  1230,  1230,  1230
};

/* YYR2[RULE-NUM] -- Number of symbols on the right-hand side of rule RULE-NUM.  */
static const yytype_int8 yyr2[] =
{
       0,     2,     1,     2,     2,     2,     2,     2,     3,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     0,     1,     0,     1,
       0,     1,     0,     1,     1,     0,     2,     5,     1,     1,
       0,     2,     0,     2,     0,     2,     2,     3,     3,     1,
       3,     3,     2,     1,     1,     2,     2,     2,     3,     3,
       5,     5,     5,     0,     3,     5,     5,     5,     5,     3,
       5,     3,     5,     3,     5,     5,     6,     1,     1,     6,
       4,     9,     7,     2,     0,     1,     1,     1,     1,     1,
       1,     2,     3,     3,     2,     5,     1,     3,     3,     3,
       3,     1,     3,     3,     2,     2,     2,     2,     3,     3,
       3,     3,     1,     3,     1,     3,     1,     1,     2,     2,
       2,     1,     1,     1,     1,     1,     1,     1,     3,     5,
       1,     1,     1,     1,     1,     0,     1,     1,     2,     1,
       2,     3,     2,     1,     1,     2,     1,     2,     1,     2,
       3,     4,     3,     2,     4,     1,     1,     1,     1,     1,
       2,     2,     2,     2,     2,     4,     6,     4,     6,    10,
      13,     4,     6,     4,    10,    13,     4,     6,     4,     6,
       5,     7,    11,    14,     5,     7,     1,     3,     4,     4,
       4,     3,     2,     5,     3,     6,     4,     6,     6,     9,
       5,     7,     6,     6,     5,     5,     5,     5,     9,     4,
       5,     7,     6,     4,     8,     4,     2,     4,     3,     6,
       4,     3,     3,     3,     2,     2,     3,     4,     4,     3,
       3,     3,     3,     3,     3,     4,     4,     3,     2,     3,
       2,     2,     3,     4,     3,     2,     2,     3,     4,     4,
       4,     5,     1,     3,     2,     2,     0,     2,     0,     1,
       1,     1,     3,     3,     2,     0,     1,     3,     3,     1,
       5,     3,     1,     2,     1,     3,     2,     3,     1,     1,
       1,     1,     6,     6,    10,     1,     2,     1,     3,     4,
       1,     3,     4,     6,     4,     8,     2,     2,    11,     9,
       1,     1,     1,     0,     1,     1,     1,     1,     3,     2,
       0,     1,     1,     3,     3,     1,     1,     3,     3,     3,
       3,     4,     4,     3,     3,     2,     1,     0,     3,     0,
       1,     0,     1,     3,     2,     1,     1,     1,     3,     0,
       1,     3,     1,    13,    16,    12,    15,    14,    17,     1,
       1,     2,     2,     2,     2,     1,     0,     1,     0,     3,
       0,     1,     3,     1,     3,     1,     1,     1,     1,     1,
       6,     2,     4,     2,     2,     1,     0,     2,     2,     1,
       0,     2,     0,     3,     1,     1,     2,     3,     1,     4,
       4,     5,     2,     5,     7,     5,     2,     3,     0,     1,
       2,     1,     2,     2,     2,     3,     3,     3,     0,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     3,
       1,     5,     4,    10,     3,    10,     4,    10,    11,     2,
       0,     2,     0,     3,     0,     1,     3,     1,     4,     0,
       2,     2,     2,     0,     1,     3,     3,     6,     4,     0,
       1,     1,     2,     2,     0,     3,     3,     2,     1,     1,
       3,     3,     4,     0,     1,     0,     6,     1,     3,     3,
       3,     5,     2,     0,     2,     2,     0,     3,     4,     4,
       0,     2,     0,     4,     0,     3,     8,    11,     1,     3,
       1,     1,     3,     6,     8,     7,    10,     6,     2,     3,
       0,     8,    11,     5,     1,     0,     6,     5,     8,     4,
       6,     1,     0,     3,     0,     1,     2,     2,     2,     1,
       2,     3,     2,     2,     2,     2,     3,     3,     3,     1,
       3,     1,     0,     1,     2,     2,     1,     1,     3,     6,
      10,     1,     0,     1,     2,     2,     0,     2,     2,     1,
       0,     1,     0,     7,     2,     0,     3,     5,     5,     8,
       2,     0,     2,     2,     2,     1,     5,     2,     0,     2,
       6,     6,     6,    10,     6,     6,     6,     9,     9,     6,
       6,     9,     6,     7,     2,     2,     2,     2,     1,     2,
       1,     0,     7,     6,     4,     0,     1,     3,     4,     1,
       3,     1,     2,     2,     2,     2,     1,     1,    10,    13,
       2,     0,     2,     2,     1,     0,     5,     4,     4,    11,
      14,    12,    15,    11,     2,     1,     4,     0,     8,    11,
       1,     1,     7,     9,     8,    10,     8,     4,     0,     5,
       0,     2,     0,     2,     0,     2,     0,     2,     0,     1,
       1,     1,     1,     1,     8,     1,     1,    17,    21,     1,
       1,     2,     1,     3,     1,     1,     1,     3,     1,     2,
       0,     1,     2,     4,     1,     1,     1,     1,     1,     3,
       0,     1,     0,     1,     1,     4,     0,     1,     1,     1,
       3,     0,     1,     1,     1,     1,     2,     0,     0,     2,
       2,     1,     2,     2,     2,     2,    11,    13,     1,     3,
       5,     1,     3,     5,     1,     2,     2,     1,     8,     6,
       5,     4,     4,     3,     7,     8,     6,     6,     6,     6,
       6,     4,     7,     5,     8,     3,     1,     3,     3,     1,
       1,     1,     1,     1,     1,     1,     3,     1,     3,     3,
       1,     0,     1,     3,     7,     9,     9,     8,     6,     3,
       0,    13,     1,     3,     5,     5,     3,     6,     2,     1,
       0,     2,     0,     2,     4,     0,     1,     0,     6,     8,
       8,     1,     3,     5,     5,     7,     9,     7,     9,     5,
       6,     6,     4,     6,     4,     6,     8,     4,     6,     4,
       6,     5,     7,     1,     1,     1,     2,     1,     2,     1,
       1,     1,     3,     3,     3,     3,     1,     1,     1,     1,
       1,     2,     2,     1,     3,     2,     1,     1,     1,     1,
       1,     1,     1,     3,     1,     2,     2,     3,     1,     3,
       5,     2,     2,     0,     6,     6,     6,     6,     6,     6,
       6,     6,     8,     9,     8,     6,     6,     9,     9,     9,
       7,    10,     1,     1,     8,     8,     8,     8,     8,     8,
       8,     9,     8,     8,     2,     0,     1,     1,     2,     2,
       1,     2,     3,     3,     3,     3,     4,     4,     3,     3,
       3,     4,     4,     3,     4,     4,     1,     1,     1,     0,
       8,     8,    11,     1,     1,     2,     4,     5,     1,     3,
       2,     2,     2,     2,     2,     1,     3,     1,     3,     1,
       2,     2,     4,     3,     2,     2,     2,     2,     2,     2,
       3,     2,     2,     2,     2,     5,     5,     5,     5,     5,
       1,     3,     1,     2,     3,     0,     5,     7,     6,     9,
       3,     1,     2,     1,     1,     1,     3,     0,     5,     2,
       0,     3,     3,     3,     7,     7,    10,     1,     1,     1,
       1,     1,     1,    16,    19,     1,     0,     2,     0,     1,
       3,     4,     5,     2,     2,     4,     4,     0,     1,     3,
       2,     0,     1,     1,     0,     2,     2,     0,     9,    12,
       7,     7,     2,     0,     3,     2,     1,     3,     1,     3,
       2,     1,     1,     2,     3,     2,     1,     3,     3,     3,
       2,     2,     1,     1,     1,     1,     2,     1,     1,     1,
       1,     4,     5,     1,     3,     3,     1,     3,     3,     5,
       6,     1,     3,     2,     1,     3,     1,     0,     1,     2,
       4,     5,     1,     1,     1,     1,     3,     3,     2,     2,
       1,     2,     2,     2,     2,     1,     2,     2,     2,     2,
       1,     1,     1,     3,     2,     1,     4,     0,     3,     0,
       1,     1,     3,     5,     2,     0,     2,     1,     3,     5,
       5,     5,     1,     2,     1,     0,     4,     6,     4,     6,
       4,     6,     4,     6,     4,     6,     3,     5,     5,     5,
       1,     3,     1,     3,     2,     2,     1,     2,     1,     2,
      11,    10,    10,     2,     2,     0,     9,     2,     0,    10,
      11,    11,     5,     5,     8,     5,     5,     5,     1,     1,
       1,     1,     3,     0,     5,     5,     6,     6,     6,     6,
       6,     8,     8,     6,     6,     7,     9,     9,     8,    10,
       6,     6,     6,     6,     6,     6,     6,     8,     6,     8,
       6,     8,     7,     9,     6,     8,     7,     9,     8,    10,
       8,    10,     9,    11,     8,    10,     9,    11,     8,     8,
       7,     6,     6,     6,     6,     8,     8,     8,     8,     6,
       9,     1,     0,     2,     0,     8,     8,     8,    10,     9,
       8,     1,     0,     6,     6,     6,     6,     6,     6,     6,
       9,     9,     6,     6,     6,     8,     6,     8,     8,     8,
       8,     6,     8,     6,     8,     7,     9,     7,     9,     6,
       7,     1,     3,     3,     3,     1,     1,     1,     1,     1,
       1,     7,     6,     6,     6,     6,     6,     6,     7,     7,
       6,     9,     9,     6,     6,     6,     6,     6,     6,     8,
       8,     8,     6,     7,     6,     6,     4,     7,     6,     4,
       4,     4,     3,     4,     3,     1,     1,     3,     5,     5,
       5,     5,     8,     5,     5,     6,     7,     7,     7,     4,
       4,     5,     4,     6,    13,     1,     1,     3,     3,     1,
       1,     1,     1,     1,     1,     1,     0,     1,     1,     1,
       1,     1,     1,     0,     3,     2,     0,     2,     2,     2,
       3,     3,     3,     3,     2,     3,     2,     5,     4,     3,
       3,     3,     3,     3,     1,     1,     0,     3,     2,     2,
       1,     2,     1,     3,     2,     1,     0,     2,     3,     0,
       9,    11,    12,    14,     3,     4,     4,     0,     2,     5,
       1,     0,     1,     2,     3,     3,     3,     1,     2,     1,
       1,     1,     1,     1,     1,     0,     5,     4,     6,     6,
       4,     3,     5,     7,     9,     1,     3,     1,     5,     4,
       4,     6,     4,     6,     6,     5,     7,     9,     6,     1,
       0,     6,    11,    11,    11,    13,     9,    11,     1,     1,
      10,     6,     4,     4,     2,     5,     2,     0,     6,     5,
       3,     5,     1,     3,     1,     1,     2,     1,     1,     1,
       1,     1,     0,     1,     0,     1,     0,     1,     0,     1,
       0,     3,     0,     2,     1,     3,     1,     0,     2,     4,
       3,     5,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     5,     3,     0,     1,     1,     1,     1,     1,
       3,     9,    12,     3,     0,     2,     3,     2,     3,     7,
       1,     3,     1,     4,     4,     7,     2,     1,     1,     1,
       3,     2,     8,     5,     0,     4,     3,     0,     2,     0,
       7,     2,     0,     5,     3,     0,     2,     2,     2,     3,
       1,     3,     1,     2,     1,     0,     1,     2,     0,     8,
       1,     3,     3,     5,     2,     1,     3,     9,     1,     2,
       5,     5,     6,     6,     7,     2,     0,     3,     1,     2,
       5,     5,     8,     3,     4,     7,     1,     0,     3,     2,
       2,     2,     2,     0,     2,     2,     1,     1,     3,     3,
       1,     2,     4,     4,     2,     3,     5,     5,     1,     1,
       9,     9,     1,     2,     4,     4,     4,     2,     2,     3,
       1,     3,     9,     1,     2,     0,     7,     7,     0,    10,
       6,     0,     1,     0,     2,     0,     3,     3,     4,     4,
       4,     4,     3,     2,     1,     1,     0,     1,     1,     0,
       1,     5,     1,     0,     1,     1,     1,     0,     3,     1,
       3,     4,     3,     2,     2,     1,     1,     1,     0,     2,
       4,     5,     6,     4,     5,     2,     3,     1,     1,     1,
       1,     2,     2,     1,     1,     1,     1,     1,     1,     4,
       0,     1,     3,     1,     1,     1,     1,     1,     2,     4,
       4,     5,     2,     0,     1,     3,     1,     0,     1,     2,
       3,     2,     4,     2,     3,     2,     0,     4,     5,     2,
       0,     1,     3,     2,     3,     2,     3,     2,     3,     2,
       3,     1,     4,     3,     4,     5,     4,     5,     4,     5,
       2,     4,     1,     1,     0,     2,     0,     1,     4,     5,
       4,     0,     2,     2,     2,     1,     1,     0,     5,     2,
       1,     1,     2,     2,     4,     1,     3,     1,     2,     3,
       6,     4,     0,     2,     6,     2,     1,     3,     4,     0,
       2,     0,     2,     0,     2,     4,     0,     1,     0,     1,
       3,     3,     7,    12,     1,     3,     2,     3,     3,     1,
       2,     2,     2,     2,     1,     1,     3,     3,     2,     2,
       3,     5,     6,     2,     3,     3,     4,     0,     1,     1,
       1,     1,     1,     2,     4,     1,     1,     1,     1,     1,
       1,     2,     3,     3,     0,     1,     1,     1,     1,     1,
       2,     2,     2,     2,     2,     1,     3,     0,     1,     1,
       1,     1,     5,     2,     1,     1,     1,     1,     4,     1,
       2,     2,     1,     3,     3,     2,     1,     0,     5,     2,
       5,     2,     1,     3,     3,     0,     1,     1,     1,     1,
       1,     1,     3,     3,     3,     3,     3,     3,     3,     0,
       1,     4,     1,     1,     3,     3,     5,     3,     2,     2,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       3,     3,     3,     2,     3,     3,     2,     2,     3,     5,
       4,     6,     3,     5,     4,     6,     4,     6,     5,     7,
       3,     2,     4,     2,     3,     3,     4,     3,     4,     3,
       4,     5,     6,     6,     7,     6,     7,     3,     4,     4,
       6,     3,     3,     4,     3,     4,     4,     5,     4,     5,
       1,     1,     3,     2,     2,     3,     3,     3,     3,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     2,     5,
       6,     3,     4,     1,     1,     2,     4,     1,     1,     1,
       2,     2,     2,     2,     1,     1,     4,     3,     5,     6,
       8,     6,     6,     4,     4,     3,     1,     1,     1,     1,
       5,     1,     1,     4,     1,     4,     1,     4,     1,     4,
       1,     1,     1,     1,     1,     1,     1,     6,     4,     4,
       6,     4,     4,     4,     4,     4,     6,     5,     5,     5,
       4,     6,     4,     4,     4,     4,     5,     7,     7,     9,
       5,     4,     6,     5,     7,     7,     8,     4,     7,     4,
       6,     6,     4,     5,     4,     5,     2,     3,     3,     3,
       4,     0,     4,     1,     3,     3,     1,     1,     1,     1,
       2,     0,     2,     2,     0,     2,     3,     3,     4,     2,
       2,     5,     0,     5,     0,     2,     0,     1,     3,     3,
       2,     2,     0,     6,     1,     0,     3,     0,     3,     3,
       3,     0,     1,     4,     2,     2,     2,     2,     2,     3,
       2,     2,     3,     0,     4,     3,     5,     4,     3,     5,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     4,     1,
       4,     1,     4,     1,     2,     1,     2,     1,     3,     1,
       3,     1,     3,     3,     1,     0,     1,     3,     3,     3,
       2,     1,     3,     3,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     7,     5,     3,     5,
       5,     3,     3,     5,     3,     2,     1,     1,     3,     5,
       1,     2,     4,     2,     0,     1,     0,     1,     2,     2,
       2,     3,     5,     1,     0,     1,     2,     0,     2,     1,
       0,     2,     4,     2,     1,     0,     3,     0,     1,     2,
       2,     2,     2,     3,     2,     3,     2,     0,     1,     3,
       3,     3,     3,     3,     0,     3,     3,     0,     1,     3,
       7,     7,     3,     0,     1,     0,     1,     3,     3,     2,
       1,     1,     1,     3,     1,     2,     1,     3,     1,     1,
       1,     1,     2,     1,     1,     1,     1,     1,     2,     6,
       2,     3,     5,     1,     1,     1,     1,     1,     1,     2,
       2,     1,     1,     1,     1,     1,     1,     3,    10,     4,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1
};


enum { YYENOMEM = -2 };

#define yyerrok         (yyerrstatus = 0)
#define yyclearin       (yychar = YYEMPTY)

#define YYACCEPT        goto yyacceptlab
#define YYABORT         goto yyabortlab
#define YYERROR         goto yyerrorlab
#define YYNOMEM         goto yyexhaustedlab


#define YYRECOVERING()  (!!yyerrstatus)

#define YYBACKUP(Token, Value)                                    \
  do                                                              \
    if (yychar == YYEMPTY)                                        \
      {                                                           \
        yychar = (Token);                                         \
        yylval = (Value);                                         \
        YYPOPSTACK (yylen);                                       \
        yystate = *yyssp;                                         \
        goto yybackup;                                            \
      }                                                           \
    else                                                          \
      {                                                           \
        yyerror (&yylloc, yyscanner, YY_("syntax error: cannot back up")); \
        YYERROR;                                                  \
      }                                                           \
  while (0)

/* Backward compatibility with an undocumented macro.
   Use YYerror or YYUNDEF. */
#define YYERRCODE YYUNDEF

/* YYLLOC_DEFAULT -- Set CURRENT to span from RHS[1] to RHS[N].
   If N is 0, then set CURRENT to the empty location which ends
   the previous symbol: RHS[0] (always defined).  */

#ifndef YYLLOC_DEFAULT
# define YYLLOC_DEFAULT(Current, Rhs, N)                                \
    do                                                                  \
      if (N)                                                            \
        {                                                               \
          (Current).first_line   = YYRHSLOC (Rhs, 1).first_line;        \
          (Current).first_column = YYRHSLOC (Rhs, 1).first_column;      \
          (Current).last_line    = YYRHSLOC (Rhs, N).last_line;         \
          (Current).last_column  = YYRHSLOC (Rhs, N).last_column;       \
        }                                                               \
      else                                                              \
        {                                                               \
          (Current).first_line   = (Current).last_line   =              \
            YYRHSLOC (Rhs, 0).last_line;                                \
          (Current).first_column = (Current).last_column =              \
            YYRHSLOC (Rhs, 0).last_column;                              \
        }                                                               \
    while (0)
#endif

#define YYRHSLOC(Rhs, K) ((Rhs)[K])


/* Enable debugging if requested.  */
#if YYDEBUG

# ifndef YYFPRINTF
#  include <stdio.h> /* INFRINGES ON USER NAME SPACE */
#  define YYFPRINTF fprintf
# endif

# define YYDPRINTF(Args)                        \
do {                                            \
  if (yydebug)                                  \
    YYFPRINTF Args;                             \
} while (0)


/* YYLOCATION_PRINT -- Print the location on the stream.
   This macro was not mandated originally: define only if we know
   we won't break user code: when these are the locations we know.  */

# ifndef YYLOCATION_PRINT

#  if defined YY_LOCATION_PRINT

   /* Temporary convenience wrapper in case some people defined the
      undocumented and private YY_LOCATION_PRINT macros.  */
#   define YYLOCATION_PRINT(File, Loc)  YY_LOCATION_PRINT(File, *(Loc))

#  elif defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL

/* Print *YYLOCP on YYO.  Private, do not rely on its existence. */

YY_ATTRIBUTE_UNUSED
static int
yy_location_print_ (FILE *yyo, YYLTYPE const * const yylocp)
{
  int res = 0;
  int end_col = 0 != yylocp->last_column ? yylocp->last_column - 1 : 0;
  if (0 <= yylocp->first_line)
    {
      res += YYFPRINTF (yyo, "%d", yylocp->first_line);
      if (0 <= yylocp->first_column)
        res += YYFPRINTF (yyo, ".%d", yylocp->first_column);
    }
  if (0 <= yylocp->last_line)
    {
      if (yylocp->first_line < yylocp->last_line)
        {
          res += YYFPRINTF (yyo, "-%d", yylocp->last_line);
          if (0 <= end_col)
            res += YYFPRINTF (yyo, ".%d", end_col);
        }
      else if (0 <= end_col && yylocp->first_column < end_col)
        res += YYFPRINTF (yyo, "-%d", end_col);
    }
  return res;
}

#   define YYLOCATION_PRINT  yy_location_print_

    /* Temporary convenience wrapper in case some people defined the
       undocumented and private YY_LOCATION_PRINT macros.  */
#   define YY_LOCATION_PRINT(File, Loc)  YYLOCATION_PRINT(File, &(Loc))

#  else

#   define YYLOCATION_PRINT(File, Loc) ((void) 0)
    /* Temporary convenience wrapper in case some people defined the
       undocumented and private YY_LOCATION_PRINT macros.  */
#   define YY_LOCATION_PRINT  YYLOCATION_PRINT

#  endif
# endif /* !defined YYLOCATION_PRINT */


# define YY_SYMBOL_PRINT(Title, Kind, Value, Location)                    \
do {                                                                      \
  if (yydebug)                                                            \
    {                                                                     \
      YYFPRINTF (stderr, "%s ", Title);                                   \
      yy_symbol_print (stderr,                                            \
                  Kind, Value, Location, yyscanner); \
      YYFPRINTF (stderr, "\n");                                           \
    }                                                                     \
} while (0)


/*-----------------------------------.
| Print this symbol's value on YYO.  |
`-----------------------------------*/

static void
yy_symbol_value_print (FILE *yyo,
                       yysymbol_kind_t yykind, YYSTYPE const * const yyvaluep, YYLTYPE const * const yylocationp, core_yyscan_t yyscanner)
{
  FILE *yyoutput = yyo;
  YY_USE (yyoutput);
  YY_USE (yylocationp);
  YY_USE (yyscanner);
  if (!yyvaluep)
    return;
  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  YY_USE (yykind);
  YY_IGNORE_MAYBE_UNINITIALIZED_END
}


/*---------------------------.
| Print this symbol on YYO.  |
`---------------------------*/

static void
yy_symbol_print (FILE *yyo,
                 yysymbol_kind_t yykind, YYSTYPE const * const yyvaluep, YYLTYPE const * const yylocationp, core_yyscan_t yyscanner)
{
  YYFPRINTF (yyo, "%s %s (",
             yykind < YYNTOKENS ? "token" : "nterm", yysymbol_name (yykind));

  YYLOCATION_PRINT (yyo, yylocationp);
  YYFPRINTF (yyo, ": ");
  yy_symbol_value_print (yyo, yykind, yyvaluep, yylocationp, yyscanner);
  YYFPRINTF (yyo, ")");
}

/*------------------------------------------------------------------.
| yy_stack_print -- Print the state stack from its BOTTOM up to its |
| TOP (included).                                                   |
`------------------------------------------------------------------*/

static void
yy_stack_print (yy_state_t *yybottom, yy_state_t *yytop)
{
  YYFPRINTF (stderr, "Stack now");
  for (; yybottom <= yytop; yybottom++)
    {
      int yybot = *yybottom;
      YYFPRINTF (stderr, " %d", yybot);
    }
  YYFPRINTF (stderr, "\n");
}

# define YY_STACK_PRINT(Bottom, Top)                            \
do {                                                            \
  if (yydebug)                                                  \
    yy_stack_print ((Bottom), (Top));                           \
} while (0)


/*------------------------------------------------.
| Report that the YYRULE is going to be reduced.  |
`------------------------------------------------*/

static void
yy_reduce_print (yy_state_t *yyssp, YYSTYPE *yyvsp, YYLTYPE *yylsp,
                 int yyrule, core_yyscan_t yyscanner)
{
  int yylno = yyrline[yyrule];
  int yynrhs = yyr2[yyrule];
  int yyi;
  YYFPRINTF (stderr, "Reducing stack by rule %d (line %d):\n",
             yyrule - 1, yylno);
  /* The symbols being reduced.  */
  for (yyi = 0; yyi < yynrhs; yyi++)
    {
      YYFPRINTF (stderr, "   $%d = ", yyi + 1);
      yy_symbol_print (stderr,
                       YY_ACCESSING_SYMBOL (+yyssp[yyi + 1 - yynrhs]),
                       &yyvsp[(yyi + 1) - (yynrhs)],
                       &(yylsp[(yyi + 1) - (yynrhs)]), yyscanner);
      YYFPRINTF (stderr, "\n");
    }
}

# define YY_REDUCE_PRINT(Rule)          \
do {                                    \
  if (yydebug)                          \
    yy_reduce_print (yyssp, yyvsp, yylsp, Rule, yyscanner); \
} while (0)

/* Nonzero means print parse trace.  It is left uninitialized so that
   multiple parsers can coexist.  */
int yydebug;
#else /* !YYDEBUG */
# define YYDPRINTF(Args) ((void) 0)
# define YY_SYMBOL_PRINT(Title, Kind, Value, Location)
# define YY_STACK_PRINT(Bottom, Top)
# define YY_REDUCE_PRINT(Rule)
#endif /* !YYDEBUG */


/* YYINITDEPTH -- initial size of the parser's stacks.  */
#ifndef YYINITDEPTH
# define YYINITDEPTH 200
#endif

/* YYMAXDEPTH -- maximum size the stacks can grow to (effective only
   if the built-in stack extension method is used).

   Do not make this value too large; the results are undefined if
   YYSTACK_ALLOC_MAXIMUM < YYSTACK_BYTES (YYMAXDEPTH)
   evaluated with infinite-precision integer arithmetic.  */

#ifndef YYMAXDEPTH
# define YYMAXDEPTH 10000
#endif






/*-----------------------------------------------.
| Release the memory associated to this symbol.  |
`-----------------------------------------------*/

static void
yydestruct (const char *yymsg,
            yysymbol_kind_t yykind, YYSTYPE *yyvaluep, YYLTYPE *yylocationp, core_yyscan_t yyscanner)
{
  YY_USE (yyvaluep);
  YY_USE (yylocationp);
  YY_USE (yyscanner);
  if (!yymsg)
    yymsg = "Deleting";
  YY_SYMBOL_PRINT (yymsg, yykind, yyvaluep, yylocationp);

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  YY_USE (yykind);
  YY_IGNORE_MAYBE_UNINITIALIZED_END
}






/*----------.
| yyparse.  |
`----------*/

int
yyparse (core_yyscan_t yyscanner)
{
/* Lookahead token kind.  */
int yychar;


/* The semantic value of the lookahead symbol.  */
/* Default value used for initialization, for pacifying older GCCs
   or non-GCC compilers.  */
YY_INITIAL_VALUE (static YYSTYPE yyval_default;)
YYSTYPE yylval YY_INITIAL_VALUE (= yyval_default);

/* Location data for the lookahead symbol.  */
static YYLTYPE yyloc_default
# if defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL
  = { 1, 1, 1, 1 }
# endif
;
YYLTYPE yylloc = yyloc_default;

    /* Number of syntax errors so far.  */
    int yynerrs = 0;

    yy_state_fast_t yystate = 0;
    /* Number of tokens to shift before error messages enabled.  */
    int yyerrstatus = 0;

    /* Refer to the stacks through separate pointers, to allow yyoverflow
       to reallocate them elsewhere.  */

    /* Their size.  */
    YYPTRDIFF_T yystacksize = YYINITDEPTH;

    /* The state stack: array, bottom, top.  */
    yy_state_t yyssa[YYINITDEPTH];
    yy_state_t *yyss = yyssa;
    yy_state_t *yyssp = yyss;

    /* The semantic value stack: array, bottom, top.  */
    YYSTYPE yyvsa[YYINITDEPTH];
    YYSTYPE *yyvs = yyvsa;
    YYSTYPE *yyvsp = yyvs;

    /* The location stack: array, bottom, top.  */
    YYLTYPE yylsa[YYINITDEPTH];
    YYLTYPE *yyls = yylsa;
    YYLTYPE *yylsp = yyls;

  int yyn;
  /* The return value of yyparse.  */
  int yyresult;
  /* Lookahead symbol kind.  */
  yysymbol_kind_t yytoken = YYSYMBOL_YYEMPTY;
  /* The variables used to return semantic value and location from the
     action routines.  */
  YYSTYPE yyval;
  YYLTYPE yyloc;

  /* The locations where the error started and ended.  */
  YYLTYPE yyerror_range[3];



#define YYPOPSTACK(N)   (yyvsp -= (N), yyssp -= (N), yylsp -= (N))

  /* The number of symbols on the RHS of the reduced rule.
     Keep to zero when no symbol should be popped.  */
  int yylen = 0;

  YYDPRINTF ((stderr, "Starting parse\n"));

  yychar = YYEMPTY; /* Cause a token to be read.  */

  yylsp[0] = yylloc;
  goto yysetstate;


/*------------------------------------------------------------.
| yynewstate -- push a new state, which is found in yystate.  |
`------------------------------------------------------------*/
yynewstate:
  /* In all cases, when you get here, the value and location stacks
     have just been pushed.  So pushing a state here evens the stacks.  */
  yyssp++;


/*--------------------------------------------------------------------.
| yysetstate -- set current state (the top of the stack) to yystate.  |
`--------------------------------------------------------------------*/
yysetstate:
  YYDPRINTF ((stderr, "Entering state %d\n", yystate));
  YY_ASSERT (0 <= yystate && yystate < YYNSTATES);
  YY_IGNORE_USELESS_CAST_BEGIN
  *yyssp = YY_CAST (yy_state_t, yystate);
  YY_IGNORE_USELESS_CAST_END
  YY_STACK_PRINT (yyss, yyssp);

  if (yyss + yystacksize - 1 <= yyssp)
#if !defined yyoverflow && !defined YYSTACK_RELOCATE
    YYNOMEM;
#else
    {
      /* Get the current used size of the three stacks, in elements.  */
      YYPTRDIFF_T yysize = yyssp - yyss + 1;

# if defined yyoverflow
      {
        /* Give user a chance to reallocate the stack.  Use copies of
           these so that the &'s don't force the real ones into
           memory.  */
        yy_state_t *yyss1 = yyss;
        YYSTYPE *yyvs1 = yyvs;
        YYLTYPE *yyls1 = yyls;

        /* Each stack pointer address is followed by the size of the
           data in use in that stack, in bytes.  This used to be a
           conditional around just the two extra args, but that might
           be undefined if yyoverflow is a macro.  */
        yyoverflow (YY_("memory exhausted"),
                    &yyss1, yysize * YYSIZEOF (*yyssp),
                    &yyvs1, yysize * YYSIZEOF (*yyvsp),
                    &yyls1, yysize * YYSIZEOF (*yylsp),
                    &yystacksize);
        yyss = yyss1;
        yyvs = yyvs1;
        yyls = yyls1;
      }
# else /* defined YYSTACK_RELOCATE */
      /* Extend the stack our own way.  */
      if (YYMAXDEPTH <= yystacksize)
        YYNOMEM;
      yystacksize *= 2;
      if (YYMAXDEPTH < yystacksize)
        yystacksize = YYMAXDEPTH;

      {
        yy_state_t *yyss1 = yyss;
        union yyalloc *yyptr =
          YY_CAST (union yyalloc *,
                   YYSTACK_ALLOC (YY_CAST (YYSIZE_T, YYSTACK_BYTES (yystacksize))));
        if (! yyptr)
          YYNOMEM;
        YYSTACK_RELOCATE (yyss_alloc, yyss);
        YYSTACK_RELOCATE (yyvs_alloc, yyvs);
        YYSTACK_RELOCATE (yyls_alloc, yyls);
#  undef YYSTACK_RELOCATE
        if (yyss1 != yyssa)
          YYSTACK_FREE (yyss1);
      }
# endif

      yyssp = yyss + yysize - 1;
      yyvsp = yyvs + yysize - 1;
      yylsp = yyls + yysize - 1;

      YY_IGNORE_USELESS_CAST_BEGIN
      YYDPRINTF ((stderr, "Stack size increased to %ld\n",
                  YY_CAST (long, yystacksize)));
      YY_IGNORE_USELESS_CAST_END

      if (yyss + yystacksize - 1 <= yyssp)
        YYABORT;
    }
#endif /* !defined yyoverflow && !defined YYSTACK_RELOCATE */


  if (yystate == YYFINAL)
    YYACCEPT;

  goto yybackup;


/*-----------.
| yybackup.  |
`-----------*/
yybackup:
  /* Do appropriate processing given the current state.  Read a
     lookahead token if we need one and don't already have one.  */

  /* First try to decide what to do without reference to lookahead token.  */
  yyn = yypact[yystate];
  if (yypact_value_is_default (yyn))
    goto yydefault;

  /* Not known => get a lookahead token if don't already have one.  */

  /* YYCHAR is either empty, or end-of-input, or a valid lookahead.  */
  if (yychar == YYEMPTY)
    {
      YYDPRINTF ((stderr, "Reading a token\n"));
      yychar = yylex (&yylval, &yylloc, yyscanner);
    }

  if (yychar <= YYEOF)
    {
      yychar = YYEOF;
      yytoken = YYSYMBOL_YYEOF;
      YYDPRINTF ((stderr, "Now at end of input.\n"));
    }
  else if (yychar == YYerror)
    {
      /* The scanner already issued an error message, process directly
         to error recovery.  But do not keep the error token as
         lookahead, it is too special and may lead us to an endless
         loop in error recovery. */
      yychar = YYUNDEF;
      yytoken = YYSYMBOL_YYerror;
      yyerror_range[1] = yylloc;
      goto yyerrlab1;
    }
  else
    {
      yytoken = YYTRANSLATE (yychar);
      YY_SYMBOL_PRINT ("Next token is", yytoken, &yylval, &yylloc);
    }

  /* If the proper action on seeing token YYTOKEN is to reduce or to
     detect an error, take that action.  */
  yyn += yytoken;
  if (yyn < 0 || YYLAST < yyn || yycheck[yyn] != yytoken)
    goto yydefault;
  yyn = yytable[yyn];
  if (yyn <= 0)
    {
      if (yytable_value_is_error (yyn))
        goto yyerrlab;
      yyn = -yyn;
      goto yyreduce;
    }

  /* Count tokens shifted since error; after three, turn off error
     status.  */
  if (yyerrstatus)
    yyerrstatus--;

  /* Shift the lookahead token.  */
  YY_SYMBOL_PRINT ("Shifting", yytoken, &yylval, &yylloc);
  yystate = yyn;
  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END
  *++yylsp = yylloc;

  /* Discard the shifted token.  */
  yychar = YYEMPTY;
  goto yynewstate;


/*-----------------------------------------------------------.
| yydefault -- do the default action for the current state.  |
`-----------------------------------------------------------*/
yydefault:
  yyn = yydefact[yystate];
  if (yyn == 0)
    goto yyerrlab;
  goto yyreduce;


/*-----------------------------.
| yyreduce -- do a reduction.  |
`-----------------------------*/
yyreduce:
  /* yyn is the number of a rule to reduce with.  */
  yylen = yyr2[yyn];

  /* If YYLEN is nonzero, implement the default value of the action:
     '$$ = $1'.

     Otherwise, the following line sets YYVAL to garbage.
     This behavior is undocumented and Bison
     users should not rely upon it.  Assigning to YYVAL
     unconditionally makes the parser a bit smaller, and it avoids a
     GCC warning that YYVAL may be used uninitialized.  */
  yyval = yyvsp[1-yylen];

  /* Default location. */
  YYLLOC_DEFAULT (yyloc, (yylsp - yylen), yylen);
  yyerror_range[1] = yyloc;
  YY_REDUCE_PRINT (yyn);
  switch (yyn)
    {
  case 2: /* parse_toplevel: stmtmulti  */
#line 903 "gram.y"
                        {
				pg_yyget_extra(yyscanner)->parsetree = (yyvsp[0].list);
				(void) yynerrs;		/* suppress compiler warning */
			}
#line 29531 "gram.c"
    break;

  case 3: /* parse_toplevel: MODE_TYPE_NAME Typename  */
#line 908 "gram.y"
                        {
				pg_yyget_extra(yyscanner)->parsetree = list_make1((yyvsp[0].typnam));
			}
#line 29539 "gram.c"
    break;

  case 4: /* parse_toplevel: MODE_PLPGSQL_EXPR PLpgSQL_Expr  */
#line 912 "gram.y"
                        {
				pg_yyget_extra(yyscanner)->parsetree =
					list_make1(makeRawStmt((yyvsp[0].node), 0));
			}
#line 29548 "gram.c"
    break;

  case 5: /* parse_toplevel: MODE_PLPGSQL_ASSIGN1 PLAssignStmt  */
#line 917 "gram.y"
                        {
				PLAssignStmt *n = (PLAssignStmt *) (yyvsp[0].node);

				n->nnames = 1;
				pg_yyget_extra(yyscanner)->parsetree =
					list_make1(makeRawStmt((Node *) n, 0));
			}
#line 29560 "gram.c"
    break;

  case 6: /* parse_toplevel: MODE_PLPGSQL_ASSIGN2 PLAssignStmt  */
#line 925 "gram.y"
                        {
				PLAssignStmt *n = (PLAssignStmt *) (yyvsp[0].node);

				n->nnames = 2;
				pg_yyget_extra(yyscanner)->parsetree =
					list_make1(makeRawStmt((Node *) n, 0));
			}
#line 29572 "gram.c"
    break;

  case 7: /* parse_toplevel: MODE_PLPGSQL_ASSIGN3 PLAssignStmt  */
#line 933 "gram.y"
                        {
				PLAssignStmt *n = (PLAssignStmt *) (yyvsp[0].node);

				n->nnames = 3;
				pg_yyget_extra(yyscanner)->parsetree =
					list_make1(makeRawStmt((Node *) n, 0));
			}
#line 29584 "gram.c"
    break;

  case 8: /* stmtmulti: stmtmulti ';' toplevel_stmt  */
#line 953 "gram.y"
                                {
					if ((yyvsp[-2].list) != NIL)
					{
						/* update length of previous stmt */
						updateRawStmtEnd(llast_node(RawStmt, (yyvsp[-2].list)), (yylsp[-1]));
					}
					if ((yyvsp[0].node) != NULL)
						(yyval.list) = lappend((yyvsp[-2].list), makeRawStmt((yyvsp[0].node), (yylsp[-1]) + 1));
					else
						(yyval.list) = (yyvsp[-2].list);
				}
#line 29600 "gram.c"
    break;

  case 9: /* stmtmulti: toplevel_stmt  */
#line 965 "gram.y"
                                {
					if ((yyvsp[0].node) != NULL)
						(yyval.list) = list_make1(makeRawStmt((yyvsp[0].node), 0));
					else
						(yyval.list) = NIL;
				}
#line 29611 "gram.c"
    break;

  case 136: /* stmt: %empty  */
#line 1108 "gram.y"
                                { (yyval.node) = NULL; }
#line 29617 "gram.c"
    break;

  case 137: /* opt_single_name: ColId  */
#line 1115 "gram.y"
                                                                                { (yyval.str) = (yyvsp[0].str); }
#line 29623 "gram.c"
    break;

  case 138: /* opt_single_name: %empty  */
#line 1116 "gram.y"
                                                                        { (yyval.str) = NULL; }
#line 29629 "gram.c"
    break;

  case 139: /* opt_qualified_name: any_name  */
#line 1120 "gram.y"
                                                                                { (yyval.list) = (yyvsp[0].list); }
#line 29635 "gram.c"
    break;

  case 140: /* opt_qualified_name: %empty  */
#line 1121 "gram.y"
                                                                                { (yyval.list) = NIL; }
#line 29641 "gram.c"
    break;

  case 141: /* opt_concurrently: CONCURRENTLY  */
#line 1125 "gram.y"
                                                                        { (yyval.boolean) = true; }
#line 29647 "gram.c"
    break;

  case 142: /* opt_concurrently: %empty  */
#line 1126 "gram.y"
                                                                                { (yyval.boolean) = false; }
#line 29653 "gram.c"
    break;

  case 143: /* opt_drop_behavior: CASCADE  */
#line 1130 "gram.y"
                                                                                { (yyval.dbehavior) = DROP_CASCADE; }
#line 29659 "gram.c"
    break;

  case 144: /* opt_drop_behavior: RESTRICT  */
#line 1131 "gram.y"
                                                                                { (yyval.dbehavior) = DROP_RESTRICT; }
#line 29665 "gram.c"
    break;

  case 145: /* opt_drop_behavior: %empty  */
#line 1132 "gram.y"
                                                                        { (yyval.dbehavior) = DROP_RESTRICT; /* default */ }
#line 29671 "gram.c"
    break;

  case 146: /* CallStmt: CALL func_application  */
#line 1142 "gram.y"
                                {
					CallStmt   *n = makeNode(CallStmt);

					n->funccall = castNode(FuncCall, (yyvsp[0].node));
					(yyval.node) = (Node *) n;
				}
#line 29682 "gram.c"
    break;

  case 147: /* CreateRoleStmt: CREATE ROLE RoleId opt_with OptRoleList  */
#line 1158 "gram.y"
                                {
					CreateRoleStmt *n = makeNode(CreateRoleStmt);

					n->stmt_type = ROLESTMT_ROLE;
					n->role = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 29695 "gram.c"
    break;

  case 151: /* OptRoleList: OptRoleList CreateOptRoleElem  */
#line 1180 "gram.y"
                                                                        { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 29701 "gram.c"
    break;

  case 152: /* OptRoleList: %empty  */
#line 1181 "gram.y"
                                                                                        { (yyval.list) = NIL; }
#line 29707 "gram.c"
    break;

  case 153: /* AlterOptRoleList: AlterOptRoleList AlterOptRoleElem  */
#line 1185 "gram.y"
                                                                        { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 29713 "gram.c"
    break;

  case 154: /* AlterOptRoleList: %empty  */
#line 1186 "gram.y"
                                                                                        { (yyval.list) = NIL; }
#line 29719 "gram.c"
    break;

  case 155: /* AlterOptRoleElem: PASSWORD Sconst  */
#line 1191 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("password",
									 (Node *) makeString((yyvsp[0].str)), (yylsp[-1]));
				}
#line 29728 "gram.c"
    break;

  case 156: /* AlterOptRoleElem: PASSWORD NULL_P  */
#line 1196 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("password", NULL, (yylsp[-1]));
				}
#line 29736 "gram.c"
    break;

  case 157: /* AlterOptRoleElem: ENCRYPTED PASSWORD Sconst  */
#line 1200 "gram.y"
                                {
					/*
					 * These days, passwords are always stored in encrypted
					 * form, so there is no difference between PASSWORD and
					 * ENCRYPTED PASSWORD.
					 */
					(yyval.defelt) = makeDefElem("password",
									 (Node *) makeString((yyvsp[0].str)), (yylsp[-2]));
				}
#line 29750 "gram.c"
    break;

  case 158: /* AlterOptRoleElem: UNENCRYPTED PASSWORD Sconst  */
#line 1210 "gram.y"
                                {
					ereport(ERROR,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("UNENCRYPTED PASSWORD is no longer supported"),
							 errhint("Remove UNENCRYPTED to store the password in encrypted form instead."),
							 parser_errposition((yylsp[-2]))));
				}
#line 29762 "gram.c"
    break;

  case 159: /* AlterOptRoleElem: INHERIT  */
#line 1218 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("inherit", (Node *) makeBoolean(true), (yylsp[0]));
				}
#line 29770 "gram.c"
    break;

  case 160: /* AlterOptRoleElem: CONNECTION LIMIT SignedIconst  */
#line 1222 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("connectionlimit", (Node *) makeInteger((yyvsp[0].ival)), (yylsp[-2]));
				}
#line 29778 "gram.c"
    break;

  case 161: /* AlterOptRoleElem: VALID UNTIL Sconst  */
#line 1226 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("validUntil", (Node *) makeString((yyvsp[0].str)), (yylsp[-2]));
				}
#line 29786 "gram.c"
    break;

  case 162: /* AlterOptRoleElem: USER role_list  */
#line 1231 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("rolemembers", (Node *) (yyvsp[0].list), (yylsp[-1]));
				}
#line 29794 "gram.c"
    break;

  case 163: /* AlterOptRoleElem: IDENT  */
#line 1235 "gram.y"
                                {
					/*
					 * We handle identifiers that aren't parser keywords with
					 * the following special-case codes, to avoid bloating the
					 * size of the main parser.
					 */
					if (strcmp((yyvsp[0].str), "superuser") == 0)
						(yyval.defelt) = makeDefElem("superuser", (Node *) makeBoolean(true), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "nosuperuser") == 0)
						(yyval.defelt) = makeDefElem("superuser", (Node *) makeBoolean(false), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "createrole") == 0)
						(yyval.defelt) = makeDefElem("createrole", (Node *) makeBoolean(true), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "nocreaterole") == 0)
						(yyval.defelt) = makeDefElem("createrole", (Node *) makeBoolean(false), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "replication") == 0)
						(yyval.defelt) = makeDefElem("isreplication", (Node *) makeBoolean(true), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "noreplication") == 0)
						(yyval.defelt) = makeDefElem("isreplication", (Node *) makeBoolean(false), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "createdb") == 0)
						(yyval.defelt) = makeDefElem("createdb", (Node *) makeBoolean(true), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "nocreatedb") == 0)
						(yyval.defelt) = makeDefElem("createdb", (Node *) makeBoolean(false), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "login") == 0)
						(yyval.defelt) = makeDefElem("canlogin", (Node *) makeBoolean(true), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "nologin") == 0)
						(yyval.defelt) = makeDefElem("canlogin", (Node *) makeBoolean(false), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "bypassrls") == 0)
						(yyval.defelt) = makeDefElem("bypassrls", (Node *) makeBoolean(true), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "nobypassrls") == 0)
						(yyval.defelt) = makeDefElem("bypassrls", (Node *) makeBoolean(false), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "noinherit") == 0)
					{
						/*
						 * Note that INHERIT is a keyword, so it's handled by main parser, but
						 * NOINHERIT is handled here.
						 */
						(yyval.defelt) = makeDefElem("inherit", (Node *) makeBoolean(false), (yylsp[0]));
					}
					else
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("unrecognized role option \"%s\"", (yyvsp[0].str)),
									 parser_errposition((yylsp[0]))));
				}
#line 29843 "gram.c"
    break;

  case 164: /* CreateOptRoleElem: AlterOptRoleElem  */
#line 1282 "gram.y"
                                                                { (yyval.defelt) = (yyvsp[0].defelt); }
#line 29849 "gram.c"
    break;

  case 165: /* CreateOptRoleElem: SYSID Iconst  */
#line 1285 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("sysid", (Node *) makeInteger((yyvsp[0].ival)), (yylsp[-1]));
				}
#line 29857 "gram.c"
    break;

  case 166: /* CreateOptRoleElem: ADMIN role_list  */
#line 1289 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("adminmembers", (Node *) (yyvsp[0].list), (yylsp[-1]));
				}
#line 29865 "gram.c"
    break;

  case 167: /* CreateOptRoleElem: ROLE role_list  */
#line 1293 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("rolemembers", (Node *) (yyvsp[0].list), (yylsp[-1]));
				}
#line 29873 "gram.c"
    break;

  case 168: /* CreateOptRoleElem: IN_P ROLE role_list  */
#line 1297 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("addroleto", (Node *) (yyvsp[0].list), (yylsp[-2]));
				}
#line 29881 "gram.c"
    break;

  case 169: /* CreateOptRoleElem: IN_P GROUP_P role_list  */
#line 1301 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("addroleto", (Node *) (yyvsp[0].list), (yylsp[-2]));
				}
#line 29889 "gram.c"
    break;

  case 170: /* CreateUserStmt: CREATE USER RoleId opt_with OptRoleList  */
#line 1315 "gram.y"
                                {
					CreateRoleStmt *n = makeNode(CreateRoleStmt);

					n->stmt_type = ROLESTMT_USER;
					n->role = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 29902 "gram.c"
    break;

  case 171: /* AlterRoleStmt: ALTER ROLE RoleSpec opt_with AlterOptRoleList  */
#line 1334 "gram.y"
                                 {
					AlterRoleStmt *n = makeNode(AlterRoleStmt);

					n->role = (yyvsp[-2].rolespec);
					n->action = +1;	/* add, if there are members */
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				 }
#line 29915 "gram.c"
    break;

  case 172: /* AlterRoleStmt: ALTER USER RoleSpec opt_with AlterOptRoleList  */
#line 1343 "gram.y"
                                 {
					AlterRoleStmt *n = makeNode(AlterRoleStmt);

					n->role = (yyvsp[-2].rolespec);
					n->action = +1;	/* add, if there are members */
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				 }
#line 29928 "gram.c"
    break;

  case 173: /* opt_in_database: %empty  */
#line 1354 "gram.y"
                                                                        { (yyval.str) = NULL; }
#line 29934 "gram.c"
    break;

  case 174: /* opt_in_database: IN_P DATABASE name  */
#line 1355 "gram.y"
                                                { (yyval.str) = (yyvsp[0].str); }
#line 29940 "gram.c"
    break;

  case 175: /* AlterRoleSetStmt: ALTER ROLE RoleSpec opt_in_database SetResetClause  */
#line 1360 "gram.y"
                                {
					AlterRoleSetStmt *n = makeNode(AlterRoleSetStmt);

					n->role = (yyvsp[-2].rolespec);
					n->database = (yyvsp[-1].str);
					n->setstmt = (yyvsp[0].vsetstmt);
					(yyval.node) = (Node *) n;
				}
#line 29953 "gram.c"
    break;

  case 176: /* AlterRoleSetStmt: ALTER ROLE ALL opt_in_database SetResetClause  */
#line 1369 "gram.y"
                                {
					AlterRoleSetStmt *n = makeNode(AlterRoleSetStmt);

					n->role = NULL;
					n->database = (yyvsp[-1].str);
					n->setstmt = (yyvsp[0].vsetstmt);
					(yyval.node) = (Node *) n;
				}
#line 29966 "gram.c"
    break;

  case 177: /* AlterRoleSetStmt: ALTER USER RoleSpec opt_in_database SetResetClause  */
#line 1378 "gram.y"
                                {
					AlterRoleSetStmt *n = makeNode(AlterRoleSetStmt);

					n->role = (yyvsp[-2].rolespec);
					n->database = (yyvsp[-1].str);
					n->setstmt = (yyvsp[0].vsetstmt);
					(yyval.node) = (Node *) n;
				}
#line 29979 "gram.c"
    break;

  case 178: /* AlterRoleSetStmt: ALTER USER ALL opt_in_database SetResetClause  */
#line 1387 "gram.y"
                                {
					AlterRoleSetStmt *n = makeNode(AlterRoleSetStmt);

					n->role = NULL;
					n->database = (yyvsp[-1].str);
					n->setstmt = (yyvsp[0].vsetstmt);
					(yyval.node) = (Node *) n;
				}
#line 29992 "gram.c"
    break;

  case 179: /* DropRoleStmt: DROP ROLE role_list  */
#line 1409 "gram.y"
                                {
					DropRoleStmt *n = makeNode(DropRoleStmt);

					n->missing_ok = false;
					n->roles = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 30004 "gram.c"
    break;

  case 180: /* DropRoleStmt: DROP ROLE IF_P EXISTS role_list  */
#line 1417 "gram.y"
                                {
					DropRoleStmt *n = makeNode(DropRoleStmt);

					n->missing_ok = true;
					n->roles = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 30016 "gram.c"
    break;

  case 181: /* DropRoleStmt: DROP USER role_list  */
#line 1425 "gram.y"
                                {
					DropRoleStmt *n = makeNode(DropRoleStmt);

					n->missing_ok = false;
					n->roles = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 30028 "gram.c"
    break;

  case 182: /* DropRoleStmt: DROP USER IF_P EXISTS role_list  */
#line 1433 "gram.y"
                                {
					DropRoleStmt *n = makeNode(DropRoleStmt);

					n->roles = (yyvsp[0].list);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 30040 "gram.c"
    break;

  case 183: /* DropRoleStmt: DROP GROUP_P role_list  */
#line 1441 "gram.y"
                                {
					DropRoleStmt *n = makeNode(DropRoleStmt);

					n->missing_ok = false;
					n->roles = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 30052 "gram.c"
    break;

  case 184: /* DropRoleStmt: DROP GROUP_P IF_P EXISTS role_list  */
#line 1449 "gram.y"
                                {
					DropRoleStmt *n = makeNode(DropRoleStmt);

					n->missing_ok = true;
					n->roles = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 30064 "gram.c"
    break;

  case 185: /* CreateGroupStmt: CREATE GROUP_P RoleId opt_with OptRoleList  */
#line 1467 "gram.y"
                                {
					CreateRoleStmt *n = makeNode(CreateRoleStmt);

					n->stmt_type = ROLESTMT_GROUP;
					n->role = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 30077 "gram.c"
    break;

  case 186: /* AlterGroupStmt: ALTER GROUP_P RoleSpec add_drop USER role_list  */
#line 1486 "gram.y"
                                {
					AlterRoleStmt *n = makeNode(AlterRoleStmt);

					n->role = (yyvsp[-3].rolespec);
					n->action = (yyvsp[-2].ival);
					n->options = list_make1(makeDefElem("rolemembers",
														(Node *) (yyvsp[0].list), (yylsp[0])));
					(yyval.node) = (Node *) n;
				}
#line 30091 "gram.c"
    break;

  case 187: /* add_drop: ADD_P  */
#line 1497 "gram.y"
                                                                                        { (yyval.ival) = +1; }
#line 30097 "gram.c"
    break;

  case 188: /* add_drop: DROP  */
#line 1498 "gram.y"
                                                                                                { (yyval.ival) = -1; }
#line 30103 "gram.c"
    break;

  case 189: /* CreateSchemaStmt: CREATE SCHEMA opt_single_name AUTHORIZATION RoleSpec OptSchemaEltList  */
#line 1510 "gram.y"
                                {
					CreateSchemaStmt *n = makeNode(CreateSchemaStmt);

					/* One can omit the schema name or the authorization id. */
					n->schemaname = (yyvsp[-3].str);
					n->authrole = (yyvsp[-1].rolespec);
					n->schemaElts = (yyvsp[0].list);
					n->if_not_exists = false;
					(yyval.node) = (Node *) n;
				}
#line 30118 "gram.c"
    break;

  case 190: /* CreateSchemaStmt: CREATE SCHEMA ColId OptSchemaEltList  */
#line 1521 "gram.y"
                                {
					CreateSchemaStmt *n = makeNode(CreateSchemaStmt);

					/* ...but not both */
					n->schemaname = (yyvsp[-1].str);
					n->authrole = NULL;
					n->schemaElts = (yyvsp[0].list);
					n->if_not_exists = false;
					(yyval.node) = (Node *) n;
				}
#line 30133 "gram.c"
    break;

  case 191: /* CreateSchemaStmt: CREATE SCHEMA IF_P NOT EXISTS opt_single_name AUTHORIZATION RoleSpec OptSchemaEltList  */
#line 1532 "gram.y"
                                {
					CreateSchemaStmt *n = makeNode(CreateSchemaStmt);

					/* schema name can be omitted here, too */
					n->schemaname = (yyvsp[-3].str);
					n->authrole = (yyvsp[-1].rolespec);
					if ((yyvsp[0].list) != NIL)
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("CREATE SCHEMA IF NOT EXISTS cannot include schema elements"),
								 parser_errposition((yylsp[0]))));
					n->schemaElts = (yyvsp[0].list);
					n->if_not_exists = true;
					(yyval.node) = (Node *) n;
				}
#line 30153 "gram.c"
    break;

  case 192: /* CreateSchemaStmt: CREATE SCHEMA IF_P NOT EXISTS ColId OptSchemaEltList  */
#line 1548 "gram.y"
                                {
					CreateSchemaStmt *n = makeNode(CreateSchemaStmt);

					/* ...but not here */
					n->schemaname = (yyvsp[-1].str);
					n->authrole = NULL;
					if ((yyvsp[0].list) != NIL)
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("CREATE SCHEMA IF NOT EXISTS cannot include schema elements"),
								 parser_errposition((yylsp[0]))));
					n->schemaElts = (yyvsp[0].list);
					n->if_not_exists = true;
					(yyval.node) = (Node *) n;
				}
#line 30173 "gram.c"
    break;

  case 193: /* OptSchemaEltList: OptSchemaEltList schema_stmt  */
#line 1567 "gram.y"
                                {
					if ((yyloc) < 0)			/* see comments for YYLLOC_DEFAULT */
						(yyloc) = (yylsp[0]);
					(yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].node));
				}
#line 30183 "gram.c"
    break;

  case 194: /* OptSchemaEltList: %empty  */
#line 1573 "gram.y"
                                { (yyval.list) = NIL; }
#line 30189 "gram.c"
    break;

  case 201: /* VariableSetStmt: SET set_rest  */
#line 1601 "gram.y"
                                {
					VariableSetStmt *n = (yyvsp[0].vsetstmt);

					n->is_local = false;
					(yyval.node) = (Node *) n;
				}
#line 30200 "gram.c"
    break;

  case 202: /* VariableSetStmt: SET LOCAL set_rest  */
#line 1608 "gram.y"
                                {
					VariableSetStmt *n = (yyvsp[0].vsetstmt);

					n->is_local = true;
					(yyval.node) = (Node *) n;
				}
#line 30211 "gram.c"
    break;

  case 203: /* VariableSetStmt: SET SESSION set_rest  */
#line 1615 "gram.y"
                                {
					VariableSetStmt *n = (yyvsp[0].vsetstmt);

					n->is_local = false;
					(yyval.node) = (Node *) n;
				}
#line 30222 "gram.c"
    break;

  case 204: /* set_rest: TRANSACTION transaction_mode_list  */
#line 1625 "gram.y"
                                {
					VariableSetStmt *n = makeNode(VariableSetStmt);

					n->kind = VAR_SET_MULTI;
					n->name = "TRANSACTION";
					n->args = (yyvsp[0].list);
					(yyval.vsetstmt) = n;
				}
#line 30235 "gram.c"
    break;

  case 205: /* set_rest: SESSION CHARACTERISTICS AS TRANSACTION transaction_mode_list  */
#line 1634 "gram.y"
                                {
					VariableSetStmt *n = makeNode(VariableSetStmt);

					n->kind = VAR_SET_MULTI;
					n->name = "SESSION CHARACTERISTICS";
					n->args = (yyvsp[0].list);
					(yyval.vsetstmt) = n;
				}
#line 30248 "gram.c"
    break;

  case 207: /* generic_set: var_name TO var_list  */
#line 1647 "gram.y"
                                {
					VariableSetStmt *n = makeNode(VariableSetStmt);

					n->kind = VAR_SET_VALUE;
					n->name = (yyvsp[-2].str);
					n->args = (yyvsp[0].list);
					(yyval.vsetstmt) = n;
				}
#line 30261 "gram.c"
    break;

  case 208: /* generic_set: var_name '=' var_list  */
#line 1656 "gram.y"
                                {
					VariableSetStmt *n = makeNode(VariableSetStmt);

					n->kind = VAR_SET_VALUE;
					n->name = (yyvsp[-2].str);
					n->args = (yyvsp[0].list);
					(yyval.vsetstmt) = n;
				}
#line 30274 "gram.c"
    break;

  case 209: /* generic_set: var_name TO DEFAULT  */
#line 1665 "gram.y"
                                {
					VariableSetStmt *n = makeNode(VariableSetStmt);

					n->kind = VAR_SET_DEFAULT;
					n->name = (yyvsp[-2].str);
					(yyval.vsetstmt) = n;
				}
#line 30286 "gram.c"
    break;

  case 210: /* generic_set: var_name '=' DEFAULT  */
#line 1673 "gram.y"
                                {
					VariableSetStmt *n = makeNode(VariableSetStmt);

					n->kind = VAR_SET_DEFAULT;
					n->name = (yyvsp[-2].str);
					(yyval.vsetstmt) = n;
				}
#line 30298 "gram.c"
    break;

  case 211: /* set_rest_more: generic_set  */
#line 1683 "gram.y"
                                                                                        {(yyval.vsetstmt) = (yyvsp[0].vsetstmt);}
#line 30304 "gram.c"
    break;

  case 212: /* set_rest_more: var_name FROM CURRENT_P  */
#line 1685 "gram.y"
                                {
					VariableSetStmt *n = makeNode(VariableSetStmt);

					n->kind = VAR_SET_CURRENT;
					n->name = (yyvsp[-2].str);
					(yyval.vsetstmt) = n;
				}
#line 30316 "gram.c"
    break;

  case 213: /* set_rest_more: TIME ZONE zone_value  */
#line 1694 "gram.y"
                                {
					VariableSetStmt *n = makeNode(VariableSetStmt);

					n->kind = VAR_SET_VALUE;
					n->name = "timezone";
					if ((yyvsp[0].node) != NULL)
						n->args = list_make1((yyvsp[0].node));
					else
						n->kind = VAR_SET_DEFAULT;
					(yyval.vsetstmt) = n;
				}
#line 30332 "gram.c"
    break;

  case 214: /* set_rest_more: CATALOG_P Sconst  */
#line 1706 "gram.y"
                                {
					ereport(ERROR,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("current database cannot be changed"),
							 parser_errposition((yylsp[0]))));
					(yyval.vsetstmt) = NULL; /*not reached*/
				}
#line 30344 "gram.c"
    break;

  case 215: /* set_rest_more: SCHEMA Sconst  */
#line 1714 "gram.y"
                                {
					VariableSetStmt *n = makeNode(VariableSetStmt);

					n->kind = VAR_SET_VALUE;
					n->name = "search_path";
					n->args = list_make1(makeStringConst((yyvsp[0].str), (yylsp[0])));
					(yyval.vsetstmt) = n;
				}
#line 30357 "gram.c"
    break;

  case 216: /* set_rest_more: NAMES opt_encoding  */
#line 1723 "gram.y"
                                {
					VariableSetStmt *n = makeNode(VariableSetStmt);

					n->kind = VAR_SET_VALUE;
					n->name = "client_encoding";
					if ((yyvsp[0].str) != NULL)
						n->args = list_make1(makeStringConst((yyvsp[0].str), (yylsp[0])));
					else
						n->kind = VAR_SET_DEFAULT;
					(yyval.vsetstmt) = n;
				}
#line 30373 "gram.c"
    break;

  case 217: /* set_rest_more: ROLE NonReservedWord_or_Sconst  */
#line 1735 "gram.y"
                                {
					VariableSetStmt *n = makeNode(VariableSetStmt);

					n->kind = VAR_SET_VALUE;
					n->name = "role";
					n->args = list_make1(makeStringConst((yyvsp[0].str), (yylsp[0])));
					(yyval.vsetstmt) = n;
				}
#line 30386 "gram.c"
    break;

  case 218: /* set_rest_more: SESSION AUTHORIZATION NonReservedWord_or_Sconst  */
#line 1744 "gram.y"
                                {
					VariableSetStmt *n = makeNode(VariableSetStmt);

					n->kind = VAR_SET_VALUE;
					n->name = "session_authorization";
					n->args = list_make1(makeStringConst((yyvsp[0].str), (yylsp[0])));
					(yyval.vsetstmt) = n;
				}
#line 30399 "gram.c"
    break;

  case 219: /* set_rest_more: SESSION AUTHORIZATION DEFAULT  */
#line 1753 "gram.y"
                                {
					VariableSetStmt *n = makeNode(VariableSetStmt);

					n->kind = VAR_SET_DEFAULT;
					n->name = "session_authorization";
					(yyval.vsetstmt) = n;
				}
#line 30411 "gram.c"
    break;

  case 220: /* set_rest_more: XML_P OPTION document_or_content  */
#line 1761 "gram.y"
                                {
					VariableSetStmt *n = makeNode(VariableSetStmt);

					n->kind = VAR_SET_VALUE;
					n->name = "xmloption";
					n->args = list_make1(makeStringConst((yyvsp[0].ival) == XMLOPTION_DOCUMENT ? "DOCUMENT" : "CONTENT", (yylsp[0])));
					(yyval.vsetstmt) = n;
				}
#line 30424 "gram.c"
    break;

  case 221: /* set_rest_more: TRANSACTION SNAPSHOT Sconst  */
#line 1771 "gram.y"
                                {
					VariableSetStmt *n = makeNode(VariableSetStmt);

					n->kind = VAR_SET_MULTI;
					n->name = "TRANSACTION SNAPSHOT";
					n->args = list_make1(makeStringConst((yyvsp[0].str), (yylsp[0])));
					(yyval.vsetstmt) = n;
				}
#line 30437 "gram.c"
    break;

  case 222: /* var_name: ColId  */
#line 1781 "gram.y"
                                                                                { (yyval.str) = (yyvsp[0].str); }
#line 30443 "gram.c"
    break;

  case 223: /* var_name: var_name '.' ColId  */
#line 1783 "gram.y"
                                { (yyval.str) = psprintf("%s.%s", (yyvsp[-2].str), (yyvsp[0].str)); }
#line 30449 "gram.c"
    break;

  case 224: /* var_list: var_value  */
#line 1786 "gram.y"
                                                                                        { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 30455 "gram.c"
    break;

  case 225: /* var_list: var_list ',' var_value  */
#line 1787 "gram.y"
                                                                                { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 30461 "gram.c"
    break;

  case 226: /* var_value: opt_boolean_or_string  */
#line 1791 "gram.y"
                                { (yyval.node) = makeStringConst((yyvsp[0].str), (yylsp[0])); }
#line 30467 "gram.c"
    break;

  case 227: /* var_value: NumericOnly  */
#line 1793 "gram.y"
                                { (yyval.node) = makeAConst((yyvsp[0].node), (yylsp[0])); }
#line 30473 "gram.c"
    break;

  case 228: /* iso_level: READ UNCOMMITTED  */
#line 1796 "gram.y"
                                                                                { (yyval.str) = "read uncommitted"; }
#line 30479 "gram.c"
    break;

  case 229: /* iso_level: READ COMMITTED  */
#line 1797 "gram.y"
                                                                                        { (yyval.str) = "read committed"; }
#line 30485 "gram.c"
    break;

  case 230: /* iso_level: REPEATABLE READ  */
#line 1798 "gram.y"
                                                                                        { (yyval.str) = "repeatable read"; }
#line 30491 "gram.c"
    break;

  case 231: /* iso_level: SERIALIZABLE  */
#line 1799 "gram.y"
                                                                                        { (yyval.str) = "serializable"; }
#line 30497 "gram.c"
    break;

  case 232: /* opt_boolean_or_string: TRUE_P  */
#line 1803 "gram.y"
                                                                                                { (yyval.str) = "true"; }
#line 30503 "gram.c"
    break;

  case 233: /* opt_boolean_or_string: FALSE_P  */
#line 1804 "gram.y"
                                                                                                { (yyval.str) = "false"; }
#line 30509 "gram.c"
    break;

  case 234: /* opt_boolean_or_string: ON  */
#line 1805 "gram.y"
                                                                                                { (yyval.str) = "on"; }
#line 30515 "gram.c"
    break;

  case 235: /* opt_boolean_or_string: NonReservedWord_or_Sconst  */
#line 1811 "gram.y"
                                                                                { (yyval.str) = (yyvsp[0].str); }
#line 30521 "gram.c"
    break;

  case 236: /* zone_value: Sconst  */
#line 1824 "gram.y"
                                {
					(yyval.node) = makeStringConst((yyvsp[0].str), (yylsp[0]));
				}
#line 30529 "gram.c"
    break;

  case 237: /* zone_value: IDENT  */
#line 1828 "gram.y"
                                {
					(yyval.node) = makeStringConst((yyvsp[0].str), (yylsp[0]));
				}
#line 30537 "gram.c"
    break;

  case 238: /* zone_value: ConstInterval Sconst opt_interval  */
#line 1832 "gram.y"
                                {
					TypeName   *t = (yyvsp[-2].typnam);

					if ((yyvsp[0].list) != NIL)
					{
						A_Const	   *n = (A_Const *) linitial((yyvsp[0].list));

						if ((n->val.ival.ival & ~(INTERVAL_MASK(HOUR) | INTERVAL_MASK(MINUTE))) != 0)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("time zone interval must be HOUR or HOUR TO MINUTE"),
									 parser_errposition((yylsp[0]))));
					}
					t->typmods = (yyvsp[0].list);
					(yyval.node) = makeStringConstCast((yyvsp[-1].str), (yylsp[-1]), t);
				}
#line 30558 "gram.c"
    break;

  case 239: /* zone_value: ConstInterval '(' Iconst ')' Sconst  */
#line 1849 "gram.y"
                                {
					TypeName   *t = (yyvsp[-4].typnam);

					t->typmods = list_make2(makeIntConst(INTERVAL_FULL_RANGE, -1),
											makeIntConst((yyvsp[-2].ival), (yylsp[-2])));
					(yyval.node) = makeStringConstCast((yyvsp[0].str), (yylsp[0]), t);
				}
#line 30570 "gram.c"
    break;

  case 240: /* zone_value: NumericOnly  */
#line 1856 "gram.y"
                                                                                        { (yyval.node) = makeAConst((yyvsp[0].node), (yylsp[0])); }
#line 30576 "gram.c"
    break;

  case 241: /* zone_value: DEFAULT  */
#line 1857 "gram.y"
                                                                                                { (yyval.node) = NULL; }
#line 30582 "gram.c"
    break;

  case 242: /* zone_value: LOCAL  */
#line 1858 "gram.y"
                                                                                                { (yyval.node) = NULL; }
#line 30588 "gram.c"
    break;

  case 243: /* opt_encoding: Sconst  */
#line 1862 "gram.y"
                                                                                                { (yyval.str) = (yyvsp[0].str); }
#line 30594 "gram.c"
    break;

  case 244: /* opt_encoding: DEFAULT  */
#line 1863 "gram.y"
                                                                                                { (yyval.str) = NULL; }
#line 30600 "gram.c"
    break;

  case 245: /* opt_encoding: %empty  */
#line 1864 "gram.y"
                                                                                                { (yyval.str) = NULL; }
#line 30606 "gram.c"
    break;

  case 246: /* NonReservedWord_or_Sconst: NonReservedWord  */
#line 1868 "gram.y"
                                                                                        { (yyval.str) = (yyvsp[0].str); }
#line 30612 "gram.c"
    break;

  case 247: /* NonReservedWord_or_Sconst: Sconst  */
#line 1869 "gram.y"
                                                                                                { (yyval.str) = (yyvsp[0].str); }
#line 30618 "gram.c"
    break;

  case 248: /* VariableResetStmt: RESET reset_rest  */
#line 1873 "gram.y"
                                                                                        { (yyval.node) = (Node *) (yyvsp[0].vsetstmt); }
#line 30624 "gram.c"
    break;

  case 249: /* reset_rest: generic_reset  */
#line 1877 "gram.y"
                                                                                        { (yyval.vsetstmt) = (yyvsp[0].vsetstmt); }
#line 30630 "gram.c"
    break;

  case 250: /* reset_rest: TIME ZONE  */
#line 1879 "gram.y"
                                {
					VariableSetStmt *n = makeNode(VariableSetStmt);

					n->kind = VAR_RESET;
					n->name = "timezone";
					(yyval.vsetstmt) = n;
				}
#line 30642 "gram.c"
    break;

  case 251: /* reset_rest: TRANSACTION ISOLATION LEVEL  */
#line 1887 "gram.y"
                                {
					VariableSetStmt *n = makeNode(VariableSetStmt);

					n->kind = VAR_RESET;
					n->name = "transaction_isolation";
					(yyval.vsetstmt) = n;
				}
#line 30654 "gram.c"
    break;

  case 252: /* reset_rest: SESSION AUTHORIZATION  */
#line 1895 "gram.y"
                                {
					VariableSetStmt *n = makeNode(VariableSetStmt);

					n->kind = VAR_RESET;
					n->name = "session_authorization";
					(yyval.vsetstmt) = n;
				}
#line 30666 "gram.c"
    break;

  case 253: /* generic_reset: var_name  */
#line 1906 "gram.y"
                                {
					VariableSetStmt *n = makeNode(VariableSetStmt);

					n->kind = VAR_RESET;
					n->name = (yyvsp[0].str);
					(yyval.vsetstmt) = n;
				}
#line 30678 "gram.c"
    break;

  case 254: /* generic_reset: ALL  */
#line 1914 "gram.y"
                                {
					VariableSetStmt *n = makeNode(VariableSetStmt);

					n->kind = VAR_RESET_ALL;
					(yyval.vsetstmt) = n;
				}
#line 30689 "gram.c"
    break;

  case 255: /* SetResetClause: SET set_rest  */
#line 1924 "gram.y"
                                                                        { (yyval.vsetstmt) = (yyvsp[0].vsetstmt); }
#line 30695 "gram.c"
    break;

  case 256: /* SetResetClause: VariableResetStmt  */
#line 1925 "gram.y"
                                                                        { (yyval.vsetstmt) = (VariableSetStmt *) (yyvsp[0].node); }
#line 30701 "gram.c"
    break;

  case 257: /* FunctionSetResetClause: SET set_rest_more  */
#line 1930 "gram.y"
                                                                        { (yyval.vsetstmt) = (yyvsp[0].vsetstmt); }
#line 30707 "gram.c"
    break;

  case 258: /* FunctionSetResetClause: VariableResetStmt  */
#line 1931 "gram.y"
                                                                        { (yyval.vsetstmt) = (VariableSetStmt *) (yyvsp[0].node); }
#line 30713 "gram.c"
    break;

  case 259: /* VariableShowStmt: SHOW var_name  */
#line 1937 "gram.y"
                                {
					VariableShowStmt *n = makeNode(VariableShowStmt);

					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 30724 "gram.c"
    break;

  case 260: /* VariableShowStmt: SHOW TIME ZONE  */
#line 1944 "gram.y"
                                {
					VariableShowStmt *n = makeNode(VariableShowStmt);

					n->name = "timezone";
					(yyval.node) = (Node *) n;
				}
#line 30735 "gram.c"
    break;

  case 261: /* VariableShowStmt: SHOW TRANSACTION ISOLATION LEVEL  */
#line 1951 "gram.y"
                                {
					VariableShowStmt *n = makeNode(VariableShowStmt);

					n->name = "transaction_isolation";
					(yyval.node) = (Node *) n;
				}
#line 30746 "gram.c"
    break;

  case 262: /* VariableShowStmt: SHOW SESSION AUTHORIZATION  */
#line 1958 "gram.y"
                                {
					VariableShowStmt *n = makeNode(VariableShowStmt);

					n->name = "session_authorization";
					(yyval.node) = (Node *) n;
				}
#line 30757 "gram.c"
    break;

  case 263: /* VariableShowStmt: SHOW ALL  */
#line 1965 "gram.y"
                                {
					VariableShowStmt *n = makeNode(VariableShowStmt);

					n->name = "all";
					(yyval.node) = (Node *) n;
				}
#line 30768 "gram.c"
    break;

  case 264: /* ConstraintsSetStmt: SET CONSTRAINTS constraints_set_list constraints_set_mode  */
#line 1976 "gram.y"
                                {
					ConstraintsSetStmt *n = makeNode(ConstraintsSetStmt);

					n->constraints = (yyvsp[-1].list);
					n->deferred = (yyvsp[0].boolean);
					(yyval.node) = (Node *) n;
				}
#line 30780 "gram.c"
    break;

  case 265: /* constraints_set_list: ALL  */
#line 1986 "gram.y"
                                                                                                        { (yyval.list) = NIL; }
#line 30786 "gram.c"
    break;

  case 266: /* constraints_set_list: qualified_name_list  */
#line 1987 "gram.y"
                                                                                { (yyval.list) = (yyvsp[0].list); }
#line 30792 "gram.c"
    break;

  case 267: /* constraints_set_mode: DEFERRED  */
#line 1991 "gram.y"
                                                                                                { (yyval.boolean) = true; }
#line 30798 "gram.c"
    break;

  case 268: /* constraints_set_mode: IMMEDIATE  */
#line 1992 "gram.y"
                                                                                                { (yyval.boolean) = false; }
#line 30804 "gram.c"
    break;

  case 269: /* CheckPointStmt: CHECKPOINT  */
#line 2001 "gram.y"
                                {
					CheckPointStmt *n = makeNode(CheckPointStmt);

					(yyval.node) = (Node *) n;
				}
#line 30814 "gram.c"
    break;

  case 270: /* DiscardStmt: DISCARD ALL  */
#line 2017 "gram.y"
                                {
					DiscardStmt *n = makeNode(DiscardStmt);

					n->target = DISCARD_ALL;
					(yyval.node) = (Node *) n;
				}
#line 30825 "gram.c"
    break;

  case 271: /* DiscardStmt: DISCARD TEMP  */
#line 2024 "gram.y"
                                {
					DiscardStmt *n = makeNode(DiscardStmt);

					n->target = DISCARD_TEMP;
					(yyval.node) = (Node *) n;
				}
#line 30836 "gram.c"
    break;

  case 272: /* DiscardStmt: DISCARD TEMPORARY  */
#line 2031 "gram.y"
                                {
					DiscardStmt *n = makeNode(DiscardStmt);

					n->target = DISCARD_TEMP;
					(yyval.node) = (Node *) n;
				}
#line 30847 "gram.c"
    break;

  case 273: /* DiscardStmt: DISCARD PLANS  */
#line 2038 "gram.y"
                                {
					DiscardStmt *n = makeNode(DiscardStmt);

					n->target = DISCARD_PLANS;
					(yyval.node) = (Node *) n;
				}
#line 30858 "gram.c"
    break;

  case 274: /* DiscardStmt: DISCARD SEQUENCES  */
#line 2045 "gram.y"
                                {
					DiscardStmt *n = makeNode(DiscardStmt);

					n->target = DISCARD_SEQUENCES;
					(yyval.node) = (Node *) n;
				}
#line 30869 "gram.c"
    break;

  case 275: /* AlterTableStmt: ALTER TABLE relation_expr alter_table_cmds  */
#line 2065 "gram.y"
                                {
					AlterTableStmt *n = makeNode(AlterTableStmt);

					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->objtype = OBJECT_TABLE;
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 30883 "gram.c"
    break;

  case 276: /* AlterTableStmt: ALTER TABLE IF_P EXISTS relation_expr alter_table_cmds  */
#line 2075 "gram.y"
                                {
					AlterTableStmt *n = makeNode(AlterTableStmt);

					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->objtype = OBJECT_TABLE;
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 30897 "gram.c"
    break;

  case 277: /* AlterTableStmt: ALTER TABLE relation_expr partition_cmd  */
#line 2085 "gram.y"
                                {
					AlterTableStmt *n = makeNode(AlterTableStmt);

					n->relation = (yyvsp[-1].range);
					n->cmds = list_make1((yyvsp[0].node));
					n->objtype = OBJECT_TABLE;
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 30911 "gram.c"
    break;

  case 278: /* AlterTableStmt: ALTER TABLE IF_P EXISTS relation_expr partition_cmd  */
#line 2095 "gram.y"
                                {
					AlterTableStmt *n = makeNode(AlterTableStmt);

					n->relation = (yyvsp[-1].range);
					n->cmds = list_make1((yyvsp[0].node));
					n->objtype = OBJECT_TABLE;
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 30925 "gram.c"
    break;

  case 279: /* AlterTableStmt: ALTER TABLE ALL IN_P TABLESPACE name SET TABLESPACE name opt_nowait  */
#line 2105 "gram.y"
                                {
					AlterTableMoveAllStmt *n =
						makeNode(AlterTableMoveAllStmt);

					n->orig_tablespacename = (yyvsp[-4].str);
					n->objtype = OBJECT_TABLE;
					n->roles = NIL;
					n->new_tablespacename = (yyvsp[-1].str);
					n->nowait = (yyvsp[0].boolean);
					(yyval.node) = (Node *) n;
				}
#line 30941 "gram.c"
    break;

  case 280: /* AlterTableStmt: ALTER TABLE ALL IN_P TABLESPACE name OWNED BY role_list SET TABLESPACE name opt_nowait  */
#line 2117 "gram.y"
                                {
					AlterTableMoveAllStmt *n =
						makeNode(AlterTableMoveAllStmt);

					n->orig_tablespacename = (yyvsp[-7].str);
					n->objtype = OBJECT_TABLE;
					n->roles = (yyvsp[-4].list);
					n->new_tablespacename = (yyvsp[-1].str);
					n->nowait = (yyvsp[0].boolean);
					(yyval.node) = (Node *) n;
				}
#line 30957 "gram.c"
    break;

  case 281: /* AlterTableStmt: ALTER INDEX qualified_name alter_table_cmds  */
#line 2129 "gram.y"
                                {
					AlterTableStmt *n = makeNode(AlterTableStmt);

					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->objtype = OBJECT_INDEX;
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 30971 "gram.c"
    break;

  case 282: /* AlterTableStmt: ALTER INDEX IF_P EXISTS qualified_name alter_table_cmds  */
#line 2139 "gram.y"
                                {
					AlterTableStmt *n = makeNode(AlterTableStmt);

					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->objtype = OBJECT_INDEX;
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 30985 "gram.c"
    break;

  case 283: /* AlterTableStmt: ALTER INDEX qualified_name index_partition_cmd  */
#line 2149 "gram.y"
                                {
					AlterTableStmt *n = makeNode(AlterTableStmt);

					n->relation = (yyvsp[-1].range);
					n->cmds = list_make1((yyvsp[0].node));
					n->objtype = OBJECT_INDEX;
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 30999 "gram.c"
    break;

  case 284: /* AlterTableStmt: ALTER INDEX ALL IN_P TABLESPACE name SET TABLESPACE name opt_nowait  */
#line 2159 "gram.y"
                                {
					AlterTableMoveAllStmt *n =
						makeNode(AlterTableMoveAllStmt);

					n->orig_tablespacename = (yyvsp[-4].str);
					n->objtype = OBJECT_INDEX;
					n->roles = NIL;
					n->new_tablespacename = (yyvsp[-1].str);
					n->nowait = (yyvsp[0].boolean);
					(yyval.node) = (Node *) n;
				}
#line 31015 "gram.c"
    break;

  case 285: /* AlterTableStmt: ALTER INDEX ALL IN_P TABLESPACE name OWNED BY role_list SET TABLESPACE name opt_nowait  */
#line 2171 "gram.y"
                                {
					AlterTableMoveAllStmt *n =
						makeNode(AlterTableMoveAllStmt);

					n->orig_tablespacename = (yyvsp[-7].str);
					n->objtype = OBJECT_INDEX;
					n->roles = (yyvsp[-4].list);
					n->new_tablespacename = (yyvsp[-1].str);
					n->nowait = (yyvsp[0].boolean);
					(yyval.node) = (Node *) n;
				}
#line 31031 "gram.c"
    break;

  case 286: /* AlterTableStmt: ALTER SEQUENCE qualified_name alter_table_cmds  */
#line 2183 "gram.y"
                                {
					AlterTableStmt *n = makeNode(AlterTableStmt);

					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->objtype = OBJECT_SEQUENCE;
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 31045 "gram.c"
    break;

  case 287: /* AlterTableStmt: ALTER SEQUENCE IF_P EXISTS qualified_name alter_table_cmds  */
#line 2193 "gram.y"
                                {
					AlterTableStmt *n = makeNode(AlterTableStmt);

					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->objtype = OBJECT_SEQUENCE;
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 31059 "gram.c"
    break;

  case 288: /* AlterTableStmt: ALTER VIEW qualified_name alter_table_cmds  */
#line 2203 "gram.y"
                                {
					AlterTableStmt *n = makeNode(AlterTableStmt);

					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->objtype = OBJECT_VIEW;
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 31073 "gram.c"
    break;

  case 289: /* AlterTableStmt: ALTER VIEW IF_P EXISTS qualified_name alter_table_cmds  */
#line 2213 "gram.y"
                                {
					AlterTableStmt *n = makeNode(AlterTableStmt);

					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->objtype = OBJECT_VIEW;
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 31087 "gram.c"
    break;

  case 290: /* AlterTableStmt: ALTER MATERIALIZED VIEW qualified_name alter_table_cmds  */
#line 2223 "gram.y"
                                {
					AlterTableStmt *n = makeNode(AlterTableStmt);

					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->objtype = OBJECT_MATVIEW;
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 31101 "gram.c"
    break;

  case 291: /* AlterTableStmt: ALTER MATERIALIZED VIEW IF_P EXISTS qualified_name alter_table_cmds  */
#line 2233 "gram.y"
                                {
					AlterTableStmt *n = makeNode(AlterTableStmt);

					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->objtype = OBJECT_MATVIEW;
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 31115 "gram.c"
    break;

  case 292: /* AlterTableStmt: ALTER MATERIALIZED VIEW ALL IN_P TABLESPACE name SET TABLESPACE name opt_nowait  */
#line 2243 "gram.y"
                                {
					AlterTableMoveAllStmt *n =
						makeNode(AlterTableMoveAllStmt);

					n->orig_tablespacename = (yyvsp[-4].str);
					n->objtype = OBJECT_MATVIEW;
					n->roles = NIL;
					n->new_tablespacename = (yyvsp[-1].str);
					n->nowait = (yyvsp[0].boolean);
					(yyval.node) = (Node *) n;
				}
#line 31131 "gram.c"
    break;

  case 293: /* AlterTableStmt: ALTER MATERIALIZED VIEW ALL IN_P TABLESPACE name OWNED BY role_list SET TABLESPACE name opt_nowait  */
#line 2255 "gram.y"
                                {
					AlterTableMoveAllStmt *n =
						makeNode(AlterTableMoveAllStmt);

					n->orig_tablespacename = (yyvsp[-7].str);
					n->objtype = OBJECT_MATVIEW;
					n->roles = (yyvsp[-4].list);
					n->new_tablespacename = (yyvsp[-1].str);
					n->nowait = (yyvsp[0].boolean);
					(yyval.node) = (Node *) n;
				}
#line 31147 "gram.c"
    break;

  case 294: /* AlterTableStmt: ALTER FOREIGN TABLE relation_expr alter_table_cmds  */
#line 2267 "gram.y"
                                {
					AlterTableStmt *n = makeNode(AlterTableStmt);

					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->objtype = OBJECT_FOREIGN_TABLE;
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 31161 "gram.c"
    break;

  case 295: /* AlterTableStmt: ALTER FOREIGN TABLE IF_P EXISTS relation_expr alter_table_cmds  */
#line 2277 "gram.y"
                                {
					AlterTableStmt *n = makeNode(AlterTableStmt);

					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->objtype = OBJECT_FOREIGN_TABLE;
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 31175 "gram.c"
    break;

  case 296: /* alter_table_cmds: alter_table_cmd  */
#line 2289 "gram.y"
                                                                                        { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 31181 "gram.c"
    break;

  case 297: /* alter_table_cmds: alter_table_cmds ',' alter_table_cmd  */
#line 2290 "gram.y"
                                                                { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 31187 "gram.c"
    break;

  case 298: /* partition_cmd: ATTACH PARTITION qualified_name PartitionBoundSpec  */
#line 2296 "gram.y"
                                {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					PartitionCmd *cmd = makeNode(PartitionCmd);

					n->subtype = AT_AttachPartition;
					cmd->name = (yyvsp[-1].range);
					cmd->bound = (yyvsp[0].partboundspec);
					cmd->concurrent = false;
					n->def = (Node *) cmd;

					(yyval.node) = (Node *) n;
				}
#line 31204 "gram.c"
    break;

  case 299: /* partition_cmd: DETACH PARTITION qualified_name opt_concurrently  */
#line 2310 "gram.y"
                                {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					PartitionCmd *cmd = makeNode(PartitionCmd);

					n->subtype = AT_DetachPartition;
					cmd->name = (yyvsp[-1].range);
					cmd->bound = NULL;
					cmd->concurrent = (yyvsp[0].boolean);
					n->def = (Node *) cmd;

					(yyval.node) = (Node *) n;
				}
#line 31221 "gram.c"
    break;

  case 300: /* partition_cmd: DETACH PARTITION qualified_name FINALIZE  */
#line 2323 "gram.y"
                                {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					PartitionCmd *cmd = makeNode(PartitionCmd);

					n->subtype = AT_DetachPartitionFinalize;
					cmd->name = (yyvsp[-1].range);
					cmd->bound = NULL;
					cmd->concurrent = false;
					n->def = (Node *) cmd;
					(yyval.node) = (Node *) n;
				}
#line 31237 "gram.c"
    break;

  case 301: /* index_partition_cmd: ATTACH PARTITION qualified_name  */
#line 2339 "gram.y"
                                {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					PartitionCmd *cmd = makeNode(PartitionCmd);

					n->subtype = AT_AttachPartition;
					cmd->name = (yyvsp[0].range);
					cmd->bound = NULL;
					cmd->concurrent = false;
					n->def = (Node *) cmd;

					(yyval.node) = (Node *) n;
				}
#line 31254 "gram.c"
    break;

  case 302: /* alter_table_cmd: ADD_P columnDef  */
#line 2356 "gram.y"
                                {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_AddColumn;
					n->def = (yyvsp[0].node);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 31267 "gram.c"
    break;

  case 303: /* alter_table_cmd: ADD_P IF_P NOT EXISTS columnDef  */
#line 2366 "gram.y"
                                {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_AddColumn;
					n->def = (yyvsp[0].node);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 31280 "gram.c"
    break;

  case 304: /* alter_table_cmd: ADD_P COLUMN columnDef  */
#line 2376 "gram.y"
                                {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_AddColumn;
					n->def = (yyvsp[0].node);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 31293 "gram.c"
    break;

  case 305: /* alter_table_cmd: ADD_P COLUMN IF_P NOT EXISTS columnDef  */
#line 2386 "gram.y"
                                {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_AddColumn;
					n->def = (yyvsp[0].node);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 31306 "gram.c"
    break;

  case 306: /* alter_table_cmd: ALTER opt_column ColId alter_column_default  */
#line 2396 "gram.y"
                                {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_ColumnDefault;
					n->name = (yyvsp[-1].str);
					n->def = (yyvsp[0].node);
					(yyval.node) = (Node *) n;
				}
#line 31319 "gram.c"
    break;

  case 307: /* alter_table_cmd: ALTER opt_column ColId DROP NOT NULL_P  */
#line 2406 "gram.y"
                                {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_DropNotNull;
					n->name = (yyvsp[-3].str);
					(yyval.node) = (Node *) n;
				}
#line 31331 "gram.c"
    break;

  case 308: /* alter_table_cmd: ALTER opt_column ColId SET NOT NULL_P  */
#line 2415 "gram.y"
                                {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_SetNotNull;
					n->name = (yyvsp[-3].str);
					(yyval.node) = (Node *) n;
				}
#line 31343 "gram.c"
    break;

  case 309: /* alter_table_cmd: ALTER opt_column ColId SET EXPRESSION AS '(' a_expr ')'  */
#line 2424 "gram.y"
                                {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_SetExpression;
					n->name = (yyvsp[-6].str);
					n->def = (yyvsp[-1].node);
					(yyval.node) = (Node *) n;
				}
#line 31356 "gram.c"
    break;

  case 310: /* alter_table_cmd: ALTER opt_column ColId DROP EXPRESSION  */
#line 2434 "gram.y"
                                {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_DropExpression;
					n->name = (yyvsp[-2].str);
					(yyval.node) = (Node *) n;
				}
#line 31368 "gram.c"
    break;

  case 311: /* alter_table_cmd: ALTER opt_column ColId DROP EXPRESSION IF_P EXISTS  */
#line 2443 "gram.y"
                                {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_DropExpression;
					n->name = (yyvsp[-4].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 31381 "gram.c"
    break;

  case 312: /* alter_table_cmd: ALTER opt_column ColId SET STATISTICS set_statistics_value  */
#line 2453 "gram.y"
                                {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_SetStatistics;
					n->name = (yyvsp[-3].str);
					n->def = (yyvsp[0].node);
					(yyval.node) = (Node *) n;
				}
#line 31394 "gram.c"
    break;

  case 313: /* alter_table_cmd: ALTER opt_column Iconst SET STATISTICS set_statistics_value  */
#line 2463 "gram.y"
                                {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					if ((yyvsp[-3].ival) <= 0 || (yyvsp[-3].ival) > PG_INT16_MAX)
						ereport(ERROR,
								(errcode(ERRCODE_INVALID_PARAMETER_VALUE),
								 errmsg("column number must be in range from 1 to %d", PG_INT16_MAX),
								 parser_errposition((yylsp[-3]))));

					n->subtype = AT_SetStatistics;
					n->num = (int16) (yyvsp[-3].ival);
					n->def = (yyvsp[0].node);
					(yyval.node) = (Node *) n;
				}
#line 31413 "gram.c"
    break;

  case 314: /* alter_table_cmd: ALTER opt_column ColId SET reloptions  */
#line 2479 "gram.y"
                                {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_SetOptions;
					n->name = (yyvsp[-2].str);
					n->def = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 31426 "gram.c"
    break;

  case 315: /* alter_table_cmd: ALTER opt_column ColId RESET reloptions  */
#line 2489 "gram.y"
                                {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_ResetOptions;
					n->name = (yyvsp[-2].str);
					n->def = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 31439 "gram.c"
    break;

  case 316: /* alter_table_cmd: ALTER opt_column ColId SET column_storage  */
#line 2499 "gram.y"
                                {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_SetStorage;
					n->name = (yyvsp[-2].str);
					n->def = (Node *) makeString((yyvsp[0].str));
					(yyval.node) = (Node *) n;
				}
#line 31452 "gram.c"
    break;

  case 317: /* alter_table_cmd: ALTER opt_column ColId SET column_compression  */
#line 2509 "gram.y"
                                {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_SetCompression;
					n->name = (yyvsp[-2].str);
					n->def = (Node *) makeString((yyvsp[0].str));
					(yyval.node) = (Node *) n;
				}
#line 31465 "gram.c"
    break;

  case 318: /* alter_table_cmd: ALTER opt_column ColId ADD_P GENERATED generated_when AS IDENTITY_P OptParenthesizedSeqOptList  */
#line 2519 "gram.y"
                                {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					Constraint *c = makeNode(Constraint);

					c->contype = CONSTR_IDENTITY;
					c->generated_when = (yyvsp[-3].ival);
					c->options = (yyvsp[0].list);
					c->location = (yylsp[-4]);

					n->subtype = AT_AddIdentity;
					n->name = (yyvsp[-6].str);
					n->def = (Node *) c;

					(yyval.node) = (Node *) n;
				}
#line 31485 "gram.c"
    break;

  case 319: /* alter_table_cmd: ALTER opt_column ColId alter_identity_column_option_list  */
#line 2536 "gram.y"
                                {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_SetIdentity;
					n->name = (yyvsp[-1].str);
					n->def = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 31498 "gram.c"
    break;

  case 320: /* alter_table_cmd: ALTER opt_column ColId DROP IDENTITY_P  */
#line 2546 "gram.y"
                                {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_DropIdentity;
					n->name = (yyvsp[-2].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 31511 "gram.c"
    break;

  case 321: /* alter_table_cmd: ALTER opt_column ColId DROP IDENTITY_P IF_P EXISTS  */
#line 2556 "gram.y"
                                {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_DropIdentity;
					n->name = (yyvsp[-4].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 31524 "gram.c"
    break;

  case 322: /* alter_table_cmd: DROP opt_column IF_P EXISTS ColId opt_drop_behavior  */
#line 2566 "gram.y"
                                {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_DropColumn;
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 31538 "gram.c"
    break;

  case 323: /* alter_table_cmd: DROP opt_column ColId opt_drop_behavior  */
#line 2577 "gram.y"
                                {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_DropColumn;
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 31552 "gram.c"
    break;

  case 324: /* alter_table_cmd: ALTER opt_column ColId opt_set_data TYPE_P Typename opt_collate_clause alter_using  */
#line 2591 "gram.y"
                                {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					ColumnDef *def = makeNode(ColumnDef);

					n->subtype = AT_AlterColumnType;
					n->name = (yyvsp[-5].str);
					n->def = (Node *) def;
					/* We only use these fields of the ColumnDef node */
					def->typeName = (yyvsp[-2].typnam);
					def->collClause = (CollateClause *) (yyvsp[-1].node);
					def->raw_default = (yyvsp[0].node);
					def->location = (yylsp[-5]);
					(yyval.node) = (Node *) n;
				}
#line 31571 "gram.c"
    break;

  case 325: /* alter_table_cmd: ALTER opt_column ColId alter_generic_options  */
#line 2607 "gram.y"
                                {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_AlterColumnGenericOptions;
					n->name = (yyvsp[-1].str);
					n->def = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 31584 "gram.c"
    break;

  case 326: /* alter_table_cmd: ADD_P TableConstraint  */
#line 2617 "gram.y"
                                {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_AddConstraint;
					n->def = (yyvsp[0].node);
					(yyval.node) = (Node *) n;
				}
#line 31596 "gram.c"
    break;

  case 327: /* alter_table_cmd: ALTER CONSTRAINT name ConstraintAttributeSpec  */
#line 2626 "gram.y"
                                {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					Constraint *c = makeNode(Constraint);

					n->subtype = AT_AlterConstraint;
					n->def = (Node *) c;
					c->contype = CONSTR_FOREIGN; /* others not supported, yet */
					c->conname = (yyvsp[-1].str);
					processCASbits((yyvsp[0].ival), (yylsp[0]), "ALTER CONSTRAINT statement",
									&c->deferrable,
									&c->initdeferred,
									NULL, NULL, yyscanner);
					(yyval.node) = (Node *) n;
				}
#line 31615 "gram.c"
    break;

  case 328: /* alter_table_cmd: VALIDATE CONSTRAINT name  */
#line 2642 "gram.y"
                                {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_ValidateConstraint;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 31627 "gram.c"
    break;

  case 329: /* alter_table_cmd: DROP CONSTRAINT IF_P EXISTS name opt_drop_behavior  */
#line 2651 "gram.y"
                                {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_DropConstraint;
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 31641 "gram.c"
    break;

  case 330: /* alter_table_cmd: DROP CONSTRAINT name opt_drop_behavior  */
#line 2662 "gram.y"
                                {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_DropConstraint;
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 31655 "gram.c"
    break;

  case 331: /* alter_table_cmd: SET WITHOUT OIDS  */
#line 2673 "gram.y"
                                {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_DropOids;
					(yyval.node) = (Node *) n;
				}
#line 31666 "gram.c"
    break;

  case 332: /* alter_table_cmd: CLUSTER ON name  */
#line 2681 "gram.y"
                                {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_ClusterOn;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 31678 "gram.c"
    break;

  case 333: /* alter_table_cmd: SET WITHOUT CLUSTER  */
#line 2690 "gram.y"
                                {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_DropCluster;
					n->name = NULL;
					(yyval.node) = (Node *) n;
				}
#line 31690 "gram.c"
    break;

  case 334: /* alter_table_cmd: SET LOGGED  */
#line 2699 "gram.y"
                                {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_SetLogged;
					(yyval.node) = (Node *) n;
				}
#line 31701 "gram.c"
    break;

  case 335: /* alter_table_cmd: SET UNLOGGED  */
#line 2707 "gram.y"
                                {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_SetUnLogged;
					(yyval.node) = (Node *) n;
				}
#line 31712 "gram.c"
    break;

  case 336: /* alter_table_cmd: ENABLE_P TRIGGER name  */
#line 2715 "gram.y"
                                {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_EnableTrig;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 31724 "gram.c"
    break;

  case 337: /* alter_table_cmd: ENABLE_P ALWAYS TRIGGER name  */
#line 2724 "gram.y"
                                {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_EnableAlwaysTrig;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 31736 "gram.c"
    break;

  case 338: /* alter_table_cmd: ENABLE_P REPLICA TRIGGER name  */
#line 2733 "gram.y"
                                {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_EnableReplicaTrig;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 31748 "gram.c"
    break;

  case 339: /* alter_table_cmd: ENABLE_P TRIGGER ALL  */
#line 2742 "gram.y"
                                {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_EnableTrigAll;
					(yyval.node) = (Node *) n;
				}
#line 31759 "gram.c"
    break;

  case 340: /* alter_table_cmd: ENABLE_P TRIGGER USER  */
#line 2750 "gram.y"
                                {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_EnableTrigUser;
					(yyval.node) = (Node *) n;
				}
#line 31770 "gram.c"
    break;

  case 341: /* alter_table_cmd: DISABLE_P TRIGGER name  */
#line 2758 "gram.y"
                                {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_DisableTrig;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 31782 "gram.c"
    break;

  case 342: /* alter_table_cmd: DISABLE_P TRIGGER ALL  */
#line 2767 "gram.y"
                                {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_DisableTrigAll;
					(yyval.node) = (Node *) n;
				}
#line 31793 "gram.c"
    break;

  case 343: /* alter_table_cmd: DISABLE_P TRIGGER USER  */
#line 2775 "gram.y"
                                {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_DisableTrigUser;
					(yyval.node) = (Node *) n;
				}
#line 31804 "gram.c"
    break;

  case 344: /* alter_table_cmd: ENABLE_P RULE name  */
#line 2783 "gram.y"
                                {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_EnableRule;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 31816 "gram.c"
    break;

  case 345: /* alter_table_cmd: ENABLE_P ALWAYS RULE name  */
#line 2792 "gram.y"
                                {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_EnableAlwaysRule;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 31828 "gram.c"
    break;

  case 346: /* alter_table_cmd: ENABLE_P REPLICA RULE name  */
#line 2801 "gram.y"
                                {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_EnableReplicaRule;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 31840 "gram.c"
    break;

  case 347: /* alter_table_cmd: DISABLE_P RULE name  */
#line 2810 "gram.y"
                                {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_DisableRule;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 31852 "gram.c"
    break;

  case 348: /* alter_table_cmd: INHERIT qualified_name  */
#line 2819 "gram.y"
                                {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_AddInherit;
					n->def = (Node *) (yyvsp[0].range);
					(yyval.node) = (Node *) n;
				}
#line 31864 "gram.c"
    break;

  case 349: /* alter_table_cmd: NO INHERIT qualified_name  */
#line 2828 "gram.y"
                                {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_DropInherit;
					n->def = (Node *) (yyvsp[0].range);
					(yyval.node) = (Node *) n;
				}
#line 31876 "gram.c"
    break;

  case 350: /* alter_table_cmd: OF any_name  */
#line 2837 "gram.y"
                                {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					TypeName   *def = makeTypeNameFromNameList((yyvsp[0].list));

					def->location = (yylsp[0]);
					n->subtype = AT_AddOf;
					n->def = (Node *) def;
					(yyval.node) = (Node *) n;
				}
#line 31890 "gram.c"
    break;

  case 351: /* alter_table_cmd: NOT OF  */
#line 2848 "gram.y"
                                {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_DropOf;
					(yyval.node) = (Node *) n;
				}
#line 31901 "gram.c"
    break;

  case 352: /* alter_table_cmd: OWNER TO RoleSpec  */
#line 2856 "gram.y"
                                {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_ChangeOwner;
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 31913 "gram.c"
    break;

  case 353: /* alter_table_cmd: SET ACCESS METHOD set_access_method_name  */
#line 2865 "gram.y"
                                {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_SetAccessMethod;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 31925 "gram.c"
    break;

  case 354: /* alter_table_cmd: SET TABLESPACE name  */
#line 2874 "gram.y"
                                {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_SetTableSpace;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 31937 "gram.c"
    break;

  case 355: /* alter_table_cmd: SET reloptions  */
#line 2883 "gram.y"
                                {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_SetRelOptions;
					n->def = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 31949 "gram.c"
    break;

  case 356: /* alter_table_cmd: RESET reloptions  */
#line 2892 "gram.y"
                                {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_ResetRelOptions;
					n->def = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 31961 "gram.c"
    break;

  case 357: /* alter_table_cmd: REPLICA IDENTITY_P replica_identity  */
#line 2901 "gram.y"
                                {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_ReplicaIdentity;
					n->def = (yyvsp[0].node);
					(yyval.node) = (Node *) n;
				}
#line 31973 "gram.c"
    break;

  case 358: /* alter_table_cmd: ENABLE_P ROW LEVEL SECURITY  */
#line 2910 "gram.y"
                                {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_EnableRowSecurity;
					(yyval.node) = (Node *) n;
				}
#line 31984 "gram.c"
    break;

  case 359: /* alter_table_cmd: DISABLE_P ROW LEVEL SECURITY  */
#line 2918 "gram.y"
                                {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_DisableRowSecurity;
					(yyval.node) = (Node *) n;
				}
#line 31995 "gram.c"
    break;

  case 360: /* alter_table_cmd: FORCE ROW LEVEL SECURITY  */
#line 2926 "gram.y"
                                {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_ForceRowSecurity;
					(yyval.node) = (Node *) n;
				}
#line 32006 "gram.c"
    break;

  case 361: /* alter_table_cmd: NO FORCE ROW LEVEL SECURITY  */
#line 2934 "gram.y"
                                {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_NoForceRowSecurity;
					(yyval.node) = (Node *) n;
				}
#line 32017 "gram.c"
    break;

  case 362: /* alter_table_cmd: alter_generic_options  */
#line 2941 "gram.y"
                                {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_GenericOptions;
					n->def = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 32029 "gram.c"
    break;

  case 363: /* alter_column_default: SET DEFAULT a_expr  */
#line 2951 "gram.y"
                                                                { (yyval.node) = (yyvsp[0].node); }
#line 32035 "gram.c"
    break;

  case 364: /* alter_column_default: DROP DEFAULT  */
#line 2952 "gram.y"
                                                                { (yyval.node) = NULL; }
#line 32041 "gram.c"
    break;

  case 365: /* opt_collate_clause: COLLATE any_name  */
#line 2957 "gram.y"
                                {
					CollateClause *n = makeNode(CollateClause);

					n->arg = NULL;
					n->collname = (yyvsp[0].list);
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *) n;
				}
#line 32054 "gram.c"
    break;

  case 366: /* opt_collate_clause: %empty  */
#line 2965 "gram.y"
                                                                { (yyval.node) = NULL; }
#line 32060 "gram.c"
    break;

  case 367: /* alter_using: USING a_expr  */
#line 2969 "gram.y"
                                                                { (yyval.node) = (yyvsp[0].node); }
#line 32066 "gram.c"
    break;

  case 368: /* alter_using: %empty  */
#line 2970 "gram.y"
                                                                { (yyval.node) = NULL; }
#line 32072 "gram.c"
    break;

  case 369: /* replica_identity: NOTHING  */
#line 2975 "gram.y"
                                {
					ReplicaIdentityStmt *n = makeNode(ReplicaIdentityStmt);

					n->identity_type = REPLICA_IDENTITY_NOTHING;
					n->name = NULL;
					(yyval.node) = (Node *) n;
				}
#line 32084 "gram.c"
    break;

  case 370: /* replica_identity: FULL  */
#line 2983 "gram.y"
                                {
					ReplicaIdentityStmt *n = makeNode(ReplicaIdentityStmt);

					n->identity_type = REPLICA_IDENTITY_FULL;
					n->name = NULL;
					(yyval.node) = (Node *) n;
				}
#line 32096 "gram.c"
    break;

  case 371: /* replica_identity: DEFAULT  */
#line 2991 "gram.y"
                                {
					ReplicaIdentityStmt *n = makeNode(ReplicaIdentityStmt);

					n->identity_type = REPLICA_IDENTITY_DEFAULT;
					n->name = NULL;
					(yyval.node) = (Node *) n;
				}
#line 32108 "gram.c"
    break;

  case 372: /* replica_identity: USING INDEX name  */
#line 2999 "gram.y"
                                {
					ReplicaIdentityStmt *n = makeNode(ReplicaIdentityStmt);

					n->identity_type = REPLICA_IDENTITY_INDEX;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 32120 "gram.c"
    break;

  case 373: /* reloptions: '(' reloption_list ')'  */
#line 3009 "gram.y"
                                                                                { (yyval.list) = (yyvsp[-1].list); }
#line 32126 "gram.c"
    break;

  case 374: /* opt_reloptions: WITH reloptions  */
#line 3012 "gram.y"
                                                                        { (yyval.list) = (yyvsp[0].list); }
#line 32132 "gram.c"
    break;

  case 375: /* opt_reloptions: %empty  */
#line 3013 "gram.y"
                                                                                                { (yyval.list) = NIL; }
#line 32138 "gram.c"
    break;

  case 376: /* reloption_list: reloption_elem  */
#line 3017 "gram.y"
                                                                                        { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 32144 "gram.c"
    break;

  case 377: /* reloption_list: reloption_list ',' reloption_elem  */
#line 3018 "gram.y"
                                                                        { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt)); }
#line 32150 "gram.c"
    break;

  case 378: /* reloption_elem: ColLabel '=' def_arg  */
#line 3024 "gram.y"
                                {
					(yyval.defelt) = makeDefElem((yyvsp[-2].str), (Node *) (yyvsp[0].node), (yylsp[-2]));
				}
#line 32158 "gram.c"
    break;

  case 379: /* reloption_elem: ColLabel  */
#line 3028 "gram.y"
                                {
					(yyval.defelt) = makeDefElem((yyvsp[0].str), NULL, (yylsp[0]));
				}
#line 32166 "gram.c"
    break;

  case 380: /* reloption_elem: ColLabel '.' ColLabel '=' def_arg  */
#line 3032 "gram.y"
                                {
					(yyval.defelt) = makeDefElemExtended((yyvsp[-4].str), (yyvsp[-2].str), (Node *) (yyvsp[0].node),
											 DEFELEM_UNSPEC, (yylsp[-4]));
				}
#line 32175 "gram.c"
    break;

  case 381: /* reloption_elem: ColLabel '.' ColLabel  */
#line 3037 "gram.y"
                                {
					(yyval.defelt) = makeDefElemExtended((yyvsp[-2].str), (yyvsp[0].str), NULL, DEFELEM_UNSPEC, (yylsp[-2]));
				}
#line 32183 "gram.c"
    break;

  case 382: /* alter_identity_column_option_list: alter_identity_column_option  */
#line 3044 "gram.y"
                                { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 32189 "gram.c"
    break;

  case 383: /* alter_identity_column_option_list: alter_identity_column_option_list alter_identity_column_option  */
#line 3046 "gram.y"
                                { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 32195 "gram.c"
    break;

  case 384: /* alter_identity_column_option: RESTART  */
#line 3051 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("restart", NULL, (yylsp[0]));
				}
#line 32203 "gram.c"
    break;

  case 385: /* alter_identity_column_option: RESTART opt_with NumericOnly  */
#line 3055 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("restart", (Node *) (yyvsp[0].node), (yylsp[-2]));
				}
#line 32211 "gram.c"
    break;

  case 386: /* alter_identity_column_option: SET SeqOptElem  */
#line 3059 "gram.y"
                                {
					if (strcmp((yyvsp[0].defelt)->defname, "as") == 0 ||
						strcmp((yyvsp[0].defelt)->defname, "restart") == 0 ||
						strcmp((yyvsp[0].defelt)->defname, "owned_by") == 0)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("sequence option \"%s\" not supported here", (yyvsp[0].defelt)->defname),
								 parser_errposition((yylsp[0]))));
					(yyval.defelt) = (yyvsp[0].defelt);
				}
#line 32226 "gram.c"
    break;

  case 387: /* alter_identity_column_option: SET GENERATED generated_when  */
#line 3070 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("generated", (Node *) makeInteger((yyvsp[0].ival)), (yylsp[-2]));
				}
#line 32234 "gram.c"
    break;

  case 388: /* set_statistics_value: SignedIconst  */
#line 3076 "gram.y"
                                                                        { (yyval.node) = (Node *) makeInteger((yyvsp[0].ival)); }
#line 32240 "gram.c"
    break;

  case 389: /* set_statistics_value: DEFAULT  */
#line 3077 "gram.y"
                                                                                { (yyval.node) = NULL; }
#line 32246 "gram.c"
    break;

  case 390: /* set_access_method_name: ColId  */
#line 3081 "gram.y"
                                                                                { (yyval.str) = (yyvsp[0].str); }
#line 32252 "gram.c"
    break;

  case 391: /* set_access_method_name: DEFAULT  */
#line 3082 "gram.y"
                                                                                { (yyval.str) = NULL; }
#line 32258 "gram.c"
    break;

  case 392: /* PartitionBoundSpec: FOR VALUES WITH '(' hash_partbound ')'  */
#line 3088 "gram.y"
                                {
					ListCell   *lc;
					PartitionBoundSpec *n = makeNode(PartitionBoundSpec);

					n->strategy = PARTITION_STRATEGY_HASH;
					n->modulus = n->remainder = -1;

					foreach (lc, (yyvsp[-1].list))
					{
						DefElem    *opt = lfirst_node(DefElem, lc);

						if (strcmp(opt->defname, "modulus") == 0)
						{
							if (n->modulus != -1)
								ereport(ERROR,
										(errcode(ERRCODE_DUPLICATE_OBJECT),
										 errmsg("modulus for hash partition provided more than once"),
										 parser_errposition(opt->location)));
							n->modulus = defGetInt32(opt);
						}
						else if (strcmp(opt->defname, "remainder") == 0)
						{
							if (n->remainder != -1)
								ereport(ERROR,
										(errcode(ERRCODE_DUPLICATE_OBJECT),
										 errmsg("remainder for hash partition provided more than once"),
										 parser_errposition(opt->location)));
							n->remainder = defGetInt32(opt);
						}
						else
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("unrecognized hash partition bound specification \"%s\"",
											opt->defname),
									 parser_errposition(opt->location)));
					}

					if (n->modulus == -1)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("modulus for hash partition must be specified")));
					if (n->remainder == -1)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("remainder for hash partition must be specified")));

					n->location = (yylsp[-3]);

					(yyval.partboundspec) = n;
				}
#line 32313 "gram.c"
    break;

  case 393: /* PartitionBoundSpec: FOR VALUES IN_P '(' expr_list ')'  */
#line 3141 "gram.y"
                                {
					PartitionBoundSpec *n = makeNode(PartitionBoundSpec);

					n->strategy = PARTITION_STRATEGY_LIST;
					n->is_default = false;
					n->listdatums = (yyvsp[-1].list);
					n->location = (yylsp[-3]);

					(yyval.partboundspec) = n;
				}
#line 32328 "gram.c"
    break;

  case 394: /* PartitionBoundSpec: FOR VALUES FROM '(' expr_list ')' TO '(' expr_list ')'  */
#line 3154 "gram.y"
                                {
					PartitionBoundSpec *n = makeNode(PartitionBoundSpec);

					n->strategy = PARTITION_STRATEGY_RANGE;
					n->is_default = false;
					n->lowerdatums = (yyvsp[-5].list);
					n->upperdatums = (yyvsp[-1].list);
					n->location = (yylsp[-7]);

					(yyval.partboundspec) = n;
				}
#line 32344 "gram.c"
    break;

  case 395: /* PartitionBoundSpec: DEFAULT  */
#line 3168 "gram.y"
                                {
					PartitionBoundSpec *n = makeNode(PartitionBoundSpec);

					n->is_default = true;
					n->location = (yylsp[0]);

					(yyval.partboundspec) = n;
				}
#line 32357 "gram.c"
    break;

  case 396: /* hash_partbound_elem: NonReservedWord Iconst  */
#line 3180 "gram.y"
                        {
				(yyval.defelt) = makeDefElem((yyvsp[-1].str), (Node *) makeInteger((yyvsp[0].ival)), (yylsp[-1]));
			}
#line 32365 "gram.c"
    break;

  case 397: /* hash_partbound: hash_partbound_elem  */
#line 3187 "gram.y"
                        {
				(yyval.list) = list_make1((yyvsp[0].defelt));
			}
#line 32373 "gram.c"
    break;

  case 398: /* hash_partbound: hash_partbound ',' hash_partbound_elem  */
#line 3191 "gram.y"
                        {
				(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt));
			}
#line 32381 "gram.c"
    break;

  case 399: /* AlterCompositeTypeStmt: ALTER TYPE_P any_name alter_type_cmds  */
#line 3205 "gram.y"
                                {
					AlterTableStmt *n = makeNode(AlterTableStmt);

					/* can't use qualified_name, sigh */
					n->relation = makeRangeVarFromAnyName((yyvsp[-1].list), (yylsp[-1]), yyscanner);
					n->cmds = (yyvsp[0].list);
					n->objtype = OBJECT_TYPE;
					(yyval.node) = (Node *) n;
				}
#line 32395 "gram.c"
    break;

  case 400: /* alter_type_cmds: alter_type_cmd  */
#line 3217 "gram.y"
                                                                                        { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 32401 "gram.c"
    break;

  case 401: /* alter_type_cmds: alter_type_cmds ',' alter_type_cmd  */
#line 3218 "gram.y"
                                                                { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 32407 "gram.c"
    break;

  case 402: /* alter_type_cmd: ADD_P ATTRIBUTE TableFuncElement opt_drop_behavior  */
#line 3224 "gram.y"
                                {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_AddColumn;
					n->def = (yyvsp[-1].node);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *) n;
				}
#line 32420 "gram.c"
    break;

  case 403: /* alter_type_cmd: DROP ATTRIBUTE IF_P EXISTS ColId opt_drop_behavior  */
#line 3234 "gram.y"
                                {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_DropColumn;
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 32434 "gram.c"
    break;

  case 404: /* alter_type_cmd: DROP ATTRIBUTE ColId opt_drop_behavior  */
#line 3245 "gram.y"
                                {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_DropColumn;
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 32448 "gram.c"
    break;

  case 405: /* alter_type_cmd: ALTER ATTRIBUTE ColId opt_set_data TYPE_P Typename opt_collate_clause opt_drop_behavior  */
#line 3256 "gram.y"
                                {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					ColumnDef *def = makeNode(ColumnDef);

					n->subtype = AT_AlterColumnType;
					n->name = (yyvsp[-5].str);
					n->def = (Node *) def;
					n->behavior = (yyvsp[0].dbehavior);
					/* We only use these fields of the ColumnDef node */
					def->typeName = (yyvsp[-2].typnam);
					def->collClause = (CollateClause *) (yyvsp[-1].node);
					def->raw_default = NULL;
					def->location = (yylsp[-5]);
					(yyval.node) = (Node *) n;
				}
#line 32468 "gram.c"
    break;

  case 406: /* ClosePortalStmt: CLOSE cursor_name  */
#line 3283 "gram.y"
                                {
					ClosePortalStmt *n = makeNode(ClosePortalStmt);

					n->portalname = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 32479 "gram.c"
    break;

  case 407: /* ClosePortalStmt: CLOSE ALL  */
#line 3290 "gram.y"
                                {
					ClosePortalStmt *n = makeNode(ClosePortalStmt);

					n->portalname = NULL;
					(yyval.node) = (Node *) n;
				}
#line 32490 "gram.c"
    break;

  case 408: /* CopyStmt: COPY opt_binary qualified_name opt_column_list copy_from opt_program copy_file_name copy_delimiter opt_with copy_options where_clause  */
#line 3326 "gram.y"
                                {
					CopyStmt *n = makeNode(CopyStmt);

					n->relation = (yyvsp[-8].range);
					n->query = NULL;
					n->attlist = (yyvsp[-7].list);
					n->is_from = (yyvsp[-6].boolean);
					n->is_program = (yyvsp[-5].boolean);
					n->filename = (yyvsp[-4].str);
					n->whereClause = (yyvsp[0].node);

					if (n->is_program && n->filename == NULL)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("STDIN/STDOUT not allowed with PROGRAM"),
								 parser_errposition((yylsp[-3]))));

					if (!n->is_from && n->whereClause != NULL)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("WHERE clause not allowed with COPY TO"),
								 parser_errposition((yylsp[0]))));

					n->options = NIL;
					/* Concatenate user-supplied flags */
					if ((yyvsp[-9].defelt))
						n->options = lappend(n->options, (yyvsp[-9].defelt));
					if ((yyvsp[-3].defelt))
						n->options = lappend(n->options, (yyvsp[-3].defelt));
					if ((yyvsp[-1].list))
						n->options = list_concat(n->options, (yyvsp[-1].list));
					(yyval.node) = (Node *) n;
				}
#line 32528 "gram.c"
    break;

  case 409: /* CopyStmt: COPY '(' PreparableStmt ')' TO opt_program copy_file_name opt_with copy_options  */
#line 3360 "gram.y"
                                {
					CopyStmt *n = makeNode(CopyStmt);

					n->relation = NULL;
					n->query = (yyvsp[-6].node);
					n->attlist = NIL;
					n->is_from = false;
					n->is_program = (yyvsp[-3].boolean);
					n->filename = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);

					if (n->is_program && n->filename == NULL)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("STDIN/STDOUT not allowed with PROGRAM"),
								 parser_errposition((yylsp[-4]))));

					(yyval.node) = (Node *) n;
				}
#line 32552 "gram.c"
    break;

  case 410: /* copy_from: FROM  */
#line 3382 "gram.y"
                                                                                                { (yyval.boolean) = true; }
#line 32558 "gram.c"
    break;

  case 411: /* copy_from: TO  */
#line 3383 "gram.y"
                                                                                                { (yyval.boolean) = false; }
#line 32564 "gram.c"
    break;

  case 412: /* opt_program: PROGRAM  */
#line 3387 "gram.y"
                                                                                                { (yyval.boolean) = true; }
#line 32570 "gram.c"
    break;

  case 413: /* opt_program: %empty  */
#line 3388 "gram.y"
                                                                                        { (yyval.boolean) = false; }
#line 32576 "gram.c"
    break;

  case 414: /* copy_file_name: Sconst  */
#line 3397 "gram.y"
                                                                                                { (yyval.str) = (yyvsp[0].str); }
#line 32582 "gram.c"
    break;

  case 415: /* copy_file_name: STDIN  */
#line 3398 "gram.y"
                                                                                                { (yyval.str) = NULL; }
#line 32588 "gram.c"
    break;

  case 416: /* copy_file_name: STDOUT  */
#line 3399 "gram.y"
                                                                                                { (yyval.str) = NULL; }
#line 32594 "gram.c"
    break;

  case 417: /* copy_options: copy_opt_list  */
#line 3402 "gram.y"
                                                                                { (yyval.list) = (yyvsp[0].list); }
#line 32600 "gram.c"
    break;

  case 418: /* copy_options: '(' copy_generic_opt_list ')'  */
#line 3403 "gram.y"
                                                                        { (yyval.list) = (yyvsp[-1].list); }
#line 32606 "gram.c"
    break;

  case 419: /* copy_opt_list: copy_opt_list copy_opt_item  */
#line 3408 "gram.y"
                                                                                { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 32612 "gram.c"
    break;

  case 420: /* copy_opt_list: %empty  */
#line 3409 "gram.y"
                                                                                        { (yyval.list) = NIL; }
#line 32618 "gram.c"
    break;

  case 421: /* copy_opt_item: BINARY  */
#line 3414 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("format", (Node *) makeString("binary"), (yylsp[0]));
				}
#line 32626 "gram.c"
    break;

  case 422: /* copy_opt_item: FREEZE  */
#line 3418 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("freeze", (Node *) makeBoolean(true), (yylsp[0]));
				}
#line 32634 "gram.c"
    break;

  case 423: /* copy_opt_item: DELIMITER opt_as Sconst  */
#line 3422 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("delimiter", (Node *) makeString((yyvsp[0].str)), (yylsp[-2]));
				}
#line 32642 "gram.c"
    break;

  case 424: /* copy_opt_item: NULL_P opt_as Sconst  */
#line 3426 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("null", (Node *) makeString((yyvsp[0].str)), (yylsp[-2]));
				}
#line 32650 "gram.c"
    break;

  case 425: /* copy_opt_item: CSV  */
#line 3430 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("format", (Node *) makeString("csv"), (yylsp[0]));
				}
#line 32658 "gram.c"
    break;

  case 426: /* copy_opt_item: HEADER_P  */
#line 3434 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("header", (Node *) makeBoolean(true), (yylsp[0]));
				}
#line 32666 "gram.c"
    break;

  case 427: /* copy_opt_item: QUOTE opt_as Sconst  */
#line 3438 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("quote", (Node *) makeString((yyvsp[0].str)), (yylsp[-2]));
				}
#line 32674 "gram.c"
    break;

  case 428: /* copy_opt_item: ESCAPE opt_as Sconst  */
#line 3442 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("escape", (Node *) makeString((yyvsp[0].str)), (yylsp[-2]));
				}
#line 32682 "gram.c"
    break;

  case 429: /* copy_opt_item: FORCE QUOTE columnList  */
#line 3446 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("force_quote", (Node *) (yyvsp[0].list), (yylsp[-2]));
				}
#line 32690 "gram.c"
    break;

  case 430: /* copy_opt_item: FORCE QUOTE '*'  */
#line 3450 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("force_quote", (Node *) makeNode(A_Star), (yylsp[-2]));
				}
#line 32698 "gram.c"
    break;

  case 431: /* copy_opt_item: FORCE NOT NULL_P columnList  */
#line 3454 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("force_not_null", (Node *) (yyvsp[0].list), (yylsp[-3]));
				}
#line 32706 "gram.c"
    break;

  case 432: /* copy_opt_item: FORCE NOT NULL_P '*'  */
#line 3458 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("force_not_null", (Node *) makeNode(A_Star), (yylsp[-3]));
				}
#line 32714 "gram.c"
    break;

  case 433: /* copy_opt_item: FORCE NULL_P columnList  */
#line 3462 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("force_null", (Node *) (yyvsp[0].list), (yylsp[-2]));
				}
#line 32722 "gram.c"
    break;

  case 434: /* copy_opt_item: FORCE NULL_P '*'  */
#line 3466 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("force_null", (Node *) makeNode(A_Star), (yylsp[-2]));
				}
#line 32730 "gram.c"
    break;

  case 435: /* copy_opt_item: ENCODING Sconst  */
#line 3470 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("encoding", (Node *) makeString((yyvsp[0].str)), (yylsp[-1]));
				}
#line 32738 "gram.c"
    break;

  case 436: /* opt_binary: BINARY  */
#line 3479 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("format", (Node *) makeString("binary"), (yylsp[0]));
				}
#line 32746 "gram.c"
    break;

  case 437: /* opt_binary: %empty  */
#line 3482 "gram.y"
                                                                                                { (yyval.defelt) = NULL; }
#line 32752 "gram.c"
    break;

  case 438: /* copy_delimiter: opt_using DELIMITERS Sconst  */
#line 3487 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("delimiter", (Node *) makeString((yyvsp[0].str)), (yylsp[-1]));
				}
#line 32760 "gram.c"
    break;

  case 439: /* copy_delimiter: %empty  */
#line 3490 "gram.y"
                                                                                                { (yyval.defelt) = NULL; }
#line 32766 "gram.c"
    break;

  case 442: /* copy_generic_opt_list: copy_generic_opt_elem  */
#line 3501 "gram.y"
                                {
					(yyval.list) = list_make1((yyvsp[0].defelt));
				}
#line 32774 "gram.c"
    break;

  case 443: /* copy_generic_opt_list: copy_generic_opt_list ',' copy_generic_opt_elem  */
#line 3505 "gram.y"
                                {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt));
				}
#line 32782 "gram.c"
    break;

  case 444: /* copy_generic_opt_elem: ColLabel copy_generic_opt_arg  */
#line 3512 "gram.y"
                                {
					(yyval.defelt) = makeDefElem((yyvsp[-1].str), (yyvsp[0].node), (yylsp[-1]));
				}
#line 32790 "gram.c"
    break;

  case 445: /* copy_generic_opt_arg: opt_boolean_or_string  */
#line 3518 "gram.y"
                                                                { (yyval.node) = (Node *) makeString((yyvsp[0].str)); }
#line 32796 "gram.c"
    break;

  case 446: /* copy_generic_opt_arg: NumericOnly  */
#line 3519 "gram.y"
                                                                        { (yyval.node) = (Node *) (yyvsp[0].node); }
#line 32802 "gram.c"
    break;

  case 447: /* copy_generic_opt_arg: '*'  */
#line 3520 "gram.y"
                                                                                { (yyval.node) = (Node *) makeNode(A_Star); }
#line 32808 "gram.c"
    break;

  case 448: /* copy_generic_opt_arg: '(' copy_generic_opt_arg_list ')'  */
#line 3521 "gram.y"
                                                                        { (yyval.node) = (Node *) (yyvsp[-1].list); }
#line 32814 "gram.c"
    break;

  case 449: /* copy_generic_opt_arg: %empty  */
#line 3522 "gram.y"
                                                                        { (yyval.node) = NULL; }
#line 32820 "gram.c"
    break;

  case 450: /* copy_generic_opt_arg_list: copy_generic_opt_arg_list_item  */
#line 3527 "gram.y"
                                {
					(yyval.list) = list_make1((yyvsp[0].node));
				}
#line 32828 "gram.c"
    break;

  case 451: /* copy_generic_opt_arg_list: copy_generic_opt_arg_list ',' copy_generic_opt_arg_list_item  */
#line 3531 "gram.y"
                                {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));
				}
#line 32836 "gram.c"
    break;

  case 452: /* copy_generic_opt_arg_list_item: opt_boolean_or_string  */
#line 3538 "gram.y"
                                                { (yyval.node) = (Node *) makeString((yyvsp[0].str)); }
#line 32842 "gram.c"
    break;

  case 453: /* CreateStmt: CREATE OptTemp TABLE qualified_name '(' OptTableElementList ')' OptInherit OptPartitionSpec table_access_method_clause OptWith OnCommitOption OptTableSpace  */
#line 3552 "gram.y"
                                {
					CreateStmt *n = makeNode(CreateStmt);

					(yyvsp[-9].range)->relpersistence = (yyvsp[-11].ival);
					n->relation = (yyvsp[-9].range);
					n->tableElts = (yyvsp[-7].list);
					n->inhRelations = (yyvsp[-5].list);
					n->partspec = (yyvsp[-4].partspec);
					n->ofTypename = NULL;
					n->constraints = NIL;
					n->accessMethod = (yyvsp[-3].str);
					n->options = (yyvsp[-2].list);
					n->oncommit = (yyvsp[-1].oncommit);
					n->tablespacename = (yyvsp[0].str);
					n->if_not_exists = false;
					(yyval.node) = (Node *) n;
				}
#line 32864 "gram.c"
    break;

  case 454: /* CreateStmt: CREATE OptTemp TABLE IF_P NOT EXISTS qualified_name '(' OptTableElementList ')' OptInherit OptPartitionSpec table_access_method_clause OptWith OnCommitOption OptTableSpace  */
#line 3572 "gram.y"
                                {
					CreateStmt *n = makeNode(CreateStmt);

					(yyvsp[-9].range)->relpersistence = (yyvsp[-14].ival);
					n->relation = (yyvsp[-9].range);
					n->tableElts = (yyvsp[-7].list);
					n->inhRelations = (yyvsp[-5].list);
					n->partspec = (yyvsp[-4].partspec);
					n->ofTypename = NULL;
					n->constraints = NIL;
					n->accessMethod = (yyvsp[-3].str);
					n->options = (yyvsp[-2].list);
					n->oncommit = (yyvsp[-1].oncommit);
					n->tablespacename = (yyvsp[0].str);
					n->if_not_exists = true;
					(yyval.node) = (Node *) n;
				}
#line 32886 "gram.c"
    break;

  case 455: /* CreateStmt: CREATE OptTemp TABLE qualified_name OF any_name OptTypedTableElementList OptPartitionSpec table_access_method_clause OptWith OnCommitOption OptTableSpace  */
#line 3592 "gram.y"
                                {
					CreateStmt *n = makeNode(CreateStmt);

					(yyvsp[-8].range)->relpersistence = (yyvsp[-10].ival);
					n->relation = (yyvsp[-8].range);
					n->tableElts = (yyvsp[-5].list);
					n->inhRelations = NIL;
					n->partspec = (yyvsp[-4].partspec);
					n->ofTypename = makeTypeNameFromNameList((yyvsp[-6].list));
					n->ofTypename->location = (yylsp[-6]);
					n->constraints = NIL;
					n->accessMethod = (yyvsp[-3].str);
					n->options = (yyvsp[-2].list);
					n->oncommit = (yyvsp[-1].oncommit);
					n->tablespacename = (yyvsp[0].str);
					n->if_not_exists = false;
					(yyval.node) = (Node *) n;
				}
#line 32909 "gram.c"
    break;

  case 456: /* CreateStmt: CREATE OptTemp TABLE IF_P NOT EXISTS qualified_name OF any_name OptTypedTableElementList OptPartitionSpec table_access_method_clause OptWith OnCommitOption OptTableSpace  */
#line 3613 "gram.y"
                                {
					CreateStmt *n = makeNode(CreateStmt);

					(yyvsp[-8].range)->relpersistence = (yyvsp[-13].ival);
					n->relation = (yyvsp[-8].range);
					n->tableElts = (yyvsp[-5].list);
					n->inhRelations = NIL;
					n->partspec = (yyvsp[-4].partspec);
					n->ofTypename = makeTypeNameFromNameList((yyvsp[-6].list));
					n->ofTypename->location = (yylsp[-6]);
					n->constraints = NIL;
					n->accessMethod = (yyvsp[-3].str);
					n->options = (yyvsp[-2].list);
					n->oncommit = (yyvsp[-1].oncommit);
					n->tablespacename = (yyvsp[0].str);
					n->if_not_exists = true;
					(yyval.node) = (Node *) n;
				}
#line 32932 "gram.c"
    break;

  case 457: /* CreateStmt: CREATE OptTemp TABLE qualified_name PARTITION OF qualified_name OptTypedTableElementList PartitionBoundSpec OptPartitionSpec table_access_method_clause OptWith OnCommitOption OptTableSpace  */
#line 3634 "gram.y"
                                {
					CreateStmt *n = makeNode(CreateStmt);

					(yyvsp[-10].range)->relpersistence = (yyvsp[-12].ival);
					n->relation = (yyvsp[-10].range);
					n->tableElts = (yyvsp[-6].list);
					n->inhRelations = list_make1((yyvsp[-7].range));
					n->partbound = (yyvsp[-5].partboundspec);
					n->partspec = (yyvsp[-4].partspec);
					n->ofTypename = NULL;
					n->constraints = NIL;
					n->accessMethod = (yyvsp[-3].str);
					n->options = (yyvsp[-2].list);
					n->oncommit = (yyvsp[-1].oncommit);
					n->tablespacename = (yyvsp[0].str);
					n->if_not_exists = false;
					(yyval.node) = (Node *) n;
				}
#line 32955 "gram.c"
    break;

  case 458: /* CreateStmt: CREATE OptTemp TABLE IF_P NOT EXISTS qualified_name PARTITION OF qualified_name OptTypedTableElementList PartitionBoundSpec OptPartitionSpec table_access_method_clause OptWith OnCommitOption OptTableSpace  */
#line 3655 "gram.y"
                                {
					CreateStmt *n = makeNode(CreateStmt);

					(yyvsp[-10].range)->relpersistence = (yyvsp[-15].ival);
					n->relation = (yyvsp[-10].range);
					n->tableElts = (yyvsp[-6].list);
					n->inhRelations = list_make1((yyvsp[-7].range));
					n->partbound = (yyvsp[-5].partboundspec);
					n->partspec = (yyvsp[-4].partspec);
					n->ofTypename = NULL;
					n->constraints = NIL;
					n->accessMethod = (yyvsp[-3].str);
					n->options = (yyvsp[-2].list);
					n->oncommit = (yyvsp[-1].oncommit);
					n->tablespacename = (yyvsp[0].str);
					n->if_not_exists = true;
					(yyval.node) = (Node *) n;
				}
#line 32978 "gram.c"
    break;

  case 459: /* OptTemp: TEMPORARY  */
#line 3686 "gram.y"
                                                                { (yyval.ival) = RELPERSISTENCE_TEMP; }
#line 32984 "gram.c"
    break;

  case 460: /* OptTemp: TEMP  */
#line 3687 "gram.y"
                                                                        { (yyval.ival) = RELPERSISTENCE_TEMP; }
#line 32990 "gram.c"
    break;

  case 461: /* OptTemp: LOCAL TEMPORARY  */
#line 3688 "gram.y"
                                                                { (yyval.ival) = RELPERSISTENCE_TEMP; }
#line 32996 "gram.c"
    break;

  case 462: /* OptTemp: LOCAL TEMP  */
#line 3689 "gram.y"
                                                                { (yyval.ival) = RELPERSISTENCE_TEMP; }
#line 33002 "gram.c"
    break;

  case 463: /* OptTemp: GLOBAL TEMPORARY  */
#line 3691 "gram.y"
                                {
					ereport(WARNING,
							(errmsg("GLOBAL is deprecated in temporary table creation"),
							 parser_errposition((yylsp[-1]))));
					(yyval.ival) = RELPERSISTENCE_TEMP;
				}
#line 33013 "gram.c"
    break;

  case 464: /* OptTemp: GLOBAL TEMP  */
#line 3698 "gram.y"
                                {
					ereport(WARNING,
							(errmsg("GLOBAL is deprecated in temporary table creation"),
							 parser_errposition((yylsp[-1]))));
					(yyval.ival) = RELPERSISTENCE_TEMP;
				}
#line 33024 "gram.c"
    break;

  case 465: /* OptTemp: UNLOGGED  */
#line 3704 "gram.y"
                                                                        { (yyval.ival) = RELPERSISTENCE_UNLOGGED; }
#line 33030 "gram.c"
    break;

  case 466: /* OptTemp: %empty  */
#line 3705 "gram.y"
                                                                        { (yyval.ival) = RELPERSISTENCE_PERMANENT; }
#line 33036 "gram.c"
    break;

  case 467: /* OptTableElementList: TableElementList  */
#line 3709 "gram.y"
                                                                                { (yyval.list) = (yyvsp[0].list); }
#line 33042 "gram.c"
    break;

  case 468: /* OptTableElementList: %empty  */
#line 3710 "gram.y"
                                                                                        { (yyval.list) = NIL; }
#line 33048 "gram.c"
    break;

  case 469: /* OptTypedTableElementList: '(' TypedTableElementList ')'  */
#line 3714 "gram.y"
                                                                { (yyval.list) = (yyvsp[-1].list); }
#line 33054 "gram.c"
    break;

  case 470: /* OptTypedTableElementList: %empty  */
#line 3715 "gram.y"
                                                                                        { (yyval.list) = NIL; }
#line 33060 "gram.c"
    break;

  case 471: /* TableElementList: TableElement  */
#line 3720 "gram.y"
                                {
					(yyval.list) = list_make1((yyvsp[0].node));
				}
#line 33068 "gram.c"
    break;

  case 472: /* TableElementList: TableElementList ',' TableElement  */
#line 3724 "gram.y"
                                {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));
				}
#line 33076 "gram.c"
    break;

  case 473: /* TypedTableElementList: TypedTableElement  */
#line 3731 "gram.y"
                                {
					(yyval.list) = list_make1((yyvsp[0].node));
				}
#line 33084 "gram.c"
    break;

  case 474: /* TypedTableElementList: TypedTableElementList ',' TypedTableElement  */
#line 3735 "gram.y"
                                {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));
				}
#line 33092 "gram.c"
    break;

  case 475: /* TableElement: columnDef  */
#line 3741 "gram.y"
                                                                                        { (yyval.node) = (yyvsp[0].node); }
#line 33098 "gram.c"
    break;

  case 476: /* TableElement: TableLikeClause  */
#line 3742 "gram.y"
                                                                                { (yyval.node) = (yyvsp[0].node); }
#line 33104 "gram.c"
    break;

  case 477: /* TableElement: TableConstraint  */
#line 3743 "gram.y"
                                                                                { (yyval.node) = (yyvsp[0].node); }
#line 33110 "gram.c"
    break;

  case 478: /* TypedTableElement: columnOptions  */
#line 3747 "gram.y"
                                                                                { (yyval.node) = (yyvsp[0].node); }
#line 33116 "gram.c"
    break;

  case 479: /* TypedTableElement: TableConstraint  */
#line 3748 "gram.y"
                                                                                { (yyval.node) = (yyvsp[0].node); }
#line 33122 "gram.c"
    break;

  case 480: /* columnDef: ColId Typename opt_column_storage opt_column_compression create_generic_options ColQualList  */
#line 3752 "gram.y"
                                {
					ColumnDef *n = makeNode(ColumnDef);

					n->colname = (yyvsp[-5].str);
					n->typeName = (yyvsp[-4].typnam);
					n->storage_name = (yyvsp[-3].str);
					n->compression = (yyvsp[-2].str);
					n->inhcount = 0;
					n->is_local = true;
					n->is_not_null = false;
					n->is_from_type = false;
					n->storage = 0;
					n->raw_default = NULL;
					n->cooked_default = NULL;
					n->collOid = InvalidOid;
					n->fdwoptions = (yyvsp[-1].list);
					SplitColQualList((yyvsp[0].list), &n->constraints, &n->collClause,
									 yyscanner);
					n->location = (yylsp[-5]);
					(yyval.node) = (Node *) n;
				}
#line 33148 "gram.c"
    break;

  case 481: /* columnOptions: ColId ColQualList  */
#line 3776 "gram.y"
                                {
					ColumnDef *n = makeNode(ColumnDef);

					n->colname = (yyvsp[-1].str);
					n->typeName = NULL;
					n->inhcount = 0;
					n->is_local = true;
					n->is_not_null = false;
					n->is_from_type = false;
					n->storage = 0;
					n->raw_default = NULL;
					n->cooked_default = NULL;
					n->collOid = InvalidOid;
					SplitColQualList((yyvsp[0].list), &n->constraints, &n->collClause,
									 yyscanner);
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *) n;
				}
#line 33171 "gram.c"
    break;

  case 482: /* columnOptions: ColId WITH OPTIONS ColQualList  */
#line 3795 "gram.y"
                                {
					ColumnDef *n = makeNode(ColumnDef);

					n->colname = (yyvsp[-3].str);
					n->typeName = NULL;
					n->inhcount = 0;
					n->is_local = true;
					n->is_not_null = false;
					n->is_from_type = false;
					n->storage = 0;
					n->raw_default = NULL;
					n->cooked_default = NULL;
					n->collOid = InvalidOid;
					SplitColQualList((yyvsp[0].list), &n->constraints, &n->collClause,
									 yyscanner);
					n->location = (yylsp[-3]);
					(yyval.node) = (Node *) n;
				}
#line 33194 "gram.c"
    break;

  case 483: /* column_compression: COMPRESSION ColId  */
#line 3816 "gram.y"
                                                                                        { (yyval.str) = (yyvsp[0].str); }
#line 33200 "gram.c"
    break;

  case 484: /* column_compression: COMPRESSION DEFAULT  */
#line 3817 "gram.y"
                                                                                { (yyval.str) = pstrdup("default"); }
#line 33206 "gram.c"
    break;

  case 485: /* opt_column_compression: column_compression  */
#line 3821 "gram.y"
                                                                                        { (yyval.str) = (yyvsp[0].str); }
#line 33212 "gram.c"
    break;

  case 486: /* opt_column_compression: %empty  */
#line 3822 "gram.y"
                                                                                                { (yyval.str) = NULL; }
#line 33218 "gram.c"
    break;

  case 487: /* column_storage: STORAGE ColId  */
#line 3826 "gram.y"
                                                                                        { (yyval.str) = (yyvsp[0].str); }
#line 33224 "gram.c"
    break;

  case 488: /* column_storage: STORAGE DEFAULT  */
#line 3827 "gram.y"
                                                                                        { (yyval.str) = pstrdup("default"); }
#line 33230 "gram.c"
    break;

  case 489: /* opt_column_storage: column_storage  */
#line 3831 "gram.y"
                                                                                        { (yyval.str) = (yyvsp[0].str); }
#line 33236 "gram.c"
    break;

  case 490: /* opt_column_storage: %empty  */
#line 3832 "gram.y"
                                                                                                { (yyval.str) = NULL; }
#line 33242 "gram.c"
    break;

  case 491: /* ColQualList: ColQualList ColConstraint  */
#line 3836 "gram.y"
                                                                                { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].node)); }
#line 33248 "gram.c"
    break;

  case 492: /* ColQualList: %empty  */
#line 3837 "gram.y"
                                                                                                { (yyval.list) = NIL; }
#line 33254 "gram.c"
    break;

  case 493: /* ColConstraint: CONSTRAINT name ColConstraintElem  */
#line 3842 "gram.y"
                                {
					Constraint *n = castNode(Constraint, (yyvsp[0].node));

					n->conname = (yyvsp[-1].str);
					n->location = (yylsp[-2]);
					(yyval.node) = (Node *) n;
				}
#line 33266 "gram.c"
    break;

  case 494: /* ColConstraint: ColConstraintElem  */
#line 3849 "gram.y"
                                                                                        { (yyval.node) = (yyvsp[0].node); }
#line 33272 "gram.c"
    break;

  case 495: /* ColConstraint: ConstraintAttr  */
#line 3850 "gram.y"
                                                                                        { (yyval.node) = (yyvsp[0].node); }
#line 33278 "gram.c"
    break;

  case 496: /* ColConstraint: COLLATE any_name  */
#line 3852 "gram.y"
                                {
					/*
					 * Note: the CollateClause is momentarily included in
					 * the list built by ColQualList, but we split it out
					 * again in SplitColQualList.
					 */
					CollateClause *n = makeNode(CollateClause);

					n->arg = NULL;
					n->collname = (yyvsp[0].list);
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *) n;
				}
#line 33296 "gram.c"
    break;

  case 497: /* ColConstraintElem: NOT NULL_P opt_no_inherit  */
#line 3884 "gram.y"
                                {
					Constraint *n = makeNode(Constraint);

					n->contype = CONSTR_NOTNULL;
					n->location = (yylsp[-2]);
					n->is_no_inherit = (yyvsp[0].boolean);
					n->skip_validation = false;
					n->initially_valid = true;
					(yyval.node) = (Node *) n;
				}
#line 33311 "gram.c"
    break;

  case 498: /* ColConstraintElem: NULL_P  */
#line 3895 "gram.y"
                                {
					Constraint *n = makeNode(Constraint);

					n->contype = CONSTR_NULL;
					n->location = (yylsp[0]);
					(yyval.node) = (Node *) n;
				}
#line 33323 "gram.c"
    break;

  case 499: /* ColConstraintElem: UNIQUE opt_unique_null_treatment opt_definition OptConsTableSpace  */
#line 3903 "gram.y"
                                {
					Constraint *n = makeNode(Constraint);

					n->contype = CONSTR_UNIQUE;
					n->location = (yylsp[-3]);
					n->nulls_not_distinct = !(yyvsp[-2].boolean);
					n->keys = NULL;
					n->options = (yyvsp[-1].list);
					n->indexname = NULL;
					n->indexspace = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 33340 "gram.c"
    break;

  case 500: /* ColConstraintElem: PRIMARY KEY opt_definition OptConsTableSpace  */
#line 3916 "gram.y"
                                {
					Constraint *n = makeNode(Constraint);

					n->contype = CONSTR_PRIMARY;
					n->location = (yylsp[-3]);
					n->keys = NULL;
					n->options = (yyvsp[-1].list);
					n->indexname = NULL;
					n->indexspace = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 33356 "gram.c"
    break;

  case 501: /* ColConstraintElem: CHECK '(' a_expr ')' opt_no_inherit  */
#line 3928 "gram.y"
                                {
					Constraint *n = makeNode(Constraint);

					n->contype = CONSTR_CHECK;
					n->location = (yylsp[-4]);
					n->is_no_inherit = (yyvsp[0].boolean);
					n->raw_expr = (yyvsp[-2].node);
					n->cooked_expr = NULL;
					n->skip_validation = false;
					n->initially_valid = true;
					(yyval.node) = (Node *) n;
				}
#line 33373 "gram.c"
    break;

  case 502: /* ColConstraintElem: DEFAULT b_expr  */
#line 3941 "gram.y"
                                {
					Constraint *n = makeNode(Constraint);

					n->contype = CONSTR_DEFAULT;
					n->location = (yylsp[-1]);
					n->raw_expr = (yyvsp[0].node);
					n->cooked_expr = NULL;
					(yyval.node) = (Node *) n;
				}
#line 33387 "gram.c"
    break;

  case 503: /* ColConstraintElem: GENERATED generated_when AS IDENTITY_P OptParenthesizedSeqOptList  */
#line 3951 "gram.y"
                                {
					Constraint *n = makeNode(Constraint);

					n->contype = CONSTR_IDENTITY;
					n->generated_when = (yyvsp[-3].ival);
					n->options = (yyvsp[0].list);
					n->location = (yylsp[-4]);
					(yyval.node) = (Node *) n;
				}
#line 33401 "gram.c"
    break;

  case 504: /* ColConstraintElem: GENERATED generated_when AS '(' a_expr ')' STORED  */
#line 3961 "gram.y"
                                {
					Constraint *n = makeNode(Constraint);

					n->contype = CONSTR_GENERATED;
					n->generated_when = (yyvsp[-5].ival);
					n->raw_expr = (yyvsp[-2].node);
					n->cooked_expr = NULL;
					n->location = (yylsp[-6]);

					/*
					 * Can't do this in the grammar because of shift/reduce
					 * conflicts.  (IDENTITY allows both ALWAYS and BY
					 * DEFAULT, but generated columns only allow ALWAYS.)  We
					 * can also give a more useful error message and location.
					 */
					if ((yyvsp[-5].ival) != ATTRIBUTE_IDENTITY_ALWAYS)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("for a generated column, GENERATED ALWAYS must be specified"),
								 parser_errposition((yylsp[-5]))));

					(yyval.node) = (Node *) n;
				}
#line 33429 "gram.c"
    break;

  case 505: /* ColConstraintElem: REFERENCES qualified_name opt_column_list key_match key_actions  */
#line 3985 "gram.y"
                                {
					Constraint *n = makeNode(Constraint);

					n->contype = CONSTR_FOREIGN;
					n->location = (yylsp[-4]);
					n->pktable = (yyvsp[-3].range);
					n->fk_attrs = NIL;
					n->pk_attrs = (yyvsp[-2].list);
					n->fk_matchtype = (yyvsp[-1].ival);
					n->fk_upd_action = ((yyvsp[0].keyactions))->updateAction->action;
					n->fk_del_action = ((yyvsp[0].keyactions))->deleteAction->action;
					n->fk_del_set_cols = ((yyvsp[0].keyactions))->deleteAction->cols;
					n->skip_validation = false;
					n->initially_valid = true;
					(yyval.node) = (Node *) n;
				}
#line 33450 "gram.c"
    break;

  case 506: /* opt_unique_null_treatment: NULLS_P DISTINCT  */
#line 4004 "gram.y"
                                                        { (yyval.boolean) = true; }
#line 33456 "gram.c"
    break;

  case 507: /* opt_unique_null_treatment: NULLS_P NOT DISTINCT  */
#line 4005 "gram.y"
                                                { (yyval.boolean) = false; }
#line 33462 "gram.c"
    break;

  case 508: /* opt_unique_null_treatment: %empty  */
#line 4006 "gram.y"
                                                                { (yyval.boolean) = true; }
#line 33468 "gram.c"
    break;

  case 509: /* generated_when: ALWAYS  */
#line 4010 "gram.y"
                                                { (yyval.ival) = ATTRIBUTE_IDENTITY_ALWAYS; }
#line 33474 "gram.c"
    break;

  case 510: /* generated_when: BY DEFAULT  */
#line 4011 "gram.y"
                                        { (yyval.ival) = ATTRIBUTE_IDENTITY_BY_DEFAULT; }
#line 33480 "gram.c"
    break;

  case 511: /* ConstraintAttr: DEFERRABLE  */
#line 4031 "gram.y"
                                {
					Constraint *n = makeNode(Constraint);

					n->contype = CONSTR_ATTR_DEFERRABLE;
					n->location = (yylsp[0]);
					(yyval.node) = (Node *) n;
				}
#line 33492 "gram.c"
    break;

  case 512: /* ConstraintAttr: NOT DEFERRABLE  */
#line 4039 "gram.y"
                                {
					Constraint *n = makeNode(Constraint);

					n->contype = CONSTR_ATTR_NOT_DEFERRABLE;
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *) n;
				}
#line 33504 "gram.c"
    break;

  case 513: /* ConstraintAttr: INITIALLY DEFERRED  */
#line 4047 "gram.y"
                                {
					Constraint *n = makeNode(Constraint);

					n->contype = CONSTR_ATTR_DEFERRED;
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *) n;
				}
#line 33516 "gram.c"
    break;

  case 514: /* ConstraintAttr: INITIALLY IMMEDIATE  */
#line 4055 "gram.y"
                                {
					Constraint *n = makeNode(Constraint);

					n->contype = CONSTR_ATTR_IMMEDIATE;
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *) n;
				}
#line 33528 "gram.c"
    break;

  case 515: /* TableLikeClause: LIKE qualified_name TableLikeOptionList  */
#line 4067 "gram.y"
                                {
					TableLikeClause *n = makeNode(TableLikeClause);

					n->relation = (yyvsp[-1].range);
					n->options = (yyvsp[0].ival);
					n->relationOid = InvalidOid;
					(yyval.node) = (Node *) n;
				}
#line 33541 "gram.c"
    break;

  case 516: /* TableLikeOptionList: TableLikeOptionList INCLUDING TableLikeOption  */
#line 4078 "gram.y"
                                                                                { (yyval.ival) = (yyvsp[-2].ival) | (yyvsp[0].ival); }
#line 33547 "gram.c"
    break;

  case 517: /* TableLikeOptionList: TableLikeOptionList EXCLUDING TableLikeOption  */
#line 4079 "gram.y"
                                                                                { (yyval.ival) = (yyvsp[-2].ival) & ~(yyvsp[0].ival); }
#line 33553 "gram.c"
    break;

  case 518: /* TableLikeOptionList: %empty  */
#line 4080 "gram.y"
                                                                                        { (yyval.ival) = 0; }
#line 33559 "gram.c"
    break;

  case 519: /* TableLikeOption: COMMENTS  */
#line 4084 "gram.y"
                                                                { (yyval.ival) = CREATE_TABLE_LIKE_COMMENTS; }
#line 33565 "gram.c"
    break;

  case 520: /* TableLikeOption: COMPRESSION  */
#line 4085 "gram.y"
                                                        { (yyval.ival) = CREATE_TABLE_LIKE_COMPRESSION; }
#line 33571 "gram.c"
    break;

  case 521: /* TableLikeOption: CONSTRAINTS  */
#line 4086 "gram.y"
                                                        { (yyval.ival) = CREATE_TABLE_LIKE_CONSTRAINTS; }
#line 33577 "gram.c"
    break;

  case 522: /* TableLikeOption: DEFAULTS  */
#line 4087 "gram.y"
                                                                { (yyval.ival) = CREATE_TABLE_LIKE_DEFAULTS; }
#line 33583 "gram.c"
    break;

  case 523: /* TableLikeOption: IDENTITY_P  */
#line 4088 "gram.y"
                                                        { (yyval.ival) = CREATE_TABLE_LIKE_IDENTITY; }
#line 33589 "gram.c"
    break;

  case 524: /* TableLikeOption: GENERATED  */
#line 4089 "gram.y"
                                                                { (yyval.ival) = CREATE_TABLE_LIKE_GENERATED; }
#line 33595 "gram.c"
    break;

  case 525: /* TableLikeOption: INDEXES  */
#line 4090 "gram.y"
                                                                { (yyval.ival) = CREATE_TABLE_LIKE_INDEXES; }
#line 33601 "gram.c"
    break;

  case 526: /* TableLikeOption: STATISTICS  */
#line 4091 "gram.y"
                                                        { (yyval.ival) = CREATE_TABLE_LIKE_STATISTICS; }
#line 33607 "gram.c"
    break;

  case 527: /* TableLikeOption: STORAGE  */
#line 4092 "gram.y"
                                                                { (yyval.ival) = CREATE_TABLE_LIKE_STORAGE; }
#line 33613 "gram.c"
    break;

  case 528: /* TableLikeOption: ALL  */
#line 4093 "gram.y"
                                                                { (yyval.ival) = CREATE_TABLE_LIKE_ALL; }
#line 33619 "gram.c"
    break;

  case 529: /* TableConstraint: CONSTRAINT name ConstraintElem  */
#line 4103 "gram.y"
                                {
					Constraint *n = castNode(Constraint, (yyvsp[0].node));

					n->conname = (yyvsp[-1].str);
					n->location = (yylsp[-2]);
					(yyval.node) = (Node *) n;
				}
#line 33631 "gram.c"
    break;

  case 530: /* TableConstraint: ConstraintElem  */
#line 4110 "gram.y"
                                                                                        { (yyval.node) = (yyvsp[0].node); }
#line 33637 "gram.c"
    break;

  case 531: /* ConstraintElem: CHECK '(' a_expr ')' ConstraintAttributeSpec  */
#line 4115 "gram.y"
                                {
					Constraint *n = makeNode(Constraint);

					n->contype = CONSTR_CHECK;
					n->location = (yylsp[-4]);
					n->raw_expr = (yyvsp[-2].node);
					n->cooked_expr = NULL;
					processCASbits((yyvsp[0].ival), (yylsp[0]), "CHECK",
								   NULL, NULL, &n->skip_validation,
								   &n->is_no_inherit, yyscanner);
					n->initially_valid = !n->skip_validation;
					(yyval.node) = (Node *) n;
				}
#line 33655 "gram.c"
    break;

  case 532: /* ConstraintElem: NOT NULL_P ColId ConstraintAttributeSpec  */
#line 4129 "gram.y"
                                {
					Constraint *n = makeNode(Constraint);

					n->contype = CONSTR_NOTNULL;
					n->location = (yylsp[-3]);
					n->keys = list_make1(makeString((yyvsp[-1].str)));
					/* no NOT VALID support yet */
					processCASbits((yyvsp[0].ival), (yylsp[0]), "NOT NULL",
								   NULL, NULL, NULL,
								   &n->is_no_inherit, yyscanner);
					n->initially_valid = true;
					(yyval.node) = (Node *) n;
				}
#line 33673 "gram.c"
    break;

  case 533: /* ConstraintElem: UNIQUE opt_unique_null_treatment '(' columnList opt_without_overlaps ')' opt_c_include opt_definition OptConsTableSpace ConstraintAttributeSpec  */
#line 4144 "gram.y"
                                {
					Constraint *n = makeNode(Constraint);

					n->contype = CONSTR_UNIQUE;
					n->location = (yylsp[-9]);
					n->nulls_not_distinct = !(yyvsp[-8].boolean);
					n->keys = (yyvsp[-6].list);
					n->without_overlaps = (yyvsp[-5].boolean);
					n->including = (yyvsp[-3].list);
					n->options = (yyvsp[-2].list);
					n->indexname = NULL;
					n->indexspace = (yyvsp[-1].str);
					processCASbits((yyvsp[0].ival), (yylsp[0]), "UNIQUE",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);
					(yyval.node) = (Node *) n;
				}
#line 33695 "gram.c"
    break;

  case 534: /* ConstraintElem: UNIQUE ExistingIndex ConstraintAttributeSpec  */
#line 4162 "gram.y"
                                {
					Constraint *n = makeNode(Constraint);

					n->contype = CONSTR_UNIQUE;
					n->location = (yylsp[-2]);
					n->keys = NIL;
					n->including = NIL;
					n->options = NIL;
					n->indexname = (yyvsp[-1].str);
					n->indexspace = NULL;
					processCASbits((yyvsp[0].ival), (yylsp[0]), "UNIQUE",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);
					(yyval.node) = (Node *) n;
				}
#line 33715 "gram.c"
    break;

  case 535: /* ConstraintElem: PRIMARY KEY '(' columnList opt_without_overlaps ')' opt_c_include opt_definition OptConsTableSpace ConstraintAttributeSpec  */
#line 4179 "gram.y"
                                {
					Constraint *n = makeNode(Constraint);

					n->contype = CONSTR_PRIMARY;
					n->location = (yylsp[-9]);
					n->keys = (yyvsp[-6].list);
					n->without_overlaps = (yyvsp[-5].boolean);
					n->including = (yyvsp[-3].list);
					n->options = (yyvsp[-2].list);
					n->indexname = NULL;
					n->indexspace = (yyvsp[-1].str);
					processCASbits((yyvsp[0].ival), (yylsp[0]), "PRIMARY KEY",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);
					(yyval.node) = (Node *) n;
				}
#line 33736 "gram.c"
    break;

  case 536: /* ConstraintElem: PRIMARY KEY ExistingIndex ConstraintAttributeSpec  */
#line 4196 "gram.y"
                                {
					Constraint *n = makeNode(Constraint);

					n->contype = CONSTR_PRIMARY;
					n->location = (yylsp[-3]);
					n->keys = NIL;
					n->including = NIL;
					n->options = NIL;
					n->indexname = (yyvsp[-1].str);
					n->indexspace = NULL;
					processCASbits((yyvsp[0].ival), (yylsp[0]), "PRIMARY KEY",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);
					(yyval.node) = (Node *) n;
				}
#line 33756 "gram.c"
    break;

  case 537: /* ConstraintElem: EXCLUDE access_method_clause '(' ExclusionConstraintList ')' opt_c_include opt_definition OptConsTableSpace OptWhereClause ConstraintAttributeSpec  */
#line 4214 "gram.y"
                                {
					Constraint *n = makeNode(Constraint);

					n->contype = CONSTR_EXCLUSION;
					n->location = (yylsp[-9]);
					n->access_method = (yyvsp[-8].str);
					n->exclusions = (yyvsp[-6].list);
					n->including = (yyvsp[-4].list);
					n->options = (yyvsp[-3].list);
					n->indexname = NULL;
					n->indexspace = (yyvsp[-2].str);
					n->where_clause = (yyvsp[-1].node);
					processCASbits((yyvsp[0].ival), (yylsp[0]), "EXCLUDE",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);
					(yyval.node) = (Node *) n;
				}
#line 33778 "gram.c"
    break;

  case 538: /* ConstraintElem: FOREIGN KEY '(' columnList ')' REFERENCES qualified_name opt_column_list key_match key_actions ConstraintAttributeSpec  */
#line 4233 "gram.y"
                                {
					Constraint *n = makeNode(Constraint);

					n->contype = CONSTR_FOREIGN;
					n->location = (yylsp[-10]);
					n->pktable = (yyvsp[-4].range);
					n->fk_attrs = (yyvsp[-7].list);
					n->pk_attrs = (yyvsp[-3].list);
					n->fk_matchtype = (yyvsp[-2].ival);
					n->fk_upd_action = ((yyvsp[-1].keyactions))->updateAction->action;
					n->fk_del_action = ((yyvsp[-1].keyactions))->deleteAction->action;
					n->fk_del_set_cols = ((yyvsp[-1].keyactions))->deleteAction->cols;
					processCASbits((yyvsp[0].ival), (yylsp[0]), "FOREIGN KEY",
								   &n->deferrable, &n->initdeferred,
								   &n->skip_validation, NULL,
								   yyscanner);
					n->initially_valid = !n->skip_validation;
					(yyval.node) = (Node *) n;
				}
#line 33802 "gram.c"
    break;

  case 539: /* opt_no_inherit: NO INHERIT  */
#line 4254 "gram.y"
                                                                                {  (yyval.boolean) = true; }
#line 33808 "gram.c"
    break;

  case 540: /* opt_no_inherit: %empty  */
#line 4255 "gram.y"
                                                                                        {  (yyval.boolean) = false; }
#line 33814 "gram.c"
    break;

  case 541: /* opt_without_overlaps: WITHOUT OVERLAPS  */
#line 4259 "gram.y"
                                                                                        { (yyval.boolean) = true; }
#line 33820 "gram.c"
    break;

  case 542: /* opt_without_overlaps: %empty  */
#line 4260 "gram.y"
                                                                                                { (yyval.boolean) = false; }
#line 33826 "gram.c"
    break;

  case 543: /* opt_column_list: '(' columnList ')'  */
#line 4264 "gram.y"
                                                                                        { (yyval.list) = (yyvsp[-1].list); }
#line 33832 "gram.c"
    break;

  case 544: /* opt_column_list: %empty  */
#line 4265 "gram.y"
                                                                                                { (yyval.list) = NIL; }
#line 33838 "gram.c"
    break;

  case 545: /* columnList: columnElem  */
#line 4269 "gram.y"
                                                                                                { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 33844 "gram.c"
    break;

  case 546: /* columnList: columnList ',' columnElem  */
#line 4270 "gram.y"
                                                                                { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 33850 "gram.c"
    break;

  case 547: /* columnElem: ColId  */
#line 4274 "gram.y"
                                {
					(yyval.node) = (Node *) makeString((yyvsp[0].str));
				}
#line 33858 "gram.c"
    break;

  case 548: /* opt_c_include: INCLUDE '(' columnList ')'  */
#line 4279 "gram.y"
                                                                { (yyval.list) = (yyvsp[-1].list); }
#line 33864 "gram.c"
    break;

  case 549: /* opt_c_include: %empty  */
#line 4280 "gram.y"
                                                                                                { (yyval.list) = NIL; }
#line 33870 "gram.c"
    break;

  case 550: /* key_match: MATCH FULL  */
#line 4284 "gram.y"
                        {
				(yyval.ival) = FKCONSTR_MATCH_FULL;
			}
#line 33878 "gram.c"
    break;

  case 551: /* key_match: MATCH PARTIAL  */
#line 4288 "gram.y"
                        {
				ereport(ERROR,
						(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
						 errmsg("MATCH PARTIAL not yet implemented"),
						 parser_errposition((yylsp[-1]))));
				(yyval.ival) = FKCONSTR_MATCH_PARTIAL;
			}
#line 33890 "gram.c"
    break;

  case 552: /* key_match: MATCH SIMPLE  */
#line 4296 "gram.y"
                        {
				(yyval.ival) = FKCONSTR_MATCH_SIMPLE;
			}
#line 33898 "gram.c"
    break;

  case 553: /* key_match: %empty  */
#line 4300 "gram.y"
                        {
				(yyval.ival) = FKCONSTR_MATCH_SIMPLE;
			}
#line 33906 "gram.c"
    break;

  case 554: /* ExclusionConstraintList: ExclusionConstraintElem  */
#line 4306 "gram.y"
                                                                                { (yyval.list) = list_make1((yyvsp[0].list)); }
#line 33912 "gram.c"
    break;

  case 555: /* ExclusionConstraintList: ExclusionConstraintList ',' ExclusionConstraintElem  */
#line 4308 "gram.y"
                                                                                                        { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].list)); }
#line 33918 "gram.c"
    break;

  case 556: /* ExclusionConstraintElem: index_elem WITH any_operator  */
#line 4312 "gram.y"
                        {
				(yyval.list) = list_make2((yyvsp[-2].ielem), (yyvsp[0].list));
			}
#line 33926 "gram.c"
    break;

  case 557: /* ExclusionConstraintElem: index_elem WITH OPERATOR '(' any_operator ')'  */
#line 4317 "gram.y"
                        {
				(yyval.list) = list_make2((yyvsp[-5].ielem), (yyvsp[-1].list));
			}
#line 33934 "gram.c"
    break;

  case 558: /* OptWhereClause: WHERE '(' a_expr ')'  */
#line 4323 "gram.y"
                                                                                { (yyval.node) = (yyvsp[-1].node); }
#line 33940 "gram.c"
    break;

  case 559: /* OptWhereClause: %empty  */
#line 4324 "gram.y"
                                                                                                { (yyval.node) = NULL; }
#line 33946 "gram.c"
    break;

  case 560: /* key_actions: key_update  */
#line 4329 "gram.y"
                                {
					KeyActions *n = palloc(sizeof(KeyActions));

					n->updateAction = (yyvsp[0].keyaction);
					n->deleteAction = palloc(sizeof(KeyAction));
					n->deleteAction->action = FKCONSTR_ACTION_NOACTION;
					n->deleteAction->cols = NIL;
					(yyval.keyactions) = n;
				}
#line 33960 "gram.c"
    break;

  case 561: /* key_actions: key_delete  */
#line 4339 "gram.y"
                                {
					KeyActions *n = palloc(sizeof(KeyActions));

					n->updateAction = palloc(sizeof(KeyAction));
					n->updateAction->action = FKCONSTR_ACTION_NOACTION;
					n->updateAction->cols = NIL;
					n->deleteAction = (yyvsp[0].keyaction);
					(yyval.keyactions) = n;
				}
#line 33974 "gram.c"
    break;

  case 562: /* key_actions: key_update key_delete  */
#line 4349 "gram.y"
                                {
					KeyActions *n = palloc(sizeof(KeyActions));

					n->updateAction = (yyvsp[-1].keyaction);
					n->deleteAction = (yyvsp[0].keyaction);
					(yyval.keyactions) = n;
				}
#line 33986 "gram.c"
    break;

  case 563: /* key_actions: key_delete key_update  */
#line 4357 "gram.y"
                                {
					KeyActions *n = palloc(sizeof(KeyActions));

					n->updateAction = (yyvsp[0].keyaction);
					n->deleteAction = (yyvsp[-1].keyaction);
					(yyval.keyactions) = n;
				}
#line 33998 "gram.c"
    break;

  case 564: /* key_actions: %empty  */
#line 4365 "gram.y"
                                {
					KeyActions *n = palloc(sizeof(KeyActions));

					n->updateAction = palloc(sizeof(KeyAction));
					n->updateAction->action = FKCONSTR_ACTION_NOACTION;
					n->updateAction->cols = NIL;
					n->deleteAction = palloc(sizeof(KeyAction));
					n->deleteAction->action = FKCONSTR_ACTION_NOACTION;
					n->deleteAction->cols = NIL;
					(yyval.keyactions) = n;
				}
#line 34014 "gram.c"
    break;

  case 565: /* key_update: ON UPDATE key_action  */
#line 4379 "gram.y"
                                {
					if (((yyvsp[0].keyaction))->cols)
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("a column list with %s is only supported for ON DELETE actions",
										((yyvsp[0].keyaction))->action == FKCONSTR_ACTION_SETNULL ? "SET NULL" : "SET DEFAULT"),
								 parser_errposition((yylsp[-2]))));
					(yyval.keyaction) = (yyvsp[0].keyaction);
				}
#line 34028 "gram.c"
    break;

  case 566: /* key_delete: ON DELETE_P key_action  */
#line 4391 "gram.y"
                                {
					(yyval.keyaction) = (yyvsp[0].keyaction);
				}
#line 34036 "gram.c"
    break;

  case 567: /* key_action: NO ACTION  */
#line 4398 "gram.y"
                                {
					KeyAction *n = palloc(sizeof(KeyAction));

					n->action = FKCONSTR_ACTION_NOACTION;
					n->cols = NIL;
					(yyval.keyaction) = n;
				}
#line 34048 "gram.c"
    break;

  case 568: /* key_action: RESTRICT  */
#line 4406 "gram.y"
                                {
					KeyAction *n = palloc(sizeof(KeyAction));

					n->action = FKCONSTR_ACTION_RESTRICT;
					n->cols = NIL;
					(yyval.keyaction) = n;
				}
#line 34060 "gram.c"
    break;

  case 569: /* key_action: CASCADE  */
#line 4414 "gram.y"
                                {
					KeyAction *n = palloc(sizeof(KeyAction));

					n->action = FKCONSTR_ACTION_CASCADE;
					n->cols = NIL;
					(yyval.keyaction) = n;
				}
#line 34072 "gram.c"
    break;

  case 570: /* key_action: SET NULL_P opt_column_list  */
#line 4422 "gram.y"
                                {
					KeyAction *n = palloc(sizeof(KeyAction));

					n->action = FKCONSTR_ACTION_SETNULL;
					n->cols = (yyvsp[0].list);
					(yyval.keyaction) = n;
				}
#line 34084 "gram.c"
    break;

  case 571: /* key_action: SET DEFAULT opt_column_list  */
#line 4430 "gram.y"
                                {
					KeyAction *n = palloc(sizeof(KeyAction));

					n->action = FKCONSTR_ACTION_SETDEFAULT;
					n->cols = (yyvsp[0].list);
					(yyval.keyaction) = n;
				}
#line 34096 "gram.c"
    break;

  case 572: /* OptInherit: INHERITS '(' qualified_name_list ')'  */
#line 4439 "gram.y"
                                                        { (yyval.list) = (yyvsp[-1].list); }
#line 34102 "gram.c"
    break;

  case 573: /* OptInherit: %empty  */
#line 4440 "gram.y"
                                                                                                { (yyval.list) = NIL; }
#line 34108 "gram.c"
    break;

  case 574: /* OptPartitionSpec: PartitionSpec  */
#line 4444 "gram.y"
                                { (yyval.partspec) = (yyvsp[0].partspec); }
#line 34114 "gram.c"
    break;

  case 575: /* OptPartitionSpec: %empty  */
#line 4445 "gram.y"
                                                        { (yyval.partspec) = NULL; }
#line 34120 "gram.c"
    break;

  case 576: /* PartitionSpec: PARTITION BY ColId '(' part_params ')'  */
#line 4449 "gram.y"
                                {
					PartitionSpec *n = makeNode(PartitionSpec);

					n->strategy = parsePartitionStrategy((yyvsp[-3].str));
					n->partParams = (yyvsp[-1].list);
					n->location = (yylsp[-5]);

					(yyval.partspec) = n;
				}
#line 34134 "gram.c"
    break;

  case 577: /* part_params: part_elem  */
#line 4460 "gram.y"
                                                                        { (yyval.list) = list_make1((yyvsp[0].partelem)); }
#line 34140 "gram.c"
    break;

  case 578: /* part_params: part_params ',' part_elem  */
#line 4461 "gram.y"
                                                                        { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].partelem)); }
#line 34146 "gram.c"
    break;

  case 579: /* part_elem: ColId opt_collate opt_qualified_name  */
#line 4465 "gram.y"
                                {
					PartitionElem *n = makeNode(PartitionElem);

					n->name = (yyvsp[-2].str);
					n->expr = NULL;
					n->collation = (yyvsp[-1].list);
					n->opclass = (yyvsp[0].list);
					n->location = (yylsp[-2]);
					(yyval.partelem) = n;
				}
#line 34161 "gram.c"
    break;

  case 580: /* part_elem: func_expr_windowless opt_collate opt_qualified_name  */
#line 4476 "gram.y"
                                {
					PartitionElem *n = makeNode(PartitionElem);

					n->name = NULL;
					n->expr = (yyvsp[-2].node);
					n->collation = (yyvsp[-1].list);
					n->opclass = (yyvsp[0].list);
					n->location = (yylsp[-2]);
					(yyval.partelem) = n;
				}
#line 34176 "gram.c"
    break;

  case 581: /* part_elem: '(' a_expr ')' opt_collate opt_qualified_name  */
#line 4487 "gram.y"
                                {
					PartitionElem *n = makeNode(PartitionElem);

					n->name = NULL;
					n->expr = (yyvsp[-3].node);
					n->collation = (yyvsp[-1].list);
					n->opclass = (yyvsp[0].list);
					n->location = (yylsp[-4]);
					(yyval.partelem) = n;
				}
#line 34191 "gram.c"
    break;

  case 582: /* table_access_method_clause: USING name  */
#line 4500 "gram.y"
                                                                                        { (yyval.str) = (yyvsp[0].str); }
#line 34197 "gram.c"
    break;

  case 583: /* table_access_method_clause: %empty  */
#line 4501 "gram.y"
                                                                                        { (yyval.str) = NULL; }
#line 34203 "gram.c"
    break;

  case 584: /* OptWith: WITH reloptions  */
#line 4506 "gram.y"
                                                                { (yyval.list) = (yyvsp[0].list); }
#line 34209 "gram.c"
    break;

  case 585: /* OptWith: WITHOUT OIDS  */
#line 4507 "gram.y"
                                                                { (yyval.list) = NIL; }
#line 34215 "gram.c"
    break;

  case 586: /* OptWith: %empty  */
#line 4508 "gram.y"
                                                                        { (yyval.list) = NIL; }
#line 34221 "gram.c"
    break;

  case 587: /* OnCommitOption: ON COMMIT DROP  */
#line 4511 "gram.y"
                                                        { (yyval.oncommit) = ONCOMMIT_DROP; }
#line 34227 "gram.c"
    break;

  case 588: /* OnCommitOption: ON COMMIT DELETE_P ROWS  */
#line 4512 "gram.y"
                                                                { (yyval.oncommit) = ONCOMMIT_DELETE_ROWS; }
#line 34233 "gram.c"
    break;

  case 589: /* OnCommitOption: ON COMMIT PRESERVE ROWS  */
#line 4513 "gram.y"
                                                                { (yyval.oncommit) = ONCOMMIT_PRESERVE_ROWS; }
#line 34239 "gram.c"
    break;

  case 590: /* OnCommitOption: %empty  */
#line 4514 "gram.y"
                                                                                { (yyval.oncommit) = ONCOMMIT_NOOP; }
#line 34245 "gram.c"
    break;

  case 591: /* OptTableSpace: TABLESPACE name  */
#line 4517 "gram.y"
                                                                        { (yyval.str) = (yyvsp[0].str); }
#line 34251 "gram.c"
    break;

  case 592: /* OptTableSpace: %empty  */
#line 4518 "gram.y"
                                                                                                { (yyval.str) = NULL; }
#line 34257 "gram.c"
    break;

  case 593: /* OptConsTableSpace: USING INDEX TABLESPACE name  */
#line 4521 "gram.y"
                                                        { (yyval.str) = (yyvsp[0].str); }
#line 34263 "gram.c"
    break;

  case 594: /* OptConsTableSpace: %empty  */
#line 4522 "gram.y"
                                                                                                { (yyval.str) = NULL; }
#line 34269 "gram.c"
    break;

  case 595: /* ExistingIndex: USING INDEX name  */
#line 4525 "gram.y"
                                                                        { (yyval.str) = (yyvsp[0].str); }
#line 34275 "gram.c"
    break;

  case 596: /* CreateStatsStmt: CREATE STATISTICS opt_qualified_name opt_name_list ON stats_params FROM from_list  */
#line 4547 "gram.y"
                                {
					CreateStatsStmt *n = makeNode(CreateStatsStmt);

					n->defnames = (yyvsp[-5].list);
					n->stat_types = (yyvsp[-4].list);
					n->exprs = (yyvsp[-2].list);
					n->relations = (yyvsp[0].list);
					n->stxcomment = NULL;
					n->if_not_exists = false;
					(yyval.node) = (Node *) n;
				}
#line 34291 "gram.c"
    break;

  case 597: /* CreateStatsStmt: CREATE STATISTICS IF_P NOT EXISTS any_name opt_name_list ON stats_params FROM from_list  */
#line 4560 "gram.y"
                                {
					CreateStatsStmt *n = makeNode(CreateStatsStmt);

					n->defnames = (yyvsp[-5].list);
					n->stat_types = (yyvsp[-4].list);
					n->exprs = (yyvsp[-2].list);
					n->relations = (yyvsp[0].list);
					n->stxcomment = NULL;
					n->if_not_exists = true;
					(yyval.node) = (Node *) n;
				}
#line 34307 "gram.c"
    break;

  case 598: /* stats_params: stats_param  */
#line 4580 "gram.y"
                                                                                { (yyval.list) = list_make1((yyvsp[0].selem)); }
#line 34313 "gram.c"
    break;

  case 599: /* stats_params: stats_params ',' stats_param  */
#line 4581 "gram.y"
                                                                        { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].selem)); }
#line 34319 "gram.c"
    break;

  case 600: /* stats_param: ColId  */
#line 4585 "gram.y"
                                {
					(yyval.selem) = makeNode(StatsElem);
					(yyval.selem)->name = (yyvsp[0].str);
					(yyval.selem)->expr = NULL;
				}
#line 34329 "gram.c"
    break;

  case 601: /* stats_param: func_expr_windowless  */
#line 4591 "gram.y"
                                {
					(yyval.selem) = makeNode(StatsElem);
					(yyval.selem)->name = NULL;
					(yyval.selem)->expr = (yyvsp[0].node);
				}
#line 34339 "gram.c"
    break;

  case 602: /* stats_param: '(' a_expr ')'  */
#line 4597 "gram.y"
                                {
					(yyval.selem) = makeNode(StatsElem);
					(yyval.selem)->name = NULL;
					(yyval.selem)->expr = (yyvsp[-1].node);
				}
#line 34349 "gram.c"
    break;

  case 603: /* AlterStatsStmt: ALTER STATISTICS any_name SET STATISTICS SignedIconst  */
#line 4614 "gram.y"
                                {
					AlterStatsStmt *n = makeNode(AlterStatsStmt);

					n->defnames = (yyvsp[-3].list);
					n->missing_ok = false;
					n->stxstattarget = (yyvsp[0].ival);
					(yyval.node) = (Node *) n;
				}
#line 34362 "gram.c"
    break;

  case 604: /* AlterStatsStmt: ALTER STATISTICS IF_P EXISTS any_name SET STATISTICS SignedIconst  */
#line 4623 "gram.y"
                                {
					AlterStatsStmt *n = makeNode(AlterStatsStmt);

					n->defnames = (yyvsp[-3].list);
					n->missing_ok = true;
					n->stxstattarget = (yyvsp[0].ival);
					(yyval.node) = (Node *) n;
				}
#line 34375 "gram.c"
    break;

  case 605: /* CreateAsStmt: CREATE OptTemp TABLE create_as_target AS SelectStmt opt_with_data  */
#line 4645 "gram.y"
                                {
					CreateTableAsStmt *ctas = makeNode(CreateTableAsStmt);

					ctas->query = (yyvsp[-1].node);
					ctas->into = (yyvsp[-3].into);
					ctas->objtype = OBJECT_TABLE;
					ctas->is_select_into = false;
					ctas->if_not_exists = false;
					/* cram additional flags into the IntoClause */
					(yyvsp[-3].into)->rel->relpersistence = (yyvsp[-5].ival);
					(yyvsp[-3].into)->skipData = !((yyvsp[0].boolean));
					(yyval.node) = (Node *) ctas;
				}
#line 34393 "gram.c"
    break;

  case 606: /* CreateAsStmt: CREATE OptTemp TABLE IF_P NOT EXISTS create_as_target AS SelectStmt opt_with_data  */
#line 4659 "gram.y"
                                {
					CreateTableAsStmt *ctas = makeNode(CreateTableAsStmt);

					ctas->query = (yyvsp[-1].node);
					ctas->into = (yyvsp[-3].into);
					ctas->objtype = OBJECT_TABLE;
					ctas->is_select_into = false;
					ctas->if_not_exists = true;
					/* cram additional flags into the IntoClause */
					(yyvsp[-3].into)->rel->relpersistence = (yyvsp[-8].ival);
					(yyvsp[-3].into)->skipData = !((yyvsp[0].boolean));
					(yyval.node) = (Node *) ctas;
				}
#line 34411 "gram.c"
    break;

  case 607: /* create_as_target: qualified_name opt_column_list table_access_method_clause OptWith OnCommitOption OptTableSpace  */
#line 4677 "gram.y"
                                {
					(yyval.into) = makeNode(IntoClause);
					(yyval.into)->rel = (yyvsp[-5].range);
					(yyval.into)->colNames = (yyvsp[-4].list);
					(yyval.into)->accessMethod = (yyvsp[-3].str);
					(yyval.into)->options = (yyvsp[-2].list);
					(yyval.into)->onCommit = (yyvsp[-1].oncommit);
					(yyval.into)->tableSpaceName = (yyvsp[0].str);
					(yyval.into)->viewQuery = NULL;
					(yyval.into)->skipData = false;		/* might get changed later */
				}
#line 34427 "gram.c"
    break;

  case 608: /* opt_with_data: WITH DATA_P  */
#line 4691 "gram.y"
                                                                                                { (yyval.boolean) = true; }
#line 34433 "gram.c"
    break;

  case 609: /* opt_with_data: WITH NO DATA_P  */
#line 4692 "gram.y"
                                                                                        { (yyval.boolean) = false; }
#line 34439 "gram.c"
    break;

  case 610: /* opt_with_data: %empty  */
#line 4693 "gram.y"
                                                                                                { (yyval.boolean) = true; }
#line 34445 "gram.c"
    break;

  case 611: /* CreateMatViewStmt: CREATE OptNoLog MATERIALIZED VIEW create_mv_target AS SelectStmt opt_with_data  */
#line 4706 "gram.y"
                                {
					CreateTableAsStmt *ctas = makeNode(CreateTableAsStmt);

					ctas->query = (yyvsp[-1].node);
					ctas->into = (yyvsp[-3].into);
					ctas->objtype = OBJECT_MATVIEW;
					ctas->is_select_into = false;
					ctas->if_not_exists = false;
					/* cram additional flags into the IntoClause */
					(yyvsp[-3].into)->rel->relpersistence = (yyvsp[-6].ival);
					(yyvsp[-3].into)->skipData = !((yyvsp[0].boolean));
					(yyval.node) = (Node *) ctas;
				}
#line 34463 "gram.c"
    break;

  case 612: /* CreateMatViewStmt: CREATE OptNoLog MATERIALIZED VIEW IF_P NOT EXISTS create_mv_target AS SelectStmt opt_with_data  */
#line 4720 "gram.y"
                                {
					CreateTableAsStmt *ctas = makeNode(CreateTableAsStmt);

					ctas->query = (yyvsp[-1].node);
					ctas->into = (yyvsp[-3].into);
					ctas->objtype = OBJECT_MATVIEW;
					ctas->is_select_into = false;
					ctas->if_not_exists = true;
					/* cram additional flags into the IntoClause */
					(yyvsp[-3].into)->rel->relpersistence = (yyvsp[-9].ival);
					(yyvsp[-3].into)->skipData = !((yyvsp[0].boolean));
					(yyval.node) = (Node *) ctas;
				}
#line 34481 "gram.c"
    break;

  case 613: /* create_mv_target: qualified_name opt_column_list table_access_method_clause opt_reloptions OptTableSpace  */
#line 4737 "gram.y"
                                {
					(yyval.into) = makeNode(IntoClause);
					(yyval.into)->rel = (yyvsp[-4].range);
					(yyval.into)->colNames = (yyvsp[-3].list);
					(yyval.into)->accessMethod = (yyvsp[-2].str);
					(yyval.into)->options = (yyvsp[-1].list);
					(yyval.into)->onCommit = ONCOMMIT_NOOP;
					(yyval.into)->tableSpaceName = (yyvsp[0].str);
					(yyval.into)->viewQuery = NULL;		/* filled at analysis time */
					(yyval.into)->skipData = false;		/* might get changed later */
				}
#line 34497 "gram.c"
    break;

  case 614: /* OptNoLog: UNLOGGED  */
#line 4750 "gram.y"
                                                                { (yyval.ival) = RELPERSISTENCE_UNLOGGED; }
#line 34503 "gram.c"
    break;

  case 615: /* OptNoLog: %empty  */
#line 4751 "gram.y"
                                                                        { (yyval.ival) = RELPERSISTENCE_PERMANENT; }
#line 34509 "gram.c"
    break;

  case 616: /* RefreshMatViewStmt: REFRESH MATERIALIZED VIEW opt_concurrently qualified_name opt_with_data  */
#line 4764 "gram.y"
                                {
					RefreshMatViewStmt *n = makeNode(RefreshMatViewStmt);

					n->concurrent = (yyvsp[-2].boolean);
					n->relation = (yyvsp[-1].range);
					n->skipData = !((yyvsp[0].boolean));
					(yyval.node) = (Node *) n;
				}
#line 34522 "gram.c"
    break;

  case 617: /* CreateSeqStmt: CREATE OptTemp SEQUENCE qualified_name OptSeqOptList  */
#line 4785 "gram.y"
                                {
					CreateSeqStmt *n = makeNode(CreateSeqStmt);

					(yyvsp[-1].range)->relpersistence = (yyvsp[-3].ival);
					n->sequence = (yyvsp[-1].range);
					n->options = (yyvsp[0].list);
					n->ownerId = InvalidOid;
					n->if_not_exists = false;
					(yyval.node) = (Node *) n;
				}
#line 34537 "gram.c"
    break;

  case 618: /* CreateSeqStmt: CREATE OptTemp SEQUENCE IF_P NOT EXISTS qualified_name OptSeqOptList  */
#line 4796 "gram.y"
                                {
					CreateSeqStmt *n = makeNode(CreateSeqStmt);

					(yyvsp[-1].range)->relpersistence = (yyvsp[-6].ival);
					n->sequence = (yyvsp[-1].range);
					n->options = (yyvsp[0].list);
					n->ownerId = InvalidOid;
					n->if_not_exists = true;
					(yyval.node) = (Node *) n;
				}
#line 34552 "gram.c"
    break;

  case 619: /* AlterSeqStmt: ALTER SEQUENCE qualified_name SeqOptList  */
#line 4810 "gram.y"
                                {
					AlterSeqStmt *n = makeNode(AlterSeqStmt);

					n->sequence = (yyvsp[-1].range);
					n->options = (yyvsp[0].list);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 34565 "gram.c"
    break;

  case 620: /* AlterSeqStmt: ALTER SEQUENCE IF_P EXISTS qualified_name SeqOptList  */
#line 4819 "gram.y"
                                {
					AlterSeqStmt *n = makeNode(AlterSeqStmt);

					n->sequence = (yyvsp[-1].range);
					n->options = (yyvsp[0].list);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 34578 "gram.c"
    break;

  case 621: /* OptSeqOptList: SeqOptList  */
#line 4830 "gram.y"
                                                                                { (yyval.list) = (yyvsp[0].list); }
#line 34584 "gram.c"
    break;

  case 622: /* OptSeqOptList: %empty  */
#line 4831 "gram.y"
                                                                                                { (yyval.list) = NIL; }
#line 34590 "gram.c"
    break;

  case 623: /* OptParenthesizedSeqOptList: '(' SeqOptList ')'  */
#line 4834 "gram.y"
                                                        { (yyval.list) = (yyvsp[-1].list); }
#line 34596 "gram.c"
    break;

  case 624: /* OptParenthesizedSeqOptList: %empty  */
#line 4835 "gram.y"
                                                                                                { (yyval.list) = NIL; }
#line 34602 "gram.c"
    break;

  case 625: /* SeqOptList: SeqOptElem  */
#line 4838 "gram.y"
                                                                                { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 34608 "gram.c"
    break;

  case 626: /* SeqOptList: SeqOptList SeqOptElem  */
#line 4839 "gram.y"
                                                                                { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 34614 "gram.c"
    break;

  case 627: /* SeqOptElem: AS SimpleTypename  */
#line 4843 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("as", (Node *) (yyvsp[0].typnam), (yylsp[-1]));
				}
#line 34622 "gram.c"
    break;

  case 628: /* SeqOptElem: CACHE NumericOnly  */
#line 4847 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("cache", (Node *) (yyvsp[0].node), (yylsp[-1]));
				}
#line 34630 "gram.c"
    break;

  case 629: /* SeqOptElem: CYCLE  */
#line 4851 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("cycle", (Node *) makeBoolean(true), (yylsp[0]));
				}
#line 34638 "gram.c"
    break;

  case 630: /* SeqOptElem: NO CYCLE  */
#line 4855 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("cycle", (Node *) makeBoolean(false), (yylsp[-1]));
				}
#line 34646 "gram.c"
    break;

  case 631: /* SeqOptElem: INCREMENT opt_by NumericOnly  */
#line 4859 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("increment", (Node *) (yyvsp[0].node), (yylsp[-2]));
				}
#line 34654 "gram.c"
    break;

  case 632: /* SeqOptElem: MAXVALUE NumericOnly  */
#line 4863 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("maxvalue", (Node *) (yyvsp[0].node), (yylsp[-1]));
				}
#line 34662 "gram.c"
    break;

  case 633: /* SeqOptElem: MINVALUE NumericOnly  */
#line 4867 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("minvalue", (Node *) (yyvsp[0].node), (yylsp[-1]));
				}
#line 34670 "gram.c"
    break;

  case 634: /* SeqOptElem: NO MAXVALUE  */
#line 4871 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("maxvalue", NULL, (yylsp[-1]));
				}
#line 34678 "gram.c"
    break;

  case 635: /* SeqOptElem: NO MINVALUE  */
#line 4875 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("minvalue", NULL, (yylsp[-1]));
				}
#line 34686 "gram.c"
    break;

  case 636: /* SeqOptElem: OWNED BY any_name  */
#line 4879 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("owned_by", (Node *) (yyvsp[0].list), (yylsp[-2]));
				}
#line 34694 "gram.c"
    break;

  case 637: /* SeqOptElem: SEQUENCE NAME_P any_name  */
#line 4883 "gram.y"
                                {
					/* not documented, only used by pg_dump */
					(yyval.defelt) = makeDefElem("sequence_name", (Node *) (yyvsp[0].list), (yylsp[-2]));
				}
#line 34703 "gram.c"
    break;

  case 638: /* SeqOptElem: START opt_with NumericOnly  */
#line 4888 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("start", (Node *) (yyvsp[0].node), (yylsp[-2]));
				}
#line 34711 "gram.c"
    break;

  case 639: /* SeqOptElem: RESTART  */
#line 4892 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("restart", NULL, (yylsp[0]));
				}
#line 34719 "gram.c"
    break;

  case 640: /* SeqOptElem: RESTART opt_with NumericOnly  */
#line 4896 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("restart", (Node *) (yyvsp[0].node), (yylsp[-2]));
				}
#line 34727 "gram.c"
    break;

  case 643: /* NumericOnly: FCONST  */
#line 4906 "gram.y"
                                                                                        { (yyval.node) = (Node *) makeFloat((yyvsp[0].str)); }
#line 34733 "gram.c"
    break;

  case 644: /* NumericOnly: '+' FCONST  */
#line 4907 "gram.y"
                                                                                { (yyval.node) = (Node *) makeFloat((yyvsp[0].str)); }
#line 34739 "gram.c"
    break;

  case 645: /* NumericOnly: '-' FCONST  */
#line 4909 "gram.y"
                                {
					Float	   *f = makeFloat((yyvsp[0].str));

					doNegateFloat(f);
					(yyval.node) = (Node *) f;
				}
#line 34750 "gram.c"
    break;

  case 646: /* NumericOnly: SignedIconst  */
#line 4915 "gram.y"
                                                                                { (yyval.node) = (Node *) makeInteger((yyvsp[0].ival)); }
#line 34756 "gram.c"
    break;

  case 647: /* NumericOnly_list: NumericOnly  */
#line 4918 "gram.y"
                                                                                { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 34762 "gram.c"
    break;

  case 648: /* NumericOnly_list: NumericOnly_list ',' NumericOnly  */
#line 4919 "gram.y"
                                                                        { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 34768 "gram.c"
    break;

  case 649: /* CreatePLangStmt: CREATE opt_or_replace opt_trusted opt_procedural LANGUAGE name  */
#line 4932 "gram.y"
                        {
				/*
				 * We now interpret parameterless CREATE LANGUAGE as
				 * CREATE EXTENSION.  "OR REPLACE" is silently translated
				 * to "IF NOT EXISTS", which isn't quite the same, but
				 * seems more useful than throwing an error.  We just
				 * ignore TRUSTED, as the previous code would have too.
				 */
				CreateExtensionStmt *n = makeNode(CreateExtensionStmt);

				n->if_not_exists = (yyvsp[-4].boolean);
				n->extname = (yyvsp[0].str);
				n->options = NIL;
				(yyval.node) = (Node *) n;
			}
#line 34788 "gram.c"
    break;

  case 650: /* CreatePLangStmt: CREATE opt_or_replace opt_trusted opt_procedural LANGUAGE name HANDLER handler_name opt_inline_handler opt_validator  */
#line 4949 "gram.y"
                        {
				CreatePLangStmt *n = makeNode(CreatePLangStmt);

				n->replace = (yyvsp[-8].boolean);
				n->plname = (yyvsp[-4].str);
				n->plhandler = (yyvsp[-2].list);
				n->plinline = (yyvsp[-1].list);
				n->plvalidator = (yyvsp[0].list);
				n->pltrusted = (yyvsp[-7].boolean);
				(yyval.node) = (Node *) n;
			}
#line 34804 "gram.c"
    break;

  case 651: /* opt_trusted: TRUSTED  */
#line 4963 "gram.y"
                                                                                                { (yyval.boolean) = true; }
#line 34810 "gram.c"
    break;

  case 652: /* opt_trusted: %empty  */
#line 4964 "gram.y"
                                                                                                { (yyval.boolean) = false; }
#line 34816 "gram.c"
    break;

  case 653: /* handler_name: name  */
#line 4972 "gram.y"
                                                                        { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 34822 "gram.c"
    break;

  case 654: /* handler_name: name attrs  */
#line 4973 "gram.y"
                                                                { (yyval.list) = lcons(makeString((yyvsp[-1].str)), (yyvsp[0].list)); }
#line 34828 "gram.c"
    break;

  case 655: /* opt_inline_handler: INLINE_P handler_name  */
#line 4977 "gram.y"
                                                                                { (yyval.list) = (yyvsp[0].list); }
#line 34834 "gram.c"
    break;

  case 656: /* opt_inline_handler: %empty  */
#line 4978 "gram.y"
                                                                                                { (yyval.list) = NIL; }
#line 34840 "gram.c"
    break;

  case 657: /* validator_clause: VALIDATOR handler_name  */
#line 4982 "gram.y"
                                                                                { (yyval.list) = (yyvsp[0].list); }
#line 34846 "gram.c"
    break;

  case 658: /* validator_clause: NO VALIDATOR  */
#line 4983 "gram.y"
                                                                                        { (yyval.list) = NIL; }
#line 34852 "gram.c"
    break;

  case 659: /* opt_validator: validator_clause  */
#line 4987 "gram.y"
                                                                                        { (yyval.list) = (yyvsp[0].list); }
#line 34858 "gram.c"
    break;

  case 660: /* opt_validator: %empty  */
#line 4988 "gram.y"
                                                                                                { (yyval.list) = NIL; }
#line 34864 "gram.c"
    break;

  case 663: /* CreateTableSpaceStmt: CREATE TABLESPACE name OptTableSpaceOwner LOCATION Sconst opt_reloptions  */
#line 5004 "gram.y"
                                {
					CreateTableSpaceStmt *n = makeNode(CreateTableSpaceStmt);

					n->tablespacename = (yyvsp[-4].str);
					n->owner = (yyvsp[-3].rolespec);
					n->location = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 34878 "gram.c"
    break;

  case 664: /* OptTableSpaceOwner: OWNER RoleSpec  */
#line 5015 "gram.y"
                                                { (yyval.rolespec) = (yyvsp[0].rolespec); }
#line 34884 "gram.c"
    break;

  case 665: /* OptTableSpaceOwner: %empty  */
#line 5016 "gram.y"
                                                                { (yyval.rolespec) = NULL; }
#line 34890 "gram.c"
    break;

  case 666: /* DropTableSpaceStmt: DROP TABLESPACE name  */
#line 5030 "gram.y"
                                {
					DropTableSpaceStmt *n = makeNode(DropTableSpaceStmt);

					n->tablespacename = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 34902 "gram.c"
    break;

  case 667: /* DropTableSpaceStmt: DROP TABLESPACE IF_P EXISTS name  */
#line 5038 "gram.y"
                                {
					DropTableSpaceStmt *n = makeNode(DropTableSpaceStmt);

					n->tablespacename = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 34914 "gram.c"
    break;

  case 668: /* CreateExtensionStmt: CREATE EXTENSION name opt_with create_extension_opt_list  */
#line 5056 "gram.y"
                                {
					CreateExtensionStmt *n = makeNode(CreateExtensionStmt);

					n->extname = (yyvsp[-2].str);
					n->if_not_exists = false;
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 34927 "gram.c"
    break;

  case 669: /* CreateExtensionStmt: CREATE EXTENSION IF_P NOT EXISTS name opt_with create_extension_opt_list  */
#line 5065 "gram.y"
                                {
					CreateExtensionStmt *n = makeNode(CreateExtensionStmt);

					n->extname = (yyvsp[-2].str);
					n->if_not_exists = true;
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 34940 "gram.c"
    break;

  case 670: /* create_extension_opt_list: create_extension_opt_list create_extension_opt_item  */
#line 5077 "gram.y"
                                { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 34946 "gram.c"
    break;

  case 671: /* create_extension_opt_list: %empty  */
#line 5079 "gram.y"
                                { (yyval.list) = NIL; }
#line 34952 "gram.c"
    break;

  case 672: /* create_extension_opt_item: SCHEMA name  */
#line 5084 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("schema", (Node *) makeString((yyvsp[0].str)), (yylsp[-1]));
				}
#line 34960 "gram.c"
    break;

  case 673: /* create_extension_opt_item: VERSION_P NonReservedWord_or_Sconst  */
#line 5088 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("new_version", (Node *) makeString((yyvsp[0].str)), (yylsp[-1]));
				}
#line 34968 "gram.c"
    break;

  case 674: /* create_extension_opt_item: FROM NonReservedWord_or_Sconst  */
#line 5092 "gram.y"
                                {
					ereport(ERROR,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("CREATE EXTENSION ... FROM is no longer supported"),
							 parser_errposition((yylsp[-1]))));
				}
#line 34979 "gram.c"
    break;

  case 675: /* create_extension_opt_item: CASCADE  */
#line 5099 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("cascade", (Node *) makeBoolean(true), (yylsp[0]));
				}
#line 34987 "gram.c"
    break;

  case 676: /* AlterExtensionStmt: ALTER EXTENSION name UPDATE alter_extension_opt_list  */
#line 5111 "gram.y"
                                {
					AlterExtensionStmt *n = makeNode(AlterExtensionStmt);

					n->extname = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 34999 "gram.c"
    break;

  case 677: /* alter_extension_opt_list: alter_extension_opt_list alter_extension_opt_item  */
#line 5122 "gram.y"
                                { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 35005 "gram.c"
    break;

  case 678: /* alter_extension_opt_list: %empty  */
#line 5124 "gram.y"
                                { (yyval.list) = NIL; }
#line 35011 "gram.c"
    break;

  case 679: /* alter_extension_opt_item: TO NonReservedWord_or_Sconst  */
#line 5129 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("new_version", (Node *) makeString((yyvsp[0].str)), (yylsp[-1]));
				}
#line 35019 "gram.c"
    break;

  case 680: /* AlterExtensionContentsStmt: ALTER EXTENSION name add_drop object_type_name name  */
#line 5142 "gram.y"
                                {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);

					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = (yyvsp[-1].objtype);
					n->object = (Node *) makeString((yyvsp[0].str));
					(yyval.node) = (Node *) n;
				}
#line 35033 "gram.c"
    break;

  case 681: /* AlterExtensionContentsStmt: ALTER EXTENSION name add_drop object_type_any_name any_name  */
#line 5152 "gram.y"
                                {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);

					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = (yyvsp[-1].objtype);
					n->object = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 35047 "gram.c"
    break;

  case 682: /* AlterExtensionContentsStmt: ALTER EXTENSION name add_drop AGGREGATE aggregate_with_argtypes  */
#line 5162 "gram.y"
                                {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);

					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_AGGREGATE;
					n->object = (Node *) (yyvsp[0].objwithargs);
					(yyval.node) = (Node *) n;
				}
#line 35061 "gram.c"
    break;

  case 683: /* AlterExtensionContentsStmt: ALTER EXTENSION name add_drop CAST '(' Typename AS Typename ')'  */
#line 5172 "gram.y"
                                {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);

					n->extname = (yyvsp[-7].str);
					n->action = (yyvsp[-6].ival);
					n->objtype = OBJECT_CAST;
					n->object = (Node *) list_make2((yyvsp[-3].typnam), (yyvsp[-1].typnam));
					(yyval.node) = (Node *) n;
				}
#line 35075 "gram.c"
    break;

  case 684: /* AlterExtensionContentsStmt: ALTER EXTENSION name add_drop DOMAIN_P Typename  */
#line 5182 "gram.y"
                                {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);

					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_DOMAIN;
					n->object = (Node *) (yyvsp[0].typnam);
					(yyval.node) = (Node *) n;
				}
#line 35089 "gram.c"
    break;

  case 685: /* AlterExtensionContentsStmt: ALTER EXTENSION name add_drop FUNCTION function_with_argtypes  */
#line 5192 "gram.y"
                                {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);

					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_FUNCTION;
					n->object = (Node *) (yyvsp[0].objwithargs);
					(yyval.node) = (Node *) n;
				}
#line 35103 "gram.c"
    break;

  case 686: /* AlterExtensionContentsStmt: ALTER EXTENSION name add_drop OPERATOR operator_with_argtypes  */
#line 5202 "gram.y"
                                {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);

					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_OPERATOR;
					n->object = (Node *) (yyvsp[0].objwithargs);
					(yyval.node) = (Node *) n;
				}
#line 35117 "gram.c"
    break;

  case 687: /* AlterExtensionContentsStmt: ALTER EXTENSION name add_drop OPERATOR CLASS any_name USING name  */
#line 5212 "gram.y"
                                {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);

					n->extname = (yyvsp[-6].str);
					n->action = (yyvsp[-5].ival);
					n->objtype = OBJECT_OPCLASS;
					n->object = (Node *) lcons(makeString((yyvsp[0].str)), (yyvsp[-2].list));
					(yyval.node) = (Node *) n;
				}
#line 35131 "gram.c"
    break;

  case 688: /* AlterExtensionContentsStmt: ALTER EXTENSION name add_drop OPERATOR FAMILY any_name USING name  */
#line 5222 "gram.y"
                                {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);

					n->extname = (yyvsp[-6].str);
					n->action = (yyvsp[-5].ival);
					n->objtype = OBJECT_OPFAMILY;
					n->object = (Node *) lcons(makeString((yyvsp[0].str)), (yyvsp[-2].list));
					(yyval.node) = (Node *) n;
				}
#line 35145 "gram.c"
    break;

  case 689: /* AlterExtensionContentsStmt: ALTER EXTENSION name add_drop PROCEDURE function_with_argtypes  */
#line 5232 "gram.y"
                                {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);

					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_PROCEDURE;
					n->object = (Node *) (yyvsp[0].objwithargs);
					(yyval.node) = (Node *) n;
				}
#line 35159 "gram.c"
    break;

  case 690: /* AlterExtensionContentsStmt: ALTER EXTENSION name add_drop ROUTINE function_with_argtypes  */
#line 5242 "gram.y"
                                {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);

					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_ROUTINE;
					n->object = (Node *) (yyvsp[0].objwithargs);
					(yyval.node) = (Node *) n;
				}
#line 35173 "gram.c"
    break;

  case 691: /* AlterExtensionContentsStmt: ALTER EXTENSION name add_drop TRANSFORM FOR Typename LANGUAGE name  */
#line 5252 "gram.y"
                                {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);

					n->extname = (yyvsp[-6].str);
					n->action = (yyvsp[-5].ival);
					n->objtype = OBJECT_TRANSFORM;
					n->object = (Node *) list_make2((yyvsp[-2].typnam), makeString((yyvsp[0].str)));
					(yyval.node) = (Node *) n;
				}
#line 35187 "gram.c"
    break;

  case 692: /* AlterExtensionContentsStmt: ALTER EXTENSION name add_drop TYPE_P Typename  */
#line 5262 "gram.y"
                                {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);

					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_TYPE;
					n->object = (Node *) (yyvsp[0].typnam);
					(yyval.node) = (Node *) n;
				}
#line 35201 "gram.c"
    break;

  case 693: /* CreateFdwStmt: CREATE FOREIGN DATA_P WRAPPER name opt_fdw_options create_generic_options  */
#line 5281 "gram.y"
                                {
					CreateFdwStmt *n = makeNode(CreateFdwStmt);

					n->fdwname = (yyvsp[-2].str);
					n->func_options = (yyvsp[-1].list);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 35214 "gram.c"
    break;

  case 694: /* fdw_option: HANDLER handler_name  */
#line 5292 "gram.y"
                                                                        { (yyval.defelt) = makeDefElem("handler", (Node *) (yyvsp[0].list), (yylsp[-1])); }
#line 35220 "gram.c"
    break;

  case 695: /* fdw_option: NO HANDLER  */
#line 5293 "gram.y"
                                                                                { (yyval.defelt) = makeDefElem("handler", NULL, (yylsp[-1])); }
#line 35226 "gram.c"
    break;

  case 696: /* fdw_option: VALIDATOR handler_name  */
#line 5294 "gram.y"
                                                                        { (yyval.defelt) = makeDefElem("validator", (Node *) (yyvsp[0].list), (yylsp[-1])); }
#line 35232 "gram.c"
    break;

  case 697: /* fdw_option: NO VALIDATOR  */
#line 5295 "gram.y"
                                                                                { (yyval.defelt) = makeDefElem("validator", NULL, (yylsp[-1])); }
#line 35238 "gram.c"
    break;

  case 698: /* fdw_options: fdw_option  */
#line 5299 "gram.y"
                                                                                        { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 35244 "gram.c"
    break;

  case 699: /* fdw_options: fdw_options fdw_option  */
#line 5300 "gram.y"
                                                                        { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 35250 "gram.c"
    break;

  case 700: /* opt_fdw_options: fdw_options  */
#line 5304 "gram.y"
                                                                                        { (yyval.list) = (yyvsp[0].list); }
#line 35256 "gram.c"
    break;

  case 701: /* opt_fdw_options: %empty  */
#line 5305 "gram.y"
                                                                                        { (yyval.list) = NIL; }
#line 35262 "gram.c"
    break;

  case 702: /* AlterFdwStmt: ALTER FOREIGN DATA_P WRAPPER name opt_fdw_options alter_generic_options  */
#line 5316 "gram.y"
                                {
					AlterFdwStmt *n = makeNode(AlterFdwStmt);

					n->fdwname = (yyvsp[-2].str);
					n->func_options = (yyvsp[-1].list);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 35275 "gram.c"
    break;

  case 703: /* AlterFdwStmt: ALTER FOREIGN DATA_P WRAPPER name fdw_options  */
#line 5325 "gram.y"
                                {
					AlterFdwStmt *n = makeNode(AlterFdwStmt);

					n->fdwname = (yyvsp[-1].str);
					n->func_options = (yyvsp[0].list);
					n->options = NIL;
					(yyval.node) = (Node *) n;
				}
#line 35288 "gram.c"
    break;

  case 704: /* create_generic_options: OPTIONS '(' generic_option_list ')'  */
#line 5337 "gram.y"
                                                                                { (yyval.list) = (yyvsp[-1].list); }
#line 35294 "gram.c"
    break;

  case 705: /* create_generic_options: %empty  */
#line 5338 "gram.y"
                                                                                                        { (yyval.list) = NIL; }
#line 35300 "gram.c"
    break;

  case 706: /* generic_option_list: generic_option_elem  */
#line 5343 "gram.y"
                                {
					(yyval.list) = list_make1((yyvsp[0].defelt));
				}
#line 35308 "gram.c"
    break;

  case 707: /* generic_option_list: generic_option_list ',' generic_option_elem  */
#line 5347 "gram.y"
                                {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt));
				}
#line 35316 "gram.c"
    break;

  case 708: /* alter_generic_options: OPTIONS '(' alter_generic_option_list ')'  */
#line 5354 "gram.y"
                                                                                { (yyval.list) = (yyvsp[-1].list); }
#line 35322 "gram.c"
    break;

  case 709: /* alter_generic_option_list: alter_generic_option_elem  */
#line 5359 "gram.y"
                                {
					(yyval.list) = list_make1((yyvsp[0].defelt));
				}
#line 35330 "gram.c"
    break;

  case 710: /* alter_generic_option_list: alter_generic_option_list ',' alter_generic_option_elem  */
#line 5363 "gram.y"
                                {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt));
				}
#line 35338 "gram.c"
    break;

  case 711: /* alter_generic_option_elem: generic_option_elem  */
#line 5370 "gram.y"
                                {
					(yyval.defelt) = (yyvsp[0].defelt);
				}
#line 35346 "gram.c"
    break;

  case 712: /* alter_generic_option_elem: SET generic_option_elem  */
#line 5374 "gram.y"
                                {
					(yyval.defelt) = (yyvsp[0].defelt);
					(yyval.defelt)->defaction = DEFELEM_SET;
				}
#line 35355 "gram.c"
    break;

  case 713: /* alter_generic_option_elem: ADD_P generic_option_elem  */
#line 5379 "gram.y"
                                {
					(yyval.defelt) = (yyvsp[0].defelt);
					(yyval.defelt)->defaction = DEFELEM_ADD;
				}
#line 35364 "gram.c"
    break;

  case 714: /* alter_generic_option_elem: DROP generic_option_name  */
#line 5384 "gram.y"
                                {
					(yyval.defelt) = makeDefElemExtended(NULL, (yyvsp[0].str), NULL, DEFELEM_DROP, (yylsp[0]));
				}
#line 35372 "gram.c"
    break;

  case 715: /* generic_option_elem: generic_option_name generic_option_arg  */
#line 5391 "gram.y"
                                {
					(yyval.defelt) = makeDefElem((yyvsp[-1].str), (yyvsp[0].node), (yylsp[-1]));
				}
#line 35380 "gram.c"
    break;

  case 716: /* generic_option_name: ColLabel  */
#line 5397 "gram.y"
                                                                { (yyval.str) = (yyvsp[0].str); }
#line 35386 "gram.c"
    break;

  case 717: /* generic_option_arg: Sconst  */
#line 5402 "gram.y"
                                                                { (yyval.node) = (Node *) makeString((yyvsp[0].str)); }
#line 35392 "gram.c"
    break;

  case 718: /* CreateForeignServerStmt: CREATE SERVER name opt_type opt_foreign_server_version FOREIGN DATA_P WRAPPER name create_generic_options  */
#line 5414 "gram.y"
                                {
					CreateForeignServerStmt *n = makeNode(CreateForeignServerStmt);

					n->servername = (yyvsp[-7].str);
					n->servertype = (yyvsp[-6].str);
					n->version = (yyvsp[-5].str);
					n->fdwname = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					n->if_not_exists = false;
					(yyval.node) = (Node *) n;
				}
#line 35408 "gram.c"
    break;

  case 719: /* CreateForeignServerStmt: CREATE SERVER IF_P NOT EXISTS name opt_type opt_foreign_server_version FOREIGN DATA_P WRAPPER name create_generic_options  */
#line 5427 "gram.y"
                                {
					CreateForeignServerStmt *n = makeNode(CreateForeignServerStmt);

					n->servername = (yyvsp[-7].str);
					n->servertype = (yyvsp[-6].str);
					n->version = (yyvsp[-5].str);
					n->fdwname = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					n->if_not_exists = true;
					(yyval.node) = (Node *) n;
				}
#line 35424 "gram.c"
    break;

  case 720: /* opt_type: TYPE_P Sconst  */
#line 5441 "gram.y"
                                                        { (yyval.str) = (yyvsp[0].str); }
#line 35430 "gram.c"
    break;

  case 721: /* opt_type: %empty  */
#line 5442 "gram.y"
                                                                { (yyval.str) = NULL; }
#line 35436 "gram.c"
    break;

  case 722: /* foreign_server_version: VERSION_P Sconst  */
#line 5447 "gram.y"
                                                        { (yyval.str) = (yyvsp[0].str); }
#line 35442 "gram.c"
    break;

  case 723: /* foreign_server_version: VERSION_P NULL_P  */
#line 5448 "gram.y"
                                                        { (yyval.str) = NULL; }
#line 35448 "gram.c"
    break;

  case 724: /* opt_foreign_server_version: foreign_server_version  */
#line 5452 "gram.y"
                                                { (yyval.str) = (yyvsp[0].str); }
#line 35454 "gram.c"
    break;

  case 725: /* opt_foreign_server_version: %empty  */
#line 5453 "gram.y"
                                                                { (yyval.str) = NULL; }
#line 35460 "gram.c"
    break;

  case 726: /* AlterForeignServerStmt: ALTER SERVER name foreign_server_version alter_generic_options  */
#line 5464 "gram.y"
                                {
					AlterForeignServerStmt *n = makeNode(AlterForeignServerStmt);

					n->servername = (yyvsp[-2].str);
					n->version = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					n->has_version = true;
					(yyval.node) = (Node *) n;
				}
#line 35474 "gram.c"
    break;

  case 727: /* AlterForeignServerStmt: ALTER SERVER name foreign_server_version  */
#line 5474 "gram.y"
                                {
					AlterForeignServerStmt *n = makeNode(AlterForeignServerStmt);

					n->servername = (yyvsp[-1].str);
					n->version = (yyvsp[0].str);
					n->has_version = true;
					(yyval.node) = (Node *) n;
				}
#line 35487 "gram.c"
    break;

  case 728: /* AlterForeignServerStmt: ALTER SERVER name alter_generic_options  */
#line 5483 "gram.y"
                                {
					AlterForeignServerStmt *n = makeNode(AlterForeignServerStmt);

					n->servername = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 35499 "gram.c"
    break;

  case 729: /* CreateForeignTableStmt: CREATE FOREIGN TABLE qualified_name '(' OptTableElementList ')' OptInherit SERVER name create_generic_options  */
#line 5503 "gram.y"
                                {
					CreateForeignTableStmt *n = makeNode(CreateForeignTableStmt);

					(yyvsp[-7].range)->relpersistence = RELPERSISTENCE_PERMANENT;
					n->base.relation = (yyvsp[-7].range);
					n->base.tableElts = (yyvsp[-5].list);
					n->base.inhRelations = (yyvsp[-3].list);
					n->base.ofTypename = NULL;
					n->base.constraints = NIL;
					n->base.options = NIL;
					n->base.oncommit = ONCOMMIT_NOOP;
					n->base.tablespacename = NULL;
					n->base.if_not_exists = false;
					/* FDW-specific data */
					n->servername = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 35522 "gram.c"
    break;

  case 730: /* CreateForeignTableStmt: CREATE FOREIGN TABLE IF_P NOT EXISTS qualified_name '(' OptTableElementList ')' OptInherit SERVER name create_generic_options  */
#line 5524 "gram.y"
                                {
					CreateForeignTableStmt *n = makeNode(CreateForeignTableStmt);

					(yyvsp[-7].range)->relpersistence = RELPERSISTENCE_PERMANENT;
					n->base.relation = (yyvsp[-7].range);
					n->base.tableElts = (yyvsp[-5].list);
					n->base.inhRelations = (yyvsp[-3].list);
					n->base.ofTypename = NULL;
					n->base.constraints = NIL;
					n->base.options = NIL;
					n->base.oncommit = ONCOMMIT_NOOP;
					n->base.tablespacename = NULL;
					n->base.if_not_exists = true;
					/* FDW-specific data */
					n->servername = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 35545 "gram.c"
    break;

  case 731: /* CreateForeignTableStmt: CREATE FOREIGN TABLE qualified_name PARTITION OF qualified_name OptTypedTableElementList PartitionBoundSpec SERVER name create_generic_options  */
#line 5545 "gram.y"
                                {
					CreateForeignTableStmt *n = makeNode(CreateForeignTableStmt);

					(yyvsp[-8].range)->relpersistence = RELPERSISTENCE_PERMANENT;
					n->base.relation = (yyvsp[-8].range);
					n->base.inhRelations = list_make1((yyvsp[-5].range));
					n->base.tableElts = (yyvsp[-4].list);
					n->base.partbound = (yyvsp[-3].partboundspec);
					n->base.ofTypename = NULL;
					n->base.constraints = NIL;
					n->base.options = NIL;
					n->base.oncommit = ONCOMMIT_NOOP;
					n->base.tablespacename = NULL;
					n->base.if_not_exists = false;
					/* FDW-specific data */
					n->servername = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 35569 "gram.c"
    break;

  case 732: /* CreateForeignTableStmt: CREATE FOREIGN TABLE IF_P NOT EXISTS qualified_name PARTITION OF qualified_name OptTypedTableElementList PartitionBoundSpec SERVER name create_generic_options  */
#line 5567 "gram.y"
                                {
					CreateForeignTableStmt *n = makeNode(CreateForeignTableStmt);

					(yyvsp[-8].range)->relpersistence = RELPERSISTENCE_PERMANENT;
					n->base.relation = (yyvsp[-8].range);
					n->base.inhRelations = list_make1((yyvsp[-5].range));
					n->base.tableElts = (yyvsp[-4].list);
					n->base.partbound = (yyvsp[-3].partboundspec);
					n->base.ofTypename = NULL;
					n->base.constraints = NIL;
					n->base.options = NIL;
					n->base.oncommit = ONCOMMIT_NOOP;
					n->base.tablespacename = NULL;
					n->base.if_not_exists = true;
					/* FDW-specific data */
					n->servername = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 35593 "gram.c"
    break;

  case 733: /* ImportForeignSchemaStmt: IMPORT_P FOREIGN SCHEMA name import_qualification FROM SERVER name INTO name create_generic_options  */
#line 5600 "gram.y"
                        {
				ImportForeignSchemaStmt *n = makeNode(ImportForeignSchemaStmt);

				n->server_name = (yyvsp[-3].str);
				n->remote_schema = (yyvsp[-7].str);
				n->local_schema = (yyvsp[-1].str);
				n->list_type = (yyvsp[-6].importqual)->type;
				n->table_list = (yyvsp[-6].importqual)->table_names;
				n->options = (yyvsp[0].list);
				(yyval.node) = (Node *) n;
			}
#line 35609 "gram.c"
    break;

  case 734: /* import_qualification_type: LIMIT TO  */
#line 5614 "gram.y"
                                                        { (yyval.ival) = FDW_IMPORT_SCHEMA_LIMIT_TO; }
#line 35615 "gram.c"
    break;

  case 735: /* import_qualification_type: EXCEPT  */
#line 5615 "gram.y"
                                                        { (yyval.ival) = FDW_IMPORT_SCHEMA_EXCEPT; }
#line 35621 "gram.c"
    break;

  case 736: /* import_qualification: import_qualification_type '(' relation_expr_list ')'  */
#line 5620 "gram.y"
                        {
				ImportQual *n = (ImportQual *) palloc(sizeof(ImportQual));

				n->type = (yyvsp[-3].ival);
				n->table_names = (yyvsp[-1].list);
				(yyval.importqual) = n;
			}
#line 35633 "gram.c"
    break;

  case 737: /* import_qualification: %empty  */
#line 5628 "gram.y"
                        {
				ImportQual *n = (ImportQual *) palloc(sizeof(ImportQual));
				n->type = FDW_IMPORT_SCHEMA_ALL;
				n->table_names = NIL;
				(yyval.importqual) = n;
			}
#line 35644 "gram.c"
    break;

  case 738: /* CreateUserMappingStmt: CREATE USER MAPPING FOR auth_ident SERVER name create_generic_options  */
#line 5644 "gram.y"
                                {
					CreateUserMappingStmt *n = makeNode(CreateUserMappingStmt);

					n->user = (yyvsp[-3].rolespec);
					n->servername = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					n->if_not_exists = false;
					(yyval.node) = (Node *) n;
				}
#line 35658 "gram.c"
    break;

  case 739: /* CreateUserMappingStmt: CREATE USER MAPPING IF_P NOT EXISTS FOR auth_ident SERVER name create_generic_options  */
#line 5654 "gram.y"
                                {
					CreateUserMappingStmt *n = makeNode(CreateUserMappingStmt);

					n->user = (yyvsp[-3].rolespec);
					n->servername = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					n->if_not_exists = true;
					(yyval.node) = (Node *) n;
				}
#line 35672 "gram.c"
    break;

  case 740: /* auth_ident: RoleSpec  */
#line 5666 "gram.y"
                                        { (yyval.rolespec) = (yyvsp[0].rolespec); }
#line 35678 "gram.c"
    break;

  case 741: /* auth_ident: USER  */
#line 5667 "gram.y"
                                                        { (yyval.rolespec) = makeRoleSpec(ROLESPEC_CURRENT_USER, (yylsp[0])); }
#line 35684 "gram.c"
    break;

  case 742: /* DropUserMappingStmt: DROP USER MAPPING FOR auth_ident SERVER name  */
#line 5680 "gram.y"
                                {
					DropUserMappingStmt *n = makeNode(DropUserMappingStmt);

					n->user = (yyvsp[-2].rolespec);
					n->servername = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 35697 "gram.c"
    break;

  case 743: /* DropUserMappingStmt: DROP USER MAPPING IF_P EXISTS FOR auth_ident SERVER name  */
#line 5689 "gram.y"
                                {
					DropUserMappingStmt *n = makeNode(DropUserMappingStmt);

					n->user = (yyvsp[-2].rolespec);
					n->servername = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 35710 "gram.c"
    break;

  case 744: /* AlterUserMappingStmt: ALTER USER MAPPING FOR auth_ident SERVER name alter_generic_options  */
#line 5707 "gram.y"
                                {
					AlterUserMappingStmt *n = makeNode(AlterUserMappingStmt);

					n->user = (yyvsp[-3].rolespec);
					n->servername = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 35723 "gram.c"
    break;

  case 745: /* CreatePolicyStmt: CREATE POLICY name ON qualified_name RowSecurityDefaultPermissive RowSecurityDefaultForCmd RowSecurityDefaultToRole RowSecurityOptionalExpr RowSecurityOptionalWithCheck  */
#line 5734 "gram.y"
                                {
					CreatePolicyStmt *n = makeNode(CreatePolicyStmt);

					n->policy_name = (yyvsp[-7].str);
					n->table = (yyvsp[-5].range);
					n->permissive = (yyvsp[-4].boolean);
					n->cmd_name = (yyvsp[-3].str);
					n->roles = (yyvsp[-2].list);
					n->qual = (yyvsp[-1].node);
					n->with_check = (yyvsp[0].node);
					(yyval.node) = (Node *) n;
				}
#line 35740 "gram.c"
    break;

  case 746: /* AlterPolicyStmt: ALTER POLICY name ON qualified_name RowSecurityOptionalToRole RowSecurityOptionalExpr RowSecurityOptionalWithCheck  */
#line 5751 "gram.y"
                                {
					AlterPolicyStmt *n = makeNode(AlterPolicyStmt);

					n->policy_name = (yyvsp[-5].str);
					n->table = (yyvsp[-3].range);
					n->roles = (yyvsp[-2].list);
					n->qual = (yyvsp[-1].node);
					n->with_check = (yyvsp[0].node);
					(yyval.node) = (Node *) n;
				}
#line 35755 "gram.c"
    break;

  case 747: /* RowSecurityOptionalExpr: USING '(' a_expr ')'  */
#line 5764 "gram.y"
                                                { (yyval.node) = (yyvsp[-1].node); }
#line 35761 "gram.c"
    break;

  case 748: /* RowSecurityOptionalExpr: %empty  */
#line 5765 "gram.y"
                                                        { (yyval.node) = NULL; }
#line 35767 "gram.c"
    break;

  case 749: /* RowSecurityOptionalWithCheck: WITH CHECK '(' a_expr ')'  */
#line 5769 "gram.y"
                                                                { (yyval.node) = (yyvsp[-1].node); }
#line 35773 "gram.c"
    break;

  case 750: /* RowSecurityOptionalWithCheck: %empty  */
#line 5770 "gram.y"
                                                                        { (yyval.node) = NULL; }
#line 35779 "gram.c"
    break;

  case 751: /* RowSecurityDefaultToRole: TO role_list  */
#line 5774 "gram.y"
                                                        { (yyval.list) = (yyvsp[0].list); }
#line 35785 "gram.c"
    break;

  case 752: /* RowSecurityDefaultToRole: %empty  */
#line 5775 "gram.y"
                                                        { (yyval.list) = list_make1(makeRoleSpec(ROLESPEC_PUBLIC, -1)); }
#line 35791 "gram.c"
    break;

  case 753: /* RowSecurityOptionalToRole: TO role_list  */
#line 5779 "gram.y"
                                                        { (yyval.list) = (yyvsp[0].list); }
#line 35797 "gram.c"
    break;

  case 754: /* RowSecurityOptionalToRole: %empty  */
#line 5780 "gram.y"
                                                        { (yyval.list) = NULL; }
#line 35803 "gram.c"
    break;

  case 755: /* RowSecurityDefaultPermissive: AS IDENT  */
#line 5785 "gram.y"
                                {
					if (strcmp((yyvsp[0].str), "permissive") == 0)
						(yyval.boolean) = true;
					else if (strcmp((yyvsp[0].str), "restrictive") == 0)
						(yyval.boolean) = false;
					else
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("unrecognized row security option \"%s\"", (yyvsp[0].str)),
								 errhint("Only PERMISSIVE or RESTRICTIVE policies are supported currently."),
								 parser_errposition((yylsp[0]))));

				}
#line 35821 "gram.c"
    break;

  case 756: /* RowSecurityDefaultPermissive: %empty  */
#line 5798 "gram.y"
                                                        { (yyval.boolean) = true; }
#line 35827 "gram.c"
    break;

  case 757: /* RowSecurityDefaultForCmd: FOR row_security_cmd  */
#line 5802 "gram.y"
                                                { (yyval.str) = (yyvsp[0].str); }
#line 35833 "gram.c"
    break;

  case 758: /* RowSecurityDefaultForCmd: %empty  */
#line 5803 "gram.y"
                                                        { (yyval.str) = "all"; }
#line 35839 "gram.c"
    break;

  case 759: /* row_security_cmd: ALL  */
#line 5807 "gram.y"
                                                        { (yyval.str) = "all"; }
#line 35845 "gram.c"
    break;

  case 760: /* row_security_cmd: SELECT  */
#line 5808 "gram.y"
                                                { (yyval.str) = "select"; }
#line 35851 "gram.c"
    break;

  case 761: /* row_security_cmd: INSERT  */
#line 5809 "gram.y"
                                                { (yyval.str) = "insert"; }
#line 35857 "gram.c"
    break;

  case 762: /* row_security_cmd: UPDATE  */
#line 5810 "gram.y"
                                                { (yyval.str) = "update"; }
#line 35863 "gram.c"
    break;

  case 763: /* row_security_cmd: DELETE_P  */
#line 5811 "gram.y"
                                                { (yyval.str) = "delete"; }
#line 35869 "gram.c"
    break;

  case 764: /* CreateAmStmt: CREATE ACCESS METHOD name TYPE_P am_type HANDLER handler_name  */
#line 5822 "gram.y"
                                {
					CreateAmStmt *n = makeNode(CreateAmStmt);

					n->amname = (yyvsp[-4].str);
					n->handler_name = (yyvsp[0].list);
					n->amtype = (yyvsp[-2].chr);
					(yyval.node) = (Node *) n;
				}
#line 35882 "gram.c"
    break;

  case 765: /* am_type: INDEX  */
#line 5833 "gram.y"
                                                { (yyval.chr) = AMTYPE_INDEX; }
#line 35888 "gram.c"
    break;

  case 766: /* am_type: TABLE  */
#line 5834 "gram.y"
                                                { (yyval.chr) = AMTYPE_TABLE; }
#line 35894 "gram.c"
    break;

  case 767: /* CreateTrigStmt: CREATE opt_or_replace TRIGGER name TriggerActionTime TriggerEvents ON qualified_name TriggerReferencing TriggerForSpec TriggerWhen EXECUTE FUNCTION_or_PROCEDURE func_name '(' TriggerFuncArgs ')'  */
#line 5848 "gram.y"
                                {
					CreateTrigStmt *n = makeNode(CreateTrigStmt);

					n->replace = (yyvsp[-15].boolean);
					n->isconstraint = false;
					n->trigname = (yyvsp[-13].str);
					n->relation = (yyvsp[-9].range);
					n->funcname = (yyvsp[-3].list);
					n->args = (yyvsp[-1].list);
					n->row = (yyvsp[-7].boolean);
					n->timing = (yyvsp[-12].ival);
					n->events = intVal(linitial((yyvsp[-11].list)));
					n->columns = (List *) lsecond((yyvsp[-11].list));
					n->whenClause = (yyvsp[-6].node);
					n->transitionRels = (yyvsp[-8].list);
					n->deferrable = false;
					n->initdeferred = false;
					n->constrrel = NULL;
					(yyval.node) = (Node *) n;
				}
#line 35919 "gram.c"
    break;

  case 768: /* CreateTrigStmt: CREATE opt_or_replace CONSTRAINT TRIGGER name AFTER TriggerEvents ON qualified_name OptConstrFromTable ConstraintAttributeSpec FOR EACH ROW TriggerWhen EXECUTE FUNCTION_or_PROCEDURE func_name '(' TriggerFuncArgs ')'  */
#line 5872 "gram.y"
                                {
					CreateTrigStmt *n = makeNode(CreateTrigStmt);

					n->replace = (yyvsp[-19].boolean);
					if (n->replace) /* not supported, see CreateTrigger */
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("CREATE OR REPLACE CONSTRAINT TRIGGER is not supported")));
					n->isconstraint = true;
					n->trigname = (yyvsp[-16].str);
					n->relation = (yyvsp[-12].range);
					n->funcname = (yyvsp[-3].list);
					n->args = (yyvsp[-1].list);
					n->row = true;
					n->timing = TRIGGER_TYPE_AFTER;
					n->events = intVal(linitial((yyvsp[-14].list)));
					n->columns = (List *) lsecond((yyvsp[-14].list));
					n->whenClause = (yyvsp[-6].node);
					n->transitionRels = NIL;
					processCASbits((yyvsp[-10].ival), (yylsp[-10]), "TRIGGER",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);
					n->constrrel = (yyvsp[-11].range);
					(yyval.node) = (Node *) n;
				}
#line 35949 "gram.c"
    break;

  case 769: /* TriggerActionTime: BEFORE  */
#line 5900 "gram.y"
                                                                                        { (yyval.ival) = TRIGGER_TYPE_BEFORE; }
#line 35955 "gram.c"
    break;

  case 770: /* TriggerActionTime: AFTER  */
#line 5901 "gram.y"
                                                                                        { (yyval.ival) = TRIGGER_TYPE_AFTER; }
#line 35961 "gram.c"
    break;

  case 771: /* TriggerActionTime: INSTEAD OF  */
#line 5902 "gram.y"
                                                                                { (yyval.ival) = TRIGGER_TYPE_INSTEAD; }
#line 35967 "gram.c"
    break;

  case 772: /* TriggerEvents: TriggerOneEvent  */
#line 5907 "gram.y"
                                { (yyval.list) = (yyvsp[0].list); }
#line 35973 "gram.c"
    break;

  case 773: /* TriggerEvents: TriggerEvents OR TriggerOneEvent  */
#line 5909 "gram.y"
                                {
					int			events1 = intVal(linitial((yyvsp[-2].list)));
					int			events2 = intVal(linitial((yyvsp[0].list)));
					List	   *columns1 = (List *) lsecond((yyvsp[-2].list));
					List	   *columns2 = (List *) lsecond((yyvsp[0].list));

					if (events1 & events2)
						parser_yyerror("duplicate trigger events specified");
					/*
					 * concat'ing the columns lists loses information about
					 * which columns went with which event, but so long as
					 * only UPDATE carries columns and we disallow multiple
					 * UPDATE items, it doesn't matter.  Command execution
					 * should just ignore the columns for non-UPDATE events.
					 */
					(yyval.list) = list_make2(makeInteger(events1 | events2),
									list_concat(columns1, columns2));
				}
#line 35996 "gram.c"
    break;

  case 774: /* TriggerOneEvent: INSERT  */
#line 5931 "gram.y"
                                { (yyval.list) = list_make2(makeInteger(TRIGGER_TYPE_INSERT), NIL); }
#line 36002 "gram.c"
    break;

  case 775: /* TriggerOneEvent: DELETE_P  */
#line 5933 "gram.y"
                                { (yyval.list) = list_make2(makeInteger(TRIGGER_TYPE_DELETE), NIL); }
#line 36008 "gram.c"
    break;

  case 776: /* TriggerOneEvent: UPDATE  */
#line 5935 "gram.y"
                                { (yyval.list) = list_make2(makeInteger(TRIGGER_TYPE_UPDATE), NIL); }
#line 36014 "gram.c"
    break;

  case 777: /* TriggerOneEvent: UPDATE OF columnList  */
#line 5937 "gram.y"
                                { (yyval.list) = list_make2(makeInteger(TRIGGER_TYPE_UPDATE), (yyvsp[0].list)); }
#line 36020 "gram.c"
    break;

  case 778: /* TriggerOneEvent: TRUNCATE  */
#line 5939 "gram.y"
                                { (yyval.list) = list_make2(makeInteger(TRIGGER_TYPE_TRUNCATE), NIL); }
#line 36026 "gram.c"
    break;

  case 779: /* TriggerReferencing: REFERENCING TriggerTransitions  */
#line 5943 "gram.y"
                                                                        { (yyval.list) = (yyvsp[0].list); }
#line 36032 "gram.c"
    break;

  case 780: /* TriggerReferencing: %empty  */
#line 5944 "gram.y"
                                                                                                { (yyval.list) = NIL; }
#line 36038 "gram.c"
    break;

  case 781: /* TriggerTransitions: TriggerTransition  */
#line 5948 "gram.y"
                                                                                        { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 36044 "gram.c"
    break;

  case 782: /* TriggerTransitions: TriggerTransitions TriggerTransition  */
#line 5949 "gram.y"
                                                                { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].node)); }
#line 36050 "gram.c"
    break;

  case 783: /* TriggerTransition: TransitionOldOrNew TransitionRowOrTable opt_as TransitionRelName  */
#line 5954 "gram.y"
                                {
					TriggerTransition *n = makeNode(TriggerTransition);

					n->name = (yyvsp[0].str);
					n->isNew = (yyvsp[-3].boolean);
					n->isTable = (yyvsp[-2].boolean);
					(yyval.node) = (Node *) n;
				}
#line 36063 "gram.c"
    break;

  case 784: /* TransitionOldOrNew: NEW  */
#line 5965 "gram.y"
                                                                                                        { (yyval.boolean) = true; }
#line 36069 "gram.c"
    break;

  case 785: /* TransitionOldOrNew: OLD  */
#line 5966 "gram.y"
                                                                                                { (yyval.boolean) = false; }
#line 36075 "gram.c"
    break;

  case 786: /* TransitionRowOrTable: TABLE  */
#line 5970 "gram.y"
                                                                                                { (yyval.boolean) = true; }
#line 36081 "gram.c"
    break;

  case 787: /* TransitionRowOrTable: ROW  */
#line 5979 "gram.y"
                                                                                                { (yyval.boolean) = false; }
#line 36087 "gram.c"
    break;

  case 788: /* TransitionRelName: ColId  */
#line 5983 "gram.y"
                                                                                                { (yyval.str) = (yyvsp[0].str); }
#line 36093 "gram.c"
    break;

  case 789: /* TriggerForSpec: FOR TriggerForOptEach TriggerForType  */
#line 5988 "gram.y"
                                {
					(yyval.boolean) = (yyvsp[0].boolean);
				}
#line 36101 "gram.c"
    break;

  case 790: /* TriggerForSpec: %empty  */
#line 5992 "gram.y"
                                {
					/*
					 * If ROW/STATEMENT not specified, default to
					 * STATEMENT, per SQL
					 */
					(yyval.boolean) = false;
				}
#line 36113 "gram.c"
    break;

  case 793: /* TriggerForType: ROW  */
#line 6007 "gram.y"
                                                                                                        { (yyval.boolean) = true; }
#line 36119 "gram.c"
    break;

  case 794: /* TriggerForType: STATEMENT  */
#line 6008 "gram.y"
                                                                                                { (yyval.boolean) = false; }
#line 36125 "gram.c"
    break;

  case 795: /* TriggerWhen: WHEN '(' a_expr ')'  */
#line 6012 "gram.y"
                                                                                        { (yyval.node) = (yyvsp[-1].node); }
#line 36131 "gram.c"
    break;

  case 796: /* TriggerWhen: %empty  */
#line 6013 "gram.y"
                                                                                                { (yyval.node) = NULL; }
#line 36137 "gram.c"
    break;

  case 799: /* TriggerFuncArgs: TriggerFuncArg  */
#line 6022 "gram.y"
                                                                                        { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 36143 "gram.c"
    break;

  case 800: /* TriggerFuncArgs: TriggerFuncArgs ',' TriggerFuncArg  */
#line 6023 "gram.y"
                                                                { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 36149 "gram.c"
    break;

  case 801: /* TriggerFuncArgs: %empty  */
#line 6024 "gram.y"
                                                                                                { (yyval.list) = NIL; }
#line 36155 "gram.c"
    break;

  case 802: /* TriggerFuncArg: Iconst  */
#line 6029 "gram.y"
                                {
					(yyval.node) = (Node *) makeString(psprintf("%d", (yyvsp[0].ival)));
				}
#line 36163 "gram.c"
    break;

  case 803: /* TriggerFuncArg: FCONST  */
#line 6032 "gram.y"
                                                                                                { (yyval.node) = (Node *) makeString((yyvsp[0].str)); }
#line 36169 "gram.c"
    break;

  case 804: /* TriggerFuncArg: Sconst  */
#line 6033 "gram.y"
                                                                                                { (yyval.node) = (Node *) makeString((yyvsp[0].str)); }
#line 36175 "gram.c"
    break;

  case 805: /* TriggerFuncArg: ColLabel  */
#line 6034 "gram.y"
                                                                                                { (yyval.node) = (Node *) makeString((yyvsp[0].str)); }
#line 36181 "gram.c"
    break;

  case 806: /* OptConstrFromTable: FROM qualified_name  */
#line 6038 "gram.y"
                                                                                        { (yyval.range) = (yyvsp[0].range); }
#line 36187 "gram.c"
    break;

  case 807: /* OptConstrFromTable: %empty  */
#line 6039 "gram.y"
                                                                                                { (yyval.range) = NULL; }
#line 36193 "gram.c"
    break;

  case 808: /* ConstraintAttributeSpec: %empty  */
#line 6044 "gram.y"
                                { (yyval.ival) = 0; }
#line 36199 "gram.c"
    break;

  case 809: /* ConstraintAttributeSpec: ConstraintAttributeSpec ConstraintAttributeElem  */
#line 6046 "gram.y"
                                {
					/*
					 * We must complain about conflicting options.
					 * We could, but choose not to, complain about redundant
					 * options (ie, where $2's bit is already set in $1).
					 */
					int		newspec = (yyvsp[-1].ival) | (yyvsp[0].ival);

					/* special message for this case */
					if ((newspec & (CAS_NOT_DEFERRABLE | CAS_INITIALLY_DEFERRED)) == (CAS_NOT_DEFERRABLE | CAS_INITIALLY_DEFERRED))
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("constraint declared INITIALLY DEFERRED must be DEFERRABLE"),
								 parser_errposition((yylsp[0]))));
					/* generic message for other conflicts */
					if ((newspec & (CAS_NOT_DEFERRABLE | CAS_DEFERRABLE)) == (CAS_NOT_DEFERRABLE | CAS_DEFERRABLE) ||
						(newspec & (CAS_INITIALLY_IMMEDIATE | CAS_INITIALLY_DEFERRED)) == (CAS_INITIALLY_IMMEDIATE | CAS_INITIALLY_DEFERRED))
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("conflicting constraint properties"),
								 parser_errposition((yylsp[0]))));
					(yyval.ival) = newspec;
				}
#line 36227 "gram.c"
    break;

  case 810: /* ConstraintAttributeElem: NOT DEFERRABLE  */
#line 6072 "gram.y"
                                                                        { (yyval.ival) = CAS_NOT_DEFERRABLE; }
#line 36233 "gram.c"
    break;

  case 811: /* ConstraintAttributeElem: DEFERRABLE  */
#line 6073 "gram.y"
                                                                        { (yyval.ival) = CAS_DEFERRABLE; }
#line 36239 "gram.c"
    break;

  case 812: /* ConstraintAttributeElem: INITIALLY IMMEDIATE  */
#line 6074 "gram.y"
                                                                { (yyval.ival) = CAS_INITIALLY_IMMEDIATE; }
#line 36245 "gram.c"
    break;

  case 813: /* ConstraintAttributeElem: INITIALLY DEFERRED  */
#line 6075 "gram.y"
                                                                { (yyval.ival) = CAS_INITIALLY_DEFERRED; }
#line 36251 "gram.c"
    break;

  case 814: /* ConstraintAttributeElem: NOT VALID  */
#line 6076 "gram.y"
                                                                                { (yyval.ival) = CAS_NOT_VALID; }
#line 36257 "gram.c"
    break;

  case 815: /* ConstraintAttributeElem: NO INHERIT  */
#line 6077 "gram.y"
                                                                        { (yyval.ival) = CAS_NO_INHERIT; }
#line 36263 "gram.c"
    break;

  case 816: /* CreateEventTrigStmt: CREATE EVENT TRIGGER name ON ColLabel EXECUTE FUNCTION_or_PROCEDURE func_name '(' ')'  */
#line 6092 "gram.y"
                                {
					CreateEventTrigStmt *n = makeNode(CreateEventTrigStmt);

					n->trigname = (yyvsp[-7].str);
					n->eventname = (yyvsp[-5].str);
					n->whenclause = NULL;
					n->funcname = (yyvsp[-2].list);
					(yyval.node) = (Node *) n;
				}
#line 36277 "gram.c"
    break;

  case 817: /* CreateEventTrigStmt: CREATE EVENT TRIGGER name ON ColLabel WHEN event_trigger_when_list EXECUTE FUNCTION_or_PROCEDURE func_name '(' ')'  */
#line 6104 "gram.y"
                                {
					CreateEventTrigStmt *n = makeNode(CreateEventTrigStmt);

					n->trigname = (yyvsp[-9].str);
					n->eventname = (yyvsp[-7].str);
					n->whenclause = (yyvsp[-5].list);
					n->funcname = (yyvsp[-2].list);
					(yyval.node) = (Node *) n;
				}
#line 36291 "gram.c"
    break;

  case 818: /* event_trigger_when_list: event_trigger_when_item  */
#line 6117 "gram.y"
                        { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 36297 "gram.c"
    break;

  case 819: /* event_trigger_when_list: event_trigger_when_list AND event_trigger_when_item  */
#line 6119 "gram.y"
                        { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt)); }
#line 36303 "gram.c"
    break;

  case 820: /* event_trigger_when_item: ColId IN_P '(' event_trigger_value_list ')'  */
#line 6124 "gram.y"
                        { (yyval.defelt) = makeDefElem((yyvsp[-4].str), (Node *) (yyvsp[-1].list), (yylsp[-4])); }
#line 36309 "gram.c"
    break;

  case 821: /* event_trigger_value_list: SCONST  */
#line 6129 "gram.y"
                        { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 36315 "gram.c"
    break;

  case 822: /* event_trigger_value_list: event_trigger_value_list ',' SCONST  */
#line 6131 "gram.y"
                        { (yyval.list) = lappend((yyvsp[-2].list), makeString((yyvsp[0].str))); }
#line 36321 "gram.c"
    break;

  case 823: /* AlterEventTrigStmt: ALTER EVENT TRIGGER name enable_trigger  */
#line 6136 "gram.y"
                                {
					AlterEventTrigStmt *n = makeNode(AlterEventTrigStmt);

					n->trigname = (yyvsp[-1].str);
					n->tgenabled = (yyvsp[0].chr);
					(yyval.node) = (Node *) n;
				}
#line 36333 "gram.c"
    break;

  case 824: /* enable_trigger: ENABLE_P  */
#line 6146 "gram.y"
                                                                        { (yyval.chr) = TRIGGER_FIRES_ON_ORIGIN; }
#line 36339 "gram.c"
    break;

  case 825: /* enable_trigger: ENABLE_P REPLICA  */
#line 6147 "gram.y"
                                                                { (yyval.chr) = TRIGGER_FIRES_ON_REPLICA; }
#line 36345 "gram.c"
    break;

  case 826: /* enable_trigger: ENABLE_P ALWAYS  */
#line 6148 "gram.y"
                                                                { (yyval.chr) = TRIGGER_FIRES_ALWAYS; }
#line 36351 "gram.c"
    break;

  case 827: /* enable_trigger: DISABLE_P  */
#line 6149 "gram.y"
                                                                        { (yyval.chr) = TRIGGER_DISABLED; }
#line 36357 "gram.c"
    break;

  case 828: /* CreateAssertionStmt: CREATE ASSERTION any_name CHECK '(' a_expr ')' ConstraintAttributeSpec  */
#line 6161 "gram.y"
                                {
					ereport(ERROR,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("CREATE ASSERTION is not yet implemented")));

					(yyval.node) = NULL;
				}
#line 36369 "gram.c"
    break;

  case 829: /* DefineStmt: CREATE opt_or_replace AGGREGATE func_name aggr_args definition  */
#line 6180 "gram.y"
                                {
					DefineStmt *n = makeNode(DefineStmt);

					n->kind = OBJECT_AGGREGATE;
					n->oldstyle = false;
					n->replace = (yyvsp[-4].boolean);
					n->defnames = (yyvsp[-2].list);
					n->args = (yyvsp[-1].list);
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 36385 "gram.c"
    break;

  case 830: /* DefineStmt: CREATE opt_or_replace AGGREGATE func_name old_aggr_definition  */
#line 6192 "gram.y"
                                {
					/* old-style (pre-8.2) syntax for CREATE AGGREGATE */
					DefineStmt *n = makeNode(DefineStmt);

					n->kind = OBJECT_AGGREGATE;
					n->oldstyle = true;
					n->replace = (yyvsp[-3].boolean);
					n->defnames = (yyvsp[-1].list);
					n->args = NIL;
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 36402 "gram.c"
    break;

  case 831: /* DefineStmt: CREATE OPERATOR any_operator definition  */
#line 6205 "gram.y"
                                {
					DefineStmt *n = makeNode(DefineStmt);

					n->kind = OBJECT_OPERATOR;
					n->oldstyle = false;
					n->defnames = (yyvsp[-1].list);
					n->args = NIL;
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 36417 "gram.c"
    break;

  case 832: /* DefineStmt: CREATE TYPE_P any_name definition  */
#line 6216 "gram.y"
                                {
					DefineStmt *n = makeNode(DefineStmt);

					n->kind = OBJECT_TYPE;
					n->oldstyle = false;
					n->defnames = (yyvsp[-1].list);
					n->args = NIL;
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 36432 "gram.c"
    break;

  case 833: /* DefineStmt: CREATE TYPE_P any_name  */
#line 6227 "gram.y"
                                {
					/* Shell type (identified by lack of definition) */
					DefineStmt *n = makeNode(DefineStmt);

					n->kind = OBJECT_TYPE;
					n->oldstyle = false;
					n->defnames = (yyvsp[0].list);
					n->args = NIL;
					n->definition = NIL;
					(yyval.node) = (Node *) n;
				}
#line 36448 "gram.c"
    break;

  case 834: /* DefineStmt: CREATE TYPE_P any_name AS '(' OptTableFuncElementList ')'  */
#line 6239 "gram.y"
                                {
					CompositeTypeStmt *n = makeNode(CompositeTypeStmt);

					/* can't use qualified_name, sigh */
					n->typevar = makeRangeVarFromAnyName((yyvsp[-4].list), (yylsp[-4]), yyscanner);
					n->coldeflist = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 36461 "gram.c"
    break;

  case 835: /* DefineStmt: CREATE TYPE_P any_name AS ENUM_P '(' opt_enum_val_list ')'  */
#line 6248 "gram.y"
                                {
					CreateEnumStmt *n = makeNode(CreateEnumStmt);

					n->typeName = (yyvsp[-5].list);
					n->vals = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 36473 "gram.c"
    break;

  case 836: /* DefineStmt: CREATE TYPE_P any_name AS RANGE definition  */
#line 6256 "gram.y"
                                {
					CreateRangeStmt *n = makeNode(CreateRangeStmt);

					n->typeName = (yyvsp[-3].list);
					n->params = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 36485 "gram.c"
    break;

  case 837: /* DefineStmt: CREATE TEXT_P SEARCH PARSER any_name definition  */
#line 6264 "gram.y"
                                {
					DefineStmt *n = makeNode(DefineStmt);

					n->kind = OBJECT_TSPARSER;
					n->args = NIL;
					n->defnames = (yyvsp[-1].list);
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 36499 "gram.c"
    break;

  case 838: /* DefineStmt: CREATE TEXT_P SEARCH DICTIONARY any_name definition  */
#line 6274 "gram.y"
                                {
					DefineStmt *n = makeNode(DefineStmt);

					n->kind = OBJECT_TSDICTIONARY;
					n->args = NIL;
					n->defnames = (yyvsp[-1].list);
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 36513 "gram.c"
    break;

  case 839: /* DefineStmt: CREATE TEXT_P SEARCH TEMPLATE any_name definition  */
#line 6284 "gram.y"
                                {
					DefineStmt *n = makeNode(DefineStmt);

					n->kind = OBJECT_TSTEMPLATE;
					n->args = NIL;
					n->defnames = (yyvsp[-1].list);
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 36527 "gram.c"
    break;

  case 840: /* DefineStmt: CREATE TEXT_P SEARCH CONFIGURATION any_name definition  */
#line 6294 "gram.y"
                                {
					DefineStmt *n = makeNode(DefineStmt);

					n->kind = OBJECT_TSCONFIGURATION;
					n->args = NIL;
					n->defnames = (yyvsp[-1].list);
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 36541 "gram.c"
    break;

  case 841: /* DefineStmt: CREATE COLLATION any_name definition  */
#line 6304 "gram.y"
                                {
					DefineStmt *n = makeNode(DefineStmt);

					n->kind = OBJECT_COLLATION;
					n->args = NIL;
					n->defnames = (yyvsp[-1].list);
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 36555 "gram.c"
    break;

  case 842: /* DefineStmt: CREATE COLLATION IF_P NOT EXISTS any_name definition  */
#line 6314 "gram.y"
                                {
					DefineStmt *n = makeNode(DefineStmt);

					n->kind = OBJECT_COLLATION;
					n->args = NIL;
					n->defnames = (yyvsp[-1].list);
					n->definition = (yyvsp[0].list);
					n->if_not_exists = true;
					(yyval.node) = (Node *) n;
				}
#line 36570 "gram.c"
    break;

  case 843: /* DefineStmt: CREATE COLLATION any_name FROM any_name  */
#line 6325 "gram.y"
                                {
					DefineStmt *n = makeNode(DefineStmt);

					n->kind = OBJECT_COLLATION;
					n->args = NIL;
					n->defnames = (yyvsp[-2].list);
					n->definition = list_make1(makeDefElem("from", (Node *) (yyvsp[0].list), (yylsp[0])));
					(yyval.node) = (Node *) n;
				}
#line 36584 "gram.c"
    break;

  case 844: /* DefineStmt: CREATE COLLATION IF_P NOT EXISTS any_name FROM any_name  */
#line 6335 "gram.y"
                                {
					DefineStmt *n = makeNode(DefineStmt);

					n->kind = OBJECT_COLLATION;
					n->args = NIL;
					n->defnames = (yyvsp[-2].list);
					n->definition = list_make1(makeDefElem("from", (Node *) (yyvsp[0].list), (yylsp[0])));
					n->if_not_exists = true;
					(yyval.node) = (Node *) n;
				}
#line 36599 "gram.c"
    break;

  case 845: /* definition: '(' def_list ')'  */
#line 6347 "gram.y"
                                                                        { (yyval.list) = (yyvsp[-1].list); }
#line 36605 "gram.c"
    break;

  case 846: /* def_list: def_elem  */
#line 6350 "gram.y"
                                                                                        { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 36611 "gram.c"
    break;

  case 847: /* def_list: def_list ',' def_elem  */
#line 6351 "gram.y"
                                                                                { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt)); }
#line 36617 "gram.c"
    break;

  case 848: /* def_elem: ColLabel '=' def_arg  */
#line 6355 "gram.y"
                                {
					(yyval.defelt) = makeDefElem((yyvsp[-2].str), (Node *) (yyvsp[0].node), (yylsp[-2]));
				}
#line 36625 "gram.c"
    break;

  case 849: /* def_elem: ColLabel  */
#line 6359 "gram.y"
                                {
					(yyval.defelt) = makeDefElem((yyvsp[0].str), NULL, (yylsp[0]));
				}
#line 36633 "gram.c"
    break;

  case 850: /* def_arg: func_type  */
#line 6365 "gram.y"
                                                                        { (yyval.node) = (Node *) (yyvsp[0].typnam); }
#line 36639 "gram.c"
    break;

  case 851: /* def_arg: reserved_keyword  */
#line 6366 "gram.y"
                                                                        { (yyval.node) = (Node *) makeString(pstrdup((yyvsp[0].keyword))); }
#line 36645 "gram.c"
    break;

  case 852: /* def_arg: qual_all_Op  */
#line 6367 "gram.y"
                                                                        { (yyval.node) = (Node *) (yyvsp[0].list); }
#line 36651 "gram.c"
    break;

  case 853: /* def_arg: NumericOnly  */
#line 6368 "gram.y"
                                                                        { (yyval.node) = (Node *) (yyvsp[0].node); }
#line 36657 "gram.c"
    break;

  case 854: /* def_arg: Sconst  */
#line 6369 "gram.y"
                                                                                { (yyval.node) = (Node *) makeString((yyvsp[0].str)); }
#line 36663 "gram.c"
    break;

  case 855: /* def_arg: NONE  */
#line 6370 "gram.y"
                                                                                { (yyval.node) = (Node *) makeString(pstrdup((yyvsp[0].keyword))); }
#line 36669 "gram.c"
    break;

  case 856: /* old_aggr_definition: '(' old_aggr_list ')'  */
#line 6373 "gram.y"
                                                                { (yyval.list) = (yyvsp[-1].list); }
#line 36675 "gram.c"
    break;

  case 857: /* old_aggr_list: old_aggr_elem  */
#line 6376 "gram.y"
                                                                        { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 36681 "gram.c"
    break;

  case 858: /* old_aggr_list: old_aggr_list ',' old_aggr_elem  */
#line 6377 "gram.y"
                                                                        { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt)); }
#line 36687 "gram.c"
    break;

  case 859: /* old_aggr_elem: IDENT '=' def_arg  */
#line 6386 "gram.y"
                                {
					(yyval.defelt) = makeDefElem((yyvsp[-2].str), (Node *) (yyvsp[0].node), (yylsp[-2]));
				}
#line 36695 "gram.c"
    break;

  case 860: /* opt_enum_val_list: enum_val_list  */
#line 6392 "gram.y"
                                                                                { (yyval.list) = (yyvsp[0].list); }
#line 36701 "gram.c"
    break;

  case 861: /* opt_enum_val_list: %empty  */
#line 6393 "gram.y"
                                                                                        { (yyval.list) = NIL; }
#line 36707 "gram.c"
    break;

  case 862: /* enum_val_list: Sconst  */
#line 6397 "gram.y"
                                { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 36713 "gram.c"
    break;

  case 863: /* enum_val_list: enum_val_list ',' Sconst  */
#line 6399 "gram.y"
                                { (yyval.list) = lappend((yyvsp[-2].list), makeString((yyvsp[0].str))); }
#line 36719 "gram.c"
    break;

  case 864: /* AlterEnumStmt: ALTER TYPE_P any_name ADD_P VALUE_P opt_if_not_exists Sconst  */
#line 6410 "gram.y"
                        {
				AlterEnumStmt *n = makeNode(AlterEnumStmt);

				n->typeName = (yyvsp[-4].list);
				n->oldVal = NULL;
				n->newVal = (yyvsp[0].str);
				n->newValNeighbor = NULL;
				n->newValIsAfter = true;
				n->skipIfNewValExists = (yyvsp[-1].boolean);
				(yyval.node) = (Node *) n;
			}
#line 36735 "gram.c"
    break;

  case 865: /* AlterEnumStmt: ALTER TYPE_P any_name ADD_P VALUE_P opt_if_not_exists Sconst BEFORE Sconst  */
#line 6422 "gram.y"
                        {
				AlterEnumStmt *n = makeNode(AlterEnumStmt);

				n->typeName = (yyvsp[-6].list);
				n->oldVal = NULL;
				n->newVal = (yyvsp[-2].str);
				n->newValNeighbor = (yyvsp[0].str);
				n->newValIsAfter = false;
				n->skipIfNewValExists = (yyvsp[-3].boolean);
				(yyval.node) = (Node *) n;
			}
#line 36751 "gram.c"
    break;

  case 866: /* AlterEnumStmt: ALTER TYPE_P any_name ADD_P VALUE_P opt_if_not_exists Sconst AFTER Sconst  */
#line 6434 "gram.y"
                        {
				AlterEnumStmt *n = makeNode(AlterEnumStmt);

				n->typeName = (yyvsp[-6].list);
				n->oldVal = NULL;
				n->newVal = (yyvsp[-2].str);
				n->newValNeighbor = (yyvsp[0].str);
				n->newValIsAfter = true;
				n->skipIfNewValExists = (yyvsp[-3].boolean);
				(yyval.node) = (Node *) n;
			}
#line 36767 "gram.c"
    break;

  case 867: /* AlterEnumStmt: ALTER TYPE_P any_name RENAME VALUE_P Sconst TO Sconst  */
#line 6446 "gram.y"
                        {
				AlterEnumStmt *n = makeNode(AlterEnumStmt);

				n->typeName = (yyvsp[-5].list);
				n->oldVal = (yyvsp[-2].str);
				n->newVal = (yyvsp[0].str);
				n->newValNeighbor = NULL;
				n->newValIsAfter = false;
				n->skipIfNewValExists = false;
				(yyval.node) = (Node *) n;
			}
#line 36783 "gram.c"
    break;

  case 868: /* AlterEnumStmt: ALTER TYPE_P any_name DROP VALUE_P Sconst  */
#line 6458 "gram.y"
                        {
				/*
				 * The following problems must be solved before this can be
				 * implemented:
				 *
				 * - There must be no instance of the target value in
				 *   any table.
				 *
				 * - The value must not appear in any catalog metadata,
				 *   such as stored view expressions or column defaults.
				 *
				 * - The value must not appear in any non-leaf page of a
				 *   btree (and similar issues with other index types).
				 *   This is problematic because a value could persist
				 *   there long after it's gone from user-visible data.
				 *
				 * - Concurrent sessions must not be able to insert the
				 *   value while the preceding conditions are being checked.
				 *
				 * - Possibly more...
				 */
				ereport(ERROR,
						(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
						 errmsg("dropping an enum value is not implemented"),
						 parser_errposition((yylsp[-2]))));
			}
#line 36814 "gram.c"
    break;

  case 869: /* opt_if_not_exists: IF_P NOT EXISTS  */
#line 6486 "gram.y"
                                                { (yyval.boolean) = true; }
#line 36820 "gram.c"
    break;

  case 870: /* opt_if_not_exists: %empty  */
#line 6487 "gram.y"
                                                       { (yyval.boolean) = false; }
#line 36826 "gram.c"
    break;

  case 871: /* CreateOpClassStmt: CREATE OPERATOR CLASS any_name opt_default FOR TYPE_P Typename USING name opt_opfamily AS opclass_item_list  */
#line 6505 "gram.y"
                                {
					CreateOpClassStmt *n = makeNode(CreateOpClassStmt);

					n->opclassname = (yyvsp[-9].list);
					n->isDefault = (yyvsp[-8].boolean);
					n->datatype = (yyvsp[-5].typnam);
					n->amname = (yyvsp[-3].str);
					n->opfamilyname = (yyvsp[-2].list);
					n->items = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 36842 "gram.c"
    break;

  case 872: /* opclass_item_list: opclass_item  */
#line 6519 "gram.y"
                                                                                        { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 36848 "gram.c"
    break;

  case 873: /* opclass_item_list: opclass_item_list ',' opclass_item  */
#line 6520 "gram.y"
                                                                { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 36854 "gram.c"
    break;

  case 874: /* opclass_item: OPERATOR Iconst any_operator opclass_purpose opt_recheck  */
#line 6525 "gram.y"
                                {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					ObjectWithArgs *owa = makeNode(ObjectWithArgs);

					owa->objname = (yyvsp[-2].list);
					owa->objargs = NIL;
					n->itemtype = OPCLASS_ITEM_OPERATOR;
					n->name = owa;
					n->number = (yyvsp[-3].ival);
					n->order_family = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 36871 "gram.c"
    break;

  case 875: /* opclass_item: OPERATOR Iconst operator_with_argtypes opclass_purpose opt_recheck  */
#line 6539 "gram.y"
                                {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);

					n->itemtype = OPCLASS_ITEM_OPERATOR;
					n->name = (yyvsp[-2].objwithargs);
					n->number = (yyvsp[-3].ival);
					n->order_family = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 36885 "gram.c"
    break;

  case 876: /* opclass_item: FUNCTION Iconst function_with_argtypes  */
#line 6549 "gram.y"
                                {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);

					n->itemtype = OPCLASS_ITEM_FUNCTION;
					n->name = (yyvsp[0].objwithargs);
					n->number = (yyvsp[-1].ival);
					(yyval.node) = (Node *) n;
				}
#line 36898 "gram.c"
    break;

  case 877: /* opclass_item: FUNCTION Iconst '(' type_list ')' function_with_argtypes  */
#line 6558 "gram.y"
                                {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);

					n->itemtype = OPCLASS_ITEM_FUNCTION;
					n->name = (yyvsp[0].objwithargs);
					n->number = (yyvsp[-4].ival);
					n->class_args = (yyvsp[-2].list);
					(yyval.node) = (Node *) n;
				}
#line 36912 "gram.c"
    break;

  case 878: /* opclass_item: STORAGE Typename  */
#line 6568 "gram.y"
                                {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);

					n->itemtype = OPCLASS_ITEM_STORAGETYPE;
					n->storedtype = (yyvsp[0].typnam);
					(yyval.node) = (Node *) n;
				}
#line 36924 "gram.c"
    break;

  case 879: /* opt_default: DEFAULT  */
#line 6577 "gram.y"
                                                                { (yyval.boolean) = true; }
#line 36930 "gram.c"
    break;

  case 880: /* opt_default: %empty  */
#line 6578 "gram.y"
                                                                                { (yyval.boolean) = false; }
#line 36936 "gram.c"
    break;

  case 881: /* opt_opfamily: FAMILY any_name  */
#line 6581 "gram.y"
                                                        { (yyval.list) = (yyvsp[0].list); }
#line 36942 "gram.c"
    break;

  case 882: /* opt_opfamily: %empty  */
#line 6582 "gram.y"
                                                                                { (yyval.list) = NIL; }
#line 36948 "gram.c"
    break;

  case 883: /* opclass_purpose: FOR SEARCH  */
#line 6585 "gram.y"
                                                                { (yyval.list) = NIL; }
#line 36954 "gram.c"
    break;

  case 884: /* opclass_purpose: FOR ORDER BY any_name  */
#line 6586 "gram.y"
                                                                { (yyval.list) = (yyvsp[0].list); }
#line 36960 "gram.c"
    break;

  case 885: /* opclass_purpose: %empty  */
#line 6587 "gram.y"
                                                                                { (yyval.list) = NIL; }
#line 36966 "gram.c"
    break;

  case 886: /* opt_recheck: RECHECK  */
#line 6591 "gram.y"
                                {
					/*
					 * RECHECK no longer does anything in opclass definitions,
					 * but we still accept it to ease porting of old database
					 * dumps.
					 */
					ereport(NOTICE,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("RECHECK is no longer required"),
							 errhint("Update your data type."),
							 parser_errposition((yylsp[0]))));
					(yyval.boolean) = true;
				}
#line 36984 "gram.c"
    break;

  case 887: /* opt_recheck: %empty  */
#line 6604 "gram.y"
                                                                                { (yyval.boolean) = false; }
#line 36990 "gram.c"
    break;

  case 888: /* CreateOpFamilyStmt: CREATE OPERATOR FAMILY any_name USING name  */
#line 6610 "gram.y"
                                {
					CreateOpFamilyStmt *n = makeNode(CreateOpFamilyStmt);

					n->opfamilyname = (yyvsp[-2].list);
					n->amname = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 37002 "gram.c"
    break;

  case 889: /* AlterOpFamilyStmt: ALTER OPERATOR FAMILY any_name USING name ADD_P opclass_item_list  */
#line 6621 "gram.y"
                                {
					AlterOpFamilyStmt *n = makeNode(AlterOpFamilyStmt);

					n->opfamilyname = (yyvsp[-4].list);
					n->amname = (yyvsp[-2].str);
					n->isDrop = false;
					n->items = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 37016 "gram.c"
    break;

  case 890: /* AlterOpFamilyStmt: ALTER OPERATOR FAMILY any_name USING name DROP opclass_drop_list  */
#line 6631 "gram.y"
                                {
					AlterOpFamilyStmt *n = makeNode(AlterOpFamilyStmt);

					n->opfamilyname = (yyvsp[-4].list);
					n->amname = (yyvsp[-2].str);
					n->isDrop = true;
					n->items = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 37030 "gram.c"
    break;

  case 891: /* opclass_drop_list: opclass_drop  */
#line 6643 "gram.y"
                                                                                        { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 37036 "gram.c"
    break;

  case 892: /* opclass_drop_list: opclass_drop_list ',' opclass_drop  */
#line 6644 "gram.y"
                                                                { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 37042 "gram.c"
    break;

  case 893: /* opclass_drop: OPERATOR Iconst '(' type_list ')'  */
#line 6649 "gram.y"
                                {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);

					n->itemtype = OPCLASS_ITEM_OPERATOR;
					n->number = (yyvsp[-3].ival);
					n->class_args = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 37055 "gram.c"
    break;

  case 894: /* opclass_drop: FUNCTION Iconst '(' type_list ')'  */
#line 6658 "gram.y"
                                {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);

					n->itemtype = OPCLASS_ITEM_FUNCTION;
					n->number = (yyvsp[-3].ival);
					n->class_args = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 37068 "gram.c"
    break;

  case 895: /* DropOpClassStmt: DROP OPERATOR CLASS any_name USING name opt_drop_behavior  */
#line 6671 "gram.y"
                                {
					DropStmt *n = makeNode(DropStmt);

					n->objects = list_make1(lcons(makeString((yyvsp[-1].str)), (yyvsp[-3].list)));
					n->removeType = OBJECT_OPCLASS;
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 37083 "gram.c"
    break;

  case 896: /* DropOpClassStmt: DROP OPERATOR CLASS IF_P EXISTS any_name USING name opt_drop_behavior  */
#line 6682 "gram.y"
                                {
					DropStmt *n = makeNode(DropStmt);

					n->objects = list_make1(lcons(makeString((yyvsp[-1].str)), (yyvsp[-3].list)));
					n->removeType = OBJECT_OPCLASS;
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 37098 "gram.c"
    break;

  case 897: /* DropOpFamilyStmt: DROP OPERATOR FAMILY any_name USING name opt_drop_behavior  */
#line 6696 "gram.y"
                                {
					DropStmt *n = makeNode(DropStmt);

					n->objects = list_make1(lcons(makeString((yyvsp[-1].str)), (yyvsp[-3].list)));
					n->removeType = OBJECT_OPFAMILY;
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 37113 "gram.c"
    break;

  case 898: /* DropOpFamilyStmt: DROP OPERATOR FAMILY IF_P EXISTS any_name USING name opt_drop_behavior  */
#line 6707 "gram.y"
                                {
					DropStmt *n = makeNode(DropStmt);

					n->objects = list_make1(lcons(makeString((yyvsp[-1].str)), (yyvsp[-3].list)));
					n->removeType = OBJECT_OPFAMILY;
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 37128 "gram.c"
    break;

  case 899: /* DropOwnedStmt: DROP OWNED BY role_list opt_drop_behavior  */
#line 6730 "gram.y"
                                {
					DropOwnedStmt *n = makeNode(DropOwnedStmt);

					n->roles = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *) n;
				}
#line 37140 "gram.c"
    break;

  case 900: /* ReassignOwnedStmt: REASSIGN OWNED BY role_list TO RoleSpec  */
#line 6741 "gram.y"
                                {
					ReassignOwnedStmt *n = makeNode(ReassignOwnedStmt);

					n->roles = (yyvsp[-2].list);
					n->newrole = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 37152 "gram.c"
    break;

  case 901: /* DropStmt: DROP object_type_any_name IF_P EXISTS any_name_list opt_drop_behavior  */
#line 6760 "gram.y"
                                {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = (yyvsp[-4].objtype);
					n->missing_ok = true;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 37167 "gram.c"
    break;

  case 902: /* DropStmt: DROP object_type_any_name any_name_list opt_drop_behavior  */
#line 6771 "gram.y"
                                {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = (yyvsp[-2].objtype);
					n->missing_ok = false;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 37182 "gram.c"
    break;

  case 903: /* DropStmt: DROP drop_type_name IF_P EXISTS name_list opt_drop_behavior  */
#line 6782 "gram.y"
                                {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = (yyvsp[-4].objtype);
					n->missing_ok = true;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 37197 "gram.c"
    break;

  case 904: /* DropStmt: DROP drop_type_name name_list opt_drop_behavior  */
#line 6793 "gram.y"
                                {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = (yyvsp[-2].objtype);
					n->missing_ok = false;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 37212 "gram.c"
    break;

  case 905: /* DropStmt: DROP object_type_name_on_any_name name ON any_name opt_drop_behavior  */
#line 6804 "gram.y"
                                {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = (yyvsp[-4].objtype);
					n->objects = list_make1(lappend((yyvsp[-1].list), makeString((yyvsp[-3].str))));
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 37227 "gram.c"
    break;

  case 906: /* DropStmt: DROP object_type_name_on_any_name IF_P EXISTS name ON any_name opt_drop_behavior  */
#line 6815 "gram.y"
                                {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = (yyvsp[-6].objtype);
					n->objects = list_make1(lappend((yyvsp[-1].list), makeString((yyvsp[-3].str))));
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 37242 "gram.c"
    break;

  case 907: /* DropStmt: DROP TYPE_P type_name_list opt_drop_behavior  */
#line 6826 "gram.y"
                                {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = OBJECT_TYPE;
					n->missing_ok = false;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 37257 "gram.c"
    break;

  case 908: /* DropStmt: DROP TYPE_P IF_P EXISTS type_name_list opt_drop_behavior  */
#line 6837 "gram.y"
                                {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = OBJECT_TYPE;
					n->missing_ok = true;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 37272 "gram.c"
    break;

  case 909: /* DropStmt: DROP DOMAIN_P type_name_list opt_drop_behavior  */
#line 6848 "gram.y"
                                {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = OBJECT_DOMAIN;
					n->missing_ok = false;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 37287 "gram.c"
    break;

  case 910: /* DropStmt: DROP DOMAIN_P IF_P EXISTS type_name_list opt_drop_behavior  */
#line 6859 "gram.y"
                                {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = OBJECT_DOMAIN;
					n->missing_ok = true;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 37302 "gram.c"
    break;

  case 911: /* DropStmt: DROP INDEX CONCURRENTLY any_name_list opt_drop_behavior  */
#line 6870 "gram.y"
                                {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = OBJECT_INDEX;
					n->missing_ok = false;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = true;
					(yyval.node) = (Node *) n;
				}
#line 37317 "gram.c"
    break;

  case 912: /* DropStmt: DROP INDEX CONCURRENTLY IF_P EXISTS any_name_list opt_drop_behavior  */
#line 6881 "gram.y"
                                {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = OBJECT_INDEX;
					n->missing_ok = true;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = true;
					(yyval.node) = (Node *) n;
				}
#line 37332 "gram.c"
    break;

  case 913: /* object_type_any_name: TABLE  */
#line 6895 "gram.y"
                                                                                                { (yyval.objtype) = OBJECT_TABLE; }
#line 37338 "gram.c"
    break;

  case 914: /* object_type_any_name: SEQUENCE  */
#line 6896 "gram.y"
                                                                                                { (yyval.objtype) = OBJECT_SEQUENCE; }
#line 37344 "gram.c"
    break;

  case 915: /* object_type_any_name: VIEW  */
#line 6897 "gram.y"
                                                                                                { (yyval.objtype) = OBJECT_VIEW; }
#line 37350 "gram.c"
    break;

  case 916: /* object_type_any_name: MATERIALIZED VIEW  */
#line 6898 "gram.y"
                                                                                        { (yyval.objtype) = OBJECT_MATVIEW; }
#line 37356 "gram.c"
    break;

  case 917: /* object_type_any_name: INDEX  */
#line 6899 "gram.y"
                                                                                                { (yyval.objtype) = OBJECT_INDEX; }
#line 37362 "gram.c"
    break;

  case 918: /* object_type_any_name: FOREIGN TABLE  */
#line 6900 "gram.y"
                                                                                        { (yyval.objtype) = OBJECT_FOREIGN_TABLE; }
#line 37368 "gram.c"
    break;

  case 919: /* object_type_any_name: COLLATION  */
#line 6901 "gram.y"
                                                                                                { (yyval.objtype) = OBJECT_COLLATION; }
#line 37374 "gram.c"
    break;

  case 920: /* object_type_any_name: CONVERSION_P  */
#line 6902 "gram.y"
                                                                                        { (yyval.objtype) = OBJECT_CONVERSION; }
#line 37380 "gram.c"
    break;

  case 921: /* object_type_any_name: STATISTICS  */
#line 6903 "gram.y"
                                                                                        { (yyval.objtype) = OBJECT_STATISTIC_EXT; }
#line 37386 "gram.c"
    break;

  case 922: /* object_type_any_name: TEXT_P SEARCH PARSER  */
#line 6904 "gram.y"
                                                                                { (yyval.objtype) = OBJECT_TSPARSER; }
#line 37392 "gram.c"
    break;

  case 923: /* object_type_any_name: TEXT_P SEARCH DICTIONARY  */
#line 6905 "gram.y"
                                                                                { (yyval.objtype) = OBJECT_TSDICTIONARY; }
#line 37398 "gram.c"
    break;

  case 924: /* object_type_any_name: TEXT_P SEARCH TEMPLATE  */
#line 6906 "gram.y"
                                                                                { (yyval.objtype) = OBJECT_TSTEMPLATE; }
#line 37404 "gram.c"
    break;

  case 925: /* object_type_any_name: TEXT_P SEARCH CONFIGURATION  */
#line 6907 "gram.y"
                                                                        { (yyval.objtype) = OBJECT_TSCONFIGURATION; }
#line 37410 "gram.c"
    break;

  case 926: /* object_type_name: drop_type_name  */
#line 6917 "gram.y"
                                                                                        { (yyval.objtype) = (yyvsp[0].objtype); }
#line 37416 "gram.c"
    break;

  case 927: /* object_type_name: DATABASE  */
#line 6918 "gram.y"
                                                                                                { (yyval.objtype) = OBJECT_DATABASE; }
#line 37422 "gram.c"
    break;

  case 928: /* object_type_name: ROLE  */
#line 6919 "gram.y"
                                                                                                { (yyval.objtype) = OBJECT_ROLE; }
#line 37428 "gram.c"
    break;

  case 929: /* object_type_name: SUBSCRIPTION  */
#line 6920 "gram.y"
                                                                                        { (yyval.objtype) = OBJECT_SUBSCRIPTION; }
#line 37434 "gram.c"
    break;

  case 930: /* object_type_name: TABLESPACE  */
#line 6921 "gram.y"
                                                                                        { (yyval.objtype) = OBJECT_TABLESPACE; }
#line 37440 "gram.c"
    break;

  case 931: /* drop_type_name: ACCESS METHOD  */
#line 6925 "gram.y"
                                                                                        { (yyval.objtype) = OBJECT_ACCESS_METHOD; }
#line 37446 "gram.c"
    break;

  case 932: /* drop_type_name: EVENT TRIGGER  */
#line 6926 "gram.y"
                                                                                        { (yyval.objtype) = OBJECT_EVENT_TRIGGER; }
#line 37452 "gram.c"
    break;

  case 933: /* drop_type_name: EXTENSION  */
#line 6927 "gram.y"
                                                                                                { (yyval.objtype) = OBJECT_EXTENSION; }
#line 37458 "gram.c"
    break;

  case 934: /* drop_type_name: FOREIGN DATA_P WRAPPER  */
#line 6928 "gram.y"
                                                                                { (yyval.objtype) = OBJECT_FDW; }
#line 37464 "gram.c"
    break;

  case 935: /* drop_type_name: opt_procedural LANGUAGE  */
#line 6929 "gram.y"
                                                                                { (yyval.objtype) = OBJECT_LANGUAGE; }
#line 37470 "gram.c"
    break;

  case 936: /* drop_type_name: PUBLICATION  */
#line 6930 "gram.y"
                                                                                        { (yyval.objtype) = OBJECT_PUBLICATION; }
#line 37476 "gram.c"
    break;

  case 937: /* drop_type_name: SCHEMA  */
#line 6931 "gram.y"
                                                                                                { (yyval.objtype) = OBJECT_SCHEMA; }
#line 37482 "gram.c"
    break;

  case 938: /* drop_type_name: SERVER  */
#line 6932 "gram.y"
                                                                                                { (yyval.objtype) = OBJECT_FOREIGN_SERVER; }
#line 37488 "gram.c"
    break;

  case 939: /* object_type_name_on_any_name: POLICY  */
#line 6937 "gram.y"
                                                                                                { (yyval.objtype) = OBJECT_POLICY; }
#line 37494 "gram.c"
    break;

  case 940: /* object_type_name_on_any_name: RULE  */
#line 6938 "gram.y"
                                                                                                { (yyval.objtype) = OBJECT_RULE; }
#line 37500 "gram.c"
    break;

  case 941: /* object_type_name_on_any_name: TRIGGER  */
#line 6939 "gram.y"
                                                                                                { (yyval.objtype) = OBJECT_TRIGGER; }
#line 37506 "gram.c"
    break;

  case 942: /* any_name_list: any_name  */
#line 6943 "gram.y"
                                                                                                { (yyval.list) = list_make1((yyvsp[0].list)); }
#line 37512 "gram.c"
    break;

  case 943: /* any_name_list: any_name_list ',' any_name  */
#line 6944 "gram.y"
                                                                        { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].list)); }
#line 37518 "gram.c"
    break;

  case 944: /* any_name: ColId  */
#line 6947 "gram.y"
                                                                { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 37524 "gram.c"
    break;

  case 945: /* any_name: ColId attrs  */
#line 6948 "gram.y"
                                                                { (yyval.list) = lcons(makeString((yyvsp[-1].str)), (yyvsp[0].list)); }
#line 37530 "gram.c"
    break;

  case 946: /* attrs: '.' attr_name  */
#line 6952 "gram.y"
                                        { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 37536 "gram.c"
    break;

  case 947: /* attrs: attrs '.' attr_name  */
#line 6954 "gram.y"
                                        { (yyval.list) = lappend((yyvsp[-2].list), makeString((yyvsp[0].str))); }
#line 37542 "gram.c"
    break;

  case 948: /* type_name_list: Typename  */
#line 6958 "gram.y"
                                                                                                { (yyval.list) = list_make1((yyvsp[0].typnam)); }
#line 37548 "gram.c"
    break;

  case 949: /* type_name_list: type_name_list ',' Typename  */
#line 6959 "gram.y"
                                                                        { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].typnam)); }
#line 37554 "gram.c"
    break;

  case 950: /* TruncateStmt: TRUNCATE opt_table relation_expr_list opt_restart_seqs opt_drop_behavior  */
#line 6971 "gram.y"
                                {
					TruncateStmt *n = makeNode(TruncateStmt);

					n->relations = (yyvsp[-2].list);
					n->restart_seqs = (yyvsp[-1].boolean);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *) n;
				}
#line 37567 "gram.c"
    break;

  case 951: /* opt_restart_seqs: CONTINUE_P IDENTITY_P  */
#line 6982 "gram.y"
                                                        { (yyval.boolean) = false; }
#line 37573 "gram.c"
    break;

  case 952: /* opt_restart_seqs: RESTART IDENTITY_P  */
#line 6983 "gram.y"
                                                        { (yyval.boolean) = true; }
#line 37579 "gram.c"
    break;

  case 953: /* opt_restart_seqs: %empty  */
#line 6984 "gram.y"
                                                                { (yyval.boolean) = false; }
#line 37585 "gram.c"
    break;

  case 954: /* CommentStmt: COMMENT ON object_type_any_name any_name IS comment_text  */
#line 6995 "gram.y"
                                {
					CommentStmt *n = makeNode(CommentStmt);

					n->objtype = (yyvsp[-3].objtype);
					n->object = (Node *) (yyvsp[-2].list);
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 37598 "gram.c"
    break;

  case 955: /* CommentStmt: COMMENT ON COLUMN any_name IS comment_text  */
#line 7004 "gram.y"
                                {
					CommentStmt *n = makeNode(CommentStmt);

					n->objtype = OBJECT_COLUMN;
					n->object = (Node *) (yyvsp[-2].list);
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 37611 "gram.c"
    break;

  case 956: /* CommentStmt: COMMENT ON object_type_name name IS comment_text  */
#line 7013 "gram.y"
                                {
					CommentStmt *n = makeNode(CommentStmt);

					n->objtype = (yyvsp[-3].objtype);
					n->object = (Node *) makeString((yyvsp[-2].str));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 37624 "gram.c"
    break;

  case 957: /* CommentStmt: COMMENT ON TYPE_P Typename IS comment_text  */
#line 7022 "gram.y"
                                {
					CommentStmt *n = makeNode(CommentStmt);

					n->objtype = OBJECT_TYPE;
					n->object = (Node *) (yyvsp[-2].typnam);
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 37637 "gram.c"
    break;

  case 958: /* CommentStmt: COMMENT ON DOMAIN_P Typename IS comment_text  */
#line 7031 "gram.y"
                                {
					CommentStmt *n = makeNode(CommentStmt);

					n->objtype = OBJECT_DOMAIN;
					n->object = (Node *) (yyvsp[-2].typnam);
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 37650 "gram.c"
    break;

  case 959: /* CommentStmt: COMMENT ON AGGREGATE aggregate_with_argtypes IS comment_text  */
#line 7040 "gram.y"
                                {
					CommentStmt *n = makeNode(CommentStmt);

					n->objtype = OBJECT_AGGREGATE;
					n->object = (Node *) (yyvsp[-2].objwithargs);
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 37663 "gram.c"
    break;

  case 960: /* CommentStmt: COMMENT ON FUNCTION function_with_argtypes IS comment_text  */
#line 7049 "gram.y"
                                {
					CommentStmt *n = makeNode(CommentStmt);

					n->objtype = OBJECT_FUNCTION;
					n->object = (Node *) (yyvsp[-2].objwithargs);
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 37676 "gram.c"
    break;

  case 961: /* CommentStmt: COMMENT ON OPERATOR operator_with_argtypes IS comment_text  */
#line 7058 "gram.y"
                                {
					CommentStmt *n = makeNode(CommentStmt);

					n->objtype = OBJECT_OPERATOR;
					n->object = (Node *) (yyvsp[-2].objwithargs);
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 37689 "gram.c"
    break;

  case 962: /* CommentStmt: COMMENT ON CONSTRAINT name ON any_name IS comment_text  */
#line 7067 "gram.y"
                                {
					CommentStmt *n = makeNode(CommentStmt);

					n->objtype = OBJECT_TABCONSTRAINT;
					n->object = (Node *) lappend((yyvsp[-2].list), makeString((yyvsp[-4].str)));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 37702 "gram.c"
    break;

  case 963: /* CommentStmt: COMMENT ON CONSTRAINT name ON DOMAIN_P any_name IS comment_text  */
#line 7076 "gram.y"
                                {
					CommentStmt *n = makeNode(CommentStmt);

					n->objtype = OBJECT_DOMCONSTRAINT;
					/*
					 * should use Typename not any_name in the production, but
					 * there's a shift/reduce conflict if we do that, so fix it
					 * up here.
					 */
					n->object = (Node *) list_make2(makeTypeNameFromNameList((yyvsp[-2].list)), makeString((yyvsp[-5].str)));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 37720 "gram.c"
    break;

  case 964: /* CommentStmt: COMMENT ON object_type_name_on_any_name name ON any_name IS comment_text  */
#line 7090 "gram.y"
                                {
					CommentStmt *n = makeNode(CommentStmt);

					n->objtype = (yyvsp[-5].objtype);
					n->object = (Node *) lappend((yyvsp[-2].list), makeString((yyvsp[-4].str)));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 37733 "gram.c"
    break;

  case 965: /* CommentStmt: COMMENT ON PROCEDURE function_with_argtypes IS comment_text  */
#line 7099 "gram.y"
                                {
					CommentStmt *n = makeNode(CommentStmt);

					n->objtype = OBJECT_PROCEDURE;
					n->object = (Node *) (yyvsp[-2].objwithargs);
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 37746 "gram.c"
    break;

  case 966: /* CommentStmt: COMMENT ON ROUTINE function_with_argtypes IS comment_text  */
#line 7108 "gram.y"
                                {
					CommentStmt *n = makeNode(CommentStmt);

					n->objtype = OBJECT_ROUTINE;
					n->object = (Node *) (yyvsp[-2].objwithargs);
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 37759 "gram.c"
    break;

  case 967: /* CommentStmt: COMMENT ON TRANSFORM FOR Typename LANGUAGE name IS comment_text  */
#line 7117 "gram.y"
                                {
					CommentStmt *n = makeNode(CommentStmt);

					n->objtype = OBJECT_TRANSFORM;
					n->object = (Node *) list_make2((yyvsp[-4].typnam), makeString((yyvsp[-2].str)));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 37772 "gram.c"
    break;

  case 968: /* CommentStmt: COMMENT ON OPERATOR CLASS any_name USING name IS comment_text  */
#line 7126 "gram.y"
                                {
					CommentStmt *n = makeNode(CommentStmt);

					n->objtype = OBJECT_OPCLASS;
					n->object = (Node *) lcons(makeString((yyvsp[-2].str)), (yyvsp[-4].list));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 37785 "gram.c"
    break;

  case 969: /* CommentStmt: COMMENT ON OPERATOR FAMILY any_name USING name IS comment_text  */
#line 7135 "gram.y"
                                {
					CommentStmt *n = makeNode(CommentStmt);

					n->objtype = OBJECT_OPFAMILY;
					n->object = (Node *) lcons(makeString((yyvsp[-2].str)), (yyvsp[-4].list));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 37798 "gram.c"
    break;

  case 970: /* CommentStmt: COMMENT ON LARGE_P OBJECT_P NumericOnly IS comment_text  */
#line 7144 "gram.y"
                                {
					CommentStmt *n = makeNode(CommentStmt);

					n->objtype = OBJECT_LARGEOBJECT;
					n->object = (Node *) (yyvsp[-2].node);
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 37811 "gram.c"
    break;

  case 971: /* CommentStmt: COMMENT ON CAST '(' Typename AS Typename ')' IS comment_text  */
#line 7153 "gram.y"
                                {
					CommentStmt *n = makeNode(CommentStmt);

					n->objtype = OBJECT_CAST;
					n->object = (Node *) list_make2((yyvsp[-5].typnam), (yyvsp[-3].typnam));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 37824 "gram.c"
    break;

  case 972: /* comment_text: Sconst  */
#line 7164 "gram.y"
                                                                                        { (yyval.str) = (yyvsp[0].str); }
#line 37830 "gram.c"
    break;

  case 973: /* comment_text: NULL_P  */
#line 7165 "gram.y"
                                                                                        { (yyval.str) = NULL; }
#line 37836 "gram.c"
    break;

  case 974: /* SecLabelStmt: SECURITY LABEL opt_provider ON object_type_any_name any_name IS security_label  */
#line 7181 "gram.y"
                                {
					SecLabelStmt *n = makeNode(SecLabelStmt);

					n->provider = (yyvsp[-5].str);
					n->objtype = (yyvsp[-3].objtype);
					n->object = (Node *) (yyvsp[-2].list);
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 37850 "gram.c"
    break;

  case 975: /* SecLabelStmt: SECURITY LABEL opt_provider ON COLUMN any_name IS security_label  */
#line 7192 "gram.y"
                                {
					SecLabelStmt *n = makeNode(SecLabelStmt);

					n->provider = (yyvsp[-5].str);
					n->objtype = OBJECT_COLUMN;
					n->object = (Node *) (yyvsp[-2].list);
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 37864 "gram.c"
    break;

  case 976: /* SecLabelStmt: SECURITY LABEL opt_provider ON object_type_name name IS security_label  */
#line 7203 "gram.y"
                                {
					SecLabelStmt *n = makeNode(SecLabelStmt);

					n->provider = (yyvsp[-5].str);
					n->objtype = (yyvsp[-3].objtype);
					n->object = (Node *) makeString((yyvsp[-2].str));
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 37878 "gram.c"
    break;

  case 977: /* SecLabelStmt: SECURITY LABEL opt_provider ON TYPE_P Typename IS security_label  */
#line 7214 "gram.y"
                                {
					SecLabelStmt *n = makeNode(SecLabelStmt);

					n->provider = (yyvsp[-5].str);
					n->objtype = OBJECT_TYPE;
					n->object = (Node *) (yyvsp[-2].typnam);
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 37892 "gram.c"
    break;

  case 978: /* SecLabelStmt: SECURITY LABEL opt_provider ON DOMAIN_P Typename IS security_label  */
#line 7225 "gram.y"
                                {
					SecLabelStmt *n = makeNode(SecLabelStmt);

					n->provider = (yyvsp[-5].str);
					n->objtype = OBJECT_DOMAIN;
					n->object = (Node *) (yyvsp[-2].typnam);
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 37906 "gram.c"
    break;

  case 979: /* SecLabelStmt: SECURITY LABEL opt_provider ON AGGREGATE aggregate_with_argtypes IS security_label  */
#line 7236 "gram.y"
                                {
					SecLabelStmt *n = makeNode(SecLabelStmt);

					n->provider = (yyvsp[-5].str);
					n->objtype = OBJECT_AGGREGATE;
					n->object = (Node *) (yyvsp[-2].objwithargs);
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 37920 "gram.c"
    break;

  case 980: /* SecLabelStmt: SECURITY LABEL opt_provider ON FUNCTION function_with_argtypes IS security_label  */
#line 7247 "gram.y"
                                {
					SecLabelStmt *n = makeNode(SecLabelStmt);

					n->provider = (yyvsp[-5].str);
					n->objtype = OBJECT_FUNCTION;
					n->object = (Node *) (yyvsp[-2].objwithargs);
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 37934 "gram.c"
    break;

  case 981: /* SecLabelStmt: SECURITY LABEL opt_provider ON LARGE_P OBJECT_P NumericOnly IS security_label  */
#line 7258 "gram.y"
                                {
					SecLabelStmt *n = makeNode(SecLabelStmt);

					n->provider = (yyvsp[-6].str);
					n->objtype = OBJECT_LARGEOBJECT;
					n->object = (Node *) (yyvsp[-2].node);
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 37948 "gram.c"
    break;

  case 982: /* SecLabelStmt: SECURITY LABEL opt_provider ON PROCEDURE function_with_argtypes IS security_label  */
#line 7269 "gram.y"
                                {
					SecLabelStmt *n = makeNode(SecLabelStmt);

					n->provider = (yyvsp[-5].str);
					n->objtype = OBJECT_PROCEDURE;
					n->object = (Node *) (yyvsp[-2].objwithargs);
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 37962 "gram.c"
    break;

  case 983: /* SecLabelStmt: SECURITY LABEL opt_provider ON ROUTINE function_with_argtypes IS security_label  */
#line 7280 "gram.y"
                                {
					SecLabelStmt *n = makeNode(SecLabelStmt);

					n->provider = (yyvsp[-5].str);
					n->objtype = OBJECT_ROUTINE;
					n->object = (Node *) (yyvsp[-2].objwithargs);
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 37976 "gram.c"
    break;

  case 984: /* opt_provider: FOR NonReservedWord_or_Sconst  */
#line 7291 "gram.y"
                                                { (yyval.str) = (yyvsp[0].str); }
#line 37982 "gram.c"
    break;

  case 985: /* opt_provider: %empty  */
#line 7292 "gram.y"
                                                                                { (yyval.str) = NULL; }
#line 37988 "gram.c"
    break;

  case 986: /* security_label: Sconst  */
#line 7295 "gram.y"
                                                { (yyval.str) = (yyvsp[0].str); }
#line 37994 "gram.c"
    break;

  case 987: /* security_label: NULL_P  */
#line 7296 "gram.y"
                                                                { (yyval.str) = NULL; }
#line 38000 "gram.c"
    break;

  case 988: /* FetchStmt: FETCH fetch_args  */
#line 7307 "gram.y"
                                {
					FetchStmt *n = (FetchStmt *) (yyvsp[0].node);

					n->ismove = false;
					(yyval.node) = (Node *) n;
				}
#line 38011 "gram.c"
    break;

  case 989: /* FetchStmt: MOVE fetch_args  */
#line 7314 "gram.y"
                                {
					FetchStmt *n = (FetchStmt *) (yyvsp[0].node);

					n->ismove = true;
					(yyval.node) = (Node *) n;
				}
#line 38022 "gram.c"
    break;

  case 990: /* fetch_args: cursor_name  */
#line 7323 "gram.y"
                                {
					FetchStmt *n = makeNode(FetchStmt);

					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = 1;
					(yyval.node) = (Node *) n;
				}
#line 38035 "gram.c"
    break;

  case 991: /* fetch_args: from_in cursor_name  */
#line 7332 "gram.y"
                                {
					FetchStmt *n = makeNode(FetchStmt);

					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = 1;
					(yyval.node) = (Node *) n;
				}
#line 38048 "gram.c"
    break;

  case 992: /* fetch_args: NEXT opt_from_in cursor_name  */
#line 7341 "gram.y"
                                {
					FetchStmt *n = makeNode(FetchStmt);

					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = 1;
					(yyval.node) = (Node *) n;
				}
#line 38061 "gram.c"
    break;

  case 993: /* fetch_args: PRIOR opt_from_in cursor_name  */
#line 7350 "gram.y"
                                {
					FetchStmt *n = makeNode(FetchStmt);

					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_BACKWARD;
					n->howMany = 1;
					(yyval.node) = (Node *) n;
				}
#line 38074 "gram.c"
    break;

  case 994: /* fetch_args: FIRST_P opt_from_in cursor_name  */
#line 7359 "gram.y"
                                {
					FetchStmt *n = makeNode(FetchStmt);

					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_ABSOLUTE;
					n->howMany = 1;
					(yyval.node) = (Node *) n;
				}
#line 38087 "gram.c"
    break;

  case 995: /* fetch_args: LAST_P opt_from_in cursor_name  */
#line 7368 "gram.y"
                                {
					FetchStmt *n = makeNode(FetchStmt);

					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_ABSOLUTE;
					n->howMany = -1;
					(yyval.node) = (Node *) n;
				}
#line 38100 "gram.c"
    break;

  case 996: /* fetch_args: ABSOLUTE_P SignedIconst opt_from_in cursor_name  */
#line 7377 "gram.y"
                                {
					FetchStmt *n = makeNode(FetchStmt);

					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_ABSOLUTE;
					n->howMany = (yyvsp[-2].ival);
					(yyval.node) = (Node *) n;
				}
#line 38113 "gram.c"
    break;

  case 997: /* fetch_args: RELATIVE_P SignedIconst opt_from_in cursor_name  */
#line 7386 "gram.y"
                                {
					FetchStmt *n = makeNode(FetchStmt);

					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_RELATIVE;
					n->howMany = (yyvsp[-2].ival);
					(yyval.node) = (Node *) n;
				}
#line 38126 "gram.c"
    break;

  case 998: /* fetch_args: SignedIconst opt_from_in cursor_name  */
#line 7395 "gram.y"
                                {
					FetchStmt *n = makeNode(FetchStmt);

					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = (yyvsp[-2].ival);
					(yyval.node) = (Node *) n;
				}
#line 38139 "gram.c"
    break;

  case 999: /* fetch_args: ALL opt_from_in cursor_name  */
#line 7404 "gram.y"
                                {
					FetchStmt *n = makeNode(FetchStmt);

					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = FETCH_ALL;
					(yyval.node) = (Node *) n;
				}
#line 38152 "gram.c"
    break;

  case 1000: /* fetch_args: FORWARD opt_from_in cursor_name  */
#line 7413 "gram.y"
                                {
					FetchStmt *n = makeNode(FetchStmt);

					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = 1;
					(yyval.node) = (Node *) n;
				}
#line 38165 "gram.c"
    break;

  case 1001: /* fetch_args: FORWARD SignedIconst opt_from_in cursor_name  */
#line 7422 "gram.y"
                                {
					FetchStmt *n = makeNode(FetchStmt);

					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = (yyvsp[-2].ival);
					(yyval.node) = (Node *) n;
				}
#line 38178 "gram.c"
    break;

  case 1002: /* fetch_args: FORWARD ALL opt_from_in cursor_name  */
#line 7431 "gram.y"
                                {
					FetchStmt *n = makeNode(FetchStmt);

					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = FETCH_ALL;
					(yyval.node) = (Node *) n;
				}
#line 38191 "gram.c"
    break;

  case 1003: /* fetch_args: BACKWARD opt_from_in cursor_name  */
#line 7440 "gram.y"
                                {
					FetchStmt *n = makeNode(FetchStmt);

					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_BACKWARD;
					n->howMany = 1;
					(yyval.node) = (Node *) n;
				}
#line 38204 "gram.c"
    break;

  case 1004: /* fetch_args: BACKWARD SignedIconst opt_from_in cursor_name  */
#line 7449 "gram.y"
                                {
					FetchStmt *n = makeNode(FetchStmt);

					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_BACKWARD;
					n->howMany = (yyvsp[-2].ival);
					(yyval.node) = (Node *) n;
				}
#line 38217 "gram.c"
    break;

  case 1005: /* fetch_args: BACKWARD ALL opt_from_in cursor_name  */
#line 7458 "gram.y"
                                {
					FetchStmt *n = makeNode(FetchStmt);

					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_BACKWARD;
					n->howMany = FETCH_ALL;
					(yyval.node) = (Node *) n;
				}
#line 38230 "gram.c"
    break;

  case 1010: /* GrantStmt: GRANT privileges ON privilege_target TO grantee_list opt_grant_grant_option opt_granted_by  */
#line 7485 "gram.y"
                                {
					GrantStmt *n = makeNode(GrantStmt);

					n->is_grant = true;
					n->privileges = (yyvsp[-6].list);
					n->targtype = ((yyvsp[-4].privtarget))->targtype;
					n->objtype = ((yyvsp[-4].privtarget))->objtype;
					n->objects = ((yyvsp[-4].privtarget))->objs;
					n->grantees = (yyvsp[-2].list);
					n->grant_option = (yyvsp[-1].boolean);
					n->grantor = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 38248 "gram.c"
    break;

  case 1011: /* RevokeStmt: REVOKE privileges ON privilege_target FROM grantee_list opt_granted_by opt_drop_behavior  */
#line 7503 "gram.y"
                                {
					GrantStmt *n = makeNode(GrantStmt);

					n->is_grant = false;
					n->grant_option = false;
					n->privileges = (yyvsp[-6].list);
					n->targtype = ((yyvsp[-4].privtarget))->targtype;
					n->objtype = ((yyvsp[-4].privtarget))->objtype;
					n->objects = ((yyvsp[-4].privtarget))->objs;
					n->grantees = (yyvsp[-2].list);
					n->grantor = (yyvsp[-1].rolespec);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *) n;
				}
#line 38267 "gram.c"
    break;

  case 1012: /* RevokeStmt: REVOKE GRANT OPTION FOR privileges ON privilege_target FROM grantee_list opt_granted_by opt_drop_behavior  */
#line 7519 "gram.y"
                                {
					GrantStmt *n = makeNode(GrantStmt);

					n->is_grant = false;
					n->grant_option = true;
					n->privileges = (yyvsp[-6].list);
					n->targtype = ((yyvsp[-4].privtarget))->targtype;
					n->objtype = ((yyvsp[-4].privtarget))->objtype;
					n->objects = ((yyvsp[-4].privtarget))->objs;
					n->grantees = (yyvsp[-2].list);
					n->grantor = (yyvsp[-1].rolespec);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *) n;
				}
#line 38286 "gram.c"
    break;

  case 1013: /* privileges: privilege_list  */
#line 7546 "gram.y"
                                { (yyval.list) = (yyvsp[0].list); }
#line 38292 "gram.c"
    break;

  case 1014: /* privileges: ALL  */
#line 7548 "gram.y"
                                { (yyval.list) = NIL; }
#line 38298 "gram.c"
    break;

  case 1015: /* privileges: ALL PRIVILEGES  */
#line 7550 "gram.y"
                                { (yyval.list) = NIL; }
#line 38304 "gram.c"
    break;

  case 1016: /* privileges: ALL '(' columnList ')'  */
#line 7552 "gram.y"
                                {
					AccessPriv *n = makeNode(AccessPriv);

					n->priv_name = NULL;
					n->cols = (yyvsp[-1].list);
					(yyval.list) = list_make1(n);
				}
#line 38316 "gram.c"
    break;

  case 1017: /* privileges: ALL PRIVILEGES '(' columnList ')'  */
#line 7560 "gram.y"
                                {
					AccessPriv *n = makeNode(AccessPriv);

					n->priv_name = NULL;
					n->cols = (yyvsp[-1].list);
					(yyval.list) = list_make1(n);
				}
#line 38328 "gram.c"
    break;

  case 1018: /* privilege_list: privilege  */
#line 7569 "gram.y"
                                                                                { (yyval.list) = list_make1((yyvsp[0].accesspriv)); }
#line 38334 "gram.c"
    break;

  case 1019: /* privilege_list: privilege_list ',' privilege  */
#line 7570 "gram.y"
                                                                        { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].accesspriv)); }
#line 38340 "gram.c"
    break;

  case 1020: /* privilege: SELECT opt_column_list  */
#line 7574 "gram.y"
                        {
				AccessPriv *n = makeNode(AccessPriv);

				n->priv_name = pstrdup((yyvsp[-1].keyword));
				n->cols = (yyvsp[0].list);
				(yyval.accesspriv) = n;
			}
#line 38352 "gram.c"
    break;

  case 1021: /* privilege: REFERENCES opt_column_list  */
#line 7582 "gram.y"
                        {
				AccessPriv *n = makeNode(AccessPriv);

				n->priv_name = pstrdup((yyvsp[-1].keyword));
				n->cols = (yyvsp[0].list);
				(yyval.accesspriv) = n;
			}
#line 38364 "gram.c"
    break;

  case 1022: /* privilege: CREATE opt_column_list  */
#line 7590 "gram.y"
                        {
				AccessPriv *n = makeNode(AccessPriv);

				n->priv_name = pstrdup((yyvsp[-1].keyword));
				n->cols = (yyvsp[0].list);
				(yyval.accesspriv) = n;
			}
#line 38376 "gram.c"
    break;

  case 1023: /* privilege: ALTER SYSTEM_P  */
#line 7598 "gram.y"
                        {
				AccessPriv *n = makeNode(AccessPriv);
				n->priv_name = pstrdup("alter system");
				n->cols = NIL;
				(yyval.accesspriv) = n;
			}
#line 38387 "gram.c"
    break;

  case 1024: /* privilege: ColId opt_column_list  */
#line 7605 "gram.y"
                        {
				AccessPriv *n = makeNode(AccessPriv);

				n->priv_name = (yyvsp[-1].str);
				n->cols = (yyvsp[0].list);
				(yyval.accesspriv) = n;
			}
#line 38399 "gram.c"
    break;

  case 1025: /* parameter_name_list: parameter_name  */
#line 7616 "gram.y"
                        {
				(yyval.list) = list_make1(makeString((yyvsp[0].str)));
			}
#line 38407 "gram.c"
    break;

  case 1026: /* parameter_name_list: parameter_name_list ',' parameter_name  */
#line 7620 "gram.y"
                        {
				(yyval.list) = lappend((yyvsp[-2].list), makeString((yyvsp[0].str)));
			}
#line 38415 "gram.c"
    break;

  case 1027: /* parameter_name: ColId  */
#line 7627 "gram.y"
                        {
				(yyval.str) = (yyvsp[0].str);
			}
#line 38423 "gram.c"
    break;

  case 1028: /* parameter_name: parameter_name '.' ColId  */
#line 7631 "gram.y"
                        {
				(yyval.str) = psprintf("%s.%s", (yyvsp[-2].str), (yyvsp[0].str));
			}
#line 38431 "gram.c"
    break;

  case 1029: /* privilege_target: qualified_name_list  */
#line 7642 "gram.y"
                                {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));

					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_TABLE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 38444 "gram.c"
    break;

  case 1030: /* privilege_target: TABLE qualified_name_list  */
#line 7651 "gram.y"
                                {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));

					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_TABLE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 38457 "gram.c"
    break;

  case 1031: /* privilege_target: SEQUENCE qualified_name_list  */
#line 7660 "gram.y"
                                {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));

					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_SEQUENCE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 38470 "gram.c"
    break;

  case 1032: /* privilege_target: FOREIGN DATA_P WRAPPER name_list  */
#line 7669 "gram.y"
                                {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));

					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_FDW;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 38483 "gram.c"
    break;

  case 1033: /* privilege_target: FOREIGN SERVER name_list  */
#line 7678 "gram.y"
                                {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));

					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_FOREIGN_SERVER;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 38496 "gram.c"
    break;

  case 1034: /* privilege_target: FUNCTION function_with_argtypes_list  */
#line 7687 "gram.y"
                                {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));

					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_FUNCTION;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 38509 "gram.c"
    break;

  case 1035: /* privilege_target: PROCEDURE function_with_argtypes_list  */
#line 7696 "gram.y"
                                {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));

					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_PROCEDURE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 38522 "gram.c"
    break;

  case 1036: /* privilege_target: ROUTINE function_with_argtypes_list  */
#line 7705 "gram.y"
                                {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));

					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_ROUTINE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 38535 "gram.c"
    break;

  case 1037: /* privilege_target: DATABASE name_list  */
#line 7714 "gram.y"
                                {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));

					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_DATABASE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 38548 "gram.c"
    break;

  case 1038: /* privilege_target: DOMAIN_P any_name_list  */
#line 7723 "gram.y"
                                {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));

					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_DOMAIN;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 38561 "gram.c"
    break;

  case 1039: /* privilege_target: LANGUAGE name_list  */
#line 7732 "gram.y"
                                {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));

					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_LANGUAGE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 38574 "gram.c"
    break;

  case 1040: /* privilege_target: LARGE_P OBJECT_P NumericOnly_list  */
#line 7741 "gram.y"
                                {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));

					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_LARGEOBJECT;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 38587 "gram.c"
    break;

  case 1041: /* privilege_target: PARAMETER parameter_name_list  */
#line 7750 "gram.y"
                                {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_PARAMETER_ACL;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 38599 "gram.c"
    break;

  case 1042: /* privilege_target: SCHEMA name_list  */
#line 7758 "gram.y"
                                {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));

					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_SCHEMA;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 38612 "gram.c"
    break;

  case 1043: /* privilege_target: TABLESPACE name_list  */
#line 7767 "gram.y"
                                {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));

					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_TABLESPACE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 38625 "gram.c"
    break;

  case 1044: /* privilege_target: TYPE_P any_name_list  */
#line 7776 "gram.y"
                                {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));

					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_TYPE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 38638 "gram.c"
    break;

  case 1045: /* privilege_target: ALL TABLES IN_P SCHEMA name_list  */
#line 7785 "gram.y"
                                {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));

					n->targtype = ACL_TARGET_ALL_IN_SCHEMA;
					n->objtype = OBJECT_TABLE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 38651 "gram.c"
    break;

  case 1046: /* privilege_target: ALL SEQUENCES IN_P SCHEMA name_list  */
#line 7794 "gram.y"
                                {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));

					n->targtype = ACL_TARGET_ALL_IN_SCHEMA;
					n->objtype = OBJECT_SEQUENCE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 38664 "gram.c"
    break;

  case 1047: /* privilege_target: ALL FUNCTIONS IN_P SCHEMA name_list  */
#line 7803 "gram.y"
                                {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));

					n->targtype = ACL_TARGET_ALL_IN_SCHEMA;
					n->objtype = OBJECT_FUNCTION;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 38677 "gram.c"
    break;

  case 1048: /* privilege_target: ALL PROCEDURES IN_P SCHEMA name_list  */
#line 7812 "gram.y"
                                {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));

					n->targtype = ACL_TARGET_ALL_IN_SCHEMA;
					n->objtype = OBJECT_PROCEDURE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 38690 "gram.c"
    break;

  case 1049: /* privilege_target: ALL ROUTINES IN_P SCHEMA name_list  */
#line 7821 "gram.y"
                                {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));

					n->targtype = ACL_TARGET_ALL_IN_SCHEMA;
					n->objtype = OBJECT_ROUTINE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 38703 "gram.c"
    break;

  case 1050: /* grantee_list: grantee  */
#line 7833 "gram.y"
                                                                                                { (yyval.list) = list_make1((yyvsp[0].rolespec)); }
#line 38709 "gram.c"
    break;

  case 1051: /* grantee_list: grantee_list ',' grantee  */
#line 7834 "gram.y"
                                                                                { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].rolespec)); }
#line 38715 "gram.c"
    break;

  case 1052: /* grantee: RoleSpec  */
#line 7838 "gram.y"
                                                                                                { (yyval.rolespec) = (yyvsp[0].rolespec); }
#line 38721 "gram.c"
    break;

  case 1053: /* grantee: GROUP_P RoleSpec  */
#line 7839 "gram.y"
                                                                                        { (yyval.rolespec) = (yyvsp[0].rolespec); }
#line 38727 "gram.c"
    break;

  case 1054: /* opt_grant_grant_option: WITH GRANT OPTION  */
#line 7844 "gram.y"
                                          { (yyval.boolean) = true; }
#line 38733 "gram.c"
    break;

  case 1055: /* opt_grant_grant_option: %empty  */
#line 7845 "gram.y"
                                    { (yyval.boolean) = false; }
#line 38739 "gram.c"
    break;

  case 1056: /* GrantRoleStmt: GRANT privilege_list TO role_list opt_granted_by  */
#line 7856 "gram.y"
                                {
					GrantRoleStmt *n = makeNode(GrantRoleStmt);

					n->is_grant = true;
					n->granted_roles = (yyvsp[-3].list);
					n->grantee_roles = (yyvsp[-1].list);
					n->opt = NIL;
					n->grantor = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 38754 "gram.c"
    break;

  case 1057: /* GrantRoleStmt: GRANT privilege_list TO role_list WITH grant_role_opt_list opt_granted_by  */
#line 7867 "gram.y"
                                {
					GrantRoleStmt *n = makeNode(GrantRoleStmt);

					n->is_grant = true;
					n->granted_roles = (yyvsp[-5].list);
					n->grantee_roles = (yyvsp[-3].list);
					n->opt = (yyvsp[-1].list);
					n->grantor = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 38769 "gram.c"
    break;

  case 1058: /* RevokeRoleStmt: REVOKE privilege_list FROM role_list opt_granted_by opt_drop_behavior  */
#line 7881 "gram.y"
                                {
					GrantRoleStmt *n = makeNode(GrantRoleStmt);

					n->is_grant = false;
					n->opt = NIL;
					n->granted_roles = (yyvsp[-4].list);
					n->grantee_roles = (yyvsp[-2].list);
					n->grantor = (yyvsp[-1].rolespec);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *) n;
				}
#line 38785 "gram.c"
    break;

  case 1059: /* RevokeRoleStmt: REVOKE ColId OPTION FOR privilege_list FROM role_list opt_granted_by opt_drop_behavior  */
#line 7893 "gram.y"
                                {
					GrantRoleStmt *n = makeNode(GrantRoleStmt);
					DefElem *opt;

					opt = makeDefElem(pstrdup((yyvsp[-7].str)),
									  (Node *) makeBoolean(false), (yylsp[-7]));
					n->is_grant = false;
					n->opt = list_make1(opt);
					n->granted_roles = (yyvsp[-4].list);
					n->grantee_roles = (yyvsp[-2].list);
					n->grantor = (yyvsp[-1].rolespec);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *) n;
				}
#line 38804 "gram.c"
    break;

  case 1060: /* grant_role_opt_list: grant_role_opt_list ',' grant_role_opt  */
#line 7910 "gram.y"
                                                                { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt)); }
#line 38810 "gram.c"
    break;

  case 1061: /* grant_role_opt_list: grant_role_opt  */
#line 7911 "gram.y"
                                                                                        { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 38816 "gram.c"
    break;

  case 1062: /* grant_role_opt: ColLabel grant_role_opt_value  */
#line 7916 "gram.y"
                        {
				(yyval.defelt) = makeDefElem(pstrdup((yyvsp[-1].str)), (yyvsp[0].node), (yylsp[-1]));
			}
#line 38824 "gram.c"
    break;

  case 1063: /* grant_role_opt_value: OPTION  */
#line 7922 "gram.y"
                                        { (yyval.node) = (Node *) makeBoolean(true); }
#line 38830 "gram.c"
    break;

  case 1064: /* grant_role_opt_value: TRUE_P  */
#line 7923 "gram.y"
                                        { (yyval.node) = (Node *) makeBoolean(true); }
#line 38836 "gram.c"
    break;

  case 1065: /* grant_role_opt_value: FALSE_P  */
#line 7924 "gram.y"
                                        { (yyval.node) = (Node *) makeBoolean(false); }
#line 38842 "gram.c"
    break;

  case 1066: /* opt_granted_by: GRANTED BY RoleSpec  */
#line 7927 "gram.y"
                                                                                { (yyval.rolespec) = (yyvsp[0].rolespec); }
#line 38848 "gram.c"
    break;

  case 1067: /* opt_granted_by: %empty  */
#line 7928 "gram.y"
                                                                                                        { (yyval.rolespec) = NULL; }
#line 38854 "gram.c"
    break;

  case 1068: /* AlterDefaultPrivilegesStmt: ALTER DEFAULT PRIVILEGES DefACLOptionList DefACLAction  */
#line 7939 "gram.y"
                                {
					AlterDefaultPrivilegesStmt *n = makeNode(AlterDefaultPrivilegesStmt);

					n->options = (yyvsp[-1].list);
					n->action = (GrantStmt *) (yyvsp[0].node);
					(yyval.node) = (Node *) n;
				}
#line 38866 "gram.c"
    break;

  case 1069: /* DefACLOptionList: DefACLOptionList DefACLOption  */
#line 7949 "gram.y"
                                                                        { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 38872 "gram.c"
    break;

  case 1070: /* DefACLOptionList: %empty  */
#line 7950 "gram.y"
                                                                                        { (yyval.list) = NIL; }
#line 38878 "gram.c"
    break;

  case 1071: /* DefACLOption: IN_P SCHEMA name_list  */
#line 7955 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("schemas", (Node *) (yyvsp[0].list), (yylsp[-2]));
				}
#line 38886 "gram.c"
    break;

  case 1072: /* DefACLOption: FOR ROLE role_list  */
#line 7959 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("roles", (Node *) (yyvsp[0].list), (yylsp[-2]));
				}
#line 38894 "gram.c"
    break;

  case 1073: /* DefACLOption: FOR USER role_list  */
#line 7963 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("roles", (Node *) (yyvsp[0].list), (yylsp[-2]));
				}
#line 38902 "gram.c"
    break;

  case 1074: /* DefACLAction: GRANT privileges ON defacl_privilege_target TO grantee_list opt_grant_grant_option  */
#line 7975 "gram.y"
                                {
					GrantStmt *n = makeNode(GrantStmt);

					n->is_grant = true;
					n->privileges = (yyvsp[-5].list);
					n->targtype = ACL_TARGET_DEFAULTS;
					n->objtype = (yyvsp[-3].ival);
					n->objects = NIL;
					n->grantees = (yyvsp[-1].list);
					n->grant_option = (yyvsp[0].boolean);
					(yyval.node) = (Node *) n;
				}
#line 38919 "gram.c"
    break;

  case 1075: /* DefACLAction: REVOKE privileges ON defacl_privilege_target FROM grantee_list opt_drop_behavior  */
#line 7989 "gram.y"
                                {
					GrantStmt *n = makeNode(GrantStmt);

					n->is_grant = false;
					n->grant_option = false;
					n->privileges = (yyvsp[-5].list);
					n->targtype = ACL_TARGET_DEFAULTS;
					n->objtype = (yyvsp[-3].ival);
					n->objects = NIL;
					n->grantees = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *) n;
				}
#line 38937 "gram.c"
    break;

  case 1076: /* DefACLAction: REVOKE GRANT OPTION FOR privileges ON defacl_privilege_target FROM grantee_list opt_drop_behavior  */
#line 8004 "gram.y"
                                {
					GrantStmt *n = makeNode(GrantStmt);

					n->is_grant = false;
					n->grant_option = true;
					n->privileges = (yyvsp[-5].list);
					n->targtype = ACL_TARGET_DEFAULTS;
					n->objtype = (yyvsp[-3].ival);
					n->objects = NIL;
					n->grantees = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *) n;
				}
#line 38955 "gram.c"
    break;

  case 1077: /* defacl_privilege_target: TABLES  */
#line 8020 "gram.y"
                                                { (yyval.ival) = OBJECT_TABLE; }
#line 38961 "gram.c"
    break;

  case 1078: /* defacl_privilege_target: FUNCTIONS  */
#line 8021 "gram.y"
                                                { (yyval.ival) = OBJECT_FUNCTION; }
#line 38967 "gram.c"
    break;

  case 1079: /* defacl_privilege_target: ROUTINES  */
#line 8022 "gram.y"
                                                { (yyval.ival) = OBJECT_FUNCTION; }
#line 38973 "gram.c"
    break;

  case 1080: /* defacl_privilege_target: SEQUENCES  */
#line 8023 "gram.y"
                                                { (yyval.ival) = OBJECT_SEQUENCE; }
#line 38979 "gram.c"
    break;

  case 1081: /* defacl_privilege_target: TYPES_P  */
#line 8024 "gram.y"
                                                { (yyval.ival) = OBJECT_TYPE; }
#line 38985 "gram.c"
    break;

  case 1082: /* defacl_privilege_target: SCHEMAS  */
#line 8025 "gram.y"
                                                { (yyval.ival) = OBJECT_SCHEMA; }
#line 38991 "gram.c"
    break;

  case 1083: /* IndexStmt: CREATE opt_unique INDEX opt_concurrently opt_single_name ON relation_expr access_method_clause '(' index_params ')' opt_include opt_unique_null_treatment opt_reloptions OptTableSpace where_clause  */
#line 8040 "gram.y"
                                {
					IndexStmt *n = makeNode(IndexStmt);

					n->unique = (yyvsp[-14].boolean);
					n->concurrent = (yyvsp[-12].boolean);
					n->idxname = (yyvsp[-11].str);
					n->relation = (yyvsp[-9].range);
					n->accessMethod = (yyvsp[-8].str);
					n->indexParams = (yyvsp[-6].list);
					n->indexIncludingParams = (yyvsp[-4].list);
					n->nulls_not_distinct = !(yyvsp[-3].boolean);
					n->options = (yyvsp[-2].list);
					n->tableSpace = (yyvsp[-1].str);
					n->whereClause = (yyvsp[0].node);
					n->excludeOpNames = NIL;
					n->idxcomment = NULL;
					n->indexOid = InvalidOid;
					n->oldNumber = InvalidRelFileNumber;
					n->oldCreateSubid = InvalidSubTransactionId;
					n->oldFirstRelfilelocatorSubid = InvalidSubTransactionId;
					n->primary = false;
					n->isconstraint = false;
					n->deferrable = false;
					n->initdeferred = false;
					n->transformed = false;
					n->if_not_exists = false;
					n->reset_default_tblspc = false;
					(yyval.node) = (Node *) n;
				}
#line 39025 "gram.c"
    break;

  case 1084: /* IndexStmt: CREATE opt_unique INDEX opt_concurrently IF_P NOT EXISTS name ON relation_expr access_method_clause '(' index_params ')' opt_include opt_unique_null_treatment opt_reloptions OptTableSpace where_clause  */
#line 8072 "gram.y"
                                {
					IndexStmt *n = makeNode(IndexStmt);

					n->unique = (yyvsp[-17].boolean);
					n->concurrent = (yyvsp[-15].boolean);
					n->idxname = (yyvsp[-11].str);
					n->relation = (yyvsp[-9].range);
					n->accessMethod = (yyvsp[-8].str);
					n->indexParams = (yyvsp[-6].list);
					n->indexIncludingParams = (yyvsp[-4].list);
					n->nulls_not_distinct = !(yyvsp[-3].boolean);
					n->options = (yyvsp[-2].list);
					n->tableSpace = (yyvsp[-1].str);
					n->whereClause = (yyvsp[0].node);
					n->excludeOpNames = NIL;
					n->idxcomment = NULL;
					n->indexOid = InvalidOid;
					n->oldNumber = InvalidRelFileNumber;
					n->oldCreateSubid = InvalidSubTransactionId;
					n->oldFirstRelfilelocatorSubid = InvalidSubTransactionId;
					n->primary = false;
					n->isconstraint = false;
					n->deferrable = false;
					n->initdeferred = false;
					n->transformed = false;
					n->if_not_exists = true;
					n->reset_default_tblspc = false;
					(yyval.node) = (Node *) n;
				}
#line 39059 "gram.c"
    break;

  case 1085: /* opt_unique: UNIQUE  */
#line 8104 "gram.y"
                                                                                                { (yyval.boolean) = true; }
#line 39065 "gram.c"
    break;

  case 1086: /* opt_unique: %empty  */
#line 8105 "gram.y"
                                                                                                { (yyval.boolean) = false; }
#line 39071 "gram.c"
    break;

  case 1087: /* access_method_clause: USING name  */
#line 8109 "gram.y"
                                                                                                { (yyval.str) = (yyvsp[0].str); }
#line 39077 "gram.c"
    break;

  case 1088: /* access_method_clause: %empty  */
#line 8110 "gram.y"
                                                                                                { (yyval.str) = DEFAULT_INDEX_TYPE; }
#line 39083 "gram.c"
    break;

  case 1089: /* index_params: index_elem  */
#line 8113 "gram.y"
                                                                                { (yyval.list) = list_make1((yyvsp[0].ielem)); }
#line 39089 "gram.c"
    break;

  case 1090: /* index_params: index_params ',' index_elem  */
#line 8114 "gram.y"
                                                                        { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].ielem)); }
#line 39095 "gram.c"
    break;

  case 1091: /* index_elem_options: opt_collate opt_qualified_name opt_asc_desc opt_nulls_order  */
#line 8120 "gram.y"
                {
			(yyval.ielem) = makeNode(IndexElem);
			(yyval.ielem)->name = NULL;
			(yyval.ielem)->expr = NULL;
			(yyval.ielem)->indexcolname = NULL;
			(yyval.ielem)->collation = (yyvsp[-3].list);
			(yyval.ielem)->opclass = (yyvsp[-2].list);
			(yyval.ielem)->opclassopts = NIL;
			(yyval.ielem)->ordering = (yyvsp[-1].ival);
			(yyval.ielem)->nulls_ordering = (yyvsp[0].ival);
		}
#line 39111 "gram.c"
    break;

  case 1092: /* index_elem_options: opt_collate any_name reloptions opt_asc_desc opt_nulls_order  */
#line 8132 "gram.y"
                {
			(yyval.ielem) = makeNode(IndexElem);
			(yyval.ielem)->name = NULL;
			(yyval.ielem)->expr = NULL;
			(yyval.ielem)->indexcolname = NULL;
			(yyval.ielem)->collation = (yyvsp[-4].list);
			(yyval.ielem)->opclass = (yyvsp[-3].list);
			(yyval.ielem)->opclassopts = (yyvsp[-2].list);
			(yyval.ielem)->ordering = (yyvsp[-1].ival);
			(yyval.ielem)->nulls_ordering = (yyvsp[0].ival);
		}
#line 39127 "gram.c"
    break;

  case 1093: /* index_elem: ColId index_elem_options  */
#line 8151 "gram.y"
                                {
					(yyval.ielem) = (yyvsp[0].ielem);
					(yyval.ielem)->name = (yyvsp[-1].str);
				}
#line 39136 "gram.c"
    break;

  case 1094: /* index_elem: func_expr_windowless index_elem_options  */
#line 8156 "gram.y"
                                {
					(yyval.ielem) = (yyvsp[0].ielem);
					(yyval.ielem)->expr = (yyvsp[-1].node);
				}
#line 39145 "gram.c"
    break;

  case 1095: /* index_elem: '(' a_expr ')' index_elem_options  */
#line 8161 "gram.y"
                                {
					(yyval.ielem) = (yyvsp[0].ielem);
					(yyval.ielem)->expr = (yyvsp[-2].node);
				}
#line 39154 "gram.c"
    break;

  case 1096: /* opt_include: INCLUDE '(' index_including_params ')'  */
#line 8167 "gram.y"
                                                                                { (yyval.list) = (yyvsp[-1].list); }
#line 39160 "gram.c"
    break;

  case 1097: /* opt_include: %empty  */
#line 8168 "gram.y"
                                                                                                { (yyval.list) = NIL; }
#line 39166 "gram.c"
    break;

  case 1098: /* index_including_params: index_elem  */
#line 8171 "gram.y"
                                                                                { (yyval.list) = list_make1((yyvsp[0].ielem)); }
#line 39172 "gram.c"
    break;

  case 1099: /* index_including_params: index_including_params ',' index_elem  */
#line 8172 "gram.y"
                                                                        { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].ielem)); }
#line 39178 "gram.c"
    break;

  case 1100: /* opt_collate: COLLATE any_name  */
#line 8175 "gram.y"
                                                                        { (yyval.list) = (yyvsp[0].list); }
#line 39184 "gram.c"
    break;

  case 1101: /* opt_collate: %empty  */
#line 8176 "gram.y"
                                                                                                { (yyval.list) = NIL; }
#line 39190 "gram.c"
    break;

  case 1102: /* opt_asc_desc: ASC  */
#line 8180 "gram.y"
                                                                        { (yyval.ival) = SORTBY_ASC; }
#line 39196 "gram.c"
    break;

  case 1103: /* opt_asc_desc: DESC  */
#line 8181 "gram.y"
                                                                                { (yyval.ival) = SORTBY_DESC; }
#line 39202 "gram.c"
    break;

  case 1104: /* opt_asc_desc: %empty  */
#line 8182 "gram.y"
                                                                                { (yyval.ival) = SORTBY_DEFAULT; }
#line 39208 "gram.c"
    break;

  case 1105: /* opt_nulls_order: NULLS_LA FIRST_P  */
#line 8185 "gram.y"
                                                        { (yyval.ival) = SORTBY_NULLS_FIRST; }
#line 39214 "gram.c"
    break;

  case 1106: /* opt_nulls_order: NULLS_LA LAST_P  */
#line 8186 "gram.y"
                                                                        { (yyval.ival) = SORTBY_NULLS_LAST; }
#line 39220 "gram.c"
    break;

  case 1107: /* opt_nulls_order: %empty  */
#line 8187 "gram.y"
                                                                                { (yyval.ival) = SORTBY_NULLS_DEFAULT; }
#line 39226 "gram.c"
    break;

  case 1108: /* CreateFunctionStmt: CREATE opt_or_replace FUNCTION func_name func_args_with_defaults RETURNS func_return opt_createfunc_opt_list opt_routine_body  */
#line 8205 "gram.y"
                                {
					CreateFunctionStmt *n = makeNode(CreateFunctionStmt);

					n->is_procedure = false;
					n->replace = (yyvsp[-7].boolean);
					n->funcname = (yyvsp[-5].list);
					n->parameters = (yyvsp[-4].list);
					n->returnType = (yyvsp[-2].typnam);
					n->options = (yyvsp[-1].list);
					n->sql_body = (yyvsp[0].node);
					(yyval.node) = (Node *) n;
				}
#line 39243 "gram.c"
    break;

  case 1109: /* CreateFunctionStmt: CREATE opt_or_replace FUNCTION func_name func_args_with_defaults RETURNS TABLE '(' table_func_column_list ')' opt_createfunc_opt_list opt_routine_body  */
#line 8219 "gram.y"
                                {
					CreateFunctionStmt *n = makeNode(CreateFunctionStmt);

					n->is_procedure = false;
					n->replace = (yyvsp[-10].boolean);
					n->funcname = (yyvsp[-8].list);
					n->parameters = mergeTableFuncParameters((yyvsp[-7].list), (yyvsp[-3].list));
					n->returnType = TableFuncTypeName((yyvsp[-3].list));
					n->returnType->location = (yylsp[-5]);
					n->options = (yyvsp[-1].list);
					n->sql_body = (yyvsp[0].node);
					(yyval.node) = (Node *) n;
				}
#line 39261 "gram.c"
    break;

  case 1110: /* CreateFunctionStmt: CREATE opt_or_replace FUNCTION func_name func_args_with_defaults opt_createfunc_opt_list opt_routine_body  */
#line 8234 "gram.y"
                                {
					CreateFunctionStmt *n = makeNode(CreateFunctionStmt);

					n->is_procedure = false;
					n->replace = (yyvsp[-5].boolean);
					n->funcname = (yyvsp[-3].list);
					n->parameters = (yyvsp[-2].list);
					n->returnType = NULL;
					n->options = (yyvsp[-1].list);
					n->sql_body = (yyvsp[0].node);
					(yyval.node) = (Node *) n;
				}
#line 39278 "gram.c"
    break;

  case 1111: /* CreateFunctionStmt: CREATE opt_or_replace PROCEDURE func_name func_args_with_defaults opt_createfunc_opt_list opt_routine_body  */
#line 8248 "gram.y"
                                {
					CreateFunctionStmt *n = makeNode(CreateFunctionStmt);

					n->is_procedure = true;
					n->replace = (yyvsp[-5].boolean);
					n->funcname = (yyvsp[-3].list);
					n->parameters = (yyvsp[-2].list);
					n->returnType = NULL;
					n->options = (yyvsp[-1].list);
					n->sql_body = (yyvsp[0].node);
					(yyval.node) = (Node *) n;
				}
#line 39295 "gram.c"
    break;

  case 1112: /* opt_or_replace: OR REPLACE  */
#line 8263 "gram.y"
                                                                                                { (yyval.boolean) = true; }
#line 39301 "gram.c"
    break;

  case 1113: /* opt_or_replace: %empty  */
#line 8264 "gram.y"
                                                                                                { (yyval.boolean) = false; }
#line 39307 "gram.c"
    break;

  case 1114: /* func_args: '(' func_args_list ')'  */
#line 8267 "gram.y"
                                                                        { (yyval.list) = (yyvsp[-1].list); }
#line 39313 "gram.c"
    break;

  case 1115: /* func_args: '(' ')'  */
#line 8268 "gram.y"
                                                                                                { (yyval.list) = NIL; }
#line 39319 "gram.c"
    break;

  case 1116: /* func_args_list: func_arg  */
#line 8272 "gram.y"
                                                                                                { (yyval.list) = list_make1((yyvsp[0].fun_param)); }
#line 39325 "gram.c"
    break;

  case 1117: /* func_args_list: func_args_list ',' func_arg  */
#line 8273 "gram.y"
                                                                        { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].fun_param)); }
#line 39331 "gram.c"
    break;

  case 1118: /* function_with_argtypes_list: function_with_argtypes  */
#line 8277 "gram.y"
                                                                                { (yyval.list) = list_make1((yyvsp[0].objwithargs)); }
#line 39337 "gram.c"
    break;

  case 1119: /* function_with_argtypes_list: function_with_argtypes_list ',' function_with_argtypes  */
#line 8279 "gram.y"
                                                                                                        { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].objwithargs)); }
#line 39343 "gram.c"
    break;

  case 1120: /* function_with_argtypes: func_name func_args  */
#line 8284 "gram.y"
                                {
					ObjectWithArgs *n = makeNode(ObjectWithArgs);

					n->objname = (yyvsp[-1].list);
					n->objargs = extractArgTypes((yyvsp[0].list));
					n->objfuncargs = (yyvsp[0].list);
					(yyval.objwithargs) = n;
				}
#line 39356 "gram.c"
    break;

  case 1121: /* function_with_argtypes: type_func_name_keyword  */
#line 8298 "gram.y"
                                {
					ObjectWithArgs *n = makeNode(ObjectWithArgs);

					n->objname = list_make1(makeString(pstrdup((yyvsp[0].keyword))));
					n->args_unspecified = true;
					(yyval.objwithargs) = n;
				}
#line 39368 "gram.c"
    break;

  case 1122: /* function_with_argtypes: ColId  */
#line 8306 "gram.y"
                                {
					ObjectWithArgs *n = makeNode(ObjectWithArgs);

					n->objname = list_make1(makeString((yyvsp[0].str)));
					n->args_unspecified = true;
					(yyval.objwithargs) = n;
				}
#line 39380 "gram.c"
    break;

  case 1123: /* function_with_argtypes: ColId indirection  */
#line 8314 "gram.y"
                                {
					ObjectWithArgs *n = makeNode(ObjectWithArgs);

					n->objname = check_func_name(lcons(makeString((yyvsp[-1].str)), (yyvsp[0].list)),
												  yyscanner);
					n->args_unspecified = true;
					(yyval.objwithargs) = n;
				}
#line 39393 "gram.c"
    break;

  case 1124: /* func_args_with_defaults: '(' func_args_with_defaults_list ')'  */
#line 8329 "gram.y"
                                                                { (yyval.list) = (yyvsp[-1].list); }
#line 39399 "gram.c"
    break;

  case 1125: /* func_args_with_defaults: '(' ')'  */
#line 8330 "gram.y"
                                                                                                { (yyval.list) = NIL; }
#line 39405 "gram.c"
    break;

  case 1126: /* func_args_with_defaults_list: func_arg_with_default  */
#line 8334 "gram.y"
                                                                                { (yyval.list) = list_make1((yyvsp[0].fun_param)); }
#line 39411 "gram.c"
    break;

  case 1127: /* func_args_with_defaults_list: func_args_with_defaults_list ',' func_arg_with_default  */
#line 8336 "gram.y"
                                                                                                        { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].fun_param)); }
#line 39417 "gram.c"
    break;

  case 1128: /* func_arg: arg_class param_name func_type  */
#line 8351 "gram.y"
                                {
					FunctionParameter *n = makeNode(FunctionParameter);

					n->name = (yyvsp[-1].str);
					n->argType = (yyvsp[0].typnam);
					n->mode = (yyvsp[-2].fun_param_mode);
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				}
#line 39431 "gram.c"
    break;

  case 1129: /* func_arg: param_name arg_class func_type  */
#line 8361 "gram.y"
                                {
					FunctionParameter *n = makeNode(FunctionParameter);

					n->name = (yyvsp[-2].str);
					n->argType = (yyvsp[0].typnam);
					n->mode = (yyvsp[-1].fun_param_mode);
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				}
#line 39445 "gram.c"
    break;

  case 1130: /* func_arg: param_name func_type  */
#line 8371 "gram.y"
                                {
					FunctionParameter *n = makeNode(FunctionParameter);

					n->name = (yyvsp[-1].str);
					n->argType = (yyvsp[0].typnam);
					n->mode = FUNC_PARAM_DEFAULT;
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				}
#line 39459 "gram.c"
    break;

  case 1131: /* func_arg: arg_class func_type  */
#line 8381 "gram.y"
                                {
					FunctionParameter *n = makeNode(FunctionParameter);

					n->name = NULL;
					n->argType = (yyvsp[0].typnam);
					n->mode = (yyvsp[-1].fun_param_mode);
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				}
#line 39473 "gram.c"
    break;

  case 1132: /* func_arg: func_type  */
#line 8391 "gram.y"
                                {
					FunctionParameter *n = makeNode(FunctionParameter);

					n->name = NULL;
					n->argType = (yyvsp[0].typnam);
					n->mode = FUNC_PARAM_DEFAULT;
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				}
#line 39487 "gram.c"
    break;

  case 1133: /* arg_class: IN_P  */
#line 8403 "gram.y"
                                                                                { (yyval.fun_param_mode) = FUNC_PARAM_IN; }
#line 39493 "gram.c"
    break;

  case 1134: /* arg_class: OUT_P  */
#line 8404 "gram.y"
                                                                                        { (yyval.fun_param_mode) = FUNC_PARAM_OUT; }
#line 39499 "gram.c"
    break;

  case 1135: /* arg_class: INOUT  */
#line 8405 "gram.y"
                                                                                        { (yyval.fun_param_mode) = FUNC_PARAM_INOUT; }
#line 39505 "gram.c"
    break;

  case 1136: /* arg_class: IN_P OUT_P  */
#line 8406 "gram.y"
                                                                                { (yyval.fun_param_mode) = FUNC_PARAM_INOUT; }
#line 39511 "gram.c"
    break;

  case 1137: /* arg_class: VARIADIC  */
#line 8407 "gram.y"
                                                                                        { (yyval.fun_param_mode) = FUNC_PARAM_VARIADIC; }
#line 39517 "gram.c"
    break;

  case 1139: /* func_return: func_type  */
#line 8418 "gram.y"
                                {
					/* We can catch over-specified results here if we want to,
					 * but for now better to silently swallow typmod, etc.
					 * - thomas 2000-03-22
					 */
					(yyval.typnam) = (yyvsp[0].typnam);
				}
#line 39529 "gram.c"
    break;

  case 1140: /* func_type: Typename  */
#line 8432 "gram.y"
                                                                                        { (yyval.typnam) = (yyvsp[0].typnam); }
#line 39535 "gram.c"
    break;

  case 1141: /* func_type: type_function_name attrs '%' TYPE_P  */
#line 8434 "gram.y"
                                {
					(yyval.typnam) = makeTypeNameFromNameList(lcons(makeString((yyvsp[-3].str)), (yyvsp[-2].list)));
					(yyval.typnam)->pct_type = true;
					(yyval.typnam)->location = (yylsp[-3]);
				}
#line 39545 "gram.c"
    break;

  case 1142: /* func_type: SETOF type_function_name attrs '%' TYPE_P  */
#line 8440 "gram.y"
                                {
					(yyval.typnam) = makeTypeNameFromNameList(lcons(makeString((yyvsp[-3].str)), (yyvsp[-2].list)));
					(yyval.typnam)->pct_type = true;
					(yyval.typnam)->setof = true;
					(yyval.typnam)->location = (yylsp[-3]);
				}
#line 39556 "gram.c"
    break;

  case 1143: /* func_arg_with_default: func_arg  */
#line 8450 "gram.y"
                                {
					(yyval.fun_param) = (yyvsp[0].fun_param);
				}
#line 39564 "gram.c"
    break;

  case 1144: /* func_arg_with_default: func_arg DEFAULT a_expr  */
#line 8454 "gram.y"
                                {
					(yyval.fun_param) = (yyvsp[-2].fun_param);
					(yyval.fun_param)->defexpr = (yyvsp[0].node);
				}
#line 39573 "gram.c"
    break;

  case 1145: /* func_arg_with_default: func_arg '=' a_expr  */
#line 8459 "gram.y"
                                {
					(yyval.fun_param) = (yyvsp[-2].fun_param);
					(yyval.fun_param)->defexpr = (yyvsp[0].node);
				}
#line 39582 "gram.c"
    break;

  case 1146: /* aggr_arg: func_arg  */
#line 8467 "gram.y"
                                {
					if (!((yyvsp[0].fun_param)->mode == FUNC_PARAM_DEFAULT ||
						  (yyvsp[0].fun_param)->mode == FUNC_PARAM_IN ||
						  (yyvsp[0].fun_param)->mode == FUNC_PARAM_VARIADIC))
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("aggregates cannot have output arguments"),
								 parser_errposition((yylsp[0]))));
					(yyval.fun_param) = (yyvsp[0].fun_param);
				}
#line 39597 "gram.c"
    break;

  case 1147: /* aggr_args: '(' '*' ')'  */
#line 8509 "gram.y"
                                {
					(yyval.list) = list_make2(NIL, makeInteger(-1));
				}
#line 39605 "gram.c"
    break;

  case 1148: /* aggr_args: '(' aggr_args_list ')'  */
#line 8513 "gram.y"
                                {
					(yyval.list) = list_make2((yyvsp[-1].list), makeInteger(-1));
				}
#line 39613 "gram.c"
    break;

  case 1149: /* aggr_args: '(' ORDER BY aggr_args_list ')'  */
#line 8517 "gram.y"
                                {
					(yyval.list) = list_make2((yyvsp[-1].list), makeInteger(0));
				}
#line 39621 "gram.c"
    break;

  case 1150: /* aggr_args: '(' aggr_args_list ORDER BY aggr_args_list ')'  */
#line 8521 "gram.y"
                                {
					/* this is the only case requiring consistency checking */
					(yyval.list) = makeOrderedSetArgs((yyvsp[-4].list), (yyvsp[-1].list), yyscanner);
				}
#line 39630 "gram.c"
    break;

  case 1151: /* aggr_args_list: aggr_arg  */
#line 8528 "gram.y"
                                                                                                { (yyval.list) = list_make1((yyvsp[0].fun_param)); }
#line 39636 "gram.c"
    break;

  case 1152: /* aggr_args_list: aggr_args_list ',' aggr_arg  */
#line 8529 "gram.y"
                                                                        { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].fun_param)); }
#line 39642 "gram.c"
    break;

  case 1153: /* aggregate_with_argtypes: func_name aggr_args  */
#line 8534 "gram.y"
                                {
					ObjectWithArgs *n = makeNode(ObjectWithArgs);

					n->objname = (yyvsp[-1].list);
					n->objargs = extractAggrArgTypes((yyvsp[0].list));
					n->objfuncargs = (List *) linitial((yyvsp[0].list));
					(yyval.objwithargs) = n;
				}
#line 39655 "gram.c"
    break;

  case 1154: /* aggregate_with_argtypes_list: aggregate_with_argtypes  */
#line 8545 "gram.y"
                                                                                { (yyval.list) = list_make1((yyvsp[0].objwithargs)); }
#line 39661 "gram.c"
    break;

  case 1155: /* aggregate_with_argtypes_list: aggregate_with_argtypes_list ',' aggregate_with_argtypes  */
#line 8547 "gram.y"
                                                                                                        { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].objwithargs)); }
#line 39667 "gram.c"
    break;

  case 1157: /* opt_createfunc_opt_list: %empty  */
#line 8552 "gram.y"
                                    { (yyval.list) = NIL; }
#line 39673 "gram.c"
    break;

  case 1158: /* createfunc_opt_list: createfunc_opt_item  */
#line 8557 "gram.y"
                                                                                        { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 39679 "gram.c"
    break;

  case 1159: /* createfunc_opt_list: createfunc_opt_list createfunc_opt_item  */
#line 8558 "gram.y"
                                                                  { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 39685 "gram.c"
    break;

  case 1160: /* common_func_opt_item: CALLED ON NULL_P INPUT_P  */
#line 8566 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("strict", (Node *) makeBoolean(false), (yylsp[-3]));
				}
#line 39693 "gram.c"
    break;

  case 1161: /* common_func_opt_item: RETURNS NULL_P ON NULL_P INPUT_P  */
#line 8570 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("strict", (Node *) makeBoolean(true), (yylsp[-4]));
				}
#line 39701 "gram.c"
    break;

  case 1162: /* common_func_opt_item: STRICT_P  */
#line 8574 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("strict", (Node *) makeBoolean(true), (yylsp[0]));
				}
#line 39709 "gram.c"
    break;

  case 1163: /* common_func_opt_item: IMMUTABLE  */
#line 8578 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("volatility", (Node *) makeString("immutable"), (yylsp[0]));
				}
#line 39717 "gram.c"
    break;

  case 1164: /* common_func_opt_item: STABLE  */
#line 8582 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("volatility", (Node *) makeString("stable"), (yylsp[0]));
				}
#line 39725 "gram.c"
    break;

  case 1165: /* common_func_opt_item: VOLATILE  */
#line 8586 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("volatility", (Node *) makeString("volatile"), (yylsp[0]));
				}
#line 39733 "gram.c"
    break;

  case 1166: /* common_func_opt_item: EXTERNAL SECURITY DEFINER  */
#line 8590 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("security", (Node *) makeBoolean(true), (yylsp[-2]));
				}
#line 39741 "gram.c"
    break;

  case 1167: /* common_func_opt_item: EXTERNAL SECURITY INVOKER  */
#line 8594 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("security", (Node *) makeBoolean(false), (yylsp[-2]));
				}
#line 39749 "gram.c"
    break;

  case 1168: /* common_func_opt_item: SECURITY DEFINER  */
#line 8598 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("security", (Node *) makeBoolean(true), (yylsp[-1]));
				}
#line 39757 "gram.c"
    break;

  case 1169: /* common_func_opt_item: SECURITY INVOKER  */
#line 8602 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("security", (Node *) makeBoolean(false), (yylsp[-1]));
				}
#line 39765 "gram.c"
    break;

  case 1170: /* common_func_opt_item: LEAKPROOF  */
#line 8606 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("leakproof", (Node *) makeBoolean(true), (yylsp[0]));
				}
#line 39773 "gram.c"
    break;

  case 1171: /* common_func_opt_item: NOT LEAKPROOF  */
#line 8610 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("leakproof", (Node *) makeBoolean(false), (yylsp[-1]));
				}
#line 39781 "gram.c"
    break;

  case 1172: /* common_func_opt_item: COST NumericOnly  */
#line 8614 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("cost", (Node *) (yyvsp[0].node), (yylsp[-1]));
				}
#line 39789 "gram.c"
    break;

  case 1173: /* common_func_opt_item: ROWS NumericOnly  */
#line 8618 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("rows", (Node *) (yyvsp[0].node), (yylsp[-1]));
				}
#line 39797 "gram.c"
    break;

  case 1174: /* common_func_opt_item: SUPPORT any_name  */
#line 8622 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("support", (Node *) (yyvsp[0].list), (yylsp[-1]));
				}
#line 39805 "gram.c"
    break;

  case 1175: /* common_func_opt_item: FunctionSetResetClause  */
#line 8626 "gram.y"
                                {
					/* we abuse the normal content of a DefElem here */
					(yyval.defelt) = makeDefElem("set", (Node *) (yyvsp[0].vsetstmt), (yylsp[0]));
				}
#line 39814 "gram.c"
    break;

  case 1176: /* common_func_opt_item: PARALLEL ColId  */
#line 8631 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("parallel", (Node *) makeString((yyvsp[0].str)), (yylsp[-1]));
				}
#line 39822 "gram.c"
    break;

  case 1177: /* createfunc_opt_item: AS func_as  */
#line 8638 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("as", (Node *) (yyvsp[0].list), (yylsp[-1]));
				}
#line 39830 "gram.c"
    break;

  case 1178: /* createfunc_opt_item: LANGUAGE NonReservedWord_or_Sconst  */
#line 8642 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("language", (Node *) makeString((yyvsp[0].str)), (yylsp[-1]));
				}
#line 39838 "gram.c"
    break;

  case 1179: /* createfunc_opt_item: TRANSFORM transform_type_list  */
#line 8646 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("transform", (Node *) (yyvsp[0].list), (yylsp[-1]));
				}
#line 39846 "gram.c"
    break;

  case 1180: /* createfunc_opt_item: WINDOW  */
#line 8650 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("window", (Node *) makeBoolean(true), (yylsp[0]));
				}
#line 39854 "gram.c"
    break;

  case 1181: /* createfunc_opt_item: common_func_opt_item  */
#line 8654 "gram.y"
                                {
					(yyval.defelt) = (yyvsp[0].defelt);
				}
#line 39862 "gram.c"
    break;

  case 1182: /* func_as: Sconst  */
#line 8659 "gram.y"
                                                                { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 39868 "gram.c"
    break;

  case 1183: /* func_as: Sconst ',' Sconst  */
#line 8661 "gram.y"
                                {
					(yyval.list) = list_make2(makeString((yyvsp[-2].str)), makeString((yyvsp[0].str)));
				}
#line 39876 "gram.c"
    break;

  case 1184: /* ReturnStmt: RETURN a_expr  */
#line 8667 "gram.y"
                                {
					ReturnStmt *r = makeNode(ReturnStmt);

					r->returnval = (Node *) (yyvsp[0].node);
					(yyval.node) = (Node *) r;
				}
#line 39887 "gram.c"
    break;

  case 1185: /* opt_routine_body: ReturnStmt  */
#line 8677 "gram.y"
                                {
					(yyval.node) = (yyvsp[0].node);
				}
#line 39895 "gram.c"
    break;

  case 1186: /* opt_routine_body: BEGIN_P ATOMIC routine_body_stmt_list END_P  */
#line 8681 "gram.y"
                                {
					/*
					 * A compound statement is stored as a single-item list
					 * containing the list of statements as its member.  That
					 * way, the parse analysis code can tell apart an empty
					 * body from no body at all.
					 */
					(yyval.node) = (Node *) list_make1((yyvsp[-1].list));
				}
#line 39909 "gram.c"
    break;

  case 1187: /* opt_routine_body: %empty  */
#line 8691 "gram.y"
                                {
					(yyval.node) = NULL;
				}
#line 39917 "gram.c"
    break;

  case 1188: /* routine_body_stmt_list: routine_body_stmt_list routine_body_stmt ';'  */
#line 8698 "gram.y"
                                {
					/* As in stmtmulti, discard empty statements */
					if ((yyvsp[-1].node) != NULL)
						(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[-1].node));
					else
						(yyval.list) = (yyvsp[-2].list);
				}
#line 39929 "gram.c"
    break;

  case 1189: /* routine_body_stmt_list: %empty  */
#line 8706 "gram.y"
                                {
					(yyval.list) = NIL;
				}
#line 39937 "gram.c"
    break;

  case 1192: /* transform_type_list: FOR TYPE_P Typename  */
#line 8717 "gram.y"
                                            { (yyval.list) = list_make1((yyvsp[0].typnam)); }
#line 39943 "gram.c"
    break;

  case 1193: /* transform_type_list: transform_type_list ',' FOR TYPE_P Typename  */
#line 8718 "gram.y"
                                                                      { (yyval.list) = lappend((yyvsp[-4].list), (yyvsp[0].typnam)); }
#line 39949 "gram.c"
    break;

  case 1194: /* opt_definition: WITH definition  */
#line 8722 "gram.y"
                                                                                        { (yyval.list) = (yyvsp[0].list); }
#line 39955 "gram.c"
    break;

  case 1195: /* opt_definition: %empty  */
#line 8723 "gram.y"
                                                                                                { (yyval.list) = NIL; }
#line 39961 "gram.c"
    break;

  case 1196: /* table_func_column: param_name func_type  */
#line 8727 "gram.y"
                                {
					FunctionParameter *n = makeNode(FunctionParameter);

					n->name = (yyvsp[-1].str);
					n->argType = (yyvsp[0].typnam);
					n->mode = FUNC_PARAM_TABLE;
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				}
#line 39975 "gram.c"
    break;

  case 1197: /* table_func_column_list: table_func_column  */
#line 8740 "gram.y"
                                {
					(yyval.list) = list_make1((yyvsp[0].fun_param));
				}
#line 39983 "gram.c"
    break;

  case 1198: /* table_func_column_list: table_func_column_list ',' table_func_column  */
#line 8744 "gram.y"
                                {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].fun_param));
				}
#line 39991 "gram.c"
    break;

  case 1199: /* AlterFunctionStmt: ALTER FUNCTION function_with_argtypes alterfunc_opt_list opt_restrict  */
#line 8759 "gram.y"
                                {
					AlterFunctionStmt *n = makeNode(AlterFunctionStmt);

					n->objtype = OBJECT_FUNCTION;
					n->func = (yyvsp[-2].objwithargs);
					n->actions = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 40004 "gram.c"
    break;

  case 1200: /* AlterFunctionStmt: ALTER PROCEDURE function_with_argtypes alterfunc_opt_list opt_restrict  */
#line 8768 "gram.y"
                                {
					AlterFunctionStmt *n = makeNode(AlterFunctionStmt);

					n->objtype = OBJECT_PROCEDURE;
					n->func = (yyvsp[-2].objwithargs);
					n->actions = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 40017 "gram.c"
    break;

  case 1201: /* AlterFunctionStmt: ALTER ROUTINE function_with_argtypes alterfunc_opt_list opt_restrict  */
#line 8777 "gram.y"
                                {
					AlterFunctionStmt *n = makeNode(AlterFunctionStmt);

					n->objtype = OBJECT_ROUTINE;
					n->func = (yyvsp[-2].objwithargs);
					n->actions = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 40030 "gram.c"
    break;

  case 1202: /* alterfunc_opt_list: common_func_opt_item  */
#line 8789 "gram.y"
                                                                                { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 40036 "gram.c"
    break;

  case 1203: /* alterfunc_opt_list: alterfunc_opt_list common_func_opt_item  */
#line 8790 "gram.y"
                                                                  { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 40042 "gram.c"
    break;

  case 1206: /* RemoveFuncStmt: DROP FUNCTION function_with_argtypes_list opt_drop_behavior  */
#line 8814 "gram.y"
                                {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = OBJECT_FUNCTION;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 40057 "gram.c"
    break;

  case 1207: /* RemoveFuncStmt: DROP FUNCTION IF_P EXISTS function_with_argtypes_list opt_drop_behavior  */
#line 8825 "gram.y"
                                {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = OBJECT_FUNCTION;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 40072 "gram.c"
    break;

  case 1208: /* RemoveFuncStmt: DROP PROCEDURE function_with_argtypes_list opt_drop_behavior  */
#line 8836 "gram.y"
                                {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = OBJECT_PROCEDURE;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 40087 "gram.c"
    break;

  case 1209: /* RemoveFuncStmt: DROP PROCEDURE IF_P EXISTS function_with_argtypes_list opt_drop_behavior  */
#line 8847 "gram.y"
                                {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = OBJECT_PROCEDURE;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 40102 "gram.c"
    break;

  case 1210: /* RemoveFuncStmt: DROP ROUTINE function_with_argtypes_list opt_drop_behavior  */
#line 8858 "gram.y"
                                {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = OBJECT_ROUTINE;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 40117 "gram.c"
    break;

  case 1211: /* RemoveFuncStmt: DROP ROUTINE IF_P EXISTS function_with_argtypes_list opt_drop_behavior  */
#line 8869 "gram.y"
                                {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = OBJECT_ROUTINE;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 40132 "gram.c"
    break;

  case 1212: /* RemoveAggrStmt: DROP AGGREGATE aggregate_with_argtypes_list opt_drop_behavior  */
#line 8883 "gram.y"
                                {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = OBJECT_AGGREGATE;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 40147 "gram.c"
    break;

  case 1213: /* RemoveAggrStmt: DROP AGGREGATE IF_P EXISTS aggregate_with_argtypes_list opt_drop_behavior  */
#line 8894 "gram.y"
                                {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = OBJECT_AGGREGATE;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 40162 "gram.c"
    break;

  case 1214: /* RemoveOperStmt: DROP OPERATOR operator_with_argtypes_list opt_drop_behavior  */
#line 8908 "gram.y"
                                {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = OBJECT_OPERATOR;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 40177 "gram.c"
    break;

  case 1215: /* RemoveOperStmt: DROP OPERATOR IF_P EXISTS operator_with_argtypes_list opt_drop_behavior  */
#line 8919 "gram.y"
                                {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = OBJECT_OPERATOR;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 40192 "gram.c"
    break;

  case 1216: /* oper_argtypes: '(' Typename ')'  */
#line 8933 "gram.y"
                                {
				   ereport(ERROR,
						   (errcode(ERRCODE_SYNTAX_ERROR),
							errmsg("missing argument"),
							errhint("Use NONE to denote the missing argument of a unary operator."),
							parser_errposition((yylsp[0]))));
				}
#line 40204 "gram.c"
    break;

  case 1217: /* oper_argtypes: '(' Typename ',' Typename ')'  */
#line 8941 "gram.y"
                                        { (yyval.list) = list_make2((yyvsp[-3].typnam), (yyvsp[-1].typnam)); }
#line 40210 "gram.c"
    break;

  case 1218: /* oper_argtypes: '(' NONE ',' Typename ')'  */
#line 8943 "gram.y"
                                        { (yyval.list) = list_make2(NULL, (yyvsp[-1].typnam)); }
#line 40216 "gram.c"
    break;

  case 1219: /* oper_argtypes: '(' Typename ',' NONE ')'  */
#line 8945 "gram.y"
                                        { (yyval.list) = list_make2((yyvsp[-3].typnam), NULL); }
#line 40222 "gram.c"
    break;

  case 1220: /* any_operator: all_Op  */
#line 8950 "gram.y"
                                        { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 40228 "gram.c"
    break;

  case 1221: /* any_operator: ColId '.' any_operator  */
#line 8952 "gram.y"
                                        { (yyval.list) = lcons(makeString((yyvsp[-2].str)), (yyvsp[0].list)); }
#line 40234 "gram.c"
    break;

  case 1222: /* operator_with_argtypes_list: operator_with_argtypes  */
#line 8956 "gram.y"
                                                                                { (yyval.list) = list_make1((yyvsp[0].objwithargs)); }
#line 40240 "gram.c"
    break;

  case 1223: /* operator_with_argtypes_list: operator_with_argtypes_list ',' operator_with_argtypes  */
#line 8958 "gram.y"
                                                                                                        { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].objwithargs)); }
#line 40246 "gram.c"
    break;

  case 1224: /* operator_with_argtypes: any_operator oper_argtypes  */
#line 8963 "gram.y"
                                {
					ObjectWithArgs *n = makeNode(ObjectWithArgs);

					n->objname = (yyvsp[-1].list);
					n->objargs = (yyvsp[0].list);
					(yyval.objwithargs) = n;
				}
#line 40258 "gram.c"
    break;

  case 1225: /* DoStmt: DO dostmt_opt_list  */
#line 8982 "gram.y"
                                {
					DoStmt *n = makeNode(DoStmt);

					n->args = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 40269 "gram.c"
    break;

  case 1226: /* dostmt_opt_list: dostmt_opt_item  */
#line 8991 "gram.y"
                                                                                { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 40275 "gram.c"
    break;

  case 1227: /* dostmt_opt_list: dostmt_opt_list dostmt_opt_item  */
#line 8992 "gram.y"
                                                                { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 40281 "gram.c"
    break;

  case 1228: /* dostmt_opt_item: Sconst  */
#line 8997 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("as", (Node *) makeString((yyvsp[0].str)), (yylsp[0]));
				}
#line 40289 "gram.c"
    break;

  case 1229: /* dostmt_opt_item: LANGUAGE NonReservedWord_or_Sconst  */
#line 9001 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("language", (Node *) makeString((yyvsp[0].str)), (yylsp[-1]));
				}
#line 40297 "gram.c"
    break;

  case 1230: /* CreateCastStmt: CREATE CAST '(' Typename AS Typename ')' WITH FUNCTION function_with_argtypes cast_context  */
#line 9014 "gram.y"
                                {
					CreateCastStmt *n = makeNode(CreateCastStmt);

					n->sourcetype = (yyvsp[-7].typnam);
					n->targettype = (yyvsp[-5].typnam);
					n->func = (yyvsp[-1].objwithargs);
					n->context = (CoercionContext) (yyvsp[0].ival);
					n->inout = false;
					(yyval.node) = (Node *) n;
				}
#line 40312 "gram.c"
    break;

  case 1231: /* CreateCastStmt: CREATE CAST '(' Typename AS Typename ')' WITHOUT FUNCTION cast_context  */
#line 9026 "gram.y"
                                {
					CreateCastStmt *n = makeNode(CreateCastStmt);

					n->sourcetype = (yyvsp[-6].typnam);
					n->targettype = (yyvsp[-4].typnam);
					n->func = NULL;
					n->context = (CoercionContext) (yyvsp[0].ival);
					n->inout = false;
					(yyval.node) = (Node *) n;
				}
#line 40327 "gram.c"
    break;

  case 1232: /* CreateCastStmt: CREATE CAST '(' Typename AS Typename ')' WITH INOUT cast_context  */
#line 9038 "gram.y"
                                {
					CreateCastStmt *n = makeNode(CreateCastStmt);

					n->sourcetype = (yyvsp[-6].typnam);
					n->targettype = (yyvsp[-4].typnam);
					n->func = NULL;
					n->context = (CoercionContext) (yyvsp[0].ival);
					n->inout = true;
					(yyval.node) = (Node *) n;
				}
#line 40342 "gram.c"
    break;

  case 1233: /* cast_context: AS IMPLICIT_P  */
#line 9050 "gram.y"
                                                                { (yyval.ival) = COERCION_IMPLICIT; }
#line 40348 "gram.c"
    break;

  case 1234: /* cast_context: AS ASSIGNMENT  */
#line 9051 "gram.y"
                                                                                { (yyval.ival) = COERCION_ASSIGNMENT; }
#line 40354 "gram.c"
    break;

  case 1235: /* cast_context: %empty  */
#line 9052 "gram.y"
                                                                                        { (yyval.ival) = COERCION_EXPLICIT; }
#line 40360 "gram.c"
    break;

  case 1236: /* DropCastStmt: DROP CAST opt_if_exists '(' Typename AS Typename ')' opt_drop_behavior  */
#line 9057 "gram.y"
                                {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = OBJECT_CAST;
					n->objects = list_make1(list_make2((yyvsp[-4].typnam), (yyvsp[-2].typnam)));
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = (yyvsp[-6].boolean);
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 40375 "gram.c"
    break;

  case 1237: /* opt_if_exists: IF_P EXISTS  */
#line 9069 "gram.y"
                                                                        { (yyval.boolean) = true; }
#line 40381 "gram.c"
    break;

  case 1238: /* opt_if_exists: %empty  */
#line 9070 "gram.y"
                                                                                        { (yyval.boolean) = false; }
#line 40387 "gram.c"
    break;

  case 1239: /* CreateTransformStmt: CREATE opt_or_replace TRANSFORM FOR Typename LANGUAGE name '(' transform_element_list ')'  */
#line 9081 "gram.y"
                                {
					CreateTransformStmt *n = makeNode(CreateTransformStmt);

					n->replace = (yyvsp[-8].boolean);
					n->type_name = (yyvsp[-5].typnam);
					n->lang = (yyvsp[-3].str);
					n->fromsql = linitial((yyvsp[-1].list));
					n->tosql = lsecond((yyvsp[-1].list));
					(yyval.node) = (Node *) n;
				}
#line 40402 "gram.c"
    break;

  case 1240: /* transform_element_list: FROM SQL_P WITH FUNCTION function_with_argtypes ',' TO SQL_P WITH FUNCTION function_with_argtypes  */
#line 9094 "gram.y"
                                {
					(yyval.list) = list_make2((yyvsp[-6].objwithargs), (yyvsp[0].objwithargs));
				}
#line 40410 "gram.c"
    break;

  case 1241: /* transform_element_list: TO SQL_P WITH FUNCTION function_with_argtypes ',' FROM SQL_P WITH FUNCTION function_with_argtypes  */
#line 9098 "gram.y"
                                {
					(yyval.list) = list_make2((yyvsp[0].objwithargs), (yyvsp[-6].objwithargs));
				}
#line 40418 "gram.c"
    break;

  case 1242: /* transform_element_list: FROM SQL_P WITH FUNCTION function_with_argtypes  */
#line 9102 "gram.y"
                                {
					(yyval.list) = list_make2((yyvsp[0].objwithargs), NULL);
				}
#line 40426 "gram.c"
    break;

  case 1243: /* transform_element_list: TO SQL_P WITH FUNCTION function_with_argtypes  */
#line 9106 "gram.y"
                                {
					(yyval.list) = list_make2(NULL, (yyvsp[0].objwithargs));
				}
#line 40434 "gram.c"
    break;

  case 1244: /* DropTransformStmt: DROP TRANSFORM opt_if_exists FOR Typename LANGUAGE name opt_drop_behavior  */
#line 9113 "gram.y"
                                {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = OBJECT_TRANSFORM;
					n->objects = list_make1(list_make2((yyvsp[-3].typnam), makeString((yyvsp[-1].str))));
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = (yyvsp[-5].boolean);
					(yyval.node) = (Node *) n;
				}
#line 40448 "gram.c"
    break;

  case 1245: /* ReindexStmt: REINDEX opt_reindex_option_list reindex_target_relation opt_concurrently qualified_name  */
#line 9135 "gram.y"
                                {
					ReindexStmt *n = makeNode(ReindexStmt);

					n->kind = (yyvsp[-2].ival);
					n->relation = (yyvsp[0].range);
					n->name = NULL;
					n->params = (yyvsp[-3].list);
					if ((yyvsp[-1].boolean))
						n->params = lappend(n->params,
											makeDefElem("concurrently", NULL, (yylsp[-1])));
					(yyval.node) = (Node *) n;
				}
#line 40465 "gram.c"
    break;

  case 1246: /* ReindexStmt: REINDEX opt_reindex_option_list SCHEMA opt_concurrently name  */
#line 9148 "gram.y"
                                {
					ReindexStmt *n = makeNode(ReindexStmt);

					n->kind = REINDEX_OBJECT_SCHEMA;
					n->relation = NULL;
					n->name = (yyvsp[0].str);
					n->params = (yyvsp[-3].list);
					if ((yyvsp[-1].boolean))
						n->params = lappend(n->params,
											makeDefElem("concurrently", NULL, (yylsp[-1])));
					(yyval.node) = (Node *) n;
				}
#line 40482 "gram.c"
    break;

  case 1247: /* ReindexStmt: REINDEX opt_reindex_option_list reindex_target_all opt_concurrently opt_single_name  */
#line 9161 "gram.y"
                                {
					ReindexStmt *n = makeNode(ReindexStmt);

					n->kind = (yyvsp[-2].ival);
					n->relation = NULL;
					n->name = (yyvsp[0].str);
					n->params = (yyvsp[-3].list);
					if ((yyvsp[-1].boolean))
						n->params = lappend(n->params,
											makeDefElem("concurrently", NULL, (yylsp[-1])));
					(yyval.node) = (Node *) n;
				}
#line 40499 "gram.c"
    break;

  case 1248: /* reindex_target_relation: INDEX  */
#line 9175 "gram.y"
                                                                { (yyval.ival) = REINDEX_OBJECT_INDEX; }
#line 40505 "gram.c"
    break;

  case 1249: /* reindex_target_relation: TABLE  */
#line 9176 "gram.y"
                                                                { (yyval.ival) = REINDEX_OBJECT_TABLE; }
#line 40511 "gram.c"
    break;

  case 1250: /* reindex_target_all: SYSTEM_P  */
#line 9179 "gram.y"
                                                                { (yyval.ival) = REINDEX_OBJECT_SYSTEM; }
#line 40517 "gram.c"
    break;

  case 1251: /* reindex_target_all: DATABASE  */
#line 9180 "gram.y"
                                                                { (yyval.ival) = REINDEX_OBJECT_DATABASE; }
#line 40523 "gram.c"
    break;

  case 1252: /* opt_reindex_option_list: '(' utility_option_list ')'  */
#line 9183 "gram.y"
                                                                                { (yyval.list) = (yyvsp[-1].list); }
#line 40529 "gram.c"
    break;

  case 1253: /* opt_reindex_option_list: %empty  */
#line 9184 "gram.y"
                                                                                        { (yyval.list) = NULL; }
#line 40535 "gram.c"
    break;

  case 1254: /* AlterTblSpcStmt: ALTER TABLESPACE name SET reloptions  */
#line 9195 "gram.y"
                                {
					AlterTableSpaceOptionsStmt *n =
						makeNode(AlterTableSpaceOptionsStmt);

					n->tablespacename = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					n->isReset = false;
					(yyval.node) = (Node *) n;
				}
#line 40549 "gram.c"
    break;

  case 1255: /* AlterTblSpcStmt: ALTER TABLESPACE name RESET reloptions  */
#line 9205 "gram.y"
                                {
					AlterTableSpaceOptionsStmt *n =
						makeNode(AlterTableSpaceOptionsStmt);

					n->tablespacename = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					n->isReset = true;
					(yyval.node) = (Node *) n;
				}
#line 40563 "gram.c"
    break;

  case 1256: /* RenameStmt: ALTER AGGREGATE aggregate_with_argtypes RENAME TO name  */
#line 9223 "gram.y"
                                {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_AGGREGATE;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 40577 "gram.c"
    break;

  case 1257: /* RenameStmt: ALTER COLLATION any_name RENAME TO name  */
#line 9233 "gram.y"
                                {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_COLLATION;
					n->object = (Node *) (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 40591 "gram.c"
    break;

  case 1258: /* RenameStmt: ALTER CONVERSION_P any_name RENAME TO name  */
#line 9243 "gram.y"
                                {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_CONVERSION;
					n->object = (Node *) (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 40605 "gram.c"
    break;

  case 1259: /* RenameStmt: ALTER DATABASE name RENAME TO name  */
#line 9253 "gram.y"
                                {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_DATABASE;
					n->subname = (yyvsp[-3].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 40619 "gram.c"
    break;

  case 1260: /* RenameStmt: ALTER DOMAIN_P any_name RENAME TO name  */
#line 9263 "gram.y"
                                {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_DOMAIN;
					n->object = (Node *) (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 40633 "gram.c"
    break;

  case 1261: /* RenameStmt: ALTER DOMAIN_P any_name RENAME CONSTRAINT name TO name  */
#line 9273 "gram.y"
                                {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_DOMCONSTRAINT;
					n->object = (Node *) (yyvsp[-5].list);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 40647 "gram.c"
    break;

  case 1262: /* RenameStmt: ALTER FOREIGN DATA_P WRAPPER name RENAME TO name  */
#line 9283 "gram.y"
                                {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_FDW;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 40661 "gram.c"
    break;

  case 1263: /* RenameStmt: ALTER FUNCTION function_with_argtypes RENAME TO name  */
#line 9293 "gram.y"
                                {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_FUNCTION;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 40675 "gram.c"
    break;

  case 1264: /* RenameStmt: ALTER GROUP_P RoleId RENAME TO RoleId  */
#line 9303 "gram.y"
                                {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_ROLE;
					n->subname = (yyvsp[-3].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 40689 "gram.c"
    break;

  case 1265: /* RenameStmt: ALTER opt_procedural LANGUAGE name RENAME TO name  */
#line 9313 "gram.y"
                                {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_LANGUAGE;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 40703 "gram.c"
    break;

  case 1266: /* RenameStmt: ALTER OPERATOR CLASS any_name USING name RENAME TO name  */
#line 9323 "gram.y"
                                {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_OPCLASS;
					n->object = (Node *) lcons(makeString((yyvsp[-3].str)), (yyvsp[-5].list));
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 40717 "gram.c"
    break;

  case 1267: /* RenameStmt: ALTER OPERATOR FAMILY any_name USING name RENAME TO name  */
#line 9333 "gram.y"
                                {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_OPFAMILY;
					n->object = (Node *) lcons(makeString((yyvsp[-3].str)), (yyvsp[-5].list));
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 40731 "gram.c"
    break;

  case 1268: /* RenameStmt: ALTER POLICY name ON qualified_name RENAME TO name  */
#line 9343 "gram.y"
                                {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_POLICY;
					n->relation = (yyvsp[-3].range);
					n->subname = (yyvsp[-5].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 40746 "gram.c"
    break;

  case 1269: /* RenameStmt: ALTER POLICY IF_P EXISTS name ON qualified_name RENAME TO name  */
#line 9354 "gram.y"
                                {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_POLICY;
					n->relation = (yyvsp[-3].range);
					n->subname = (yyvsp[-5].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 40761 "gram.c"
    break;

  case 1270: /* RenameStmt: ALTER PROCEDURE function_with_argtypes RENAME TO name  */
#line 9365 "gram.y"
                                {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_PROCEDURE;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 40775 "gram.c"
    break;

  case 1271: /* RenameStmt: ALTER PUBLICATION name RENAME TO name  */
#line 9375 "gram.y"
                                {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_PUBLICATION;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 40789 "gram.c"
    break;

  case 1272: /* RenameStmt: ALTER ROUTINE function_with_argtypes RENAME TO name  */
#line 9385 "gram.y"
                                {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_ROUTINE;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 40803 "gram.c"
    break;

  case 1273: /* RenameStmt: ALTER SCHEMA name RENAME TO name  */
#line 9395 "gram.y"
                                {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_SCHEMA;
					n->subname = (yyvsp[-3].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 40817 "gram.c"
    break;

  case 1274: /* RenameStmt: ALTER SERVER name RENAME TO name  */
#line 9405 "gram.y"
                                {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_FOREIGN_SERVER;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 40831 "gram.c"
    break;

  case 1275: /* RenameStmt: ALTER SUBSCRIPTION name RENAME TO name  */
#line 9415 "gram.y"
                                {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_SUBSCRIPTION;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 40845 "gram.c"
    break;

  case 1276: /* RenameStmt: ALTER TABLE relation_expr RENAME TO name  */
#line 9425 "gram.y"
                                {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_TABLE;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 40860 "gram.c"
    break;

  case 1277: /* RenameStmt: ALTER TABLE IF_P EXISTS relation_expr RENAME TO name  */
#line 9436 "gram.y"
                                {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_TABLE;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 40875 "gram.c"
    break;

  case 1278: /* RenameStmt: ALTER SEQUENCE qualified_name RENAME TO name  */
#line 9447 "gram.y"
                                {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_SEQUENCE;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 40890 "gram.c"
    break;

  case 1279: /* RenameStmt: ALTER SEQUENCE IF_P EXISTS qualified_name RENAME TO name  */
#line 9458 "gram.y"
                                {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_SEQUENCE;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 40905 "gram.c"
    break;

  case 1280: /* RenameStmt: ALTER VIEW qualified_name RENAME TO name  */
#line 9469 "gram.y"
                                {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_VIEW;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 40920 "gram.c"
    break;

  case 1281: /* RenameStmt: ALTER VIEW IF_P EXISTS qualified_name RENAME TO name  */
#line 9480 "gram.y"
                                {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_VIEW;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 40935 "gram.c"
    break;

  case 1282: /* RenameStmt: ALTER MATERIALIZED VIEW qualified_name RENAME TO name  */
#line 9491 "gram.y"
                                {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_MATVIEW;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 40950 "gram.c"
    break;

  case 1283: /* RenameStmt: ALTER MATERIALIZED VIEW IF_P EXISTS qualified_name RENAME TO name  */
#line 9502 "gram.y"
                                {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_MATVIEW;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 40965 "gram.c"
    break;

  case 1284: /* RenameStmt: ALTER INDEX qualified_name RENAME TO name  */
#line 9513 "gram.y"
                                {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_INDEX;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 40980 "gram.c"
    break;

  case 1285: /* RenameStmt: ALTER INDEX IF_P EXISTS qualified_name RENAME TO name  */
#line 9524 "gram.y"
                                {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_INDEX;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 40995 "gram.c"
    break;

  case 1286: /* RenameStmt: ALTER FOREIGN TABLE relation_expr RENAME TO name  */
#line 9535 "gram.y"
                                {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_FOREIGN_TABLE;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41010 "gram.c"
    break;

  case 1287: /* RenameStmt: ALTER FOREIGN TABLE IF_P EXISTS relation_expr RENAME TO name  */
#line 9546 "gram.y"
                                {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_FOREIGN_TABLE;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 41025 "gram.c"
    break;

  case 1288: /* RenameStmt: ALTER TABLE relation_expr RENAME opt_column name TO name  */
#line 9557 "gram.y"
                                {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_TABLE;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41041 "gram.c"
    break;

  case 1289: /* RenameStmt: ALTER TABLE IF_P EXISTS relation_expr RENAME opt_column name TO name  */
#line 9569 "gram.y"
                                {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_TABLE;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 41057 "gram.c"
    break;

  case 1290: /* RenameStmt: ALTER VIEW qualified_name RENAME opt_column name TO name  */
#line 9581 "gram.y"
                                {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_VIEW;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41073 "gram.c"
    break;

  case 1291: /* RenameStmt: ALTER VIEW IF_P EXISTS qualified_name RENAME opt_column name TO name  */
#line 9593 "gram.y"
                                {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_VIEW;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 41089 "gram.c"
    break;

  case 1292: /* RenameStmt: ALTER MATERIALIZED VIEW qualified_name RENAME opt_column name TO name  */
#line 9605 "gram.y"
                                {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_MATVIEW;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41105 "gram.c"
    break;

  case 1293: /* RenameStmt: ALTER MATERIALIZED VIEW IF_P EXISTS qualified_name RENAME opt_column name TO name  */
#line 9617 "gram.y"
                                {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_MATVIEW;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 41121 "gram.c"
    break;

  case 1294: /* RenameStmt: ALTER TABLE relation_expr RENAME CONSTRAINT name TO name  */
#line 9629 "gram.y"
                                {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_TABCONSTRAINT;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41136 "gram.c"
    break;

  case 1295: /* RenameStmt: ALTER TABLE IF_P EXISTS relation_expr RENAME CONSTRAINT name TO name  */
#line 9640 "gram.y"
                                {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_TABCONSTRAINT;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 41151 "gram.c"
    break;

  case 1296: /* RenameStmt: ALTER FOREIGN TABLE relation_expr RENAME opt_column name TO name  */
#line 9651 "gram.y"
                                {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_FOREIGN_TABLE;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41167 "gram.c"
    break;

  case 1297: /* RenameStmt: ALTER FOREIGN TABLE IF_P EXISTS relation_expr RENAME opt_column name TO name  */
#line 9663 "gram.y"
                                {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_FOREIGN_TABLE;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 41183 "gram.c"
    break;

  case 1298: /* RenameStmt: ALTER RULE name ON qualified_name RENAME TO name  */
#line 9675 "gram.y"
                                {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_RULE;
					n->relation = (yyvsp[-3].range);
					n->subname = (yyvsp[-5].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41198 "gram.c"
    break;

  case 1299: /* RenameStmt: ALTER TRIGGER name ON qualified_name RENAME TO name  */
#line 9686 "gram.y"
                                {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_TRIGGER;
					n->relation = (yyvsp[-3].range);
					n->subname = (yyvsp[-5].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41213 "gram.c"
    break;

  case 1300: /* RenameStmt: ALTER EVENT TRIGGER name RENAME TO name  */
#line 9697 "gram.y"
                                {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_EVENT_TRIGGER;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newname = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 41226 "gram.c"
    break;

  case 1301: /* RenameStmt: ALTER ROLE RoleId RENAME TO RoleId  */
#line 9706 "gram.y"
                                {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_ROLE;
					n->subname = (yyvsp[-3].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41240 "gram.c"
    break;

  case 1302: /* RenameStmt: ALTER USER RoleId RENAME TO RoleId  */
#line 9716 "gram.y"
                                {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_ROLE;
					n->subname = (yyvsp[-3].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41254 "gram.c"
    break;

  case 1303: /* RenameStmt: ALTER TABLESPACE name RENAME TO name  */
#line 9726 "gram.y"
                                {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_TABLESPACE;
					n->subname = (yyvsp[-3].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41268 "gram.c"
    break;

  case 1304: /* RenameStmt: ALTER STATISTICS any_name RENAME TO name  */
#line 9736 "gram.y"
                                {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_STATISTIC_EXT;
					n->object = (Node *) (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41282 "gram.c"
    break;

  case 1305: /* RenameStmt: ALTER TEXT_P SEARCH PARSER any_name RENAME TO name  */
#line 9746 "gram.y"
                                {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_TSPARSER;
					n->object = (Node *) (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41296 "gram.c"
    break;

  case 1306: /* RenameStmt: ALTER TEXT_P SEARCH DICTIONARY any_name RENAME TO name  */
#line 9756 "gram.y"
                                {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_TSDICTIONARY;
					n->object = (Node *) (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41310 "gram.c"
    break;

  case 1307: /* RenameStmt: ALTER TEXT_P SEARCH TEMPLATE any_name RENAME TO name  */
#line 9766 "gram.y"
                                {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_TSTEMPLATE;
					n->object = (Node *) (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41324 "gram.c"
    break;

  case 1308: /* RenameStmt: ALTER TEXT_P SEARCH CONFIGURATION any_name RENAME TO name  */
#line 9776 "gram.y"
                                {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_TSCONFIGURATION;
					n->object = (Node *) (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41338 "gram.c"
    break;

  case 1309: /* RenameStmt: ALTER TYPE_P any_name RENAME TO name  */
#line 9786 "gram.y"
                                {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_TYPE;
					n->object = (Node *) (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41352 "gram.c"
    break;

  case 1310: /* RenameStmt: ALTER TYPE_P any_name RENAME ATTRIBUTE name TO name opt_drop_behavior  */
#line 9796 "gram.y"
                                {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_ATTRIBUTE;
					n->relationType = OBJECT_TYPE;
					n->relation = makeRangeVarFromAnyName((yyvsp[-6].list), (yylsp[-6]), yyscanner);
					n->subname = (yyvsp[-3].str);
					n->newname = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41369 "gram.c"
    break;

  case 1313: /* opt_set_data: SET DATA_P  */
#line 9814 "gram.y"
                                                                                { (yyval.ival) = 1; }
#line 41375 "gram.c"
    break;

  case 1314: /* opt_set_data: %empty  */
#line 9815 "gram.y"
                                                                                                { (yyval.ival) = 0; }
#line 41381 "gram.c"
    break;

  case 1315: /* AlterObjectDependsStmt: ALTER FUNCTION function_with_argtypes opt_no DEPENDS ON EXTENSION name  */
#line 9826 "gram.y"
                                {
					AlterObjectDependsStmt *n = makeNode(AlterObjectDependsStmt);

					n->objectType = OBJECT_FUNCTION;
					n->object = (Node *) (yyvsp[-5].objwithargs);
					n->extname = makeString((yyvsp[0].str));
					n->remove = (yyvsp[-4].boolean);
					(yyval.node) = (Node *) n;
				}
#line 41395 "gram.c"
    break;

  case 1316: /* AlterObjectDependsStmt: ALTER PROCEDURE function_with_argtypes opt_no DEPENDS ON EXTENSION name  */
#line 9836 "gram.y"
                                {
					AlterObjectDependsStmt *n = makeNode(AlterObjectDependsStmt);

					n->objectType = OBJECT_PROCEDURE;
					n->object = (Node *) (yyvsp[-5].objwithargs);
					n->extname = makeString((yyvsp[0].str));
					n->remove = (yyvsp[-4].boolean);
					(yyval.node) = (Node *) n;
				}
#line 41409 "gram.c"
    break;

  case 1317: /* AlterObjectDependsStmt: ALTER ROUTINE function_with_argtypes opt_no DEPENDS ON EXTENSION name  */
#line 9846 "gram.y"
                                {
					AlterObjectDependsStmt *n = makeNode(AlterObjectDependsStmt);

					n->objectType = OBJECT_ROUTINE;
					n->object = (Node *) (yyvsp[-5].objwithargs);
					n->extname = makeString((yyvsp[0].str));
					n->remove = (yyvsp[-4].boolean);
					(yyval.node) = (Node *) n;
				}
#line 41423 "gram.c"
    break;

  case 1318: /* AlterObjectDependsStmt: ALTER TRIGGER name ON qualified_name opt_no DEPENDS ON EXTENSION name  */
#line 9856 "gram.y"
                                {
					AlterObjectDependsStmt *n = makeNode(AlterObjectDependsStmt);

					n->objectType = OBJECT_TRIGGER;
					n->relation = (yyvsp[-5].range);
					n->object = (Node *) list_make1(makeString((yyvsp[-7].str)));
					n->extname = makeString((yyvsp[0].str));
					n->remove = (yyvsp[-4].boolean);
					(yyval.node) = (Node *) n;
				}
#line 41438 "gram.c"
    break;

  case 1319: /* AlterObjectDependsStmt: ALTER MATERIALIZED VIEW qualified_name opt_no DEPENDS ON EXTENSION name  */
#line 9867 "gram.y"
                                {
					AlterObjectDependsStmt *n = makeNode(AlterObjectDependsStmt);

					n->objectType = OBJECT_MATVIEW;
					n->relation = (yyvsp[-5].range);
					n->extname = makeString((yyvsp[0].str));
					n->remove = (yyvsp[-4].boolean);
					(yyval.node) = (Node *) n;
				}
#line 41452 "gram.c"
    break;

  case 1320: /* AlterObjectDependsStmt: ALTER INDEX qualified_name opt_no DEPENDS ON EXTENSION name  */
#line 9877 "gram.y"
                                {
					AlterObjectDependsStmt *n = makeNode(AlterObjectDependsStmt);

					n->objectType = OBJECT_INDEX;
					n->relation = (yyvsp[-5].range);
					n->extname = makeString((yyvsp[0].str));
					n->remove = (yyvsp[-4].boolean);
					(yyval.node) = (Node *) n;
				}
#line 41466 "gram.c"
    break;

  case 1321: /* opt_no: NO  */
#line 9888 "gram.y"
                                                { (yyval.boolean) = true; }
#line 41472 "gram.c"
    break;

  case 1322: /* opt_no: %empty  */
#line 9889 "gram.y"
                                        { (yyval.boolean) = false;	}
#line 41478 "gram.c"
    break;

  case 1323: /* AlterObjectSchemaStmt: ALTER AGGREGATE aggregate_with_argtypes SET SCHEMA name  */
#line 9900 "gram.y"
                                {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_AGGREGATE;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41492 "gram.c"
    break;

  case 1324: /* AlterObjectSchemaStmt: ALTER COLLATION any_name SET SCHEMA name  */
#line 9910 "gram.y"
                                {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_COLLATION;
					n->object = (Node *) (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41506 "gram.c"
    break;

  case 1325: /* AlterObjectSchemaStmt: ALTER CONVERSION_P any_name SET SCHEMA name  */
#line 9920 "gram.y"
                                {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_CONVERSION;
					n->object = (Node *) (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41520 "gram.c"
    break;

  case 1326: /* AlterObjectSchemaStmt: ALTER DOMAIN_P any_name SET SCHEMA name  */
#line 9930 "gram.y"
                                {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_DOMAIN;
					n->object = (Node *) (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41534 "gram.c"
    break;

  case 1327: /* AlterObjectSchemaStmt: ALTER EXTENSION name SET SCHEMA name  */
#line 9940 "gram.y"
                                {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_EXTENSION;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41548 "gram.c"
    break;

  case 1328: /* AlterObjectSchemaStmt: ALTER FUNCTION function_with_argtypes SET SCHEMA name  */
#line 9950 "gram.y"
                                {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_FUNCTION;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41562 "gram.c"
    break;

  case 1329: /* AlterObjectSchemaStmt: ALTER OPERATOR operator_with_argtypes SET SCHEMA name  */
#line 9960 "gram.y"
                                {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_OPERATOR;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41576 "gram.c"
    break;

  case 1330: /* AlterObjectSchemaStmt: ALTER OPERATOR CLASS any_name USING name SET SCHEMA name  */
#line 9970 "gram.y"
                                {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_OPCLASS;
					n->object = (Node *) lcons(makeString((yyvsp[-3].str)), (yyvsp[-5].list));
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41590 "gram.c"
    break;

  case 1331: /* AlterObjectSchemaStmt: ALTER OPERATOR FAMILY any_name USING name SET SCHEMA name  */
#line 9980 "gram.y"
                                {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_OPFAMILY;
					n->object = (Node *) lcons(makeString((yyvsp[-3].str)), (yyvsp[-5].list));
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41604 "gram.c"
    break;

  case 1332: /* AlterObjectSchemaStmt: ALTER PROCEDURE function_with_argtypes SET SCHEMA name  */
#line 9990 "gram.y"
                                {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_PROCEDURE;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41618 "gram.c"
    break;

  case 1333: /* AlterObjectSchemaStmt: ALTER ROUTINE function_with_argtypes SET SCHEMA name  */
#line 10000 "gram.y"
                                {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_ROUTINE;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41632 "gram.c"
    break;

  case 1334: /* AlterObjectSchemaStmt: ALTER TABLE relation_expr SET SCHEMA name  */
#line 10010 "gram.y"
                                {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_TABLE;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41646 "gram.c"
    break;

  case 1335: /* AlterObjectSchemaStmt: ALTER TABLE IF_P EXISTS relation_expr SET SCHEMA name  */
#line 10020 "gram.y"
                                {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_TABLE;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 41660 "gram.c"
    break;

  case 1336: /* AlterObjectSchemaStmt: ALTER STATISTICS any_name SET SCHEMA name  */
#line 10030 "gram.y"
                                {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_STATISTIC_EXT;
					n->object = (Node *) (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41674 "gram.c"
    break;

  case 1337: /* AlterObjectSchemaStmt: ALTER TEXT_P SEARCH PARSER any_name SET SCHEMA name  */
#line 10040 "gram.y"
                                {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_TSPARSER;
					n->object = (Node *) (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41688 "gram.c"
    break;

  case 1338: /* AlterObjectSchemaStmt: ALTER TEXT_P SEARCH DICTIONARY any_name SET SCHEMA name  */
#line 10050 "gram.y"
                                {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_TSDICTIONARY;
					n->object = (Node *) (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41702 "gram.c"
    break;

  case 1339: /* AlterObjectSchemaStmt: ALTER TEXT_P SEARCH TEMPLATE any_name SET SCHEMA name  */
#line 10060 "gram.y"
                                {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_TSTEMPLATE;
					n->object = (Node *) (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41716 "gram.c"
    break;

  case 1340: /* AlterObjectSchemaStmt: ALTER TEXT_P SEARCH CONFIGURATION any_name SET SCHEMA name  */
#line 10070 "gram.y"
                                {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_TSCONFIGURATION;
					n->object = (Node *) (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41730 "gram.c"
    break;

  case 1341: /* AlterObjectSchemaStmt: ALTER SEQUENCE qualified_name SET SCHEMA name  */
#line 10080 "gram.y"
                                {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_SEQUENCE;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41744 "gram.c"
    break;

  case 1342: /* AlterObjectSchemaStmt: ALTER SEQUENCE IF_P EXISTS qualified_name SET SCHEMA name  */
#line 10090 "gram.y"
                                {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_SEQUENCE;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 41758 "gram.c"
    break;

  case 1343: /* AlterObjectSchemaStmt: ALTER VIEW qualified_name SET SCHEMA name  */
#line 10100 "gram.y"
                                {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_VIEW;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41772 "gram.c"
    break;

  case 1344: /* AlterObjectSchemaStmt: ALTER VIEW IF_P EXISTS qualified_name SET SCHEMA name  */
#line 10110 "gram.y"
                                {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_VIEW;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 41786 "gram.c"
    break;

  case 1345: /* AlterObjectSchemaStmt: ALTER MATERIALIZED VIEW qualified_name SET SCHEMA name  */
#line 10120 "gram.y"
                                {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_MATVIEW;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41800 "gram.c"
    break;

  case 1346: /* AlterObjectSchemaStmt: ALTER MATERIALIZED VIEW IF_P EXISTS qualified_name SET SCHEMA name  */
#line 10130 "gram.y"
                                {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_MATVIEW;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 41814 "gram.c"
    break;

  case 1347: /* AlterObjectSchemaStmt: ALTER FOREIGN TABLE relation_expr SET SCHEMA name  */
#line 10140 "gram.y"
                                {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_FOREIGN_TABLE;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41828 "gram.c"
    break;

  case 1348: /* AlterObjectSchemaStmt: ALTER FOREIGN TABLE IF_P EXISTS relation_expr SET SCHEMA name  */
#line 10150 "gram.y"
                                {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_FOREIGN_TABLE;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 41842 "gram.c"
    break;

  case 1349: /* AlterObjectSchemaStmt: ALTER TYPE_P any_name SET SCHEMA name  */
#line 10160 "gram.y"
                                {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_TYPE;
					n->object = (Node *) (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41856 "gram.c"
    break;

  case 1350: /* AlterOperatorStmt: ALTER OPERATOR operator_with_argtypes SET '(' operator_def_list ')'  */
#line 10179 "gram.y"
                                {
					AlterOperatorStmt *n = makeNode(AlterOperatorStmt);

					n->opername = (yyvsp[-4].objwithargs);
					n->options = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 41868 "gram.c"
    break;

  case 1351: /* operator_def_list: operator_def_elem  */
#line 10188 "gram.y"
                                                                                                        { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 41874 "gram.c"
    break;

  case 1352: /* operator_def_list: operator_def_list ',' operator_def_elem  */
#line 10189 "gram.y"
                                                                                                { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt)); }
#line 41880 "gram.c"
    break;

  case 1353: /* operator_def_elem: ColLabel '=' NONE  */
#line 10193 "gram.y"
                                                { (yyval.defelt) = makeDefElem((yyvsp[-2].str), NULL, (yylsp[-2])); }
#line 41886 "gram.c"
    break;

  case 1354: /* operator_def_elem: ColLabel '=' operator_def_arg  */
#line 10195 "gram.y"
                                                { (yyval.defelt) = makeDefElem((yyvsp[-2].str), (Node *) (yyvsp[0].node), (yylsp[-2])); }
#line 41892 "gram.c"
    break;

  case 1355: /* operator_def_elem: ColLabel  */
#line 10197 "gram.y"
                                                { (yyval.defelt) = makeDefElem((yyvsp[0].str), NULL, (yylsp[0])); }
#line 41898 "gram.c"
    break;

  case 1356: /* operator_def_arg: func_type  */
#line 10202 "gram.y"
                                                                                { (yyval.node) = (Node *) (yyvsp[0].typnam); }
#line 41904 "gram.c"
    break;

  case 1357: /* operator_def_arg: reserved_keyword  */
#line 10203 "gram.y"
                                                                        { (yyval.node) = (Node *) makeString(pstrdup((yyvsp[0].keyword))); }
#line 41910 "gram.c"
    break;

  case 1358: /* operator_def_arg: qual_all_Op  */
#line 10204 "gram.y"
                                                                        { (yyval.node) = (Node *) (yyvsp[0].list); }
#line 41916 "gram.c"
    break;

  case 1359: /* operator_def_arg: NumericOnly  */
#line 10205 "gram.y"
                                                                        { (yyval.node) = (Node *) (yyvsp[0].node); }
#line 41922 "gram.c"
    break;

  case 1360: /* operator_def_arg: Sconst  */
#line 10206 "gram.y"
                                                                                { (yyval.node) = (Node *) makeString((yyvsp[0].str)); }
#line 41928 "gram.c"
    break;

  case 1361: /* AlterTypeStmt: ALTER TYPE_P any_name SET '(' operator_def_list ')'  */
#line 10219 "gram.y"
                                {
					AlterTypeStmt *n = makeNode(AlterTypeStmt);

					n->typeName = (yyvsp[-4].list);
					n->options = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 41940 "gram.c"
    break;

  case 1362: /* AlterOwnerStmt: ALTER AGGREGATE aggregate_with_argtypes OWNER TO RoleSpec  */
#line 10235 "gram.y"
                                {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_AGGREGATE;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 41953 "gram.c"
    break;

  case 1363: /* AlterOwnerStmt: ALTER COLLATION any_name OWNER TO RoleSpec  */
#line 10244 "gram.y"
                                {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_COLLATION;
					n->object = (Node *) (yyvsp[-3].list);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 41966 "gram.c"
    break;

  case 1364: /* AlterOwnerStmt: ALTER CONVERSION_P any_name OWNER TO RoleSpec  */
#line 10253 "gram.y"
                                {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_CONVERSION;
					n->object = (Node *) (yyvsp[-3].list);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 41979 "gram.c"
    break;

  case 1365: /* AlterOwnerStmt: ALTER DATABASE name OWNER TO RoleSpec  */
#line 10262 "gram.y"
                                {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_DATABASE;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 41992 "gram.c"
    break;

  case 1366: /* AlterOwnerStmt: ALTER DOMAIN_P any_name OWNER TO RoleSpec  */
#line 10271 "gram.y"
                                {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_DOMAIN;
					n->object = (Node *) (yyvsp[-3].list);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 42005 "gram.c"
    break;

  case 1367: /* AlterOwnerStmt: ALTER FUNCTION function_with_argtypes OWNER TO RoleSpec  */
#line 10280 "gram.y"
                                {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_FUNCTION;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 42018 "gram.c"
    break;

  case 1368: /* AlterOwnerStmt: ALTER opt_procedural LANGUAGE name OWNER TO RoleSpec  */
#line 10289 "gram.y"
                                {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_LANGUAGE;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 42031 "gram.c"
    break;

  case 1369: /* AlterOwnerStmt: ALTER LARGE_P OBJECT_P NumericOnly OWNER TO RoleSpec  */
#line 10298 "gram.y"
                                {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_LARGEOBJECT;
					n->object = (Node *) (yyvsp[-3].node);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 42044 "gram.c"
    break;

  case 1370: /* AlterOwnerStmt: ALTER OPERATOR operator_with_argtypes OWNER TO RoleSpec  */
#line 10307 "gram.y"
                                {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_OPERATOR;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 42057 "gram.c"
    break;

  case 1371: /* AlterOwnerStmt: ALTER OPERATOR CLASS any_name USING name OWNER TO RoleSpec  */
#line 10316 "gram.y"
                                {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_OPCLASS;
					n->object = (Node *) lcons(makeString((yyvsp[-3].str)), (yyvsp[-5].list));
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 42070 "gram.c"
    break;

  case 1372: /* AlterOwnerStmt: ALTER OPERATOR FAMILY any_name USING name OWNER TO RoleSpec  */
#line 10325 "gram.y"
                                {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_OPFAMILY;
					n->object = (Node *) lcons(makeString((yyvsp[-3].str)), (yyvsp[-5].list));
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 42083 "gram.c"
    break;

  case 1373: /* AlterOwnerStmt: ALTER PROCEDURE function_with_argtypes OWNER TO RoleSpec  */
#line 10334 "gram.y"
                                {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_PROCEDURE;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 42096 "gram.c"
    break;

  case 1374: /* AlterOwnerStmt: ALTER ROUTINE function_with_argtypes OWNER TO RoleSpec  */
#line 10343 "gram.y"
                                {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_ROUTINE;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 42109 "gram.c"
    break;

  case 1375: /* AlterOwnerStmt: ALTER SCHEMA name OWNER TO RoleSpec  */
#line 10352 "gram.y"
                                {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_SCHEMA;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 42122 "gram.c"
    break;

  case 1376: /* AlterOwnerStmt: ALTER TYPE_P any_name OWNER TO RoleSpec  */
#line 10361 "gram.y"
                                {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_TYPE;
					n->object = (Node *) (yyvsp[-3].list);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 42135 "gram.c"
    break;

  case 1377: /* AlterOwnerStmt: ALTER TABLESPACE name OWNER TO RoleSpec  */
#line 10370 "gram.y"
                                {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_TABLESPACE;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 42148 "gram.c"
    break;

  case 1378: /* AlterOwnerStmt: ALTER STATISTICS any_name OWNER TO RoleSpec  */
#line 10379 "gram.y"
                                {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_STATISTIC_EXT;
					n->object = (Node *) (yyvsp[-3].list);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 42161 "gram.c"
    break;

  case 1379: /* AlterOwnerStmt: ALTER TEXT_P SEARCH DICTIONARY any_name OWNER TO RoleSpec  */
#line 10388 "gram.y"
                                {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_TSDICTIONARY;
					n->object = (Node *) (yyvsp[-3].list);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 42174 "gram.c"
    break;

  case 1380: /* AlterOwnerStmt: ALTER TEXT_P SEARCH CONFIGURATION any_name OWNER TO RoleSpec  */
#line 10397 "gram.y"
                                {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_TSCONFIGURATION;
					n->object = (Node *) (yyvsp[-3].list);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 42187 "gram.c"
    break;

  case 1381: /* AlterOwnerStmt: ALTER FOREIGN DATA_P WRAPPER name OWNER TO RoleSpec  */
#line 10406 "gram.y"
                                {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_FDW;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 42200 "gram.c"
    break;

  case 1382: /* AlterOwnerStmt: ALTER SERVER name OWNER TO RoleSpec  */
#line 10415 "gram.y"
                                {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_FOREIGN_SERVER;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 42213 "gram.c"
    break;

  case 1383: /* AlterOwnerStmt: ALTER EVENT TRIGGER name OWNER TO RoleSpec  */
#line 10424 "gram.y"
                                {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_EVENT_TRIGGER;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 42226 "gram.c"
    break;

  case 1384: /* AlterOwnerStmt: ALTER PUBLICATION name OWNER TO RoleSpec  */
#line 10433 "gram.y"
                                {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_PUBLICATION;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 42239 "gram.c"
    break;

  case 1385: /* AlterOwnerStmt: ALTER SUBSCRIPTION name OWNER TO RoleSpec  */
#line 10442 "gram.y"
                                {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_SUBSCRIPTION;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 42252 "gram.c"
    break;

  case 1386: /* CreatePublicationStmt: CREATE PUBLICATION name opt_definition  */
#line 10470 "gram.y"
                                {
					CreatePublicationStmt *n = makeNode(CreatePublicationStmt);

					n->pubname = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 42264 "gram.c"
    break;

  case 1387: /* CreatePublicationStmt: CREATE PUBLICATION name FOR ALL TABLES opt_definition  */
#line 10478 "gram.y"
                                {
					CreatePublicationStmt *n = makeNode(CreatePublicationStmt);

					n->pubname = (yyvsp[-4].str);
					n->options = (yyvsp[0].list);
					n->for_all_tables = true;
					(yyval.node) = (Node *) n;
				}
#line 42277 "gram.c"
    break;

  case 1388: /* CreatePublicationStmt: CREATE PUBLICATION name FOR pub_obj_list opt_definition  */
#line 10487 "gram.y"
                                {
					CreatePublicationStmt *n = makeNode(CreatePublicationStmt);

					n->pubname = (yyvsp[-3].str);
					n->options = (yyvsp[0].list);
					n->pubobjects = (List *) (yyvsp[-1].list);
					preprocess_pubobj_list(n->pubobjects, yyscanner);
					(yyval.node) = (Node *) n;
				}
#line 42291 "gram.c"
    break;

  case 1389: /* PublicationObjSpec: TABLE relation_expr opt_column_list OptWhereClause  */
#line 10513 "gram.y"
                                {
					(yyval.publicationobjectspec) = makeNode(PublicationObjSpec);
					(yyval.publicationobjectspec)->pubobjtype = PUBLICATIONOBJ_TABLE;
					(yyval.publicationobjectspec)->pubtable = makeNode(PublicationTable);
					(yyval.publicationobjectspec)->pubtable->relation = (yyvsp[-2].range);
					(yyval.publicationobjectspec)->pubtable->columns = (yyvsp[-1].list);
					(yyval.publicationobjectspec)->pubtable->whereClause = (yyvsp[0].node);
				}
#line 42304 "gram.c"
    break;

  case 1390: /* PublicationObjSpec: TABLES IN_P SCHEMA ColId  */
#line 10522 "gram.y"
                                {
					(yyval.publicationobjectspec) = makeNode(PublicationObjSpec);
					(yyval.publicationobjectspec)->pubobjtype = PUBLICATIONOBJ_TABLES_IN_SCHEMA;
					(yyval.publicationobjectspec)->name = (yyvsp[0].str);
					(yyval.publicationobjectspec)->location = (yylsp[0]);
				}
#line 42315 "gram.c"
    break;

  case 1391: /* PublicationObjSpec: TABLES IN_P SCHEMA CURRENT_SCHEMA  */
#line 10529 "gram.y"
                                {
					(yyval.publicationobjectspec) = makeNode(PublicationObjSpec);
					(yyval.publicationobjectspec)->pubobjtype = PUBLICATIONOBJ_TABLES_IN_CUR_SCHEMA;
					(yyval.publicationobjectspec)->location = (yylsp[0]);
				}
#line 42325 "gram.c"
    break;

  case 1392: /* PublicationObjSpec: ColId opt_column_list OptWhereClause  */
#line 10535 "gram.y"
                                {
					(yyval.publicationobjectspec) = makeNode(PublicationObjSpec);
					(yyval.publicationobjectspec)->pubobjtype = PUBLICATIONOBJ_CONTINUATION;
					/*
					 * If either a row filter or column list is specified, create
					 * a PublicationTable object.
					 */
					if ((yyvsp[-1].list) || (yyvsp[0].node))
					{
						/*
						 * The OptWhereClause must be stored here but it is
						 * valid only for tables. For non-table objects, an
						 * error will be thrown later via
						 * preprocess_pubobj_list().
						 */
						(yyval.publicationobjectspec)->pubtable = makeNode(PublicationTable);
						(yyval.publicationobjectspec)->pubtable->relation = makeRangeVar(NULL, (yyvsp[-2].str), (yylsp[-2]));
						(yyval.publicationobjectspec)->pubtable->columns = (yyvsp[-1].list);
						(yyval.publicationobjectspec)->pubtable->whereClause = (yyvsp[0].node);
					}
					else
					{
						(yyval.publicationobjectspec)->name = (yyvsp[-2].str);
					}
					(yyval.publicationobjectspec)->location = (yylsp[-2]);
				}
#line 42356 "gram.c"
    break;

  case 1393: /* PublicationObjSpec: ColId indirection opt_column_list OptWhereClause  */
#line 10562 "gram.y"
                                {
					(yyval.publicationobjectspec) = makeNode(PublicationObjSpec);
					(yyval.publicationobjectspec)->pubobjtype = PUBLICATIONOBJ_CONTINUATION;
					(yyval.publicationobjectspec)->pubtable = makeNode(PublicationTable);
					(yyval.publicationobjectspec)->pubtable->relation = makeRangeVarFromQualifiedName((yyvsp[-3].str), (yyvsp[-2].list), (yylsp[-3]), yyscanner);
					(yyval.publicationobjectspec)->pubtable->columns = (yyvsp[-1].list);
					(yyval.publicationobjectspec)->pubtable->whereClause = (yyvsp[0].node);
					(yyval.publicationobjectspec)->location = (yylsp[-3]);
				}
#line 42370 "gram.c"
    break;

  case 1394: /* PublicationObjSpec: extended_relation_expr opt_column_list OptWhereClause  */
#line 10573 "gram.y"
                                {
					(yyval.publicationobjectspec) = makeNode(PublicationObjSpec);
					(yyval.publicationobjectspec)->pubobjtype = PUBLICATIONOBJ_CONTINUATION;
					(yyval.publicationobjectspec)->pubtable = makeNode(PublicationTable);
					(yyval.publicationobjectspec)->pubtable->relation = (yyvsp[-2].range);
					(yyval.publicationobjectspec)->pubtable->columns = (yyvsp[-1].list);
					(yyval.publicationobjectspec)->pubtable->whereClause = (yyvsp[0].node);
				}
#line 42383 "gram.c"
    break;

  case 1395: /* PublicationObjSpec: CURRENT_SCHEMA  */
#line 10582 "gram.y"
                                {
					(yyval.publicationobjectspec) = makeNode(PublicationObjSpec);
					(yyval.publicationobjectspec)->pubobjtype = PUBLICATIONOBJ_CONTINUATION;
					(yyval.publicationobjectspec)->location = (yylsp[0]);
				}
#line 42393 "gram.c"
    break;

  case 1396: /* pub_obj_list: PublicationObjSpec  */
#line 10590 "gram.y"
                                        { (yyval.list) = list_make1((yyvsp[0].publicationobjectspec)); }
#line 42399 "gram.c"
    break;

  case 1397: /* pub_obj_list: pub_obj_list ',' PublicationObjSpec  */
#line 10592 "gram.y"
                                        { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].publicationobjectspec)); }
#line 42405 "gram.c"
    break;

  case 1398: /* AlterPublicationStmt: ALTER PUBLICATION name SET definition  */
#line 10614 "gram.y"
                                {
					AlterPublicationStmt *n = makeNode(AlterPublicationStmt);

					n->pubname = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 42417 "gram.c"
    break;

  case 1399: /* AlterPublicationStmt: ALTER PUBLICATION name ADD_P pub_obj_list  */
#line 10622 "gram.y"
                                {
					AlterPublicationStmt *n = makeNode(AlterPublicationStmt);

					n->pubname = (yyvsp[-2].str);
					n->pubobjects = (yyvsp[0].list);
					preprocess_pubobj_list(n->pubobjects, yyscanner);
					n->action = AP_AddObjects;
					(yyval.node) = (Node *) n;
				}
#line 42431 "gram.c"
    break;

  case 1400: /* AlterPublicationStmt: ALTER PUBLICATION name SET pub_obj_list  */
#line 10632 "gram.y"
                                {
					AlterPublicationStmt *n = makeNode(AlterPublicationStmt);

					n->pubname = (yyvsp[-2].str);
					n->pubobjects = (yyvsp[0].list);
					preprocess_pubobj_list(n->pubobjects, yyscanner);
					n->action = AP_SetObjects;
					(yyval.node) = (Node *) n;
				}
#line 42445 "gram.c"
    break;

  case 1401: /* AlterPublicationStmt: ALTER PUBLICATION name DROP pub_obj_list  */
#line 10642 "gram.y"
                                {
					AlterPublicationStmt *n = makeNode(AlterPublicationStmt);

					n->pubname = (yyvsp[-2].str);
					n->pubobjects = (yyvsp[0].list);
					preprocess_pubobj_list(n->pubobjects, yyscanner);
					n->action = AP_DropObjects;
					(yyval.node) = (Node *) n;
				}
#line 42459 "gram.c"
    break;

  case 1402: /* CreateSubscriptionStmt: CREATE SUBSCRIPTION name CONNECTION Sconst PUBLICATION name_list opt_definition  */
#line 10661 "gram.y"
                                {
					CreateSubscriptionStmt *n =
						makeNode(CreateSubscriptionStmt);
					n->subname = (yyvsp[-5].str);
					n->conninfo = (yyvsp[-3].str);
					n->publication = (yyvsp[-1].list);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 42473 "gram.c"
    break;

  case 1403: /* AlterSubscriptionStmt: ALTER SUBSCRIPTION name SET definition  */
#line 10680 "gram.y"
                                {
					AlterSubscriptionStmt *n =
						makeNode(AlterSubscriptionStmt);

					n->kind = ALTER_SUBSCRIPTION_OPTIONS;
					n->subname = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 42487 "gram.c"
    break;

  case 1404: /* AlterSubscriptionStmt: ALTER SUBSCRIPTION name CONNECTION Sconst  */
#line 10690 "gram.y"
                                {
					AlterSubscriptionStmt *n =
						makeNode(AlterSubscriptionStmt);

					n->kind = ALTER_SUBSCRIPTION_CONNECTION;
					n->subname = (yyvsp[-2].str);
					n->conninfo = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 42501 "gram.c"
    break;

  case 1405: /* AlterSubscriptionStmt: ALTER SUBSCRIPTION name REFRESH PUBLICATION opt_definition  */
#line 10700 "gram.y"
                                {
					AlterSubscriptionStmt *n =
						makeNode(AlterSubscriptionStmt);

					n->kind = ALTER_SUBSCRIPTION_REFRESH;
					n->subname = (yyvsp[-3].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 42515 "gram.c"
    break;

  case 1406: /* AlterSubscriptionStmt: ALTER SUBSCRIPTION name ADD_P PUBLICATION name_list opt_definition  */
#line 10710 "gram.y"
                                {
					AlterSubscriptionStmt *n =
						makeNode(AlterSubscriptionStmt);

					n->kind = ALTER_SUBSCRIPTION_ADD_PUBLICATION;
					n->subname = (yyvsp[-4].str);
					n->publication = (yyvsp[-1].list);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 42530 "gram.c"
    break;

  case 1407: /* AlterSubscriptionStmt: ALTER SUBSCRIPTION name DROP PUBLICATION name_list opt_definition  */
#line 10721 "gram.y"
                                {
					AlterSubscriptionStmt *n =
						makeNode(AlterSubscriptionStmt);

					n->kind = ALTER_SUBSCRIPTION_DROP_PUBLICATION;
					n->subname = (yyvsp[-4].str);
					n->publication = (yyvsp[-1].list);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 42545 "gram.c"
    break;

  case 1408: /* AlterSubscriptionStmt: ALTER SUBSCRIPTION name SET PUBLICATION name_list opt_definition  */
#line 10732 "gram.y"
                                {
					AlterSubscriptionStmt *n =
						makeNode(AlterSubscriptionStmt);

					n->kind = ALTER_SUBSCRIPTION_SET_PUBLICATION;
					n->subname = (yyvsp[-4].str);
					n->publication = (yyvsp[-1].list);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 42560 "gram.c"
    break;

  case 1409: /* AlterSubscriptionStmt: ALTER SUBSCRIPTION name ENABLE_P  */
#line 10743 "gram.y"
                                {
					AlterSubscriptionStmt *n =
						makeNode(AlterSubscriptionStmt);

					n->kind = ALTER_SUBSCRIPTION_ENABLED;
					n->subname = (yyvsp[-1].str);
					n->options = list_make1(makeDefElem("enabled",
											(Node *) makeBoolean(true), (yylsp[-3])));
					(yyval.node) = (Node *) n;
				}
#line 42575 "gram.c"
    break;

  case 1410: /* AlterSubscriptionStmt: ALTER SUBSCRIPTION name DISABLE_P  */
#line 10754 "gram.y"
                                {
					AlterSubscriptionStmt *n =
						makeNode(AlterSubscriptionStmt);

					n->kind = ALTER_SUBSCRIPTION_ENABLED;
					n->subname = (yyvsp[-1].str);
					n->options = list_make1(makeDefElem("enabled",
											(Node *) makeBoolean(false), (yylsp[-3])));
					(yyval.node) = (Node *) n;
				}
#line 42590 "gram.c"
    break;

  case 1411: /* AlterSubscriptionStmt: ALTER SUBSCRIPTION name SKIP definition  */
#line 10765 "gram.y"
                                {
					AlterSubscriptionStmt *n =
						makeNode(AlterSubscriptionStmt);

					n->kind = ALTER_SUBSCRIPTION_SKIP;
					n->subname = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 42604 "gram.c"
    break;

  case 1412: /* DropSubscriptionStmt: DROP SUBSCRIPTION name opt_drop_behavior  */
#line 10783 "gram.y"
                                {
					DropSubscriptionStmt *n = makeNode(DropSubscriptionStmt);

					n->subname = (yyvsp[-1].str);
					n->missing_ok = false;
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *) n;
				}
#line 42617 "gram.c"
    break;

  case 1413: /* DropSubscriptionStmt: DROP SUBSCRIPTION IF_P EXISTS name opt_drop_behavior  */
#line 10792 "gram.y"
                                {
					DropSubscriptionStmt *n = makeNode(DropSubscriptionStmt);

					n->subname = (yyvsp[-1].str);
					n->missing_ok = true;
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *) n;
				}
#line 42630 "gram.c"
    break;

  case 1414: /* RuleStmt: CREATE opt_or_replace RULE name AS ON event TO qualified_name where_clause DO opt_instead RuleActionList  */
#line 10811 "gram.y"
                                {
					RuleStmt   *n = makeNode(RuleStmt);

					n->replace = (yyvsp[-11].boolean);
					n->relation = (yyvsp[-4].range);
					n->rulename = (yyvsp[-9].str);
					n->whereClause = (yyvsp[-3].node);
					n->event = (yyvsp[-6].ival);
					n->instead = (yyvsp[-1].boolean);
					n->actions = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 42647 "gram.c"
    break;

  case 1415: /* RuleActionList: NOTHING  */
#line 10826 "gram.y"
                                                                                                { (yyval.list) = NIL; }
#line 42653 "gram.c"
    break;

  case 1416: /* RuleActionList: RuleActionStmt  */
#line 10827 "gram.y"
                                                                                        { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 42659 "gram.c"
    break;

  case 1417: /* RuleActionList: '(' RuleActionMulti ')'  */
#line 10828 "gram.y"
                                                                                { (yyval.list) = (yyvsp[-1].list); }
#line 42665 "gram.c"
    break;

  case 1418: /* RuleActionMulti: RuleActionMulti ';' RuleActionStmtOrEmpty  */
#line 10834 "gram.y"
                                { if ((yyvsp[0].node) != NULL)
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));
				  else
					(yyval.list) = (yyvsp[-2].list);
				}
#line 42675 "gram.c"
    break;

  case 1419: /* RuleActionMulti: RuleActionStmtOrEmpty  */
#line 10840 "gram.y"
                                { if ((yyvsp[0].node) != NULL)
					(yyval.list) = list_make1((yyvsp[0].node));
				  else
					(yyval.list) = NIL;
				}
#line 42685 "gram.c"
    break;

  case 1425: /* RuleActionStmtOrEmpty: RuleActionStmt  */
#line 10856 "gram.y"
                                                                                        { (yyval.node) = (yyvsp[0].node); }
#line 42691 "gram.c"
    break;

  case 1426: /* RuleActionStmtOrEmpty: %empty  */
#line 10857 "gram.y"
                                                                                                { (yyval.node) = NULL; }
#line 42697 "gram.c"
    break;

  case 1427: /* event: SELECT  */
#line 10860 "gram.y"
                                                                                        { (yyval.ival) = CMD_SELECT; }
#line 42703 "gram.c"
    break;

  case 1428: /* event: UPDATE  */
#line 10861 "gram.y"
                                                                                                { (yyval.ival) = CMD_UPDATE; }
#line 42709 "gram.c"
    break;

  case 1429: /* event: DELETE_P  */
#line 10862 "gram.y"
                                                                                                { (yyval.ival) = CMD_DELETE; }
#line 42715 "gram.c"
    break;

  case 1430: /* event: INSERT  */
#line 10863 "gram.y"
                                                                                                { (yyval.ival) = CMD_INSERT; }
#line 42721 "gram.c"
    break;

  case 1431: /* opt_instead: INSTEAD  */
#line 10867 "gram.y"
                                                                                                { (yyval.boolean) = true; }
#line 42727 "gram.c"
    break;

  case 1432: /* opt_instead: ALSO  */
#line 10868 "gram.y"
                                                                                                { (yyval.boolean) = false; }
#line 42733 "gram.c"
    break;

  case 1433: /* opt_instead: %empty  */
#line 10869 "gram.y"
                                                                                                { (yyval.boolean) = false; }
#line 42739 "gram.c"
    break;

  case 1434: /* NotifyStmt: NOTIFY ColId notify_payload  */
#line 10882 "gram.y"
                                {
					NotifyStmt *n = makeNode(NotifyStmt);

					n->conditionname = (yyvsp[-1].str);
					n->payload = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 42751 "gram.c"
    break;

  case 1435: /* notify_payload: ',' Sconst  */
#line 10892 "gram.y"
                                                                                        { (yyval.str) = (yyvsp[0].str); }
#line 42757 "gram.c"
    break;

  case 1436: /* notify_payload: %empty  */
#line 10893 "gram.y"
                                                                                        { (yyval.str) = NULL; }
#line 42763 "gram.c"
    break;

  case 1437: /* ListenStmt: LISTEN ColId  */
#line 10897 "gram.y"
                                {
					ListenStmt *n = makeNode(ListenStmt);

					n->conditionname = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 42774 "gram.c"
    break;

  case 1438: /* UnlistenStmt: UNLISTEN ColId  */
#line 10907 "gram.y"
                                {
					UnlistenStmt *n = makeNode(UnlistenStmt);

					n->conditionname = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 42785 "gram.c"
    break;

  case 1439: /* UnlistenStmt: UNLISTEN '*'  */
#line 10914 "gram.y"
                                {
					UnlistenStmt *n = makeNode(UnlistenStmt);

					n->conditionname = NULL;
					(yyval.node) = (Node *) n;
				}
#line 42796 "gram.c"
    break;

  case 1440: /* TransactionStmt: ABORT_P opt_transaction opt_transaction_chain  */
#line 10934 "gram.y"
                                {
					TransactionStmt *n = makeNode(TransactionStmt);

					n->kind = TRANS_STMT_ROLLBACK;
					n->options = NIL;
					n->chain = (yyvsp[0].boolean);
					n->location = -1;
					(yyval.node) = (Node *) n;
				}
#line 42810 "gram.c"
    break;

  case 1441: /* TransactionStmt: START TRANSACTION transaction_mode_list_or_empty  */
#line 10944 "gram.y"
                                {
					TransactionStmt *n = makeNode(TransactionStmt);

					n->kind = TRANS_STMT_START;
					n->options = (yyvsp[0].list);
					n->location = -1;
					(yyval.node) = (Node *) n;
				}
#line 42823 "gram.c"
    break;

  case 1442: /* TransactionStmt: COMMIT opt_transaction opt_transaction_chain  */
#line 10953 "gram.y"
                                {
					TransactionStmt *n = makeNode(TransactionStmt);

					n->kind = TRANS_STMT_COMMIT;
					n->options = NIL;
					n->chain = (yyvsp[0].boolean);
					n->location = -1;
					(yyval.node) = (Node *) n;
				}
#line 42837 "gram.c"
    break;

  case 1443: /* TransactionStmt: ROLLBACK opt_transaction opt_transaction_chain  */
#line 10963 "gram.y"
                                {
					TransactionStmt *n = makeNode(TransactionStmt);

					n->kind = TRANS_STMT_ROLLBACK;
					n->options = NIL;
					n->chain = (yyvsp[0].boolean);
					n->location = -1;
					(yyval.node) = (Node *) n;
				}
#line 42851 "gram.c"
    break;

  case 1444: /* TransactionStmt: SAVEPOINT ColId  */
#line 10973 "gram.y"
                                {
					TransactionStmt *n = makeNode(TransactionStmt);

					n->kind = TRANS_STMT_SAVEPOINT;
					n->savepoint_name = (yyvsp[0].str);
					n->location = (yylsp[0]);
					(yyval.node) = (Node *) n;
				}
#line 42864 "gram.c"
    break;

  case 1445: /* TransactionStmt: RELEASE SAVEPOINT ColId  */
#line 10982 "gram.y"
                                {
					TransactionStmt *n = makeNode(TransactionStmt);

					n->kind = TRANS_STMT_RELEASE;
					n->savepoint_name = (yyvsp[0].str);
					n->location = (yylsp[0]);
					(yyval.node) = (Node *) n;
				}
#line 42877 "gram.c"
    break;

  case 1446: /* TransactionStmt: RELEASE ColId  */
#line 10991 "gram.y"
                                {
					TransactionStmt *n = makeNode(TransactionStmt);

					n->kind = TRANS_STMT_RELEASE;
					n->savepoint_name = (yyvsp[0].str);
					n->location = (yylsp[0]);
					(yyval.node) = (Node *) n;
				}
#line 42890 "gram.c"
    break;

  case 1447: /* TransactionStmt: ROLLBACK opt_transaction TO SAVEPOINT ColId  */
#line 11000 "gram.y"
                                {
					TransactionStmt *n = makeNode(TransactionStmt);

					n->kind = TRANS_STMT_ROLLBACK_TO;
					n->savepoint_name = (yyvsp[0].str);
					n->location = (yylsp[0]);
					(yyval.node) = (Node *) n;
				}
#line 42903 "gram.c"
    break;

  case 1448: /* TransactionStmt: ROLLBACK opt_transaction TO ColId  */
#line 11009 "gram.y"
                                {
					TransactionStmt *n = makeNode(TransactionStmt);

					n->kind = TRANS_STMT_ROLLBACK_TO;
					n->savepoint_name = (yyvsp[0].str);
					n->location = (yylsp[0]);
					(yyval.node) = (Node *) n;
				}
#line 42916 "gram.c"
    break;

  case 1449: /* TransactionStmt: PREPARE TRANSACTION Sconst  */
#line 11018 "gram.y"
                                {
					TransactionStmt *n = makeNode(TransactionStmt);

					n->kind = TRANS_STMT_PREPARE;
					n->gid = (yyvsp[0].str);
					n->location = (yylsp[0]);
					(yyval.node) = (Node *) n;
				}
#line 42929 "gram.c"
    break;

  case 1450: /* TransactionStmt: COMMIT PREPARED Sconst  */
#line 11027 "gram.y"
                                {
					TransactionStmt *n = makeNode(TransactionStmt);

					n->kind = TRANS_STMT_COMMIT_PREPARED;
					n->gid = (yyvsp[0].str);
					n->location = (yylsp[0]);
					(yyval.node) = (Node *) n;
				}
#line 42942 "gram.c"
    break;

  case 1451: /* TransactionStmt: ROLLBACK PREPARED Sconst  */
#line 11036 "gram.y"
                                {
					TransactionStmt *n = makeNode(TransactionStmt);

					n->kind = TRANS_STMT_ROLLBACK_PREPARED;
					n->gid = (yyvsp[0].str);
					n->location = (yylsp[0]);
					(yyval.node) = (Node *) n;
				}
#line 42955 "gram.c"
    break;

  case 1452: /* TransactionStmtLegacy: BEGIN_P opt_transaction transaction_mode_list_or_empty  */
#line 11048 "gram.y"
                                {
					TransactionStmt *n = makeNode(TransactionStmt);

					n->kind = TRANS_STMT_BEGIN;
					n->options = (yyvsp[0].list);
					n->location = -1;
					(yyval.node) = (Node *) n;
				}
#line 42968 "gram.c"
    break;

  case 1453: /* TransactionStmtLegacy: END_P opt_transaction opt_transaction_chain  */
#line 11057 "gram.y"
                                {
					TransactionStmt *n = makeNode(TransactionStmt);

					n->kind = TRANS_STMT_COMMIT;
					n->options = NIL;
					n->chain = (yyvsp[0].boolean);
					n->location = -1;
					(yyval.node) = (Node *) n;
				}
#line 42982 "gram.c"
    break;

  case 1457: /* transaction_mode_item: ISOLATION LEVEL iso_level  */
#line 11075 "gram.y"
                                        { (yyval.defelt) = makeDefElem("transaction_isolation",
									   makeStringConst((yyvsp[0].str), (yylsp[0])), (yylsp[-2])); }
#line 42989 "gram.c"
    break;

  case 1458: /* transaction_mode_item: READ ONLY  */
#line 11078 "gram.y"
                                        { (yyval.defelt) = makeDefElem("transaction_read_only",
									   makeIntConst(true, (yylsp[-1])), (yylsp[-1])); }
#line 42996 "gram.c"
    break;

  case 1459: /* transaction_mode_item: READ WRITE  */
#line 11081 "gram.y"
                                        { (yyval.defelt) = makeDefElem("transaction_read_only",
									   makeIntConst(false, (yylsp[-1])), (yylsp[-1])); }
#line 43003 "gram.c"
    break;

  case 1460: /* transaction_mode_item: DEFERRABLE  */
#line 11084 "gram.y"
                                        { (yyval.defelt) = makeDefElem("transaction_deferrable",
									   makeIntConst(true, (yylsp[0])), (yylsp[0])); }
#line 43010 "gram.c"
    break;

  case 1461: /* transaction_mode_item: NOT DEFERRABLE  */
#line 11087 "gram.y"
                                        { (yyval.defelt) = makeDefElem("transaction_deferrable",
									   makeIntConst(false, (yylsp[-1])), (yylsp[-1])); }
#line 43017 "gram.c"
    break;

  case 1462: /* transaction_mode_list: transaction_mode_item  */
#line 11094 "gram.y"
                                        { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 43023 "gram.c"
    break;

  case 1463: /* transaction_mode_list: transaction_mode_list ',' transaction_mode_item  */
#line 11096 "gram.y"
                                        { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt)); }
#line 43029 "gram.c"
    break;

  case 1464: /* transaction_mode_list: transaction_mode_list transaction_mode_item  */
#line 11098 "gram.y"
                                        { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 43035 "gram.c"
    break;

  case 1466: /* transaction_mode_list_or_empty: %empty  */
#line 11104 "gram.y"
                                        { (yyval.list) = NIL; }
#line 43041 "gram.c"
    break;

  case 1467: /* opt_transaction_chain: AND CHAIN  */
#line 11108 "gram.y"
                                                { (yyval.boolean) = true; }
#line 43047 "gram.c"
    break;

  case 1468: /* opt_transaction_chain: AND NO CHAIN  */
#line 11109 "gram.y"
                                        { (yyval.boolean) = false; }
#line 43053 "gram.c"
    break;

  case 1469: /* opt_transaction_chain: %empty  */
#line 11110 "gram.y"
                                        { (yyval.boolean) = false; }
#line 43059 "gram.c"
    break;

  case 1470: /* ViewStmt: CREATE OptTemp VIEW qualified_name opt_column_list opt_reloptions AS SelectStmt opt_check_option  */
#line 11124 "gram.y"
                                {
					ViewStmt   *n = makeNode(ViewStmt);

					n->view = (yyvsp[-5].range);
					n->view->relpersistence = (yyvsp[-7].ival);
					n->aliases = (yyvsp[-4].list);
					n->query = (yyvsp[-1].node);
					n->replace = false;
					n->options = (yyvsp[-3].list);
					n->withCheckOption = (yyvsp[0].ival);
					(yyval.node) = (Node *) n;
				}
#line 43076 "gram.c"
    break;

  case 1471: /* ViewStmt: CREATE OR REPLACE OptTemp VIEW qualified_name opt_column_list opt_reloptions AS SelectStmt opt_check_option  */
#line 11138 "gram.y"
                                {
					ViewStmt   *n = makeNode(ViewStmt);

					n->view = (yyvsp[-5].range);
					n->view->relpersistence = (yyvsp[-7].ival);
					n->aliases = (yyvsp[-4].list);
					n->query = (yyvsp[-1].node);
					n->replace = true;
					n->options = (yyvsp[-3].list);
					n->withCheckOption = (yyvsp[0].ival);
					(yyval.node) = (Node *) n;
				}
#line 43093 "gram.c"
    break;

  case 1472: /* ViewStmt: CREATE OptTemp RECURSIVE VIEW qualified_name '(' columnList ')' opt_reloptions AS SelectStmt opt_check_option  */
#line 11152 "gram.y"
                                {
					ViewStmt   *n = makeNode(ViewStmt);

					n->view = (yyvsp[-7].range);
					n->view->relpersistence = (yyvsp[-10].ival);
					n->aliases = (yyvsp[-5].list);
					n->query = makeRecursiveViewSelect(n->view->relname, n->aliases, (yyvsp[-1].node));
					n->replace = false;
					n->options = (yyvsp[-3].list);
					n->withCheckOption = (yyvsp[0].ival);
					if (n->withCheckOption != NO_CHECK_OPTION)
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("WITH CHECK OPTION not supported on recursive views"),
								 parser_errposition((yylsp[0]))));
					(yyval.node) = (Node *) n;
				}
#line 43115 "gram.c"
    break;

  case 1473: /* ViewStmt: CREATE OR REPLACE OptTemp RECURSIVE VIEW qualified_name '(' columnList ')' opt_reloptions AS SelectStmt opt_check_option  */
#line 11171 "gram.y"
                                {
					ViewStmt   *n = makeNode(ViewStmt);

					n->view = (yyvsp[-7].range);
					n->view->relpersistence = (yyvsp[-10].ival);
					n->aliases = (yyvsp[-5].list);
					n->query = makeRecursiveViewSelect(n->view->relname, n->aliases, (yyvsp[-1].node));
					n->replace = true;
					n->options = (yyvsp[-3].list);
					n->withCheckOption = (yyvsp[0].ival);
					if (n->withCheckOption != NO_CHECK_OPTION)
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("WITH CHECK OPTION not supported on recursive views"),
								 parser_errposition((yylsp[0]))));
					(yyval.node) = (Node *) n;
				}
#line 43137 "gram.c"
    break;

  case 1474: /* opt_check_option: WITH CHECK OPTION  */
#line 11191 "gram.y"
                                                                { (yyval.ival) = CASCADED_CHECK_OPTION; }
#line 43143 "gram.c"
    break;

  case 1475: /* opt_check_option: WITH CASCADED CHECK OPTION  */
#line 11192 "gram.y"
                                                { (yyval.ival) = CASCADED_CHECK_OPTION; }
#line 43149 "gram.c"
    break;

  case 1476: /* opt_check_option: WITH LOCAL CHECK OPTION  */
#line 11193 "gram.y"
                                                        { (yyval.ival) = LOCAL_CHECK_OPTION; }
#line 43155 "gram.c"
    break;

  case 1477: /* opt_check_option: %empty  */
#line 11194 "gram.y"
                                                                { (yyval.ival) = NO_CHECK_OPTION; }
#line 43161 "gram.c"
    break;

  case 1478: /* LoadStmt: LOAD file_name  */
#line 11205 "gram.y"
                                {
					LoadStmt   *n = makeNode(LoadStmt);

					n->filename = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 43172 "gram.c"
    break;

  case 1479: /* CreatedbStmt: CREATE DATABASE name opt_with createdb_opt_list  */
#line 11222 "gram.y"
                                {
					CreatedbStmt *n = makeNode(CreatedbStmt);

					n->dbname = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 43184 "gram.c"
    break;

  case 1480: /* createdb_opt_list: createdb_opt_items  */
#line 11232 "gram.y"
                                                                                        { (yyval.list) = (yyvsp[0].list); }
#line 43190 "gram.c"
    break;

  case 1481: /* createdb_opt_list: %empty  */
#line 11233 "gram.y"
                                                                                        { (yyval.list) = NIL; }
#line 43196 "gram.c"
    break;

  case 1482: /* createdb_opt_items: createdb_opt_item  */
#line 11237 "gram.y"
                                                                                        { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 43202 "gram.c"
    break;

  case 1483: /* createdb_opt_items: createdb_opt_items createdb_opt_item  */
#line 11238 "gram.y"
                                                                { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 43208 "gram.c"
    break;

  case 1484: /* createdb_opt_item: createdb_opt_name opt_equal NumericOnly  */
#line 11243 "gram.y"
                                {
					(yyval.defelt) = makeDefElem((yyvsp[-2].str), (yyvsp[0].node), (yylsp[-2]));
				}
#line 43216 "gram.c"
    break;

  case 1485: /* createdb_opt_item: createdb_opt_name opt_equal opt_boolean_or_string  */
#line 11247 "gram.y"
                                {
					(yyval.defelt) = makeDefElem((yyvsp[-2].str), (Node *) makeString((yyvsp[0].str)), (yylsp[-2]));
				}
#line 43224 "gram.c"
    break;

  case 1486: /* createdb_opt_item: createdb_opt_name opt_equal DEFAULT  */
#line 11251 "gram.y"
                                {
					(yyval.defelt) = makeDefElem((yyvsp[-2].str), NULL, (yylsp[-2]));
				}
#line 43232 "gram.c"
    break;

  case 1487: /* createdb_opt_name: IDENT  */
#line 11268 "gram.y"
                                                                                { (yyval.str) = (yyvsp[0].str); }
#line 43238 "gram.c"
    break;

  case 1488: /* createdb_opt_name: CONNECTION LIMIT  */
#line 11269 "gram.y"
                                                                        { (yyval.str) = pstrdup("connection_limit"); }
#line 43244 "gram.c"
    break;

  case 1489: /* createdb_opt_name: ENCODING  */
#line 11270 "gram.y"
                                                                                { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 43250 "gram.c"
    break;

  case 1490: /* createdb_opt_name: LOCATION  */
#line 11271 "gram.y"
                                                                                { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 43256 "gram.c"
    break;

  case 1491: /* createdb_opt_name: OWNER  */
#line 11272 "gram.y"
                                                                                { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 43262 "gram.c"
    break;

  case 1492: /* createdb_opt_name: TABLESPACE  */
#line 11273 "gram.y"
                                                                        { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 43268 "gram.c"
    break;

  case 1493: /* createdb_opt_name: TEMPLATE  */
#line 11274 "gram.y"
                                                                                { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 43274 "gram.c"
    break;

  case 1496: /* AlterDatabaseStmt: ALTER DATABASE name WITH createdb_opt_list  */
#line 11294 "gram.y"
                                 {
					AlterDatabaseStmt *n = makeNode(AlterDatabaseStmt);

					n->dbname = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				 }
#line 43286 "gram.c"
    break;

  case 1497: /* AlterDatabaseStmt: ALTER DATABASE name createdb_opt_list  */
#line 11302 "gram.y"
                                 {
					AlterDatabaseStmt *n = makeNode(AlterDatabaseStmt);

					n->dbname = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				 }
#line 43298 "gram.c"
    break;

  case 1498: /* AlterDatabaseStmt: ALTER DATABASE name SET TABLESPACE name  */
#line 11310 "gram.y"
                                 {
					AlterDatabaseStmt *n = makeNode(AlterDatabaseStmt);

					n->dbname = (yyvsp[-3].str);
					n->options = list_make1(makeDefElem("tablespace",
														(Node *) makeString((yyvsp[0].str)), (yylsp[0])));
					(yyval.node) = (Node *) n;
				 }
#line 43311 "gram.c"
    break;

  case 1499: /* AlterDatabaseStmt: ALTER DATABASE name REFRESH COLLATION VERSION_P  */
#line 11319 "gram.y"
                                 {
					AlterDatabaseRefreshCollStmt *n = makeNode(AlterDatabaseRefreshCollStmt);

					n->dbname = (yyvsp[-3].str);
					(yyval.node) = (Node *) n;
				 }
#line 43322 "gram.c"
    break;

  case 1500: /* AlterDatabaseSetStmt: ALTER DATABASE name SetResetClause  */
#line 11329 "gram.y"
                                {
					AlterDatabaseSetStmt *n = makeNode(AlterDatabaseSetStmt);

					n->dbname = (yyvsp[-1].str);
					n->setstmt = (yyvsp[0].vsetstmt);
					(yyval.node) = (Node *) n;
				}
#line 43334 "gram.c"
    break;

  case 1501: /* DropdbStmt: DROP DATABASE name  */
#line 11347 "gram.y"
                                {
					DropdbStmt *n = makeNode(DropdbStmt);

					n->dbname = (yyvsp[0].str);
					n->missing_ok = false;
					n->options = NULL;
					(yyval.node) = (Node *) n;
				}
#line 43347 "gram.c"
    break;

  case 1502: /* DropdbStmt: DROP DATABASE IF_P EXISTS name  */
#line 11356 "gram.y"
                                {
					DropdbStmt *n = makeNode(DropdbStmt);

					n->dbname = (yyvsp[0].str);
					n->missing_ok = true;
					n->options = NULL;
					(yyval.node) = (Node *) n;
				}
#line 43360 "gram.c"
    break;

  case 1503: /* DropdbStmt: DROP DATABASE name opt_with '(' drop_option_list ')'  */
#line 11365 "gram.y"
                                {
					DropdbStmt *n = makeNode(DropdbStmt);

					n->dbname = (yyvsp[-4].str);
					n->missing_ok = false;
					n->options = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 43373 "gram.c"
    break;

  case 1504: /* DropdbStmt: DROP DATABASE IF_P EXISTS name opt_with '(' drop_option_list ')'  */
#line 11374 "gram.y"
                                {
					DropdbStmt *n = makeNode(DropdbStmt);

					n->dbname = (yyvsp[-4].str);
					n->missing_ok = true;
					n->options = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 43386 "gram.c"
    break;

  case 1505: /* drop_option_list: drop_option  */
#line 11386 "gram.y"
                                {
					(yyval.list) = list_make1((Node *) (yyvsp[0].defelt));
				}
#line 43394 "gram.c"
    break;

  case 1506: /* drop_option_list: drop_option_list ',' drop_option  */
#line 11390 "gram.y"
                                {
					(yyval.list) = lappend((yyvsp[-2].list), (Node *) (yyvsp[0].defelt));
				}
#line 43402 "gram.c"
    break;

  case 1507: /* drop_option: FORCE  */
#line 11401 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("force", NULL, (yylsp[0]));
				}
#line 43410 "gram.c"
    break;

  case 1508: /* AlterCollationStmt: ALTER COLLATION any_name REFRESH VERSION_P  */
#line 11413 "gram.y"
                                {
					AlterCollationStmt *n = makeNode(AlterCollationStmt);

					n->collname = (yyvsp[-2].list);
					(yyval.node) = (Node *) n;
				}
#line 43421 "gram.c"
    break;

  case 1509: /* AlterSystemStmt: ALTER SYSTEM_P SET generic_set  */
#line 11431 "gram.y"
                                {
					AlterSystemStmt *n = makeNode(AlterSystemStmt);

					n->setstmt = (yyvsp[0].vsetstmt);
					(yyval.node) = (Node *) n;
				}
#line 43432 "gram.c"
    break;

  case 1510: /* AlterSystemStmt: ALTER SYSTEM_P RESET generic_reset  */
#line 11438 "gram.y"
                                {
					AlterSystemStmt *n = makeNode(AlterSystemStmt);

					n->setstmt = (yyvsp[0].vsetstmt);
					(yyval.node) = (Node *) n;
				}
#line 43443 "gram.c"
    break;

  case 1511: /* CreateDomainStmt: CREATE DOMAIN_P any_name opt_as Typename ColQualList  */
#line 11455 "gram.y"
                                {
					CreateDomainStmt *n = makeNode(CreateDomainStmt);

					n->domainname = (yyvsp[-3].list);
					n->typeName = (yyvsp[-1].typnam);
					SplitColQualList((yyvsp[0].list), &n->constraints, &n->collClause,
									 yyscanner);
					(yyval.node) = (Node *) n;
				}
#line 43457 "gram.c"
    break;

  case 1512: /* AlterDomainStmt: ALTER DOMAIN_P any_name alter_column_default  */
#line 11469 "gram.y"
                                {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);

					n->subtype = 'T';
					n->typeName = (yyvsp[-1].list);
					n->def = (yyvsp[0].node);
					(yyval.node) = (Node *) n;
				}
#line 43470 "gram.c"
    break;

  case 1513: /* AlterDomainStmt: ALTER DOMAIN_P any_name DROP NOT NULL_P  */
#line 11479 "gram.y"
                                {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);

					n->subtype = 'N';
					n->typeName = (yyvsp[-3].list);
					(yyval.node) = (Node *) n;
				}
#line 43482 "gram.c"
    break;

  case 1514: /* AlterDomainStmt: ALTER DOMAIN_P any_name SET NOT NULL_P  */
#line 11488 "gram.y"
                                {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);

					n->subtype = 'O';
					n->typeName = (yyvsp[-3].list);
					(yyval.node) = (Node *) n;
				}
#line 43494 "gram.c"
    break;

  case 1515: /* AlterDomainStmt: ALTER DOMAIN_P any_name ADD_P TableConstraint  */
#line 11497 "gram.y"
                                {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);

					n->subtype = 'C';
					n->typeName = (yyvsp[-2].list);
					n->def = (yyvsp[0].node);
					(yyval.node) = (Node *) n;
				}
#line 43507 "gram.c"
    break;

  case 1516: /* AlterDomainStmt: ALTER DOMAIN_P any_name DROP CONSTRAINT name opt_drop_behavior  */
#line 11507 "gram.y"
                                {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);

					n->subtype = 'X';
					n->typeName = (yyvsp[-4].list);
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 43522 "gram.c"
    break;

  case 1517: /* AlterDomainStmt: ALTER DOMAIN_P any_name DROP CONSTRAINT IF_P EXISTS name opt_drop_behavior  */
#line 11519 "gram.y"
                                {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);

					n->subtype = 'X';
					n->typeName = (yyvsp[-6].list);
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 43537 "gram.c"
    break;

  case 1518: /* AlterDomainStmt: ALTER DOMAIN_P any_name VALIDATE CONSTRAINT name  */
#line 11531 "gram.y"
                                {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);

					n->subtype = 'V';
					n->typeName = (yyvsp[-3].list);
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 43550 "gram.c"
    break;

  case 1521: /* AlterTSDictionaryStmt: ALTER TEXT_P SEARCH DICTIONARY any_name definition  */
#line 11554 "gram.y"
                                {
					AlterTSDictionaryStmt *n = makeNode(AlterTSDictionaryStmt);

					n->dictname = (yyvsp[-1].list);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 43562 "gram.c"
    break;

  case 1522: /* AlterTSConfigurationStmt: ALTER TEXT_P SEARCH CONFIGURATION any_name ADD_P MAPPING FOR name_list any_with any_name_list  */
#line 11565 "gram.y"
                                {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);

					n->kind = ALTER_TSCONFIG_ADD_MAPPING;
					n->cfgname = (yyvsp[-6].list);
					n->tokentype = (yyvsp[-2].list);
					n->dicts = (yyvsp[0].list);
					n->override = false;
					n->replace = false;
					(yyval.node) = (Node *) n;
				}
#line 43578 "gram.c"
    break;

  case 1523: /* AlterTSConfigurationStmt: ALTER TEXT_P SEARCH CONFIGURATION any_name ALTER MAPPING FOR name_list any_with any_name_list  */
#line 11577 "gram.y"
                                {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);

					n->kind = ALTER_TSCONFIG_ALTER_MAPPING_FOR_TOKEN;
					n->cfgname = (yyvsp[-6].list);
					n->tokentype = (yyvsp[-2].list);
					n->dicts = (yyvsp[0].list);
					n->override = true;
					n->replace = false;
					(yyval.node) = (Node *) n;
				}
#line 43594 "gram.c"
    break;

  case 1524: /* AlterTSConfigurationStmt: ALTER TEXT_P SEARCH CONFIGURATION any_name ALTER MAPPING REPLACE any_name any_with any_name  */
#line 11589 "gram.y"
                                {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);

					n->kind = ALTER_TSCONFIG_REPLACE_DICT;
					n->cfgname = (yyvsp[-6].list);
					n->tokentype = NIL;
					n->dicts = list_make2((yyvsp[-2].list),(yyvsp[0].list));
					n->override = false;
					n->replace = true;
					(yyval.node) = (Node *) n;
				}
#line 43610 "gram.c"
    break;

  case 1525: /* AlterTSConfigurationStmt: ALTER TEXT_P SEARCH CONFIGURATION any_name ALTER MAPPING FOR name_list REPLACE any_name any_with any_name  */
#line 11601 "gram.y"
                                {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);

					n->kind = ALTER_TSCONFIG_REPLACE_DICT_FOR_TOKEN;
					n->cfgname = (yyvsp[-8].list);
					n->tokentype = (yyvsp[-4].list);
					n->dicts = list_make2((yyvsp[-2].list),(yyvsp[0].list));
					n->override = false;
					n->replace = true;
					(yyval.node) = (Node *) n;
				}
#line 43626 "gram.c"
    break;

  case 1526: /* AlterTSConfigurationStmt: ALTER TEXT_P SEARCH CONFIGURATION any_name DROP MAPPING FOR name_list  */
#line 11613 "gram.y"
                                {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);

					n->kind = ALTER_TSCONFIG_DROP_MAPPING;
					n->cfgname = (yyvsp[-4].list);
					n->tokentype = (yyvsp[0].list);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 43640 "gram.c"
    break;

  case 1527: /* AlterTSConfigurationStmt: ALTER TEXT_P SEARCH CONFIGURATION any_name DROP MAPPING IF_P EXISTS FOR name_list  */
#line 11623 "gram.y"
                                {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);

					n->kind = ALTER_TSCONFIG_DROP_MAPPING;
					n->cfgname = (yyvsp[-6].list);
					n->tokentype = (yyvsp[0].list);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 43654 "gram.c"
    break;

  case 1530: /* CreateConversionStmt: CREATE opt_default CONVERSION_P any_name FOR Sconst TO Sconst FROM any_name  */
#line 11652 "gram.y"
                        {
				CreateConversionStmt *n = makeNode(CreateConversionStmt);

				n->conversion_name = (yyvsp[-6].list);
				n->for_encoding_name = (yyvsp[-4].str);
				n->to_encoding_name = (yyvsp[-2].str);
				n->func_name = (yyvsp[0].list);
				n->def = (yyvsp[-8].boolean);
				(yyval.node) = (Node *) n;
			}
#line 43669 "gram.c"
    break;

  case 1531: /* ClusterStmt: CLUSTER '(' utility_option_list ')' qualified_name cluster_index_specification  */
#line 11675 "gram.y"
                                {
					ClusterStmt *n = makeNode(ClusterStmt);

					n->relation = (yyvsp[-1].range);
					n->indexname = (yyvsp[0].str);
					n->params = (yyvsp[-3].list);
					(yyval.node) = (Node *) n;
				}
#line 43682 "gram.c"
    break;

  case 1532: /* ClusterStmt: CLUSTER '(' utility_option_list ')'  */
#line 11684 "gram.y"
                                {
					ClusterStmt *n = makeNode(ClusterStmt);

					n->relation = NULL;
					n->indexname = NULL;
					n->params = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 43695 "gram.c"
    break;

  case 1533: /* ClusterStmt: CLUSTER opt_verbose qualified_name cluster_index_specification  */
#line 11694 "gram.y"
                                {
					ClusterStmt *n = makeNode(ClusterStmt);

					n->relation = (yyvsp[-1].range);
					n->indexname = (yyvsp[0].str);
					n->params = NIL;
					if ((yyvsp[-2].boolean))
						n->params = lappend(n->params, makeDefElem("verbose", NULL, (yylsp[-2])));
					(yyval.node) = (Node *) n;
				}
#line 43710 "gram.c"
    break;

  case 1534: /* ClusterStmt: CLUSTER opt_verbose  */
#line 11706 "gram.y"
                                {
					ClusterStmt *n = makeNode(ClusterStmt);

					n->relation = NULL;
					n->indexname = NULL;
					n->params = NIL;
					if ((yyvsp[0].boolean))
						n->params = lappend(n->params, makeDefElem("verbose", NULL, (yylsp[0])));
					(yyval.node) = (Node *) n;
				}
#line 43725 "gram.c"
    break;

  case 1535: /* ClusterStmt: CLUSTER opt_verbose name ON qualified_name  */
#line 11718 "gram.y"
                                {
					ClusterStmt *n = makeNode(ClusterStmt);

					n->relation = (yyvsp[0].range);
					n->indexname = (yyvsp[-2].str);
					n->params = NIL;
					if ((yyvsp[-3].boolean))
						n->params = lappend(n->params, makeDefElem("verbose", NULL, (yylsp[-3])));
					(yyval.node) = (Node *) n;
				}
#line 43740 "gram.c"
    break;

  case 1536: /* cluster_index_specification: USING name  */
#line 11731 "gram.y"
                                                                { (yyval.str) = (yyvsp[0].str); }
#line 43746 "gram.c"
    break;

  case 1537: /* cluster_index_specification: %empty  */
#line 11732 "gram.y"
                                                                { (yyval.str) = NULL; }
#line 43752 "gram.c"
    break;

  case 1538: /* VacuumStmt: VACUUM opt_full opt_freeze opt_verbose opt_analyze opt_vacuum_relation_list  */
#line 11745 "gram.y"
                                {
					VacuumStmt *n = makeNode(VacuumStmt);

					n->options = NIL;
					if ((yyvsp[-4].boolean))
						n->options = lappend(n->options,
											 makeDefElem("full", NULL, (yylsp[-4])));
					if ((yyvsp[-3].boolean))
						n->options = lappend(n->options,
											 makeDefElem("freeze", NULL, (yylsp[-3])));
					if ((yyvsp[-2].boolean))
						n->options = lappend(n->options,
											 makeDefElem("verbose", NULL, (yylsp[-2])));
					if ((yyvsp[-1].boolean))
						n->options = lappend(n->options,
											 makeDefElem("analyze", NULL, (yylsp[-1])));
					n->rels = (yyvsp[0].list);
					n->is_vacuumcmd = true;
					(yyval.node) = (Node *) n;
				}
#line 43777 "gram.c"
    break;

  case 1539: /* VacuumStmt: VACUUM '(' utility_option_list ')' opt_vacuum_relation_list  */
#line 11766 "gram.y"
                                {
					VacuumStmt *n = makeNode(VacuumStmt);

					n->options = (yyvsp[-2].list);
					n->rels = (yyvsp[0].list);
					n->is_vacuumcmd = true;
					(yyval.node) = (Node *) n;
				}
#line 43790 "gram.c"
    break;

  case 1540: /* AnalyzeStmt: analyze_keyword opt_verbose opt_vacuum_relation_list  */
#line 11777 "gram.y"
                                {
					VacuumStmt *n = makeNode(VacuumStmt);

					n->options = NIL;
					if ((yyvsp[-1].boolean))
						n->options = lappend(n->options,
											 makeDefElem("verbose", NULL, (yylsp[-1])));
					n->rels = (yyvsp[0].list);
					n->is_vacuumcmd = false;
					(yyval.node) = (Node *) n;
				}
#line 43806 "gram.c"
    break;

  case 1541: /* AnalyzeStmt: analyze_keyword '(' utility_option_list ')' opt_vacuum_relation_list  */
#line 11789 "gram.y"
                                {
					VacuumStmt *n = makeNode(VacuumStmt);

					n->options = (yyvsp[-2].list);
					n->rels = (yyvsp[0].list);
					n->is_vacuumcmd = false;
					(yyval.node) = (Node *) n;
				}
#line 43819 "gram.c"
    break;

  case 1542: /* utility_option_list: utility_option_elem  */
#line 11801 "gram.y"
                                {
					(yyval.list) = list_make1((yyvsp[0].defelt));
				}
#line 43827 "gram.c"
    break;

  case 1543: /* utility_option_list: utility_option_list ',' utility_option_elem  */
#line 11805 "gram.y"
                                {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt));
				}
#line 43835 "gram.c"
    break;

  case 1546: /* utility_option_elem: utility_option_name utility_option_arg  */
#line 11817 "gram.y"
                                {
					(yyval.defelt) = makeDefElem((yyvsp[-1].str), (yyvsp[0].node), (yylsp[-1]));
				}
#line 43843 "gram.c"
    break;

  case 1547: /* utility_option_name: NonReservedWord  */
#line 11823 "gram.y"
                                                                                        { (yyval.str) = (yyvsp[0].str); }
#line 43849 "gram.c"
    break;

  case 1548: /* utility_option_name: analyze_keyword  */
#line 11824 "gram.y"
                                                                                        { (yyval.str) = "analyze"; }
#line 43855 "gram.c"
    break;

  case 1549: /* utility_option_name: FORMAT_LA  */
#line 11825 "gram.y"
                                                                                                { (yyval.str) = "format"; }
#line 43861 "gram.c"
    break;

  case 1550: /* utility_option_arg: opt_boolean_or_string  */
#line 11829 "gram.y"
                                                                                { (yyval.node) = (Node *) makeString((yyvsp[0].str)); }
#line 43867 "gram.c"
    break;

  case 1551: /* utility_option_arg: NumericOnly  */
#line 11830 "gram.y"
                                                                                        { (yyval.node) = (Node *) (yyvsp[0].node); }
#line 43873 "gram.c"
    break;

  case 1552: /* utility_option_arg: %empty  */
#line 11831 "gram.y"
                                                                                        { (yyval.node) = NULL; }
#line 43879 "gram.c"
    break;

  case 1553: /* opt_analyze: analyze_keyword  */
#line 11835 "gram.y"
                                                                                        { (yyval.boolean) = true; }
#line 43885 "gram.c"
    break;

  case 1554: /* opt_analyze: %empty  */
#line 11836 "gram.y"
                                                                                                { (yyval.boolean) = false; }
#line 43891 "gram.c"
    break;

  case 1555: /* opt_verbose: VERBOSE  */
#line 11840 "gram.y"
                                                                                                { (yyval.boolean) = true; }
#line 43897 "gram.c"
    break;

  case 1556: /* opt_verbose: %empty  */
#line 11841 "gram.y"
                                                                                                { (yyval.boolean) = false; }
#line 43903 "gram.c"
    break;

  case 1557: /* opt_full: FULL  */
#line 11844 "gram.y"
                                                                                        { (yyval.boolean) = true; }
#line 43909 "gram.c"
    break;

  case 1558: /* opt_full: %empty  */
#line 11845 "gram.y"
                                                                                                { (yyval.boolean) = false; }
#line 43915 "gram.c"
    break;

  case 1559: /* opt_freeze: FREEZE  */
#line 11848 "gram.y"
                                                                                        { (yyval.boolean) = true; }
#line 43921 "gram.c"
    break;

  case 1560: /* opt_freeze: %empty  */
#line 11849 "gram.y"
                                                                                                { (yyval.boolean) = false; }
#line 43927 "gram.c"
    break;

  case 1561: /* opt_name_list: '(' name_list ')'  */
#line 11853 "gram.y"
                                                                                        { (yyval.list) = (yyvsp[-1].list); }
#line 43933 "gram.c"
    break;

  case 1562: /* opt_name_list: %empty  */
#line 11854 "gram.y"
                                                                                                { (yyval.list) = NIL; }
#line 43939 "gram.c"
    break;

  case 1563: /* vacuum_relation: qualified_name opt_name_list  */
#line 11859 "gram.y"
                                {
					(yyval.node) = (Node *) makeVacuumRelation((yyvsp[-1].range), InvalidOid, (yyvsp[0].list));
				}
#line 43947 "gram.c"
    break;

  case 1564: /* vacuum_relation_list: vacuum_relation  */
#line 11866 "gram.y"
                                        { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 43953 "gram.c"
    break;

  case 1565: /* vacuum_relation_list: vacuum_relation_list ',' vacuum_relation  */
#line 11868 "gram.y"
                                        { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 43959 "gram.c"
    break;

  case 1566: /* opt_vacuum_relation_list: vacuum_relation_list  */
#line 11872 "gram.y"
                                                                                { (yyval.list) = (yyvsp[0].list); }
#line 43965 "gram.c"
    break;

  case 1567: /* opt_vacuum_relation_list: %empty  */
#line 11873 "gram.y"
                                                                                                { (yyval.list) = NIL; }
#line 43971 "gram.c"
    break;

  case 1568: /* ExplainStmt: EXPLAIN ExplainableStmt  */
#line 11887 "gram.y"
                                {
					ExplainStmt *n = makeNode(ExplainStmt);

					n->query = (yyvsp[0].node);
					n->options = NIL;
					(yyval.node) = (Node *) n;
				}
#line 43983 "gram.c"
    break;

  case 1569: /* ExplainStmt: EXPLAIN analyze_keyword opt_verbose ExplainableStmt  */
#line 11895 "gram.y"
                                {
					ExplainStmt *n = makeNode(ExplainStmt);

					n->query = (yyvsp[0].node);
					n->options = list_make1(makeDefElem("analyze", NULL, (yylsp[-2])));
					if ((yyvsp[-1].boolean))
						n->options = lappend(n->options,
											 makeDefElem("verbose", NULL, (yylsp[-1])));
					(yyval.node) = (Node *) n;
				}
#line 43998 "gram.c"
    break;

  case 1570: /* ExplainStmt: EXPLAIN VERBOSE ExplainableStmt  */
#line 11906 "gram.y"
                                {
					ExplainStmt *n = makeNode(ExplainStmt);

					n->query = (yyvsp[0].node);
					n->options = list_make1(makeDefElem("verbose", NULL, (yylsp[-1])));
					(yyval.node) = (Node *) n;
				}
#line 44010 "gram.c"
    break;

  case 1571: /* ExplainStmt: EXPLAIN '(' utility_option_list ')' ExplainableStmt  */
#line 11914 "gram.y"
                                {
					ExplainStmt *n = makeNode(ExplainStmt);

					n->query = (yyvsp[0].node);
					n->options = (yyvsp[-2].list);
					(yyval.node) = (Node *) n;
				}
#line 44022 "gram.c"
    break;

  case 1582: /* PrepareStmt: PREPARE name prep_type_clause AS PreparableStmt  */
#line 11944 "gram.y"
                                {
					PrepareStmt *n = makeNode(PrepareStmt);

					n->name = (yyvsp[-3].str);
					n->argtypes = (yyvsp[-2].list);
					n->query = (yyvsp[0].node);
					(yyval.node) = (Node *) n;
				}
#line 44035 "gram.c"
    break;

  case 1583: /* prep_type_clause: '(' type_list ')'  */
#line 11954 "gram.y"
                                                        { (yyval.list) = (yyvsp[-1].list); }
#line 44041 "gram.c"
    break;

  case 1584: /* prep_type_clause: %empty  */
#line 11955 "gram.y"
                                                                        { (yyval.list) = NIL; }
#line 44047 "gram.c"
    break;

  case 1590: /* ExecuteStmt: EXECUTE name execute_param_clause  */
#line 11974 "gram.y"
                                {
					ExecuteStmt *n = makeNode(ExecuteStmt);

					n->name = (yyvsp[-1].str);
					n->params = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 44059 "gram.c"
    break;

  case 1591: /* ExecuteStmt: CREATE OptTemp TABLE create_as_target AS EXECUTE name execute_param_clause opt_with_data  */
#line 11983 "gram.y"
                                {
					CreateTableAsStmt *ctas = makeNode(CreateTableAsStmt);
					ExecuteStmt *n = makeNode(ExecuteStmt);

					n->name = (yyvsp[-2].str);
					n->params = (yyvsp[-1].list);
					ctas->query = (Node *) n;
					ctas->into = (yyvsp[-5].into);
					ctas->objtype = OBJECT_TABLE;
					ctas->is_select_into = false;
					ctas->if_not_exists = false;
					/* cram additional flags into the IntoClause */
					(yyvsp[-5].into)->rel->relpersistence = (yyvsp[-7].ival);
					(yyvsp[-5].into)->skipData = !((yyvsp[0].boolean));
					(yyval.node) = (Node *) ctas;
				}
#line 44080 "gram.c"
    break;

  case 1592: /* ExecuteStmt: CREATE OptTemp TABLE IF_P NOT EXISTS create_as_target AS EXECUTE name execute_param_clause opt_with_data  */
#line 12001 "gram.y"
                                {
					CreateTableAsStmt *ctas = makeNode(CreateTableAsStmt);
					ExecuteStmt *n = makeNode(ExecuteStmt);

					n->name = (yyvsp[-2].str);
					n->params = (yyvsp[-1].list);
					ctas->query = (Node *) n;
					ctas->into = (yyvsp[-5].into);
					ctas->objtype = OBJECT_TABLE;
					ctas->is_select_into = false;
					ctas->if_not_exists = true;
					/* cram additional flags into the IntoClause */
					(yyvsp[-5].into)->rel->relpersistence = (yyvsp[-10].ival);
					(yyvsp[-5].into)->skipData = !((yyvsp[0].boolean));
					(yyval.node) = (Node *) ctas;
				}
#line 44101 "gram.c"
    break;

  case 1593: /* execute_param_clause: '(' expr_list ')'  */
#line 12019 "gram.y"
                                                                { (yyval.list) = (yyvsp[-1].list); }
#line 44107 "gram.c"
    break;

  case 1594: /* execute_param_clause: %empty  */
#line 12020 "gram.y"
                                                                                        { (yyval.list) = NIL; }
#line 44113 "gram.c"
    break;

  case 1595: /* DeallocateStmt: DEALLOCATE name  */
#line 12031 "gram.y"
                                        {
						DeallocateStmt *n = makeNode(DeallocateStmt);

						n->name = (yyvsp[0].str);
						n->isall = false;
						n->location = (yylsp[0]);
						(yyval.node) = (Node *) n;
					}
#line 44126 "gram.c"
    break;

  case 1596: /* DeallocateStmt: DEALLOCATE PREPARE name  */
#line 12040 "gram.y"
                                        {
						DeallocateStmt *n = makeNode(DeallocateStmt);

						n->name = (yyvsp[0].str);
						n->isall = false;
						n->location = (yylsp[0]);
						(yyval.node) = (Node *) n;
					}
#line 44139 "gram.c"
    break;

  case 1597: /* DeallocateStmt: DEALLOCATE ALL  */
#line 12049 "gram.y"
                                        {
						DeallocateStmt *n = makeNode(DeallocateStmt);

						n->name = NULL;
						n->isall = true;
						n->location = -1;
						(yyval.node) = (Node *) n;
					}
#line 44152 "gram.c"
    break;

  case 1598: /* DeallocateStmt: DEALLOCATE PREPARE ALL  */
#line 12058 "gram.y"
                                        {
						DeallocateStmt *n = makeNode(DeallocateStmt);

						n->name = NULL;
						n->isall = true;
						n->location = -1;
						(yyval.node) = (Node *) n;
					}
#line 44165 "gram.c"
    break;

  case 1599: /* InsertStmt: opt_with_clause INSERT INTO insert_target insert_rest opt_on_conflict returning_clause  */
#line 12078 "gram.y"
                                {
					(yyvsp[-2].istmt)->relation = (yyvsp[-3].range);
					(yyvsp[-2].istmt)->onConflictClause = (yyvsp[-1].onconflict);
					(yyvsp[-2].istmt)->returningList = (yyvsp[0].list);
					(yyvsp[-2].istmt)->withClause = (yyvsp[-6].with);
					(yyval.node) = (Node *) (yyvsp[-2].istmt);
				}
#line 44177 "gram.c"
    break;

  case 1600: /* insert_target: qualified_name  */
#line 12095 "gram.y"
                                {
					(yyval.range) = (yyvsp[0].range);
				}
#line 44185 "gram.c"
    break;

  case 1601: /* insert_target: qualified_name AS ColId  */
#line 12099 "gram.y"
                                {
					(yyvsp[-2].range)->alias = makeAlias((yyvsp[0].str), NIL);
					(yyval.range) = (yyvsp[-2].range);
				}
#line 44194 "gram.c"
    break;

  case 1602: /* insert_rest: SelectStmt  */
#line 12107 "gram.y"
                                {
					(yyval.istmt) = makeNode(InsertStmt);
					(yyval.istmt)->cols = NIL;
					(yyval.istmt)->selectStmt = (yyvsp[0].node);
				}
#line 44204 "gram.c"
    break;

  case 1603: /* insert_rest: OVERRIDING override_kind VALUE_P SelectStmt  */
#line 12113 "gram.y"
                                {
					(yyval.istmt) = makeNode(InsertStmt);
					(yyval.istmt)->cols = NIL;
					(yyval.istmt)->override = (yyvsp[-2].ival);
					(yyval.istmt)->selectStmt = (yyvsp[0].node);
				}
#line 44215 "gram.c"
    break;

  case 1604: /* insert_rest: '(' insert_column_list ')' SelectStmt  */
#line 12120 "gram.y"
                                {
					(yyval.istmt) = makeNode(InsertStmt);
					(yyval.istmt)->cols = (yyvsp[-2].list);
					(yyval.istmt)->selectStmt = (yyvsp[0].node);
				}
#line 44225 "gram.c"
    break;

  case 1605: /* insert_rest: '(' insert_column_list ')' OVERRIDING override_kind VALUE_P SelectStmt  */
#line 12126 "gram.y"
                                {
					(yyval.istmt) = makeNode(InsertStmt);
					(yyval.istmt)->cols = (yyvsp[-5].list);
					(yyval.istmt)->override = (yyvsp[-2].ival);
					(yyval.istmt)->selectStmt = (yyvsp[0].node);
				}
#line 44236 "gram.c"
    break;

  case 1606: /* insert_rest: DEFAULT VALUES  */
#line 12133 "gram.y"
                                {
					(yyval.istmt) = makeNode(InsertStmt);
					(yyval.istmt)->cols = NIL;
					(yyval.istmt)->selectStmt = NULL;
				}
#line 44246 "gram.c"
    break;

  case 1607: /* override_kind: USER  */
#line 12141 "gram.y"
                                        { (yyval.ival) = OVERRIDING_USER_VALUE; }
#line 44252 "gram.c"
    break;

  case 1608: /* override_kind: SYSTEM_P  */
#line 12142 "gram.y"
                                        { (yyval.ival) = OVERRIDING_SYSTEM_VALUE; }
#line 44258 "gram.c"
    break;

  case 1609: /* insert_column_list: insert_column_item  */
#line 12147 "gram.y"
                                        { (yyval.list) = list_make1((yyvsp[0].target)); }
#line 44264 "gram.c"
    break;

  case 1610: /* insert_column_list: insert_column_list ',' insert_column_item  */
#line 12149 "gram.y"
                                        { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].target)); }
#line 44270 "gram.c"
    break;

  case 1611: /* insert_column_item: ColId opt_indirection  */
#line 12154 "gram.y"
                                {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[-1].str);
					(yyval.target)->indirection = check_indirection((yyvsp[0].list), yyscanner);
					(yyval.target)->val = NULL;
					(yyval.target)->location = (yylsp[-1]);
				}
#line 44282 "gram.c"
    break;

  case 1612: /* opt_on_conflict: ON CONFLICT opt_conf_expr DO UPDATE SET set_clause_list where_clause  */
#line 12165 "gram.y"
                                {
					(yyval.onconflict) = makeNode(OnConflictClause);
					(yyval.onconflict)->action = ONCONFLICT_UPDATE;
					(yyval.onconflict)->infer = (yyvsp[-5].infer);
					(yyval.onconflict)->targetList = (yyvsp[-1].list);
					(yyval.onconflict)->whereClause = (yyvsp[0].node);
					(yyval.onconflict)->location = (yylsp[-7]);
				}
#line 44295 "gram.c"
    break;

  case 1613: /* opt_on_conflict: ON CONFLICT opt_conf_expr DO NOTHING  */
#line 12175 "gram.y"
                                {
					(yyval.onconflict) = makeNode(OnConflictClause);
					(yyval.onconflict)->action = ONCONFLICT_NOTHING;
					(yyval.onconflict)->infer = (yyvsp[-2].infer);
					(yyval.onconflict)->targetList = NIL;
					(yyval.onconflict)->whereClause = NULL;
					(yyval.onconflict)->location = (yylsp[-4]);
				}
#line 44308 "gram.c"
    break;

  case 1614: /* opt_on_conflict: %empty  */
#line 12184 "gram.y"
                                {
					(yyval.onconflict) = NULL;
				}
#line 44316 "gram.c"
    break;

  case 1615: /* opt_conf_expr: '(' index_params ')' where_clause  */
#line 12191 "gram.y"
                                {
					(yyval.infer) = makeNode(InferClause);
					(yyval.infer)->indexElems = (yyvsp[-2].list);
					(yyval.infer)->whereClause = (yyvsp[0].node);
					(yyval.infer)->conname = NULL;
					(yyval.infer)->location = (yylsp[-3]);
				}
#line 44328 "gram.c"
    break;

  case 1616: /* opt_conf_expr: ON CONSTRAINT name  */
#line 12200 "gram.y"
                                {
					(yyval.infer) = makeNode(InferClause);
					(yyval.infer)->indexElems = NIL;
					(yyval.infer)->whereClause = NULL;
					(yyval.infer)->conname = (yyvsp[0].str);
					(yyval.infer)->location = (yylsp[-2]);
				}
#line 44340 "gram.c"
    break;

  case 1617: /* opt_conf_expr: %empty  */
#line 12208 "gram.y"
                                {
					(yyval.infer) = NULL;
				}
#line 44348 "gram.c"
    break;

  case 1618: /* returning_clause: RETURNING target_list  */
#line 12214 "gram.y"
                                                        { (yyval.list) = (yyvsp[0].list); }
#line 44354 "gram.c"
    break;

  case 1619: /* returning_clause: %empty  */
#line 12215 "gram.y"
                                                                { (yyval.list) = NIL; }
#line 44360 "gram.c"
    break;

  case 1620: /* DeleteStmt: opt_with_clause DELETE_P FROM relation_expr_opt_alias using_clause where_or_current_clause returning_clause  */
#line 12228 "gram.y"
                                {
					DeleteStmt *n = makeNode(DeleteStmt);

					n->relation = (yyvsp[-3].range);
					n->usingClause = (yyvsp[-2].list);
					n->whereClause = (yyvsp[-1].node);
					n->returningList = (yyvsp[0].list);
					n->withClause = (yyvsp[-6].with);
					(yyval.node) = (Node *) n;
				}
#line 44375 "gram.c"
    break;

  case 1621: /* using_clause: USING from_list  */
#line 12241 "gram.y"
                                                                                        { (yyval.list) = (yyvsp[0].list); }
#line 44381 "gram.c"
    break;

  case 1622: /* using_clause: %empty  */
#line 12242 "gram.y"
                                                                                                { (yyval.list) = NIL; }
#line 44387 "gram.c"
    break;

  case 1623: /* LockStmt: LOCK_P opt_table relation_expr_list opt_lock opt_nowait  */
#line 12254 "gram.y"
                                {
					LockStmt   *n = makeNode(LockStmt);

					n->relations = (yyvsp[-2].list);
					n->mode = (yyvsp[-1].ival);
					n->nowait = (yyvsp[0].boolean);
					(yyval.node) = (Node *) n;
				}
#line 44400 "gram.c"
    break;

  case 1624: /* opt_lock: IN_P lock_type MODE  */
#line 12264 "gram.y"
                                                                { (yyval.ival) = (yyvsp[-1].ival); }
#line 44406 "gram.c"
    break;

  case 1625: /* opt_lock: %empty  */
#line 12265 "gram.y"
                                                                                { (yyval.ival) = AccessExclusiveLock; }
#line 44412 "gram.c"
    break;

  case 1626: /* lock_type: ACCESS SHARE  */
#line 12268 "gram.y"
                                                                { (yyval.ival) = AccessShareLock; }
#line 44418 "gram.c"
    break;

  case 1627: /* lock_type: ROW SHARE  */
#line 12269 "gram.y"
                                                                                { (yyval.ival) = RowShareLock; }
#line 44424 "gram.c"
    break;

  case 1628: /* lock_type: ROW EXCLUSIVE  */
#line 12270 "gram.y"
                                                                        { (yyval.ival) = RowExclusiveLock; }
#line 44430 "gram.c"
    break;

  case 1629: /* lock_type: SHARE UPDATE EXCLUSIVE  */
#line 12271 "gram.y"
                                                                { (yyval.ival) = ShareUpdateExclusiveLock; }
#line 44436 "gram.c"
    break;

  case 1630: /* lock_type: SHARE  */
#line 12272 "gram.y"
                                                                                { (yyval.ival) = ShareLock; }
#line 44442 "gram.c"
    break;

  case 1631: /* lock_type: SHARE ROW EXCLUSIVE  */
#line 12273 "gram.y"
                                                                { (yyval.ival) = ShareRowExclusiveLock; }
#line 44448 "gram.c"
    break;

  case 1632: /* lock_type: EXCLUSIVE  */
#line 12274 "gram.y"
                                                                                { (yyval.ival) = ExclusiveLock; }
#line 44454 "gram.c"
    break;

  case 1633: /* lock_type: ACCESS EXCLUSIVE  */
#line 12275 "gram.y"
                                                                        { (yyval.ival) = AccessExclusiveLock; }
#line 44460 "gram.c"
    break;

  case 1634: /* opt_nowait: NOWAIT  */
#line 12278 "gram.y"
                                                                        { (yyval.boolean) = true; }
#line 44466 "gram.c"
    break;

  case 1635: /* opt_nowait: %empty  */
#line 12279 "gram.y"
                                                                                { (yyval.boolean) = false; }
#line 44472 "gram.c"
    break;

  case 1636: /* opt_nowait_or_skip: NOWAIT  */
#line 12283 "gram.y"
                                                                                { (yyval.ival) = LockWaitError; }
#line 44478 "gram.c"
    break;

  case 1637: /* opt_nowait_or_skip: SKIP LOCKED  */
#line 12284 "gram.y"
                                                                        { (yyval.ival) = LockWaitSkip; }
#line 44484 "gram.c"
    break;

  case 1638: /* opt_nowait_or_skip: %empty  */
#line 12285 "gram.y"
                                                                                { (yyval.ival) = LockWaitBlock; }
#line 44490 "gram.c"
    break;

  case 1639: /* UpdateStmt: opt_with_clause UPDATE relation_expr_opt_alias SET set_clause_list from_clause where_or_current_clause returning_clause  */
#line 12301 "gram.y"
                                {
					UpdateStmt *n = makeNode(UpdateStmt);

					n->relation = (yyvsp[-5].range);
					n->targetList = (yyvsp[-3].list);
					n->fromClause = (yyvsp[-2].list);
					n->whereClause = (yyvsp[-1].node);
					n->returningList = (yyvsp[0].list);
					n->withClause = (yyvsp[-7].with);
					(yyval.node) = (Node *) n;
				}
#line 44506 "gram.c"
    break;

  case 1640: /* set_clause_list: set_clause  */
#line 12315 "gram.y"
                                                                                        { (yyval.list) = (yyvsp[0].list); }
#line 44512 "gram.c"
    break;

  case 1641: /* set_clause_list: set_clause_list ',' set_clause  */
#line 12316 "gram.y"
                                                                { (yyval.list) = list_concat((yyvsp[-2].list),(yyvsp[0].list)); }
#line 44518 "gram.c"
    break;

  case 1642: /* set_clause: set_target '=' a_expr  */
#line 12321 "gram.y"
                                {
					(yyvsp[-2].target)->val = (Node *) (yyvsp[0].node);
					(yyval.list) = list_make1((yyvsp[-2].target));
				}
#line 44527 "gram.c"
    break;

  case 1643: /* set_clause: '(' set_target_list ')' '=' a_expr  */
#line 12326 "gram.y"
                                {
					int			ncolumns = list_length((yyvsp[-3].list));
					int			i = 1;
					ListCell   *col_cell;

					/* Create a MultiAssignRef source for each target */
					foreach(col_cell, (yyvsp[-3].list))
					{
						ResTarget  *res_col = (ResTarget *) lfirst(col_cell);
						MultiAssignRef *r = makeNode(MultiAssignRef);

						r->source = (Node *) (yyvsp[0].node);
						r->colno = i;
						r->ncolumns = ncolumns;
						res_col->val = (Node *) r;
						i++;
					}

					(yyval.list) = (yyvsp[-3].list);
				}
#line 44552 "gram.c"
    break;

  case 1644: /* set_target: ColId opt_indirection  */
#line 12350 "gram.y"
                                {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[-1].str);
					(yyval.target)->indirection = check_indirection((yyvsp[0].list), yyscanner);
					(yyval.target)->val = NULL;	/* upper production sets this */
					(yyval.target)->location = (yylsp[-1]);
				}
#line 44564 "gram.c"
    break;

  case 1645: /* set_target_list: set_target  */
#line 12360 "gram.y"
                                                                                                { (yyval.list) = list_make1((yyvsp[0].target)); }
#line 44570 "gram.c"
    break;

  case 1646: /* set_target_list: set_target_list ',' set_target  */
#line 12361 "gram.y"
                                                                        { (yyval.list) = lappend((yyvsp[-2].list),(yyvsp[0].target)); }
#line 44576 "gram.c"
    break;

  case 1647: /* MergeStmt: opt_with_clause MERGE INTO relation_expr_opt_alias USING table_ref ON a_expr merge_when_list  */
#line 12377 "gram.y"
                                {
					MergeStmt  *m = makeNode(MergeStmt);

					m->withClause = (yyvsp[-8].with);
					m->relation = (yyvsp[-5].range);
					m->sourceRelation = (yyvsp[-3].node);
					m->joinCondition = (yyvsp[-1].node);
					m->mergeWhenClauses = (yyvsp[0].list);

					(yyval.node) = (Node *) m;
				}
#line 44592 "gram.c"
    break;

  case 1648: /* merge_when_list: merge_when_clause  */
#line 12391 "gram.y"
                                                                                        { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 44598 "gram.c"
    break;

  case 1649: /* merge_when_list: merge_when_list merge_when_clause  */
#line 12392 "gram.y"
                                                                        { (yyval.list) = lappend((yyvsp[-1].list),(yyvsp[0].node)); }
#line 44604 "gram.c"
    break;

  case 1650: /* merge_when_clause: WHEN MATCHED opt_merge_when_condition THEN merge_update  */
#line 12397 "gram.y"
                                {
					(yyvsp[0].mergewhen)->matched = true;
					(yyvsp[0].mergewhen)->condition = (yyvsp[-2].node);

					(yyval.node) = (Node *) (yyvsp[0].mergewhen);
				}
#line 44615 "gram.c"
    break;

  case 1651: /* merge_when_clause: WHEN MATCHED opt_merge_when_condition THEN merge_delete  */
#line 12404 "gram.y"
                                {
					(yyvsp[0].mergewhen)->matched = true;
					(yyvsp[0].mergewhen)->condition = (yyvsp[-2].node);

					(yyval.node) = (Node *) (yyvsp[0].mergewhen);
				}
#line 44626 "gram.c"
    break;

  case 1652: /* merge_when_clause: WHEN NOT MATCHED opt_merge_when_condition THEN merge_insert  */
#line 12411 "gram.y"
                                {
					(yyvsp[0].mergewhen)->matched = false;
					(yyvsp[0].mergewhen)->condition = (yyvsp[-2].node);

					(yyval.node) = (Node *) (yyvsp[0].mergewhen);
				}
#line 44637 "gram.c"
    break;

  case 1653: /* merge_when_clause: WHEN MATCHED opt_merge_when_condition THEN DO NOTHING  */
#line 12418 "gram.y"
                                {
					MergeWhenClause *m = makeNode(MergeWhenClause);

					m->matched = true;
					m->commandType = CMD_NOTHING;
					m->condition = (yyvsp[-3].node);

					(yyval.node) = (Node *) m;
				}
#line 44651 "gram.c"
    break;

  case 1654: /* merge_when_clause: WHEN NOT MATCHED opt_merge_when_condition THEN DO NOTHING  */
#line 12428 "gram.y"
                                {
					MergeWhenClause *m = makeNode(MergeWhenClause);

					m->matched = false;
					m->commandType = CMD_NOTHING;
					m->condition = (yyvsp[-3].node);

					(yyval.node) = (Node *) m;
				}
#line 44665 "gram.c"
    break;

  case 1655: /* opt_merge_when_condition: AND a_expr  */
#line 12440 "gram.y"
                                                                { (yyval.node) = (yyvsp[0].node); }
#line 44671 "gram.c"
    break;

  case 1656: /* opt_merge_when_condition: %empty  */
#line 12441 "gram.y"
                                                                        { (yyval.node) = NULL; }
#line 44677 "gram.c"
    break;

  case 1657: /* merge_update: UPDATE SET set_clause_list  */
#line 12446 "gram.y"
                                {
					MergeWhenClause *n = makeNode(MergeWhenClause);
					n->commandType = CMD_UPDATE;
					n->override = OVERRIDING_NOT_SET;
					n->targetList = (yyvsp[0].list);
					n->values = NIL;

					(yyval.mergewhen) = n;
				}
#line 44691 "gram.c"
    break;

  case 1658: /* merge_delete: DELETE_P  */
#line 12459 "gram.y"
                                {
					MergeWhenClause *n = makeNode(MergeWhenClause);
					n->commandType = CMD_DELETE;
					n->override = OVERRIDING_NOT_SET;
					n->targetList = NIL;
					n->values = NIL;

					(yyval.mergewhen) = n;
				}
#line 44705 "gram.c"
    break;

  case 1659: /* merge_insert: INSERT merge_values_clause  */
#line 12472 "gram.y"
                                {
					MergeWhenClause *n = makeNode(MergeWhenClause);
					n->commandType = CMD_INSERT;
					n->override = OVERRIDING_NOT_SET;
					n->targetList = NIL;
					n->values = (yyvsp[0].list);
					(yyval.mergewhen) = n;
				}
#line 44718 "gram.c"
    break;

  case 1660: /* merge_insert: INSERT OVERRIDING override_kind VALUE_P merge_values_clause  */
#line 12481 "gram.y"
                                {
					MergeWhenClause *n = makeNode(MergeWhenClause);
					n->commandType = CMD_INSERT;
					n->override = (yyvsp[-2].ival);
					n->targetList = NIL;
					n->values = (yyvsp[0].list);
					(yyval.mergewhen) = n;
				}
#line 44731 "gram.c"
    break;

  case 1661: /* merge_insert: INSERT '(' insert_column_list ')' merge_values_clause  */
#line 12490 "gram.y"
                                {
					MergeWhenClause *n = makeNode(MergeWhenClause);
					n->commandType = CMD_INSERT;
					n->override = OVERRIDING_NOT_SET;
					n->targetList = (yyvsp[-2].list);
					n->values = (yyvsp[0].list);
					(yyval.mergewhen) = n;
				}
#line 44744 "gram.c"
    break;

  case 1662: /* merge_insert: INSERT '(' insert_column_list ')' OVERRIDING override_kind VALUE_P merge_values_clause  */
#line 12499 "gram.y"
                                {
					MergeWhenClause *n = makeNode(MergeWhenClause);
					n->commandType = CMD_INSERT;
					n->override = (yyvsp[-2].ival);
					n->targetList = (yyvsp[-5].list);
					n->values = (yyvsp[0].list);
					(yyval.mergewhen) = n;
				}
#line 44757 "gram.c"
    break;

  case 1663: /* merge_insert: INSERT DEFAULT VALUES  */
#line 12508 "gram.y"
                                {
					MergeWhenClause *n = makeNode(MergeWhenClause);
					n->commandType = CMD_INSERT;
					n->override = OVERRIDING_NOT_SET;
					n->targetList = NIL;
					n->values = NIL;
					(yyval.mergewhen) = n;
				}
#line 44770 "gram.c"
    break;

  case 1664: /* merge_values_clause: VALUES '(' expr_list ')'  */
#line 12520 "gram.y"
                                {
					(yyval.list) = (yyvsp[-1].list);
				}
#line 44778 "gram.c"
    break;

  case 1665: /* DeclareCursorStmt: DECLARE cursor_name cursor_options CURSOR opt_hold FOR SelectStmt  */
#line 12532 "gram.y"
                                {
					DeclareCursorStmt *n = makeNode(DeclareCursorStmt);

					n->portalname = (yyvsp[-5].str);
					/* currently we always set FAST_PLAN option */
					n->options = (yyvsp[-4].ival) | (yyvsp[-2].ival) | CURSOR_OPT_FAST_PLAN;
					n->query = (yyvsp[0].node);
					(yyval.node) = (Node *) n;
				}
#line 44792 "gram.c"
    break;

  case 1666: /* cursor_name: name  */
#line 12543 "gram.y"
                                                                { (yyval.str) = (yyvsp[0].str); }
#line 44798 "gram.c"
    break;

  case 1667: /* cursor_options: %empty  */
#line 12546 "gram.y"
                                                                { (yyval.ival) = 0; }
#line 44804 "gram.c"
    break;

  case 1668: /* cursor_options: cursor_options NO SCROLL  */
#line 12547 "gram.y"
                                                                { (yyval.ival) = (yyvsp[-2].ival) | CURSOR_OPT_NO_SCROLL; }
#line 44810 "gram.c"
    break;

  case 1669: /* cursor_options: cursor_options SCROLL  */
#line 12548 "gram.y"
                                                                { (yyval.ival) = (yyvsp[-1].ival) | CURSOR_OPT_SCROLL; }
#line 44816 "gram.c"
    break;

  case 1670: /* cursor_options: cursor_options BINARY  */
#line 12549 "gram.y"
                                                                { (yyval.ival) = (yyvsp[-1].ival) | CURSOR_OPT_BINARY; }
#line 44822 "gram.c"
    break;

  case 1671: /* cursor_options: cursor_options ASENSITIVE  */
#line 12550 "gram.y"
                                                                { (yyval.ival) = (yyvsp[-1].ival) | CURSOR_OPT_ASENSITIVE; }
#line 44828 "gram.c"
    break;

  case 1672: /* cursor_options: cursor_options INSENSITIVE  */
#line 12551 "gram.y"
                                                        { (yyval.ival) = (yyvsp[-1].ival) | CURSOR_OPT_INSENSITIVE; }
#line 44834 "gram.c"
    break;

  case 1673: /* opt_hold: %empty  */
#line 12554 "gram.y"
                                                                { (yyval.ival) = 0; }
#line 44840 "gram.c"
    break;

  case 1674: /* opt_hold: WITH HOLD  */
#line 12555 "gram.y"
                                                                                { (yyval.ival) = CURSOR_OPT_HOLD; }
#line 44846 "gram.c"
    break;

  case 1675: /* opt_hold: WITHOUT HOLD  */
#line 12556 "gram.y"
                                                                        { (yyval.ival) = 0; }
#line 44852 "gram.c"
    break;

  case 1678: /* select_with_parens: '(' select_no_parens ')'  */
#line 12609 "gram.y"
                                                                                { (yyval.node) = (yyvsp[-1].node); }
#line 44858 "gram.c"
    break;

  case 1679: /* select_with_parens: '(' select_with_parens ')'  */
#line 12610 "gram.y"
                                                                        { (yyval.node) = (yyvsp[-1].node); }
#line 44864 "gram.c"
    break;

  case 1680: /* select_no_parens: simple_select  */
#line 12625 "gram.y"
                                                                                { (yyval.node) = (yyvsp[0].node); }
#line 44870 "gram.c"
    break;

  case 1681: /* select_no_parens: select_clause sort_clause  */
#line 12627 "gram.y"
                                {
					insertSelectOptions((SelectStmt *) (yyvsp[-1].node), (yyvsp[0].list), NIL,
										NULL, NULL,
										yyscanner);
					(yyval.node) = (yyvsp[-1].node);
				}
#line 44881 "gram.c"
    break;

  case 1682: /* select_no_parens: select_clause opt_sort_clause for_locking_clause opt_select_limit  */
#line 12634 "gram.y"
                                {
					insertSelectOptions((SelectStmt *) (yyvsp[-3].node), (yyvsp[-2].list), (yyvsp[-1].list),
										(yyvsp[0].selectlimit),
										NULL,
										yyscanner);
					(yyval.node) = (yyvsp[-3].node);
				}
#line 44893 "gram.c"
    break;

  case 1683: /* select_no_parens: select_clause opt_sort_clause select_limit opt_for_locking_clause  */
#line 12642 "gram.y"
                                {
					insertSelectOptions((SelectStmt *) (yyvsp[-3].node), (yyvsp[-2].list), (yyvsp[0].list),
										(yyvsp[-1].selectlimit),
										NULL,
										yyscanner);
					(yyval.node) = (yyvsp[-3].node);
				}
#line 44905 "gram.c"
    break;

  case 1684: /* select_no_parens: with_clause select_clause  */
#line 12650 "gram.y"
                                {
					insertSelectOptions((SelectStmt *) (yyvsp[0].node), NULL, NIL,
										NULL,
										(yyvsp[-1].with),
										yyscanner);
					(yyval.node) = (yyvsp[0].node);
				}
#line 44917 "gram.c"
    break;

  case 1685: /* select_no_parens: with_clause select_clause sort_clause  */
#line 12658 "gram.y"
                                {
					insertSelectOptions((SelectStmt *) (yyvsp[-1].node), (yyvsp[0].list), NIL,
										NULL,
										(yyvsp[-2].with),
										yyscanner);
					(yyval.node) = (yyvsp[-1].node);
				}
#line 44929 "gram.c"
    break;

  case 1686: /* select_no_parens: with_clause select_clause opt_sort_clause for_locking_clause opt_select_limit  */
#line 12666 "gram.y"
                                {
					insertSelectOptions((SelectStmt *) (yyvsp[-3].node), (yyvsp[-2].list), (yyvsp[-1].list),
										(yyvsp[0].selectlimit),
										(yyvsp[-4].with),
										yyscanner);
					(yyval.node) = (yyvsp[-3].node);
				}
#line 44941 "gram.c"
    break;

  case 1687: /* select_no_parens: with_clause select_clause opt_sort_clause select_limit opt_for_locking_clause  */
#line 12674 "gram.y"
                                {
					insertSelectOptions((SelectStmt *) (yyvsp[-3].node), (yyvsp[-2].list), (yyvsp[0].list),
										(yyvsp[-1].selectlimit),
										(yyvsp[-4].with),
										yyscanner);
					(yyval.node) = (yyvsp[-3].node);
				}
#line 44953 "gram.c"
    break;

  case 1688: /* select_clause: simple_select  */
#line 12684 "gram.y"
                                                                                        { (yyval.node) = (yyvsp[0].node); }
#line 44959 "gram.c"
    break;

  case 1689: /* select_clause: select_with_parens  */
#line 12685 "gram.y"
                                                                                { (yyval.node) = (yyvsp[0].node); }
#line 44965 "gram.c"
    break;

  case 1690: /* simple_select: SELECT opt_all_clause opt_target_list into_clause from_clause where_clause group_clause having_clause window_clause  */
#line 12720 "gram.y"
                                {
					SelectStmt *n = makeNode(SelectStmt);

					n->targetList = (yyvsp[-6].list);
					n->intoClause = (yyvsp[-5].into);
					n->fromClause = (yyvsp[-4].list);
					n->whereClause = (yyvsp[-3].node);
					n->groupClause = ((yyvsp[-2].groupclause))->list;
					n->groupDistinct = ((yyvsp[-2].groupclause))->distinct;
					n->havingClause = (yyvsp[-1].node);
					n->windowClause = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 44983 "gram.c"
    break;

  case 1691: /* simple_select: SELECT distinct_clause target_list into_clause from_clause where_clause group_clause having_clause window_clause  */
#line 12736 "gram.y"
                                {
					SelectStmt *n = makeNode(SelectStmt);

					n->distinctClause = (yyvsp[-7].list);
					n->targetList = (yyvsp[-6].list);
					n->intoClause = (yyvsp[-5].into);
					n->fromClause = (yyvsp[-4].list);
					n->whereClause = (yyvsp[-3].node);
					n->groupClause = ((yyvsp[-2].groupclause))->list;
					n->groupDistinct = ((yyvsp[-2].groupclause))->distinct;
					n->havingClause = (yyvsp[-1].node);
					n->windowClause = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 45002 "gram.c"
    break;

  case 1692: /* simple_select: values_clause  */
#line 12750 "gram.y"
                                                                                        { (yyval.node) = (yyvsp[0].node); }
#line 45008 "gram.c"
    break;

  case 1693: /* simple_select: TABLE relation_expr  */
#line 12752 "gram.y"
                                {
					/* same as SELECT * FROM relation_expr */
					ColumnRef  *cr = makeNode(ColumnRef);
					ResTarget  *rt = makeNode(ResTarget);
					SelectStmt *n = makeNode(SelectStmt);

					cr->fields = list_make1(makeNode(A_Star));
					cr->location = -1;

					rt->name = NULL;
					rt->indirection = NIL;
					rt->val = (Node *) cr;
					rt->location = -1;

					n->targetList = list_make1(rt);
					n->fromClause = list_make1((yyvsp[0].range));
					(yyval.node) = (Node *) n;
				}
#line 45031 "gram.c"
    break;

  case 1694: /* simple_select: select_clause UNION set_quantifier select_clause  */
#line 12771 "gram.y"
                                {
					(yyval.node) = makeSetOp(SETOP_UNION, (yyvsp[-1].setquantifier) == SET_QUANTIFIER_ALL, (yyvsp[-3].node), (yyvsp[0].node));
				}
#line 45039 "gram.c"
    break;

  case 1695: /* simple_select: select_clause INTERSECT set_quantifier select_clause  */
#line 12775 "gram.y"
                                {
					(yyval.node) = makeSetOp(SETOP_INTERSECT, (yyvsp[-1].setquantifier) == SET_QUANTIFIER_ALL, (yyvsp[-3].node), (yyvsp[0].node));
				}
#line 45047 "gram.c"
    break;

  case 1696: /* simple_select: select_clause EXCEPT set_quantifier select_clause  */
#line 12779 "gram.y"
                                {
					(yyval.node) = makeSetOp(SETOP_EXCEPT, (yyvsp[-1].setquantifier) == SET_QUANTIFIER_ALL, (yyvsp[-3].node), (yyvsp[0].node));
				}
#line 45055 "gram.c"
    break;

  case 1697: /* with_clause: WITH cte_list  */
#line 12794 "gram.y"
                        {
				(yyval.with) = makeNode(WithClause);
				(yyval.with)->ctes = (yyvsp[0].list);
				(yyval.with)->recursive = false;
				(yyval.with)->location = (yylsp[-1]);
			}
#line 45066 "gram.c"
    break;

  case 1698: /* with_clause: WITH_LA cte_list  */
#line 12801 "gram.y"
                        {
				(yyval.with) = makeNode(WithClause);
				(yyval.with)->ctes = (yyvsp[0].list);
				(yyval.with)->recursive = false;
				(yyval.with)->location = (yylsp[-1]);
			}
#line 45077 "gram.c"
    break;

  case 1699: /* with_clause: WITH RECURSIVE cte_list  */
#line 12808 "gram.y"
                        {
				(yyval.with) = makeNode(WithClause);
				(yyval.with)->ctes = (yyvsp[0].list);
				(yyval.with)->recursive = true;
				(yyval.with)->location = (yylsp[-2]);
			}
#line 45088 "gram.c"
    break;

  case 1700: /* cte_list: common_table_expr  */
#line 12817 "gram.y"
                                                                                { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 45094 "gram.c"
    break;

  case 1701: /* cte_list: cte_list ',' common_table_expr  */
#line 12818 "gram.y"
                                                                { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 45100 "gram.c"
    break;

  case 1702: /* common_table_expr: name opt_name_list AS opt_materialized '(' PreparableStmt ')' opt_search_clause opt_cycle_clause  */
#line 12822 "gram.y"
                        {
				CommonTableExpr *n = makeNode(CommonTableExpr);

				n->ctename = (yyvsp[-8].str);
				n->aliascolnames = (yyvsp[-7].list);
				n->ctematerialized = (yyvsp[-5].ival);
				n->ctequery = (yyvsp[-3].node);
				n->search_clause = castNode(CTESearchClause, (yyvsp[-1].node));
				n->cycle_clause = castNode(CTECycleClause, (yyvsp[0].node));
				n->location = (yylsp[-8]);
				(yyval.node) = (Node *) n;
			}
#line 45117 "gram.c"
    break;

  case 1703: /* opt_materialized: MATERIALIZED  */
#line 12837 "gram.y"
                                                                                { (yyval.ival) = CTEMaterializeAlways; }
#line 45123 "gram.c"
    break;

  case 1704: /* opt_materialized: NOT MATERIALIZED  */
#line 12838 "gram.y"
                                                                                { (yyval.ival) = CTEMaterializeNever; }
#line 45129 "gram.c"
    break;

  case 1705: /* opt_materialized: %empty  */
#line 12839 "gram.y"
                                                                                        { (yyval.ival) = CTEMaterializeDefault; }
#line 45135 "gram.c"
    break;

  case 1706: /* opt_search_clause: SEARCH DEPTH FIRST_P BY columnList SET ColId  */
#line 12844 "gram.y"
                        {
				CTESearchClause *n = makeNode(CTESearchClause);

				n->search_col_list = (yyvsp[-2].list);
				n->search_breadth_first = false;
				n->search_seq_column = (yyvsp[0].str);
				n->location = (yylsp[-6]);
				(yyval.node) = (Node *) n;
			}
#line 45149 "gram.c"
    break;

  case 1707: /* opt_search_clause: SEARCH BREADTH FIRST_P BY columnList SET ColId  */
#line 12854 "gram.y"
                        {
				CTESearchClause *n = makeNode(CTESearchClause);

				n->search_col_list = (yyvsp[-2].list);
				n->search_breadth_first = true;
				n->search_seq_column = (yyvsp[0].str);
				n->location = (yylsp[-6]);
				(yyval.node) = (Node *) n;
			}
#line 45163 "gram.c"
    break;

  case 1708: /* opt_search_clause: %empty  */
#line 12864 "gram.y"
                        {
				(yyval.node) = NULL;
			}
#line 45171 "gram.c"
    break;

  case 1709: /* opt_cycle_clause: CYCLE columnList SET ColId TO AexprConst DEFAULT AexprConst USING ColId  */
#line 12871 "gram.y"
                        {
				CTECycleClause *n = makeNode(CTECycleClause);

				n->cycle_col_list = (yyvsp[-8].list);
				n->cycle_mark_column = (yyvsp[-6].str);
				n->cycle_mark_value = (yyvsp[-4].node);
				n->cycle_mark_default = (yyvsp[-2].node);
				n->cycle_path_column = (yyvsp[0].str);
				n->location = (yylsp[-9]);
				(yyval.node) = (Node *) n;
			}
#line 45187 "gram.c"
    break;

  case 1710: /* opt_cycle_clause: CYCLE columnList SET ColId USING ColId  */
#line 12883 "gram.y"
                        {
				CTECycleClause *n = makeNode(CTECycleClause);

				n->cycle_col_list = (yyvsp[-4].list);
				n->cycle_mark_column = (yyvsp[-2].str);
				n->cycle_mark_value = makeBoolAConst(true, -1);
				n->cycle_mark_default = makeBoolAConst(false, -1);
				n->cycle_path_column = (yyvsp[0].str);
				n->location = (yylsp[-5]);
				(yyval.node) = (Node *) n;
			}
#line 45203 "gram.c"
    break;

  case 1711: /* opt_cycle_clause: %empty  */
#line 12895 "gram.y"
                        {
				(yyval.node) = NULL;
			}
#line 45211 "gram.c"
    break;

  case 1712: /* opt_with_clause: with_clause  */
#line 12901 "gram.y"
                                                                                        { (yyval.with) = (yyvsp[0].with); }
#line 45217 "gram.c"
    break;

  case 1713: /* opt_with_clause: %empty  */
#line 12902 "gram.y"
                                                                                        { (yyval.with) = NULL; }
#line 45223 "gram.c"
    break;

  case 1714: /* into_clause: INTO OptTempTableName  */
#line 12907 "gram.y"
                                {
					(yyval.into) = makeNode(IntoClause);
					(yyval.into)->rel = (yyvsp[0].range);
					(yyval.into)->colNames = NIL;
					(yyval.into)->options = NIL;
					(yyval.into)->onCommit = ONCOMMIT_NOOP;
					(yyval.into)->tableSpaceName = NULL;
					(yyval.into)->viewQuery = NULL;
					(yyval.into)->skipData = false;
				}
#line 45238 "gram.c"
    break;

  case 1715: /* into_clause: %empty  */
#line 12918 "gram.y"
                                { (yyval.into) = NULL; }
#line 45244 "gram.c"
    break;

  case 1716: /* OptTempTableName: TEMPORARY opt_table qualified_name  */
#line 12927 "gram.y"
                                {
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				}
#line 45253 "gram.c"
    break;

  case 1717: /* OptTempTableName: TEMP opt_table qualified_name  */
#line 12932 "gram.y"
                                {
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				}
#line 45262 "gram.c"
    break;

  case 1718: /* OptTempTableName: LOCAL TEMPORARY opt_table qualified_name  */
#line 12937 "gram.y"
                                {
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				}
#line 45271 "gram.c"
    break;

  case 1719: /* OptTempTableName: LOCAL TEMP opt_table qualified_name  */
#line 12942 "gram.y"
                                {
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				}
#line 45280 "gram.c"
    break;

  case 1720: /* OptTempTableName: GLOBAL TEMPORARY opt_table qualified_name  */
#line 12947 "gram.y"
                                {
					ereport(WARNING,
							(errmsg("GLOBAL is deprecated in temporary table creation"),
							 parser_errposition((yylsp[-3]))));
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				}
#line 45292 "gram.c"
    break;

  case 1721: /* OptTempTableName: GLOBAL TEMP opt_table qualified_name  */
#line 12955 "gram.y"
                                {
					ereport(WARNING,
							(errmsg("GLOBAL is deprecated in temporary table creation"),
							 parser_errposition((yylsp[-3]))));
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				}
#line 45304 "gram.c"
    break;

  case 1722: /* OptTempTableName: UNLOGGED opt_table qualified_name  */
#line 12963 "gram.y"
                                {
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_UNLOGGED;
				}
#line 45313 "gram.c"
    break;

  case 1723: /* OptTempTableName: TABLE qualified_name  */
#line 12968 "gram.y"
                                {
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_PERMANENT;
				}
#line 45322 "gram.c"
    break;

  case 1724: /* OptTempTableName: qualified_name  */
#line 12973 "gram.y"
                                {
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_PERMANENT;
				}
#line 45331 "gram.c"
    break;

  case 1727: /* set_quantifier: ALL  */
#line 12984 "gram.y"
                                                                                                        { (yyval.setquantifier) = SET_QUANTIFIER_ALL; }
#line 45337 "gram.c"
    break;

  case 1728: /* set_quantifier: DISTINCT  */
#line 12985 "gram.y"
                                                                                                { (yyval.setquantifier) = SET_QUANTIFIER_DISTINCT; }
#line 45343 "gram.c"
    break;

  case 1729: /* set_quantifier: %empty  */
#line 12986 "gram.y"
                                                                                                { (yyval.setquantifier) = SET_QUANTIFIER_DEFAULT; }
#line 45349 "gram.c"
    break;

  case 1730: /* distinct_clause: DISTINCT  */
#line 12993 "gram.y"
                                                                                                { (yyval.list) = list_make1(NIL); }
#line 45355 "gram.c"
    break;

  case 1731: /* distinct_clause: DISTINCT ON '(' expr_list ')'  */
#line 12994 "gram.y"
                                                                        { (yyval.list) = (yyvsp[-1].list); }
#line 45361 "gram.c"
    break;

  case 1734: /* opt_distinct_clause: distinct_clause  */
#line 13003 "gram.y"
                                                                                        { (yyval.list) = (yyvsp[0].list); }
#line 45367 "gram.c"
    break;

  case 1735: /* opt_distinct_clause: opt_all_clause  */
#line 13004 "gram.y"
                                                                                        { (yyval.list) = NIL; }
#line 45373 "gram.c"
    break;

  case 1736: /* opt_sort_clause: sort_clause  */
#line 13008 "gram.y"
                                                                                                { (yyval.list) = (yyvsp[0].list); }
#line 45379 "gram.c"
    break;

  case 1737: /* opt_sort_clause: %empty  */
#line 13009 "gram.y"
                                                                                                { (yyval.list) = NIL; }
#line 45385 "gram.c"
    break;

  case 1738: /* sort_clause: ORDER BY sortby_list  */
#line 13013 "gram.y"
                                                                                { (yyval.list) = (yyvsp[0].list); }
#line 45391 "gram.c"
    break;

  case 1739: /* sortby_list: sortby  */
#line 13017 "gram.y"
                                                                                                { (yyval.list) = list_make1((yyvsp[0].sortby)); }
#line 45397 "gram.c"
    break;

  case 1740: /* sortby_list: sortby_list ',' sortby  */
#line 13018 "gram.y"
                                                                                { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].sortby)); }
#line 45403 "gram.c"
    break;

  case 1741: /* sortby: a_expr USING qual_all_Op opt_nulls_order  */
#line 13022 "gram.y"
                                {
					(yyval.sortby) = makeNode(SortBy);
					(yyval.sortby)->node = (yyvsp[-3].node);
					(yyval.sortby)->sortby_dir = SORTBY_USING;
					(yyval.sortby)->sortby_nulls = (yyvsp[0].ival);
					(yyval.sortby)->useOp = (yyvsp[-1].list);
					(yyval.sortby)->location = (yylsp[-1]);
				}
#line 45416 "gram.c"
    break;

  case 1742: /* sortby: a_expr opt_asc_desc opt_nulls_order  */
#line 13031 "gram.y"
                                {
					(yyval.sortby) = makeNode(SortBy);
					(yyval.sortby)->node = (yyvsp[-2].node);
					(yyval.sortby)->sortby_dir = (yyvsp[-1].ival);
					(yyval.sortby)->sortby_nulls = (yyvsp[0].ival);
					(yyval.sortby)->useOp = NIL;
					(yyval.sortby)->location = -1;		/* no operator */
				}
#line 45429 "gram.c"
    break;

  case 1743: /* select_limit: limit_clause offset_clause  */
#line 13044 "gram.y"
                                {
					(yyval.selectlimit) = (yyvsp[-1].selectlimit);
					((yyval.selectlimit))->limitOffset = (yyvsp[0].node);
				}
#line 45438 "gram.c"
    break;

  case 1744: /* select_limit: offset_clause limit_clause  */
#line 13049 "gram.y"
                                {
					(yyval.selectlimit) = (yyvsp[0].selectlimit);
					((yyval.selectlimit))->limitOffset = (yyvsp[-1].node);
				}
#line 45447 "gram.c"
    break;

  case 1745: /* select_limit: limit_clause  */
#line 13054 "gram.y"
                                {
					(yyval.selectlimit) = (yyvsp[0].selectlimit);
				}
#line 45455 "gram.c"
    break;

  case 1746: /* select_limit: offset_clause  */
#line 13058 "gram.y"
                                {
					SelectLimit *n = (SelectLimit *) palloc(sizeof(SelectLimit));

					n->limitOffset = (yyvsp[0].node);
					n->limitCount = NULL;
					n->limitOption = LIMIT_OPTION_COUNT;
					(yyval.selectlimit) = n;
				}
#line 45468 "gram.c"
    break;

  case 1747: /* opt_select_limit: select_limit  */
#line 13069 "gram.y"
                                                                                { (yyval.selectlimit) = (yyvsp[0].selectlimit); }
#line 45474 "gram.c"
    break;

  case 1748: /* opt_select_limit: %empty  */
#line 13070 "gram.y"
                                                                                { (yyval.selectlimit) = NULL; }
#line 45480 "gram.c"
    break;

  case 1749: /* limit_clause: LIMIT select_limit_value  */
#line 13075 "gram.y"
                                {
					SelectLimit *n = (SelectLimit *) palloc(sizeof(SelectLimit));

					n->limitOffset = NULL;
					n->limitCount = (yyvsp[0].node);
					n->limitOption = LIMIT_OPTION_COUNT;
					(yyval.selectlimit) = n;
				}
#line 45493 "gram.c"
    break;

  case 1750: /* limit_clause: LIMIT select_limit_value ',' select_offset_value  */
#line 13084 "gram.y"
                                {
					/* Disabled because it was too confusing, bjm 2002-02-18 */
					ereport(ERROR,
							(errcode(ERRCODE_SYNTAX_ERROR),
							 errmsg("LIMIT #,# syntax is not supported"),
							 errhint("Use separate LIMIT and OFFSET clauses."),
							 parser_errposition((yylsp[-3]))));
				}
#line 45506 "gram.c"
    break;

  case 1751: /* limit_clause: FETCH first_or_next select_fetch_first_value row_or_rows ONLY  */
#line 13100 "gram.y"
                                {
					SelectLimit *n = (SelectLimit *) palloc(sizeof(SelectLimit));

					n->limitOffset = NULL;
					n->limitCount = (yyvsp[-2].node);
					n->limitOption = LIMIT_OPTION_COUNT;
					(yyval.selectlimit) = n;
				}
#line 45519 "gram.c"
    break;

  case 1752: /* limit_clause: FETCH first_or_next select_fetch_first_value row_or_rows WITH TIES  */
#line 13109 "gram.y"
                                {
					SelectLimit *n = (SelectLimit *) palloc(sizeof(SelectLimit));

					n->limitOffset = NULL;
					n->limitCount = (yyvsp[-3].node);
					n->limitOption = LIMIT_OPTION_WITH_TIES;
					(yyval.selectlimit) = n;
				}
#line 45532 "gram.c"
    break;

  case 1753: /* limit_clause: FETCH first_or_next row_or_rows ONLY  */
#line 13118 "gram.y"
                                {
					SelectLimit *n = (SelectLimit *) palloc(sizeof(SelectLimit));

					n->limitOffset = NULL;
					n->limitCount = makeIntConst(1, -1);
					n->limitOption = LIMIT_OPTION_COUNT;
					(yyval.selectlimit) = n;
				}
#line 45545 "gram.c"
    break;

  case 1754: /* limit_clause: FETCH first_or_next row_or_rows WITH TIES  */
#line 13127 "gram.y"
                                {
					SelectLimit *n = (SelectLimit *) palloc(sizeof(SelectLimit));

					n->limitOffset = NULL;
					n->limitCount = makeIntConst(1, -1);
					n->limitOption = LIMIT_OPTION_WITH_TIES;
					(yyval.selectlimit) = n;
				}
#line 45558 "gram.c"
    break;

  case 1755: /* offset_clause: OFFSET select_offset_value  */
#line 13139 "gram.y"
                                { (yyval.node) = (yyvsp[0].node); }
#line 45564 "gram.c"
    break;

  case 1756: /* offset_clause: OFFSET select_fetch_first_value row_or_rows  */
#line 13142 "gram.y"
                                { (yyval.node) = (yyvsp[-1].node); }
#line 45570 "gram.c"
    break;

  case 1757: /* select_limit_value: a_expr  */
#line 13146 "gram.y"
                                                                                                { (yyval.node) = (yyvsp[0].node); }
#line 45576 "gram.c"
    break;

  case 1758: /* select_limit_value: ALL  */
#line 13148 "gram.y"
                                {
					/* LIMIT ALL is represented as a NULL constant */
					(yyval.node) = makeNullAConst((yylsp[0]));
				}
#line 45585 "gram.c"
    break;

  case 1759: /* select_offset_value: a_expr  */
#line 13155 "gram.y"
                                                                                                { (yyval.node) = (yyvsp[0].node); }
#line 45591 "gram.c"
    break;

  case 1760: /* select_fetch_first_value: c_expr  */
#line 13175 "gram.y"
                                                                                                { (yyval.node) = (yyvsp[0].node); }
#line 45597 "gram.c"
    break;

  case 1761: /* select_fetch_first_value: '+' I_or_F_const  */
#line 13177 "gram.y"
                                { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "+", NULL, (yyvsp[0].node), (yylsp[-1])); }
#line 45603 "gram.c"
    break;

  case 1762: /* select_fetch_first_value: '-' I_or_F_const  */
#line 13179 "gram.y"
                                { (yyval.node) = doNegate((yyvsp[0].node), (yylsp[-1])); }
#line 45609 "gram.c"
    break;

  case 1763: /* I_or_F_const: Iconst  */
#line 13183 "gram.y"
                                                                                                { (yyval.node) = makeIntConst((yyvsp[0].ival),(yylsp[0])); }
#line 45615 "gram.c"
    break;

  case 1764: /* I_or_F_const: FCONST  */
#line 13184 "gram.y"
                                                                                                { (yyval.node) = makeFloatConst((yyvsp[0].str),(yylsp[0])); }
#line 45621 "gram.c"
    break;

  case 1765: /* row_or_rows: ROW  */
#line 13188 "gram.y"
                                                                                        { (yyval.ival) = 0; }
#line 45627 "gram.c"
    break;

  case 1766: /* row_or_rows: ROWS  */
#line 13189 "gram.y"
                                                                                                { (yyval.ival) = 0; }
#line 45633 "gram.c"
    break;

  case 1767: /* first_or_next: FIRST_P  */
#line 13192 "gram.y"
                                                                                { (yyval.ival) = 0; }
#line 45639 "gram.c"
    break;

  case 1768: /* first_or_next: NEXT  */
#line 13193 "gram.y"
                                                                                                { (yyval.ival) = 0; }
#line 45645 "gram.c"
    break;

  case 1769: /* group_clause: GROUP_P BY set_quantifier group_by_list  */
#line 13219 "gram.y"
                                {
					GroupClause *n = (GroupClause *) palloc(sizeof(GroupClause));

					n->distinct = (yyvsp[-1].setquantifier) == SET_QUANTIFIER_DISTINCT;
					n->list = (yyvsp[0].list);
					(yyval.groupclause) = n;
				}
#line 45657 "gram.c"
    break;

  case 1770: /* group_clause: %empty  */
#line 13227 "gram.y"
                                {
					GroupClause *n = (GroupClause *) palloc(sizeof(GroupClause));

					n->distinct = false;
					n->list = NIL;
					(yyval.groupclause) = n;
				}
#line 45669 "gram.c"
    break;

  case 1771: /* group_by_list: group_by_item  */
#line 13237 "gram.y"
                                                                                        { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 45675 "gram.c"
    break;

  case 1772: /* group_by_list: group_by_list ',' group_by_item  */
#line 13238 "gram.y"
                                                                        { (yyval.list) = lappend((yyvsp[-2].list),(yyvsp[0].node)); }
#line 45681 "gram.c"
    break;

  case 1773: /* group_by_item: a_expr  */
#line 13242 "gram.y"
                                                                                                { (yyval.node) = (yyvsp[0].node); }
#line 45687 "gram.c"
    break;

  case 1774: /* group_by_item: empty_grouping_set  */
#line 13243 "gram.y"
                                                                                { (yyval.node) = (yyvsp[0].node); }
#line 45693 "gram.c"
    break;

  case 1775: /* group_by_item: cube_clause  */
#line 13244 "gram.y"
                                                                                        { (yyval.node) = (yyvsp[0].node); }
#line 45699 "gram.c"
    break;

  case 1776: /* group_by_item: rollup_clause  */
#line 13245 "gram.y"
                                                                                        { (yyval.node) = (yyvsp[0].node); }
#line 45705 "gram.c"
    break;

  case 1777: /* group_by_item: grouping_sets_clause  */
#line 13246 "gram.y"
                                                                                { (yyval.node) = (yyvsp[0].node); }
#line 45711 "gram.c"
    break;

  case 1778: /* empty_grouping_set: '(' ')'  */
#line 13251 "gram.y"
                                {
					(yyval.node) = (Node *) makeGroupingSet(GROUPING_SET_EMPTY, NIL, (yylsp[-1]));
				}
#line 45719 "gram.c"
    break;

  case 1779: /* rollup_clause: ROLLUP '(' expr_list ')'  */
#line 13264 "gram.y"
                                {
					(yyval.node) = (Node *) makeGroupingSet(GROUPING_SET_ROLLUP, (yyvsp[-1].list), (yylsp[-3]));
				}
#line 45727 "gram.c"
    break;

  case 1780: /* cube_clause: CUBE '(' expr_list ')'  */
#line 13271 "gram.y"
                                {
					(yyval.node) = (Node *) makeGroupingSet(GROUPING_SET_CUBE, (yyvsp[-1].list), (yylsp[-3]));
				}
#line 45735 "gram.c"
    break;

  case 1781: /* grouping_sets_clause: GROUPING SETS '(' group_by_list ')'  */
#line 13278 "gram.y"
                                {
					(yyval.node) = (Node *) makeGroupingSet(GROUPING_SET_SETS, (yyvsp[-1].list), (yylsp[-4]));
				}
#line 45743 "gram.c"
    break;

  case 1782: /* having_clause: HAVING a_expr  */
#line 13284 "gram.y"
                                                                                        { (yyval.node) = (yyvsp[0].node); }
#line 45749 "gram.c"
    break;

  case 1783: /* having_clause: %empty  */
#line 13285 "gram.y"
                                                                                                { (yyval.node) = NULL; }
#line 45755 "gram.c"
    break;

  case 1784: /* for_locking_clause: for_locking_items  */
#line 13289 "gram.y"
                                                                                        { (yyval.list) = (yyvsp[0].list); }
#line 45761 "gram.c"
    break;

  case 1785: /* for_locking_clause: FOR READ ONLY  */
#line 13290 "gram.y"
                                                                                        { (yyval.list) = NIL; }
#line 45767 "gram.c"
    break;

  case 1786: /* opt_for_locking_clause: for_locking_clause  */
#line 13294 "gram.y"
                                                                                        { (yyval.list) = (yyvsp[0].list); }
#line 45773 "gram.c"
    break;

  case 1787: /* opt_for_locking_clause: %empty  */
#line 13295 "gram.y"
                                                                                        { (yyval.list) = NIL; }
#line 45779 "gram.c"
    break;

  case 1788: /* for_locking_items: for_locking_item  */
#line 13299 "gram.y"
                                                                                        { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 45785 "gram.c"
    break;

  case 1789: /* for_locking_items: for_locking_items for_locking_item  */
#line 13300 "gram.y"
                                                                { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].node)); }
#line 45791 "gram.c"
    break;

  case 1790: /* for_locking_item: for_locking_strength locked_rels_list opt_nowait_or_skip  */
#line 13305 "gram.y"
                                {
					LockingClause *n = makeNode(LockingClause);

					n->lockedRels = (yyvsp[-1].list);
					n->strength = (yyvsp[-2].ival);
					n->waitPolicy = (yyvsp[0].ival);
					(yyval.node) = (Node *) n;
				}
#line 45804 "gram.c"
    break;

  case 1791: /* for_locking_strength: FOR UPDATE  */
#line 13316 "gram.y"
                                                                                        { (yyval.ival) = LCS_FORUPDATE; }
#line 45810 "gram.c"
    break;

  case 1792: /* for_locking_strength: FOR NO KEY UPDATE  */
#line 13317 "gram.y"
                                                                                { (yyval.ival) = LCS_FORNOKEYUPDATE; }
#line 45816 "gram.c"
    break;

  case 1793: /* for_locking_strength: FOR SHARE  */
#line 13318 "gram.y"
                                                                                        { (yyval.ival) = LCS_FORSHARE; }
#line 45822 "gram.c"
    break;

  case 1794: /* for_locking_strength: FOR KEY SHARE  */
#line 13319 "gram.y"
                                                                                { (yyval.ival) = LCS_FORKEYSHARE; }
#line 45828 "gram.c"
    break;

  case 1795: /* locked_rels_list: OF qualified_name_list  */
#line 13323 "gram.y"
                                                                                { (yyval.list) = (yyvsp[0].list); }
#line 45834 "gram.c"
    break;

  case 1796: /* locked_rels_list: %empty  */
#line 13324 "gram.y"
                                                                                        { (yyval.list) = NIL; }
#line 45840 "gram.c"
    break;

  case 1797: /* values_clause: VALUES '(' expr_list ')'  */
#line 13335 "gram.y"
                                {
					SelectStmt *n = makeNode(SelectStmt);

					n->valuesLists = list_make1((yyvsp[-1].list));
					(yyval.node) = (Node *) n;
				}
#line 45851 "gram.c"
    break;

  case 1798: /* values_clause: values_clause ',' '(' expr_list ')'  */
#line 13342 "gram.y"
                                {
					SelectStmt *n = (SelectStmt *) (yyvsp[-4].node);

					n->valuesLists = lappend(n->valuesLists, (yyvsp[-1].list));
					(yyval.node) = (Node *) n;
				}
#line 45862 "gram.c"
    break;

  case 1799: /* from_clause: FROM from_list  */
#line 13360 "gram.y"
                                                                                        { (yyval.list) = (yyvsp[0].list); }
#line 45868 "gram.c"
    break;

  case 1800: /* from_clause: %empty  */
#line 13361 "gram.y"
                                                                                                { (yyval.list) = NIL; }
#line 45874 "gram.c"
    break;

  case 1801: /* from_list: table_ref  */
#line 13365 "gram.y"
                                                                                                { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 45880 "gram.c"
    break;

  case 1802: /* from_list: from_list ',' table_ref  */
#line 13366 "gram.y"
                                                                                { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 45886 "gram.c"
    break;

  case 1803: /* table_ref: relation_expr opt_alias_clause  */
#line 13373 "gram.y"
                                {
					(yyvsp[-1].range)->alias = (yyvsp[0].alias);
					(yyval.node) = (Node *) (yyvsp[-1].range);
				}
#line 45895 "gram.c"
    break;

  case 1804: /* table_ref: relation_expr opt_alias_clause tablesample_clause  */
#line 13378 "gram.y"
                                {
					RangeTableSample *n = (RangeTableSample *) (yyvsp[0].node);

					(yyvsp[-2].range)->alias = (yyvsp[-1].alias);
					/* relation_expr goes inside the RangeTableSample node */
					n->relation = (Node *) (yyvsp[-2].range);
					(yyval.node) = (Node *) n;
				}
#line 45908 "gram.c"
    break;

  case 1805: /* table_ref: func_table func_alias_clause  */
#line 13387 "gram.y"
                                {
					RangeFunction *n = (RangeFunction *) (yyvsp[-1].node);

					n->alias = linitial((yyvsp[0].list));
					n->coldeflist = lsecond((yyvsp[0].list));
					(yyval.node) = (Node *) n;
				}
#line 45920 "gram.c"
    break;

  case 1806: /* table_ref: LATERAL_P func_table func_alias_clause  */
#line 13395 "gram.y"
                                {
					RangeFunction *n = (RangeFunction *) (yyvsp[-1].node);

					n->lateral = true;
					n->alias = linitial((yyvsp[0].list));
					n->coldeflist = lsecond((yyvsp[0].list));
					(yyval.node) = (Node *) n;
				}
#line 45933 "gram.c"
    break;

  case 1807: /* table_ref: xmltable opt_alias_clause  */
#line 13404 "gram.y"
                                {
					RangeTableFunc *n = (RangeTableFunc *) (yyvsp[-1].node);

					n->alias = (yyvsp[0].alias);
					(yyval.node) = (Node *) n;
				}
#line 45944 "gram.c"
    break;

  case 1808: /* table_ref: LATERAL_P xmltable opt_alias_clause  */
#line 13411 "gram.y"
                                {
					RangeTableFunc *n = (RangeTableFunc *) (yyvsp[-1].node);

					n->lateral = true;
					n->alias = (yyvsp[0].alias);
					(yyval.node) = (Node *) n;
				}
#line 45956 "gram.c"
    break;

  case 1809: /* table_ref: select_with_parens opt_alias_clause  */
#line 13419 "gram.y"
                                {
					RangeSubselect *n = makeNode(RangeSubselect);

					n->lateral = false;
					n->subquery = (yyvsp[-1].node);
					n->alias = (yyvsp[0].alias);
					(yyval.node) = (Node *) n;
				}
#line 45969 "gram.c"
    break;

  case 1810: /* table_ref: LATERAL_P select_with_parens opt_alias_clause  */
#line 13428 "gram.y"
                                {
					RangeSubselect *n = makeNode(RangeSubselect);

					n->lateral = true;
					n->subquery = (yyvsp[-1].node);
					n->alias = (yyvsp[0].alias);
					(yyval.node) = (Node *) n;
				}
#line 45982 "gram.c"
    break;

  case 1811: /* table_ref: joined_table  */
#line 13437 "gram.y"
                                {
					(yyval.node) = (Node *) (yyvsp[0].jexpr);
				}
#line 45990 "gram.c"
    break;

  case 1812: /* table_ref: '(' joined_table ')' alias_clause  */
#line 13441 "gram.y"
                                {
					(yyvsp[-2].jexpr)->alias = (yyvsp[0].alias);
					(yyval.node) = (Node *) (yyvsp[-2].jexpr);
				}
#line 45999 "gram.c"
    break;

  case 1813: /* joined_table: '(' joined_table ')'  */
#line 13467 "gram.y"
                                {
					(yyval.jexpr) = (yyvsp[-1].jexpr);
				}
#line 46007 "gram.c"
    break;

  case 1814: /* joined_table: table_ref CROSS JOIN table_ref  */
#line 13471 "gram.y"
                                {
					/* CROSS JOIN is same as unqualified inner join */
					JoinExpr   *n = makeNode(JoinExpr);

					n->jointype = JOIN_INNER;
					n->isNatural = false;
					n->larg = (yyvsp[-3].node);
					n->rarg = (yyvsp[0].node);
					n->usingClause = NIL;
					n->join_using_alias = NULL;
					n->quals = NULL;
					(yyval.jexpr) = n;
				}
#line 46025 "gram.c"
    break;

  case 1815: /* joined_table: table_ref join_type JOIN table_ref join_qual  */
#line 13485 "gram.y"
                                {
					JoinExpr   *n = makeNode(JoinExpr);

					n->jointype = (yyvsp[-3].jtype);
					n->isNatural = false;
					n->larg = (yyvsp[-4].node);
					n->rarg = (yyvsp[-1].node);
					if ((yyvsp[0].node) != NULL && IsA((yyvsp[0].node), List))
					{
						 /* USING clause */
						n->usingClause = linitial_node(List, castNode(List, (yyvsp[0].node)));
						n->join_using_alias = lsecond_node(Alias, castNode(List, (yyvsp[0].node)));
					}
					else
					{
						/* ON clause */
						n->quals = (yyvsp[0].node);
					}
					(yyval.jexpr) = n;
				}
#line 46050 "gram.c"
    break;

  case 1816: /* joined_table: table_ref JOIN table_ref join_qual  */
#line 13506 "gram.y"
                                {
					/* letting join_type reduce to empty doesn't work */
					JoinExpr   *n = makeNode(JoinExpr);

					n->jointype = JOIN_INNER;
					n->isNatural = false;
					n->larg = (yyvsp[-3].node);
					n->rarg = (yyvsp[-1].node);
					if ((yyvsp[0].node) != NULL && IsA((yyvsp[0].node), List))
					{
						/* USING clause */
						n->usingClause = linitial_node(List, castNode(List, (yyvsp[0].node)));
						n->join_using_alias = lsecond_node(Alias, castNode(List, (yyvsp[0].node)));
					}
					else
					{
						/* ON clause */
						n->quals = (yyvsp[0].node);
					}
					(yyval.jexpr) = n;
				}
#line 46076 "gram.c"
    break;

  case 1817: /* joined_table: table_ref NATURAL join_type JOIN table_ref  */
#line 13528 "gram.y"
                                {
					JoinExpr   *n = makeNode(JoinExpr);

					n->jointype = (yyvsp[-2].jtype);
					n->isNatural = true;
					n->larg = (yyvsp[-4].node);
					n->rarg = (yyvsp[0].node);
					n->usingClause = NIL; /* figure out which columns later... */
					n->join_using_alias = NULL;
					n->quals = NULL; /* fill later */
					(yyval.jexpr) = n;
				}
#line 46093 "gram.c"
    break;

  case 1818: /* joined_table: table_ref NATURAL JOIN table_ref  */
#line 13541 "gram.y"
                                {
					/* letting join_type reduce to empty doesn't work */
					JoinExpr   *n = makeNode(JoinExpr);

					n->jointype = JOIN_INNER;
					n->isNatural = true;
					n->larg = (yyvsp[-3].node);
					n->rarg = (yyvsp[0].node);
					n->usingClause = NIL; /* figure out which columns later... */
					n->join_using_alias = NULL;
					n->quals = NULL; /* fill later */
					(yyval.jexpr) = n;
				}
#line 46111 "gram.c"
    break;

  case 1819: /* alias_clause: AS ColId '(' name_list ')'  */
#line 13558 "gram.y"
                                {
					(yyval.alias) = makeNode(Alias);
					(yyval.alias)->aliasname = (yyvsp[-3].str);
					(yyval.alias)->colnames = (yyvsp[-1].list);
				}
#line 46121 "gram.c"
    break;

  case 1820: /* alias_clause: AS ColId  */
#line 13564 "gram.y"
                                {
					(yyval.alias) = makeNode(Alias);
					(yyval.alias)->aliasname = (yyvsp[0].str);
				}
#line 46130 "gram.c"
    break;

  case 1821: /* alias_clause: ColId '(' name_list ')'  */
#line 13569 "gram.y"
                                {
					(yyval.alias) = makeNode(Alias);
					(yyval.alias)->aliasname = (yyvsp[-3].str);
					(yyval.alias)->colnames = (yyvsp[-1].list);
				}
#line 46140 "gram.c"
    break;

  case 1822: /* alias_clause: ColId  */
#line 13575 "gram.y"
                                {
					(yyval.alias) = makeNode(Alias);
					(yyval.alias)->aliasname = (yyvsp[0].str);
				}
#line 46149 "gram.c"
    break;

  case 1823: /* opt_alias_clause: alias_clause  */
#line 13581 "gram.y"
                                                                        { (yyval.alias) = (yyvsp[0].alias); }
#line 46155 "gram.c"
    break;

  case 1824: /* opt_alias_clause: %empty  */
#line 13582 "gram.y"
                                                                                                { (yyval.alias) = NULL; }
#line 46161 "gram.c"
    break;

  case 1825: /* opt_alias_clause_for_join_using: AS ColId  */
#line 13593 "gram.y"
                                {
					(yyval.alias) = makeNode(Alias);
					(yyval.alias)->aliasname = (yyvsp[0].str);
					/* the column name list will be inserted later */
				}
#line 46171 "gram.c"
    break;

  case 1826: /* opt_alias_clause_for_join_using: %empty  */
#line 13598 "gram.y"
                                                                                                { (yyval.alias) = NULL; }
#line 46177 "gram.c"
    break;

  case 1827: /* func_alias_clause: alias_clause  */
#line 13607 "gram.y"
                                {
					(yyval.list) = list_make2((yyvsp[0].alias), NIL);
				}
#line 46185 "gram.c"
    break;

  case 1828: /* func_alias_clause: AS '(' TableFuncElementList ')'  */
#line 13611 "gram.y"
                                {
					(yyval.list) = list_make2(NULL, (yyvsp[-1].list));
				}
#line 46193 "gram.c"
    break;

  case 1829: /* func_alias_clause: AS ColId '(' TableFuncElementList ')'  */
#line 13615 "gram.y"
                                {
					Alias	   *a = makeNode(Alias);

					a->aliasname = (yyvsp[-3].str);
					(yyval.list) = list_make2(a, (yyvsp[-1].list));
				}
#line 46204 "gram.c"
    break;

  case 1830: /* func_alias_clause: ColId '(' TableFuncElementList ')'  */
#line 13622 "gram.y"
                                {
					Alias	   *a = makeNode(Alias);

					a->aliasname = (yyvsp[-3].str);
					(yyval.list) = list_make2(a, (yyvsp[-1].list));
				}
#line 46215 "gram.c"
    break;

  case 1831: /* func_alias_clause: %empty  */
#line 13629 "gram.y"
                                {
					(yyval.list) = list_make2(NULL, NIL);
				}
#line 46223 "gram.c"
    break;

  case 1832: /* join_type: FULL opt_outer  */
#line 13634 "gram.y"
                                                                                { (yyval.jtype) = JOIN_FULL; }
#line 46229 "gram.c"
    break;

  case 1833: /* join_type: LEFT opt_outer  */
#line 13635 "gram.y"
                                                                                        { (yyval.jtype) = JOIN_LEFT; }
#line 46235 "gram.c"
    break;

  case 1834: /* join_type: RIGHT opt_outer  */
#line 13636 "gram.y"
                                                                                        { (yyval.jtype) = JOIN_RIGHT; }
#line 46241 "gram.c"
    break;

  case 1835: /* join_type: INNER_P  */
#line 13637 "gram.y"
                                                                                                { (yyval.jtype) = JOIN_INNER; }
#line 46247 "gram.c"
    break;

  case 1838: /* join_qual: USING '(' name_list ')' opt_alias_clause_for_join_using  */
#line 13658 "gram.y"
                                {
					(yyval.node) = (Node *) list_make2((yyvsp[-2].list), (yyvsp[0].alias));
				}
#line 46255 "gram.c"
    break;

  case 1839: /* join_qual: ON a_expr  */
#line 13662 "gram.y"
                                {
					(yyval.node) = (yyvsp[0].node);
				}
#line 46263 "gram.c"
    break;

  case 1840: /* relation_expr: qualified_name  */
#line 13670 "gram.y"
                                {
					/* inheritance query, implicitly */
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->inh = true;
					(yyval.range)->alias = NULL;
				}
#line 46274 "gram.c"
    break;

  case 1841: /* relation_expr: extended_relation_expr  */
#line 13677 "gram.y"
                                {
					(yyval.range) = (yyvsp[0].range);
				}
#line 46282 "gram.c"
    break;

  case 1842: /* extended_relation_expr: qualified_name '*'  */
#line 13684 "gram.y"
                                {
					/* inheritance query, explicitly */
					(yyval.range) = (yyvsp[-1].range);
					(yyval.range)->inh = true;
					(yyval.range)->alias = NULL;
				}
#line 46293 "gram.c"
    break;

  case 1843: /* extended_relation_expr: ONLY qualified_name  */
#line 13691 "gram.y"
                                {
					/* no inheritance */
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->inh = false;
					(yyval.range)->alias = NULL;
				}
#line 46304 "gram.c"
    break;

  case 1844: /* extended_relation_expr: ONLY '(' qualified_name ')'  */
#line 13698 "gram.y"
                                {
					/* no inheritance, SQL99-style syntax */
					(yyval.range) = (yyvsp[-1].range);
					(yyval.range)->inh = false;
					(yyval.range)->alias = NULL;
				}
#line 46315 "gram.c"
    break;

  case 1845: /* relation_expr_list: relation_expr  */
#line 13708 "gram.y"
                                                                                        { (yyval.list) = list_make1((yyvsp[0].range)); }
#line 46321 "gram.c"
    break;

  case 1846: /* relation_expr_list: relation_expr_list ',' relation_expr  */
#line 13709 "gram.y"
                                                                { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].range)); }
#line 46327 "gram.c"
    break;

  case 1847: /* relation_expr_opt_alias: relation_expr  */
#line 13723 "gram.y"
                                {
					(yyval.range) = (yyvsp[0].range);
				}
#line 46335 "gram.c"
    break;

  case 1848: /* relation_expr_opt_alias: relation_expr ColId  */
#line 13727 "gram.y"
                                {
					Alias	   *alias = makeNode(Alias);

					alias->aliasname = (yyvsp[0].str);
					(yyvsp[-1].range)->alias = alias;
					(yyval.range) = (yyvsp[-1].range);
				}
#line 46347 "gram.c"
    break;

  case 1849: /* relation_expr_opt_alias: relation_expr AS ColId  */
#line 13735 "gram.y"
                                {
					Alias	   *alias = makeNode(Alias);

					alias->aliasname = (yyvsp[0].str);
					(yyvsp[-2].range)->alias = alias;
					(yyval.range) = (yyvsp[-2].range);
				}
#line 46359 "gram.c"
    break;

  case 1850: /* tablesample_clause: TABLESAMPLE func_name '(' expr_list ')' opt_repeatable_clause  */
#line 13749 "gram.y"
                                {
					RangeTableSample *n = makeNode(RangeTableSample);

					/* n->relation will be filled in later */
					n->method = (yyvsp[-4].list);
					n->args = (yyvsp[-2].list);
					n->repeatable = (yyvsp[0].node);
					n->location = (yylsp[-4]);
					(yyval.node) = (Node *) n;
				}
#line 46374 "gram.c"
    break;

  case 1851: /* opt_repeatable_clause: REPEATABLE '(' a_expr ')'  */
#line 13762 "gram.y"
                                                        { (yyval.node) = (Node *) (yyvsp[-1].node); }
#line 46380 "gram.c"
    break;

  case 1852: /* opt_repeatable_clause: %empty  */
#line 13763 "gram.y"
                                                                        { (yyval.node) = NULL; }
#line 46386 "gram.c"
    break;

  case 1853: /* func_table: func_expr_windowless opt_ordinality  */
#line 13779 "gram.y"
                                {
					RangeFunction *n = makeNode(RangeFunction);

					n->lateral = false;
					n->ordinality = (yyvsp[0].boolean);
					n->is_rowsfrom = false;
					n->functions = list_make1(list_make2((yyvsp[-1].node), NIL));
					/* alias and coldeflist are set by table_ref production */
					(yyval.node) = (Node *) n;
				}
#line 46401 "gram.c"
    break;

  case 1854: /* func_table: ROWS FROM '(' rowsfrom_list ')' opt_ordinality  */
#line 13790 "gram.y"
                                {
					RangeFunction *n = makeNode(RangeFunction);

					n->lateral = false;
					n->ordinality = (yyvsp[0].boolean);
					n->is_rowsfrom = true;
					n->functions = (yyvsp[-2].list);
					/* alias and coldeflist are set by table_ref production */
					(yyval.node) = (Node *) n;
				}
#line 46416 "gram.c"
    break;

  case 1855: /* rowsfrom_item: func_expr_windowless opt_col_def_list  */
#line 13803 "gram.y"
                                { (yyval.list) = list_make2((yyvsp[-1].node), (yyvsp[0].list)); }
#line 46422 "gram.c"
    break;

  case 1856: /* rowsfrom_list: rowsfrom_item  */
#line 13807 "gram.y"
                                                                                { (yyval.list) = list_make1((yyvsp[0].list)); }
#line 46428 "gram.c"
    break;

  case 1857: /* rowsfrom_list: rowsfrom_list ',' rowsfrom_item  */
#line 13808 "gram.y"
                                                                { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].list)); }
#line 46434 "gram.c"
    break;

  case 1858: /* opt_col_def_list: AS '(' TableFuncElementList ')'  */
#line 13811 "gram.y"
                                                        { (yyval.list) = (yyvsp[-1].list); }
#line 46440 "gram.c"
    break;

  case 1859: /* opt_col_def_list: %empty  */
#line 13812 "gram.y"
                                                                                                { (yyval.list) = NIL; }
#line 46446 "gram.c"
    break;

  case 1860: /* opt_ordinality: WITH_LA ORDINALITY  */
#line 13815 "gram.y"
                                                                        { (yyval.boolean) = true; }
#line 46452 "gram.c"
    break;

  case 1861: /* opt_ordinality: %empty  */
#line 13816 "gram.y"
                                                                                                { (yyval.boolean) = false; }
#line 46458 "gram.c"
    break;

  case 1862: /* where_clause: WHERE a_expr  */
#line 13821 "gram.y"
                                                                                        { (yyval.node) = (yyvsp[0].node); }
#line 46464 "gram.c"
    break;

  case 1863: /* where_clause: %empty  */
#line 13822 "gram.y"
                                                                                                { (yyval.node) = NULL; }
#line 46470 "gram.c"
    break;

  case 1864: /* where_or_current_clause: WHERE a_expr  */
#line 13827 "gram.y"
                                                                                        { (yyval.node) = (yyvsp[0].node); }
#line 46476 "gram.c"
    break;

  case 1865: /* where_or_current_clause: WHERE CURRENT_P OF cursor_name  */
#line 13829 "gram.y"
                                {
					CurrentOfExpr *n = makeNode(CurrentOfExpr);

					/* cvarno is filled in by parse analysis */
					n->cursor_name = (yyvsp[0].str);
					n->cursor_param = 0;
					(yyval.node) = (Node *) n;
				}
#line 46489 "gram.c"
    break;

  case 1866: /* where_or_current_clause: %empty  */
#line 13837 "gram.y"
                                                                                                { (yyval.node) = NULL; }
#line 46495 "gram.c"
    break;

  case 1867: /* OptTableFuncElementList: TableFuncElementList  */
#line 13842 "gram.y"
                                                                        { (yyval.list) = (yyvsp[0].list); }
#line 46501 "gram.c"
    break;

  case 1868: /* OptTableFuncElementList: %empty  */
#line 13843 "gram.y"
                                                                                        { (yyval.list) = NIL; }
#line 46507 "gram.c"
    break;

  case 1869: /* TableFuncElementList: TableFuncElement  */
#line 13848 "gram.y"
                                {
					(yyval.list) = list_make1((yyvsp[0].node));
				}
#line 46515 "gram.c"
    break;

  case 1870: /* TableFuncElementList: TableFuncElementList ',' TableFuncElement  */
#line 13852 "gram.y"
                                {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));
				}
#line 46523 "gram.c"
    break;

  case 1871: /* TableFuncElement: ColId Typename opt_collate_clause  */
#line 13858 "gram.y"
                                {
					ColumnDef *n = makeNode(ColumnDef);

					n->colname = (yyvsp[-2].str);
					n->typeName = (yyvsp[-1].typnam);
					n->inhcount = 0;
					n->is_local = true;
					n->is_not_null = false;
					n->is_from_type = false;
					n->storage = 0;
					n->raw_default = NULL;
					n->cooked_default = NULL;
					n->collClause = (CollateClause *) (yyvsp[0].node);
					n->collOid = InvalidOid;
					n->constraints = NIL;
					n->location = (yylsp[-2]);
					(yyval.node) = (Node *) n;
				}
#line 46546 "gram.c"
    break;

  case 1872: /* xmltable: XMLTABLE '(' c_expr xmlexists_argument COLUMNS xmltable_column_list ')'  */
#line 13883 "gram.y"
                                {
					RangeTableFunc *n = makeNode(RangeTableFunc);

					n->rowexpr = (yyvsp[-4].node);
					n->docexpr = (yyvsp[-3].node);
					n->columns = (yyvsp[-1].list);
					n->namespaces = NIL;
					n->location = (yylsp[-6]);
					(yyval.node) = (Node *) n;
				}
#line 46561 "gram.c"
    break;

  case 1873: /* xmltable: XMLTABLE '(' XMLNAMESPACES '(' xml_namespace_list ')' ',' c_expr xmlexists_argument COLUMNS xmltable_column_list ')'  */
#line 13895 "gram.y"
                                {
					RangeTableFunc *n = makeNode(RangeTableFunc);

					n->rowexpr = (yyvsp[-4].node);
					n->docexpr = (yyvsp[-3].node);
					n->columns = (yyvsp[-1].list);
					n->namespaces = (yyvsp[-7].list);
					n->location = (yylsp[-11]);
					(yyval.node) = (Node *) n;
				}
#line 46576 "gram.c"
    break;

  case 1874: /* xmltable_column_list: xmltable_column_el  */
#line 13907 "gram.y"
                                                                                { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 46582 "gram.c"
    break;

  case 1875: /* xmltable_column_list: xmltable_column_list ',' xmltable_column_el  */
#line 13908 "gram.y"
                                                                        { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 46588 "gram.c"
    break;

  case 1876: /* xmltable_column_el: ColId Typename  */
#line 13913 "gram.y"
                                {
					RangeTableFuncCol *fc = makeNode(RangeTableFuncCol);

					fc->colname = (yyvsp[-1].str);
					fc->for_ordinality = false;
					fc->typeName = (yyvsp[0].typnam);
					fc->is_not_null = false;
					fc->colexpr = NULL;
					fc->coldefexpr = NULL;
					fc->location = (yylsp[-1]);

					(yyval.node) = (Node *) fc;
				}
#line 46606 "gram.c"
    break;

  case 1877: /* xmltable_column_el: ColId Typename xmltable_column_option_list  */
#line 13927 "gram.y"
                                {
					RangeTableFuncCol *fc = makeNode(RangeTableFuncCol);
					ListCell   *option;
					bool		nullability_seen = false;

					fc->colname = (yyvsp[-2].str);
					fc->typeName = (yyvsp[-1].typnam);
					fc->for_ordinality = false;
					fc->is_not_null = false;
					fc->colexpr = NULL;
					fc->coldefexpr = NULL;
					fc->location = (yylsp[-2]);

					foreach(option, (yyvsp[0].list))
					{
						DefElem   *defel = (DefElem *) lfirst(option);

						if (strcmp(defel->defname, "default") == 0)
						{
							if (fc->coldefexpr != NULL)
								ereport(ERROR,
										(errcode(ERRCODE_SYNTAX_ERROR),
										 errmsg("only one DEFAULT value is allowed"),
										 parser_errposition(defel->location)));
							fc->coldefexpr = defel->arg;
						}
						else if (strcmp(defel->defname, "path") == 0)
						{
							if (fc->colexpr != NULL)
								ereport(ERROR,
										(errcode(ERRCODE_SYNTAX_ERROR),
										 errmsg("only one PATH value per column is allowed"),
										 parser_errposition(defel->location)));
							fc->colexpr = defel->arg;
						}
						else if (strcmp(defel->defname, "is_not_null") == 0)
						{
							if (nullability_seen)
								ereport(ERROR,
										(errcode(ERRCODE_SYNTAX_ERROR),
										 errmsg("conflicting or redundant NULL / NOT NULL declarations for column \"%s\"", fc->colname),
										 parser_errposition(defel->location)));
							fc->is_not_null = boolVal(defel->arg);
							nullability_seen = true;
						}
						else
						{
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("unrecognized column option \"%s\"",
											defel->defname),
									 parser_errposition(defel->location)));
						}
					}
					(yyval.node) = (Node *) fc;
				}
#line 46667 "gram.c"
    break;

  case 1878: /* xmltable_column_el: ColId FOR ORDINALITY  */
#line 13984 "gram.y"
                                {
					RangeTableFuncCol *fc = makeNode(RangeTableFuncCol);

					fc->colname = (yyvsp[-2].str);
					fc->for_ordinality = true;
					/* other fields are ignored, initialized by makeNode */
					fc->location = (yylsp[-2]);

					(yyval.node) = (Node *) fc;
				}
#line 46682 "gram.c"
    break;

  case 1879: /* xmltable_column_option_list: xmltable_column_option_el  */
#line 13998 "gram.y"
                                { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 46688 "gram.c"
    break;

  case 1880: /* xmltable_column_option_list: xmltable_column_option_list xmltable_column_option_el  */
#line 14000 "gram.y"
                                { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 46694 "gram.c"
    break;

  case 1881: /* xmltable_column_option_el: IDENT b_expr  */
#line 14005 "gram.y"
                                { (yyval.defelt) = makeDefElem((yyvsp[-1].str), (yyvsp[0].node), (yylsp[-1])); }
#line 46700 "gram.c"
    break;

  case 1882: /* xmltable_column_option_el: DEFAULT b_expr  */
#line 14007 "gram.y"
                                { (yyval.defelt) = makeDefElem("default", (yyvsp[0].node), (yylsp[-1])); }
#line 46706 "gram.c"
    break;

  case 1883: /* xmltable_column_option_el: NOT NULL_P  */
#line 14009 "gram.y"
                                { (yyval.defelt) = makeDefElem("is_not_null", (Node *) makeBoolean(true), (yylsp[-1])); }
#line 46712 "gram.c"
    break;

  case 1884: /* xmltable_column_option_el: NULL_P  */
#line 14011 "gram.y"
                                { (yyval.defelt) = makeDefElem("is_not_null", (Node *) makeBoolean(false), (yylsp[0])); }
#line 46718 "gram.c"
    break;

  case 1885: /* xml_namespace_list: xml_namespace_el  */
#line 14016 "gram.y"
                                { (yyval.list) = list_make1((yyvsp[0].target)); }
#line 46724 "gram.c"
    break;

  case 1886: /* xml_namespace_list: xml_namespace_list ',' xml_namespace_el  */
#line 14018 "gram.y"
                                { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].target)); }
#line 46730 "gram.c"
    break;

  case 1887: /* xml_namespace_el: b_expr AS ColLabel  */
#line 14023 "gram.y"
                                {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[0].str);
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (yyvsp[-2].node);
					(yyval.target)->location = (yylsp[-2]);
				}
#line 46742 "gram.c"
    break;

  case 1888: /* xml_namespace_el: DEFAULT b_expr  */
#line 14031 "gram.y"
                                {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = NULL;
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (yyvsp[0].node);
					(yyval.target)->location = (yylsp[-1]);
				}
#line 46754 "gram.c"
    break;

  case 1889: /* Typename: SimpleTypename opt_array_bounds  */
#line 14051 "gram.y"
                                {
					(yyval.typnam) = (yyvsp[-1].typnam);
					(yyval.typnam)->arrayBounds = (yyvsp[0].list);
				}
#line 46763 "gram.c"
    break;

  case 1890: /* Typename: SETOF SimpleTypename opt_array_bounds  */
#line 14056 "gram.y"
                                {
					(yyval.typnam) = (yyvsp[-1].typnam);
					(yyval.typnam)->arrayBounds = (yyvsp[0].list);
					(yyval.typnam)->setof = true;
				}
#line 46773 "gram.c"
    break;

  case 1891: /* Typename: SimpleTypename ARRAY '[' Iconst ']'  */
#line 14063 "gram.y"
                                {
					(yyval.typnam) = (yyvsp[-4].typnam);
					(yyval.typnam)->arrayBounds = list_make1(makeInteger((yyvsp[-1].ival)));
				}
#line 46782 "gram.c"
    break;

  case 1892: /* Typename: SETOF SimpleTypename ARRAY '[' Iconst ']'  */
#line 14068 "gram.y"
                                {
					(yyval.typnam) = (yyvsp[-4].typnam);
					(yyval.typnam)->arrayBounds = list_make1(makeInteger((yyvsp[-1].ival)));
					(yyval.typnam)->setof = true;
				}
#line 46792 "gram.c"
    break;

  case 1893: /* Typename: SimpleTypename ARRAY  */
#line 14074 "gram.y"
                                {
					(yyval.typnam) = (yyvsp[-1].typnam);
					(yyval.typnam)->arrayBounds = list_make1(makeInteger(-1));
				}
#line 46801 "gram.c"
    break;

  case 1894: /* Typename: SETOF SimpleTypename ARRAY  */
#line 14079 "gram.y"
                                {
					(yyval.typnam) = (yyvsp[-1].typnam);
					(yyval.typnam)->arrayBounds = list_make1(makeInteger(-1));
					(yyval.typnam)->setof = true;
				}
#line 46811 "gram.c"
    break;

  case 1895: /* opt_array_bounds: opt_array_bounds '[' ']'  */
#line 14088 "gram.y"
                                        {  (yyval.list) = lappend((yyvsp[-2].list), makeInteger(-1)); }
#line 46817 "gram.c"
    break;

  case 1896: /* opt_array_bounds: opt_array_bounds '[' Iconst ']'  */
#line 14090 "gram.y"
                                        {  (yyval.list) = lappend((yyvsp[-3].list), makeInteger((yyvsp[-1].ival))); }
#line 46823 "gram.c"
    break;

  case 1897: /* opt_array_bounds: %empty  */
#line 14092 "gram.y"
                                        {  (yyval.list) = NIL; }
#line 46829 "gram.c"
    break;

  case 1898: /* SimpleTypename: GenericType  */
#line 14096 "gram.y"
                                                                                                { (yyval.typnam) = (yyvsp[0].typnam); }
#line 46835 "gram.c"
    break;

  case 1899: /* SimpleTypename: Numeric  */
#line 14097 "gram.y"
                                                                                                { (yyval.typnam) = (yyvsp[0].typnam); }
#line 46841 "gram.c"
    break;

  case 1900: /* SimpleTypename: Bit  */
#line 14098 "gram.y"
                                                                                                { (yyval.typnam) = (yyvsp[0].typnam); }
#line 46847 "gram.c"
    break;

  case 1901: /* SimpleTypename: Character  */
#line 14099 "gram.y"
                                                                                                { (yyval.typnam) = (yyvsp[0].typnam); }
#line 46853 "gram.c"
    break;

  case 1902: /* SimpleTypename: ConstDatetime  */
#line 14100 "gram.y"
                                                                                        { (yyval.typnam) = (yyvsp[0].typnam); }
#line 46859 "gram.c"
    break;

  case 1903: /* SimpleTypename: ConstInterval opt_interval  */
#line 14102 "gram.y"
                                {
					(yyval.typnam) = (yyvsp[-1].typnam);
					(yyval.typnam)->typmods = (yyvsp[0].list);
				}
#line 46868 "gram.c"
    break;

  case 1904: /* SimpleTypename: ConstInterval '(' Iconst ')'  */
#line 14107 "gram.y"
                                {
					(yyval.typnam) = (yyvsp[-3].typnam);
					(yyval.typnam)->typmods = list_make2(makeIntConst(INTERVAL_FULL_RANGE, -1),
											 makeIntConst((yyvsp[-1].ival), (yylsp[-1])));
				}
#line 46878 "gram.c"
    break;

  case 1905: /* SimpleTypename: JsonType  */
#line 14112 "gram.y"
                                                                                                { (yyval.typnam) = (yyvsp[0].typnam); }
#line 46884 "gram.c"
    break;

  case 1906: /* ConstTypename: Numeric  */
#line 14127 "gram.y"
                                                                                                { (yyval.typnam) = (yyvsp[0].typnam); }
#line 46890 "gram.c"
    break;

  case 1907: /* ConstTypename: ConstBit  */
#line 14128 "gram.y"
                                                                                                { (yyval.typnam) = (yyvsp[0].typnam); }
#line 46896 "gram.c"
    break;

  case 1908: /* ConstTypename: ConstCharacter  */
#line 14129 "gram.y"
                                                                                        { (yyval.typnam) = (yyvsp[0].typnam); }
#line 46902 "gram.c"
    break;

  case 1909: /* ConstTypename: ConstDatetime  */
#line 14130 "gram.y"
                                                                                        { (yyval.typnam) = (yyvsp[0].typnam); }
#line 46908 "gram.c"
    break;

  case 1910: /* ConstTypename: JsonType  */
#line 14131 "gram.y"
                                                                                                { (yyval.typnam) = (yyvsp[0].typnam); }
#line 46914 "gram.c"
    break;

  case 1911: /* GenericType: type_function_name opt_type_modifiers  */
#line 14143 "gram.y"
                                {
					(yyval.typnam) = makeTypeName((yyvsp[-1].str));
					(yyval.typnam)->typmods = (yyvsp[0].list);
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 46924 "gram.c"
    break;

  case 1912: /* GenericType: type_function_name attrs opt_type_modifiers  */
#line 14149 "gram.y"
                                {
					(yyval.typnam) = makeTypeNameFromNameList(lcons(makeString((yyvsp[-2].str)), (yyvsp[-1].list)));
					(yyval.typnam)->typmods = (yyvsp[0].list);
					(yyval.typnam)->location = (yylsp[-2]);
				}
#line 46934 "gram.c"
    break;

  case 1913: /* opt_type_modifiers: '(' expr_list ')'  */
#line 14156 "gram.y"
                                                                { (yyval.list) = (yyvsp[-1].list); }
#line 46940 "gram.c"
    break;

  case 1914: /* opt_type_modifiers: %empty  */
#line 14157 "gram.y"
                                                                                        { (yyval.list) = NIL; }
#line 46946 "gram.c"
    break;

  case 1915: /* Numeric: INT_P  */
#line 14164 "gram.y"
                                {
					(yyval.typnam) = SystemTypeName("int4");
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 46955 "gram.c"
    break;

  case 1916: /* Numeric: INTEGER  */
#line 14169 "gram.y"
                                {
					(yyval.typnam) = SystemTypeName("int4");
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 46964 "gram.c"
    break;

  case 1917: /* Numeric: SMALLINT  */
#line 14174 "gram.y"
                                {
					(yyval.typnam) = SystemTypeName("int2");
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 46973 "gram.c"
    break;

  case 1918: /* Numeric: BIGINT  */
#line 14179 "gram.y"
                                {
					(yyval.typnam) = SystemTypeName("int8");
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 46982 "gram.c"
    break;

  case 1919: /* Numeric: REAL  */
#line 14184 "gram.y"
                                {
					(yyval.typnam) = SystemTypeName("float4");
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 46991 "gram.c"
    break;

  case 1920: /* Numeric: FLOAT_P opt_float  */
#line 14189 "gram.y"
                                {
					(yyval.typnam) = (yyvsp[0].typnam);
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 47000 "gram.c"
    break;

  case 1921: /* Numeric: DOUBLE_P PRECISION  */
#line 14194 "gram.y"
                                {
					(yyval.typnam) = SystemTypeName("float8");
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 47009 "gram.c"
    break;

  case 1922: /* Numeric: DECIMAL_P opt_type_modifiers  */
#line 14199 "gram.y"
                                {
					(yyval.typnam) = SystemTypeName("numeric");
					(yyval.typnam)->typmods = (yyvsp[0].list);
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 47019 "gram.c"
    break;

  case 1923: /* Numeric: DEC opt_type_modifiers  */
#line 14205 "gram.y"
                                {
					(yyval.typnam) = SystemTypeName("numeric");
					(yyval.typnam)->typmods = (yyvsp[0].list);
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 47029 "gram.c"
    break;

  case 1924: /* Numeric: NUMERIC opt_type_modifiers  */
#line 14211 "gram.y"
                                {
					(yyval.typnam) = SystemTypeName("numeric");
					(yyval.typnam)->typmods = (yyvsp[0].list);
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 47039 "gram.c"
    break;

  case 1925: /* Numeric: BOOLEAN_P  */
#line 14217 "gram.y"
                                {
					(yyval.typnam) = SystemTypeName("bool");
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 47048 "gram.c"
    break;

  case 1926: /* opt_float: '(' Iconst ')'  */
#line 14224 "gram.y"
                                {
					/*
					 * Check FLOAT() precision limits assuming IEEE floating
					 * types - thomas 1997-09-18
					 */
					if ((yyvsp[-1].ival) < 1)
						ereport(ERROR,
								(errcode(ERRCODE_INVALID_PARAMETER_VALUE),
								 errmsg("precision for type float must be at least 1 bit"),
								 parser_errposition((yylsp[-1]))));
					else if ((yyvsp[-1].ival) <= 24)
						(yyval.typnam) = SystemTypeName("float4");
					else if ((yyvsp[-1].ival) <= 53)
						(yyval.typnam) = SystemTypeName("float8");
					else
						ereport(ERROR,
								(errcode(ERRCODE_INVALID_PARAMETER_VALUE),
								 errmsg("precision for type float must be less than 54 bits"),
								 parser_errposition((yylsp[-1]))));
				}
#line 47073 "gram.c"
    break;

  case 1927: /* opt_float: %empty  */
#line 14245 "gram.y"
                                {
					(yyval.typnam) = SystemTypeName("float8");
				}
#line 47081 "gram.c"
    break;

  case 1928: /* Bit: BitWithLength  */
#line 14255 "gram.y"
                                {
					(yyval.typnam) = (yyvsp[0].typnam);
				}
#line 47089 "gram.c"
    break;

  case 1929: /* Bit: BitWithoutLength  */
#line 14259 "gram.y"
                                {
					(yyval.typnam) = (yyvsp[0].typnam);
				}
#line 47097 "gram.c"
    break;

  case 1930: /* ConstBit: BitWithLength  */
#line 14267 "gram.y"
                                {
					(yyval.typnam) = (yyvsp[0].typnam);
				}
#line 47105 "gram.c"
    break;

  case 1931: /* ConstBit: BitWithoutLength  */
#line 14271 "gram.y"
                                {
					(yyval.typnam) = (yyvsp[0].typnam);
					(yyval.typnam)->typmods = NIL;
				}
#line 47114 "gram.c"
    break;

  case 1932: /* BitWithLength: BIT opt_varying '(' expr_list ')'  */
#line 14279 "gram.y"
                                {
					char *typname;

					typname = (yyvsp[-3].boolean) ? "varbit" : "bit";
					(yyval.typnam) = SystemTypeName(typname);
					(yyval.typnam)->typmods = (yyvsp[-1].list);
					(yyval.typnam)->location = (yylsp[-4]);
				}
#line 47127 "gram.c"
    break;

  case 1933: /* BitWithoutLength: BIT opt_varying  */
#line 14291 "gram.y"
                                {
					/* bit defaults to bit(1), varbit to no limit */
					if ((yyvsp[0].boolean))
					{
						(yyval.typnam) = SystemTypeName("varbit");
					}
					else
					{
						(yyval.typnam) = SystemTypeName("bit");
						(yyval.typnam)->typmods = list_make1(makeIntConst(1, -1));
					}
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 47145 "gram.c"
    break;

  case 1934: /* Character: CharacterWithLength  */
#line 14312 "gram.y"
                                {
					(yyval.typnam) = (yyvsp[0].typnam);
				}
#line 47153 "gram.c"
    break;

  case 1935: /* Character: CharacterWithoutLength  */
#line 14316 "gram.y"
                                {
					(yyval.typnam) = (yyvsp[0].typnam);
				}
#line 47161 "gram.c"
    break;

  case 1936: /* ConstCharacter: CharacterWithLength  */
#line 14322 "gram.y"
                                {
					(yyval.typnam) = (yyvsp[0].typnam);
				}
#line 47169 "gram.c"
    break;

  case 1937: /* ConstCharacter: CharacterWithoutLength  */
#line 14326 "gram.y"
                                {
					/* Length was not specified so allow to be unrestricted.
					 * This handles problems with fixed-length (bpchar) strings
					 * which in column definitions must default to a length
					 * of one, but should not be constrained if the length
					 * was not specified.
					 */
					(yyval.typnam) = (yyvsp[0].typnam);
					(yyval.typnam)->typmods = NIL;
				}
#line 47184 "gram.c"
    break;

  case 1938: /* CharacterWithLength: character '(' Iconst ')'  */
#line 14339 "gram.y"
                                {
					(yyval.typnam) = SystemTypeName((yyvsp[-3].str));
					(yyval.typnam)->typmods = list_make1(makeIntConst((yyvsp[-1].ival), (yylsp[-1])));
					(yyval.typnam)->location = (yylsp[-3]);
				}
#line 47194 "gram.c"
    break;

  case 1939: /* CharacterWithoutLength: character  */
#line 14347 "gram.y"
                                {
					(yyval.typnam) = SystemTypeName((yyvsp[0].str));
					/* char defaults to char(1), varchar to no limit */
					if (strcmp((yyvsp[0].str), "bpchar") == 0)
						(yyval.typnam)->typmods = list_make1(makeIntConst(1, -1));
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 47206 "gram.c"
    break;

  case 1940: /* character: CHARACTER opt_varying  */
#line 14357 "gram.y"
                                                                                { (yyval.str) = (yyvsp[0].boolean) ? "varchar": "bpchar"; }
#line 47212 "gram.c"
    break;

  case 1941: /* character: CHAR_P opt_varying  */
#line 14359 "gram.y"
                                                                                { (yyval.str) = (yyvsp[0].boolean) ? "varchar": "bpchar"; }
#line 47218 "gram.c"
    break;

  case 1942: /* character: VARCHAR  */
#line 14361 "gram.y"
                                                                                { (yyval.str) = "varchar"; }
#line 47224 "gram.c"
    break;

  case 1943: /* character: NATIONAL CHARACTER opt_varying  */
#line 14363 "gram.y"
                                                                                { (yyval.str) = (yyvsp[0].boolean) ? "varchar": "bpchar"; }
#line 47230 "gram.c"
    break;

  case 1944: /* character: NATIONAL CHAR_P opt_varying  */
#line 14365 "gram.y"
                                                                                { (yyval.str) = (yyvsp[0].boolean) ? "varchar": "bpchar"; }
#line 47236 "gram.c"
    break;

  case 1945: /* character: NCHAR opt_varying  */
#line 14367 "gram.y"
                                                                                { (yyval.str) = (yyvsp[0].boolean) ? "varchar": "bpchar"; }
#line 47242 "gram.c"
    break;

  case 1946: /* opt_varying: VARYING  */
#line 14371 "gram.y"
                                                                                                { (yyval.boolean) = true; }
#line 47248 "gram.c"
    break;

  case 1947: /* opt_varying: %empty  */
#line 14372 "gram.y"
                                                                                                { (yyval.boolean) = false; }
#line 47254 "gram.c"
    break;

  case 1948: /* ConstDatetime: TIMESTAMP '(' Iconst ')' opt_timezone  */
#line 14380 "gram.y"
                                {
					if ((yyvsp[0].boolean))
						(yyval.typnam) = SystemTypeName("timestamptz");
					else
						(yyval.typnam) = SystemTypeName("timestamp");
					(yyval.typnam)->typmods = list_make1(makeIntConst((yyvsp[-2].ival), (yylsp[-2])));
					(yyval.typnam)->location = (yylsp[-4]);
				}
#line 47267 "gram.c"
    break;

  case 1949: /* ConstDatetime: TIMESTAMP opt_timezone  */
#line 14389 "gram.y"
                                {
					if ((yyvsp[0].boolean))
						(yyval.typnam) = SystemTypeName("timestamptz");
					else
						(yyval.typnam) = SystemTypeName("timestamp");
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 47279 "gram.c"
    break;

  case 1950: /* ConstDatetime: TIME '(' Iconst ')' opt_timezone  */
#line 14397 "gram.y"
                                {
					if ((yyvsp[0].boolean))
						(yyval.typnam) = SystemTypeName("timetz");
					else
						(yyval.typnam) = SystemTypeName("time");
					(yyval.typnam)->typmods = list_make1(makeIntConst((yyvsp[-2].ival), (yylsp[-2])));
					(yyval.typnam)->location = (yylsp[-4]);
				}
#line 47292 "gram.c"
    break;

  case 1951: /* ConstDatetime: TIME opt_timezone  */
#line 14406 "gram.y"
                                {
					if ((yyvsp[0].boolean))
						(yyval.typnam) = SystemTypeName("timetz");
					else
						(yyval.typnam) = SystemTypeName("time");
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 47304 "gram.c"
    break;

  case 1952: /* ConstInterval: INTERVAL  */
#line 14417 "gram.y"
                                {
					(yyval.typnam) = SystemTypeName("interval");
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 47313 "gram.c"
    break;

  case 1953: /* opt_timezone: WITH_LA TIME ZONE  */
#line 14424 "gram.y"
                                                                                        { (yyval.boolean) = true; }
#line 47319 "gram.c"
    break;

  case 1954: /* opt_timezone: WITHOUT_LA TIME ZONE  */
#line 14425 "gram.y"
                                                                                { (yyval.boolean) = false; }
#line 47325 "gram.c"
    break;

  case 1955: /* opt_timezone: %empty  */
#line 14426 "gram.y"
                                                                                                { (yyval.boolean) = false; }
#line 47331 "gram.c"
    break;

  case 1956: /* opt_interval: YEAR_P  */
#line 14431 "gram.y"
                                { (yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(YEAR), (yylsp[0]))); }
#line 47337 "gram.c"
    break;

  case 1957: /* opt_interval: MONTH_P  */
#line 14433 "gram.y"
                                { (yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(MONTH), (yylsp[0]))); }
#line 47343 "gram.c"
    break;

  case 1958: /* opt_interval: DAY_P  */
#line 14435 "gram.y"
                                { (yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(DAY), (yylsp[0]))); }
#line 47349 "gram.c"
    break;

  case 1959: /* opt_interval: HOUR_P  */
#line 14437 "gram.y"
                                { (yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(HOUR), (yylsp[0]))); }
#line 47355 "gram.c"
    break;

  case 1960: /* opt_interval: MINUTE_P  */
#line 14439 "gram.y"
                                { (yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(MINUTE), (yylsp[0]))); }
#line 47361 "gram.c"
    break;

  case 1961: /* opt_interval: interval_second  */
#line 14441 "gram.y"
                                { (yyval.list) = (yyvsp[0].list); }
#line 47367 "gram.c"
    break;

  case 1962: /* opt_interval: YEAR_P TO MONTH_P  */
#line 14443 "gram.y"
                                {
					(yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(YEAR) |
												 INTERVAL_MASK(MONTH), (yylsp[-2])));
				}
#line 47376 "gram.c"
    break;

  case 1963: /* opt_interval: DAY_P TO HOUR_P  */
#line 14448 "gram.y"
                                {
					(yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(DAY) |
												 INTERVAL_MASK(HOUR), (yylsp[-2])));
				}
#line 47385 "gram.c"
    break;

  case 1964: /* opt_interval: DAY_P TO MINUTE_P  */
#line 14453 "gram.y"
                                {
					(yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(DAY) |
												 INTERVAL_MASK(HOUR) |
												 INTERVAL_MASK(MINUTE), (yylsp[-2])));
				}
#line 47395 "gram.c"
    break;

  case 1965: /* opt_interval: DAY_P TO interval_second  */
#line 14459 "gram.y"
                                {
					(yyval.list) = (yyvsp[0].list);
					linitial((yyval.list)) = makeIntConst(INTERVAL_MASK(DAY) |
												INTERVAL_MASK(HOUR) |
												INTERVAL_MASK(MINUTE) |
												INTERVAL_MASK(SECOND), (yylsp[-2]));
				}
#line 47407 "gram.c"
    break;

  case 1966: /* opt_interval: HOUR_P TO MINUTE_P  */
#line 14467 "gram.y"
                                {
					(yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(HOUR) |
												 INTERVAL_MASK(MINUTE), (yylsp[-2])));
				}
#line 47416 "gram.c"
    break;

  case 1967: /* opt_interval: HOUR_P TO interval_second  */
#line 14472 "gram.y"
                                {
					(yyval.list) = (yyvsp[0].list);
					linitial((yyval.list)) = makeIntConst(INTERVAL_MASK(HOUR) |
												INTERVAL_MASK(MINUTE) |
												INTERVAL_MASK(SECOND), (yylsp[-2]));
				}
#line 47427 "gram.c"
    break;

  case 1968: /* opt_interval: MINUTE_P TO interval_second  */
#line 14479 "gram.y"
                                {
					(yyval.list) = (yyvsp[0].list);
					linitial((yyval.list)) = makeIntConst(INTERVAL_MASK(MINUTE) |
												INTERVAL_MASK(SECOND), (yylsp[-2]));
				}
#line 47437 "gram.c"
    break;

  case 1969: /* opt_interval: %empty  */
#line 14485 "gram.y"
                                { (yyval.list) = NIL; }
#line 47443 "gram.c"
    break;

  case 1970: /* interval_second: SECOND_P  */
#line 14490 "gram.y"
                                {
					(yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(SECOND), (yylsp[0])));
				}
#line 47451 "gram.c"
    break;

  case 1971: /* interval_second: SECOND_P '(' Iconst ')'  */
#line 14494 "gram.y"
                                {
					(yyval.list) = list_make2(makeIntConst(INTERVAL_MASK(SECOND), (yylsp[-3])),
									makeIntConst((yyvsp[-1].ival), (yylsp[-1])));
				}
#line 47460 "gram.c"
    break;

  case 1972: /* JsonType: JSON  */
#line 14502 "gram.y"
                                {
					(yyval.typnam) = SystemTypeName("json");
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 47469 "gram.c"
    break;

  case 1973: /* a_expr: c_expr  */
#line 14536 "gram.y"
                                                                                        { (yyval.node) = (yyvsp[0].node); }
#line 47475 "gram.c"
    break;

  case 1974: /* a_expr: a_expr TYPECAST Typename  */
#line 14538 "gram.y"
                                        { (yyval.node) = makeTypeCast((yyvsp[-2].node), (yyvsp[0].typnam), (yylsp[-1])); }
#line 47481 "gram.c"
    break;

  case 1975: /* a_expr: a_expr COLLATE any_name  */
#line 14540 "gram.y"
                                {
					CollateClause *n = makeNode(CollateClause);

					n->arg = (yyvsp[-2].node);
					n->collname = (yyvsp[0].list);
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *) n;
				}
#line 47494 "gram.c"
    break;

  case 1976: /* a_expr: a_expr AT TIME ZONE a_expr  */
#line 14549 "gram.y"
                                {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("timezone"),
											   list_make2((yyvsp[0].node), (yyvsp[-4].node)),
											   COERCE_SQL_SYNTAX,
											   (yylsp[-3]));
				}
#line 47505 "gram.c"
    break;

  case 1977: /* a_expr: a_expr AT LOCAL  */
#line 14556 "gram.y"
                                {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("timezone"),
											   list_make1((yyvsp[-2].node)),
											   COERCE_SQL_SYNTAX,
											   -1);
				}
#line 47516 "gram.c"
    break;

  case 1978: /* a_expr: '+' a_expr  */
#line 14572 "gram.y"
                                { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "+", NULL, (yyvsp[0].node), (yylsp[-1])); }
#line 47522 "gram.c"
    break;

  case 1979: /* a_expr: '-' a_expr  */
#line 14574 "gram.y"
                                { (yyval.node) = doNegate((yyvsp[0].node), (yylsp[-1])); }
#line 47528 "gram.c"
    break;

  case 1980: /* a_expr: a_expr '+' a_expr  */
#line 14576 "gram.y"
                                { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "+", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 47534 "gram.c"
    break;

  case 1981: /* a_expr: a_expr '-' a_expr  */
#line 14578 "gram.y"
                                { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "-", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 47540 "gram.c"
    break;

  case 1982: /* a_expr: a_expr '*' a_expr  */
#line 14580 "gram.y"
                                { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "*", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 47546 "gram.c"
    break;

  case 1983: /* a_expr: a_expr '/' a_expr  */
#line 14582 "gram.y"
                                { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "/", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 47552 "gram.c"
    break;

  case 1984: /* a_expr: a_expr '%' a_expr  */
#line 14584 "gram.y"
                                { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "%", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 47558 "gram.c"
    break;

  case 1985: /* a_expr: a_expr '^' a_expr  */
#line 14586 "gram.y"
                                { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "^", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 47564 "gram.c"
    break;

  case 1986: /* a_expr: a_expr '<' a_expr  */
#line 14588 "gram.y"
                                { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "<", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 47570 "gram.c"
    break;

  case 1987: /* a_expr: a_expr '>' a_expr  */
#line 14590 "gram.y"
                                { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, ">", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 47576 "gram.c"
    break;

  case 1988: /* a_expr: a_expr '=' a_expr  */
#line 14592 "gram.y"
                                { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "=", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 47582 "gram.c"
    break;

  case 1989: /* a_expr: a_expr LESS_EQUALS a_expr  */
#line 14594 "gram.y"
                                { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "<=", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 47588 "gram.c"
    break;

  case 1990: /* a_expr: a_expr GREATER_EQUALS a_expr  */
#line 14596 "gram.y"
                                { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, ">=", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 47594 "gram.c"
    break;

  case 1991: /* a_expr: a_expr NOT_EQUALS a_expr  */
#line 14598 "gram.y"
                                { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "<>", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 47600 "gram.c"
    break;

  case 1992: /* a_expr: a_expr qual_Op a_expr  */
#line 14601 "gram.y"
                                { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[-1].list), (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 47606 "gram.c"
    break;

  case 1993: /* a_expr: qual_Op a_expr  */
#line 14603 "gram.y"
                                { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[-1].list), NULL, (yyvsp[0].node), (yylsp[-1])); }
#line 47612 "gram.c"
    break;

  case 1994: /* a_expr: a_expr AND a_expr  */
#line 14606 "gram.y"
                                { (yyval.node) = makeAndExpr((yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 47618 "gram.c"
    break;

  case 1995: /* a_expr: a_expr OR a_expr  */
#line 14608 "gram.y"
                                { (yyval.node) = makeOrExpr((yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 47624 "gram.c"
    break;

  case 1996: /* a_expr: NOT a_expr  */
#line 14610 "gram.y"
                                { (yyval.node) = makeNotExpr((yyvsp[0].node), (yylsp[-1])); }
#line 47630 "gram.c"
    break;

  case 1997: /* a_expr: NOT_LA a_expr  */
#line 14612 "gram.y"
                                { (yyval.node) = makeNotExpr((yyvsp[0].node), (yylsp[-1])); }
#line 47636 "gram.c"
    break;

  case 1998: /* a_expr: a_expr LIKE a_expr  */
#line 14615 "gram.y"
                                {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_LIKE, "~~",
												   (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1]));
				}
#line 47645 "gram.c"
    break;

  case 1999: /* a_expr: a_expr LIKE a_expr ESCAPE a_expr  */
#line 14620 "gram.y"
                                {
					FuncCall   *n = makeFuncCall(SystemFuncName("like_escape"),
												 list_make2((yyvsp[-2].node), (yyvsp[0].node)),
												 COERCE_EXPLICIT_CALL,
												 (yylsp[-3]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_LIKE, "~~",
												   (yyvsp[-4].node), (Node *) n, (yylsp[-3]));
				}
#line 47658 "gram.c"
    break;

  case 2000: /* a_expr: a_expr NOT_LA LIKE a_expr  */
#line 14629 "gram.y"
                                {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_LIKE, "!~~",
												   (yyvsp[-3].node), (yyvsp[0].node), (yylsp[-2]));
				}
#line 47667 "gram.c"
    break;

  case 2001: /* a_expr: a_expr NOT_LA LIKE a_expr ESCAPE a_expr  */
#line 14634 "gram.y"
                                {
					FuncCall   *n = makeFuncCall(SystemFuncName("like_escape"),
												 list_make2((yyvsp[-2].node), (yyvsp[0].node)),
												 COERCE_EXPLICIT_CALL,
												 (yylsp[-4]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_LIKE, "!~~",
												   (yyvsp[-5].node), (Node *) n, (yylsp[-4]));
				}
#line 47680 "gram.c"
    break;

  case 2002: /* a_expr: a_expr ILIKE a_expr  */
#line 14643 "gram.y"
                                {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_ILIKE, "~~*",
												   (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1]));
				}
#line 47689 "gram.c"
    break;

  case 2003: /* a_expr: a_expr ILIKE a_expr ESCAPE a_expr  */
#line 14648 "gram.y"
                                {
					FuncCall   *n = makeFuncCall(SystemFuncName("like_escape"),
												 list_make2((yyvsp[-2].node), (yyvsp[0].node)),
												 COERCE_EXPLICIT_CALL,
												 (yylsp[-3]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_ILIKE, "~~*",
												   (yyvsp[-4].node), (Node *) n, (yylsp[-3]));
				}
#line 47702 "gram.c"
    break;

  case 2004: /* a_expr: a_expr NOT_LA ILIKE a_expr  */
#line 14657 "gram.y"
                                {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_ILIKE, "!~~*",
												   (yyvsp[-3].node), (yyvsp[0].node), (yylsp[-2]));
				}
#line 47711 "gram.c"
    break;

  case 2005: /* a_expr: a_expr NOT_LA ILIKE a_expr ESCAPE a_expr  */
#line 14662 "gram.y"
                                {
					FuncCall   *n = makeFuncCall(SystemFuncName("like_escape"),
												 list_make2((yyvsp[-2].node), (yyvsp[0].node)),
												 COERCE_EXPLICIT_CALL,
												 (yylsp[-4]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_ILIKE, "!~~*",
												   (yyvsp[-5].node), (Node *) n, (yylsp[-4]));
				}
#line 47724 "gram.c"
    break;

  case 2006: /* a_expr: a_expr SIMILAR TO a_expr  */
#line 14672 "gram.y"
                                {
					FuncCall   *n = makeFuncCall(SystemFuncName("similar_to_escape"),
												 list_make1((yyvsp[0].node)),
												 COERCE_EXPLICIT_CALL,
												 (yylsp[-2]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_SIMILAR, "~",
												   (yyvsp[-3].node), (Node *) n, (yylsp[-2]));
				}
#line 47737 "gram.c"
    break;

  case 2007: /* a_expr: a_expr SIMILAR TO a_expr ESCAPE a_expr  */
#line 14681 "gram.y"
                                {
					FuncCall   *n = makeFuncCall(SystemFuncName("similar_to_escape"),
												 list_make2((yyvsp[-2].node), (yyvsp[0].node)),
												 COERCE_EXPLICIT_CALL,
												 (yylsp[-4]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_SIMILAR, "~",
												   (yyvsp[-5].node), (Node *) n, (yylsp[-4]));
				}
#line 47750 "gram.c"
    break;

  case 2008: /* a_expr: a_expr NOT_LA SIMILAR TO a_expr  */
#line 14690 "gram.y"
                                {
					FuncCall   *n = makeFuncCall(SystemFuncName("similar_to_escape"),
												 list_make1((yyvsp[0].node)),
												 COERCE_EXPLICIT_CALL,
												 (yylsp[-3]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_SIMILAR, "!~",
												   (yyvsp[-4].node), (Node *) n, (yylsp[-3]));
				}
#line 47763 "gram.c"
    break;

  case 2009: /* a_expr: a_expr NOT_LA SIMILAR TO a_expr ESCAPE a_expr  */
#line 14699 "gram.y"
                                {
					FuncCall   *n = makeFuncCall(SystemFuncName("similar_to_escape"),
												 list_make2((yyvsp[-2].node), (yyvsp[0].node)),
												 COERCE_EXPLICIT_CALL,
												 (yylsp[-5]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_SIMILAR, "!~",
												   (yyvsp[-6].node), (Node *) n, (yylsp[-5]));
				}
#line 47776 "gram.c"
    break;

  case 2010: /* a_expr: a_expr IS NULL_P  */
#line 14718 "gram.y"
                                {
					NullTest   *n = makeNode(NullTest);

					n->arg = (Expr *) (yyvsp[-2].node);
					n->nulltesttype = IS_NULL;
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *) n;
				}
#line 47789 "gram.c"
    break;

  case 2011: /* a_expr: a_expr ISNULL  */
#line 14727 "gram.y"
                                {
					NullTest   *n = makeNode(NullTest);

					n->arg = (Expr *) (yyvsp[-1].node);
					n->nulltesttype = IS_NULL;
					n->location = (yylsp[0]);
					(yyval.node) = (Node *) n;
				}
#line 47802 "gram.c"
    break;

  case 2012: /* a_expr: a_expr IS NOT NULL_P  */
#line 14736 "gram.y"
                                {
					NullTest   *n = makeNode(NullTest);

					n->arg = (Expr *) (yyvsp[-3].node);
					n->nulltesttype = IS_NOT_NULL;
					n->location = (yylsp[-2]);
					(yyval.node) = (Node *) n;
				}
#line 47815 "gram.c"
    break;

  case 2013: /* a_expr: a_expr NOTNULL  */
#line 14745 "gram.y"
                                {
					NullTest   *n = makeNode(NullTest);

					n->arg = (Expr *) (yyvsp[-1].node);
					n->nulltesttype = IS_NOT_NULL;
					n->location = (yylsp[0]);
					(yyval.node) = (Node *) n;
				}
#line 47828 "gram.c"
    break;

  case 2014: /* a_expr: row OVERLAPS row  */
#line 14754 "gram.y"
                                {
					if (list_length((yyvsp[-2].list)) != 2)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("wrong number of parameters on left side of OVERLAPS expression"),
								 parser_errposition((yylsp[-2]))));
					if (list_length((yyvsp[0].list)) != 2)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("wrong number of parameters on right side of OVERLAPS expression"),
								 parser_errposition((yylsp[0]))));
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("overlaps"),
											   list_concat((yyvsp[-2].list), (yyvsp[0].list)),
											   COERCE_SQL_SYNTAX,
											   (yylsp[-1]));
				}
#line 47849 "gram.c"
    break;

  case 2015: /* a_expr: a_expr IS TRUE_P  */
#line 14771 "gram.y"
                                {
					BooleanTest *b = makeNode(BooleanTest);

					b->arg = (Expr *) (yyvsp[-2].node);
					b->booltesttype = IS_TRUE;
					b->location = (yylsp[-1]);
					(yyval.node) = (Node *) b;
				}
#line 47862 "gram.c"
    break;

  case 2016: /* a_expr: a_expr IS NOT TRUE_P  */
#line 14780 "gram.y"
                                {
					BooleanTest *b = makeNode(BooleanTest);

					b->arg = (Expr *) (yyvsp[-3].node);
					b->booltesttype = IS_NOT_TRUE;
					b->location = (yylsp[-2]);
					(yyval.node) = (Node *) b;
				}
#line 47875 "gram.c"
    break;

  case 2017: /* a_expr: a_expr IS FALSE_P  */
#line 14789 "gram.y"
                                {
					BooleanTest *b = makeNode(BooleanTest);

					b->arg = (Expr *) (yyvsp[-2].node);
					b->booltesttype = IS_FALSE;
					b->location = (yylsp[-1]);
					(yyval.node) = (Node *) b;
				}
#line 47888 "gram.c"
    break;

  case 2018: /* a_expr: a_expr IS NOT FALSE_P  */
#line 14798 "gram.y"
                                {
					BooleanTest *b = makeNode(BooleanTest);

					b->arg = (Expr *) (yyvsp[-3].node);
					b->booltesttype = IS_NOT_FALSE;
					b->location = (yylsp[-2]);
					(yyval.node) = (Node *) b;
				}
#line 47901 "gram.c"
    break;

  case 2019: /* a_expr: a_expr IS UNKNOWN  */
#line 14807 "gram.y"
                                {
					BooleanTest *b = makeNode(BooleanTest);

					b->arg = (Expr *) (yyvsp[-2].node);
					b->booltesttype = IS_UNKNOWN;
					b->location = (yylsp[-1]);
					(yyval.node) = (Node *) b;
				}
#line 47914 "gram.c"
    break;

  case 2020: /* a_expr: a_expr IS NOT UNKNOWN  */
#line 14816 "gram.y"
                                {
					BooleanTest *b = makeNode(BooleanTest);

					b->arg = (Expr *) (yyvsp[-3].node);
					b->booltesttype = IS_NOT_UNKNOWN;
					b->location = (yylsp[-2]);
					(yyval.node) = (Node *) b;
				}
#line 47927 "gram.c"
    break;

  case 2021: /* a_expr: a_expr IS DISTINCT FROM a_expr  */
#line 14825 "gram.y"
                                {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_DISTINCT, "=", (yyvsp[-4].node), (yyvsp[0].node), (yylsp[-3]));
				}
#line 47935 "gram.c"
    break;

  case 2022: /* a_expr: a_expr IS NOT DISTINCT FROM a_expr  */
#line 14829 "gram.y"
                                {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_NOT_DISTINCT, "=", (yyvsp[-5].node), (yyvsp[0].node), (yylsp[-4]));
				}
#line 47943 "gram.c"
    break;

  case 2023: /* a_expr: a_expr BETWEEN opt_asymmetric b_expr AND a_expr  */
#line 14833 "gram.y"
                                {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_BETWEEN,
												   "BETWEEN",
												   (yyvsp[-5].node),
												   (Node *) list_make2((yyvsp[-2].node), (yyvsp[0].node)),
												   (yylsp[-4]));
				}
#line 47955 "gram.c"
    break;

  case 2024: /* a_expr: a_expr NOT_LA BETWEEN opt_asymmetric b_expr AND a_expr  */
#line 14841 "gram.y"
                                {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_NOT_BETWEEN,
												   "NOT BETWEEN",
												   (yyvsp[-6].node),
												   (Node *) list_make2((yyvsp[-2].node), (yyvsp[0].node)),
												   (yylsp[-5]));
				}
#line 47967 "gram.c"
    break;

  case 2025: /* a_expr: a_expr BETWEEN SYMMETRIC b_expr AND a_expr  */
#line 14849 "gram.y"
                                {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_BETWEEN_SYM,
												   "BETWEEN SYMMETRIC",
												   (yyvsp[-5].node),
												   (Node *) list_make2((yyvsp[-2].node), (yyvsp[0].node)),
												   (yylsp[-4]));
				}
#line 47979 "gram.c"
    break;

  case 2026: /* a_expr: a_expr NOT_LA BETWEEN SYMMETRIC b_expr AND a_expr  */
#line 14857 "gram.y"
                                {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_NOT_BETWEEN_SYM,
												   "NOT BETWEEN SYMMETRIC",
												   (yyvsp[-6].node),
												   (Node *) list_make2((yyvsp[-2].node), (yyvsp[0].node)),
												   (yylsp[-5]));
				}
#line 47991 "gram.c"
    break;

  case 2027: /* a_expr: a_expr IN_P in_expr  */
#line 14865 "gram.y"
                                {
					/* in_expr returns a SubLink or a list of a_exprs */
					if (IsA((yyvsp[0].node), SubLink))
					{
						/* generate foo = ANY (subquery) */
						SubLink	   *n = (SubLink *) (yyvsp[0].node);

						n->subLinkType = ANY_SUBLINK;
						n->subLinkId = 0;
						n->testexpr = (yyvsp[-2].node);
						n->operName = NIL;		/* show it's IN not = ANY */
						n->location = (yylsp[-1]);
						(yyval.node) = (Node *) n;
					}
					else
					{
						/* generate scalar IN expression */
						(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_IN, "=", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1]));
					}
				}
#line 48016 "gram.c"
    break;

  case 2028: /* a_expr: a_expr NOT_LA IN_P in_expr  */
#line 14886 "gram.y"
                                {
					/* in_expr returns a SubLink or a list of a_exprs */
					if (IsA((yyvsp[0].node), SubLink))
					{
						/* generate NOT (foo = ANY (subquery)) */
						/* Make an = ANY node */
						SubLink	   *n = (SubLink *) (yyvsp[0].node);

						n->subLinkType = ANY_SUBLINK;
						n->subLinkId = 0;
						n->testexpr = (yyvsp[-3].node);
						n->operName = NIL;		/* show it's IN not = ANY */
						n->location = (yylsp[-2]);
						/* Stick a NOT on top; must have same parse location */
						(yyval.node) = makeNotExpr((Node *) n, (yylsp[-2]));
					}
					else
					{
						/* generate scalar NOT IN expression */
						(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_IN, "<>", (yyvsp[-3].node), (yyvsp[0].node), (yylsp[-2]));
					}
				}
#line 48043 "gram.c"
    break;

  case 2029: /* a_expr: a_expr subquery_Op sub_type select_with_parens  */
#line 14909 "gram.y"
                                {
					SubLink	   *n = makeNode(SubLink);

					n->subLinkType = (yyvsp[-1].ival);
					n->subLinkId = 0;
					n->testexpr = (yyvsp[-3].node);
					n->operName = (yyvsp[-2].list);
					n->subselect = (yyvsp[0].node);
					n->location = (yylsp[-2]);
					(yyval.node) = (Node *) n;
				}
#line 48059 "gram.c"
    break;

  case 2030: /* a_expr: a_expr subquery_Op sub_type '(' a_expr ')'  */
#line 14921 "gram.y"
                                {
					if ((yyvsp[-3].ival) == ANY_SUBLINK)
						(yyval.node) = (Node *) makeA_Expr(AEXPR_OP_ANY, (yyvsp[-4].list), (yyvsp[-5].node), (yyvsp[-1].node), (yylsp[-4]));
					else
						(yyval.node) = (Node *) makeA_Expr(AEXPR_OP_ALL, (yyvsp[-4].list), (yyvsp[-5].node), (yyvsp[-1].node), (yylsp[-4]));
				}
#line 48070 "gram.c"
    break;

  case 2031: /* a_expr: UNIQUE opt_unique_null_treatment select_with_parens  */
#line 14928 "gram.y"
                                {
					/* Not sure how to get rid of the parentheses
					 * but there are lots of shift/reduce errors without them.
					 *
					 * Should be able to implement this by plopping the entire
					 * select into a node, then transforming the target expressions
					 * from whatever they are into count(*), and testing the
					 * entire result equal to one.
					 * But, will probably implement a separate node in the executor.
					 */
					ereport(ERROR,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("UNIQUE predicate is not yet implemented"),
							 parser_errposition((yylsp[-2]))));
				}
#line 48090 "gram.c"
    break;

  case 2032: /* a_expr: a_expr IS DOCUMENT_P  */
#line 14944 "gram.y"
                                {
					(yyval.node) = makeXmlExpr(IS_DOCUMENT, NULL, NIL,
									 list_make1((yyvsp[-2].node)), (yylsp[-1]));
				}
#line 48099 "gram.c"
    break;

  case 2033: /* a_expr: a_expr IS NOT DOCUMENT_P  */
#line 14949 "gram.y"
                                {
					(yyval.node) = makeNotExpr(makeXmlExpr(IS_DOCUMENT, NULL, NIL,
												 list_make1((yyvsp[-3].node)), (yylsp[-2])),
									 (yylsp[-2]));
				}
#line 48109 "gram.c"
    break;

  case 2034: /* a_expr: a_expr IS NORMALIZED  */
#line 14955 "gram.y"
                                {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("is_normalized"),
											   list_make1((yyvsp[-2].node)),
											   COERCE_SQL_SYNTAX,
											   (yylsp[-1]));
				}
#line 48120 "gram.c"
    break;

  case 2035: /* a_expr: a_expr IS unicode_normal_form NORMALIZED  */
#line 14962 "gram.y"
                                {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("is_normalized"),
											   list_make2((yyvsp[-3].node), makeStringConst((yyvsp[-1].str), (yylsp[-1]))),
											   COERCE_SQL_SYNTAX,
											   (yylsp[-2]));
				}
#line 48131 "gram.c"
    break;

  case 2036: /* a_expr: a_expr IS NOT NORMALIZED  */
#line 14969 "gram.y"
                                {
					(yyval.node) = makeNotExpr((Node *) makeFuncCall(SystemFuncName("is_normalized"),
														   list_make1((yyvsp[-3].node)),
														   COERCE_SQL_SYNTAX,
														   (yylsp[-2])),
									 (yylsp[-2]));
				}
#line 48143 "gram.c"
    break;

  case 2037: /* a_expr: a_expr IS NOT unicode_normal_form NORMALIZED  */
#line 14977 "gram.y"
                                {
					(yyval.node) = makeNotExpr((Node *) makeFuncCall(SystemFuncName("is_normalized"),
														   list_make2((yyvsp[-4].node), makeStringConst((yyvsp[-1].str), (yylsp[-1]))),
														   COERCE_SQL_SYNTAX,
														   (yylsp[-3])),
									 (yylsp[-3]));
				}
#line 48155 "gram.c"
    break;

  case 2038: /* a_expr: a_expr IS json_predicate_type_constraint json_key_uniqueness_constraint_opt  */
#line 14986 "gram.y"
                                {
					JsonFormat *format = makeJsonFormat(JS_FORMAT_DEFAULT, JS_ENC_DEFAULT, -1);

					(yyval.node) = makeJsonIsPredicate((yyvsp[-3].node), format, (yyvsp[-1].ival), (yyvsp[0].boolean), (yylsp[-3]));
				}
#line 48165 "gram.c"
    break;

  case 2039: /* a_expr: a_expr IS NOT json_predicate_type_constraint json_key_uniqueness_constraint_opt  */
#line 15004 "gram.y"
                                {
					JsonFormat *format = makeJsonFormat(JS_FORMAT_DEFAULT, JS_ENC_DEFAULT, -1);

					(yyval.node) = makeNotExpr(makeJsonIsPredicate((yyvsp[-4].node), format, (yyvsp[-1].ival), (yyvsp[0].boolean), (yylsp[-4])), (yylsp[-4]));
				}
#line 48175 "gram.c"
    break;

  case 2040: /* a_expr: DEFAULT  */
#line 15021 "gram.y"
                                {
					/*
					 * The SQL spec only allows DEFAULT in "contextually typed
					 * expressions", but for us, it's easier to allow it in
					 * any a_expr and then throw error during parse analysis
					 * if it's in an inappropriate context.  This way also
					 * lets us say something smarter than "syntax error".
					 */
					SetToDefault *n = makeNode(SetToDefault);

					/* parse analysis will fill in the rest */
					n->location = (yylsp[0]);
					(yyval.node) = (Node *) n;
				}
#line 48194 "gram.c"
    break;

  case 2041: /* b_expr: c_expr  */
#line 15047 "gram.y"
                                { (yyval.node) = (yyvsp[0].node); }
#line 48200 "gram.c"
    break;

  case 2042: /* b_expr: b_expr TYPECAST Typename  */
#line 15049 "gram.y"
                                { (yyval.node) = makeTypeCast((yyvsp[-2].node), (yyvsp[0].typnam), (yylsp[-1])); }
#line 48206 "gram.c"
    break;

  case 2043: /* b_expr: '+' b_expr  */
#line 15051 "gram.y"
                                { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "+", NULL, (yyvsp[0].node), (yylsp[-1])); }
#line 48212 "gram.c"
    break;

  case 2044: /* b_expr: '-' b_expr  */
#line 15053 "gram.y"
                                { (yyval.node) = doNegate((yyvsp[0].node), (yylsp[-1])); }
#line 48218 "gram.c"
    break;

  case 2045: /* b_expr: b_expr '+' b_expr  */
#line 15055 "gram.y"
                                { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "+", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 48224 "gram.c"
    break;

  case 2046: /* b_expr: b_expr '-' b_expr  */
#line 15057 "gram.y"
                                { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "-", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 48230 "gram.c"
    break;

  case 2047: /* b_expr: b_expr '*' b_expr  */
#line 15059 "gram.y"
                                { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "*", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 48236 "gram.c"
    break;

  case 2048: /* b_expr: b_expr '/' b_expr  */
#line 15061 "gram.y"
                                { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "/", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 48242 "gram.c"
    break;

  case 2049: /* b_expr: b_expr '%' b_expr  */
#line 15063 "gram.y"
                                { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "%", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 48248 "gram.c"
    break;

  case 2050: /* b_expr: b_expr '^' b_expr  */
#line 15065 "gram.y"
                                { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "^", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 48254 "gram.c"
    break;

  case 2051: /* b_expr: b_expr '<' b_expr  */
#line 15067 "gram.y"
                                { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "<", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 48260 "gram.c"
    break;

  case 2052: /* b_expr: b_expr '>' b_expr  */
#line 15069 "gram.y"
                                { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, ">", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 48266 "gram.c"
    break;

  case 2053: /* b_expr: b_expr '=' b_expr  */
#line 15071 "gram.y"
                                { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "=", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 48272 "gram.c"
    break;

  case 2054: /* b_expr: b_expr LESS_EQUALS b_expr  */
#line 15073 "gram.y"
                                { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "<=", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 48278 "gram.c"
    break;

  case 2055: /* b_expr: b_expr GREATER_EQUALS b_expr  */
#line 15075 "gram.y"
                                { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, ">=", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 48284 "gram.c"
    break;

  case 2056: /* b_expr: b_expr NOT_EQUALS b_expr  */
#line 15077 "gram.y"
                                { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "<>", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 48290 "gram.c"
    break;

  case 2057: /* b_expr: b_expr qual_Op b_expr  */
#line 15079 "gram.y"
                                { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[-1].list), (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 48296 "gram.c"
    break;

  case 2058: /* b_expr: qual_Op b_expr  */
#line 15081 "gram.y"
                                { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[-1].list), NULL, (yyvsp[0].node), (yylsp[-1])); }
#line 48302 "gram.c"
    break;

  case 2059: /* b_expr: b_expr IS DISTINCT FROM b_expr  */
#line 15083 "gram.y"
                                {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_DISTINCT, "=", (yyvsp[-4].node), (yyvsp[0].node), (yylsp[-3]));
				}
#line 48310 "gram.c"
    break;

  case 2060: /* b_expr: b_expr IS NOT DISTINCT FROM b_expr  */
#line 15087 "gram.y"
                                {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_NOT_DISTINCT, "=", (yyvsp[-5].node), (yyvsp[0].node), (yylsp[-4]));
				}
#line 48318 "gram.c"
    break;

  case 2061: /* b_expr: b_expr IS DOCUMENT_P  */
#line 15091 "gram.y"
                                {
					(yyval.node) = makeXmlExpr(IS_DOCUMENT, NULL, NIL,
									 list_make1((yyvsp[-2].node)), (yylsp[-1]));
				}
#line 48327 "gram.c"
    break;

  case 2062: /* b_expr: b_expr IS NOT DOCUMENT_P  */
#line 15096 "gram.y"
                                {
					(yyval.node) = makeNotExpr(makeXmlExpr(IS_DOCUMENT, NULL, NIL,
												 list_make1((yyvsp[-3].node)), (yylsp[-2])),
									 (yylsp[-2]));
				}
#line 48337 "gram.c"
    break;

  case 2063: /* c_expr: columnref  */
#line 15111 "gram.y"
                                                                                        { (yyval.node) = (yyvsp[0].node); }
#line 48343 "gram.c"
    break;

  case 2064: /* c_expr: AexprConst  */
#line 15112 "gram.y"
                                                                                        { (yyval.node) = (yyvsp[0].node); }
#line 48349 "gram.c"
    break;

  case 2065: /* c_expr: PARAM opt_indirection  */
#line 15114 "gram.y"
                                {
					ParamRef   *p = makeNode(ParamRef);

					p->number = (yyvsp[-1].ival);
					p->location = (yylsp[-1]);
					if ((yyvsp[0].list))
					{
						A_Indirection *n = makeNode(A_Indirection);

						n->arg = (Node *) p;
						n->indirection = check_indirection((yyvsp[0].list), yyscanner);
						(yyval.node) = (Node *) n;
					}
					else
						(yyval.node) = (Node *) p;
				}
#line 48370 "gram.c"
    break;

  case 2066: /* c_expr: '(' a_expr ')' opt_indirection  */
#line 15131 "gram.y"
                                {
					if ((yyvsp[0].list))
					{
						A_Indirection *n = makeNode(A_Indirection);

						n->arg = (yyvsp[-2].node);
						n->indirection = check_indirection((yyvsp[0].list), yyscanner);
						(yyval.node) = (Node *) n;
					}
					else
						(yyval.node) = (yyvsp[-2].node);
				}
#line 48387 "gram.c"
    break;

  case 2067: /* c_expr: case_expr  */
#line 15144 "gram.y"
                                { (yyval.node) = (yyvsp[0].node); }
#line 48393 "gram.c"
    break;

  case 2068: /* c_expr: func_expr  */
#line 15146 "gram.y"
                                { (yyval.node) = (yyvsp[0].node); }
#line 48399 "gram.c"
    break;

  case 2069: /* c_expr: select_with_parens  */
#line 15148 "gram.y"
                                {
					SubLink	   *n = makeNode(SubLink);

					n->subLinkType = EXPR_SUBLINK;
					n->subLinkId = 0;
					n->testexpr = NULL;
					n->operName = NIL;
					n->subselect = (yyvsp[0].node);
					n->location = (yylsp[0]);
					(yyval.node) = (Node *) n;
				}
#line 48415 "gram.c"
    break;

  case 2070: /* c_expr: select_with_parens indirection  */
#line 15160 "gram.y"
                                {
					/*
					 * Because the select_with_parens nonterminal is designed
					 * to "eat" as many levels of parens as possible, the
					 * '(' a_expr ')' opt_indirection production above will
					 * fail to match a sub-SELECT with indirection decoration;
					 * the sub-SELECT won't be regarded as an a_expr as long
					 * as there are parens around it.  To support applying
					 * subscripting or field selection to a sub-SELECT result,
					 * we need this redundant-looking production.
					 */
					SubLink	   *n = makeNode(SubLink);
					A_Indirection *a = makeNode(A_Indirection);

					n->subLinkType = EXPR_SUBLINK;
					n->subLinkId = 0;
					n->testexpr = NULL;
					n->operName = NIL;
					n->subselect = (yyvsp[-1].node);
					n->location = (yylsp[-1]);
					a->arg = (Node *) n;
					a->indirection = check_indirection((yyvsp[0].list), yyscanner);
					(yyval.node) = (Node *) a;
				}
#line 48444 "gram.c"
    break;

  case 2071: /* c_expr: EXISTS select_with_parens  */
#line 15185 "gram.y"
                                {
					SubLink	   *n = makeNode(SubLink);

					n->subLinkType = EXISTS_SUBLINK;
					n->subLinkId = 0;
					n->testexpr = NULL;
					n->operName = NIL;
					n->subselect = (yyvsp[0].node);
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *) n;
				}
#line 48460 "gram.c"
    break;

  case 2072: /* c_expr: ARRAY select_with_parens  */
#line 15197 "gram.y"
                                {
					SubLink	   *n = makeNode(SubLink);

					n->subLinkType = ARRAY_SUBLINK;
					n->subLinkId = 0;
					n->testexpr = NULL;
					n->operName = NIL;
					n->subselect = (yyvsp[0].node);
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *) n;
				}
#line 48476 "gram.c"
    break;

  case 2073: /* c_expr: ARRAY array_expr  */
#line 15209 "gram.y"
                                {
					A_ArrayExpr *n = castNode(A_ArrayExpr, (yyvsp[0].node));

					/* point outermost A_ArrayExpr to the ARRAY keyword */
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *) n;
				}
#line 48488 "gram.c"
    break;

  case 2074: /* c_expr: explicit_row  */
#line 15217 "gram.y"
                                {
					RowExpr	   *r = makeNode(RowExpr);

					r->args = (yyvsp[0].list);
					r->row_typeid = InvalidOid;	/* not analyzed yet */
					r->colnames = NIL;	/* to be filled in during analysis */
					r->row_format = COERCE_EXPLICIT_CALL; /* abuse */
					r->location = (yylsp[0]);
					(yyval.node) = (Node *) r;
				}
#line 48503 "gram.c"
    break;

  case 2075: /* c_expr: implicit_row  */
#line 15228 "gram.y"
                                {
					RowExpr	   *r = makeNode(RowExpr);

					r->args = (yyvsp[0].list);
					r->row_typeid = InvalidOid;	/* not analyzed yet */
					r->colnames = NIL;	/* to be filled in during analysis */
					r->row_format = COERCE_IMPLICIT_CAST; /* abuse */
					r->location = (yylsp[0]);
					(yyval.node) = (Node *) r;
				}
#line 48518 "gram.c"
    break;

  case 2076: /* c_expr: GROUPING '(' expr_list ')'  */
#line 15239 "gram.y"
                          {
				  GroupingFunc *g = makeNode(GroupingFunc);

				  g->args = (yyvsp[-1].list);
				  g->location = (yylsp[-3]);
				  (yyval.node) = (Node *) g;
			  }
#line 48530 "gram.c"
    break;

  case 2077: /* func_application: func_name '(' ')'  */
#line 15249 "gram.y"
                                {
					(yyval.node) = (Node *) makeFuncCall((yyvsp[-2].list), NIL,
											   COERCE_EXPLICIT_CALL,
											   (yylsp[-2]));
				}
#line 48540 "gram.c"
    break;

  case 2078: /* func_application: func_name '(' func_arg_list opt_sort_clause ')'  */
#line 15255 "gram.y"
                                {
					FuncCall   *n = makeFuncCall((yyvsp[-4].list), (yyvsp[-2].list),
												 COERCE_EXPLICIT_CALL,
												 (yylsp[-4]));

					n->agg_order = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 48553 "gram.c"
    break;

  case 2079: /* func_application: func_name '(' VARIADIC func_arg_expr opt_sort_clause ')'  */
#line 15264 "gram.y"
                                {
					FuncCall   *n = makeFuncCall((yyvsp[-5].list), list_make1((yyvsp[-2].node)),
												 COERCE_EXPLICIT_CALL,
												 (yylsp[-5]));

					n->func_variadic = true;
					n->agg_order = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 48567 "gram.c"
    break;

  case 2080: /* func_application: func_name '(' func_arg_list ',' VARIADIC func_arg_expr opt_sort_clause ')'  */
#line 15274 "gram.y"
                                {
					FuncCall   *n = makeFuncCall((yyvsp[-7].list), lappend((yyvsp[-5].list), (yyvsp[-2].node)),
												 COERCE_EXPLICIT_CALL,
												 (yylsp[-7]));

					n->func_variadic = true;
					n->agg_order = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 48581 "gram.c"
    break;

  case 2081: /* func_application: func_name '(' ALL func_arg_list opt_sort_clause ')'  */
#line 15284 "gram.y"
                                {
					FuncCall   *n = makeFuncCall((yyvsp[-5].list), (yyvsp[-2].list),
												 COERCE_EXPLICIT_CALL,
												 (yylsp[-5]));

					n->agg_order = (yyvsp[-1].list);
					/* Ideally we'd mark the FuncCall node to indicate
					 * "must be an aggregate", but there's no provision
					 * for that in FuncCall at the moment.
					 */
					(yyval.node) = (Node *) n;
				}
#line 48598 "gram.c"
    break;

  case 2082: /* func_application: func_name '(' DISTINCT func_arg_list opt_sort_clause ')'  */
#line 15297 "gram.y"
                                {
					FuncCall   *n = makeFuncCall((yyvsp[-5].list), (yyvsp[-2].list),
												 COERCE_EXPLICIT_CALL,
												 (yylsp[-5]));

					n->agg_order = (yyvsp[-1].list);
					n->agg_distinct = true;
					(yyval.node) = (Node *) n;
				}
#line 48612 "gram.c"
    break;

  case 2083: /* func_application: func_name '(' '*' ')'  */
#line 15307 "gram.y"
                                {
					/*
					 * We consider AGGREGATE(*) to invoke a parameterless
					 * aggregate.  This does the right thing for COUNT(*),
					 * and there are no other aggregates in SQL that accept
					 * '*' as parameter.
					 *
					 * The FuncCall node is also marked agg_star = true,
					 * so that later processing can detect what the argument
					 * really was.
					 */
					FuncCall   *n = makeFuncCall((yyvsp[-3].list), NIL,
												 COERCE_EXPLICIT_CALL,
												 (yylsp[-3]));

					n->agg_star = true;
					(yyval.node) = (Node *) n;
				}
#line 48635 "gram.c"
    break;

  case 2084: /* func_expr: func_application within_group_clause filter_clause over_clause  */
#line 15338 "gram.y"
                                {
					FuncCall   *n = (FuncCall *) (yyvsp[-3].node);

					/*
					 * The order clause for WITHIN GROUP and the one for
					 * plain-aggregate ORDER BY share a field, so we have to
					 * check here that at most one is present.  We also check
					 * for DISTINCT and VARIADIC here to give a better error
					 * location.  Other consistency checks are deferred to
					 * parse analysis.
					 */
					if ((yyvsp[-2].list) != NIL)
					{
						if (n->agg_order != NIL)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("cannot use multiple ORDER BY clauses with WITHIN GROUP"),
									 parser_errposition((yylsp[-2]))));
						if (n->agg_distinct)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("cannot use DISTINCT with WITHIN GROUP"),
									 parser_errposition((yylsp[-2]))));
						if (n->func_variadic)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("cannot use VARIADIC with WITHIN GROUP"),
									 parser_errposition((yylsp[-2]))));
						n->agg_order = (yyvsp[-2].list);
						n->agg_within_group = true;
					}
					n->agg_filter = (yyvsp[-1].node);
					n->over = (yyvsp[0].windef);
					(yyval.node) = (Node *) n;
				}
#line 48675 "gram.c"
    break;

  case 2085: /* func_expr: json_aggregate_func filter_clause over_clause  */
#line 15374 "gram.y"
                                {
					JsonAggConstructor *n = IsA((yyvsp[-2].node), JsonObjectAgg) ?
						((JsonObjectAgg *) (yyvsp[-2].node))->constructor :
						((JsonArrayAgg *) (yyvsp[-2].node))->constructor;

					n->agg_filter = (yyvsp[-1].node);
					n->over = (yyvsp[0].windef);
					(yyval.node) = (Node *) (yyvsp[-2].node);
				}
#line 48689 "gram.c"
    break;

  case 2086: /* func_expr: func_expr_common_subexpr  */
#line 15384 "gram.y"
                                { (yyval.node) = (yyvsp[0].node); }
#line 48695 "gram.c"
    break;

  case 2087: /* func_expr_windowless: func_application  */
#line 15394 "gram.y"
                                                                                        { (yyval.node) = (yyvsp[0].node); }
#line 48701 "gram.c"
    break;

  case 2088: /* func_expr_windowless: func_expr_common_subexpr  */
#line 15395 "gram.y"
                                                                                { (yyval.node) = (yyvsp[0].node); }
#line 48707 "gram.c"
    break;

  case 2089: /* func_expr_windowless: json_aggregate_func  */
#line 15396 "gram.y"
                                                                                { (yyval.node) = (yyvsp[0].node); }
#line 48713 "gram.c"
    break;

  case 2090: /* func_expr_common_subexpr: COLLATION FOR '(' a_expr ')'  */
#line 15404 "gram.y"
                                {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("pg_collation_for"),
											   list_make1((yyvsp[-1].node)),
											   COERCE_SQL_SYNTAX,
											   (yylsp[-4]));
				}
#line 48724 "gram.c"
    break;

  case 2091: /* func_expr_common_subexpr: CURRENT_DATE  */
#line 15411 "gram.y"
                                {
					(yyval.node) = makeSQLValueFunction(SVFOP_CURRENT_DATE, -1, (yylsp[0]));
				}
#line 48732 "gram.c"
    break;

  case 2092: /* func_expr_common_subexpr: CURRENT_TIME  */
#line 15415 "gram.y"
                                {
					(yyval.node) = makeSQLValueFunction(SVFOP_CURRENT_TIME, -1, (yylsp[0]));
				}
#line 48740 "gram.c"
    break;

  case 2093: /* func_expr_common_subexpr: CURRENT_TIME '(' Iconst ')'  */
#line 15419 "gram.y"
                                {
					(yyval.node) = makeSQLValueFunction(SVFOP_CURRENT_TIME_N, (yyvsp[-1].ival), (yylsp[-3]));
				}
#line 48748 "gram.c"
    break;

  case 2094: /* func_expr_common_subexpr: CURRENT_TIMESTAMP  */
#line 15423 "gram.y"
                                {
					(yyval.node) = makeSQLValueFunction(SVFOP_CURRENT_TIMESTAMP, -1, (yylsp[0]));
				}
#line 48756 "gram.c"
    break;

  case 2095: /* func_expr_common_subexpr: CURRENT_TIMESTAMP '(' Iconst ')'  */
#line 15427 "gram.y"
                                {
					(yyval.node) = makeSQLValueFunction(SVFOP_CURRENT_TIMESTAMP_N, (yyvsp[-1].ival), (yylsp[-3]));
				}
#line 48764 "gram.c"
    break;

  case 2096: /* func_expr_common_subexpr: LOCALTIME  */
#line 15431 "gram.y"
                                {
					(yyval.node) = makeSQLValueFunction(SVFOP_LOCALTIME, -1, (yylsp[0]));
				}
#line 48772 "gram.c"
    break;

  case 2097: /* func_expr_common_subexpr: LOCALTIME '(' Iconst ')'  */
#line 15435 "gram.y"
                                {
					(yyval.node) = makeSQLValueFunction(SVFOP_LOCALTIME_N, (yyvsp[-1].ival), (yylsp[-3]));
				}
#line 48780 "gram.c"
    break;

  case 2098: /* func_expr_common_subexpr: LOCALTIMESTAMP  */
#line 15439 "gram.y"
                                {
					(yyval.node) = makeSQLValueFunction(SVFOP_LOCALTIMESTAMP, -1, (yylsp[0]));
				}
#line 48788 "gram.c"
    break;

  case 2099: /* func_expr_common_subexpr: LOCALTIMESTAMP '(' Iconst ')'  */
#line 15443 "gram.y"
                                {
					(yyval.node) = makeSQLValueFunction(SVFOP_LOCALTIMESTAMP_N, (yyvsp[-1].ival), (yylsp[-3]));
				}
#line 48796 "gram.c"
    break;

  case 2100: /* func_expr_common_subexpr: CURRENT_ROLE  */
#line 15447 "gram.y"
                                {
					(yyval.node) = makeSQLValueFunction(SVFOP_CURRENT_ROLE, -1, (yylsp[0]));
				}
#line 48804 "gram.c"
    break;

  case 2101: /* func_expr_common_subexpr: CURRENT_USER  */
#line 15451 "gram.y"
                                {
					(yyval.node) = makeSQLValueFunction(SVFOP_CURRENT_USER, -1, (yylsp[0]));
				}
#line 48812 "gram.c"
    break;

  case 2102: /* func_expr_common_subexpr: SESSION_USER  */
#line 15455 "gram.y"
                                {
					(yyval.node) = makeSQLValueFunction(SVFOP_SESSION_USER, -1, (yylsp[0]));
				}
#line 48820 "gram.c"
    break;

  case 2103: /* func_expr_common_subexpr: SYSTEM_USER  */
#line 15459 "gram.y"
                                {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("system_user"),
											   NIL,
											   COERCE_SQL_SYNTAX,
											   (yylsp[0]));
				}
#line 48831 "gram.c"
    break;

  case 2104: /* func_expr_common_subexpr: USER  */
#line 15466 "gram.y"
                                {
					(yyval.node) = makeSQLValueFunction(SVFOP_USER, -1, (yylsp[0]));
				}
#line 48839 "gram.c"
    break;

  case 2105: /* func_expr_common_subexpr: CURRENT_CATALOG  */
#line 15470 "gram.y"
                                {
					(yyval.node) = makeSQLValueFunction(SVFOP_CURRENT_CATALOG, -1, (yylsp[0]));
				}
#line 48847 "gram.c"
    break;

  case 2106: /* func_expr_common_subexpr: CURRENT_SCHEMA  */
#line 15474 "gram.y"
                                {
					(yyval.node) = makeSQLValueFunction(SVFOP_CURRENT_SCHEMA, -1, (yylsp[0]));
				}
#line 48855 "gram.c"
    break;

  case 2107: /* func_expr_common_subexpr: CAST '(' a_expr AS Typename ')'  */
#line 15478 "gram.y"
                                { (yyval.node) = makeTypeCast((yyvsp[-3].node), (yyvsp[-1].typnam), (yylsp[-5])); }
#line 48861 "gram.c"
    break;

  case 2108: /* func_expr_common_subexpr: EXTRACT '(' extract_list ')'  */
#line 15480 "gram.y"
                                {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("extract"),
											   (yyvsp[-1].list),
											   COERCE_SQL_SYNTAX,
											   (yylsp[-3]));
				}
#line 48872 "gram.c"
    break;

  case 2109: /* func_expr_common_subexpr: NORMALIZE '(' a_expr ')'  */
#line 15487 "gram.y"
                                {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("normalize"),
											   list_make1((yyvsp[-1].node)),
											   COERCE_SQL_SYNTAX,
											   (yylsp[-3]));
				}
#line 48883 "gram.c"
    break;

  case 2110: /* func_expr_common_subexpr: NORMALIZE '(' a_expr ',' unicode_normal_form ')'  */
#line 15494 "gram.y"
                                {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("normalize"),
											   list_make2((yyvsp[-3].node), makeStringConst((yyvsp[-1].str), (yylsp[-1]))),
											   COERCE_SQL_SYNTAX,
											   (yylsp[-5]));
				}
#line 48894 "gram.c"
    break;

  case 2111: /* func_expr_common_subexpr: OVERLAY '(' overlay_list ')'  */
#line 15501 "gram.y"
                                {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("overlay"),
											   (yyvsp[-1].list),
											   COERCE_SQL_SYNTAX,
											   (yylsp[-3]));
				}
#line 48905 "gram.c"
    break;

  case 2112: /* func_expr_common_subexpr: OVERLAY '(' func_arg_list_opt ')'  */
#line 15508 "gram.y"
                                {
					/*
					 * allow functions named overlay() to be called without
					 * special syntax
					 */
					(yyval.node) = (Node *) makeFuncCall(list_make1(makeString("overlay")),
											   (yyvsp[-1].list),
											   COERCE_EXPLICIT_CALL,
											   (yylsp[-3]));
				}
#line 48920 "gram.c"
    break;

  case 2113: /* func_expr_common_subexpr: POSITION '(' position_list ')'  */
#line 15519 "gram.y"
                                {
					/*
					 * position(A in B) is converted to position(B, A)
					 *
					 * We deliberately don't offer a "plain syntax" option
					 * for position(), because the reversal of the arguments
					 * creates too much risk of confusion.
					 */
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("position"),
											   (yyvsp[-1].list),
											   COERCE_SQL_SYNTAX,
											   (yylsp[-3]));
				}
#line 48938 "gram.c"
    break;

  case 2114: /* func_expr_common_subexpr: SUBSTRING '(' substr_list ')'  */
#line 15533 "gram.y"
                                {
					/* substring(A from B for C) is converted to
					 * substring(A, B, C) - thomas 2000-11-28
					 */
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("substring"),
											   (yyvsp[-1].list),
											   COERCE_SQL_SYNTAX,
											   (yylsp[-3]));
				}
#line 48952 "gram.c"
    break;

  case 2115: /* func_expr_common_subexpr: SUBSTRING '(' func_arg_list_opt ')'  */
#line 15543 "gram.y"
                                {
					/*
					 * allow functions named substring() to be called without
					 * special syntax
					 */
					(yyval.node) = (Node *) makeFuncCall(list_make1(makeString("substring")),
											   (yyvsp[-1].list),
											   COERCE_EXPLICIT_CALL,
											   (yylsp[-3]));
				}
#line 48967 "gram.c"
    break;

  case 2116: /* func_expr_common_subexpr: TREAT '(' a_expr AS Typename ')'  */
#line 15554 "gram.y"
                                {
					/* TREAT(expr AS target) converts expr of a particular type to target,
					 * which is defined to be a subtype of the original expression.
					 * In SQL99, this is intended for use with structured UDTs,
					 * but let's make this a generally useful form allowing stronger
					 * coercions than are handled by implicit casting.
					 *
					 * Convert SystemTypeName() to SystemFuncName() even though
					 * at the moment they result in the same thing.
					 */
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName(strVal(llast((yyvsp[-1].typnam)->names))),
											   list_make1((yyvsp[-3].node)),
											   COERCE_EXPLICIT_CALL,
											   (yylsp[-5]));
				}
#line 48987 "gram.c"
    break;

  case 2117: /* func_expr_common_subexpr: TRIM '(' BOTH trim_list ')'  */
#line 15570 "gram.y"
                                {
					/* various trim expressions are defined in SQL
					 * - thomas 1997-07-19
					 */
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("btrim"),
											   (yyvsp[-1].list),
											   COERCE_SQL_SYNTAX,
											   (yylsp[-4]));
				}
#line 49001 "gram.c"
    break;

  case 2118: /* func_expr_common_subexpr: TRIM '(' LEADING trim_list ')'  */
#line 15580 "gram.y"
                                {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("ltrim"),
											   (yyvsp[-1].list),
											   COERCE_SQL_SYNTAX,
											   (yylsp[-4]));
				}
#line 49012 "gram.c"
    break;

  case 2119: /* func_expr_common_subexpr: TRIM '(' TRAILING trim_list ')'  */
#line 15587 "gram.y"
                                {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("rtrim"),
											   (yyvsp[-1].list),
											   COERCE_SQL_SYNTAX,
											   (yylsp[-4]));
				}
#line 49023 "gram.c"
    break;

  case 2120: /* func_expr_common_subexpr: TRIM '(' trim_list ')'  */
#line 15594 "gram.y"
                                {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("btrim"),
											   (yyvsp[-1].list),
											   COERCE_SQL_SYNTAX,
											   (yylsp[-3]));
				}
#line 49034 "gram.c"
    break;

  case 2121: /* func_expr_common_subexpr: NULLIF '(' a_expr ',' a_expr ')'  */
#line 15601 "gram.y"
                                {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_NULLIF, "=", (yyvsp[-3].node), (yyvsp[-1].node), (yylsp[-5]));
				}
#line 49042 "gram.c"
    break;

  case 2122: /* func_expr_common_subexpr: COALESCE '(' expr_list ')'  */
#line 15605 "gram.y"
                                {
					CoalesceExpr *c = makeNode(CoalesceExpr);

					c->args = (yyvsp[-1].list);
					c->location = (yylsp[-3]);
					(yyval.node) = (Node *) c;
				}
#line 49054 "gram.c"
    break;

  case 2123: /* func_expr_common_subexpr: GREATEST '(' expr_list ')'  */
#line 15613 "gram.y"
                                {
					MinMaxExpr *v = makeNode(MinMaxExpr);

					v->args = (yyvsp[-1].list);
					v->op = IS_GREATEST;
					v->location = (yylsp[-3]);
					(yyval.node) = (Node *) v;
				}
#line 49067 "gram.c"
    break;

  case 2124: /* func_expr_common_subexpr: LEAST '(' expr_list ')'  */
#line 15622 "gram.y"
                                {
					MinMaxExpr *v = makeNode(MinMaxExpr);

					v->args = (yyvsp[-1].list);
					v->op = IS_LEAST;
					v->location = (yylsp[-3]);
					(yyval.node) = (Node *) v;
				}
#line 49080 "gram.c"
    break;

  case 2125: /* func_expr_common_subexpr: XMLCONCAT '(' expr_list ')'  */
#line 15631 "gram.y"
                                {
					(yyval.node) = makeXmlExpr(IS_XMLCONCAT, NULL, NIL, (yyvsp[-1].list), (yylsp[-3]));
				}
#line 49088 "gram.c"
    break;

  case 2126: /* func_expr_common_subexpr: XMLELEMENT '(' NAME_P ColLabel ')'  */
#line 15635 "gram.y"
                                {
					(yyval.node) = makeXmlExpr(IS_XMLELEMENT, (yyvsp[-1].str), NIL, NIL, (yylsp[-4]));
				}
#line 49096 "gram.c"
    break;

  case 2127: /* func_expr_common_subexpr: XMLELEMENT '(' NAME_P ColLabel ',' xml_attributes ')'  */
#line 15639 "gram.y"
                                {
					(yyval.node) = makeXmlExpr(IS_XMLELEMENT, (yyvsp[-3].str), (yyvsp[-1].list), NIL, (yylsp[-6]));
				}
#line 49104 "gram.c"
    break;

  case 2128: /* func_expr_common_subexpr: XMLELEMENT '(' NAME_P ColLabel ',' expr_list ')'  */
#line 15643 "gram.y"
                                {
					(yyval.node) = makeXmlExpr(IS_XMLELEMENT, (yyvsp[-3].str), NIL, (yyvsp[-1].list), (yylsp[-6]));
				}
#line 49112 "gram.c"
    break;

  case 2129: /* func_expr_common_subexpr: XMLELEMENT '(' NAME_P ColLabel ',' xml_attributes ',' expr_list ')'  */
#line 15647 "gram.y"
                                {
					(yyval.node) = makeXmlExpr(IS_XMLELEMENT, (yyvsp[-5].str), (yyvsp[-3].list), (yyvsp[-1].list), (yylsp[-8]));
				}
#line 49120 "gram.c"
    break;

  case 2130: /* func_expr_common_subexpr: XMLEXISTS '(' c_expr xmlexists_argument ')'  */
#line 15651 "gram.y"
                                {
					/* xmlexists(A PASSING [BY REF] B [BY REF]) is
					 * converted to xmlexists(A, B)*/
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("xmlexists"),
											   list_make2((yyvsp[-2].node), (yyvsp[-1].node)),
											   COERCE_SQL_SYNTAX,
											   (yylsp[-4]));
				}
#line 49133 "gram.c"
    break;

  case 2131: /* func_expr_common_subexpr: XMLFOREST '(' xml_attribute_list ')'  */
#line 15660 "gram.y"
                                {
					(yyval.node) = makeXmlExpr(IS_XMLFOREST, NULL, (yyvsp[-1].list), NIL, (yylsp[-3]));
				}
#line 49141 "gram.c"
    break;

  case 2132: /* func_expr_common_subexpr: XMLPARSE '(' document_or_content a_expr xml_whitespace_option ')'  */
#line 15664 "gram.y"
                                {
					XmlExpr *x = (XmlExpr *)
						makeXmlExpr(IS_XMLPARSE, NULL, NIL,
									list_make2((yyvsp[-2].node), makeBoolAConst((yyvsp[-1].boolean), -1)),
									(yylsp[-5]));

					x->xmloption = (yyvsp[-3].ival);
					(yyval.node) = (Node *) x;
				}
#line 49155 "gram.c"
    break;

  case 2133: /* func_expr_common_subexpr: XMLPI '(' NAME_P ColLabel ')'  */
#line 15674 "gram.y"
                                {
					(yyval.node) = makeXmlExpr(IS_XMLPI, (yyvsp[-1].str), NULL, NIL, (yylsp[-4]));
				}
#line 49163 "gram.c"
    break;

  case 2134: /* func_expr_common_subexpr: XMLPI '(' NAME_P ColLabel ',' a_expr ')'  */
#line 15678 "gram.y"
                                {
					(yyval.node) = makeXmlExpr(IS_XMLPI, (yyvsp[-3].str), NULL, list_make1((yyvsp[-1].node)), (yylsp[-6]));
				}
#line 49171 "gram.c"
    break;

  case 2135: /* func_expr_common_subexpr: XMLROOT '(' a_expr ',' xml_root_version opt_xml_root_standalone ')'  */
#line 15682 "gram.y"
                                {
					(yyval.node) = makeXmlExpr(IS_XMLROOT, NULL, NIL,
									 list_make3((yyvsp[-4].node), (yyvsp[-2].node), (yyvsp[-1].node)), (yylsp[-6]));
				}
#line 49180 "gram.c"
    break;

  case 2136: /* func_expr_common_subexpr: XMLSERIALIZE '(' document_or_content a_expr AS SimpleTypename xml_indent_option ')'  */
#line 15687 "gram.y"
                                {
					XmlSerialize *n = makeNode(XmlSerialize);

					n->xmloption = (yyvsp[-5].ival);
					n->expr = (yyvsp[-4].node);
					n->typeName = (yyvsp[-2].typnam);
					n->indent = (yyvsp[-1].boolean);
					n->location = (yylsp[-7]);
					(yyval.node) = (Node *) n;
				}
#line 49195 "gram.c"
    break;

  case 2137: /* func_expr_common_subexpr: JSON_OBJECT '(' func_arg_list ')'  */
#line 15698 "gram.y"
                                {
					/* Support for legacy (non-standard) json_object() */
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("json_object"),
											   (yyvsp[-1].list), COERCE_EXPLICIT_CALL, (yylsp[-3]));
				}
#line 49205 "gram.c"
    break;

  case 2138: /* func_expr_common_subexpr: JSON_OBJECT '(' json_name_and_value_list json_object_constructor_null_clause_opt json_key_uniqueness_constraint_opt json_returning_clause_opt ')'  */
#line 15707 "gram.y"
                                {
					JsonObjectConstructor *n = makeNode(JsonObjectConstructor);

					n->exprs = (yyvsp[-4].list);
					n->absent_on_null = (yyvsp[-3].boolean);
					n->unique = (yyvsp[-2].boolean);
					n->output = (JsonOutput *) (yyvsp[-1].node);
					n->location = (yylsp[-6]);
					(yyval.node) = (Node *) n;
				}
#line 49220 "gram.c"
    break;

  case 2139: /* func_expr_common_subexpr: JSON_OBJECT '(' json_returning_clause_opt ')'  */
#line 15718 "gram.y"
                                {
					JsonObjectConstructor *n = makeNode(JsonObjectConstructor);

					n->exprs = NULL;
					n->absent_on_null = false;
					n->unique = false;
					n->output = (JsonOutput *) (yyvsp[-1].node);
					n->location = (yylsp[-3]);
					(yyval.node) = (Node *) n;
				}
#line 49235 "gram.c"
    break;

  case 2140: /* func_expr_common_subexpr: JSON_ARRAY '(' json_value_expr_list json_array_constructor_null_clause_opt json_returning_clause_opt ')'  */
#line 15733 "gram.y"
                                {
					JsonArrayConstructor *n = makeNode(JsonArrayConstructor);

					n->exprs = (yyvsp[-3].list);
					n->absent_on_null = (yyvsp[-2].boolean);
					n->output = (JsonOutput *) (yyvsp[-1].node);
					n->location = (yylsp[-5]);
					(yyval.node) = (Node *) n;
				}
#line 49249 "gram.c"
    break;

  case 2141: /* func_expr_common_subexpr: JSON_ARRAY '(' select_no_parens json_format_clause_opt json_returning_clause_opt ')'  */
#line 15748 "gram.y"
                                {
					JsonArrayQueryConstructor *n = makeNode(JsonArrayQueryConstructor);

					n->query = (yyvsp[-3].node);
					n->format = (JsonFormat *) (yyvsp[-2].node);
					n->absent_on_null = true;	/* XXX */
					n->output = (JsonOutput *) (yyvsp[-1].node);
					n->location = (yylsp[-5]);
					(yyval.node) = (Node *) n;
				}
#line 49264 "gram.c"
    break;

  case 2142: /* func_expr_common_subexpr: JSON_ARRAY '(' json_returning_clause_opt ')'  */
#line 15761 "gram.y"
                                {
					JsonArrayConstructor *n = makeNode(JsonArrayConstructor);

					n->exprs = NIL;
					n->absent_on_null = true;
					n->output = (JsonOutput *) (yyvsp[-1].node);
					n->location = (yylsp[-3]);
					(yyval.node) = (Node *) n;
				}
#line 49278 "gram.c"
    break;

  case 2143: /* func_expr_common_subexpr: JSON '(' json_value_expr json_key_uniqueness_constraint_opt ')'  */
#line 15771 "gram.y"
                                {
					JsonParseExpr *n = makeNode(JsonParseExpr);

					n->expr = (JsonValueExpr *) (yyvsp[-2].node);
					n->unique_keys = (yyvsp[-1].boolean);
					n->output = NULL;
					n->location = (yylsp[-4]);
					(yyval.node) = (Node *) n;
				}
#line 49292 "gram.c"
    break;

  case 2144: /* func_expr_common_subexpr: JSON_SCALAR '(' a_expr ')'  */
#line 15781 "gram.y"
                                {
					JsonScalarExpr *n = makeNode(JsonScalarExpr);

					n->expr = (Expr *) (yyvsp[-1].node);
					n->output = NULL;
					n->location = (yylsp[-3]);
					(yyval.node) = (Node *) n;
				}
#line 49305 "gram.c"
    break;

  case 2145: /* func_expr_common_subexpr: JSON_SERIALIZE '(' json_value_expr json_returning_clause_opt ')'  */
#line 15790 "gram.y"
                                {
					JsonSerializeExpr *n = makeNode(JsonSerializeExpr);

					n->expr = (JsonValueExpr *) (yyvsp[-2].node);
					n->output = (JsonOutput *) (yyvsp[-1].node);
					n->location = (yylsp[-4]);
					(yyval.node) = (Node *) n;
				}
#line 49318 "gram.c"
    break;

  case 2146: /* xml_root_version: VERSION_P a_expr  */
#line 15805 "gram.y"
                                { (yyval.node) = (yyvsp[0].node); }
#line 49324 "gram.c"
    break;

  case 2147: /* xml_root_version: VERSION_P NO VALUE_P  */
#line 15807 "gram.y"
                                { (yyval.node) = makeNullAConst(-1); }
#line 49330 "gram.c"
    break;

  case 2148: /* opt_xml_root_standalone: ',' STANDALONE_P YES_P  */
#line 15811 "gram.y"
                                { (yyval.node) = makeIntConst(XML_STANDALONE_YES, -1); }
#line 49336 "gram.c"
    break;

  case 2149: /* opt_xml_root_standalone: ',' STANDALONE_P NO  */
#line 15813 "gram.y"
                                { (yyval.node) = makeIntConst(XML_STANDALONE_NO, -1); }
#line 49342 "gram.c"
    break;

  case 2150: /* opt_xml_root_standalone: ',' STANDALONE_P NO VALUE_P  */
#line 15815 "gram.y"
                                { (yyval.node) = makeIntConst(XML_STANDALONE_NO_VALUE, -1); }
#line 49348 "gram.c"
    break;

  case 2151: /* opt_xml_root_standalone: %empty  */
#line 15817 "gram.y"
                                { (yyval.node) = makeIntConst(XML_STANDALONE_OMITTED, -1); }
#line 49354 "gram.c"
    break;

  case 2152: /* xml_attributes: XMLATTRIBUTES '(' xml_attribute_list ')'  */
#line 15820 "gram.y"
                                                                { (yyval.list) = (yyvsp[-1].list); }
#line 49360 "gram.c"
    break;

  case 2153: /* xml_attribute_list: xml_attribute_el  */
#line 15823 "gram.y"
                                                                                { (yyval.list) = list_make1((yyvsp[0].target)); }
#line 49366 "gram.c"
    break;

  case 2154: /* xml_attribute_list: xml_attribute_list ',' xml_attribute_el  */
#line 15824 "gram.y"
                                                                        { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].target)); }
#line 49372 "gram.c"
    break;

  case 2155: /* xml_attribute_el: a_expr AS ColLabel  */
#line 15828 "gram.y"
                                {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[0].str);
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *) (yyvsp[-2].node);
					(yyval.target)->location = (yylsp[-2]);
				}
#line 49384 "gram.c"
    break;

  case 2156: /* xml_attribute_el: a_expr  */
#line 15836 "gram.y"
                                {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = NULL;
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *) (yyvsp[0].node);
					(yyval.target)->location = (yylsp[0]);
				}
#line 49396 "gram.c"
    break;

  case 2157: /* document_or_content: DOCUMENT_P  */
#line 15845 "gram.y"
                                                                        { (yyval.ival) = XMLOPTION_DOCUMENT; }
#line 49402 "gram.c"
    break;

  case 2158: /* document_or_content: CONTENT_P  */
#line 15846 "gram.y"
                                                                                                { (yyval.ival) = XMLOPTION_CONTENT; }
#line 49408 "gram.c"
    break;

  case 2159: /* xml_indent_option: INDENT  */
#line 15849 "gram.y"
                                                                                { (yyval.boolean) = true; }
#line 49414 "gram.c"
    break;

  case 2160: /* xml_indent_option: NO INDENT  */
#line 15850 "gram.y"
                                                                                                { (yyval.boolean) = false; }
#line 49420 "gram.c"
    break;

  case 2161: /* xml_indent_option: %empty  */
#line 15851 "gram.y"
                                                                                                { (yyval.boolean) = false; }
#line 49426 "gram.c"
    break;

  case 2162: /* xml_whitespace_option: PRESERVE WHITESPACE_P  */
#line 15854 "gram.y"
                                                        { (yyval.boolean) = true; }
#line 49432 "gram.c"
    break;

  case 2163: /* xml_whitespace_option: STRIP_P WHITESPACE_P  */
#line 15855 "gram.y"
                                                                                { (yyval.boolean) = false; }
#line 49438 "gram.c"
    break;

  case 2164: /* xml_whitespace_option: %empty  */
#line 15856 "gram.y"
                                                                                                { (yyval.boolean) = false; }
#line 49444 "gram.c"
    break;

  case 2165: /* xmlexists_argument: PASSING c_expr  */
#line 15862 "gram.y"
                                {
					(yyval.node) = (yyvsp[0].node);
				}
#line 49452 "gram.c"
    break;

  case 2166: /* xmlexists_argument: PASSING c_expr xml_passing_mech  */
#line 15866 "gram.y"
                                {
					(yyval.node) = (yyvsp[-1].node);
				}
#line 49460 "gram.c"
    break;

  case 2167: /* xmlexists_argument: PASSING xml_passing_mech c_expr  */
#line 15870 "gram.y"
                                {
					(yyval.node) = (yyvsp[0].node);
				}
#line 49468 "gram.c"
    break;

  case 2168: /* xmlexists_argument: PASSING xml_passing_mech c_expr xml_passing_mech  */
#line 15874 "gram.y"
                                {
					(yyval.node) = (yyvsp[-1].node);
				}
#line 49476 "gram.c"
    break;

  case 2171: /* within_group_clause: WITHIN GROUP_P '(' sort_clause ')'  */
#line 15889 "gram.y"
                                                                        { (yyval.list) = (yyvsp[-1].list); }
#line 49482 "gram.c"
    break;

  case 2172: /* within_group_clause: %empty  */
#line 15890 "gram.y"
                                                                                                { (yyval.list) = NIL; }
#line 49488 "gram.c"
    break;

  case 2173: /* filter_clause: FILTER '(' WHERE a_expr ')'  */
#line 15894 "gram.y"
                                                                                { (yyval.node) = (yyvsp[-1].node); }
#line 49494 "gram.c"
    break;

  case 2174: /* filter_clause: %empty  */
#line 15895 "gram.y"
                                                                                                { (yyval.node) = NULL; }
#line 49500 "gram.c"
    break;

  case 2175: /* window_clause: WINDOW window_definition_list  */
#line 15903 "gram.y"
                                                                        { (yyval.list) = (yyvsp[0].list); }
#line 49506 "gram.c"
    break;

  case 2176: /* window_clause: %empty  */
#line 15904 "gram.y"
                                                                                                { (yyval.list) = NIL; }
#line 49512 "gram.c"
    break;

  case 2177: /* window_definition_list: window_definition  */
#line 15908 "gram.y"
                                                                                        { (yyval.list) = list_make1((yyvsp[0].windef)); }
#line 49518 "gram.c"
    break;

  case 2178: /* window_definition_list: window_definition_list ',' window_definition  */
#line 15910 "gram.y"
                                                                                                        { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].windef)); }
#line 49524 "gram.c"
    break;

  case 2179: /* window_definition: ColId AS window_specification  */
#line 15915 "gram.y"
                                {
					WindowDef  *n = (yyvsp[0].windef);

					n->name = (yyvsp[-2].str);
					(yyval.windef) = n;
				}
#line 49535 "gram.c"
    break;

  case 2180: /* over_clause: OVER window_specification  */
#line 15924 "gram.y"
                                { (yyval.windef) = (yyvsp[0].windef); }
#line 49541 "gram.c"
    break;

  case 2181: /* over_clause: OVER ColId  */
#line 15926 "gram.y"
                                {
					WindowDef  *n = makeNode(WindowDef);

					n->name = (yyvsp[0].str);
					n->refname = NULL;
					n->partitionClause = NIL;
					n->orderClause = NIL;
					n->frameOptions = FRAMEOPTION_DEFAULTS;
					n->startOffset = NULL;
					n->endOffset = NULL;
					n->location = (yylsp[0]);
					(yyval.windef) = n;
				}
#line 49559 "gram.c"
    break;

  case 2182: /* over_clause: %empty  */
#line 15940 "gram.y"
                                { (yyval.windef) = NULL; }
#line 49565 "gram.c"
    break;

  case 2183: /* window_specification: '(' opt_existing_window_name opt_partition_clause opt_sort_clause opt_frame_clause ')'  */
#line 15945 "gram.y"
                                {
					WindowDef  *n = makeNode(WindowDef);

					n->name = NULL;
					n->refname = (yyvsp[-4].str);
					n->partitionClause = (yyvsp[-3].list);
					n->orderClause = (yyvsp[-2].list);
					/* copy relevant fields of opt_frame_clause */
					n->frameOptions = (yyvsp[-1].windef)->frameOptions;
					n->startOffset = (yyvsp[-1].windef)->startOffset;
					n->endOffset = (yyvsp[-1].windef)->endOffset;
					n->location = (yylsp[-5]);
					(yyval.windef) = n;
				}
#line 49584 "gram.c"
    break;

  case 2184: /* opt_existing_window_name: ColId  */
#line 15971 "gram.y"
                                                                        { (yyval.str) = (yyvsp[0].str); }
#line 49590 "gram.c"
    break;

  case 2185: /* opt_existing_window_name: %empty  */
#line 15972 "gram.y"
                                                                                        { (yyval.str) = NULL; }
#line 49596 "gram.c"
    break;

  case 2186: /* opt_partition_clause: PARTITION BY expr_list  */
#line 15975 "gram.y"
                                                        { (yyval.list) = (yyvsp[0].list); }
#line 49602 "gram.c"
    break;

  case 2187: /* opt_partition_clause: %empty  */
#line 15976 "gram.y"
                                                                                                { (yyval.list) = NIL; }
#line 49608 "gram.c"
    break;

  case 2188: /* opt_frame_clause: RANGE frame_extent opt_window_exclusion_clause  */
#line 15985 "gram.y"
                                {
					WindowDef  *n = (yyvsp[-1].windef);

					n->frameOptions |= FRAMEOPTION_NONDEFAULT | FRAMEOPTION_RANGE;
					n->frameOptions |= (yyvsp[0].ival);
					(yyval.windef) = n;
				}
#line 49620 "gram.c"
    break;

  case 2189: /* opt_frame_clause: ROWS frame_extent opt_window_exclusion_clause  */
#line 15993 "gram.y"
                                {
					WindowDef  *n = (yyvsp[-1].windef);

					n->frameOptions |= FRAMEOPTION_NONDEFAULT | FRAMEOPTION_ROWS;
					n->frameOptions |= (yyvsp[0].ival);
					(yyval.windef) = n;
				}
#line 49632 "gram.c"
    break;

  case 2190: /* opt_frame_clause: GROUPS frame_extent opt_window_exclusion_clause  */
#line 16001 "gram.y"
                                {
					WindowDef  *n = (yyvsp[-1].windef);

					n->frameOptions |= FRAMEOPTION_NONDEFAULT | FRAMEOPTION_GROUPS;
					n->frameOptions |= (yyvsp[0].ival);
					(yyval.windef) = n;
				}
#line 49644 "gram.c"
    break;

  case 2191: /* opt_frame_clause: %empty  */
#line 16009 "gram.y"
                                {
					WindowDef  *n = makeNode(WindowDef);

					n->frameOptions = FRAMEOPTION_DEFAULTS;
					n->startOffset = NULL;
					n->endOffset = NULL;
					(yyval.windef) = n;
				}
#line 49657 "gram.c"
    break;

  case 2192: /* frame_extent: frame_bound  */
#line 16020 "gram.y"
                                {
					WindowDef  *n = (yyvsp[0].windef);

					/* reject invalid cases */
					if (n->frameOptions & FRAMEOPTION_START_UNBOUNDED_FOLLOWING)
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame start cannot be UNBOUNDED FOLLOWING"),
								 parser_errposition((yylsp[0]))));
					if (n->frameOptions & FRAMEOPTION_START_OFFSET_FOLLOWING)
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame starting from following row cannot end with current row"),
								 parser_errposition((yylsp[0]))));
					n->frameOptions |= FRAMEOPTION_END_CURRENT_ROW;
					(yyval.windef) = n;
				}
#line 49679 "gram.c"
    break;

  case 2193: /* frame_extent: BETWEEN frame_bound AND frame_bound  */
#line 16038 "gram.y"
                                {
					WindowDef  *n1 = (yyvsp[-2].windef);
					WindowDef  *n2 = (yyvsp[0].windef);

					/* form merged options */
					int		frameOptions = n1->frameOptions;
					/* shift converts START_ options to END_ options */
					frameOptions |= n2->frameOptions << 1;
					frameOptions |= FRAMEOPTION_BETWEEN;
					/* reject invalid cases */
					if (frameOptions & FRAMEOPTION_START_UNBOUNDED_FOLLOWING)
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame start cannot be UNBOUNDED FOLLOWING"),
								 parser_errposition((yylsp[-2]))));
					if (frameOptions & FRAMEOPTION_END_UNBOUNDED_PRECEDING)
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame end cannot be UNBOUNDED PRECEDING"),
								 parser_errposition((yylsp[0]))));
					if ((frameOptions & FRAMEOPTION_START_CURRENT_ROW) &&
						(frameOptions & FRAMEOPTION_END_OFFSET_PRECEDING))
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame starting from current row cannot have preceding rows"),
								 parser_errposition((yylsp[0]))));
					if ((frameOptions & FRAMEOPTION_START_OFFSET_FOLLOWING) &&
						(frameOptions & (FRAMEOPTION_END_OFFSET_PRECEDING |
										 FRAMEOPTION_END_CURRENT_ROW)))
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame starting from following row cannot have preceding rows"),
								 parser_errposition((yylsp[0]))));
					n1->frameOptions = frameOptions;
					n1->endOffset = n2->startOffset;
					(yyval.windef) = n1;
				}
#line 49721 "gram.c"
    break;

  case 2194: /* frame_bound: UNBOUNDED PRECEDING  */
#line 16084 "gram.y"
                                {
					WindowDef  *n = makeNode(WindowDef);

					n->frameOptions = FRAMEOPTION_START_UNBOUNDED_PRECEDING;
					n->startOffset = NULL;
					n->endOffset = NULL;
					(yyval.windef) = n;
				}
#line 49734 "gram.c"
    break;

  case 2195: /* frame_bound: UNBOUNDED FOLLOWING  */
#line 16093 "gram.y"
                                {
					WindowDef  *n = makeNode(WindowDef);

					n->frameOptions = FRAMEOPTION_START_UNBOUNDED_FOLLOWING;
					n->startOffset = NULL;
					n->endOffset = NULL;
					(yyval.windef) = n;
				}
#line 49747 "gram.c"
    break;

  case 2196: /* frame_bound: CURRENT_P ROW  */
#line 16102 "gram.y"
                                {
					WindowDef  *n = makeNode(WindowDef);

					n->frameOptions = FRAMEOPTION_START_CURRENT_ROW;
					n->startOffset = NULL;
					n->endOffset = NULL;
					(yyval.windef) = n;
				}
#line 49760 "gram.c"
    break;

  case 2197: /* frame_bound: a_expr PRECEDING  */
#line 16111 "gram.y"
                                {
					WindowDef  *n = makeNode(WindowDef);

					n->frameOptions = FRAMEOPTION_START_OFFSET_PRECEDING;
					n->startOffset = (yyvsp[-1].node);
					n->endOffset = NULL;
					(yyval.windef) = n;
				}
#line 49773 "gram.c"
    break;

  case 2198: /* frame_bound: a_expr FOLLOWING  */
#line 16120 "gram.y"
                                {
					WindowDef  *n = makeNode(WindowDef);

					n->frameOptions = FRAMEOPTION_START_OFFSET_FOLLOWING;
					n->startOffset = (yyvsp[-1].node);
					n->endOffset = NULL;
					(yyval.windef) = n;
				}
#line 49786 "gram.c"
    break;

  case 2199: /* opt_window_exclusion_clause: EXCLUDE CURRENT_P ROW  */
#line 16131 "gram.y"
                                                { (yyval.ival) = FRAMEOPTION_EXCLUDE_CURRENT_ROW; }
#line 49792 "gram.c"
    break;

  case 2200: /* opt_window_exclusion_clause: EXCLUDE GROUP_P  */
#line 16132 "gram.y"
                                                        { (yyval.ival) = FRAMEOPTION_EXCLUDE_GROUP; }
#line 49798 "gram.c"
    break;

  case 2201: /* opt_window_exclusion_clause: EXCLUDE TIES  */
#line 16133 "gram.y"
                                                        { (yyval.ival) = FRAMEOPTION_EXCLUDE_TIES; }
#line 49804 "gram.c"
    break;

  case 2202: /* opt_window_exclusion_clause: EXCLUDE NO OTHERS  */
#line 16134 "gram.y"
                                                        { (yyval.ival) = 0; }
#line 49810 "gram.c"
    break;

  case 2203: /* opt_window_exclusion_clause: %empty  */
#line 16135 "gram.y"
                                                                { (yyval.ival) = 0; }
#line 49816 "gram.c"
    break;

  case 2204: /* row: ROW '(' expr_list ')'  */
#line 16149 "gram.y"
                                                                        { (yyval.list) = (yyvsp[-1].list); }
#line 49822 "gram.c"
    break;

  case 2205: /* row: ROW '(' ')'  */
#line 16150 "gram.y"
                                                                                        { (yyval.list) = NIL; }
#line 49828 "gram.c"
    break;

  case 2206: /* row: '(' expr_list ',' a_expr ')'  */
#line 16151 "gram.y"
                                                                        { (yyval.list) = lappend((yyvsp[-3].list), (yyvsp[-1].node)); }
#line 49834 "gram.c"
    break;

  case 2207: /* explicit_row: ROW '(' expr_list ')'  */
#line 16154 "gram.y"
                                                                { (yyval.list) = (yyvsp[-1].list); }
#line 49840 "gram.c"
    break;

  case 2208: /* explicit_row: ROW '(' ')'  */
#line 16155 "gram.y"
                                                                                        { (yyval.list) = NIL; }
#line 49846 "gram.c"
    break;

  case 2209: /* implicit_row: '(' expr_list ',' a_expr ')'  */
#line 16158 "gram.y"
                                                        { (yyval.list) = lappend((yyvsp[-3].list), (yyvsp[-1].node)); }
#line 49852 "gram.c"
    break;

  case 2210: /* sub_type: ANY  */
#line 16161 "gram.y"
                                                                                                { (yyval.ival) = ANY_SUBLINK; }
#line 49858 "gram.c"
    break;

  case 2211: /* sub_type: SOME  */
#line 16162 "gram.y"
                                                                                                { (yyval.ival) = ANY_SUBLINK; }
#line 49864 "gram.c"
    break;

  case 2212: /* sub_type: ALL  */
#line 16163 "gram.y"
                                                                                                { (yyval.ival) = ALL_SUBLINK; }
#line 49870 "gram.c"
    break;

  case 2213: /* all_Op: Op  */
#line 16166 "gram.y"
                                                                                                { (yyval.str) = (yyvsp[0].str); }
#line 49876 "gram.c"
    break;

  case 2214: /* all_Op: MathOp  */
#line 16167 "gram.y"
                                                                                                { (yyval.str) = (yyvsp[0].str); }
#line 49882 "gram.c"
    break;

  case 2215: /* MathOp: '+'  */
#line 16170 "gram.y"
                                                                                        { (yyval.str) = "+"; }
#line 49888 "gram.c"
    break;

  case 2216: /* MathOp: '-'  */
#line 16171 "gram.y"
                                                                                                { (yyval.str) = "-"; }
#line 49894 "gram.c"
    break;

  case 2217: /* MathOp: '*'  */
#line 16172 "gram.y"
                                                                                                { (yyval.str) = "*"; }
#line 49900 "gram.c"
    break;

  case 2218: /* MathOp: '/'  */
#line 16173 "gram.y"
                                                                                                { (yyval.str) = "/"; }
#line 49906 "gram.c"
    break;

  case 2219: /* MathOp: '%'  */
#line 16174 "gram.y"
                                                                                                { (yyval.str) = "%"; }
#line 49912 "gram.c"
    break;

  case 2220: /* MathOp: '^'  */
#line 16175 "gram.y"
                                                                                                { (yyval.str) = "^"; }
#line 49918 "gram.c"
    break;

  case 2221: /* MathOp: '<'  */
#line 16176 "gram.y"
                                                                                                { (yyval.str) = "<"; }
#line 49924 "gram.c"
    break;

  case 2222: /* MathOp: '>'  */
#line 16177 "gram.y"
                                                                                                { (yyval.str) = ">"; }
#line 49930 "gram.c"
    break;

  case 2223: /* MathOp: '='  */
#line 16178 "gram.y"
                                                                                                { (yyval.str) = "="; }
#line 49936 "gram.c"
    break;

  case 2224: /* MathOp: LESS_EQUALS  */
#line 16179 "gram.y"
                                                                                        { (yyval.str) = "<="; }
#line 49942 "gram.c"
    break;

  case 2225: /* MathOp: GREATER_EQUALS  */
#line 16180 "gram.y"
                                                                                        { (yyval.str) = ">="; }
#line 49948 "gram.c"
    break;

  case 2226: /* MathOp: NOT_EQUALS  */
#line 16181 "gram.y"
                                                                                        { (yyval.str) = "<>"; }
#line 49954 "gram.c"
    break;

  case 2227: /* qual_Op: Op  */
#line 16185 "gram.y"
                                        { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 49960 "gram.c"
    break;

  case 2228: /* qual_Op: OPERATOR '(' any_operator ')'  */
#line 16187 "gram.y"
                                        { (yyval.list) = (yyvsp[-1].list); }
#line 49966 "gram.c"
    break;

  case 2229: /* qual_all_Op: all_Op  */
#line 16192 "gram.y"
                                        { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 49972 "gram.c"
    break;

  case 2230: /* qual_all_Op: OPERATOR '(' any_operator ')'  */
#line 16194 "gram.y"
                                        { (yyval.list) = (yyvsp[-1].list); }
#line 49978 "gram.c"
    break;

  case 2231: /* subquery_Op: all_Op  */
#line 16199 "gram.y"
                                        { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 49984 "gram.c"
    break;

  case 2232: /* subquery_Op: OPERATOR '(' any_operator ')'  */
#line 16201 "gram.y"
                                        { (yyval.list) = (yyvsp[-1].list); }
#line 49990 "gram.c"
    break;

  case 2233: /* subquery_Op: LIKE  */
#line 16203 "gram.y"
                                        { (yyval.list) = list_make1(makeString("~~")); }
#line 49996 "gram.c"
    break;

  case 2234: /* subquery_Op: NOT_LA LIKE  */
#line 16205 "gram.y"
                                        { (yyval.list) = list_make1(makeString("!~~")); }
#line 50002 "gram.c"
    break;

  case 2235: /* subquery_Op: ILIKE  */
#line 16207 "gram.y"
                                        { (yyval.list) = list_make1(makeString("~~*")); }
#line 50008 "gram.c"
    break;

  case 2236: /* subquery_Op: NOT_LA ILIKE  */
#line 16209 "gram.y"
                                        { (yyval.list) = list_make1(makeString("!~~*")); }
#line 50014 "gram.c"
    break;

  case 2237: /* expr_list: a_expr  */
#line 16221 "gram.y"
                                {
					(yyval.list) = list_make1((yyvsp[0].node));
				}
#line 50022 "gram.c"
    break;

  case 2238: /* expr_list: expr_list ',' a_expr  */
#line 16225 "gram.y"
                                {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));
				}
#line 50030 "gram.c"
    break;

  case 2239: /* func_arg_list: func_arg_expr  */
#line 16232 "gram.y"
                                {
					(yyval.list) = list_make1((yyvsp[0].node));
				}
#line 50038 "gram.c"
    break;

  case 2240: /* func_arg_list: func_arg_list ',' func_arg_expr  */
#line 16236 "gram.y"
                                {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));
				}
#line 50046 "gram.c"
    break;

  case 2241: /* func_arg_expr: a_expr  */
#line 16242 "gram.y"
                                {
					(yyval.node) = (yyvsp[0].node);
				}
#line 50054 "gram.c"
    break;

  case 2242: /* func_arg_expr: param_name COLON_EQUALS a_expr  */
#line 16246 "gram.y"
                                {
					NamedArgExpr *na = makeNode(NamedArgExpr);

					na->name = (yyvsp[-2].str);
					na->arg = (Expr *) (yyvsp[0].node);
					na->argnumber = -1;		/* until determined */
					na->location = (yylsp[-2]);
					(yyval.node) = (Node *) na;
				}
#line 50068 "gram.c"
    break;

  case 2243: /* func_arg_expr: param_name EQUALS_GREATER a_expr  */
#line 16256 "gram.y"
                                {
					NamedArgExpr *na = makeNode(NamedArgExpr);

					na->name = (yyvsp[-2].str);
					na->arg = (Expr *) (yyvsp[0].node);
					na->argnumber = -1;		/* until determined */
					na->location = (yylsp[-2]);
					(yyval.node) = (Node *) na;
				}
#line 50082 "gram.c"
    break;

  case 2244: /* func_arg_list_opt: func_arg_list  */
#line 16267 "gram.y"
                                                                        { (yyval.list) = (yyvsp[0].list); }
#line 50088 "gram.c"
    break;

  case 2245: /* func_arg_list_opt: %empty  */
#line 16268 "gram.y"
                                                                                                { (yyval.list) = NIL; }
#line 50094 "gram.c"
    break;

  case 2246: /* type_list: Typename  */
#line 16271 "gram.y"
                                                                                        { (yyval.list) = list_make1((yyvsp[0].typnam)); }
#line 50100 "gram.c"
    break;

  case 2247: /* type_list: type_list ',' Typename  */
#line 16272 "gram.y"
                                                                                { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].typnam)); }
#line 50106 "gram.c"
    break;

  case 2248: /* array_expr: '[' expr_list ']'  */
#line 16276 "gram.y"
                                {
					(yyval.node) = makeAArrayExpr((yyvsp[-1].list), (yylsp[-2]));
				}
#line 50114 "gram.c"
    break;

  case 2249: /* array_expr: '[' array_expr_list ']'  */
#line 16280 "gram.y"
                                {
					(yyval.node) = makeAArrayExpr((yyvsp[-1].list), (yylsp[-2]));
				}
#line 50122 "gram.c"
    break;

  case 2250: /* array_expr: '[' ']'  */
#line 16284 "gram.y"
                                {
					(yyval.node) = makeAArrayExpr(NIL, (yylsp[-1]));
				}
#line 50130 "gram.c"
    break;

  case 2251: /* array_expr_list: array_expr  */
#line 16289 "gram.y"
                                                                                { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 50136 "gram.c"
    break;

  case 2252: /* array_expr_list: array_expr_list ',' array_expr  */
#line 16290 "gram.y"
                                                                        { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 50142 "gram.c"
    break;

  case 2253: /* extract_list: extract_arg FROM a_expr  */
#line 16296 "gram.y"
                                {
					(yyval.list) = list_make2(makeStringConst((yyvsp[-2].str), (yylsp[-2])), (yyvsp[0].node));
				}
#line 50150 "gram.c"
    break;

  case 2254: /* extract_arg: IDENT  */
#line 16305 "gram.y"
                                                                                                { (yyval.str) = (yyvsp[0].str); }
#line 50156 "gram.c"
    break;

  case 2255: /* extract_arg: YEAR_P  */
#line 16306 "gram.y"
                                                                                                { (yyval.str) = "year"; }
#line 50162 "gram.c"
    break;

  case 2256: /* extract_arg: MONTH_P  */
#line 16307 "gram.y"
                                                                                                { (yyval.str) = "month"; }
#line 50168 "gram.c"
    break;

  case 2257: /* extract_arg: DAY_P  */
#line 16308 "gram.y"
                                                                                                { (yyval.str) = "day"; }
#line 50174 "gram.c"
    break;

  case 2258: /* extract_arg: HOUR_P  */
#line 16309 "gram.y"
                                                                                                { (yyval.str) = "hour"; }
#line 50180 "gram.c"
    break;

  case 2259: /* extract_arg: MINUTE_P  */
#line 16310 "gram.y"
                                                                                                { (yyval.str) = "minute"; }
#line 50186 "gram.c"
    break;

  case 2260: /* extract_arg: SECOND_P  */
#line 16311 "gram.y"
                                                                                                { (yyval.str) = "second"; }
#line 50192 "gram.c"
    break;

  case 2261: /* extract_arg: Sconst  */
#line 16312 "gram.y"
                                                                                                { (yyval.str) = (yyvsp[0].str); }
#line 50198 "gram.c"
    break;

  case 2262: /* unicode_normal_form: NFC  */
#line 16316 "gram.y"
                                                                                                        { (yyval.str) = "NFC"; }
#line 50204 "gram.c"
    break;

  case 2263: /* unicode_normal_form: NFD  */
#line 16317 "gram.y"
                                                                                                { (yyval.str) = "NFD"; }
#line 50210 "gram.c"
    break;

  case 2264: /* unicode_normal_form: NFKC  */
#line 16318 "gram.y"
                                                                                                { (yyval.str) = "NFKC"; }
#line 50216 "gram.c"
    break;

  case 2265: /* unicode_normal_form: NFKD  */
#line 16319 "gram.y"
                                                                                                { (yyval.str) = "NFKD"; }
#line 50222 "gram.c"
    break;

  case 2266: /* overlay_list: a_expr PLACING a_expr FROM a_expr FOR a_expr  */
#line 16325 "gram.y"
                                {
					/* overlay(A PLACING B FROM C FOR D) is converted to overlay(A, B, C, D) */
					(yyval.list) = list_make4((yyvsp[-6].node), (yyvsp[-4].node), (yyvsp[-2].node), (yyvsp[0].node));
				}
#line 50231 "gram.c"
    break;

  case 2267: /* overlay_list: a_expr PLACING a_expr FROM a_expr  */
#line 16330 "gram.y"
                                {
					/* overlay(A PLACING B FROM C) is converted to overlay(A, B, C) */
					(yyval.list) = list_make3((yyvsp[-4].node), (yyvsp[-2].node), (yyvsp[0].node));
				}
#line 50240 "gram.c"
    break;

  case 2268: /* position_list: b_expr IN_P b_expr  */
#line 16338 "gram.y"
                                                                                        { (yyval.list) = list_make2((yyvsp[0].node), (yyvsp[-2].node)); }
#line 50246 "gram.c"
    break;

  case 2269: /* substr_list: a_expr FROM a_expr FOR a_expr  */
#line 16360 "gram.y"
                                {
					(yyval.list) = list_make3((yyvsp[-4].node), (yyvsp[-2].node), (yyvsp[0].node));
				}
#line 50254 "gram.c"
    break;

  case 2270: /* substr_list: a_expr FOR a_expr FROM a_expr  */
#line 16364 "gram.y"
                                {
					/* not legal per SQL, but might as well allow it */
					(yyval.list) = list_make3((yyvsp[-4].node), (yyvsp[0].node), (yyvsp[-2].node));
				}
#line 50263 "gram.c"
    break;

  case 2271: /* substr_list: a_expr FROM a_expr  */
#line 16369 "gram.y"
                                {
					/*
					 * Because we aren't restricting data types here, this
					 * syntax can end up resolving to textregexsubstr().
					 * We've historically allowed that to happen, so continue
					 * to accept it.  However, ruleutils.c will reverse-list
					 * such a call in regular function call syntax.
					 */
					(yyval.list) = list_make2((yyvsp[-2].node), (yyvsp[0].node));
				}
#line 50278 "gram.c"
    break;

  case 2272: /* substr_list: a_expr FOR a_expr  */
#line 16380 "gram.y"
                                {
					/* not legal per SQL */

					/*
					 * Since there are no cases where this syntax allows
					 * a textual FOR value, we forcibly cast the argument
					 * to int4.  The possible matches in pg_proc are
					 * substring(text,int4) and substring(text,text),
					 * and we don't want the parser to choose the latter,
					 * which it is likely to do if the second argument
					 * is unknown or doesn't have an implicit cast to int4.
					 */
					(yyval.list) = list_make3((yyvsp[-2].node), makeIntConst(1, -1),
									makeTypeCast((yyvsp[0].node),
												 SystemTypeName("int4"), -1));
				}
#line 50299 "gram.c"
    break;

  case 2273: /* substr_list: a_expr SIMILAR a_expr ESCAPE a_expr  */
#line 16397 "gram.y"
                                {
					(yyval.list) = list_make3((yyvsp[-4].node), (yyvsp[-2].node), (yyvsp[0].node));
				}
#line 50307 "gram.c"
    break;

  case 2274: /* trim_list: a_expr FROM expr_list  */
#line 16402 "gram.y"
                                                                        { (yyval.list) = lappend((yyvsp[0].list), (yyvsp[-2].node)); }
#line 50313 "gram.c"
    break;

  case 2275: /* trim_list: FROM expr_list  */
#line 16403 "gram.y"
                                                                                        { (yyval.list) = (yyvsp[0].list); }
#line 50319 "gram.c"
    break;

  case 2276: /* trim_list: expr_list  */
#line 16404 "gram.y"
                                                                                                { (yyval.list) = (yyvsp[0].list); }
#line 50325 "gram.c"
    break;

  case 2277: /* in_expr: select_with_parens  */
#line 16408 "gram.y"
                                {
					SubLink	   *n = makeNode(SubLink);

					n->subselect = (yyvsp[0].node);
					/* other fields will be filled later */
					(yyval.node) = (Node *) n;
				}
#line 50337 "gram.c"
    break;

  case 2278: /* in_expr: '(' expr_list ')'  */
#line 16415 "gram.y"
                                                                                        { (yyval.node) = (Node *) (yyvsp[-1].list); }
#line 50343 "gram.c"
    break;

  case 2279: /* case_expr: CASE case_arg when_clause_list case_default END_P  */
#line 16426 "gram.y"
                                {
					CaseExpr   *c = makeNode(CaseExpr);

					c->casetype = InvalidOid; /* not analyzed yet */
					c->arg = (Expr *) (yyvsp[-3].node);
					c->args = (yyvsp[-2].list);
					c->defresult = (Expr *) (yyvsp[-1].node);
					c->location = (yylsp[-4]);
					(yyval.node) = (Node *) c;
				}
#line 50358 "gram.c"
    break;

  case 2280: /* when_clause_list: when_clause  */
#line 16440 "gram.y"
                                                                                                { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 50364 "gram.c"
    break;

  case 2281: /* when_clause_list: when_clause_list when_clause  */
#line 16441 "gram.y"
                                                                        { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].node)); }
#line 50370 "gram.c"
    break;

  case 2282: /* when_clause: WHEN a_expr THEN a_expr  */
#line 16446 "gram.y"
                                {
					CaseWhen   *w = makeNode(CaseWhen);

					w->expr = (Expr *) (yyvsp[-2].node);
					w->result = (Expr *) (yyvsp[0].node);
					w->location = (yylsp[-3]);
					(yyval.node) = (Node *) w;
				}
#line 50383 "gram.c"
    break;

  case 2283: /* case_default: ELSE a_expr  */
#line 16457 "gram.y"
                                                                                                { (yyval.node) = (yyvsp[0].node); }
#line 50389 "gram.c"
    break;

  case 2284: /* case_default: %empty  */
#line 16458 "gram.y"
                                                                                                { (yyval.node) = NULL; }
#line 50395 "gram.c"
    break;

  case 2285: /* case_arg: a_expr  */
#line 16461 "gram.y"
                                                                                        { (yyval.node) = (yyvsp[0].node); }
#line 50401 "gram.c"
    break;

  case 2286: /* case_arg: %empty  */
#line 16462 "gram.y"
                                                                                                { (yyval.node) = NULL; }
#line 50407 "gram.c"
    break;

  case 2287: /* columnref: ColId  */
#line 16466 "gram.y"
                                {
					(yyval.node) = makeColumnRef((yyvsp[0].str), NIL, (yylsp[0]), yyscanner);
				}
#line 50415 "gram.c"
    break;

  case 2288: /* columnref: ColId indirection  */
#line 16470 "gram.y"
                                {
					(yyval.node) = makeColumnRef((yyvsp[-1].str), (yyvsp[0].list), (yylsp[-1]), yyscanner);
				}
#line 50423 "gram.c"
    break;

  case 2289: /* indirection_el: '.' attr_name  */
#line 16477 "gram.y"
                                {
					(yyval.node) = (Node *) makeString((yyvsp[0].str));
				}
#line 50431 "gram.c"
    break;

  case 2290: /* indirection_el: '.' '*'  */
#line 16481 "gram.y"
                                {
					(yyval.node) = (Node *) makeNode(A_Star);
				}
#line 50439 "gram.c"
    break;

  case 2291: /* indirection_el: '[' a_expr ']'  */
#line 16485 "gram.y"
                                {
					A_Indices *ai = makeNode(A_Indices);

					ai->is_slice = false;
					ai->lidx = NULL;
					ai->uidx = (yyvsp[-1].node);
					(yyval.node) = (Node *) ai;
				}
#line 50452 "gram.c"
    break;

  case 2292: /* indirection_el: '[' opt_slice_bound ':' opt_slice_bound ']'  */
#line 16494 "gram.y"
                                {
					A_Indices *ai = makeNode(A_Indices);

					ai->is_slice = true;
					ai->lidx = (yyvsp[-3].node);
					ai->uidx = (yyvsp[-1].node);
					(yyval.node) = (Node *) ai;
				}
#line 50465 "gram.c"
    break;

  case 2293: /* opt_slice_bound: a_expr  */
#line 16505 "gram.y"
                                                                                                { (yyval.node) = (yyvsp[0].node); }
#line 50471 "gram.c"
    break;

  case 2294: /* opt_slice_bound: %empty  */
#line 16506 "gram.y"
                                                                                                { (yyval.node) = NULL; }
#line 50477 "gram.c"
    break;

  case 2295: /* indirection: indirection_el  */
#line 16510 "gram.y"
                                                                                        { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 50483 "gram.c"
    break;

  case 2296: /* indirection: indirection indirection_el  */
#line 16511 "gram.y"
                                                                        { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].node)); }
#line 50489 "gram.c"
    break;

  case 2297: /* opt_indirection: %empty  */
#line 16515 "gram.y"
                                                                                                { (yyval.list) = NIL; }
#line 50495 "gram.c"
    break;

  case 2298: /* opt_indirection: opt_indirection indirection_el  */
#line 16516 "gram.y"
                                                                        { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].node)); }
#line 50501 "gram.c"
    break;

  case 2301: /* json_value_expr: a_expr json_format_clause_opt  */
#line 16526 "gram.y"
                        {
				/* formatted_expr will be set during parse-analysis. */
				(yyval.node) = (Node *) makeJsonValueExpr((Expr *) (yyvsp[-1].node), NULL,
												castNode(JsonFormat, (yyvsp[0].node)));
			}
#line 50511 "gram.c"
    break;

  case 2302: /* json_format_clause: FORMAT_LA JSON ENCODING name  */
#line 16535 "gram.y"
                                {
					int		encoding;

					if (!pg_strcasecmp((yyvsp[0].str), "utf8"))
						encoding = JS_ENC_UTF8;
					else if (!pg_strcasecmp((yyvsp[0].str), "utf16"))
						encoding = JS_ENC_UTF16;
					else if (!pg_strcasecmp((yyvsp[0].str), "utf32"))
						encoding = JS_ENC_UTF32;
					else
						ereport(ERROR,
								errcode(ERRCODE_INVALID_PARAMETER_VALUE),
								errmsg("unrecognized JSON encoding: %s", (yyvsp[0].str)));

					(yyval.node) = (Node *) makeJsonFormat(JS_FORMAT_JSON, encoding, (yylsp[-3]));
				}
#line 50532 "gram.c"
    break;

  case 2303: /* json_format_clause: FORMAT_LA JSON  */
#line 16552 "gram.y"
                                {
					(yyval.node) = (Node *) makeJsonFormat(JS_FORMAT_JSON, JS_ENC_DEFAULT, (yylsp[-1]));
				}
#line 50540 "gram.c"
    break;

  case 2304: /* json_format_clause_opt: json_format_clause  */
#line 16559 "gram.y"
                                {
					(yyval.node) = (yyvsp[0].node);
				}
#line 50548 "gram.c"
    break;

  case 2305: /* json_format_clause_opt: %empty  */
#line 16563 "gram.y"
                                {
					(yyval.node) = (Node *) makeJsonFormat(JS_FORMAT_DEFAULT, JS_ENC_DEFAULT, -1);
				}
#line 50556 "gram.c"
    break;

  case 2306: /* json_returning_clause_opt: RETURNING Typename json_format_clause_opt  */
#line 16570 "gram.y"
                                {
					JsonOutput *n = makeNode(JsonOutput);

					n->typeName = (yyvsp[-1].typnam);
					n->returning = makeNode(JsonReturning);
					n->returning->format = (JsonFormat *) (yyvsp[0].node);
					(yyval.node) = (Node *) n;
				}
#line 50569 "gram.c"
    break;

  case 2307: /* json_returning_clause_opt: %empty  */
#line 16578 "gram.y"
                                                                                        { (yyval.node) = NULL; }
#line 50575 "gram.c"
    break;

  case 2308: /* json_predicate_type_constraint: JSON  */
#line 16592 "gram.y"
                                                                                { (yyval.ival) = JS_TYPE_ANY; }
#line 50581 "gram.c"
    break;

  case 2309: /* json_predicate_type_constraint: JSON VALUE_P  */
#line 16593 "gram.y"
                                                                                        { (yyval.ival) = JS_TYPE_ANY; }
#line 50587 "gram.c"
    break;

  case 2310: /* json_predicate_type_constraint: JSON ARRAY  */
#line 16594 "gram.y"
                                                                                        { (yyval.ival) = JS_TYPE_ARRAY; }
#line 50593 "gram.c"
    break;

  case 2311: /* json_predicate_type_constraint: JSON OBJECT_P  */
#line 16595 "gram.y"
                                                                                        { (yyval.ival) = JS_TYPE_OBJECT; }
#line 50599 "gram.c"
    break;

  case 2312: /* json_predicate_type_constraint: JSON SCALAR  */
#line 16596 "gram.y"
                                                                                        { (yyval.ival) = JS_TYPE_SCALAR; }
#line 50605 "gram.c"
    break;

  case 2313: /* json_key_uniqueness_constraint_opt: WITH UNIQUE KEYS  */
#line 16605 "gram.y"
                                                                                                { (yyval.boolean) = true; }
#line 50611 "gram.c"
    break;

  case 2314: /* json_key_uniqueness_constraint_opt: WITH UNIQUE  */
#line 16606 "gram.y"
                                                                                { (yyval.boolean) = true; }
#line 50617 "gram.c"
    break;

  case 2315: /* json_key_uniqueness_constraint_opt: WITHOUT UNIQUE KEYS  */
#line 16607 "gram.y"
                                                                                        { (yyval.boolean) = false; }
#line 50623 "gram.c"
    break;

  case 2316: /* json_key_uniqueness_constraint_opt: WITHOUT UNIQUE  */
#line 16608 "gram.y"
                                                                                { (yyval.boolean) = false; }
#line 50629 "gram.c"
    break;

  case 2317: /* json_key_uniqueness_constraint_opt: %empty  */
#line 16609 "gram.y"
                                                                                { (yyval.boolean) = false; }
#line 50635 "gram.c"
    break;

  case 2318: /* json_name_and_value_list: json_name_and_value  */
#line 16614 "gram.y"
                                { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 50641 "gram.c"
    break;

  case 2319: /* json_name_and_value_list: json_name_and_value_list ',' json_name_and_value  */
#line 16616 "gram.y"
                                { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 50647 "gram.c"
    break;

  case 2320: /* json_name_and_value: c_expr VALUE_P json_value_expr  */
#line 16626 "gram.y"
                                { (yyval.node) = makeJsonKeyValue((yyvsp[-2].node), (yyvsp[0].node)); }
#line 50653 "gram.c"
    break;

  case 2321: /* json_name_and_value: a_expr ':' json_value_expr  */
#line 16629 "gram.y"
                                { (yyval.node) = makeJsonKeyValue((yyvsp[-2].node), (yyvsp[0].node)); }
#line 50659 "gram.c"
    break;

  case 2322: /* json_object_constructor_null_clause_opt: NULL_P ON NULL_P  */
#line 16634 "gram.y"
                                                                                { (yyval.boolean) = false; }
#line 50665 "gram.c"
    break;

  case 2323: /* json_object_constructor_null_clause_opt: ABSENT ON NULL_P  */
#line 16635 "gram.y"
                                                                                { (yyval.boolean) = true; }
#line 50671 "gram.c"
    break;

  case 2324: /* json_object_constructor_null_clause_opt: %empty  */
#line 16636 "gram.y"
                                                                                { (yyval.boolean) = false; }
#line 50677 "gram.c"
    break;

  case 2325: /* json_array_constructor_null_clause_opt: NULL_P ON NULL_P  */
#line 16640 "gram.y"
                                                                                        { (yyval.boolean) = false; }
#line 50683 "gram.c"
    break;

  case 2326: /* json_array_constructor_null_clause_opt: ABSENT ON NULL_P  */
#line 16641 "gram.y"
                                                                                        { (yyval.boolean) = true; }
#line 50689 "gram.c"
    break;

  case 2327: /* json_array_constructor_null_clause_opt: %empty  */
#line 16642 "gram.y"
                                                                                        { (yyval.boolean) = true; }
#line 50695 "gram.c"
    break;

  case 2328: /* json_value_expr_list: json_value_expr  */
#line 16646 "gram.y"
                                                                                                { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 50701 "gram.c"
    break;

  case 2329: /* json_value_expr_list: json_value_expr_list ',' json_value_expr  */
#line 16647 "gram.y"
                                                                        { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));}
#line 50707 "gram.c"
    break;

  case 2330: /* json_aggregate_func: JSON_OBJECTAGG '(' json_name_and_value json_object_constructor_null_clause_opt json_key_uniqueness_constraint_opt json_returning_clause_opt ')'  */
#line 16657 "gram.y"
                                {
					JsonObjectAgg *n = makeNode(JsonObjectAgg);

					n->arg = (JsonKeyValue *) (yyvsp[-4].node);
					n->absent_on_null = (yyvsp[-3].boolean);
					n->unique = (yyvsp[-2].boolean);
					n->constructor = makeNode(JsonAggConstructor);
					n->constructor->output = (JsonOutput *) (yyvsp[-1].node);
					n->constructor->agg_order = NULL;
					n->constructor->location = (yylsp[-6]);
					(yyval.node) = (Node *) n;
				}
#line 50724 "gram.c"
    break;

  case 2331: /* json_aggregate_func: JSON_ARRAYAGG '(' json_value_expr json_array_aggregate_order_by_clause_opt json_array_constructor_null_clause_opt json_returning_clause_opt ')'  */
#line 16675 "gram.y"
                                {
					JsonArrayAgg *n = makeNode(JsonArrayAgg);

					n->arg = (JsonValueExpr *) (yyvsp[-4].node);
					n->absent_on_null = (yyvsp[-2].boolean);
					n->constructor = makeNode(JsonAggConstructor);
					n->constructor->agg_order = (yyvsp[-3].list);
					n->constructor->output = (JsonOutput *) (yyvsp[-1].node);
					n->constructor->location = (yylsp[-6]);
					(yyval.node) = (Node *) n;
				}
#line 50740 "gram.c"
    break;

  case 2332: /* json_array_aggregate_order_by_clause_opt: ORDER BY sortby_list  */
#line 16689 "gram.y"
                                                                                { (yyval.list) = (yyvsp[0].list); }
#line 50746 "gram.c"
    break;

  case 2333: /* json_array_aggregate_order_by_clause_opt: %empty  */
#line 16690 "gram.y"
                                                                                        { (yyval.list) = NIL; }
#line 50752 "gram.c"
    break;

  case 2334: /* opt_target_list: target_list  */
#line 16699 "gram.y"
                                                                        { (yyval.list) = (yyvsp[0].list); }
#line 50758 "gram.c"
    break;

  case 2335: /* opt_target_list: %empty  */
#line 16700 "gram.y"
                                                                                        { (yyval.list) = NIL; }
#line 50764 "gram.c"
    break;

  case 2336: /* target_list: target_el  */
#line 16704 "gram.y"
                                                                                                { (yyval.list) = list_make1((yyvsp[0].target)); }
#line 50770 "gram.c"
    break;

  case 2337: /* target_list: target_list ',' target_el  */
#line 16705 "gram.y"
                                                                                { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].target)); }
#line 50776 "gram.c"
    break;

  case 2338: /* target_el: a_expr AS ColLabel  */
#line 16709 "gram.y"
                                {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[0].str);
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *) (yyvsp[-2].node);
					(yyval.target)->location = (yylsp[-2]);
				}
#line 50788 "gram.c"
    break;

  case 2339: /* target_el: a_expr BareColLabel  */
#line 16717 "gram.y"
                                {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[0].str);
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *) (yyvsp[-1].node);
					(yyval.target)->location = (yylsp[-1]);
				}
#line 50800 "gram.c"
    break;

  case 2340: /* target_el: a_expr  */
#line 16725 "gram.y"
                                {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = NULL;
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *) (yyvsp[0].node);
					(yyval.target)->location = (yylsp[0]);
				}
#line 50812 "gram.c"
    break;

  case 2341: /* target_el: '*'  */
#line 16733 "gram.y"
                                {
					ColumnRef  *n = makeNode(ColumnRef);

					n->fields = list_make1(makeNode(A_Star));
					n->location = (yylsp[0]);

					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = NULL;
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *) n;
					(yyval.target)->location = (yylsp[0]);
				}
#line 50829 "gram.c"
    break;

  case 2342: /* qualified_name_list: qualified_name  */
#line 16755 "gram.y"
                                                                                        { (yyval.list) = list_make1((yyvsp[0].range)); }
#line 50835 "gram.c"
    break;

  case 2343: /* qualified_name_list: qualified_name_list ',' qualified_name  */
#line 16756 "gram.y"
                                                                 { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].range)); }
#line 50841 "gram.c"
    break;

  case 2344: /* qualified_name: ColId  */
#line 16768 "gram.y"
                                {
					(yyval.range) = makeRangeVar(NULL, (yyvsp[0].str), (yylsp[0]));
				}
#line 50849 "gram.c"
    break;

  case 2345: /* qualified_name: ColId indirection  */
#line 16772 "gram.y"
                                {
					(yyval.range) = makeRangeVarFromQualifiedName((yyvsp[-1].str), (yyvsp[0].list), (yylsp[-1]), yyscanner);
				}
#line 50857 "gram.c"
    break;

  case 2346: /* name_list: name  */
#line 16778 "gram.y"
                                        { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 50863 "gram.c"
    break;

  case 2347: /* name_list: name_list ',' name  */
#line 16780 "gram.y"
                                        { (yyval.list) = lappend((yyvsp[-2].list), makeString((yyvsp[0].str))); }
#line 50869 "gram.c"
    break;

  case 2348: /* name: ColId  */
#line 16784 "gram.y"
                                                                                        { (yyval.str) = (yyvsp[0].str); }
#line 50875 "gram.c"
    break;

  case 2349: /* attr_name: ColLabel  */
#line 16786 "gram.y"
                                                                                        { (yyval.str) = (yyvsp[0].str); }
#line 50881 "gram.c"
    break;

  case 2350: /* file_name: Sconst  */
#line 16788 "gram.y"
                                                                                        { (yyval.str) = (yyvsp[0].str); }
#line 50887 "gram.c"
    break;

  case 2351: /* func_name: type_function_name  */
#line 16799 "gram.y"
                                        { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 50893 "gram.c"
    break;

  case 2352: /* func_name: ColId indirection  */
#line 16801 "gram.y"
                                        {
						(yyval.list) = check_func_name(lcons(makeString((yyvsp[-1].str)), (yyvsp[0].list)),
											 yyscanner);
					}
#line 50902 "gram.c"
    break;

  case 2353: /* AexprConst: Iconst  */
#line 16812 "gram.y"
                                {
					(yyval.node) = makeIntConst((yyvsp[0].ival), (yylsp[0]));
				}
#line 50910 "gram.c"
    break;

  case 2354: /* AexprConst: FCONST  */
#line 16816 "gram.y"
                                {
					(yyval.node) = makeFloatConst((yyvsp[0].str), (yylsp[0]));
				}
#line 50918 "gram.c"
    break;

  case 2355: /* AexprConst: Sconst  */
#line 16820 "gram.y"
                                {
					(yyval.node) = makeStringConst((yyvsp[0].str), (yylsp[0]));
				}
#line 50926 "gram.c"
    break;

  case 2356: /* AexprConst: BCONST  */
#line 16824 "gram.y"
                                {
					(yyval.node) = makeBitStringConst((yyvsp[0].str), (yylsp[0]));
				}
#line 50934 "gram.c"
    break;

  case 2357: /* AexprConst: XCONST  */
#line 16828 "gram.y"
                                {
					/* This is a bit constant per SQL99:
					 * Without Feature F511, "BIT data type",
					 * a <general literal> shall not be a
					 * <bit string literal> or a <hex string literal>.
					 */
					(yyval.node) = makeBitStringConst((yyvsp[0].str), (yylsp[0]));
				}
#line 50947 "gram.c"
    break;

  case 2358: /* AexprConst: func_name Sconst  */
#line 16837 "gram.y"
                                {
					/* generic type 'literal' syntax */
					TypeName   *t = makeTypeNameFromNameList((yyvsp[-1].list));

					t->location = (yylsp[-1]);
					(yyval.node) = makeStringConstCast((yyvsp[0].str), (yylsp[0]), t);
				}
#line 50959 "gram.c"
    break;

  case 2359: /* AexprConst: func_name '(' func_arg_list opt_sort_clause ')' Sconst  */
#line 16845 "gram.y"
                                {
					/* generic syntax with a type modifier */
					TypeName   *t = makeTypeNameFromNameList((yyvsp[-5].list));
					ListCell   *lc;

					/*
					 * We must use func_arg_list and opt_sort_clause in the
					 * production to avoid reduce/reduce conflicts, but we
					 * don't actually wish to allow NamedArgExpr in this
					 * context, nor ORDER BY.
					 */
					foreach(lc, (yyvsp[-3].list))
					{
						NamedArgExpr *arg = (NamedArgExpr *) lfirst(lc);

						if (IsA(arg, NamedArgExpr))
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("type modifier cannot have parameter name"),
									 parser_errposition(arg->location)));
					}
					if ((yyvsp[-2].list) != NIL)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("type modifier cannot have ORDER BY"),
									 parser_errposition((yylsp[-2]))));

					t->typmods = (yyvsp[-3].list);
					t->location = (yylsp[-5]);
					(yyval.node) = makeStringConstCast((yyvsp[0].str), (yylsp[0]), t);
				}
#line 50995 "gram.c"
    break;

  case 2360: /* AexprConst: ConstTypename Sconst  */
#line 16877 "gram.y"
                                {
					(yyval.node) = makeStringConstCast((yyvsp[0].str), (yylsp[0]), (yyvsp[-1].typnam));
				}
#line 51003 "gram.c"
    break;

  case 2361: /* AexprConst: ConstInterval Sconst opt_interval  */
#line 16881 "gram.y"
                                {
					TypeName   *t = (yyvsp[-2].typnam);

					t->typmods = (yyvsp[0].list);
					(yyval.node) = makeStringConstCast((yyvsp[-1].str), (yylsp[-1]), t);
				}
#line 51014 "gram.c"
    break;

  case 2362: /* AexprConst: ConstInterval '(' Iconst ')' Sconst  */
#line 16888 "gram.y"
                                {
					TypeName   *t = (yyvsp[-4].typnam);

					t->typmods = list_make2(makeIntConst(INTERVAL_FULL_RANGE, -1),
											makeIntConst((yyvsp[-2].ival), (yylsp[-2])));
					(yyval.node) = makeStringConstCast((yyvsp[0].str), (yylsp[0]), t);
				}
#line 51026 "gram.c"
    break;

  case 2363: /* AexprConst: TRUE_P  */
#line 16896 "gram.y"
                                {
					(yyval.node) = makeBoolAConst(true, (yylsp[0]));
				}
#line 51034 "gram.c"
    break;

  case 2364: /* AexprConst: FALSE_P  */
#line 16900 "gram.y"
                                {
					(yyval.node) = makeBoolAConst(false, (yylsp[0]));
				}
#line 51042 "gram.c"
    break;

  case 2365: /* AexprConst: NULL_P  */
#line 16904 "gram.y"
                                {
					(yyval.node) = makeNullAConst((yylsp[0]));
				}
#line 51050 "gram.c"
    break;

  case 2366: /* Iconst: ICONST  */
#line 16909 "gram.y"
                                                                                        { (yyval.ival) = (yyvsp[0].ival); }
#line 51056 "gram.c"
    break;

  case 2367: /* Sconst: SCONST  */
#line 16910 "gram.y"
                                                                                        { (yyval.str) = (yyvsp[0].str); }
#line 51062 "gram.c"
    break;

  case 2368: /* SignedIconst: Iconst  */
#line 16912 "gram.y"
                                                                                { (yyval.ival) = (yyvsp[0].ival); }
#line 51068 "gram.c"
    break;

  case 2369: /* SignedIconst: '+' Iconst  */
#line 16913 "gram.y"
                                                                                        { (yyval.ival) = + (yyvsp[0].ival); }
#line 51074 "gram.c"
    break;

  case 2370: /* SignedIconst: '-' Iconst  */
#line 16914 "gram.y"
                                                                                        { (yyval.ival) = - (yyvsp[0].ival); }
#line 51080 "gram.c"
    break;

  case 2371: /* RoleId: RoleSpec  */
#line 16919 "gram.y"
                                {
					RoleSpec   *spc = (RoleSpec *) (yyvsp[0].rolespec);

					switch (spc->roletype)
					{
						case ROLESPEC_CSTRING:
							(yyval.str) = spc->rolename;
							break;
						case ROLESPEC_PUBLIC:
							ereport(ERROR,
									(errcode(ERRCODE_RESERVED_NAME),
									 errmsg("role name \"%s\" is reserved",
											"public"),
									 parser_errposition((yylsp[0]))));
							break;
						case ROLESPEC_SESSION_USER:
							ereport(ERROR,
									(errcode(ERRCODE_RESERVED_NAME),
									 errmsg("%s cannot be used as a role name here",
											"SESSION_USER"),
									 parser_errposition((yylsp[0]))));
							break;
						case ROLESPEC_CURRENT_USER:
							ereport(ERROR,
									(errcode(ERRCODE_RESERVED_NAME),
									 errmsg("%s cannot be used as a role name here",
											"CURRENT_USER"),
									 parser_errposition((yylsp[0]))));
							break;
						case ROLESPEC_CURRENT_ROLE:
							ereport(ERROR,
									(errcode(ERRCODE_RESERVED_NAME),
									 errmsg("%s cannot be used as a role name here",
											"CURRENT_ROLE"),
									 parser_errposition((yylsp[0]))));
							break;
					}
				}
#line 51123 "gram.c"
    break;

  case 2372: /* RoleSpec: NonReservedWord  */
#line 16960 "gram.y"
                                {
					/*
					 * "public" and "none" are not keywords, but they must
					 * be treated specially here.
					 */
					RoleSpec   *n;

					if (strcmp((yyvsp[0].str), "public") == 0)
					{
						n = (RoleSpec *) makeRoleSpec(ROLESPEC_PUBLIC, (yylsp[0]));
						n->roletype = ROLESPEC_PUBLIC;
					}
					else if (strcmp((yyvsp[0].str), "none") == 0)
					{
						ereport(ERROR,
								(errcode(ERRCODE_RESERVED_NAME),
								 errmsg("role name \"%s\" is reserved",
										"none"),
								 parser_errposition((yylsp[0]))));
					}
					else
					{
						n = makeRoleSpec(ROLESPEC_CSTRING, (yylsp[0]));
						n->rolename = pstrdup((yyvsp[0].str));
					}
					(yyval.rolespec) = n;
				}
#line 51155 "gram.c"
    break;

  case 2373: /* RoleSpec: CURRENT_ROLE  */
#line 16988 "gram.y"
                                {
					(yyval.rolespec) = makeRoleSpec(ROLESPEC_CURRENT_ROLE, (yylsp[0]));
				}
#line 51163 "gram.c"
    break;

  case 2374: /* RoleSpec: CURRENT_USER  */
#line 16992 "gram.y"
                                {
					(yyval.rolespec) = makeRoleSpec(ROLESPEC_CURRENT_USER, (yylsp[0]));
				}
#line 51171 "gram.c"
    break;

  case 2375: /* RoleSpec: SESSION_USER  */
#line 16996 "gram.y"
                                {
					(yyval.rolespec) = makeRoleSpec(ROLESPEC_SESSION_USER, (yylsp[0]));
				}
#line 51179 "gram.c"
    break;

  case 2376: /* role_list: RoleSpec  */
#line 17002 "gram.y"
                                { (yyval.list) = list_make1((yyvsp[0].rolespec)); }
#line 51185 "gram.c"
    break;

  case 2377: /* role_list: role_list ',' RoleSpec  */
#line 17004 "gram.y"
                                { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].rolespec)); }
#line 51191 "gram.c"
    break;

  case 2378: /* PLpgSQL_Expr: opt_distinct_clause opt_target_list from_clause where_clause group_clause having_clause window_clause opt_sort_clause opt_select_limit opt_for_locking_clause  */
#line 17021 "gram.y"
                                {
					SelectStmt *n = makeNode(SelectStmt);

					n->distinctClause = (yyvsp[-9].list);
					n->targetList = (yyvsp[-8].list);
					n->fromClause = (yyvsp[-7].list);
					n->whereClause = (yyvsp[-6].node);
					n->groupClause = ((yyvsp[-5].groupclause))->list;
					n->groupDistinct = ((yyvsp[-5].groupclause))->distinct;
					n->havingClause = (yyvsp[-4].node);
					n->windowClause = (yyvsp[-3].list);
					n->sortClause = (yyvsp[-2].list);
					if ((yyvsp[-1].selectlimit))
					{
						n->limitOffset = (yyvsp[-1].selectlimit)->limitOffset;
						n->limitCount = (yyvsp[-1].selectlimit)->limitCount;
						if (!n->sortClause &&
							(yyvsp[-1].selectlimit)->limitOption == LIMIT_OPTION_WITH_TIES)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("WITH TIES cannot be specified without ORDER BY clause")));
						n->limitOption = (yyvsp[-1].selectlimit)->limitOption;
					}
					n->lockingClause = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 51222 "gram.c"
    break;

  case 2379: /* PLAssignStmt: plassign_target opt_indirection plassign_equals PLpgSQL_Expr  */
#line 17054 "gram.y"
                                {
					PLAssignStmt *n = makeNode(PLAssignStmt);

					n->name = (yyvsp[-3].str);
					n->indirection = check_indirection((yyvsp[-2].list), yyscanner);
					/* nnames will be filled by calling production */
					n->val = (SelectStmt *) (yyvsp[0].node);
					n->location = (yylsp[-3]);
					(yyval.node) = (Node *) n;
				}
#line 51237 "gram.c"
    break;

  case 2380: /* plassign_target: ColId  */
#line 17066 "gram.y"
                                                                        { (yyval.str) = (yyvsp[0].str); }
#line 51243 "gram.c"
    break;

  case 2381: /* plassign_target: PARAM  */
#line 17067 "gram.y"
                                                                                        { (yyval.str) = psprintf("$%d", (yyvsp[0].ival)); }
#line 51249 "gram.c"
    break;

  case 2384: /* ColId: IDENT  */
#line 17088 "gram.y"
                                                                                        { (yyval.str) = (yyvsp[0].str); }
#line 51255 "gram.c"
    break;

  case 2385: /* ColId: unreserved_keyword  */
#line 17089 "gram.y"
                                                                                { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 51261 "gram.c"
    break;

  case 2386: /* ColId: col_name_keyword  */
#line 17090 "gram.y"
                                                                                        { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 51267 "gram.c"
    break;

  case 2387: /* type_function_name: IDENT  */
#line 17095 "gram.y"
                                                                                { (yyval.str) = (yyvsp[0].str); }
#line 51273 "gram.c"
    break;

  case 2388: /* type_function_name: unreserved_keyword  */
#line 17096 "gram.y"
                                                                                { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 51279 "gram.c"
    break;

  case 2389: /* type_function_name: type_func_name_keyword  */
#line 17097 "gram.y"
                                                                                { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 51285 "gram.c"
    break;

  case 2390: /* NonReservedWord: IDENT  */
#line 17102 "gram.y"
                                                                                { (yyval.str) = (yyvsp[0].str); }
#line 51291 "gram.c"
    break;

  case 2391: /* NonReservedWord: unreserved_keyword  */
#line 17103 "gram.y"
                                                                                { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 51297 "gram.c"
    break;

  case 2392: /* NonReservedWord: col_name_keyword  */
#line 17104 "gram.y"
                                                                                        { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 51303 "gram.c"
    break;

  case 2393: /* NonReservedWord: type_func_name_keyword  */
#line 17105 "gram.y"
                                                                                { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 51309 "gram.c"
    break;

  case 2394: /* ColLabel: IDENT  */
#line 17111 "gram.y"
                                                                                        { (yyval.str) = (yyvsp[0].str); }
#line 51315 "gram.c"
    break;

  case 2395: /* ColLabel: unreserved_keyword  */
#line 17112 "gram.y"
                                                                                { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 51321 "gram.c"
    break;

  case 2396: /* ColLabel: col_name_keyword  */
#line 17113 "gram.y"
                                                                                        { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 51327 "gram.c"
    break;

  case 2397: /* ColLabel: type_func_name_keyword  */
#line 17114 "gram.y"
                                                                                { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 51333 "gram.c"
    break;

  case 2398: /* ColLabel: reserved_keyword  */
#line 17115 "gram.y"
                                                                                        { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 51339 "gram.c"
    break;

  case 2399: /* BareColLabel: IDENT  */
#line 17121 "gram.y"
                                                                                { (yyval.str) = (yyvsp[0].str); }
#line 51345 "gram.c"
    break;

  case 2400: /* BareColLabel: bare_label_keyword  */
#line 17122 "gram.y"
                                                                                { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 51351 "gram.c"
    break;


#line 51355 "gram.c"

      default: break;
    }
  /* User semantic actions sometimes alter yychar, and that requires
     that yytoken be updated with the new translation.  We take the
     approach of translating immediately before every use of yytoken.
     One alternative is translating here after every semantic action,
     but that translation would be missed if the semantic action invokes
     YYABORT, YYACCEPT, or YYERROR immediately after altering yychar or
     if it invokes YYBACKUP.  In the case of YYABORT or YYACCEPT, an
     incorrect destructor might then be invoked immediately.  In the
     case of YYERROR or YYBACKUP, subsequent parser actions might lead
     to an incorrect destructor call or verbose syntax error message
     before the lookahead is translated.  */
  YY_SYMBOL_PRINT ("-> $$ =", YY_CAST (yysymbol_kind_t, yyr1[yyn]), &yyval, &yyloc);

  YYPOPSTACK (yylen);
  yylen = 0;

  *++yyvsp = yyval;
  *++yylsp = yyloc;

  /* Now 'shift' the result of the reduction.  Determine what state
     that goes to, based on the state we popped back to and the rule
     number reduced by.  */
  {
    const int yylhs = yyr1[yyn] - YYNTOKENS;
    const int yyi = yypgoto[yylhs] + *yyssp;
    yystate = (0 <= yyi && yyi <= YYLAST && yycheck[yyi] == *yyssp
               ? yytable[yyi]
               : yydefgoto[yylhs]);
  }

  goto yynewstate;


/*--------------------------------------.
| yyerrlab -- here on detecting error.  |
`--------------------------------------*/
yyerrlab:
  /* Make sure we have latest lookahead translation.  See comments at
     user semantic actions for why this is necessary.  */
  yytoken = yychar == YYEMPTY ? YYSYMBOL_YYEMPTY : YYTRANSLATE (yychar);
  /* If not already recovering from an error, report this error.  */
  if (!yyerrstatus)
    {
      ++yynerrs;
      yyerror (&yylloc, yyscanner, YY_("syntax error"));
    }

  yyerror_range[1] = yylloc;
  if (yyerrstatus == 3)
    {
      /* If just tried and failed to reuse lookahead token after an
         error, discard it.  */

      if (yychar <= YYEOF)
        {
          /* Return failure if at end of input.  */
          if (yychar == YYEOF)
            YYABORT;
        }
      else
        {
          yydestruct ("Error: discarding",
                      yytoken, &yylval, &yylloc, yyscanner);
          yychar = YYEMPTY;
        }
    }

  /* Else will try to reuse lookahead token after shifting the error
     token.  */
  goto yyerrlab1;


/*---------------------------------------------------.
| yyerrorlab -- error raised explicitly by YYERROR.  |
`---------------------------------------------------*/
yyerrorlab:
  /* Pacify compilers when the user code never invokes YYERROR and the
     label yyerrorlab therefore never appears in user code.  */
  if (0)
    YYERROR;
  ++yynerrs;

  /* Do not reclaim the symbols of the rule whose action triggered
     this YYERROR.  */
  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);
  yystate = *yyssp;
  goto yyerrlab1;


/*-------------------------------------------------------------.
| yyerrlab1 -- common code for both syntax error and YYERROR.  |
`-------------------------------------------------------------*/
yyerrlab1:
  yyerrstatus = 3;      /* Each real token shifted decrements this.  */

  /* Pop stack until we find a state that shifts the error token.  */
  for (;;)
    {
      yyn = yypact[yystate];
      if (!yypact_value_is_default (yyn))
        {
          yyn += YYSYMBOL_YYerror;
          if (0 <= yyn && yyn <= YYLAST && yycheck[yyn] == YYSYMBOL_YYerror)
            {
              yyn = yytable[yyn];
              if (0 < yyn)
                break;
            }
        }

      /* Pop the current state because it cannot handle the error token.  */
      if (yyssp == yyss)
        YYABORT;

      yyerror_range[1] = *yylsp;
      yydestruct ("Error: popping",
                  YY_ACCESSING_SYMBOL (yystate), yyvsp, yylsp, yyscanner);
      YYPOPSTACK (1);
      yystate = *yyssp;
      YY_STACK_PRINT (yyss, yyssp);
    }

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END

  yyerror_range[2] = yylloc;
  ++yylsp;
  YYLLOC_DEFAULT (*yylsp, yyerror_range, 2);

  /* Shift the error token.  */
  YY_SYMBOL_PRINT ("Shifting", YY_ACCESSING_SYMBOL (yyn), yyvsp, yylsp);

  yystate = yyn;
  goto yynewstate;


/*-------------------------------------.
| yyacceptlab -- YYACCEPT comes here.  |
`-------------------------------------*/
yyacceptlab:
  yyresult = 0;
  goto yyreturnlab;


/*-----------------------------------.
| yyabortlab -- YYABORT comes here.  |
`-----------------------------------*/
yyabortlab:
  yyresult = 1;
  goto yyreturnlab;


/*-----------------------------------------------------------.
| yyexhaustedlab -- YYNOMEM (memory exhaustion) comes here.  |
`-----------------------------------------------------------*/
yyexhaustedlab:
  yyerror (&yylloc, yyscanner, YY_("memory exhausted"));
  yyresult = 2;
  goto yyreturnlab;


/*----------------------------------------------------------.
| yyreturnlab -- parsing is finished, clean up and return.  |
`----------------------------------------------------------*/
yyreturnlab:
  if (yychar != YYEMPTY)
    {
      /* Make sure we have latest lookahead translation.  See comments at
         user semantic actions for why this is necessary.  */
      yytoken = YYTRANSLATE (yychar);
      yydestruct ("Cleanup: discarding lookahead",
                  yytoken, &yylval, &yylloc, yyscanner);
    }
  /* Do not reclaim the symbols of the rule whose action triggered
     this YYABORT or YYACCEPT.  */
  YYPOPSTACK (yylen);
  YY_STACK_PRINT (yyss, yyssp);
  while (yyssp != yyss)
    {
      yydestruct ("Cleanup: popping",
                  YY_ACCESSING_SYMBOL (+*yyssp), yyvsp, yylsp, yyscanner);
      YYPOPSTACK (1);
    }
#ifndef yyoverflow
  if (yyss != yyssa)
    YYSTACK_FREE (yyss);
#endif

  return yyresult;
}

#line 18098 "gram.y"


/*
 * The signature of this function is required by bison.  However, we
 * ignore the passed yylloc and instead use the last token position
 * available from the scanner.
 */
static void
base_yyerror(YYLTYPE *yylloc, core_yyscan_t yyscanner, const char *msg)
{
	parser_yyerror(msg);
}

static RawStmt *
makeRawStmt(Node *stmt, int stmt_location)
{
	RawStmt    *rs = makeNode(RawStmt);

	rs->stmt = stmt;
	rs->stmt_location = stmt_location;
	rs->stmt_len = 0;			/* might get changed later */
	return rs;
}

/* Adjust a RawStmt to reflect that it doesn't run to the end of the string */
static void
updateRawStmtEnd(RawStmt *rs, int end_location)
{
	/*
	 * If we already set the length, don't change it.  This is for situations
	 * like "select foo ;; select bar" where the same statement will be last
	 * in the string for more than one semicolon.
	 */
	if (rs->stmt_len > 0)
		return;

	/* OK, update length of RawStmt */
	rs->stmt_len = end_location - rs->stmt_location;
}

static Node *
makeColumnRef(char *colname, List *indirection,
			  int location, core_yyscan_t yyscanner)
{
	/*
	 * Generate a ColumnRef node, with an A_Indirection node added if there
	 * is any subscripting in the specified indirection list.  However,
	 * any field selection at the start of the indirection list must be
	 * transposed into the "fields" part of the ColumnRef node.
	 */
	ColumnRef  *c = makeNode(ColumnRef);
	int			nfields = 0;
	ListCell   *l;

	c->location = location;
	foreach(l, indirection)
	{
		if (IsA(lfirst(l), A_Indices))
		{
			A_Indirection *i = makeNode(A_Indirection);

			if (nfields == 0)
			{
				/* easy case - all indirection goes to A_Indirection */
				c->fields = list_make1(makeString(colname));
				i->indirection = check_indirection(indirection, yyscanner);
			}
			else
			{
				/* got to split the list in two */
				i->indirection = check_indirection(list_copy_tail(indirection,
																  nfields),
												   yyscanner);
				indirection = list_truncate(indirection, nfields);
				c->fields = lcons(makeString(colname), indirection);
			}
			i->arg = (Node *) c;
			return (Node *) i;
		}
		else if (IsA(lfirst(l), A_Star))
		{
			/* We only allow '*' at the end of a ColumnRef */
			if (lnext(indirection, l) != NULL)
				parser_yyerror("improper use of \"*\"");
		}
		nfields++;
	}
	/* No subscripting, so all indirection gets added to field list */
	c->fields = lcons(makeString(colname), indirection);
	return (Node *) c;
}

static Node *
makeTypeCast(Node *arg, TypeName *typename, int location)
{
	TypeCast   *n = makeNode(TypeCast);

	n->arg = arg;
	n->typeName = typename;
	n->location = location;
	return (Node *) n;
}

static Node *
makeStringConst(char *str, int location)
{
	A_Const	   *n = makeNode(A_Const);

	n->val.sval.type = T_String;
	n->val.sval.sval = str;
	n->location = location;

   return (Node *) n;
}

static Node *
makeStringConstCast(char *str, int location, TypeName *typename)
{
	Node	   *s = makeStringConst(str, location);

	return makeTypeCast(s, typename, -1);
}

static Node *
makeIntConst(int val, int location)
{
	A_Const	   *n = makeNode(A_Const);

	n->val.ival.type = T_Integer;
	n->val.ival.ival = val;
	n->location = location;

   return (Node *) n;
}

static Node *
makeFloatConst(char *str, int location)
{
	A_Const	   *n = makeNode(A_Const);

	n->val.fval.type = T_Float;
	n->val.fval.fval = str;
	n->location = location;

   return (Node *) n;
}

static Node *
makeBoolAConst(bool state, int location)
{
	A_Const	   *n = makeNode(A_Const);

	n->val.boolval.type = T_Boolean;
	n->val.boolval.boolval = state;
	n->location = location;

   return (Node *) n;
}

static Node *
makeBitStringConst(char *str, int location)
{
	A_Const	   *n = makeNode(A_Const);

	n->val.bsval.type = T_BitString;
	n->val.bsval.bsval = str;
	n->location = location;

   return (Node *) n;
}

static Node *
makeNullAConst(int location)
{
	A_Const	   *n = makeNode(A_Const);

	n->isnull = true;
	n->location = location;

	return (Node *) n;
}

static Node *
makeAConst(Node *v, int location)
{
	Node	   *n;

	switch (v->type)
	{
		case T_Float:
			n = makeFloatConst(castNode(Float, v)->fval, location);
			break;

		case T_Integer:
			n = makeIntConst(castNode(Integer, v)->ival, location);
			break;

		default:
			/* currently not used */
			Assert(false);
			n = NULL;
	}

	return n;
}

/* makeRoleSpec
 * Create a RoleSpec with the given type
 */
static RoleSpec *
makeRoleSpec(RoleSpecType type, int location)
{
	RoleSpec   *spec = makeNode(RoleSpec);

	spec->roletype = type;
	spec->location = location;

	return spec;
}

/* check_qualified_name --- check the result of qualified_name production
 *
 * It's easiest to let the grammar production for qualified_name allow
 * subscripts and '*', which we then must reject here.
 */
static void
check_qualified_name(List *names, core_yyscan_t yyscanner)
{
	ListCell   *i;

	foreach(i, names)
	{
		if (!IsA(lfirst(i), String))
			parser_yyerror("syntax error");
	}
}

/* check_func_name --- check the result of func_name production
 *
 * It's easiest to let the grammar production for func_name allow subscripts
 * and '*', which we then must reject here.
 */
static List *
check_func_name(List *names, core_yyscan_t yyscanner)
{
	ListCell   *i;

	foreach(i, names)
	{
		if (!IsA(lfirst(i), String))
			parser_yyerror("syntax error");
	}
	return names;
}

/* check_indirection --- check the result of indirection production
 *
 * We only allow '*' at the end of the list, but it's hard to enforce that
 * in the grammar, so do it here.
 */
static List *
check_indirection(List *indirection, core_yyscan_t yyscanner)
{
	ListCell *l;

	foreach(l, indirection)
	{
		if (IsA(lfirst(l), A_Star))
		{
			if (lnext(indirection, l) != NULL)
				parser_yyerror("improper use of \"*\"");
		}
	}
	return indirection;
}

/* extractArgTypes()
 * Given a list of FunctionParameter nodes, extract a list of just the
 * argument types (TypeNames) for input parameters only.  This is what
 * is needed to look up an existing function, which is what is wanted by
 * the productions that use this call.
 */
static List *
extractArgTypes(List *parameters)
{
	List	   *result = NIL;
	ListCell   *i;

	foreach(i, parameters)
	{
		FunctionParameter *p = (FunctionParameter *) lfirst(i);

		if (p->mode != FUNC_PARAM_OUT && p->mode != FUNC_PARAM_TABLE)
			result = lappend(result, p->argType);
	}
	return result;
}

/* extractAggrArgTypes()
 * As above, but work from the output of the aggr_args production.
 */
static List *
extractAggrArgTypes(List *aggrargs)
{
	Assert(list_length(aggrargs) == 2);
	return extractArgTypes((List *) linitial(aggrargs));
}

/* makeOrderedSetArgs()
 * Build the result of the aggr_args production (which see the comments for).
 * This handles only the case where both given lists are nonempty, so that
 * we have to deal with multiple VARIADIC arguments.
 */
static List *
makeOrderedSetArgs(List *directargs, List *orderedargs,
				   core_yyscan_t yyscanner)
{
	FunctionParameter *lastd = (FunctionParameter *) llast(directargs);
	Integer	   *ndirectargs;

	/* No restriction unless last direct arg is VARIADIC */
	if (lastd->mode == FUNC_PARAM_VARIADIC)
	{
		FunctionParameter *firsto = (FunctionParameter *) linitial(orderedargs);

		/*
		 * We ignore the names, though the aggr_arg production allows them;
		 * it doesn't allow default values, so those need not be checked.
		 */
		if (list_length(orderedargs) != 1 ||
			firsto->mode != FUNC_PARAM_VARIADIC ||
			!equal(lastd->argType, firsto->argType))
			ereport(ERROR,
					(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
					 errmsg("an ordered-set aggregate with a VARIADIC direct argument must have one VARIADIC aggregated argument of the same data type"),
					 parser_errposition(exprLocation((Node *) firsto))));

		/* OK, drop the duplicate VARIADIC argument from the internal form */
		orderedargs = NIL;
	}

	/* don't merge into the next line, as list_concat changes directargs */
	ndirectargs = makeInteger(list_length(directargs));

	return list_make2(list_concat(directargs, orderedargs),
					  ndirectargs);
}

/* insertSelectOptions()
 * Insert ORDER BY, etc into an already-constructed SelectStmt.
 *
 * This routine is just to avoid duplicating code in SelectStmt productions.
 */
static void
insertSelectOptions(SelectStmt *stmt,
					List *sortClause, List *lockingClause,
					SelectLimit *limitClause,
					WithClause *withClause,
					core_yyscan_t yyscanner)
{
	Assert(IsA(stmt, SelectStmt));

	/*
	 * Tests here are to reject constructs like
	 *	(SELECT foo ORDER BY bar) ORDER BY baz
	 */
	if (sortClause)
	{
		if (stmt->sortClause)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("multiple ORDER BY clauses not allowed"),
					 parser_errposition(exprLocation((Node *) sortClause))));
		stmt->sortClause = sortClause;
	}
	/* We can handle multiple locking clauses, though */
	stmt->lockingClause = list_concat(stmt->lockingClause, lockingClause);
	if (limitClause && limitClause->limitOffset)
	{
		if (stmt->limitOffset)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("multiple OFFSET clauses not allowed"),
					 parser_errposition(exprLocation(limitClause->limitOffset))));
		stmt->limitOffset = limitClause->limitOffset;
	}
	if (limitClause && limitClause->limitCount)
	{
		if (stmt->limitCount)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("multiple LIMIT clauses not allowed"),
					 parser_errposition(exprLocation(limitClause->limitCount))));
		stmt->limitCount = limitClause->limitCount;
	}
	if (limitClause)
	{
		if (stmt->limitOption)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("multiple limit options not allowed")));
		if (!stmt->sortClause && limitClause->limitOption == LIMIT_OPTION_WITH_TIES)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("WITH TIES cannot be specified without ORDER BY clause")));
		if (limitClause->limitOption == LIMIT_OPTION_WITH_TIES && stmt->lockingClause)
		{
			ListCell   *lc;

			foreach(lc, stmt->lockingClause)
			{
				LockingClause *lock = lfirst_node(LockingClause, lc);

				if (lock->waitPolicy == LockWaitSkip)
					ereport(ERROR,
							(errcode(ERRCODE_SYNTAX_ERROR),
							 errmsg("%s and %s options cannot be used together",
									"SKIP LOCKED", "WITH TIES")));
			}
		}
		stmt->limitOption = limitClause->limitOption;
	}
	if (withClause)
	{
		if (stmt->withClause)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("multiple WITH clauses not allowed"),
					 parser_errposition(exprLocation((Node *) withClause))));
		stmt->withClause = withClause;
	}
}

static Node *
makeSetOp(SetOperation op, bool all, Node *larg, Node *rarg)
{
	SelectStmt *n = makeNode(SelectStmt);

	n->op = op;
	n->all = all;
	n->larg = (SelectStmt *) larg;
	n->rarg = (SelectStmt *) rarg;
	return (Node *) n;
}

/* SystemFuncName()
 * Build a properly-qualified reference to a built-in function.
 */
List *
SystemFuncName(char *name)
{
	return list_make2(makeString("pg_catalog"), makeString(name));
}

/* SystemTypeName()
 * Build a properly-qualified reference to a built-in type.
 *
 * typmod is defaulted, but may be changed afterwards by caller.
 * Likewise for the location.
 */
TypeName *
SystemTypeName(char *name)
{
	return makeTypeNameFromNameList(list_make2(makeString("pg_catalog"),
											   makeString(name)));
}

/* doNegate()
 * Handle negation of a numeric constant.
 *
 * Formerly, we did this here because the optimizer couldn't cope with
 * indexquals that looked like "var = -4" --- it wants "var = const"
 * and a unary minus operator applied to a constant didn't qualify.
 * As of Postgres 7.0, that problem doesn't exist anymore because there
 * is a constant-subexpression simplifier in the optimizer.  However,
 * there's still a good reason for doing this here, which is that we can
 * postpone committing to a particular internal representation for simple
 * negative constants.	It's better to leave "-123.456" in string form
 * until we know what the desired type is.
 */
static Node *
doNegate(Node *n, int location)
{
	if (IsA(n, A_Const))
	{
		A_Const	   *con = (A_Const *) n;

		/* report the constant's location as that of the '-' sign */
		con->location = location;

		if (IsA(&con->val, Integer))
		{
			con->val.ival.ival = -con->val.ival.ival;
			return n;
		}
		if (IsA(&con->val, Float))
		{
			doNegateFloat(&con->val.fval);
			return n;
		}
	}

	return (Node *) makeSimpleA_Expr(AEXPR_OP, "-", NULL, n, location);
}

static void
doNegateFloat(Float *v)
{
	char	   *oldval = v->fval;

	if (*oldval == '+')
		oldval++;
	if (*oldval == '-')
		v->fval = oldval+1;	/* just strip the '-' */
	else
		v->fval = psprintf("-%s", oldval);
}

static Node *
makeAndExpr(Node *lexpr, Node *rexpr, int location)
{
	/* Flatten "a AND b AND c ..." to a single BoolExpr on sight */
	if (IsA(lexpr, BoolExpr))
	{
		BoolExpr   *blexpr = (BoolExpr *) lexpr;

		if (blexpr->boolop == AND_EXPR)
		{
			blexpr->args = lappend(blexpr->args, rexpr);
			return (Node *) blexpr;
		}
	}
	return (Node *) makeBoolExpr(AND_EXPR, list_make2(lexpr, rexpr), location);
}

static Node *
makeOrExpr(Node *lexpr, Node *rexpr, int location)
{
	/* Flatten "a OR b OR c ..." to a single BoolExpr on sight */
	if (IsA(lexpr, BoolExpr))
	{
		BoolExpr   *blexpr = (BoolExpr *) lexpr;

		if (blexpr->boolop == OR_EXPR)
		{
			blexpr->args = lappend(blexpr->args, rexpr);
			return (Node *) blexpr;
		}
	}
	return (Node *) makeBoolExpr(OR_EXPR, list_make2(lexpr, rexpr), location);
}

static Node *
makeNotExpr(Node *expr, int location)
{
	return (Node *) makeBoolExpr(NOT_EXPR, list_make1(expr), location);
}

static Node *
makeAArrayExpr(List *elements, int location)
{
	A_ArrayExpr *n = makeNode(A_ArrayExpr);

	n->elements = elements;
	n->location = location;
	return (Node *) n;
}

static Node *
makeSQLValueFunction(SQLValueFunctionOp op, int32 typmod, int location)
{
	SQLValueFunction *svf = makeNode(SQLValueFunction);

	svf->op = op;
	/* svf->type will be filled during parse analysis */
	svf->typmod = typmod;
	svf->location = location;
	return (Node *) svf;
}

static Node *
makeXmlExpr(XmlExprOp op, char *name, List *named_args, List *args,
			int location)
{
	XmlExpr		*x = makeNode(XmlExpr);

	x->op = op;
	x->name = name;
	/*
	 * named_args is a list of ResTarget; it'll be split apart into separate
	 * expression and name lists in transformXmlExpr().
	 */
	x->named_args = named_args;
	x->arg_names = NIL;
	x->args = args;
	/* xmloption, if relevant, must be filled in by caller */
	/* type and typmod will be filled in during parse analysis */
	x->type = InvalidOid;			/* marks the node as not analyzed */
	x->location = location;
	return (Node *) x;
}

/*
 * Merge the input and output parameters of a table function.
 */
static List *
mergeTableFuncParameters(List *func_args, List *columns)
{
	ListCell   *lc;

	/* Explicit OUT and INOUT parameters shouldn't be used in this syntax */
	foreach(lc, func_args)
	{
		FunctionParameter *p = (FunctionParameter *) lfirst(lc);

		if (p->mode != FUNC_PARAM_DEFAULT &&
			p->mode != FUNC_PARAM_IN &&
			p->mode != FUNC_PARAM_VARIADIC)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("OUT and INOUT arguments aren't allowed in TABLE functions")));
	}

	return list_concat(func_args, columns);
}

/*
 * Determine return type of a TABLE function.  A single result column
 * returns setof that column's type; otherwise return setof record.
 */
static TypeName *
TableFuncTypeName(List *columns)
{
	TypeName   *result;

	if (list_length(columns) == 1)
	{
		FunctionParameter *p = (FunctionParameter *) linitial(columns);

		result = copyObject(p->argType);
	}
	else
		result = SystemTypeName("record");

	result->setof = true;

	return result;
}

/*
 * Convert a list of (dotted) names to a RangeVar (like
 * makeRangeVarFromNameList, but with position support).  The
 * "AnyName" refers to the any_name production in the grammar.
 */
static RangeVar *
makeRangeVarFromAnyName(List *names, int position, core_yyscan_t yyscanner)
{
	RangeVar   *r = makeNode(RangeVar);

	switch (list_length(names))
	{
		case 1:
			r->catalogname = NULL;
			r->schemaname = NULL;
			r->relname = strVal(linitial(names));
			break;
		case 2:
			r->catalogname = NULL;
			r->schemaname = strVal(linitial(names));
			r->relname = strVal(lsecond(names));
			break;
		case 3:
			r->catalogname = strVal(linitial(names));
			r->schemaname = strVal(lsecond(names));
			r->relname = strVal(lthird(names));
			break;
		default:
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("improper qualified name (too many dotted names): %s",
							NameListToString(names)),
					 parser_errposition(position)));
			break;
	}

	r->relpersistence = RELPERSISTENCE_PERMANENT;
	r->location = position;

	return r;
}

/*
 * Convert a relation_name with name and namelist to a RangeVar using
 * makeRangeVar.
 */
static RangeVar *
makeRangeVarFromQualifiedName(char *name, List *namelist, int location,
							  core_yyscan_t yyscanner)
{
	RangeVar   *r;

	check_qualified_name(namelist, yyscanner);
	r = makeRangeVar(NULL, NULL, location);

	switch (list_length(namelist))
	{
		case 1:
			r->catalogname = NULL;
			r->schemaname = name;
			r->relname = strVal(linitial(namelist));
			break;
		case 2:
			r->catalogname = name;
			r->schemaname = strVal(linitial(namelist));
			r->relname = strVal(lsecond(namelist));
			break;
		default:
			ereport(ERROR,
					errcode(ERRCODE_SYNTAX_ERROR),
					errmsg("improper qualified name (too many dotted names): %s",
						   NameListToString(lcons(makeString(name), namelist))),
						   parser_errposition(location));
			break;
	}

	return r;
}

/* Separate Constraint nodes from COLLATE clauses in a ColQualList */
static void
SplitColQualList(List *qualList,
				 List **constraintList, CollateClause **collClause,
				 core_yyscan_t yyscanner)
{
	ListCell   *cell;

	*collClause = NULL;
	foreach(cell, qualList)
	{
		Node	   *n = (Node *) lfirst(cell);

		if (IsA(n, Constraint))
		{
			/* keep it in list */
			continue;
		}
		if (IsA(n, CollateClause))
		{
			CollateClause *c = (CollateClause *) n;

			if (*collClause)
				ereport(ERROR,
						(errcode(ERRCODE_SYNTAX_ERROR),
						 errmsg("multiple COLLATE clauses not allowed"),
						 parser_errposition(c->location)));
			*collClause = c;
		}
		else
			elog(ERROR, "unexpected node type %d", (int) n->type);
		/* remove non-Constraint nodes from qualList */
		qualList = foreach_delete_current(qualList, cell);
	}
	*constraintList = qualList;
}

/*
 * Process result of ConstraintAttributeSpec, and set appropriate bool flags
 * in the output command node.  Pass NULL for any flags the particular
 * command doesn't support.
 */
static void
processCASbits(int cas_bits, int location, const char *constrType,
			   bool *deferrable, bool *initdeferred, bool *not_valid,
			   bool *no_inherit, core_yyscan_t yyscanner)
{
	/* defaults */
	if (deferrable)
		*deferrable = false;
	if (initdeferred)
		*initdeferred = false;
	if (not_valid)
		*not_valid = false;

	if (cas_bits & (CAS_DEFERRABLE | CAS_INITIALLY_DEFERRED))
	{
		if (deferrable)
			*deferrable = true;
		else
			ereport(ERROR,
					(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
					 /* translator: %s is CHECK, UNIQUE, or similar */
					 errmsg("%s constraints cannot be marked DEFERRABLE",
							constrType),
					 parser_errposition(location)));
	}

	if (cas_bits & CAS_INITIALLY_DEFERRED)
	{
		if (initdeferred)
			*initdeferred = true;
		else
			ereport(ERROR,
					(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
					 /* translator: %s is CHECK, UNIQUE, or similar */
					 errmsg("%s constraints cannot be marked DEFERRABLE",
							constrType),
					 parser_errposition(location)));
	}

	if (cas_bits & CAS_NOT_VALID)
	{
		if (not_valid)
			*not_valid = true;
		else
			ereport(ERROR,
					(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
					 /* translator: %s is CHECK, UNIQUE, or similar */
					 errmsg("%s constraints cannot be marked NOT VALID",
							constrType),
					 parser_errposition(location)));
	}

	if (cas_bits & CAS_NO_INHERIT)
	{
		if (no_inherit)
			*no_inherit = true;
		else
			ereport(ERROR,
					(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
					 /* translator: %s is CHECK, UNIQUE, or similar */
					 errmsg("%s constraints cannot be marked NO INHERIT",
							constrType),
					 parser_errposition(location)));
	}
}

/*
 * Parse a user-supplied partition strategy string into parse node
 * PartitionStrategy representation, or die trying.
 */
static PartitionStrategy
parsePartitionStrategy(char *strategy)
{
	if (pg_strcasecmp(strategy, "list") == 0)
		return PARTITION_STRATEGY_LIST;
	else if (pg_strcasecmp(strategy, "range") == 0)
		return PARTITION_STRATEGY_RANGE;
	else if (pg_strcasecmp(strategy, "hash") == 0)
		return PARTITION_STRATEGY_HASH;

	ereport(ERROR,
			(errcode(ERRCODE_INVALID_PARAMETER_VALUE),
			 errmsg("unrecognized partitioning strategy \"%s\"",
					strategy)));
	return PARTITION_STRATEGY_LIST;		/* keep compiler quiet */

}

/*
 * Process pubobjspec_list to check for errors in any of the objects and
 * convert PUBLICATIONOBJ_CONTINUATION into appropriate PublicationObjSpecType.
 */
static void
preprocess_pubobj_list(List *pubobjspec_list, core_yyscan_t yyscanner)
{
	ListCell   *cell;
	PublicationObjSpec *pubobj;
	PublicationObjSpecType prevobjtype = PUBLICATIONOBJ_CONTINUATION;

	if (!pubobjspec_list)
		return;

	pubobj = (PublicationObjSpec *) linitial(pubobjspec_list);
	if (pubobj->pubobjtype == PUBLICATIONOBJ_CONTINUATION)
		ereport(ERROR,
				errcode(ERRCODE_SYNTAX_ERROR),
				errmsg("invalid publication object list"),
				errdetail("One of TABLE or TABLES IN SCHEMA must be specified before a standalone table or schema name."),
				parser_errposition(pubobj->location));

	foreach(cell, pubobjspec_list)
	{
		pubobj = (PublicationObjSpec *) lfirst(cell);

		if (pubobj->pubobjtype == PUBLICATIONOBJ_CONTINUATION)
			pubobj->pubobjtype = prevobjtype;

		if (pubobj->pubobjtype == PUBLICATIONOBJ_TABLE)
		{
			/* relation name or pubtable must be set for this type of object */
			if (!pubobj->name && !pubobj->pubtable)
				ereport(ERROR,
						errcode(ERRCODE_SYNTAX_ERROR),
						errmsg("invalid table name"),
						parser_errposition(pubobj->location));

			if (pubobj->name)
			{
				/* convert it to PublicationTable */
				PublicationTable *pubtable = makeNode(PublicationTable);

				pubtable->relation =
					makeRangeVar(NULL, pubobj->name, pubobj->location);
				pubobj->pubtable = pubtable;
				pubobj->name = NULL;
			}
		}
		else if (pubobj->pubobjtype == PUBLICATIONOBJ_TABLES_IN_SCHEMA ||
				 pubobj->pubobjtype == PUBLICATIONOBJ_TABLES_IN_CUR_SCHEMA)
		{
			/* WHERE clause is not allowed on a schema object */
			if (pubobj->pubtable && pubobj->pubtable->whereClause)
				ereport(ERROR,
						errcode(ERRCODE_SYNTAX_ERROR),
						errmsg("WHERE clause not allowed for schema"),
						parser_errposition(pubobj->location));

			/* Column list is not allowed on a schema object */
			if (pubobj->pubtable && pubobj->pubtable->columns)
				ereport(ERROR,
						errcode(ERRCODE_SYNTAX_ERROR),
						errmsg("column specification not allowed for schema"),
						parser_errposition(pubobj->location));

			/*
			 * We can distinguish between the different type of schema
			 * objects based on whether name and pubtable is set.
			 */
			if (pubobj->name)
				pubobj->pubobjtype = PUBLICATIONOBJ_TABLES_IN_SCHEMA;
			else if (!pubobj->name && !pubobj->pubtable)
				pubobj->pubobjtype = PUBLICATIONOBJ_TABLES_IN_CUR_SCHEMA;
			else
				ereport(ERROR,
						errcode(ERRCODE_SYNTAX_ERROR),
						errmsg("invalid schema name"),
						parser_errposition(pubobj->location));
		}

		prevobjtype = pubobj->pubobjtype;
	}
}

/*----------
 * Recursive view transformation
 *
 * Convert
 *
 *     CREATE RECURSIVE VIEW relname (aliases) AS query
 *
 * to
 *
 *     CREATE VIEW relname (aliases) AS
 *         WITH RECURSIVE relname (aliases) AS (query)
 *         SELECT aliases FROM relname
 *
 * Actually, just the WITH ... part, which is then inserted into the original
 * view definition as the query.
 * ----------
 */
static Node *
makeRecursiveViewSelect(char *relname, List *aliases, Node *query)
{
	SelectStmt *s = makeNode(SelectStmt);
	WithClause *w = makeNode(WithClause);
	CommonTableExpr *cte = makeNode(CommonTableExpr);
	List	   *tl = NIL;
	ListCell   *lc;

	/* create common table expression */
	cte->ctename = relname;
	cte->aliascolnames = aliases;
	cte->ctematerialized = CTEMaterializeDefault;
	cte->ctequery = query;
	cte->location = -1;

	/* create WITH clause and attach CTE */
	w->recursive = true;
	w->ctes = list_make1(cte);
	w->location = -1;

	/* create target list for the new SELECT from the alias list of the
	 * recursive view specification */
	foreach (lc, aliases)
	{
		ResTarget *rt = makeNode(ResTarget);

		rt->name = NULL;
		rt->indirection = NIL;
		rt->val = makeColumnRef(strVal(lfirst(lc)), NIL, -1, 0);
		rt->location = -1;

		tl = lappend(tl, rt);
	}

	/* create new SELECT combining WITH clause, target list, and fake FROM
	 * clause */
	s->withClause = w;
	s->targetList = tl;
	s->fromClause = list_make1(makeRangeVar(NULL, relname, -1));

	return (Node *) s;
}

/* parser_init()
 * Initialize to parse one query string
 */
void
parser_init(base_yy_extra_type *yyext)
{
	yyext->parsetree = NIL;		/* in case grammar forgets to set it */
}
